-- MySQL dump 10.11
--
-- Host: localhost    Database: hugo_monitor
-- ------------------------------------------------------
-- Server version	5.0.51a-3ubuntu5.4

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `actions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `timestamp` datetime NOT NULL,
  `webserver_id` int(10) unsigned NOT NULL,
  `action` enum('start','stop') NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `webserver_id` (`webserver_id`),
  CONSTRAINT `actions_ibfk_1` FOREIGN KEY (`webserver_id`) REFERENCES `webservers` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cache` (
  `id` varchar(50) NOT NULL,
  `content` text NOT NULL,
  `timeout` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `host_statistics`
--

DROP TABLE IF EXISTS `host_statistics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `host_statistics` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `timestamp_begin` datetime NOT NULL,
  `timestamp_end` datetime NOT NULL,
  `webserver_id` int(10) unsigned NOT NULL,
  `hostname_id` int(10) unsigned NOT NULL,
  `requests` int(11) NOT NULL,
  `bytes_sent` int(11) NOT NULL,
  `bans` int(11) NOT NULL,
  `exploit_attempts` int(11) NOT NULL,
  `result_forbidden` int(11) NOT NULL,
  `result_not_found` int(11) NOT NULL,
  `result_internal_error` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `webserver_id` (`webserver_id`),
  KEY `hostname_id` (`hostname_id`),
  CONSTRAINT `host_statistics_ibfk_1` FOREIGN KEY (`webserver_id`) REFERENCES `webservers` (`id`),
  CONSTRAINT `host_statistics_ibfk_2` FOREIGN KEY (`hostname_id`) REFERENCES `hostnames` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `hostnames`
--

DROP TABLE IF EXISTS `hostnames`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hostnames` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `hostname` tinytext NOT NULL,
  `visible` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `ip2nation`
--

DROP TABLE IF EXISTS `ip2nation`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ip2nation` (
  `ip` int(11) unsigned NOT NULL default '0',
  `country` char(2) NOT NULL default '',
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ip2nation`
--

LOCK TABLES `ip2nation` WRITE;
/*!40000 ALTER TABLE `ip2nation` DISABLE KEYS */;
INSERT INTO `ip2nation` VALUES (0,'us'),(687865856,'za'),(692600832,'eg'),(692715520,'bj'),(692830208,'ng'),(692834304,'tz'),(692838400,'za'),(692842496,'zm'),(692846592,'mz'),(692969472,'tz'),(692971520,'za'),(692973568,'mz'),(692975616,'eg'),(692977664,'tz'),(692978688,'za'),(692979712,'ng'),(692981760,'ao'),(693101568,'ke'),(693102592,'cd'),(693103616,'gn'),(693104640,'za'),(693105664,'mz'),(693106688,'tz'),(693107712,'ke'),(693895168,'ma'),(693927936,'cm'),(694026240,'mz'),(694157312,'dz'),(695205888,'za'),(696254464,'eg'),(696516608,'za'),(696778752,'mu'),(696844288,'ma'),(696909824,'ug'),(696918016,'ne'),(696926208,'za'),(696928256,'bw'),(696930304,'rw'),(696932352,'bj'),(696933376,'tz'),(696934400,'bf'),(696942592,'mr'),(696950784,'ng'),(696958976,'tz'),(696963072,'ug'),(696967168,'mz'),(696971264,'ke'),(696975360,'gh'),(696991744,'ng'),(697008128,'ke'),(697040896,'ma'),(697303040,'za'),(697827328,'eg'),(697958400,'za'),(698023936,'ng'),(698056704,'eg'),(698089472,'za'),(698220544,'ga'),(698351616,'za'),(699400192,'eg'),(699465728,'za'),(699531264,'eg'),(699662336,'za'),(699793408,'na'),(699858944,'za'),(699924480,'ng'),(699990016,'za'),(700055552,'rw'),(700121088,'eg'),(700186624,'mg'),(700203008,'mr'),(700219392,'tz'),(700235776,'za'),(700252160,'ng'),(700260352,'ci'),(700268544,'za'),(700276736,'ci'),(700284928,'gh'),(700293120,'eg'),(700301312,'cd'),(700309504,'dj'),(700317696,'ng'),(700325888,'zw'),(700334080,'bj'),(700335104,'gh'),(700336128,'cg'),(700338176,'cd'),(700339200,'na'),(700340224,'gh'),(700341248,'mw'),(700342272,'na'),(700350464,'ug'),(700358656,'mz'),(700366848,'ug'),(700375040,'cm'),(700376064,'ne'),(700377088,'ke'),(700378112,'mg'),(700379136,'ng'),(700380160,'bw'),(700381184,'eg'),(700382208,'ke'),(700383232,'eg'),(700399616,'ao'),(700400640,'ci'),(700401664,'mz'),(700402688,'ug'),(700403712,'eg'),(700404736,'bj'),(700405760,'za'),(700406784,'tz'),(700407808,'gh'),(700408832,'cm'),(700409856,'lr'),(700410880,'ng'),(700411904,'ke'),(700412928,'zm'),(700413952,'sc'),(700414976,'mu'),(700416000,'za'),(700432384,'ke'),(700434432,'ls'),(700436480,'ug'),(700438528,'ke'),(700442624,'zw'),(700444672,'gh'),(700446720,'sl'),(700447744,'dz'),(700448768,'za'),(700710912,'eg'),(700776448,'rw'),(700841984,'za'),(700907520,'eg'),(700973056,'dz'),(701104128,'gh'),(701112320,'za'),(701120512,'ci'),(701145088,'sd'),(701153280,'cm'),(701161472,'ug'),(701169664,'za'),(701186048,'ng'),(701202432,'ne'),(701210624,'za'),(701214720,'ls'),(701218816,'ml'),(701222912,'ke'),(701227008,'bf'),(701231104,'sc'),(701235200,'sz'),(701243392,'gh'),(701251584,'cm'),(701259776,'mg'),(701267968,'tz'),(701276160,'ke'),(701284352,'za'),(701292544,'ng'),(701300736,'cm'),(701308928,'ao'),(701317120,'cm'),(701325312,'eg'),(701333504,'na'),(701341696,'ng'),(701349888,'ma'),(701358080,'sl'),(701366272,'ng'),(701374464,'ke'),(701382656,'ci'),(701399040,'eg'),(701407232,'za'),(701423616,'ng'),(701431808,'ci'),(701440000,'mg'),(701448192,'ke'),(701464576,'mu'),(701472768,'tg'),(701480960,'ci'),(701489152,'za'),(701513728,'ly'),(701530112,'sn'),(701546496,'za'),(701562880,'ke'),(701579264,'sd'),(701595648,'dz'),(701612032,'eg'),(701628416,'gh'),(701644800,'dz'),(701661184,'ug'),(701677568,'ao'),(701693952,'gh'),(701702144,'sz'),(701710336,'mu'),(701718528,'cm'),(701726720,'ga'),(701743104,'ng'),(701759488,'ke'),(701792256,'mu'),(701825024,'za'),(701857792,'re'),(701890560,'sn'),(701923328,'ma'),(701956096,'ke'),(701992960,'sz'),(701997056,'gh'),(702001152,'zm'),(702005248,'ke'),(702009344,'cv'),(702013440,'ke'),(702015488,'za'),(702017536,'eg'),(702018560,'ng'),(702019584,'rw'),(702020608,'cd'),(702021632,'zm'),(702029824,'bj'),(702038016,'zm'),(702046208,'rw'),(702054400,'za'),(702058496,'bf'),(702062592,'ng'),(702066688,'cm'),(702070784,'za'),(702074880,'bw'),(702076928,'tz'),(702078976,'ma'),(702080000,'mw'),(702081024,'ng'),(702082048,'ao'),(702083072,'ci'),(702087168,'ng'),(702119936,'cm'),(702128128,'eg'),(702136320,'za'),(702137344,'mg'),(702138368,'tz'),(702139392,'ng'),(702140416,'mz'),(702141440,'mu'),(702142464,'mw'),(702143488,'ke'),(702144512,'eg'),(702146560,'ug'),(702148608,'za'),(702150656,'zm'),(702152704,'sd'),(702169088,'na'),(702185472,'eg'),(702201856,'gh'),(702218240,'sn'),(702234624,'na'),(702251008,'ng'),(702283776,'ug'),(702287872,'zw'),(702291968,'mz'),(702296064,'gh'),(702300160,'ng'),(702304256,'sl'),(702308352,'sc'),(702312448,'ke'),(702316544,'tz'),(702320640,'dz'),(702324736,'mz'),(702328832,'tz'),(702332928,'mz'),(702337024,'ug'),(702341120,'ke'),(702345216,'tz'),(702349312,'za'),(702353408,'dz'),(702357504,'tz'),(702365696,'mz'),(702369792,'ug'),(702373888,'mw'),(702377984,'ng'),(702382080,'eg'),(702386176,'zw'),(702390272,'ng'),(702394368,'ml'),(702398464,'cv'),(702402560,'gh'),(702406656,'za'),(702410752,'ao'),(702414848,'ug'),(702416896,'ke'),(702418944,'zm'),(702420992,'tz'),(702423040,'za'),(702425088,'ng'),(702427136,'za'),(702429184,'tz'),(702431232,'ng'),(702435328,'mz'),(702437376,'tz'),(702439424,'mu'),(702441472,'za'),(702443520,'gq'),(702445568,'ke'),(702447616,'eg'),(702449664,'za'),(702451712,'ng'),(702453760,'tz'),(702455808,'ke'),(702457856,'eg'),(702459904,'tz'),(702461952,'mw'),(702464000,'bj'),(702465024,'cd'),(702467072,'sc'),(702468096,'ng'),(702469120,'za'),(702470144,'cd'),(702471168,'za'),(702474240,'gh'),(702475264,'ao'),(702476288,'zm'),(702477312,'rw'),(702478336,'ao'),(702481408,'tz'),(702482432,'za'),(702483456,'bw'),(702484480,'tz'),(702485504,'eg'),(702486528,'ng'),(702487552,'cm'),(702488576,'za'),(702490624,'ao'),(702492672,'ke'),(702493696,'eg'),(702494720,'ke'),(702495744,'za'),(702496768,'ng'),(702497792,'za'),(702498816,'bw'),(702499840,'mu'),(702500864,'na'),(702501888,'ug'),(702502912,'sl'),(702504960,'ga'),(702505984,'ao'),(702507008,'cd'),(702508032,'ke'),(702510080,'zm'),(702511104,'za'),(702512128,'mz'),(702513152,'ng'),(702514176,'sl'),(702515200,'ng'),(702516224,'bw'),(702517248,'ng'),(702518272,'ke'),(702519296,'mz'),(702520320,'ao'),(702521344,'sd'),(702522368,'ao'),(702523392,'ng'),(702524416,'za'),(702525440,'dz'),(702526464,'tz'),(702527488,'cf'),(702530560,'eg'),(702531584,'sd'),(702532608,'sc'),(702533632,'ci'),(702534656,'gm'),(702535680,'sc'),(702536704,'mu'),(702537728,'rw'),(702538752,'tz'),(702539776,'bf'),(702540800,'za'),(702541824,'eg'),(702542848,'za'),(702543872,'bj'),(702544896,'za'),(702545920,'tn'),(703070208,'eg'),(703594496,'za'),(704118784,'ma'),(704380928,'ly'),(1040728064,'ke'),(1040998400,'eg'),(1041784832,'ke'),(1044652032,'ly'),(1044701184,'eg'),(1047658496,'eg'),(1047863296,'eg'),(1049034752,'eg'),(1049296896,'eg'),(1049378816,'eg'),(1051533312,'ng'),(1052852224,'eg'),(1052876800,'ng'),(1055924224,'ly'),(1055940608,'eg'),(1056014336,'eg'),(1056669696,'ma'),(1077506048,'ls'),(1107820544,'za'),(1108492288,'za'),(1161773056,'sz'),(1162027008,'za'),(1306263552,'ke'),(1346920448,'ke'),(1347133440,'eg'),(1347895296,'gh'),(1357955072,'ke'),(1358299136,'dz'),(1358430208,'ng'),(1358446592,'tg'),(1358512128,'dz'),(1358569472,'ng'),(1359216640,'eg'),(1359609856,'eg'),(1360355328,'eg'),(1360412672,'dz'),(1360674816,'dz'),(1360879616,'eg'),(1364975616,'bj'),(1371537408,'ma'),(1382383616,'dz'),(1384120320,'ng'),(1384218624,'eg'),(1385644032,'mr'),(1388937216,'eg'),(1401886720,'bw'),(1411645440,'eg'),(1422745600,'eg'),(1424556032,'eg'),(1476354048,'ke'),(2308833280,'za'),(2312503296,'za'),(2335506432,'za'),(2407530496,'za'),(2409627648,'za'),(2453667840,'za'),(2458714112,'za'),(2461401088,'za'),(2464546816,'za'),(2473459712,'za'),(2557083648,'za'),(2610888704,'za'),(2615672832,'za'),(2617769984,'za'),(2691891200,'za'),(2742616064,'eg'),(2747465728,'za'),(2757230592,'za'),(2761031680,'za'),(2761621504,'za'),(2768437248,'za'),(2768764928,'za'),(2769879040,'za'),(2777612288,'za'),(2779054080,'za'),(2780037120,'za'),(2783379456,'gn'),(2783510528,'za'),(2790588416,'za'),(2823553024,'za'),(2823815168,'za'),(2824404992,'za'),(2826960896,'za'),(2827878400,'za'),(2828730368,'za'),(2829320192,'za'),(2829516800,'bw'),(2829844480,'za'),(2832072704,'za'),(2832269312,'za'),(2843803648,'za'),(2848587776,'za'),(3223390720,'za'),(3224003328,'za'),(3224435968,'za'),(3224692736,'dz'),(3225717248,'tn'),(3225873664,'za'),(3226635776,'za'),(3226792960,'za'),(3227401472,'za'),(3227439616,'za'),(3227447296,'za'),(3227448832,'za'),(3227517184,'za'),(3227779328,'za'),(3227880960,'eg'),(3227912448,'za'),(3228430848,'za'),(3230005760,'za'),(3230152448,'bf'),(3231563264,'za'),(3233588224,'ga'),(3233630976,'za'),(3233647360,'ga'),(3236429312,'za'),(3237319680,'dz'),(3237726720,'gh'),(3239171840,'cm'),(3239307264,'eg'),(3240727040,'dz'),(3244228608,'tn'),(3245086464,'gh'),(3245087744,'gh'),(3245135360,'ug'),(3245145088,'ug'),(3245163008,'ke'),(3245238272,'cd'),(3250325248,'ma'),(3250388992,'ng'),(3250405376,'ng'),(3250421760,'ng'),(3250716928,'ma'),(3250724864,'ma'),(3250733056,'dz'),(3250749440,'gh'),(3250757632,'gh'),(3252541952,'ci'),(3252912128,'eg'),(3255230464,'ma'),(3255386112,'ke'),(3255390720,'ke'),(3259981824,'eg'),(3268198400,'ma'),(3273150464,'dz'),(3273179136,'cm'),(3274168832,'dz'),(3282493440,'ng'),(3284811776,'ke'),(3286923264,'cm'),(3286935552,'eg'),(3286939904,'eg'),(3286957056,'eg'),(3288334336,'ug'),(3288399872,'za'),(3288400896,'ke'),(3288401664,'mu'),(3288401920,'za'),(3288406528,'ke'),(3288407040,'na'),(3288408064,'za'),(3288413184,'tz'),(3288414208,'za'),(3288418048,'za'),(3288418816,'za'),(3288423424,'sn'),(3288425728,'za'),(3288429312,'za'),(3288429568,'gh'),(3288430336,'eg'),(3288430592,'sc'),(3288432640,'za'),(3288434944,'gh'),(3288436480,'eg'),(3288436736,'za'),(3288444928,'ng'),(3288449024,'sd'),(3288465920,'za'),(3288467456,'bi'),(3288469504,'za'),(3288485888,'ma'),(3288489984,'za'),(3288514560,'eg'),(3288534528,'eg'),(3288545536,'za'),(3288545792,'ke'),(3288546304,'ng'),(3288547328,'gh'),(3288553984,'cm'),(3288554496,'za'),(3288555008,'na'),(3288555520,'mz'),(3288557824,'za'),(3288558336,'za'),(3288558848,'mu'),(3288559104,'za'),(3288568832,'za'),(3288570368,'za'),(3288577024,'ng'),(3288588288,'za'),(3288614656,'za'),(3288616960,'zw'),(3288617216,'za'),(3288661760,'ls'),(3288662016,'za'),(3289041408,'ng'),(3289041664,'za'),(3289086976,'sz'),(3289087232,'za'),(3289123328,'na'),(3289123584,'eg'),(3289123840,'zm'),(3289124864,'za'),(3289153536,'rw'),(3289169920,'ma'),(3289186560,'za'),(3289229312,'sz'),(3289229824,'za'),(3289333760,'za'),(3289645056,'na'),(3289653248,'eg'),(3289661440,'dz'),(3289677824,'mu'),(3289710592,'za'),(3289777408,'eg'),(3289777664,'ng'),(3289777920,'eg'),(3289778176,'cd'),(3289779200,'gw'),(3289780224,'za'),(3289788416,'mz'),(3289792512,'za'),(3289809408,'eg'),(3289809664,'ke'),(3289809920,'za'),(3289812992,'mu'),(3289817088,'za'),(3290120192,'mu'),(3290128384,'zw'),(3290169344,'za'),(3290171136,'sz'),(3290171392,'za'),(3290171904,'ng'),(3290172160,'ke'),(3290172416,'za'),(3290185728,'za'),(3290226688,'mz'),(3290230784,'bf'),(3290234880,'za'),(3290243072,'zw'),(3290245120,'dz'),(3290247168,'tz'),(3290259456,'gh'),(3290267648,'za'),(3290275840,'sd'),(3290284032,'ao'),(3290288128,'ng'),(3290292224,'gh'),(3290296320,'za'),(3290456064,'mz'),(3290472448,'za'),(3290480640,'ao'),(3290482688,'cf'),(3290484736,'za'),(3290486784,'sc'),(3290497024,'za'),(3290980352,'za'),(3291029504,'tz'),(3291045888,'za'),(3291078656,'dz'),(3291152384,'za'),(3291168768,'tz'),(3291176960,'zw'),(3291185152,'ug'),(3291217920,'za'),(3291230208,'gh'),(3291234304,'za'),(3291242496,'gh'),(3291250688,'na'),(3291258880,'tz'),(3291262976,'zw'),(3291267072,'za'),(3291279360,'rw'),(3291283456,'na'),(3291287552,'za'),(3291291648,'tz'),(3291295744,'ng'),(3291299840,'za'),(3291316224,'tz'),(3291324416,'ao'),(3291325440,'bw'),(3291326464,'za'),(3291330560,'tz'),(3291331584,'mw'),(3291332608,'ng'),(3291348992,'mz'),(3291353344,'eg'),(3291353600,'zm'),(3291354112,'ng'),(3291354368,'ao'),(3291357184,'mu'),(3291365376,'za'),(3291367424,'ao'),(3291369472,'gh'),(3291373568,'tz'),(3291377664,'za'),(3291379712,'tz'),(3291380736,'zm'),(3291381760,'tz'),(3291383808,'za'),(3291385856,'ng'),(3291386880,'sc'),(3291387904,'bj'),(3291388928,'ga'),(3291389952,'za'),(3291397120,'eg'),(3291398144,'zm'),(3291406336,'za'),(3291408384,'gm'),(3291410432,'ng'),(3291412480,'dz'),(3291414528,'za'),(3291447296,'ci'),(3300917248,'mu'),(3300925440,'mg'),(3300933632,'mu'),(3301441536,'ng'),(3301445632,'ke'),(3301453824,'ml'),(3301457920,'ng'),(3301462016,'ml'),(3301466112,'er'),(3301470208,'ng'),(3301474304,'ma'),(3301490688,'dz'),(3301494784,'mu'),(3301507328,'zw'),(3301507584,'gh'),(3301507840,'eg'),(3301508096,'mw'),(3301508608,'za'),(3301510144,'mw'),(3301511168,'zw'),(3301513216,'eg'),(3301515264,'gh'),(3301523456,'ci'),(3301539840,'ke'),(3301548032,'gh'),(3301556224,'dj'),(3301560320,'ke'),(3301568512,'eg'),(3301570560,'ke'),(3301572608,'eg'),(3301605376,'sd'),(3301621760,'ke'),(3301632000,'cm'),(3301634048,'ls'),(3301636096,'za'),(3301637120,'ao'),(3301638144,'tn'),(3301703680,'eg'),(3301834752,'ma'),(3301900288,'ng'),(3301904384,'ke'),(3301908480,'za'),(3301912576,'mu'),(3301933056,'ng'),(3301949440,'sn'),(3301965824,'za'),(3302490624,'za'),(3302491136,'mu'),(3302492160,'mw'),(3302494208,'za'),(3302498304,'na'),(3302506496,'ke'),(3302525952,'eg'),(3302526976,'ng'),(3302529024,'za'),(3302530048,'tn'),(3302531072,'cf'),(3302531328,'ao'),(3302531584,'tz'),(3302531840,'bw'),(3302532096,'na'),(3302533888,'mu'),(3302552576,'tz'),(3302552832,'ke'),(3302553088,'eg'),(3302553344,'tz'),(3302553600,'ao'),(3302554112,'za'),(3302554368,'ng'),(3302554624,'eg'),(3302554880,'ng'),(3302555136,'za'),(3302555392,'ng'),(3302555648,'ma'),(3302621184,'eg'),(3302752256,'ng'),(3302760448,'za'),(3302817792,'eg'),(3302883328,'mu'),(3302949120,'ao'),(3302949376,'zm'),(3302949632,'bi'),(3302949888,'ci'),(3302950144,'tz'),(3302950656,'eg'),(3302950912,'za'),(3302951424,'sl'),(3302951680,'ke'),(3321886720,'za'),(3325427968,'za'),(3356493824,'za'),(3397058560,'mu'),(3423371264,'za'),(3428299520,'za'),(3432517120,'na'),(3437961216,'za'),(3449769728,'za'),(3470755840,'za'),(3519741952,'za'),(3520356352,'za'),(3556802560,'sd'),(3557613568,'eg'),(3558252544,'ke'),(3559997440,'ke'),(3560210432,'bf'),(3560718336,'gm'),(3562389504,'gh'),(3562561536,'ug'),(3563061248,'gh'),(3563339776,'ng'),(3563560960,'eg'),(3564822528,'eg'),(3570991104,'ma'),(3577167872,'et'),(3582148608,'eg'),(3582484480,'ci'),(3583197184,'ke'),(3583401984,'ke'),(3583418368,'tn'),(3583426560,'ci'),(3583524864,'eg'),(3583647744,'eg'),(3583655936,'sn'),(3583942656,'eg'),(3585318912,'dz'),(3585466368,'eg'),(3586203648,'za'),(3587489792,'eg'),(3589734400,'eg'),(3590291456,'eg'),(3639390208,'za'),(3641593856,'ng'),(3642023936,'eg'),(3642060800,'ke'),(3642589184,'eg'),(3642609664,'dz'),(3644063744,'eg'),(3644874752,'ml'),(3645718528,'ga'),(3648323584,'ng'),(3649765376,'eg'),(3651833856,'ml'),(3653734400,'ke'),(721420288,'jp'),(973078528,'jp'),(973209600,'in'),(973275136,'jp'),(973471744,'au'),(973602816,'th'),(973864960,'jp'),(973996032,'cn'),(974782464,'my'),(974880768,'pk'),(974913536,'nz'),(974979072,'kr'),(975044608,'cn'),(977272832,'th'),(977305600,'hk'),(977338368,'sg'),(977346560,'jp'),(977354752,'kr'),(977371136,'pk'),(977395712,'bd'),(977399808,'id'),(977401856,'au'),(977403904,'cn'),(977534976,'in'),(977567744,'cn'),(977600512,'ph'),(977666048,'jp'),(977731584,'ph'),(977764352,'my'),(977797120,'kr'),(978321408,'jp'),(978452480,'cn'),(978583552,'jp'),(978599936,'au'),(978640896,'nz'),(978649088,'jp'),(978714624,'tw'),(978780160,'au'),(978784256,'jp'),(978788352,'kr'),(978796544,'cn'),(978812928,'jp'),(979369984,'au'),(979435520,'th'),(979501056,'jp'),(979566592,'tw'),(979599360,'cn'),(979763200,'kr'),(979894272,'au'),(980418560,'jp'),(980549632,'tw'),(980680704,'cn'),(980942848,'kr'),(981467136,'cn'),(981991424,'th'),(982122496,'jp'),(982171648,'kr'),(982188032,'my'),(982253568,'kr'),(982515712,'cn'),(982581248,'kr'),(982614016,'au'),(982622208,'jp'),(982624256,'id'),(982628352,'bd'),(982630400,'sg'),(982646784,'jp'),(982671360,'in'),(982679552,'sg'),(982695936,'kr'),(982712320,'th'),(982745088,'af'),(982753280,'jp'),(982755328,'bd'),(982759424,'id'),(982761472,'jp'),(982777856,'kr'),(983040000,'hk'),(983171072,'cn'),(983302144,'jp'),(983564288,'au'),(984612864,'hk'),(984743936,'au'),(984875008,'kr'),(984956928,'au'),(984965120,'pk'),(984973312,'th'),(985006080,'sg'),(985071616,'jp'),(985137152,'kr'),(985202688,'sg'),(985268224,'vn'),(985399296,'jp'),(985661440,'cn'),(987758592,'kr'),(988807168,'cn'),(989855744,'kr'),(991952896,'cn'),(995360768,'jp'),(995532800,'au'),(995540992,'kr'),(995557376,'jp'),(995622912,'in'),(996409344,'au'),(996605952,'pk'),(996671488,'tw'),(996802560,'jp'),(996868096,'cn'),(997195776,'tw'),(998244352,'jp'),(999292928,'in'),(999424000,'jp'),(999555072,'hk'),(999686144,'kr'),(999751680,'cn'),(999784448,'jp'),(999800832,'kr'),(999817216,'bd'),(999849984,'kr'),(999866368,'hk'),(999882752,'jp'),(999948288,'au'),(1000013824,'cn'),(1000079360,'jp'),(1000341504,'in'),(1000734720,'jp'),(1000800256,'au'),(1000865792,'jp'),(1001127936,'cn'),(1001390080,'in'),(1002045440,'kr'),(1002176512,'hk'),(1002242048,'sg'),(1002307584,'jp'),(1002373120,'cn'),(1002405888,'jp'),(1002422272,'au'),(1002434560,'cn'),(1008730112,'jp'),(1009778688,'my'),(1010237440,'cn'),(1010302976,'jp'),(1010761728,'cn'),(1010827264,'jp'),(1017118720,'cn'),(1019215872,'jp'),(1019346944,'cn'),(1019478016,'kr'),(1019609088,'tw'),(1019740160,'cn'),(1021313024,'au'),(1021837312,'cn'),(1021968384,'nz'),(1022033920,'cn'),(1022099456,'jp'),(1022361600,'au'),(1022558208,'in'),(1022623744,'tw'),(1022722048,'cn'),(1022885888,'tw'),(1023148032,'cn'),(1023238144,'id'),(1023246336,'cn'),(1023279104,'in'),(1023311872,'us'),(1023328256,'jp'),(1023344640,'cn'),(1023410176,'in'),(1023672320,'hk'),(1023692800,'cn'),(1023696896,'my'),(1023705088,'jp'),(1023717376,'cn'),(1023721472,'kr'),(1023737856,'id'),(1023770624,'pk'),(1023778816,'kr'),(1023791104,'nc'),(1023795200,'jp'),(1023803392,'my'),(1023852544,'bn'),(1023868928,'jp'),(1023901696,'th'),(1023934464,'au'),(1023950848,'id'),(1023954944,'jp'),(1023959040,'au'),(1023967232,'in'),(1023975424,'cn'),(1023979520,'au'),(1023983616,'sg'),(1024000000,'ph'),(1024032768,'au'),(1024065536,'hk'),(1024131072,'in'),(1024163840,'jp'),(1024184320,'my'),(1024196608,'in'),(1024229376,'jp'),(1024262144,'sg'),(1024327680,'ap'),(1024344064,'sg'),(1024352256,'au'),(1024360448,'ap'),(1024376832,'ph'),(1024393216,'hk'),(1024458752,'sg'),(1024491520,'in'),(1024589824,'hk'),(1024655360,'th'),(1024720896,'tw'),(1024786432,'jp'),(1025245184,'cn'),(1025277952,'ph'),(1025294336,'au'),(1025302528,'vn'),(1025310720,'au'),(1025343488,'cn'),(1025376256,'tw'),(1025507328,'kr'),(1026293760,'jp'),(1026392064,'cn'),(1026408448,'jp'),(1026416640,'id'),(1026424832,'jp'),(1026490368,'th'),(1026523136,'cn'),(1026539520,'kr'),(1026555904,'cn'),(1027080192,'tw'),(1027866624,'au'),(1027997696,'tw'),(1028128768,'kr'),(1029046272,'jp'),(1029144576,'sg'),(1029160960,'cn'),(1029177344,'au'),(1029242880,'jp'),(1029308416,'th'),(1029439488,'hk'),(1029570560,'id'),(1029636096,'au'),(1029668864,'in'),(1029701632,'kr'),(1030750208,'jp'),(1031798784,'cn'),(1035993088,'jp'),(1037565952,'tw'),(1038614528,'cn'),(1039007744,'hk'),(1039138816,'cn'),(1039400960,'hk'),(1039466496,'jp'),(1039499264,'au'),(1039515648,'jp'),(1039523840,'kr'),(1039532032,'in'),(1039597568,'id'),(1039613952,'kr'),(1039638528,'tw'),(1039646720,'kr'),(1039654912,'in'),(1039663104,'kr'),(1845493760,'jp'),(1845755904,'hk'),(1845764096,'jp'),(1845766144,'my'),(1845768192,'jp'),(1845772288,'kr'),(1845788672,'jp'),(1845837824,'ph'),(1845839872,'in'),(1845841920,'au'),(1845846016,'id'),(1845850112,'ws'),(1845851136,'au'),(1845852160,'jp'),(1845854208,'kr'),(1845886976,'cn'),(1846018048,'kr'),(1846542336,'cn'),(1846804480,'au'),(1847066624,'tw'),(1847590912,'au'),(1847721984,'np'),(1847730176,'pk'),(1847732224,'af'),(1847734272,'nz'),(1847736320,'ap'),(1847738368,'kr'),(1847754752,'ap'),(1847787520,'kr'),(1847803904,'vn'),(1847808000,'id'),(1847812096,'kr'),(1847853056,'pk'),(1848115200,'cn'),(1848377344,'hk'),(1848381440,'nz'),(1848383488,'au'),(1848385536,'kr'),(1848393728,'jp'),(1848401920,'ph'),(1848406016,'np'),(1848410112,'ph'),(1848418304,'au'),(1848420352,'id'),(1848422400,'jp'),(1848424448,'vn'),(1848426496,'kr'),(1848639488,'cn'),(1848705024,'th'),(1848770560,'jp'),(1848774656,'au'),(1848778752,'in'),(1848786944,'jp'),(1848791040,'id'),(1848793088,'jp'),(1848803328,'tw'),(1848819712,'jp'),(1848827904,'ph'),(1848832000,'jp'),(1848836096,'cn'),(1849032704,'jp'),(1849065472,'ph'),(1849163776,'cn'),(1849819136,'jp'),(1849950208,'kr'),(1850212352,'cn'),(1850343424,'jp'),(1850376192,'my'),(1850392576,'kh'),(1850400768,'jp'),(1850408960,'cn'),(1850490880,'kr'),(1850507264,'au'),(1850511360,'id'),(1850513408,'th'),(1850515456,'in'),(1850519552,'au'),(1850522624,'hk'),(1850523648,'cn'),(1850572800,'th'),(1850671104,'hk'),(1850736640,'cn'),(1851523072,'jp'),(1851527168,'nz'),(1851529216,'ph'),(1851531264,'jp'),(1851539456,'id'),(1851542528,'hk'),(1851543552,'jp'),(1851547648,'sg'),(1851555840,'kr'),(1851588608,'jp'),(1851590656,'au'),(1851594752,'kr'),(1851596800,'in'),(1851604992,'ph'),(1851613184,'jp'),(1851617280,'kr'),(1851637760,'pk'),(1851654144,'cn'),(1853882368,'jp'),(1854406656,'id'),(1854668800,'au'),(1855455232,'cn'),(1855848448,'jp'),(1855913984,'my'),(1855979520,'jp'),(1856241664,'th'),(1856307200,'kr'),(1856315392,'hk'),(1856323584,'kr'),(1856339968,'jp'),(1856372736,'cn'),(1856503808,'th'),(1856765952,'jp'),(1856770048,'in'),(1856774144,'jp'),(1856779264,'in'),(1856780288,'jp'),(1856782336,'kr'),(1856798720,'in'),(1856815104,'cn'),(1856843776,'hk'),(1856847872,'cn'),(1856864256,'au'),(1856872448,'nz'),(1856880640,'cn'),(1856888832,'au'),(1856892928,'jp'),(1856897024,'au'),(1857028096,'cn'),(1860173824,'in'),(1860435968,'cn'),(1860698112,'jp'),(1860706304,'cn'),(1860714496,'id'),(1860722688,'kr'),(1860726784,'au'),(1860728832,'jp'),(1860734976,'nz'),(1860737024,'jp'),(1860739072,'ph'),(1860743168,'au'),(1860747264,'jp'),(1860759552,'au'),(1860763648,'jp'),(1860829184,'in'),(1860960256,'cn'),(1861091328,'au'),(1861222400,'cn'),(1866465280,'jp'),(1866530816,'sg'),(1866563584,'kr'),(1866579968,'jp'),(1866588160,'nz'),(1866596352,'cn'),(1866661888,'au'),(1866670080,'my'),(1866674176,'tw'),(1866678272,'id'),(1866686464,'kh'),(1866690560,'jp'),(1866711040,'cn'),(1866715136,'kr'),(1866727424,'hk'),(1866731520,'jp'),(1866733568,'id'),(1866735616,'ph'),(1866743808,'cn'),(1866752000,'pk'),(1866756096,'id'),(1866760192,'jp'),(1866792960,'nz'),(1866858496,'tw'),(1866989568,'cn'),(1867513856,'tw'),(1867776000,'th'),(1867841536,'cn'),(1867907072,'jp'),(1868038144,'pk'),(1868103680,'jp'),(1868201984,'my'),(1868210176,'jp'),(1868212224,'in'),(1868214272,'kh'),(1868218368,'sg'),(1868234752,'in'),(1868267520,'kr'),(1868283904,'cn'),(1868292096,'in'),(1868294144,'vn'),(1868295168,'hk'),(1868296192,'jp'),(1868300288,'in'),(1868333056,'pk'),(1868341248,'id'),(1868345344,'au'),(1868349440,'sg'),(1868357632,'hk'),(1868361728,'kh'),(1868362752,'jp'),(1868363776,'bd'),(1868365824,'in'),(1868431360,'id'),(1868562432,'jp'),(1869611008,'cn'),(1870004224,'kr'),(1870036992,'kh'),(1870045184,'au'),(1870069760,'ap'),(1870086144,'cn'),(1870110720,'pk'),(1870118912,'in'),(1870135296,'cn'),(1870462976,'jp'),(1870479360,'ph'),(1870495744,'tw'),(1870497792,'in'),(1870499840,'jp'),(1870501888,'af'),(1870503936,'au'),(1870512128,'in'),(1870528512,'cn'),(1873281024,'jp'),(1873412096,'cn'),(1873477632,'kr'),(1873510400,'jp'),(1873543168,'cn'),(1874329600,'tw'),(1874460672,'cn'),(1874591744,'jp'),(1874853888,'cn'),(1876426752,'jp'),(1876557824,'kr'),(1876688896,'au'),(1876754432,'bd'),(1876756480,'sg'),(1876762624,'kr'),(1876764672,'id'),(1876765696,'sg'),(1876766720,'my'),(1876768768,'au'),(1876769792,'jp'),(1876770816,'sg'),(1876787200,'cn'),(1876885504,'ph'),(1876893696,'th'),(1876901888,'sg'),(1876918272,'lk'),(1876934656,'jp'),(1876942848,'au'),(1876951040,'cn'),(1877475328,'jp'),(1877688320,'in'),(1877689344,'th'),(1877690368,'in'),(1877691392,'jp'),(1877692416,'ph'),(1877696512,'cn'),(1877704704,'au'),(1877706752,'sg'),(1877707776,'au'),(1877710848,'ap'),(1877711872,'bd'),(1877712896,'cn'),(1877721088,'tw'),(1877737472,'jp'),(1877999616,'tw'),(1879048192,'cn'),(1883504640,'jp'),(1883766784,'mn'),(1883770880,'kr'),(1883783168,'vn'),(1883799552,'kr'),(1883832320,'cn'),(1884028928,'kr'),(1884160000,'vn'),(1884164096,'tw'),(1884168192,'id'),(1884172288,'ph'),(1884176384,'tw'),(1884184576,'id'),(1884186624,'tw'),(1884188672,'jp'),(1884192768,'id'),(1884209152,'jp'),(1884217344,'sg'),(1884225536,'in'),(1884291072,'cn'),(1885863936,'tw'),(1885995008,'kr'),(1886191616,'ph'),(1886195712,'id'),(1886199808,'kr'),(1886208000,'nz'),(1886224384,'cn'),(1886257152,'in'),(1886322688,'cn'),(1886781440,'hk'),(1886978048,'kr'),(1886986240,'tw'),(1886990336,'in'),(1886994432,'tw'),(1887010816,'th'),(1887019008,'hk'),(1887027200,'kr'),(1887043584,'cn'),(1887764480,'kr'),(1887813632,'in'),(1887830016,'lk'),(1887961088,'jp'),(1887993856,'kr'),(1888026624,'bd'),(1888030720,'hk'),(1888034816,'jp'),(1888038912,'in'),(1888040960,'jp'),(1888059392,'vn'),(1888063488,'jp'),(1888067584,'my'),(1888071680,'kr'),(1888073728,'jp'),(1888239616,'kr'),(1888256000,'jp'),(1888260096,'kr'),(1888264192,'id'),(1888266240,'jp'),(1888268288,'au'),(1888270336,'sg'),(1888271360,'th'),(1888272384,'kr'),(1888288768,'au'),(1888354304,'th'),(1888485376,'kr'),(1891631104,'cn'),(1891893248,'in'),(1891942400,'kr'),(1891950592,'ph'),(1891958784,'vn'),(1892024320,'ph'),(1892122624,'sg'),(1892155392,'ph'),(1892941824,'kr'),(1893015552,'au'),(1893023744,'hk'),(1893027840,'vn'),(1893031936,'hk'),(1893040128,'au'),(1893072896,'kr'),(1893138432,'id'),(1893203968,'kr'),(1893728256,'cn'),(1896480768,'kr'),(1896497152,'sg'),(1896513536,'hk'),(1896546304,'bd'),(1896579072,'id'),(1896587264,'sg'),(1896591360,'id'),(1896593408,'au'),(1896595456,'cn'),(1896603648,'in'),(1896605696,'au'),(1896607744,'vu'),(1896611840,'cn'),(1897070592,'in'),(1897136128,'au'),(1897144320,'nc'),(1897152512,'fj'),(1897168896,'au'),(1897170944,'id'),(1897172992,'sg'),(1897175040,'jp'),(1897176064,'sg'),(1897177088,'ph'),(1897185280,'jp'),(1897201664,'kr'),(1897209856,'au'),(1897213952,'jp'),(1897218048,'in'),(1897222144,'tw'),(1897226240,'nc'),(1897234432,'my'),(1897242624,'tw'),(1897250816,'hk'),(1897259008,'nz'),(1897260032,'bd'),(1897261056,'jp'),(1897263104,'th'),(1897265152,'jp'),(1897267200,'vn'),(1897365504,'my'),(1897398272,'cn'),(1897660416,'hk'),(1897725952,'ap'),(1897758720,'kr'),(1897779200,'au'),(1897781248,'jp'),(1897783296,'sg'),(1897787392,'au'),(1897789440,'kh'),(1897790464,'hk'),(1897791488,'kr'),(1897824256,'in'),(1897857024,'cn'),(1897922560,'jp'),(1898708992,'cn'),(1899233280,'au'),(1899241472,'vn'),(1899249664,'mo'),(1899266048,'au'),(1899268096,'kr'),(1899270144,'au'),(1899272192,'sg'),(1899273216,'jp'),(1899274240,'cn'),(1899282432,'kr'),(1899290624,'au'),(1899298816,'th'),(1899364352,'cn'),(1899724800,'kr'),(1899741184,'lk'),(1899750400,'jp'),(1899751424,'id'),(1899753472,'hk'),(1899757568,'kr'),(1899831296,'ph'),(1899839488,'au'),(1899849728,'kr'),(1899850752,'vn'),(1899851776,'jp'),(1899855872,'tw'),(1899888640,'cn'),(1904345088,'jp'),(1904361472,'kr'),(1904369664,'cn'),(1904375808,'nz'),(1904377856,'kr'),(1904476160,'cn'),(1905262592,'jp'),(1906311168,'vn'),(1908408320,'au'),(1908441088,'jp'),(1908473856,'in'),(1908539392,'cn'),(1908670464,'tw'),(1908736000,'au'),(1908744192,'jp'),(1908748288,'pk'),(1908752384,'nz'),(1908754432,'ph'),(1908756480,'kr'),(1908760576,'nz'),(1908762624,'in'),(1908764672,'ap'),(1908768768,'jp'),(1908801536,'kr'),(1908899840,'np'),(1908932608,'cn'),(1909129216,'au'),(1909194752,'cn'),(1909456896,'jp'),(1909473280,'hk'),(1909481472,'cn'),(1909587968,'my'),(1909719040,'cn'),(1909735424,'in'),(1909743616,'au'),(1909745664,'jp'),(1909746688,'my'),(1909747712,'id'),(1909751808,'jp'),(1909760000,'id'),(1909762048,'au'),(1909764096,'ph'),(1909766144,'au'),(1909768192,'hk'),(1909784576,'cn'),(1909817344,'jp'),(1909850112,'cn'),(1909981184,'kr'),(1910112256,'cn'),(1912340480,'hk'),(1912602624,'id'),(1913651200,'jp'),(1914175488,'tw'),(1914437632,'cn'),(1914503168,'kr'),(1914552320,'ap'),(1914560512,'kh'),(1914568704,'kr'),(1914576896,'tw'),(1914580992,'kr'),(1914585088,'au'),(1914587136,'in'),(1914589184,'id'),(1914593280,'au'),(1914601472,'kr'),(1914634240,'bd'),(1914642432,'kr'),(1914650624,'mn'),(1914652672,'au'),(1914654720,'jp'),(1914658816,'au'),(1914662912,'kr'),(1914667008,'in'),(1914683392,'au'),(1914691584,'in'),(1914695680,'id'),(1914697728,'in'),(1914699776,'tw'),(1915748352,'jp'),(1916010496,'kr'),(1916141568,'cn'),(1916272640,'id'),(1916534784,'cn'),(1917124608,'jp'),(1917169664,'nc'),(1917181952,'in'),(1917190144,'kr'),(1917321216,'au'),(1917845504,'cn'),(1919680512,'kr'),(1919729664,'ph'),(1919746048,'th'),(1919811584,'cn'),(1919815680,'id'),(1919817728,'kr'),(1919819776,'nz'),(1919823872,'jp'),(1919827968,'cn'),(1919885312,'kr'),(1919893504,'jp'),(1919909888,'au'),(1919918080,'cn'),(1919926272,'kr'),(1919942656,'cn'),(1920466944,'id'),(1920991232,'th'),(1921056768,'jp'),(1921058816,'bd'),(1921060864,'id'),(1921062912,'la'),(1921064960,'sg'),(1921069056,'jp'),(1921073152,'kr'),(1921089536,'au'),(1921105920,'kr'),(1921122304,'bd'),(1921253376,'cn'),(1921318912,'my'),(1921384448,'nz'),(1921392640,'jp'),(1921400832,'id'),(1921404928,'hk'),(1921406976,'bd'),(1921409024,'jp'),(1921425408,'nz'),(1921433600,'jp'),(1921449984,'cn'),(1921515520,'tw'),(1921646592,'cn'),(1921777664,'tw'),(1921843200,'kr'),(1921851392,'jp'),(1921853440,'kr'),(1921855488,'id'),(1921861632,'ap'),(1921863680,'bd'),(1921865728,'id'),(1921867776,'au'),(1921875968,'cn'),(1921892352,'au'),(1921900544,'kr'),(1921908736,'jp'),(1921943552,'in'),(1921945600,'hk'),(1921949696,'au'),(1921957888,'gu'),(1921974272,'in'),(1922039808,'jp'),(1925447680,'cn'),(1925578752,'au'),(1925611520,'ph'),(1925619712,'tw'),(1925627904,'jp'),(1925638144,'pk'),(1925640192,'id'),(1925642240,'au'),(1925644288,'kr'),(1925660672,'ap'),(1925664768,'id'),(1925677056,'kr'),(1926234112,'cn'),(1929379840,'kr'),(1930952704,'cn'),(1931345920,'jp'),(1931354112,'au'),(1931362304,'tw'),(1931378688,'jp'),(1931427840,'ph'),(1931431936,'jp'),(1931433984,'au'),(1931436032,'kr'),(1931444224,'th'),(1931460608,'jp'),(1931468800,'sg'),(1931476992,'cn'),(1931739136,'jp'),(1932001280,'kr'),(1932132352,'au'),(1932148736,'pk'),(1932156928,'jp'),(1932161024,'tw'),(1932163072,'ph'),(1932165120,'sg'),(1932197888,'tw'),(1932263424,'cn'),(1933574144,'au'),(1933639680,'jp'),(1933705216,'sg'),(1933770752,'th'),(1933836288,'kr'),(1933901824,'au'),(1933922304,'in'),(1933926400,'kr'),(1933934592,'in'),(1933942784,'au'),(1933950976,'jp'),(1933955072,'bd'),(1933957120,'id'),(1933959168,'jp'),(1933963264,'in'),(1933967360,'au'),(1934098432,'vn'),(1934622720,'tw'),(1934884864,'cn'),(1934901248,'la'),(1934917632,'mv'),(1934925824,'kr'),(1934927872,'ph'),(1934929920,'vn'),(1934931968,'jp'),(1934934016,'cn'),(1934942208,'ph'),(1934966784,'id'),(1934974976,'jp'),(1934983168,'au'),(1934987264,'tw'),(1934991360,'kr'),(1934999552,'cn'),(1935015936,'kr'),(1935081472,'th'),(1935147008,'kr'),(1935671296,'in'),(1935933440,'cn'),(1936457728,'in'),(1937244160,'cn'),(1937506304,'au'),(1937510400,'cn'),(1937514496,'au'),(1937522688,'id'),(1937530880,'in'),(1937539072,'jp'),(1937637376,'hk'),(1937670144,'nz'),(1937674240,'jp'),(1937678336,'nc'),(1937686528,'kr'),(1937702912,'bd'),(1937768448,'au'),(1938030592,'my'),(1938292736,'kr'),(1938948096,'jp'),(1938964480,'au'),(1938972672,'my'),(1938976768,'sg'),(1938978816,'vn'),(1938980864,'ph'),(1939079168,'cn'),(1939865600,'kr'),(1939898368,'hk'),(1939914752,'in'),(1939931136,'kr'),(1939996672,'jp'),(1940127744,'my'),(1940193280,'jp'),(1940234240,'vn'),(1940236288,'au'),(1940238336,'kr'),(1940240384,'jp'),(1940242432,'tw'),(1940258816,'au'),(1940283392,'id'),(1940291584,'ap'),(1940295680,'jp'),(1940324352,'pk'),(1940357120,'jp'),(1940389888,'cn'),(1940914176,'jp'),(1941045248,'ap'),(1941049344,'au'),(1941051392,'kh'),(1941052416,'au'),(1941053440,'kr'),(1941057536,'id'),(1941059584,'th'),(1941061632,'kr'),(1941069824,'in'),(1941071872,'au'),(1941073920,'jp'),(1941075968,'id'),(1941110784,'jp'),(1941176320,'cn'),(1941438464,'in'),(1941569536,'pk'),(1941618688,'au'),(1941635072,'in'),(1941639168,'np'),(1941643264,'in'),(1941651456,'jp'),(1941655552,'kr'),(1941657600,'mn'),(1941658624,'jp'),(1941659648,'nz'),(1941667840,'au'),(1941700608,'nz'),(1941962752,'cn'),(1945108480,'in'),(1946157056,'id'),(1946161152,'au'),(1946165248,'pk'),(1946173440,'sg'),(1946181632,'my'),(1946189824,'jp'),(1946222592,'cn'),(1946943488,'jp'),(1946951680,'bd'),(1946953728,'id'),(1946955776,'jp'),(1946959872,'lk'),(1946976256,'sg'),(1947009024,'cn'),(1947074560,'sg'),(1947205632,'cn'),(1948254208,'kr'),(1949302784,'hk'),(1949437952,'au'),(1949440000,'id'),(1949442048,'tw'),(1949446144,'jp'),(1949448192,'hk'),(1949450240,'in'),(1949466624,'ph'),(1949499392,'sg'),(1949564928,'cn'),(1949958144,'pk'),(1949990912,'cn'),(1949995008,'jp'),(1950007296,'id'),(1950009344,'bd'),(1950011392,'cn'),(1950015488,'th'),(1950023680,'tw'),(1950089216,'cn'),(1950351360,'jp'),(1950482432,'cn'),(1950515200,'in'),(1950523392,'au'),(1950531584,'np'),(1950533632,'id'),(1950535680,'hk'),(1950539776,'au'),(1950543872,'nz'),(1950545920,'ph'),(1950547968,'kr'),(1950613504,'gu'),(1950621696,'kr'),(1950629888,'in'),(1950646272,'vn'),(1950648320,'ph'),(1950650368,'th'),(1950654464,'id'),(1950658560,'ph'),(1950660608,'ap'),(1950662656,'bd'),(1950666752,'np'),(1950668800,'jp'),(1950670848,'id'),(1950672896,'kr'),(1950674944,'in'),(1950676992,'id'),(1950679040,'cn'),(1950777344,'jp'),(1950810112,'pk'),(1950875648,'in'),(1951137792,'cn'),(1951399936,'jp'),(1951662080,'kr'),(1951793152,'sg'),(1952022528,'tw'),(1952026624,'cn'),(1952030720,'kr'),(1952038912,'jp'),(1952047104,'nz'),(1952071680,'hk'),(1952073728,'au'),(1952074752,'nz'),(1952075776,'cn'),(1952079872,'pk'),(1952088064,'nz'),(1952092160,'jp'),(1952096256,'id'),(1952102400,'cn'),(1952104448,'jp'),(1952108544,'id'),(1952110592,'kr'),(1952112640,'np'),(1952116736,'in'),(1952120832,'jp'),(1952186368,'sg'),(1952251904,'ph'),(1952284672,'nz'),(1952301056,'kr'),(1952317440,'jp'),(1952382976,'cn'),(1952448512,'vn'),(1953497088,'cn'),(1953890304,'vn'),(1953923072,'tw'),(1953939456,'jp'),(1953951744,'au'),(1953955840,'in'),(1954021376,'kr'),(1954545664,'cn'),(1958805504,'sg'),(1958807552,'mo'),(1958809600,'cn'),(1958821888,'vn'),(1958825984,'kr'),(1958830080,'jp'),(1958838272,'in'),(1958842368,'nz'),(1958846464,'in'),(1958848512,'bd'),(1958850560,'au'),(1958871040,'cn'),(1959067648,'my'),(1959100416,'id'),(1959102464,'jp'),(1959104512,'au'),(1959108608,'np'),(1959110656,'jp'),(1959112704,'hk'),(1959116800,'sg'),(1959133184,'cn'),(1959239680,'kr'),(1959241728,'in'),(1959243776,'jp'),(1959247872,'id'),(1959251968,'nz'),(1959256064,'au'),(1959264256,'kr'),(1959526400,'cn'),(1959657472,'my'),(1959723008,'cn'),(1960050688,'kr'),(1960067072,'au'),(1960069120,'id'),(1960071168,'tw'),(1960075264,'id'),(1960077312,'bd'),(1960079360,'hk'),(1960083456,'kh'),(1960091648,'cn'),(1960095744,'in'),(1960097792,'bd'),(1960099840,'au'),(1960128512,'id'),(1960132608,'cn'),(1960181760,'tw'),(1960185856,'jp'),(1960187904,'in'),(1960189952,'cn'),(1960202240,'jp'),(1960206336,'sg'),(1960214528,'cn'),(1960574976,'jp'),(1960837120,'cn'),(1961885696,'au'),(1962016768,'cn'),(1962541056,'au'),(1962672128,'cn'),(1962803200,'jp'),(1962827776,'id'),(1962829824,'jp'),(1962831872,'id'),(1962835968,'cn'),(1962868736,'au'),(1962901504,'cn'),(1962934272,'vn'),(1963458560,'cn'),(1963982848,'kr'),(1964113920,'hk'),(1964118016,'id'),(1964120064,'jp'),(1964122112,'sg'),(1964130304,'hk'),(1964134400,'nz'),(1964138496,'hk'),(1964146688,'jp'),(1964171264,'bd'),(1964173312,'au'),(1964175360,'pk'),(1964179456,'tw'),(1964244992,'au'),(1964249088,'pk'),(1964253184,'wf'),(1964255232,'sg'),(1964257280,'id'),(1964261376,'au'),(1964263424,'jp'),(1964265472,'kr'),(1964273664,'kh'),(1964275712,'gu'),(1964277760,'sg'),(1964294144,'kr'),(1964310528,'cn'),(1965948928,'jp'),(1966014464,'th'),(1966080000,'cn'),(1966407680,'jp'),(1966419968,'cn'),(1966424064,'kr'),(1966440448,'au'),(1966444544,'nz'),(1966448640,'au'),(1966452736,'cn'),(1966456832,'kr'),(1966473216,'id'),(1966538752,'jp'),(1966571520,'kr'),(1966587904,'af'),(1966592000,'jp'),(1966596096,'au'),(1966600192,'in'),(1966602240,'kh'),(1966604288,'tw'),(1966669824,'cn'),(1966768128,'kr'),(1966772224,'jp'),(1966776320,'sg'),(1966784512,'ph'),(1966792704,'jp'),(1966796800,'bd'),(1966798848,'au'),(1966800896,'cn'),(1967783936,'jp'),(1967800320,'cn'),(1967808512,'au'),(1967812608,'id'),(1967816704,'cn'),(1969225728,'in'),(1969487872,'cn'),(1969618944,'pk'),(1969635328,'id'),(1969651712,'au'),(1969659904,'id'),(1969661952,'jp'),(1969676288,'id'),(1969688576,'cn'),(1969692672,'id'),(1969702912,'au'),(1969704960,'bd'),(1969707008,'mh'),(1969709056,'tw'),(1969713152,'au'),(1969717248,'cn'),(1969721344,'hk'),(1969725440,'jp'),(1969727488,'id'),(1969729536,'jp'),(1969733632,'vn'),(1969750016,'jp'),(1969790976,'au'),(1969793024,'pk'),(1969795072,'nz'),(1969799168,'id'),(1969807360,'af'),(1969809408,'in'),(1969811456,'ph'),(1969815552,'sg'),(1969881088,'cn'),(1970012160,'jp'),(1970143232,'kr'),(1970274304,'cn'),(1970798592,'sg'),(1970800640,'au'),(1970804736,'kh'),(1970806784,'nz'),(1970810880,'jp'),(1970814976,'cn'),(1970915328,'id'),(1970917376,'th'),(1970921472,'np'),(1970925568,'sg'),(1970927616,'au'),(1970929664,'vn'),(1970962432,'cn'),(1970995200,'kr'),(1971060736,'cn'),(1975517184,'in'),(1979711488,'jp'),(1981284352,'cn'),(1981808640,'kr'),(1983905792,'cn'),(1984102400,'au'),(1984118784,'jp'),(1984131072,'cn'),(1984135168,'kr'),(1984153600,'kh'),(1984155648,'au'),(1984159744,'in'),(1984167936,'vn'),(1984430080,'cn'),(1985085440,'id'),(1985093632,'au'),(1985101824,'jp'),(1985118208,'nz'),(1985150976,'jp'),(1985216512,'cn'),(1985347584,'jp'),(1985478656,'in'),(1985480704,'ph'),(1985482752,'au'),(1985486848,'cn'),(1985609728,'nz'),(1985675264,'kr'),(1985708032,'id'),(1985712128,'kr'),(1985716224,'np'),(1985720320,'in'),(1985724416,'jp'),(1985732608,'id'),(1985734656,'in'),(1985736704,'cn'),(1985740800,'nz'),(1985871872,'in'),(1986002944,'id'),(1986199552,'hk'),(1986215936,'id'),(1986232320,'tw'),(1986265088,'my'),(1986396160,'vn'),(1986398208,'hk'),(1986400256,'cn'),(1986406400,'jp'),(1986412544,'au'),(1986428928,'in'),(1986461696,'jp'),(1986496512,'bt'),(1986498560,'hk'),(1986502656,'kh'),(1986510848,'kr'),(1986519040,'pk'),(1986523136,'hk'),(1986525184,'bn'),(1986527232,'jp'),(1986723840,'au'),(1986756608,'pk'),(1986760704,'au'),(1986764800,'kr'),(1986768896,'au'),(1986772992,'my'),(1986789376,'jp'),(1987051520,'cn'),(1988034560,'au'),(1988083712,'kr'),(1988362240,'cn'),(1988624384,'id'),(1988755456,'au'),(1988886528,'hk'),(1989148672,'cn'),(1989410816,'nz'),(1989672960,'jp'),(1990197248,'tw'),(1990983680,'th'),(1991245824,'kr'),(1991311360,'jp'),(1991376896,'cn'),(1991442432,'bd'),(1991507968,'cn'),(1993342976,'au'),(1993605120,'cn'),(1993736192,'sg'),(1993867264,'kr'),(1994391552,'cn'),(1994850304,'tw'),(1995046912,'kr'),(1995177984,'jp'),(1995374592,'cn'),(1995440128,'jp'),(1995571200,'cn'),(1995636736,'jp'),(1995702272,'cn'),(1996627968,'au'),(1996630016,'id'),(1996634112,'np'),(1996636160,'id'),(1996644352,'bt'),(1996652544,'cn'),(1997176832,'au'),(1997185024,'jp'),(1997187072,'hk'),(1997189120,'id'),(1997191168,'jp'),(1997209600,'au'),(1997242368,'id'),(1997275136,'au'),(1997406208,'tw'),(1997471744,'nz'),(1997488128,'au'),(1997492224,'kh'),(1997496320,'au'),(1997504512,'id'),(1997506560,'cn'),(1997508608,'jp'),(1997510656,'bd'),(1997512704,'vn'),(1997520896,'tw'),(1997537280,'cn'),(1997602816,'kr'),(1997635584,'au'),(1997651968,'vn'),(1997668352,'au'),(1997701120,'vn'),(1997705216,'bd'),(1997707264,'id'),(1997709312,'jp'),(1997715456,'vn'),(1997717504,'cn'),(1997723648,'jp'),(1997725696,'cn'),(1998061568,'jp'),(1998258176,'ap'),(1998274560,'cn'),(1998454784,'au'),(1998458880,'tw'),(1998462976,'bd'),(1998467072,'cn'),(1998471168,'pk'),(1998487552,'kr'),(1998503936,'jp'),(1998520320,'th'),(1998553088,'jp'),(1998561280,'in'),(1998565376,'tw'),(1998569472,'cn'),(1998577664,'au'),(1998581760,'kr'),(1998585856,'cn'),(1999130624,'bd'),(1999134720,'mn'),(1999136768,'au'),(1999138816,'my'),(1999142912,'cn'),(1999257600,'th'),(1999276032,'cn'),(1999278080,'hk'),(1999280128,'in'),(1999282176,'kr'),(1999290368,'sg'),(1999298560,'cn'),(1999306752,'in'),(1999372288,'cn'),(1999503360,'th'),(1999568896,'jp'),(1999589376,'hk'),(1999591424,'id'),(1999593472,'jp'),(1999597568,'nz'),(1999601664,'jp'),(1999634432,'cn'),(2000158720,'sg'),(2000224256,'cn'),(2000355328,'kr'),(2000371712,'jp'),(2000373760,'hk'),(2000375808,'af'),(2000377856,'jp'),(2000388096,'cn'),(2000617472,'ph'),(2000621568,'jp'),(2000625664,'cn'),(2000633856,'th'),(2000642048,'hk'),(2000646144,'jp'),(2000650240,'pk'),(2000658432,'jp'),(2000668672,'au'),(2000674816,'kr'),(2001207296,'jp'),(2001272832,'pk'),(2001305600,'sg'),(2001420288,'kr'),(2001453056,'sg'),(2001457152,'cn'),(2001461248,'jp'),(2001465344,'tw'),(2001469440,'th'),(2001534976,'au'),(2001559552,'kr'),(2001567744,'tw'),(2001600512,'cn'),(2001862656,'au'),(2001866752,'jp'),(2001870848,'kr'),(2001879040,'in'),(2001895424,'vn'),(2001899520,'au'),(2001903616,'jp'),(2001920000,'id'),(2001926144,'kh'),(2001928192,'jp'),(2001993728,'cn'),(2002518016,'ph'),(2002780160,'cn'),(2003304448,'jp'),(2003566592,'cn'),(2003697664,'my'),(2003714048,'id'),(2003720192,'jp'),(2003722240,'my'),(2003726336,'id'),(2003730432,'my'),(2003763200,'ph'),(2003828736,'cn'),(2006188032,'bd'),(2006204416,'au'),(2006212608,'th'),(2006214656,'jp'),(2006216704,'kr'),(2006228992,'cn'),(2006233088,'ph'),(2006237184,'jp'),(2006253568,'kr'),(2006319104,'jp'),(2006384640,'in'),(2006450176,'pk'),(2007007232,'bn'),(2007023616,'in'),(2007025664,'id'),(2007027712,'th'),(2007031808,'au'),(2007035904,'tw'),(2007040000,'kr'),(2007048192,'au'),(2007064576,'my'),(2007066624,'jp'),(2007070720,'ap'),(2007072768,'cn'),(2007498752,'jp'),(2008023040,'cn'),(2009071616,'kr'),(2011168768,'nz'),(2011234304,'au'),(2011299840,'in'),(2011430912,'jp'),(2011693056,'cn'),(2011824128,'sg'),(2011889664,'lk'),(2011893760,'id'),(2011897856,'nz'),(2011899904,'hk'),(2011901952,'in'),(2011906048,'fj'),(2011922432,'cn'),(2011938816,'kr'),(2011942912,'id'),(2011947008,'jp'),(2011951104,'kr'),(2011953152,'id'),(2011955200,'hk'),(2012086272,'jp'),(2012610560,'hk'),(2012741632,'cn'),(2013003776,'au'),(2013036544,'id'),(2013038592,'hk'),(2013040640,'in'),(2013044736,'id'),(2013048832,'au'),(2013052928,'in'),(2013061120,'pg'),(2013069312,'cn'),(2014314496,'au'),(2014838784,'cn'),(2015100928,'ph'),(2015166464,'au'),(2015199232,'kr'),(2015203328,'jp'),(2015205376,'id'),(2015207424,'jp'),(2015215616,'ap'),(2015223808,'id'),(2015225856,'in'),(2015227904,'au'),(2015232000,'cn'),(2016542720,'bd'),(2016550912,'sg'),(2016555008,'my'),(2016559104,'kr'),(2016583680,'jp'),(2016587776,'bd'),(2016589824,'vn'),(2016591872,'jp'),(2016673792,'cn'),(2016935936,'in'),(2017460224,'cn'),(2017984512,'jp'),(2017988608,'ph'),(2017992704,'cn'),(2018000896,'jp'),(2018004992,'vn'),(2018007040,'in'),(2018009088,'vn'),(2018017280,'cn'),(2018050048,'kr'),(2018115584,'jp'),(2018246656,'cn'),(2019033088,'au'),(2019035136,'cn'),(2019037184,'jp'),(2019041280,'in'),(2019049472,'au'),(2019098624,'ph'),(2019115008,'ap'),(2019117056,'in'),(2019119104,'nz'),(2019123200,'np'),(2019131392,'jp'),(2019164160,'cn'),(2019360768,'jp'),(2019426304,'cn'),(2019557376,'tw'),(2021654528,'cn'),(2022178816,'nz'),(2022182912,'id'),(2022184960,'kh'),(2022187008,'hk'),(2022191104,'nz'),(2022195200,'kr'),(2022211584,'cn'),(2022227968,'jp'),(2022244352,'cn'),(2022277120,'jp'),(2022309888,'ph'),(2022313984,'nz'),(2022318080,'ap'),(2022326272,'vn'),(2022330368,'my'),(2022334464,'in'),(2022342656,'jp'),(2022359040,'in'),(2022375424,'my'),(2022572032,'kr'),(2022637568,'jp'),(2022678528,'kr'),(2022703104,'au'),(2023751680,'id'),(2025848832,'cn'),(2030043136,'au'),(2030045184,'bd'),(2030047232,'cn'),(2030051328,'jp'),(2030059520,'kr'),(2030108672,'ph'),(2030125056,'kr'),(2030141440,'jp'),(2030305280,'cn'),(2030436352,'sg'),(2030567424,'cn'),(2032926720,'au'),(2033057792,'cn'),(2033319936,'in'),(2033324032,'kr'),(2033328128,'id'),(2033330176,'jp'),(2033336320,'kr'),(2033352704,'id'),(2033356800,'tw'),(2033358848,'jp'),(2033364992,'tw'),(2033369088,'au'),(2033377280,'kr'),(2033385472,'cn'),(2033451008,'id'),(2033487872,'pk'),(2033491968,'cn'),(2033500160,'au'),(2033502208,'sg'),(2033504256,'cn'),(2033516544,'kr'),(2033582080,'ph'),(2033614848,'au'),(2033623040,'ph'),(2033625088,'hk'),(2033631232,'kr'),(2033647616,'cn'),(2033664000,'kr'),(2033696768,'gu'),(2033713152,'cn'),(2033876992,'jp'),(2033881088,'cn'),(2033887232,'in'),(2033889280,'jp'),(2033891328,'id'),(2033893376,'ph'),(2033909760,'cn'),(2034237440,'kr'),(2034499584,'cn'),(2034761728,'nz'),(2035023872,'cn'),(2035154944,'kr'),(2035220480,'au'),(2035253248,'cn'),(2035269632,'nz'),(2035286016,'jp'),(2035810304,'kr'),(2035875840,'cn'),(2035941376,'au'),(2036072448,'jp'),(2036334592,'ph'),(2036465664,'nz'),(2036596736,'id'),(2036598784,'jp'),(2036600832,'id'),(2036604928,'sg'),(2036609024,'af'),(2036613120,'kr'),(2036629504,'cn'),(2036678656,'jp'),(2036695040,'id'),(2036697088,'au'),(2036699136,'in'),(2036703232,'au'),(2036705280,'hk'),(2036707328,'mn'),(2036709376,'id'),(2036711424,'kr'),(2036715520,'cn'),(2036719616,'kr'),(2036727808,'jp'),(2037907456,'my'),(2038169600,'kr'),(2038366208,'ph'),(2038374400,'af'),(2038382592,'kr'),(2038415360,'au'),(2038423552,'hk'),(2038431744,'kr'),(2042626048,'cn'),(2043150336,'au'),(2043166720,'kr'),(2043183104,'jp'),(2043199488,'bd'),(2043201536,'jp'),(2043203584,'au'),(2043215872,'cn'),(2043281408,'hk'),(2043412480,'cn'),(2043674624,'au'),(2044723200,'cn'),(2045771776,'in'),(2046296064,'cn'),(2046558208,'kr'),(2046705664,'tw'),(2046722048,'kr'),(2046754816,'cn'),(2046820352,'th'),(2046822400,'kr'),(2046824448,'my'),(2046828544,'kr'),(2046836736,'cn'),(2046885888,'jp'),(2046951424,'ph'),(2047082496,'cn'),(2047868928,'jp'),(2048917504,'kr'),(2049966080,'cn'),(2050048000,'kr'),(2050064384,'au'),(2050080768,'jp'),(2050082816,'au'),(2050084864,'ph'),(2050088960,'id'),(2050091008,'jp'),(2050097152,'sg'),(2050099200,'in'),(2050101248,'jp'),(2050113536,'sg'),(2050129920,'in'),(2050162688,'cn'),(2050228224,'ph'),(2050490368,'nz'),(2051014656,'cn'),(2053242880,'in'),(2053308416,'tw'),(2053324800,'au'),(2053332992,'bd'),(2053335040,'jp'),(2053337088,'au'),(2053341184,'kr'),(2053373952,'au'),(2053378048,'jp'),(2053382144,'kr'),(2053390336,'tw'),(2053406720,'mo'),(2053439488,'kr'),(2053505024,'cn'),(2053509120,'au'),(2053513216,'bd'),(2053517312,'id'),(2053521408,'cn'),(2053529600,'au'),(2053537792,'jp'),(2053636096,'au'),(2054160384,'cn'),(2054422528,'tw'),(2054619136,'cn'),(2054684672,'tw'),(2055208960,'jp'),(2055213056,'id'),(2055217152,'kr'),(2055229440,'tw'),(2055231488,'au'),(2055233536,'np'),(2055235584,'hk'),(2055237632,'jp'),(2055241728,'kr'),(2055290880,'pk'),(2055299072,'id'),(2055307264,'au'),(2055323648,'id'),(2055327744,'kr'),(2055331840,'jp'),(2055335936,'kr'),(2055340032,'jp'),(2055733248,'cn'),(2056257536,'id'),(2056259584,'bd'),(2056261632,'in'),(2056263680,'th'),(2056265728,'tw'),(2056273920,'ph'),(2056290304,'cn'),(2056323072,'jp'),(2056388608,'tw'),(2056519680,'au'),(2056781824,'jp'),(2056794112,'bd'),(2056798208,'jp'),(2056830976,'cn'),(2056847360,'kr'),(2056912896,'th'),(2057043968,'cn'),(2057306112,'in'),(2059403264,'cn'),(2059665408,'jp'),(2059796480,'cn'),(2059862016,'au'),(2059878400,'kr'),(2059927552,'id'),(2059931648,'in'),(2059933696,'au'),(2059935744,'jp'),(2059937792,'bd'),(2059939840,'id'),(2059941888,'au'),(2059943936,'cn'),(2059960320,'au'),(2059964416,'id'),(2059966464,'tw'),(2059968512,'au'),(2059976704,'jp'),(2059995136,'vn'),(2059997184,'mn'),(2060001280,'hk'),(2060009472,'au'),(2060025856,'tw'),(2060062720,'jp'),(2060066816,'kr'),(2060075008,'au'),(2060083200,'ph'),(2060091392,'kr'),(2060189696,'cn'),(2060451840,'jp'),(2061500416,'cn'),(2063073280,'bd'),(2063077376,'hk'),(2063085568,'cn'),(2063089664,'jp'),(2063106048,'ap'),(2063138816,'jp'),(2063335424,'au'),(2063341568,'sg'),(2063343616,'jp'),(2063351808,'kr'),(2063368192,'jp'),(2063372288,'au'),(2063376384,'tw'),(2063380480,'kh'),(2063384576,'kr'),(2063392768,'in'),(2063400960,'jp'),(2063466496,'tw'),(2063482880,'mn'),(2063499264,'kr'),(2063532032,'lk'),(2063548416,'bd'),(2063550464,'in'),(2063552512,'tw'),(2063556608,'my'),(2063564800,'jp'),(2063597568,'kr'),(2063605760,'tw'),(2063613952,'jp'),(2063630336,'cn'),(2063646720,'tw'),(2063663104,'jp'),(2063728640,'au'),(2063859712,'cn'),(2064646144,'vn'),(2065694720,'kr'),(2066743296,'jp'),(2066808832,'bd'),(2066825216,'sg'),(2066841600,'cn'),(2066874368,'jp'),(2066882560,'tw'),(2066890752,'pf'),(2066907136,'au'),(2066915328,'in'),(2066923520,'jp'),(2066939904,'au'),(2066972672,'tw'),(2067005440,'cn'),(2070052864,'au'),(2070056960,'jp'),(2070061056,'kr'),(2070077440,'jp'),(2070085632,'tw'),(2070102016,'kr'),(2070118400,'cn'),(2070159360,'au'),(2070167552,'nz'),(2070183936,'au'),(2070200320,'jp'),(2070208512,'sg'),(2070216704,'cn'),(2070282240,'au'),(2070347776,'cn'),(2070380544,'jp'),(2070677504,'id'),(2070679552,'kr'),(2070683648,'in'),(2070691840,'au'),(2070700032,'id'),(2070702080,'au'),(2070703104,'hk'),(2070704128,'ph'),(2070708224,'cn'),(2070712320,'nz'),(2070716416,'kr'),(2070724608,'jp'),(2070726656,'in'),(2070728704,'cn'),(2070732800,'in'),(2070734848,'jp'),(2070736896,'bd'),(2070738944,'kh'),(2070740992,'kr'),(2070806528,'tw'),(2070872064,'kr'),(2070937600,'cn'),(2072510464,'hk'),(2072514560,'in'),(2072516608,'bd'),(2072518656,'au'),(2072526848,'sg'),(2072528896,'ph'),(2072530944,'cn'),(2072535040,'my'),(2072543232,'in'),(2072576000,'cn'),(2072772608,'kr'),(2073034752,'cn'),(2075131904,'mv'),(2075140096,'in'),(2075148288,'ph'),(2075150336,'ws'),(2075152384,'cn'),(2075156480,'hk'),(2075158528,'jp'),(2075160576,'au'),(2075162624,'id'),(2075164672,'jp'),(2075197440,'cn'),(2076180480,'tw'),(2076442624,'cn'),(2076573696,'jp'),(2076639232,'kr'),(2076672000,'cn'),(2076704768,'bd'),(2076712960,'jp'),(2076721152,'kr'),(2076737536,'au'),(2076770304,'in'),(2076835840,'hk'),(2076966912,'tw'),(2077097984,'cn'),(2077229056,'au'),(2077491200,'kr'),(2077753344,'jp'),(2078539776,'kr'),(2078670848,'jp'),(2078736384,'lk'),(2078769152,'id'),(2078801920,'cn'),(2079064064,'in'),(2079326208,'tw'),(2079457280,'cn'),(2079490048,'th'),(2079508480,'ph'),(2079510528,'jp'),(2079514624,'hk'),(2079516672,'jp'),(2079518720,'in'),(2079522816,'au'),(2079588352,'cn'),(2079850496,'kr'),(2079916032,'cn'),(2079981568,'kr'),(2080112640,'tw'),(2080145408,'in'),(2080178176,'cn'),(2080243712,'jp'),(2080260096,'kr'),(2080268288,'au'),(2080276480,'kr'),(2080309248,'nz'),(2080325632,'hk'),(2080342016,'jp'),(2080360448,'id'),(2080362496,'au'),(2080366592,'tw'),(2080368640,'jp'),(2080372736,'in'),(2080374784,'kr'),(2080636928,'in'),(2080702464,'kr'),(2080768000,'tw'),(2080776192,'id'),(2080784384,'cn'),(2080800768,'ph'),(2080817152,'nz'),(2080825344,'bd'),(2080833536,'in'),(2080899072,'tw'),(2081226752,'my'),(2081292288,'cn'),(2081554432,'jp'),(2081619968,'au'),(2081652736,'ph'),(2081685504,'cn'),(2081947648,'jp'),(2082209792,'kr'),(2082258944,'cn'),(2082308096,'tw'),(2082324480,'pk'),(2082340864,'in'),(2082406400,'cn'),(2082471936,'jp'),(2083024896,'cn'),(2083053568,'th'),(2083057664,'au'),(2083059712,'id'),(2083061760,'jp'),(2083110912,'np'),(2083127296,'cn'),(2083192832,'lk'),(2083258368,'jp'),(2083389440,'kr'),(2083454976,'cn'),(2083471360,'jp'),(2083487744,'in'),(2083504128,'jp'),(2083520512,'kr'),(2084569088,'cn'),(2084732928,'sg'),(2084741120,'id'),(2084743168,'jp'),(2084745216,'kr'),(2084749312,'jp'),(2084765696,'cn'),(2085617664,'kr'),(2085683200,'id'),(2085748736,'my'),(2085814272,'ph'),(2085847040,'jp'),(2086141952,'cn'),(2086666240,'jp'),(2087190528,'ph'),(2087453696,'kh'),(2087454720,'cn'),(2087457792,'bd'),(2087458816,'fj'),(2087460864,'jp'),(2087462912,'cn'),(2087464960,'kh'),(2087467008,'jp'),(2087469056,'ap'),(2087481344,'sg'),(2087485440,'tw'),(2087501824,'jp'),(2087518208,'th'),(2087519232,'sg'),(2087520256,'fm'),(2087522304,'bd'),(2087524352,'th'),(2087526400,'pk'),(2087534592,'au'),(2087546880,'tw'),(2087550976,'jp'),(2087649280,'kr'),(2087714816,'cn'),(2088239104,'th'),(2088435712,'in'),(2088632320,'cn'),(2089287680,'kr'),(2089549824,'jp'),(2089943040,'kr'),(2089959424,'jp'),(2090041344,'cn'),(2090074112,'au'),(2090237952,'tw'),(2090240000,'in'),(2090241024,'my'),(2090242048,'jp'),(2090246144,'nz'),(2090250240,'jp'),(2090270720,'cn'),(2090401792,'id'),(2090418176,'in'),(2090434560,'kr'),(2090467328,'jp'),(2090565632,'tw'),(2090582016,'sg'),(2090590208,'nz'),(2090598400,'cn'),(2090680320,'nz'),(2090696704,'th'),(2090729472,'vn'),(2090733568,'au'),(2090737664,'ph'),(2090745856,'mn'),(2090762240,'id'),(2090778624,'hk'),(2090786816,'my'),(2090795008,'jp'),(2090860544,'cn'),(2091384832,'au'),(2091646976,'cn'),(2091909120,'au'),(2092957696,'cn'),(2093088768,'kr'),(2093154304,'id'),(2093187072,'my'),(2093191168,'jp'),(2093195264,'kr'),(2093203456,'mv'),(2093211648,'kr'),(2093219840,'cn'),(2093285376,'nz'),(2093301760,'sg'),(2093318144,'kr'),(2093342720,'my'),(2093350912,'kr'),(2093383680,'nz'),(2093416448,'kr'),(2093432832,'tw'),(2093449216,'kr'),(2093481984,'cn'),(2094006272,'jp'),(2094530560,'kr'),(2094596096,'ph'),(2094628864,'hk'),(2094645248,'kr'),(2094653440,'my'),(2094661632,'tw'),(2094759936,'jp'),(2094792704,'cn'),(2096152576,'pg'),(2096168960,'jp'),(2096234496,'cn'),(2096300032,'kr'),(2096332800,'au'),(2096349184,'cn'),(2096365568,'hk'),(2096431104,'jp'),(2096496640,'au'),(2096513024,'sg'),(2096529408,'jp'),(2096611328,'in'),(2096627712,'cn'),(2096660480,'nz'),(2096668672,'kh'),(2096676864,'hk'),(2096693248,'cn'),(2096889856,'au'),(2096955392,'in'),(2097020928,'cn'),(2097037312,'au'),(2097053696,'kr'),(2097086464,'jp'),(2097479680,'ph'),(2097545216,'jp'),(2097610752,'au'),(2097643520,'kr'),(2097676288,'jp'),(2098200576,'in'),(2098724864,'th'),(2098987008,'jp'),(2099183616,'mo'),(2099200000,'jp'),(2099216384,'kr'),(2099232768,'cn'),(2100297728,'jp'),(2100854784,'sg'),(2100887552,'kr'),(2100969472,'jp'),(2100985856,'cn'),(2101018624,'hk'),(2101084160,'kr'),(2101116928,'ph'),(2101149696,'kr'),(2101182464,'cn'),(2101231616,'au'),(2101239808,'in'),(2101272576,'tw'),(2101276672,'jp'),(2101280768,'au'),(2101288960,'jp'),(2101297152,'in'),(2101313536,'au'),(2101346304,'cn'),(2103640064,'in'),(2103705600,'jp'),(2103967744,'cn'),(2105540608,'kr'),(2107637760,'id'),(2108162048,'au'),(2108227584,'cn'),(2108293120,'jp'),(2108358656,'cn'),(2108424192,'jp'),(2108686336,'kr'),(2109734912,'jp'),(2110783488,'cn'),(2110799872,'kr'),(2110816256,'id'),(2110832640,'kr'),(2110865408,'pk'),(2110881792,'au'),(2110914560,'cn'),(2111045632,'ph'),(2111078400,'vn'),(2111111168,'cn'),(2111143936,'id'),(2111152128,'au'),(2111160320,'af'),(2111168512,'th'),(2111176704,'vn'),(2111193088,'au'),(2111201280,'cn'),(2111209472,'jp'),(2111217664,'lk'),(2111225856,'hk'),(2111242240,'cn'),(2111258624,'jp'),(2111275008,'hk'),(2111307776,'cn'),(2111832064,'tw'),(2112487424,'vn'),(2112618496,'nz'),(2112880640,'kr'),(2113683456,'ap'),(2113699840,'jp'),(2113716224,'ap'),(2113732608,'au'),(2113765376,'hk'),(2113798144,'au'),(2113830912,'cn'),(2113863680,'au'),(2113929216,'jp'),(2156265472,'kr'),(2159542272,'au'),(2163867648,'au'),(2168193024,'jp'),(2169372672,'au'),(2170421248,'au'),(2170552320,'au'),(2172583936,'au'),(2173173760,'jp'),(2176057344,'au'),(2180579328,'jp'),(2180907008,'kr'),(2183266304,'jp'),(2184577024,'jp'),(2184708096,'au'),(2185560064,'jp'),(2186739712,'jp'),(2187264000,'au'),(2187722752,'au'),(2188640256,'au'),(2189099008,'nz'),(2189557760,'au'),(2191065088,'jp'),(2191196160,'au'),(2191392768,'jp'),(2193752064,'au'),(2193817600,'nz'),(2195193856,'nz'),(2195456000,'au'),(2205155328,'jp'),(2208956416,'au'),(2209087488,'au'),(2209677312,'au'),(2209939456,'au'),(2211119104,'nz'),(2211315712,'jp'),(2212036608,'au'),(2213281792,'au'),(2213675008,'au'),(2213806080,'au'),(2214068224,'jp'),(2226323456,'jp'),(2226454528,'nz'),(2226520064,'jp'),(2229141504,'jp'),(2229927936,'au'),(2248605696,'au'),(2249326592,'au'),(2253062144,'kr'),(2255683584,'au'),(2257584128,'au'),(2257846272,'au'),(2258567168,'hk'),(2258632704,'jp'),(2259812352,'au'),(2259943424,'jp'),(2260992000,'cn'),(2261778432,'tw'),(2261975040,'au'),(2263678976,'jp'),(2291728384,'au'),(2293891072,'au'),(2293956608,'jp'),(2294677504,'jp'),(2302935040,'kr'),(2303459328,'au'),(2304507904,'au'),(2305622016,'au'),(2305753088,'au'),(2307129344,'sg'),(2308112384,'au'),(2308505600,'jp'),(2308571136,'au'),(2308767744,'au'),(2309357568,'au'),(2309750784,'au'),(2310864896,'hk'),(2312830976,'au'),(2315714560,'au'),(2316500992,'au'),(2316828672,'au'),(2317221888,'jp'),(2318139392,'au'),(2319908864,'au'),(2320171008,'nz'),(2320302080,'au'),(2320433152,'au'),(2321874944,'jp'),(2322268160,'jp'),(2323775488,'au'),(2327969792,'au'),(2329083904,'nz'),(2329149440,'jp'),(2329477120,'au'),(2330656768,'nz'),(2331181056,'jp'),(2331770880,'au'),(2334916608,'au'),(2335899648,'au'),(2337275904,'nz'),(2337669120,'au'),(2340552704,'au'),(2340683776,'au'),(2340814848,'au'),(2341994496,'jp'),(2342125568,'jp'),(2342715392,'au'),(2343043072,'au'),(2343501824,'tw'),(2344353792,'au'),(2346647552,'tw'),(2347106304,'au'),(2353987584,'au'),(2354118656,'jp'),(2354249728,'au'),(2354839552,'tw'),(2355101696,'tw'),(2355953664,'tw'),(2359230464,'au'),(2359820288,'au'),(2361917440,'nz'),(2365390848,'au'),(2372337664,'id'),(2373451776,'au'),(2374238208,'au'),(2376597504,'au'),(2377252864,'jp'),(2380201984,'kr'),(2380595200,'jp'),(2381512704,'au'),(2404974592,'hk'),(2405040128,'jp'),(2405171200,'au'),(2405302272,'jp'),(2405433344,'nz'),(2406940672,'au'),(2407333888,'jp'),(2408054784,'jp'),(2410348544,'jp'),(2410545152,'au'),(2411462656,'au'),(2412314624,'jp'),(2413297664,'au'),(2413428736,'au'),(2413625344,'jp'),(2414739456,'au'),(2415394816,'kr'),(2415722496,'jp'),(2415984640,'jp'),(2416312320,'au'),(2416967680,'in'),(2419392512,'au'),(2419523584,'au'),(2420244480,'nz'),(2421096448,'au'),(2422276096,'au'),(2423128064,'au'),(2423783424,'fj'),(2424438784,'au'),(2428960768,'my'),(2429353984,'au'),(2429878272,'jp'),(2429943808,'hk'),(2430205952,'au'),(2450194432,'au'),(2452815872,'jp'),(2453143552,'jp'),(2453536768,'au'),(2457075712,'au'),(2457141248,'jp'),(2457206784,'au'),(2458910720,'au'),(2460680192,'nz'),(2461138944,'au'),(2462253056,'au'),(2463956992,'au'),(2466643968,'kr'),(2466775040,'hk'),(2466906112,'au'),(2468085760,'jp'),(2468937728,'au'),(2469068800,'kr'),(2469265408,'kr'),(2470576128,'au'),(2470772736,'au'),(2471231488,'au'),(2473394176,'au'),(2474901504,'au'),(2476539904,'jp'),(2476605440,'nz'),(2477785088,'jp'),(2479357952,'au'),(2479947776,'au'),(2480078848,'au'),(2492530688,'au'),(2493579264,'jp'),(2494955520,'au'),(2495807488,'au'),(2508652544,'au'),(2509242368,'au'),(2510749696,'au'),(2511011840,'au'),(2511339520,'au'),(2516647936,'jp'),(2523201536,'au'),(2526412800,'kr'),(2526478336,'au'),(2527920128,'au'),(2528575488,'kr'),(2529099776,'au'),(2529492992,'kr'),(2529886208,'au'),(2530082816,'nz'),(2530148352,'au'),(2531590144,'au'),(2541879296,'au'),(2543714304,'jp'),(2544631808,'jp'),(2545025024,'au'),(2555117568,'au'),(2555576320,'au'),(2556100608,'au'),(2556559360,'au'),(2556624896,'kr'),(2556755968,'hk'),(2557870080,'id'),(2559770624,'au'),(2559901696,'kr'),(2560163840,'nz'),(2564947968,'sg'),(2568224768,'sg'),(2573926400,'au'),(2574188544,'nz'),(2584346624,'kr'),(2585853952,'jp'),(2602565632,'nz'),(2604335104,'nz'),(2604400640,'au'),(2604990464,'sg'),(2605121536,'au'),(2609840128,'au'),(2610954240,'jp'),(2612723712,'au'),(2613903360,'au'),(2615541760,'kr'),(2618097664,'nz'),(2618294272,'au'),(2618687488,'au'),(2619277312,'bn'),(2620522496,'au'),(2621112320,'nz'),(2621308928,'nz'),(2621767680,'nz'),(2626879488,'kr'),(2627010560,'nz'),(2634088448,'jp'),(2638151680,'jp'),(2639593472,'au'),(2640642048,'jp'),(2642411520,'au'),(2644180992,'au'),(2645753856,'th'),(2646605824,'jp'),(2646933504,'kr'),(2647457792,'jp'),(2647851008,'au'),(2648899584,'in'),(2653421568,'au'),(2653683712,'kr'),(2653749248,'au'),(2654339072,'au'),(2656632832,'au'),(2657878016,'th'),(2659450880,'hk'),(2660237312,'in'),(2661351424,'bn'),(2662727680,'hk'),(2663776256,'jp'),(2665021440,'jp'),(2668429312,'au'),(2670985216,'au'),(2672361472,'au'),(2672820224,'jp'),(2674851840,'au'),(2675245056,'nz'),(2680422400,'au'),(2681143296,'au'),(2681405440,'jp'),(2682388480,'cn'),(2682519552,'jp'),(2683830272,'au'),(2684616704,'nz'),(2685075456,'jp'),(2688548864,'au'),(2689204224,'jp'),(2690646016,'sg'),(2696478720,'jp'),(2697854976,'au'),(2698444800,'jp'),(2698903552,'au'),(2699624448,'jp'),(2703032320,'nz'),(2703949824,'au'),(2704408576,'au'),(2705326080,'mo'),(2705391616,'nz'),(2706046976,'jp'),(2707226624,'jp'),(2708799488,'au'),(2708865024,'jp'),(2709127168,'kr'),(2709389312,'sg'),(2710241280,'my'),(2710437888,'my'),(2710503424,'au'),(2710700032,'au'),(2711093248,'au'),(2714238976,'th'),(2714697728,'cn'),(2716139520,'sg'),(2717253632,'th'),(2717384704,'jp'),(2718171136,'jp'),(2724790272,'cn'),(2725249024,'nz'),(2727411712,'au'),(2735144960,'nz'),(2735210496,'au'),(2735538176,'tw'),(2737438720,'jp'),(2738618368,'us'),(2738683904,'jp'),(2742681600,'in'),(2743009280,'au'),(2743205888,'jp'),(2744647680,'kr'),(2746482688,'kr'),(2747072512,'au'),(2748317696,'jp'),(2749890560,'au'),(2750349312,'kr'),(2754281472,'jp'),(2754478080,'jp'),(2754936832,'au'),(2755985408,'jp'),(2756378624,'au'),(2756575232,'sg'),(2756706304,'au'),(2757820416,'au'),(2758017024,'in'),(2758541312,'au'),(2758803456,'au'),(2759000064,'th'),(2759589888,'kr'),(2761949184,'jp'),(2762211328,'in'),(2769027072,'au'),(2769158144,'jp'),(2769616896,'sg'),(2770272256,'au'),(2772631552,'au'),(2772762624,'au'),(2773221376,'jp'),(2773745664,'nz'),(2773876736,'au'),(2774335488,'jp'),(2774532096,'jp'),(2774728704,'jp'),(2775318528,'jp'),(2775973888,'au'),(2776891392,'kr'),(2777481216,'kr'),(2777546752,'au'),(2780430336,'kr'),(2780495872,'au'),(2780758016,'au'),(2780954624,'kr'),(2781478912,'hk'),(2781675520,'nz'),(2781937664,'th'),(2782199808,'kr'),(2782658560,'ph'),(2783182848,'au'),(2783248384,'kr'),(2783969280,'au'),(2784034816,'jp'),(2784165888,'kr'),(2784362496,'kr'),(2789212160,'au'),(2789277696,'nz'),(2790195200,'kr'),(2790326272,'hk'),(2790457344,'nz'),(2791571456,'jp'),(2791768064,'kr'),(2791964672,'nz'),(2792292352,'cn'),(2792751104,'jp'),(2792882176,'au'),(2792947712,'sg'),(2793209856,'kr'),(2803761152,'au'),(2808545280,'au'),(2809856000,'au'),(2810314752,'au'),(2810904576,'cn'),(2812411904,'au'),(2812870656,'jp'),(2813263872,'jp'),(2813526016,'nz'),(2814181376,'au'),(2815229952,'id'),(2823159808,'hk'),(2823684096,'kr'),(2823749632,'jp'),(2824798208,'tw'),(2825519104,'hk'),(2826108928,'kr'),(2826436608,'th'),(2826829824,'kr'),(2827091968,'au'),(2827157504,'kr'),(2827223040,'au'),(2827354112,'au'),(2827747328,'au'),(2828533760,'au'),(2828664832,'kr'),(2829058048,'cn'),(2830761984,'au'),(2830893056,'kr'),(2831548416,'au'),(2832793600,'au'),(2832924672,'kr'),(2834825216,'kr'),(2835087360,'au'),(2844524544,'kr'),(2848522240,'au'),(2848980992,'au'),(2854617088,'my'),(2858352640,'sg'),(2862415872,'au'),(2863857664,'sg'),(2936012800,'ap'),(3019898880,'jp'),(3024093184,'kr'),(3024617472,'my'),(3024879616,'cn'),(3025141760,'kr'),(3025403904,'cn'),(3025600512,'ap'),(3025649664,'in'),(3025666048,'cn'),(3025928192,'tw'),(3025932288,'jp'),(3025944576,'kr'),(3025960960,'pk'),(3025969152,'in'),(3025973248,'au'),(3025975296,'sg'),(3025977344,'au'),(3025979392,'in'),(3025981440,'au'),(3025985536,'bd'),(3025989632,'kr'),(3025993728,'vn'),(3026059264,'ph'),(3026067456,'bd'),(3026068480,'ph'),(3026069504,'jp'),(3026071552,'ap'),(3026073600,'cn'),(3026075648,'af'),(3026083840,'cn'),(3026087936,'au'),(3026089984,'mn'),(3026092032,'mo'),(3026108416,'jp'),(3026114560,'sg'),(3026115584,'au'),(3026116608,'hk'),(3026118656,'au'),(3026120704,'jp'),(3026124800,'au'),(3026157568,'cn'),(3028287488,'th'),(3028353024,'sg'),(3028385792,'cn'),(3028484096,'kr'),(3028500480,'jp'),(3028516864,'au'),(3028520960,'id'),(3028521984,'la'),(3028523008,'jp'),(3028525056,'hk'),(3028533248,'jp'),(3028549632,'kr'),(3028811776,'cn'),(3029336064,'jp'),(3029598208,'vn'),(3029600256,'au'),(3029606400,'in'),(3029614592,'au'),(3029630976,'vn'),(3029635072,'jp'),(3029637120,'bd'),(3029639168,'jp'),(3029643264,'au'),(3029645312,'jp'),(3029651456,'bd'),(3029654528,'in'),(3029655552,'cn'),(3029663744,'bd'),(3029671936,'in'),(3029680128,'mn'),(3029696512,'cn'),(3029704704,'jp'),(3029712896,'au'),(3029714944,'jp'),(3029716992,'pk'),(3029725184,'in'),(3029727232,'au'),(3029728256,'hk'),(3029729280,'au'),(3029762048,'hk'),(3029770240,'cn'),(3029778432,'kr'),(3029788672,'id'),(3029790720,'in'),(3029791744,'id'),(3029792768,'in'),(3029793792,'pg'),(3029794816,'in'),(3029860352,'cn'),(3031433216,'tw'),(3031564288,'in'),(3031572480,'hk'),(3031580672,'au'),(3031582720,'sg'),(3031584768,'jp'),(3031587840,'id'),(3031592960,'hk'),(3031595008,'au'),(3031597056,'pk'),(3031613440,'cn'),(3031629824,'in'),(3031695360,'th'),(3031760896,'au'),(3031826432,'kr'),(3031891968,'th'),(3031957504,'cn'),(3032252416,'hk'),(3032271872,'au'),(3032272896,'jp'),(3032276992,'in'),(3032285184,'jp'),(3032301568,'kr'),(3032317952,'jp'),(3032320000,'au'),(3032323072,'cn'),(3032324096,'au'),(3032326144,'tl'),(3032330240,'kr'),(3032334336,'nz'),(3032350720,'ph'),(3032743936,'jp'),(3033038848,'au'),(3033071616,'cn'),(3033268224,'tw'),(3033530368,'cn'),(3033661440,'kr'),(3033694208,'bd'),(3033710592,'kr'),(3033712640,'sg'),(3033714688,'nz'),(3033716736,'th'),(3033717760,'bd'),(3033718784,'cn'),(3033726976,'kr'),(3033743360,'in'),(3033745408,'jp'),(3033747456,'in'),(3033748480,'jp'),(3033749504,'id'),(3033751552,'in'),(3033759744,'bd'),(3033792512,'cn'),(3033923584,'jp'),(3033939968,'au'),(3033956352,'in'),(3033964544,'hk'),(3033966592,'au'),(3033968640,'tw'),(3033972736,'th'),(3033980928,'jp'),(3033982976,'id'),(3033984000,'vn'),(3033985024,'id'),(3033989120,'in'),(3034054656,'au'),(3034120192,'tw'),(3034251264,'hk'),(3034316800,'jp'),(3034447872,'au'),(3034464256,'nz'),(3034466304,'jp'),(3034472448,'in'),(3034480640,'sg'),(3034482688,'af'),(3034484736,'th'),(3034488832,'au'),(3034499072,'hk'),(3034500096,'tw'),(3034501120,'vu'),(3034503168,'id'),(3034504192,'kr'),(3034505216,'cn'),(3034578944,'kr'),(3035103232,'ph'),(3035168768,'cn'),(3035193344,'jp'),(3035197440,'ap'),(3035199488,'in'),(3035201536,'au'),(3035202560,'jp'),(3035205632,'my'),(3035207680,'id'),(3035209728,'hk'),(3035217920,'kr'),(3035234304,'bd'),(3035299840,'jp'),(3035316224,'cn'),(3035324416,'jp'),(3035326464,'au'),(3035328512,'bd'),(3035332608,'au'),(3035365376,'kr'),(3035627520,'id'),(3053453312,'ap'),(3070230528,'cn'),(3074949120,'jp'),(3075342336,'my'),(3076521984,'kr'),(3078619136,'cn'),(3221576192,'kr'),(3221608448,'jp'),(3221614592,'au'),(3222031360,'au'),(3222319616,'jp'),(3222320128,'au'),(3222952704,'jp'),(3222953216,'jp'),(3222953984,'jp'),(3222984448,'au'),(3222988800,'au'),(3223286784,'jp'),(3223307520,'jp'),(3223422720,'jp'),(3223534336,'au'),(3223582720,'au'),(3223949824,'au'),(3223955968,'th'),(3223958016,'jp'),(3223964416,'au'),(3223965184,'id'),(3223991296,'au'),(3223993344,'au'),(3223999488,'jp'),(3224004352,'jp'),(3224016640,'au'),(3224038656,'jp'),(3224088064,'jp'),(3224090880,'au'),(3224091904,'jp'),(3224094208,'au'),(3224094976,'jp'),(3224096512,'au'),(3224101376,'au'),(3224104704,'au'),(3224305664,'jp'),(3224399104,'au'),(3224434688,'au'),(3224502272,'jp'),(3224571904,'jp'),(3224651776,'au'),(3224663808,'jp'),(3224677120,'au'),(3224680704,'au'),(3224683520,'au'),(3224791296,'au'),(3224797696,'nz'),(3224798976,'au'),(3224827648,'jp'),(3224828672,'au'),(3224855040,'au'),(3224858112,'jp'),(3224858624,'au'),(3224860160,'jp'),(3224878592,'au'),(3224880640,'au'),(3224883456,'au'),(3224886272,'jp'),(3224889344,'au'),(3224890880,'jp'),(3225028864,'jp'),(3225051392,'jp'),(3225060608,'au'),(3225506304,'au'),(3225518592,'au'),(3225531904,'au'),(3225540864,'au'),(3225548800,'nz'),(3225549312,'au'),(3225616640,'au'),(3225619456,'au'),(3225637888,'au'),(3225659392,'nz'),(3225660160,'au'),(3225671936,'au'),(3225679872,'au'),(3225710080,'jp'),(3225715712,'au'),(3225717504,'au'),(3225725696,'au'),(3225727744,'au'),(3225742080,'jp'),(3225847552,'au'),(3225857536,'au'),(3225858816,'jp'),(3225868288,'au'),(3225869056,'au'),(3225944832,'tw'),(3225977856,'ch'),(3225978112,'tw'),(3226012672,'au'),(3226014976,'nz'),(3226015232,'au'),(3226015744,'id'),(3226026496,'au'),(3226110720,'au'),(3226237440,'au'),(3226270720,'jp'),(3226273792,'au'),(3226276096,'au'),(3226633216,'jp'),(3226635264,'au'),(3226636032,'au'),(3226640640,'au'),(3226656256,'au'),(3226658304,'au'),(3226691584,'jp'),(3226695168,'au'),(3226696192,'cn'),(3226696448,'au'),(3226705152,'jp'),(3226707456,'tw'),(3226708224,'cn'),(3226708480,'tw'),(3226715648,'au'),(3226720512,'jp'),(3226722304,'au'),(3226723840,'jp'),(3226724096,'au'),(3226725632,'au'),(3226748672,'jp'),(3226753280,'au'),(3226786560,'au'),(3226789376,'au'),(3226791168,'au'),(3226792192,'au'),(3226795264,'nz'),(3226864640,'nz'),(3226894592,'au'),(3226895360,'sg'),(3226903808,'au'),(3226994176,'au'),(3227013120,'jp'),(3227014400,'nz'),(3227018496,'jp'),(3227023104,'nz'),(3227040512,'au'),(3227041280,'nz'),(3227235072,'au'),(3227236608,'au'),(3227243776,'au'),(3227254272,'hk'),(3227258624,'nz'),(3227396352,'au'),(3227401728,'au'),(3227417088,'bn'),(3227429120,'nz'),(3227430400,'hk'),(3227437056,'au'),(3227439104,'au'),(3227442176,'jp'),(3227443968,'au'),(3227446784,'jp'),(3227448064,'au'),(3227779584,'kr'),(3227784704,'au'),(3227792640,'nz'),(3227798784,'th'),(3227799552,'au'),(3227848704,'nz'),(3227867904,'th'),(3227878912,'au'),(3227891456,'au'),(3227909632,'au'),(3227931392,'th'),(3227933696,'nz'),(3227971328,'au'),(3227974144,'au'),(3227986432,'jp'),(3227986688,'us'),(3227987456,'au'),(3228008960,'au'),(3228045056,'kr'),(3228051456,'jp'),(3228052224,'au'),(3228061696,'jp'),(3228085248,'jp'),(3228100608,'jp'),(3228104192,'jp'),(3228105728,'nz'),(3228109312,'nz'),(3228240128,'au'),(3228240384,'nz'),(3228263680,'au'),(3228266496,'nz'),(3228281600,'nz'),(3228328704,'au'),(3228332288,'au'),(3228362240,'th'),(3228508160,'au'),(3228526080,'nz'),(3228526848,'au'),(3228620544,'au'),(3229254400,'sg'),(3229264640,'nz'),(3229265920,'au'),(3229266944,'nz'),(3229274624,'au'),(3229354496,'au'),(3229358080,'nz'),(3229381888,'au'),(3229390848,'au'),(3229391360,'cn'),(3229814016,'au'),(3229817600,'au'),(3229833728,'au'),(3229874944,'au'),(3229880064,'kr'),(3229884160,'jp'),(3229886720,'au'),(3229900032,'au'),(3229902336,'au'),(3229939456,'kr'),(3229940992,'au'),(3229944320,'th'),(3229945344,'au'),(3229947136,'au'),(3229949696,'nz'),(3229952256,'au'),(3229958656,'nz'),(3229958912,'sg'),(3230095616,'jp'),(3230125824,'au'),(3230126592,'au'),(3230129664,'jp'),(3230148352,'au'),(3230153472,'pf'),(3230174464,'in'),(3230295040,'au'),(3230299648,'sg'),(3230317568,'sg'),(3230333696,'nz'),(3230827776,'nz'),(3230832128,'nz'),(3230840832,'jp'),(3230842112,'au'),(3230844928,'au'),(3230849536,'nz'),(3230853120,'au'),(3230857984,'au'),(3230888448,'au'),(3230897920,'nz'),(3230919424,'au'),(3230922240,'au'),(3230924032,'au'),(3230954496,'au'),(3230981376,'nz'),(3230981888,'au'),(3230995456,'au'),(3230999552,'au'),(3231004160,'au'),(3231028480,'au'),(3231043840,'jp'),(3231051520,'hk'),(3231080448,'au'),(3231083264,'au'),(3231088896,'au'),(3231092736,'nz'),(3231107072,'au'),(3231107584,'au'),(3231111680,'nz'),(3231115776,'au'),(3231118848,'au'),(3231119616,'th'),(3231154432,'in'),(3231204608,'jp'),(3231208960,'au'),(3231217408,'au'),(3231223808,'au'),(3231224320,'au'),(3231237376,'au'),(3231241216,'jp'),(3231254784,'au'),(3231276288,'au'),(3231276800,'jp'),(3231292928,'au'),(3231302656,'au'),(3231309056,'ph'),(3231316736,'nz'),(3231322112,'sg'),(3231484928,'jp'),(3231491328,'nz'),(3231502080,'au'),(3231505408,'jp'),(3231506688,'nz'),(3231512832,'au'),(3231556096,'hk'),(3231563520,'hk'),(3231649792,'sg'),(3231715328,'au'),(3231716096,'au'),(3231718656,'pg'),(3231729408,'au'),(3231750912,'au'),(3231752448,'jp'),(3231754496,'au'),(3231763712,'au'),(3231769088,'nz'),(3231769856,'au'),(3231809536,'nz'),(3232309248,'sg'),(3232555776,'jp'),(3232567296,'nz'),(3232661504,'jp'),(3233557248,'nz'),(3233564416,'nz'),(3233564928,'jp'),(3233572096,'au'),(3233573632,'au'),(3233575680,'au'),(3233579008,'au'),(3233584896,'au'),(3233589760,'cn'),(3233590016,'tw'),(3233590272,'th'),(3233590784,'ph'),(3233591040,'id'),(3233593600,'nz'),(3233593856,'au'),(3233607936,'nz'),(3233617920,'jp'),(3233620480,'nz'),(3233625600,'au'),(3233635840,'au'),(3233646592,'au'),(3233649664,'au'),(3233652480,'au'),(3233665024,'au'),(3233668864,'ph'),(3233670400,'au'),(3233692928,'au'),(3233694208,'au'),(3233704960,'nz'),(3233723392,'au'),(3233729536,'sg'),(3233730560,'au'),(3233808384,'tw'),(3234005504,'au'),(3234007552,'au'),(3234008064,'nz'),(3234013696,'au'),(3234014976,'kr'),(3234016256,'au'),(3234031104,'au'),(3234033664,'au'),(3234043904,'au'),(3234048512,'au'),(3234052608,'nz'),(3234055424,'au'),(3234061056,'nz'),(3234064640,'au'),(3234275328,'au'),(3234349056,'nz'),(3234539008,'au'),(3234550016,'nz'),(3234554624,'nz'),(3234564608,'kr'),(3234568704,'nz'),(3234569216,'au'),(3234574336,'au'),(3234576128,'hk'),(3234578688,'au'),(3234582528,'nz'),(3234583808,'au'),(3234584576,'nz'),(3234588672,'mo'),(3234589440,'au'),(3234592512,'th'),(3234752000,'hk'),(3234753536,'au'),(3234755840,'au'),(3234764800,'nz'),(3234799872,'au'),(3234807808,'th'),(3234814720,'hk'),(3234816000,'au'),(3234820352,'au'),(3234821888,'au'),(3234828032,'nz'),(3234830080,'au'),(3234832640,'au'),(3234833664,'au'),(3234839296,'au'),(3234841856,'au'),(3234853376,'th'),(3234854912,'au'),(3234856448,'th'),(3235512320,'jp'),(3236102400,'ph'),(3236200448,'my'),(3236302848,'nz'),(3236368128,'nz'),(3236372992,'au'),(3236379392,'au'),(3236384000,'au'),(3236396800,'au'),(3236398848,'au'),(3236401152,'au'),(3236406784,'au'),(3236407552,'sg'),(3236411136,'nz'),(3236413696,'au'),(3236416256,'au'),(3236418304,'au'),(3236419584,'au'),(3236420096,'au'),(3236427776,'nz'),(3236438016,'au'),(3236462592,'au'),(3236575744,'jp'),(3236620032,'au'),(3236623616,'au'),(3236958208,'au'),(3237216256,'jp'),(3237284608,'au'),(3237285120,'au'),(3237290496,'au'),(3237291008,'nz'),(3237296640,'sg'),(3237300480,'nz'),(3237305856,'nz'),(3237308672,'au'),(3237321472,'hk'),(3237329152,'nz'),(3237330944,'au'),(3237331968,'hk'),(3237335040,'hk'),(3237335552,'au'),(3237337856,'au'),(3237338112,'nz'),(3237345536,'kr'),(3237478400,'lk'),(3237548032,'kr'),(3237712896,'au'),(3237724928,'au'),(3237726464,'au'),(3237727232,'au'),(3237733120,'th'),(3237733632,'au'),(3237733888,'nz'),(3288400128,'in'),(3288417280,'in'),(3288426496,'in'),(3288427520,'in'),(3288428800,'in'),(3288434176,'in'),(3288547584,'in'),(3288549376,'pk'),(3289128960,'in'),(3289321472,'in'),(3322875904,'au'),(3323003136,'jp'),(3323004672,'cn'),(3323020800,'sg'),(3323030016,'au'),(3323031808,'au'),(3323033088,'jp'),(3323061248,'sg'),(3323064320,'au'),(3323339264,'au'),(3323339520,'th'),(3323340032,'nz'),(3323342592,'au'),(3323346176,'au'),(3323659264,'nz'),(3324579840,'nz'),(3325034496,'nz'),(3325100544,'hk'),(3325100800,'nz'),(3325108224,'au'),(3325122304,'au'),(3325128704,'th'),(3325131776,'au'),(3325232128,'au'),(3325256448,'hk'),(3325256960,'id'),(3325278720,'au'),(3325281024,'nz'),(3325281280,'au'),(3325284864,'au'),(3325562880,'ph'),(3325886720,'nz'),(3325888512,'au'),(3326729216,'jp'),(3328421120,'hk'),(3330657792,'jp'),(3331194880,'au'),(3333723648,'jp'),(3334995968,'ph'),(3388997632,'au'),(3389001728,'ph'),(3389005824,'nz'),(3389014016,'au'),(3389014272,'jp'),(3389014784,'au'),(3389015808,'sg'),(3389016064,'jp'),(3389016576,'au'),(3389017088,'jp'),(3389017344,'hk'),(3389018112,'pg'),(3389018368,'id'),(3389018624,'au'),(3389019136,'nz'),(3389019392,'au'),(3389020160,'sg'),(3389020672,'au'),(3389020928,'ph'),(3389021184,'au'),(3389021440,'jp'),(3389021696,'my'),(3389021952,'au'),(3389022464,'nz'),(3389022720,'au'),(3389023232,'hk'),(3389023488,'au'),(3389024000,'id'),(3389024256,'hk'),(3389024512,'au'),(3389025792,'cn'),(3389026048,'th'),(3389026304,'hk'),(3389026560,'au'),(3389027328,'id'),(3389027584,'th'),(3389028608,'nz'),(3389028864,'hk'),(3389029376,'nz'),(3389029888,'sg'),(3389030400,'hk'),(3389035520,'au'),(3389035776,'sg'),(3389036288,'nz'),(3389036544,'sg'),(3389036800,'nz'),(3389037056,'au'),(3389037568,'ap'),(3389038592,'hk'),(3389042688,'cn'),(3389043712,'hk'),(3389044736,'au'),(3389045760,'ap'),(3389063168,'au'),(3389064448,'sg'),(3389064704,'hk'),(3389065216,'nz'),(3389067264,'au'),(3389071360,'pg'),(3389079552,'sg'),(3389092352,'ph'),(3389092864,'au'),(3389093888,'in'),(3389095936,'sg'),(3389104128,'sb'),(3389112320,'mv'),(3389116416,'jp'),(3389120512,'au'),(3389122560,'hk'),(3389122816,'au'),(3389123584,'id'),(3389123840,'au'),(3389124352,'sg'),(3389124608,'pg'),(3389128704,'au'),(3389129728,'nz'),(3389132800,'au'),(3389136896,'hk'),(3389142016,'tw'),(3389143040,'au'),(3389145088,'hk'),(3389151232,'jp'),(3389152256,'sg'),(3389153280,'tv'),(3389161472,'ap'),(3389194240,'au'),(3389195776,'hk'),(3389196288,'au'),(3389197568,'in'),(3389198336,'nz'),(3389202432,'au'),(3389210624,'in'),(3389210880,'au'),(3389211136,'in'),(3389211392,'au'),(3389211648,'th'),(3389212672,'au'),(3389213440,'in'),(3389214464,'au'),(3389222912,'in'),(3389227008,'pf'),(3389227520,'pk'),(3389228032,'au'),(3389228800,'sg'),(3389229056,'jp'),(3389229312,'au'),(3389229568,'sg'),(3389230080,'jp'),(3389235200,'tw'),(3389243392,'au'),(3389247488,'id'),(3389251584,'pf'),(3389259776,'ph'),(3389263872,'nz'),(3389266176,'in'),(3389266432,'hk'),(3389266944,'au'),(3389267968,'ws'),(3389276160,'au'),(3389284352,'bd'),(3389292544,'cn'),(3389300736,'id'),(3389301248,'au'),(3389301760,'in'),(3389302016,'au'),(3389302528,'pk'),(3389302784,'vn'),(3389303040,'tw'),(3389303296,'id'),(3389303808,'in'),(3389304064,'bd'),(3389304320,'ph'),(3389304576,'au'),(3389308928,'hk'),(3389317120,'au'),(3389322240,'jp'),(3389324032,'vu'),(3389324288,'cn'),(3389325312,'au'),(3389326336,'tw'),(3389326848,'au'),(3389327360,'tw'),(3389329408,'hk'),(3389333504,'bd'),(3389341696,'jp'),(3389345792,'th'),(3389349888,'au'),(3389358080,'pk'),(3389366272,'au'),(3389374464,'mn'),(3389382656,'tw'),(3389390848,'hk'),(3389391360,'vn'),(3389391616,'au'),(3389392128,'nz'),(3389392896,'au'),(3389411328,'in'),(3389411584,'au'),(3389412352,'nz'),(3389412864,'au'),(3389413120,'nz'),(3389413376,'ap'),(3389413888,'th'),(3389414144,'au'),(3389414656,'nz'),(3389414912,'hk'),(3389415168,'kr'),(3389415424,'vn'),(3389415936,'jp'),(3389416192,'in'),(3389416448,'th'),(3389416960,'sg'),(3389417216,'jp'),(3389417472,'tw'),(3389417984,'au'),(3389418240,'th'),(3389418496,'au'),(3389418752,'nz'),(3389419264,'th'),(3389419520,'au'),(3389420544,'nz'),(3389421056,'au'),(3389421312,'jp'),(3389421568,'ki'),(3389422592,'au'),(3389431808,'sg'),(3389440000,'hk'),(3389444096,'id'),(3389452288,'sg'),(3389453312,'jp'),(3389454336,'au'),(3389455360,'ap'),(3389456384,'nz'),(3389456896,'au'),(3389457408,'nz'),(3389458432,'au'),(3389460480,'jp'),(3389464576,'nz'),(3389469696,'in'),(3389471744,'nz'),(3389472768,'au'),(3389480960,'jp'),(3389489152,'hk'),(3389493248,'au'),(3389521920,'sg'),(3389523456,'jp'),(3389523968,'nz'),(3389525504,'tw'),(3389526016,'au'),(3389528320,'th'),(3389528576,'jp'),(3389529088,'id'),(3389529600,'ph'),(3389529856,'ap'),(3389530112,'au'),(3389532160,'sg'),(3389533184,'nz'),(3389534208,'jp'),(3389538560,'th'),(3389541632,'jp'),(3389541888,'th'),(3389542400,'jp'),(3389543424,'th'),(3389544448,'hk'),(3389545472,'au'),(3389545728,'hk'),(3389545984,'sg'),(3389546496,'au'),(3389554688,'cn'),(3389575168,'jp'),(3389579264,'ph'),(3389587456,'au'),(3389612032,'my'),(3389616128,'in'),(3389640704,'jp'),(3389644800,'nz'),(3389652992,'au'),(3389661184,'in'),(3389669376,'cn'),(3389673472,'au'),(3389677568,'jp'),(3389685760,'au'),(3389718528,'jp'),(3389784064,'nz'),(3389784320,'au'),(3389784576,'sg'),(3389784832,'nz'),(3389785088,'hk'),(3389786112,'jp'),(3389788160,'in'),(3389788416,'ph'),(3389788928,'ap'),(3389789696,'au'),(3389790720,'bn'),(3389790976,'ap'),(3389792256,'au'),(3389801984,'nz'),(3389802240,'au'),(3389802752,'th'),(3389803520,'nz'),(3389806080,'au'),(3389807360,'nz'),(3389807616,'au'),(3389808128,'sg'),(3389808640,'nz'),(3389808896,'th'),(3389809152,'au'),(3389809920,'in'),(3389810176,'au'),(3389810688,'nz'),(3389811200,'au'),(3389811712,'nz'),(3389811968,'au'),(3389813760,'th'),(3389814528,'au'),(3389815296,'nz'),(3389816064,'au'),(3389846272,'jp'),(3389847552,'nz'),(3389849600,'jp'),(3389915136,'au'),(3389917184,'tw'),(3389919232,'nz'),(3389931520,'au'),(3389932288,'hk'),(3389932800,'in'),(3389933056,'pk'),(3389933568,'in'),(3389933824,'nz'),(3389934592,'au'),(3389935616,'hk'),(3389935872,'au'),(3389936128,'nz'),(3389936896,'ph'),(3389937664,'cn'),(3389937920,'au'),(3389939712,'nz'),(3389940224,'au'),(3389940480,'nz'),(3389940992,'au'),(3389941248,'nz'),(3389941504,'kr'),(3389941760,'au'),(3389942272,'nz'),(3389943296,'au'),(3389944320,'nz'),(3389944832,'au'),(3389945088,'th'),(3389945344,'au'),(3389947648,'nz'),(3389947904,'au'),(3389949696,'nz'),(3389950208,'au'),(3389950976,'nz'),(3389951744,'au'),(3389953280,'nz'),(3389953792,'au'),(3389954304,'sg'),(3389954816,'au'),(3389956608,'th'),(3389957376,'kr'),(3389957632,'au'),(3389957888,'nz'),(3389958400,'au'),(3389970432,'nz'),(3389971200,'au'),(3389971968,'hk'),(3389972224,'au'),(3389972736,'nz'),(3389973760,'au'),(3389975296,'cn'),(3389976320,'au'),(3389979648,'nz'),(3389980416,'id'),(3389980672,'jp'),(3390308352,'nz'),(3390310400,'au'),(3390316544,'nz'),(3390325248,'hk'),(3390325504,'au'),(3390327808,'nz'),(3390329088,'au'),(3390329344,'kr'),(3390330624,'th'),(3390330880,'hk'),(3390331392,'jp'),(3390331648,'nz'),(3390332416,'hk'),(3390332928,'nz'),(3390333440,'ap'),(3390333696,'kr'),(3390333952,'hk'),(3390334464,'nz'),(3390335232,'th'),(3390335488,'id'),(3390336512,'jp'),(3390336768,'ap'),(3390337024,'gu'),(3390337280,'nz'),(3390337536,'sg'),(3390338304,'hk'),(3390338816,'kr'),(3390339072,'cn'),(3390339328,'nz'),(3390339840,'jp'),(3390340352,'hk'),(3390341120,'kr'),(3390375936,'au'),(3390377984,'nz'),(3390382080,'lk'),(3390390272,'nz'),(3390402560,'jp'),(3390406656,'nz'),(3390408192,'in'),(3390408704,'nz'),(3390409728,'th'),(3390409984,'nz'),(3390410752,'th'),(3390411008,'sg'),(3390411520,'in'),(3390411776,'my'),(3390412032,'th'),(3390412288,'jp'),(3390413312,'sg'),(3390413568,'nz'),(3390414336,'sg'),(3390414848,'jp'),(3390418944,'mv'),(3390423040,'sg'),(3390439424,'nz'),(3390441472,'th'),(3390443520,'nz'),(3390447360,'id'),(3390447616,'kr'),(3390455808,'jp'),(3390472192,'nc'),(3390480384,'au'),(3390484480,'gu'),(3390488576,'bd'),(3390492672,'jp'),(3390496768,'nc'),(3390500864,'hk'),(3390502912,'cn'),(3390504960,'jp'),(3390767104,'nz'),(3390769408,'in'),(3390769664,'th'),(3390770176,'au'),(3390770688,'jp'),(3390770944,'au'),(3390771200,'nz'),(3390832640,'th'),(3390963712,'kr'),(3391094784,'jp'),(3391356928,'nz'),(3391488000,'cn'),(3391492096,'hk'),(3391496192,'sg'),(3391500288,'pk'),(3391504384,'cn'),(3391525888,'au'),(3391526144,'cn'),(3391528192,'au'),(3391528448,'cn'),(3391529472,'au'),(3391529984,'cn'),(3391533568,'hk'),(3391535104,'cn'),(3391553536,'tw'),(3391619072,'hk'),(3391620608,'in'),(3391620864,'hk'),(3391660800,'au'),(3391661056,'hk'),(3391663104,'ph'),(3391664128,'bd'),(3391668224,'hk'),(3391676416,'sg'),(3391684608,'in'),(3391688192,'au'),(3391688704,'in'),(3391718912,'jp'),(3391719424,'nz'),(3391720448,'ap'),(3391722240,'ph'),(3391722496,'in'),(3391723520,'cn'),(3391725568,'th'),(3391733760,'in'),(3391734016,'au'),(3391734784,'jp'),(3391736832,'in'),(3391737856,'jp'),(3391741952,'in'),(3391746048,'cn'),(3391750144,'sg'),(3391815680,'au'),(3391817728,'to'),(3391819776,'jp'),(3391823872,'th'),(3391827968,'kr'),(3391832064,'id'),(3391832576,'au'),(3391832832,'in'),(3391833088,'jp'),(3391834112,'id'),(3391835136,'cn'),(3391836160,'au'),(3391836672,'hk'),(3391837184,'au'),(3391838208,'id'),(3391838720,'in'),(3391838976,'au'),(3391839232,'id'),(3391840256,'jp'),(3391841280,'my'),(3391842304,'jp'),(3391843328,'vn'),(3391844352,'id'),(3391845888,'pk'),(3391846400,'tw'),(3391847424,'pk'),(3391848448,'au'),(3391852544,'cn'),(3391856640,'id'),(3391864832,'ap'),(3391873024,'au'),(3391877120,'jp'),(3391879168,'id'),(3391881216,'th'),(3391895552,'in'),(3391896576,'th'),(3391900416,'au'),(3391901696,'pk'),(3391905792,'th'),(3391906048,'jp'),(3391906304,'au'),(3391906816,'ph'),(3391907840,'bd'),(3391909888,'io'),(3391910912,'au'),(3391911936,'hk'),(3391913984,'th'),(3391920128,'au'),(3391930368,'th'),(3391946752,'hk'),(3391947520,'au'),(3391947776,'hk'),(3391948288,'in'),(3391948800,'hk'),(3391949312,'in'),(3391949824,'jp'),(3391950080,'au'),(3391950336,'hk'),(3391971328,'au'),(3391979520,'hk'),(3391979776,'jp'),(3391980032,'hk'),(3391980544,'my'),(3391983616,'np'),(3391984640,'ap'),(3391984896,'id'),(3391985152,'au'),(3391986688,'pk'),(3391987200,'au'),(3391987456,'bd'),(3391987712,'jp'),(3391991808,'hk'),(3392012288,'id'),(3392017152,'in'),(3392017408,'id'),(3392017920,'in'),(3392018432,'id'),(3392020480,'cn'),(3392028672,'id'),(3392040960,'my'),(3392045056,'id'),(3392046080,'au'),(3392049152,'id'),(3392053248,'nz'),(3392061440,'in'),(3392069632,'cn'),(3392073728,'id'),(3392077824,'au'),(3392081920,'jp'),(3392086016,'au'),(3392094208,'id'),(3392102400,'kh'),(3392106496,'au'),(3392109568,'in'),(3392109824,'ph'),(3392110336,'in'),(3392110592,'ph'),(3392112128,'au'),(3392112640,'ph'),(3392114176,'vn'),(3392114432,'kr'),(3392114688,'gu'),(3392118784,'my'),(3392126976,'id'),(3392135168,'th'),(3392143360,'jp'),(3392208896,'nz'),(3392339968,'np'),(3392340992,'jp'),(3392344064,'id'),(3392348160,'jp'),(3392354304,'id'),(3392356352,'np'),(3392364544,'id'),(3392380928,'au'),(3392385024,'bd'),(3392389120,'id'),(3392401408,'sg'),(3392403456,'au'),(3392404480,'id'),(3392405504,'np'),(3392406016,'in'),(3392406528,'th'),(3392407552,'id'),(3392409600,'jp'),(3392421888,'sg'),(3392446464,'ph'),(3392450560,'jp'),(3392454656,'hk'),(3392462848,'np'),(3392472064,'au'),(3392473088,'in'),(3392475136,'jp'),(3392479232,'au'),(3392487424,'in'),(3392499712,'jp'),(3392503808,'hk'),(3392512000,'bd'),(3392516096,'nz'),(3392520192,'au'),(3392524288,'jp'),(3392528384,'id'),(3392536576,'in'),(3392610304,'hk'),(3392618496,'sg'),(3392626688,'nz'),(3392630784,'jp'),(3392634880,'pk'),(3392635904,'vn'),(3392636928,'jp'),(3392637952,'th'),(3392638976,'au'),(3392643072,'id'),(3392647168,'mn'),(3392651264,'jp'),(3392659456,'tw'),(3392667648,'in'),(3392668672,'bd'),(3392669696,'hk'),(3392671744,'jp'),(3392675840,'nz'),(3392681984,'ap'),(3392682240,'vn'),(3392682496,'in'),(3392683008,'au'),(3392684032,'jp'),(3392688128,'my'),(3392692224,'in'),(3392700416,'sg'),(3392708608,'id'),(3392712704,'af'),(3392716800,'in'),(3392734208,'id'),(3392741376,'ph'),(3392765952,'th'),(3392782336,'hk'),(3392790528,'jp'),(3392798720,'la'),(3392798976,'jp'),(3392799232,'ph'),(3392799488,'au'),(3392799744,'jp'),(3392800768,'sg'),(3392802816,'jp'),(3392806912,'au'),(3392815104,'id'),(3392819200,'my'),(3392823296,'kh'),(3392824320,'au'),(3392824832,'in'),(3392825344,'jp'),(3392826368,'ph'),(3392828416,'jp'),(3392829440,'in'),(3392830464,'id'),(3392830720,'in'),(3392830976,'th'),(3392831232,'in'),(3392831488,'pg'),(3392832512,'in'),(3392833536,'au'),(3392835584,'jp'),(3392839680,'id'),(3392845824,'hk'),(3392847872,'id'),(3392860160,'au'),(3392860672,'id'),(3392861184,'th'),(3392861440,'vn'),(3392861696,'au'),(3392864256,'to'),(3392864512,'au'),(3392864768,'in'),(3392865280,'nu'),(3392868352,'au'),(3392880640,'pk'),(3392888832,'au'),(3392892928,'jp'),(3392897024,'bd'),(3392901120,'jp'),(3392903168,'hk'),(3392905216,'id'),(3392909312,'jp'),(3392913408,'id'),(3392917504,'bd'),(3392929792,'mu'),(3392931840,'ph'),(3392933888,'jp'),(3392942080,'au'),(3392944128,'my'),(3392945152,'in'),(3392946176,'au'),(3392956416,'vn'),(3392958464,'cn'),(3392962560,'in'),(3392970752,'jp'),(3392978944,'th'),(3392983040,'in'),(3392987136,'hk'),(3392995328,'pg'),(3392995584,'jp'),(3392995840,'nz'),(3392996352,'au'),(3392997376,'ap'),(3392998400,'au'),(3392999424,'jp'),(3393003520,'pk'),(3393011712,'ph'),(3393028096,'au'),(3393060864,'fj'),(3393062912,'id'),(3393069056,'au'),(3393077248,'in'),(3393085440,'la'),(3393090560,'in'),(3393091072,'fj'),(3393093632,'au'),(3393101824,'jp'),(3393110016,'hk'),(3393118208,'in'),(3393122304,'au'),(3393123328,'in'),(3393123584,'nz'),(3393123840,'in'),(3393125632,'jp'),(3393125888,'au'),(3393126144,'fj'),(3393126400,'hk'),(3393134592,'au'),(3393146880,'pk'),(3393150976,'in'),(3393159168,'hk'),(3393167360,'in'),(3393175552,'pk'),(3393183744,'sg'),(3393187840,'np'),(3393189888,'cn'),(3393190912,'in'),(3393191424,'sb'),(3393191936,'hk'),(3393260032,'bd'),(3393260544,'au'),(3393265664,'ck'),(3393273856,'au'),(3393282048,'hk'),(3393286144,'id'),(3393290240,'in'),(3393298432,'nz'),(3393300480,'bd'),(3393302528,'ph'),(3393306624,'hk'),(3393314816,'id'),(3393318912,'sg'),(3393320960,'hk'),(3393389568,'in'),(3393390592,'id'),(3393392640,'jp'),(3393396736,'id'),(3393400832,'jp'),(3393404928,'au'),(3393421312,'hk'),(3393470464,'au'),(3393474560,'nz'),(3393486848,'in'),(3393495040,'au'),(3393499136,'sg'),(3393503232,'hk'),(3393507328,'sg'),(3393511424,'kr'),(3393519616,'hk'),(3393520640,'cn'),(3393521664,'pk'),(3393523712,'cn'),(3393527808,'pk'),(3393536000,'hk'),(3393544192,'id'),(3393548288,'jp'),(3393552384,'hk'),(3393553408,'au'),(3393554432,'th'),(3393556480,'sg'),(3393560576,'ph'),(3393568768,'lk'),(3393572864,'au'),(3393576960,'jp'),(3393581056,'hk'),(3393585152,'cn'),(3393593344,'mn'),(3393597440,'id'),(3393601536,'np'),(3393613824,'as'),(3393622016,'pk'),(3393626112,'hk'),(3393630208,'jp'),(3393634304,'in'),(3393638400,'jp'),(3393658880,'kh'),(3393662976,'jp'),(3393675264,'my'),(3393679360,'th'),(3393683456,'in'),(3393691648,'au'),(3393695744,'ph'),(3393699840,'hk'),(3393724416,'au'),(3393728512,'jp'),(3393740800,'us'),(3393744896,'ph'),(3393748992,'au'),(3393765376,'id'),(3393773568,'au'),(3393775616,'bd'),(3393777664,'mn'),(3393779712,'in'),(3393780736,'hk'),(3393782784,'bd'),(3393783808,'my'),(3393785856,'id'),(3393789952,'sg'),(3393798144,'jp'),(3393806336,'id'),(3393815552,'kr'),(3393816576,'jp'),(3393822720,'ph'),(3393830912,'nz'),(3393835008,'jp'),(3393839104,'id'),(3393843200,'hk'),(3393848320,'jp'),(3393849344,'cn'),(3393851392,'jp'),(3393863680,'au'),(3393865728,'id'),(3393871872,'hk'),(3393880064,'au'),(3393896448,'nz'),(3393908736,'bd'),(3393910784,'ph'),(3393911808,'au'),(3393912064,'jp'),(3393912320,'hk'),(3393913856,'my'),(3393914880,'jp'),(3393916928,'id'),(3393921024,'my'),(3393929216,'hk'),(3393937408,'id'),(3393941504,'jp'),(3393945600,'my'),(3393961984,'in'),(3393966080,'cn'),(3393970176,'jp'),(3393974272,'my'),(3393976320,'mo'),(3393977344,'hk'),(3394011136,'au'),(3394027520,'jp'),(3394035712,'my'),(3394039808,'us'),(3394041856,'au'),(3394042880,'hk'),(3394060288,'id'),(3394066432,'au'),(3394068480,'id'),(3394076672,'hk'),(3394078720,'au'),(3394078976,'in'),(3394079232,'ph'),(3394079744,'hk'),(3394113536,'sg'),(3394117632,'au'),(3394121728,'sg'),(3394125824,'ph'),(3394142208,'nz'),(3394150400,'in'),(3394154496,'jp'),(3394158592,'id'),(3394162688,'jp'),(3394166784,'vn'),(3394168832,'in'),(3394170880,'nz'),(3394172928,'jp'),(3394173696,'in'),(3394173952,'hk'),(3394174976,'jp'),(3394179072,'bd'),(3394181120,'kh'),(3394183168,'np'),(3394191360,'sg'),(3394207744,'jp'),(3394215936,'au'),(3394220032,'sg'),(3394232320,'au'),(3394234368,'vn'),(3394236416,'jp'),(3394239488,'hk'),(3394248704,'vu'),(3394252800,'in'),(3394256896,'au'),(3394265088,'jp'),(3394267136,'tw'),(3394269184,'id'),(3394273280,'hk'),(3394277376,'au'),(3394279424,'ph'),(3394281472,'sg'),(3394285568,'au'),(3394289664,'hk'),(3394293760,'id'),(3394297856,'th'),(3394306048,'hk'),(3394307072,'sg'),(3394308096,'jp'),(3394310144,'au'),(3394314240,'id'),(3394322432,'au'),(3394326528,'jp'),(3394330624,'au'),(3394338816,'in'),(3394347008,'ph'),(3394355200,'in'),(3394359296,'au'),(3394363392,'hk'),(3394441216,'in'),(3394453504,'au'),(3394461696,'sg'),(3394465792,'au'),(3394467840,'my'),(3394469888,'jp'),(3394478080,'pk'),(3394482176,'au'),(3394484224,'jp'),(3394486272,'hk'),(3394494464,'jp'),(3394498560,'hk'),(3394500608,'sg'),(3394501632,'hk'),(3394507264,'jp'),(3394507776,'ph'),(3394510848,'bd'),(3394514944,'jp'),(3394519040,'bd'),(3394521088,'kh'),(3394523136,'jp'),(3394527232,'ph'),(3394535424,'hk'),(3394621440,'cn'),(3394625536,'hk'),(3394629632,'au'),(3394631680,'hk'),(3394634752,'in'),(3394635776,'kr'),(3394637824,'af'),(3394641920,'au'),(3394648064,'jp'),(3394650112,'hk'),(3394658304,'nz'),(3394662400,'au'),(3394664448,'jp'),(3394666496,'mo'),(3394682880,'ph'),(3394686976,'au'),(3394689024,'bd'),(3394691072,'jp'),(3394697216,'sg'),(3394697728,'au'),(3394697984,'in'),(3394699264,'hk'),(3394700288,'au'),(3394707456,'in'),(3394715648,'jp'),(3394719744,'pk'),(3394732032,'nc'),(3394740224,'au'),(3394744320,'id'),(3394752512,'ws'),(3394753536,'vn'),(3394754560,'my'),(3394756608,'jp'),(3394760704,'id'),(3394764800,'hk'),(3394772992,'pk'),(3394777088,'jp'),(3394781184,'mp'),(3394789376,'hk'),(3394797568,'in'),(3394813952,'jp'),(3394816000,'hk'),(3394818048,'in'),(3394830336,'hk'),(3394831360,'nz'),(3394832384,'ph'),(3394834432,'hk'),(3394836480,'bt'),(3394838528,'nz'),(3394846720,'in'),(3394850816,'jp'),(3394854912,'ph'),(3394855936,'ap'),(3394856960,'in'),(3394859008,'jp'),(3394860032,'id'),(3394860544,'in'),(3394861056,'hk'),(3394862080,'kr'),(3394863104,'nz'),(3394871296,'au'),(3394879488,'ph'),(3394883584,'id'),(3394887680,'jp'),(3394893824,'kr'),(3394894848,'hk'),(3394895872,'cn'),(3394896896,'th'),(3394897920,'jp'),(3394899968,'sg'),(3394904576,'au'),(3394905088,'bn'),(3394905344,'au'),(3394912256,'pf'),(3394920448,'in'),(3394924544,'th'),(3394928640,'ph'),(3394936832,'au'),(3394940928,'jp'),(3394945024,'in'),(3394945280,'au'),(3394945536,'id'),(3394946048,'au'),(3394946560,'id'),(3394947072,'bd'),(3394948096,'in'),(3394948352,'ph'),(3394948608,'au'),(3394949120,'jp'),(3394953216,'cn'),(3394957312,'au'),(3394959360,'hk'),(3394960384,'cn'),(3394962432,'au'),(3394963456,'id'),(3394965504,'th'),(3394967552,'id'),(3394969600,'sg'),(3394973696,'jp'),(3394977792,'in'),(3394990080,'jp'),(3394994176,'cn'),(3394995200,'in'),(3394998272,'jp'),(3395002368,'ph'),(3395006464,'cn'),(3395010560,'au'),(3395014656,'jp'),(3395018752,'cn'),(3395027968,'vn'),(3395031040,'pk'),(3395035136,'au'),(3395039232,'bd'),(3395043328,'au'),(3395059712,'ph'),(3395067904,'hk'),(3395076096,'id'),(3395080192,'au'),(3395084288,'in'),(3395088384,'au'),(3395091456,'cn'),(3395093504,'au'),(3395094016,'kr'),(3395094528,'kh'),(3395096576,'id'),(3395104768,'th'),(3395108864,'jp'),(3395117056,'au'),(3395121152,'id'),(3395129344,'jp'),(3395131392,'au'),(3395131648,'kh'),(3395131904,'in'),(3395132160,'au'),(3395132416,'vn'),(3395133440,'au'),(3395141632,'hk'),(3395145728,'bn'),(3395149824,'id'),(3395155968,'au'),(3395156992,'cn'),(3395166208,'au'),(3395170304,'jp'),(3395182592,'sg'),(3395190784,'jp'),(3395198976,'my'),(3395203072,'jp'),(3395215360,'hk'),(3395219456,'th'),(3395223552,'cn'),(3395231744,'jp'),(3395239936,'sg'),(3395256320,'id'),(3395264512,'jp'),(3395272704,'pg'),(3395276800,'jp'),(3395280896,'ph'),(3395287040,'jp'),(3395287552,'nz'),(3395287808,'in'),(3395288064,'cn'),(3396995072,'id'),(3396997120,'in'),(3396999168,'jp'),(3397001216,'cn'),(3397003264,'th'),(3397005312,'jp'),(3397009408,'cn'),(3397017600,'hk'),(3397021696,'cn'),(3397026048,'au'),(3397026304,'th'),(3397026816,'au'),(3397027072,'ph'),(3397027328,'in'),(3397027840,'jp'),(3397029888,'my'),(3397033984,'id'),(3397038080,'jp'),(3397066752,'in'),(3397070848,'ph'),(3397074944,'hk'),(3397083136,'cn'),(3397087232,'jp'),(3397091328,'gu'),(3397099520,'hk'),(3397103616,'la'),(3397105664,'jp'),(3397107712,'hk'),(3397115904,'id'),(3397120000,'pk'),(3397124096,'jp'),(3397131264,'hk'),(3397132288,'au'),(3397136384,'jp'),(3397140480,'au'),(3397148672,'nz'),(3397156864,'ph'),(3397165056,'lk'),(3397177344,'jp'),(3397181440,'pw'),(3397185536,'au'),(3397187584,'in'),(3397189632,'au'),(3397201920,'jp'),(3397206016,'bd'),(3397222400,'pk'),(3397230592,'au'),(3397234688,'cn'),(3397238784,'hk'),(3397255168,'sg'),(3397259264,'jp'),(3397263360,'ph'),(3397267456,'hk'),(3397271552,'tw'),(3397275648,'nz'),(3397277696,'mn'),(3397279744,'au'),(3397283840,'kr'),(3397285888,'bd'),(3397287936,'sg'),(3397304320,'nz'),(3397308416,'hk'),(3397312512,'jp'),(3397320704,'cn'),(3397322752,'nz'),(3397323776,'cn'),(3397328896,'id'),(3397330944,'cn'),(3397337088,'hk'),(3397341184,'jp'),(3397345280,'id'),(3397349376,'cn'),(3397363712,'hk'),(3397365760,'jp'),(3397369856,'cn'),(3397386240,'gu'),(3397394432,'ph'),(3397402624,'gu'),(3397414912,'au'),(3397419008,'hk'),(3397427200,'sg'),(3397443584,'hk'),(3397451776,'th'),(3397468160,'au'),(3397492736,'my'),(3397496832,'jp'),(3397498880,'id'),(3397500928,'bd'),(3397501952,'in'),(3397504000,'th'),(3397505024,'nz'),(3397505280,'in'),(3397506560,'au'),(3397506816,'in'),(3397507072,'id'),(3397507584,'au'),(3397507840,'in'),(3397508096,'ph'),(3397509120,'id'),(3397510144,'ap'),(3397511168,'lk'),(3397512192,'kh'),(3397512448,'au'),(3397512704,'ph'),(3397512960,'in'),(3397513728,'sg'),(3397514240,'au'),(3397515264,'np'),(3397516288,'au'),(3397516544,'nz'),(3397516800,'jp'),(3397517056,'au'),(3397517312,'cn'),(3397525504,'au'),(3397526528,'vn'),(3397527040,'au'),(3397527296,'jp'),(3397527552,'in'),(3397528576,'au'),(3397530624,'id'),(3397531648,'sg'),(3397532672,'jp'),(3397533696,'hk'),(3397566464,'au'),(3397574656,'cn'),(3397582848,'mn'),(3397584896,'jp'),(3397586944,'cn'),(3397588992,'kr'),(3397591040,'hk'),(3397595136,'cn'),(3397599232,'hk'),(3397603328,'kh'),(3397605376,'au'),(3397607424,'in'),(3397623808,'gu'),(3397632000,'jp'),(3397636096,'cn'),(3397640192,'mn'),(3397648384,'tw'),(3397713920,'id'),(3397715968,'hk'),(3397718016,'kr'),(3397726208,'in'),(3397734400,'id'),(3397738496,'my'),(3397742592,'jp'),(3397746688,'th'),(3397763072,'ph'),(3397771264,'tw'),(3397779456,'id'),(3397781504,'bd'),(3397783552,'vn'),(3397785600,'to'),(3397787648,'au'),(3397791744,'nz'),(3397792000,'au'),(3397792768,'in'),(3397793792,'ph'),(3397794560,'in'),(3397794816,'hk'),(3397816320,'in'),(3397832704,'jp'),(3397836800,'au'),(3397844992,'ap'),(3397910528,'sg'),(3397918720,'au'),(3397922816,'cn'),(3397926912,'id'),(3397935104,'au'),(3397939200,'kr'),(3397951488,'sg'),(3397959680,'jp'),(3397963776,'cn'),(3397971968,'la'),(3397974016,'in'),(3397976064,'id'),(3397984256,'jp'),(3397992448,'au'),(3398004736,'ph'),(3398008832,'la'),(3398017024,'au'),(3398021120,'fj'),(3398023168,'jp'),(3398025216,'au'),(3398029312,'in'),(3398037504,'nz'),(3398039552,'in'),(3398040576,'my'),(3398041600,'au'),(3398062080,'jp'),(3398066176,'in'),(3398074368,'ph'),(3398090752,'au'),(3398098944,'id'),(3398107136,'au'),(3398156288,'th'),(3398164480,'au'),(3398172672,'jp'),(3398180864,'in'),(3398189056,'hk'),(3398205440,'in'),(3398221824,'jp'),(3398230016,'au'),(3398238208,'in'),(3398279168,'cn'),(3398287360,'jp'),(3398291456,'au'),(3398295552,'in'),(3398305792,'jp'),(3398307840,'cn'),(3398311936,'au'),(3398320128,'in'),(3398336512,'au'),(3398340608,'pk'),(3398352896,'th'),(3398361088,'jp'),(3398369280,'in'),(3398369792,'jp'),(3398373376,'cn'),(3398381568,'au'),(3398385664,'jp'),(3398393856,'id'),(3398397952,'pk'),(3398402048,'th'),(3398418432,'jp'),(3398434816,'in'),(3398467584,'bt'),(3398475776,'au'),(3398481920,'la'),(3398483968,'my'),(3398488064,'tw'),(3398500352,'id'),(3398504448,'jp'),(3398508544,'tw'),(3398565888,'id'),(3398567424,'au'),(3398569984,'jp'),(3398572032,'au'),(3398574080,'id'),(3398582272,'my'),(3398590464,'hk'),(3398598656,'id'),(3398612992,'ph'),(3398613504,'nz'),(3398613760,'au'),(3398615040,'in'),(3398619136,'au'),(3398621184,'hk'),(3398623232,'id'),(3398631424,'jp'),(3398647808,'au'),(3398672384,'pk'),(3398680576,'id'),(3398684672,'jp'),(3398688768,'id'),(3398709248,'au'),(3398711296,'bd'),(3398721536,'cn'),(3398729728,'au'),(3398737920,'sg'),(3398742016,'th'),(3398746112,'in'),(3398750208,'tw'),(3398754304,'au'),(3398758400,'jp'),(3398768640,'th'),(3398770688,'in'),(3398778880,'id'),(3398787072,'th'),(3398795264,'id'),(3398803456,'cn'),(3398811648,'in'),(3398819840,'cn'),(3398828032,'kh'),(3398829056,'in'),(3398830080,'kh'),(3398831104,'ap'),(3398832128,'cn'),(3398840320,'jp'),(3398843392,'au'),(3398844416,'id'),(3398852608,'nz'),(3398860800,'id'),(3398873088,'kr'),(3398881280,'sg'),(3398893568,'id'),(3398894592,'th'),(3398895616,'id'),(3398897664,'fj'),(3398901760,'au'),(3398902016,'hk'),(3398902272,'ph'),(3398902784,'au'),(3398903808,'th'),(3398905856,'tw'),(3398909952,'gu'),(3398918144,'jp'),(3398926336,'in'),(3398934528,'vn'),(3398938624,'th'),(3398942720,'my'),(3398959104,'id'),(3398975488,'bn'),(3398983680,'jp'),(3398991872,'id'),(3399004160,'cn'),(3399008256,'id'),(3399012352,'jp'),(3399016448,'id'),(3399024640,'th'),(3399025664,'jp'),(3399026176,'sg'),(3399026432,'au'),(3399026688,'hk'),(3399028736,'id'),(3399032832,'in'),(3399036928,'cn'),(3399041024,'au'),(3399045120,'mv'),(3399047168,'hk'),(3399057408,'id'),(3399065600,'tw'),(3399077888,'au'),(3399081984,'id'),(3399106560,'au'),(3399122944,'nz'),(3399131136,'in'),(3399135232,'id'),(3399139328,'tw'),(3399147520,'pk'),(3399155712,'id'),(3399196672,'au'),(3399204864,'hk'),(3399221248,'sg'),(3399286784,'jp'),(3399303168,'in'),(3399311360,'jp'),(3399319552,'sg'),(3399344128,'jp'),(3399352320,'id'),(3399389184,'kr'),(3399393280,'cn'),(3399401472,'au'),(3399409664,'jp'),(3399413760,'ap'),(3399414016,'au'),(3399414272,'jp'),(3399414528,'au'),(3399414784,'vn'),(3399415808,'sg'),(3399416832,'id'),(3399417088,'au'),(3399417856,'id'),(3399467008,'in'),(3399483392,'bn'),(3399495680,'nz'),(3399499776,'tw'),(3399507968,'au'),(3399512064,'nz'),(3399514112,'sg'),(3399515136,'vn'),(3399515648,'au'),(3399524352,'in'),(3399528448,'cn'),(3399532544,'sg'),(3399548928,'au'),(3399557120,'sg'),(3399565312,'au'),(3399581696,'ap'),(3399589888,'hk'),(3399593984,'bd'),(3399598080,'jp'),(3399614464,'my'),(3399622656,'id'),(3399626752,'in'),(3399630848,'au'),(3399631872,'sg'),(3399632896,'nz'),(3399633408,'au'),(3399633920,'th'),(3399634944,'jp'),(3399639040,'au'),(3399643136,'jp'),(3399655424,'ph'),(3399659520,'nz'),(3399661568,'hk'),(3399662592,'in'),(3399663616,'id'),(3399671808,'in'),(3399680000,'hk'),(3399688192,'sg'),(3399696384,'pk'),(3399712768,'kr'),(3399720960,'jp'),(3399729152,'ph'),(3399745536,'cn'),(3399749632,'au'),(3399751680,'in'),(3399751936,'cn'),(3399752192,'au'),(3399752448,'hk'),(3399752704,'nz'),(3399753728,'in'),(3399761920,'jp'),(3399778304,'in'),(3399786496,'ph'),(3399794688,'au'),(3399798784,'bd'),(3399800832,'id'),(3399802880,'jp'),(3399811072,'my'),(3399819264,'id'),(3399823360,'jp'),(3399825408,'kr'),(3399826432,'ph'),(3399826944,'in'),(3399827456,'au'),(3399835648,'cn'),(3399839744,'jp'),(3399841792,'tw'),(3399852032,'jp'),(3399856128,'cn'),(3399860224,'pg'),(3399864320,'cn'),(3399868416,'pk'),(3399876608,'sg'),(3399917568,'pk'),(3399921664,'nc'),(3399923712,'in'),(3399923968,'jp'),(3399924224,'au'),(3399924736,'ph'),(3399925760,'np'),(3399942144,'ap'),(3399995392,'kr'),(3399999488,'sg'),(3400007680,'au'),(3400024064,'my'),(3400028160,'au'),(3400030208,'in'),(3400031232,'sg'),(3400031744,'in'),(3400032000,'hk'),(3400032256,'au'),(3400048640,'cn'),(3400056832,'tw'),(3400060928,'hk'),(3400062976,'jp'),(3400065024,'bd'),(3400073216,'hk'),(3400077312,'au'),(3400079360,'my'),(3400081408,'id'),(3400089600,'jp'),(3400097792,'au'),(3400105984,'jp'),(3400114176,'tw'),(3400118272,'au'),(3400120320,'jp'),(3400122368,'nz'),(3400130560,'id'),(3400138752,'hk'),(3400146944,'fj'),(3400151040,'my'),(3400155136,'mn'),(3400163328,'jp'),(3400167424,'th'),(3400171520,'cn'),(3400179712,'nz'),(3400183808,'jp'),(3400187904,'au'),(3400192000,'jp'),(3400194048,'cn'),(3400204288,'id'),(3400212480,'my'),(3400220672,'nc'),(3400224768,'jp'),(3400228864,'au'),(3400232960,'jp'),(3400245248,'au'),(3400253440,'my'),(3400257536,'hk'),(3400261632,'jp'),(3400263680,'au'),(3400263936,'id'),(3400264192,'in'),(3400264448,'au'),(3400264704,'id'),(3400265216,'au'),(3400265472,'in'),(3400265728,'pg'),(3400267776,'kr'),(3400268800,'mo'),(3400270848,'vn'),(3400271360,'au'),(3400271616,'in'),(3400271872,'au'),(3400273920,'th'),(3400275968,'jp'),(3400278016,'sg'),(3400286208,'jp'),(3400294400,'au'),(3400310784,'sg'),(3400335360,'mo'),(3400336384,'ph'),(3400336640,'jp'),(3400336896,'au'),(3400337152,'ph'),(3400337408,'cn'),(3400339456,'id'),(3400341504,'au'),(3400343552,'tw'),(3400351744,'id'),(3400359936,'jp'),(3400368128,'au'),(3400388608,'th'),(3400392704,'cn'),(3400400896,'mo'),(3400401920,'tw'),(3400402176,'in'),(3400402432,'nz'),(3400402944,'ap'),(3400404992,'tw'),(3400409088,'au'),(3400413184,'jp'),(3400421376,'au'),(3400423424,'kr'),(3400424448,'in'),(3400425472,'au'),(3400429568,'nz'),(3400431616,'in'),(3400431872,'hk'),(3400432128,'in'),(3400433664,'hk'),(3400441856,'nz'),(3400450048,'jp'),(3400458240,'au'),(3400466432,'mo'),(3400499200,'nz'),(3400503296,'jp'),(3400507392,'mo'),(3400515584,'ph'),(3400531968,'au'),(3400534016,'jp'),(3400535040,'my'),(3400535552,'au'),(3400536064,'jp'),(3400548352,'th'),(3400581120,'sg'),(3400597504,'hk'),(3400605696,'jp'),(3400607744,'au'),(3400608768,'in'),(3400609792,'jp'),(3400630272,'in'),(3400646656,'ap'),(3400654848,'in'),(3400663040,'my'),(3400683520,'jp'),(3400691712,'kh'),(3400695808,'tw'),(3400728576,'mn'),(3400736768,'jp'),(3400744960,'in'),(3400753152,'my'),(3400761344,'pk'),(3400769536,'jp'),(3400773632,'kr'),(3400775680,'id'),(3400777728,'jp'),(3400790016,'cn'),(3400794112,'id'),(3400802304,'jp'),(3400806400,'id'),(3400808448,'jp'),(3400810496,'nz'),(3400826880,'cn'),(3400835072,'hk'),(3400839168,'jp'),(3400849408,'mn'),(3400851456,'au'),(3400884224,'jp'),(3400888320,'cn'),(3400892416,'hk'),(3400925184,'th'),(3400937472,'id'),(3400941568,'au'),(3400966144,'id'),(3400982528,'hk'),(3400990720,'id'),(3400998912,'ph'),(3401003008,'jp'),(3401007104,'in'),(3401011200,'jp'),(3401015296,'au'),(3401023488,'th'),(3401056256,'my'),(3401400320,'au'),(3401404416,'cn'),(3401408512,'hk'),(3401416704,'kr'),(3401420800,'jp'),(3401424896,'nz'),(3401428992,'jp'),(3401441280,'in'),(3401449472,'my'),(3401515520,'id'),(3401516032,'au'),(3401519104,'jp'),(3401523200,'nz'),(3401527296,'au'),(3401529344,'vn'),(3401530368,'au'),(3401531392,'in'),(3401539584,'au'),(3401543680,'jp'),(3401545728,'bd'),(3401547776,'my'),(3401580544,'cn'),(3402629120,'jp'),(3405774848,'au'),(3406077952,'th'),(3406078208,'au'),(3406327040,'in'),(3406327296,'au'),(3406384640,'sg'),(3406385152,'au'),(3406434304,'my'),(3406436352,'au'),(3406565888,'ph'),(3406566144,'au'),(3406617600,'my'),(3406617856,'au'),(3406618112,'in'),(3406618624,'au'),(3406625024,'nf'),(3406625280,'au'),(3406669824,'in'),(3406670848,'au'),(3406696960,'in'),(3406697216,'au'),(3406734848,'ap'),(3406735104,'au'),(3406737408,'id'),(3406737664,'au'),(3406739200,'id'),(3406739456,'au'),(3406746624,'jp'),(3406746880,'au'),(3406865664,'in'),(3406865920,'au'),(3406946816,'kr'),(3406947072,'au'),(3406950400,'nf'),(3406951424,'au'),(3406961152,'in'),(3406961408,'au'),(3406967296,'cn'),(3406967552,'au'),(3406989568,'in'),(3406989824,'au'),(3407020288,'sg'),(3407020544,'au'),(3407020800,'in'),(3407021056,'id'),(3407021312,'au'),(3407057664,'jp'),(3407057920,'au'),(3407096832,'jp'),(3407097088,'au'),(3407112448,'sg'),(3407112704,'au'),(3407152896,'in'),(3407153152,'au'),(3407329792,'in'),(3407330304,'au'),(3407367168,'id'),(3407367680,'au'),(3407369984,'in'),(3407370240,'au'),(3407498496,'pk'),(3407498752,'au'),(3407604480,'in'),(3407604736,'au'),(3407682048,'id'),(3407682816,'au'),(3407732224,'hk'),(3407732480,'au'),(3407750656,'sg'),(3407751168,'au'),(3407753216,'sg'),(3407753728,'au'),(3407785472,'nz'),(3407785728,'au'),(3407801344,'id'),(3407801856,'au'),(3407805952,'id'),(3407806464,'au'),(3407814656,'hk'),(3407815168,'au'),(3407848448,'id'),(3407848960,'au'),(3407866368,'gb'),(3407866624,'au'),(3407873024,'in'),(3407873536,'au'),(3407928576,'in'),(3407928832,'au'),(3407985920,'kh'),(3407986176,'au'),(3407987712,'ph'),(3407987968,'au'),(3407988224,'in'),(3407988736,'au'),(3407998976,'th'),(3407999232,'au'),(3408012544,'mn'),(3408012800,'au'),(3408023808,'jp'),(3408024064,'au'),(3408032768,'in'),(3408033280,'id'),(3408033792,'au'),(3408039936,'vn'),(3408040192,'au'),(3408042496,'hk'),(3408042752,'au'),(3408066048,'in'),(3408066304,'au'),(3409396480,'ph'),(3409396736,'au'),(3409420288,'in'),(3409420544,'au'),(3409423616,'in'),(3409423872,'au'),(3409491712,'sg'),(3409491968,'au'),(3409504000,'hk'),(3409504256,'au'),(3409506560,'in'),(3409506816,'au'),(3409509632,'hk'),(3409509888,'au'),(3409516544,'id'),(3409517056,'au'),(3409547520,'nz'),(3409547776,'au'),(3409838336,'my'),(3409838848,'au'),(3409876992,'th'),(3409878016,'au'),(3409882112,'in'),(3409883136,'au'),(3409888000,'sg'),(3409888256,'au'),(3409969152,'tw'),(3410755584,'au'),(3410771968,'jp'),(3410780160,'bd'),(3410788352,'in'),(3410792448,'bd'),(3410796544,'kh'),(3410797568,'jp'),(3410798592,'in'),(3410799616,'sg'),(3410800640,'in'),(3410804736,'ph'),(3410821120,'tw'),(3410853888,'hk'),(3410862080,'au'),(3410866176,'kr'),(3410866432,'in'),(3410866688,'vn'),(3410866944,'au'),(3410867200,'hk'),(3410868224,'us'),(3410870272,'in'),(3410874368,'id'),(3410886656,'tw'),(3410887680,'in'),(3410887936,'hk'),(3410888704,'sg'),(3410890752,'au'),(3410894848,'hk'),(3410911232,'th'),(3410915328,'id'),(3410919424,'in'),(3410927616,'np'),(3410931712,'tw'),(3410935808,'my'),(3410939904,'in'),(3410944000,'jp'),(3410952192,'cn'),(3410956288,'au'),(3410958336,'in'),(3410958848,'id'),(3410959360,'vn'),(3410959616,'id'),(3410959872,'au'),(3410960384,'ap'),(3410964480,'jp'),(3410968576,'nz'),(3410984960,'tw'),(3411017728,'hk'),(3411019264,'jp'),(3411019776,'id'),(3411021824,'my'),(3411023872,'jp'),(3411030016,'nc'),(3411032064,'th'),(3411032576,'au'),(3411033088,'nz'),(3411034112,'hk'),(3411050496,'pk'),(3411054592,'cn'),(3411058688,'au'),(3411062784,'hk'),(3411085312,'kr'),(3411086336,'jp'),(3411087360,'cn'),(3411091456,'sg'),(3411099648,'mm'),(3411107840,'lk'),(3411111936,'jp'),(3411116032,'kr'),(3411124224,'mm'),(3411128320,'hk'),(3411130368,'id'),(3411132416,'pk'),(3411144704,'jp'),(3411146752,'id'),(3411147776,'hk'),(3411149312,'mv'),(3411149824,'in'),(3411150848,'hk'),(3411154944,'jp'),(3411156992,'ph'),(3411161088,'pk'),(3411165184,'my'),(3411173376,'au'),(3411177472,'jp'),(3411181568,'sg'),(3411197952,'bd'),(3411202048,'au'),(3411204608,'in'),(3411204864,'kr'),(3411205632,'hk'),(3411206144,'kh'),(3411210240,'kr'),(3411212288,'in'),(3411213312,'hk'),(3411215360,'au'),(3411216384,'jp'),(3411218432,'pg'),(3411220480,'id'),(3411226624,'io'),(3411228672,'cn'),(3411230720,'hk'),(3411247104,'kr'),(3411255296,'bd'),(3411263488,'au'),(3411269632,'hk'),(3411270144,'nz'),(3411270400,'au'),(3411270656,'jp'),(3411277824,'hk'),(3411278336,'sg'),(3411278592,'fj'),(3411278848,'hk'),(3411296256,'au'),(3411312640,'hk'),(3411313152,'tw'),(3411313664,'au'),(3411313920,'hk'),(3411314176,'nz'),(3411314688,'id'),(3411316736,'tw'),(3411318784,'id'),(3411320832,'ph'),(3411329024,'ap'),(3411337216,'au'),(3411341312,'kr'),(3411345408,'hk'),(3411410944,'cn'),(3411443712,'hk'),(3411460096,'nz'),(3411464192,'au'),(3411468288,'jp'),(3411470336,'hk'),(3411472384,'jp'),(3411475200,'au'),(3411475456,'hk'),(3411476480,'au'),(3411509248,'ph'),(3411542016,'in'),(3411550208,'cn'),(3411558400,'hk'),(3411566592,'bd'),(3411570688,'au'),(3411574784,'in'),(3411582976,'hk'),(3411587072,'jp'),(3411591168,'cn'),(3411599360,'au'),(3411607552,'cn'),(3411608576,'in'),(3411608832,'au'),(3411609088,'hk'),(3411611648,'id'),(3411615744,'jp'),(3411623936,'au'),(3411640320,'jp'),(3411641344,'in'),(3411641600,'hk'),(3411641856,'in'),(3411643392,'vn'),(3411644416,'au'),(3411644928,'id'),(3411645952,'sg'),(3411646208,'in'),(3411647488,'hk'),(3411648512,'nz'),(3411656704,'au'),(3411673088,'cn'),(3411674112,'in'),(3411674624,'hk'),(3411676160,'pk'),(3411677184,'jp'),(3411679232,'au'),(3411681280,'kr'),(3411689472,'in'),(3411705856,'cn'),(3411730432,'hk'),(3411738624,'tw'),(3411746816,'cn'),(3411755008,'au'),(3411763200,'cn'),(3411767296,'mn'),(3411769344,'cn'),(3411771392,'hk'),(3411779584,'jp'),(3411787776,'in'),(3411795968,'au'),(3411804160,'cn'),(3411805184,'pk'),(3411805696,'jp'),(3411805952,'au'),(3411806208,'ph'),(3411808256,'jp'),(3411810304,'mn'),(3411810560,'nz'),(3411810816,'au'),(3411812352,'in'),(3411820544,'sg'),(3411836928,'my'),(3411845120,'cn'),(3411853312,'in'),(3411857408,'jp'),(3411861504,'au'),(3411869696,'cn'),(3411943424,'au'),(3411951616,'lk'),(3411968000,'au'),(3411984384,'in'),(3412000768,'cn'),(3412002816,'gu'),(3412004864,'jp'),(3412017152,'sg'),(3412025344,'cn'),(3412033536,'tw'),(3412066304,'nz'),(3412213760,'au'),(3412221952,'in'),(3412230144,'hk'),(3412246528,'au'),(3412254720,'nr'),(3412262912,'jp'),(3412267008,'cn'),(3412271104,'nz'),(3412273152,'in'),(3412275200,'pk'),(3412279296,'nz'),(3412281344,'jp'),(3412283392,'cn'),(3412287488,'id'),(3412295680,'nz'),(3412296192,'id'),(3412296704,'nz'),(3412297728,'my'),(3412298752,'sg'),(3412299264,'au'),(3412299520,'hk'),(3412299776,'au'),(3412302848,'ws'),(3412303872,'pk'),(3412312064,'in'),(3412320256,'jp'),(3412322304,'ph'),(3412324352,'jp'),(3412326400,'vn'),(3412327424,'th'),(3412327936,'hk'),(3412328192,'ws'),(3412328448,'au'),(3412336640,'cn'),(3412342784,'au'),(3412343040,'in'),(3412343296,'ap'),(3412343552,'au'),(3412344320,'sg'),(3412344832,'in'),(3412348928,'cn'),(3412361216,'hk'),(3412369408,'kr'),(3412377600,'cn'),(3412381696,'nz'),(3412385792,'au'),(3412393984,'in'),(3412426752,'th'),(3412434944,'pk'),(3412443136,'sg'),(3412451328,'au'),(3412594688,'in'),(3412596736,'mv'),(3412602880,'nc'),(3412606976,'ph'),(3412615168,'jp'),(3412656128,'hk'),(3412672512,'jp'),(3412697088,'in'),(3412705280,'au'),(3412713472,'tw'),(3412721664,'my'),(3412787200,'tw'),(3412819968,'th'),(3412852736,'au'),(3412918272,'kr'),(3412926464,'my'),(3412934656,'in'),(3412951040,'nz'),(3413000192,'la'),(3413004288,'in'),(3413008384,'jp'),(3413016576,'au'),(3413024768,'cn'),(3413032960,'au'),(3413037056,'in'),(3413041152,'jp'),(3413043968,'au'),(3413044224,'hk'),(3413045248,'in'),(3413047296,'au'),(3413102592,'tw'),(3413106688,'ph'),(3413110784,'jp'),(3413112832,'in'),(3413113856,'jp'),(3413133312,'bd'),(3413135360,'hk'),(3413147648,'in'),(3413155840,'sg'),(3413164032,'bd'),(3413172224,'my'),(3413180416,'th'),(3413213184,'vn'),(3413229568,'au'),(3413245952,'sg'),(3413262336,'ph'),(3413270528,'th'),(3413278720,'nz'),(3413295104,'jp'),(3413303296,'id'),(3413304320,'jp'),(3413305344,'in'),(3413306368,'ph'),(3413307392,'in'),(3413308416,'cn'),(3413309440,'jp'),(3413310464,'hk'),(3413311488,'lk'),(3413327872,'in'),(3413344256,'ph'),(3413360640,'my'),(3413377024,'sg'),(3413524480,'th'),(3413540864,'nz'),(3413557248,'cn'),(3413565440,'tw'),(3413569536,'sg'),(3413569792,'nz'),(3413570048,'kh'),(3413570304,'au'),(3413570560,'ph'),(3413571584,'cn'),(3413572608,'jp'),(3413573632,'au'),(3413573888,'jp'),(3413574144,'hk'),(3413574400,'tw'),(3413574656,'ph'),(3413575680,'vn'),(3413576704,'au'),(3413576960,'id'),(3413577216,'au'),(3413577728,'ap'),(3413579776,'cn'),(3413582848,'vn'),(3413583872,'jp'),(3413584128,'id'),(3413584384,'au'),(3413584896,'vn'),(3413585920,'id'),(3413586176,'in'),(3413586688,'fj'),(3413586944,'id'),(3413587968,'nz'),(3413588224,'my'),(3413588480,'vn'),(3413593088,'au'),(3413593344,'ap'),(3413593600,'sg'),(3413704704,'my'),(3413737472,'th'),(3413753856,'au'),(3413762048,'tw'),(3413770240,'in'),(3413786624,'au'),(3413835776,'sg'),(3413843968,'in'),(3413848064,'sg'),(3413850112,'jp'),(3413850880,'au'),(3413851136,'id'),(3413852160,'au'),(3413868544,'in'),(3413884928,'kr'),(3413893120,'id'),(3413901312,'sg'),(3413902848,'jp'),(3413903360,'hk'),(3413905408,'in'),(3413907456,'pk'),(3413917696,'jp'),(3413925888,'sg'),(3413934080,'in'),(3413946368,'au'),(3413950464,'in'),(3413966848,'sg'),(3414163456,'pk'),(3414171648,'cn'),(3414179840,'id'),(3414188032,'cn'),(3414204416,'kr'),(3414222848,'au'),(3414223872,'kr'),(3414224896,'vn'),(3414226944,'id'),(3414227968,'pk'),(3414230016,'ph'),(3414230528,'kr'),(3414233088,'au'),(3414245376,'hk'),(3414253568,'jp'),(3414261760,'au'),(3414269952,'jp'),(3414278144,'in'),(3414294528,'pk'),(3414302720,'cn'),(3414310912,'kr'),(3414327296,'th'),(3414335488,'au'),(3414339584,'kr'),(3414343680,'id'),(3414360064,'au'),(3414376448,'ph'),(3414409216,'jp'),(3414413312,'th'),(3414417408,'hk'),(3414425600,'au'),(3414433792,'cn'),(3414441984,'au'),(3414450176,'jp'),(3414458368,'in'),(3414466560,'kr'),(3414474752,'hk'),(3414478848,'in'),(3414482944,'au'),(3414491136,'tw'),(3414523904,'jp'),(3414532096,'kr'),(3414540288,'jp'),(3414555648,'pk'),(3414556672,'au'),(3414605824,'in'),(3414616064,'id'),(3414618112,'cn'),(3414620160,'in'),(3414621184,'pk'),(3414638592,'tw'),(3414646784,'cn'),(3414654976,'hk'),(3414663168,'cn'),(3414667264,'id'),(3414669312,'au'),(3414670336,'in'),(3414670592,'ap'),(3414670848,'my'),(3414671360,'jp'),(3415080960,'ap'),(3415089152,'my'),(3415097344,'id'),(3415103488,'hk'),(3415113728,'au'),(3415121920,'kr'),(3415130112,'jp'),(3415136256,'kr'),(3415136768,'au'),(3415137280,'in'),(3415137536,'nf'),(3415137792,'au'),(3415146496,'lk'),(3415162880,'au'),(3415171072,'jp'),(3415179264,'sg'),(3415187456,'au'),(3415191552,'in'),(3415195648,'au'),(3415220224,'nz'),(3415224320,'us'),(3415228416,'kh'),(3415244800,'th'),(3415285760,'au'),(3415293952,'hk'),(3415306240,'th'),(3415308288,'jp'),(3415310336,'in'),(3415326720,'tw'),(3415334912,'ap'),(3415343104,'th'),(3415425024,'nc'),(3415431168,'in'),(3415432192,'au'),(3415435264,'ph'),(3415436288,'au'),(3415436800,'hk'),(3415441408,'au'),(3415474176,'cn'),(3415490560,'pk'),(3415494656,'ph'),(3415495680,'id'),(3415496704,'my'),(3415497728,'tw'),(3415497984,'au'),(3415498752,'jp'),(3415506944,'th'),(3415556096,'au'),(3415564288,'jp'),(3415568384,'kr'),(3415572480,'sg'),(3415605248,'th'),(3415736320,'sg'),(3415752704,'cn'),(3415760896,'nz'),(3415777280,'kr'),(3415785472,'jp'),(3415793664,'au'),(3415801856,'id'),(3415802880,'hk'),(3415803392,'ph'),(3415805952,'my'),(3415808000,'id'),(3415810048,'in'),(3415814400,'id'),(3415814656,'th'),(3415815168,'in'),(3415816192,'jp'),(3415817216,'id'),(3415822336,'my'),(3415826432,'id'),(3415834624,'th'),(3415838720,'kr'),(3415842816,'th'),(3415851008,'au'),(3415855104,'hk'),(3415855616,'in'),(3415856128,'id'),(3415858176,'lk'),(3415859200,'au'),(3415867392,'th'),(3416047616,'cn'),(3416064000,'th'),(3416131584,'ph'),(3416133632,'cn'),(3416135680,'my'),(3416137728,'au'),(3416145920,'in'),(3416154112,'th'),(3416260608,'vn'),(3416261120,'au'),(3416261632,'th'),(3416262656,'au'),(3416264704,'jp'),(3416268800,'hk'),(3416272896,'mn'),(3416274944,'id'),(3416276992,'hk'),(3416285184,'vn'),(3416289280,'nz'),(3416293376,'id'),(3416293632,'in'),(3416293888,'ph'),(3416294400,'au'),(3416295424,'in'),(3416295680,'th'),(3416295936,'in'),(3416296448,'kr'),(3416297472,'tw'),(3416301568,'ph'),(3416317952,'tw'),(3416326144,'vn'),(3416327168,'hk'),(3416328192,'au'),(3416330240,'id'),(3416334336,'my'),(3416342528,'au'),(3416371200,'ap'),(3416371712,'vn'),(3416371968,'in'),(3416372224,'cn'),(3416372480,'sg'),(3416372736,'au'),(3416372992,'sg'),(3416373248,'au'),(3416373504,'sg'),(3416373760,'au'),(3416374272,'ph'),(3416374528,'in'),(3416374784,'id'),(3416375296,'cn'),(3416383488,'hk'),(3416391680,'vn'),(3416457216,'ap'),(3416506368,'tw'),(3416514560,'in'),(3416522752,'au'),(3416588288,'jp'),(3416653824,'au'),(3416686592,'sg'),(3416694784,'cn'),(3416702976,'id'),(3416707072,'kr'),(3416709120,'au'),(3416709376,'id'),(3416709632,'au'),(3416710144,'hk'),(3416711168,'au'),(3416719360,'ph'),(3416727552,'jp'),(3416735744,'ph'),(3416752128,'nz'),(3416793088,'au'),(3416801280,'jp'),(3416817664,'hk'),(3416850432,'ph'),(3416851456,'kr'),(3416851968,'sg'),(3416852480,'jp'),(3416854528,'au'),(3416856576,'bd'),(3416858624,'hk'),(3416862720,'mn'),(3416864768,'ap'),(3416866816,'sg'),(3416883200,'hk'),(3416915968,'au'),(3416920064,'th'),(3416921088,'ph'),(3416922112,'au'),(3416922368,'in'),(3416922624,'vn'),(3416923136,'ap'),(3416924160,'jp'),(3416928256,'in'),(3416928512,'hk'),(3416928768,'th'),(3416929280,'jp'),(3416930304,'nz'),(3416930560,'au'),(3416931328,'in'),(3416932352,'pk'),(3416936448,'au'),(3416938496,'nz'),(3416938752,'au'),(3416939008,'hk'),(3416939520,'au'),(3416940544,'kr'),(3416948736,'th'),(3416981504,'ph'),(3416982528,'nz'),(3416982784,'au'),(3416983040,'ph'),(3416983552,'jp'),(3416985600,'vn'),(3416989696,'nz'),(3416997888,'au'),(3417014272,'ap'),(3417022464,'kr'),(3417030656,'au'),(3417034752,'nz'),(3417035008,'in'),(3417035776,'jp'),(3417036800,'id'),(3417037824,'au'),(3417038080,'id'),(3417038336,'in'),(3417038592,'nz'),(3417038848,'cn'),(3417042944,'in'),(3417044992,'au'),(3417047040,'ph'),(3417055232,'th'),(3417112576,'au'),(3417128960,'jp'),(3417135104,'id'),(3417137152,'kr'),(3417145344,'nz'),(3417178112,'ph'),(3417179392,'id'),(3417179648,'in'),(3417179904,'cn'),(3417180160,'id'),(3417182208,'au'),(3417184768,'nz'),(3417185024,'af'),(3417185280,'sg'),(3417185792,'nz'),(3417186304,'hk'),(3417194496,'jp'),(3417198592,'sg'),(3417200640,'jp'),(3417202688,'cn'),(3417210880,'au'),(3417227264,'jp'),(3417243648,'ph'),(3417244672,'in'),(3417245696,'bt'),(3417247744,'jp'),(3417251840,'kr'),(3417260032,'pk'),(3417264128,'jp'),(3417268224,'pk'),(3417272320,'nz'),(3417274368,'au'),(3417275392,'ph'),(3417276416,'cn'),(3417284608,'sg'),(3417288704,'in'),(3417289216,'au'),(3417289728,'in'),(3417291264,'au'),(3417291776,'kr'),(3417292800,'cn'),(3417333760,'au'),(3417337856,'in'),(3417338368,'hk'),(3417338880,'ph'),(3417339904,'au'),(3417340416,'nz'),(3417341952,'kh'),(3417346048,'my'),(3417348096,'au'),(3417348352,'in'),(3417348608,'nz'),(3417349120,'in'),(3417349632,'au'),(3417350144,'vn'),(3417352192,'cn'),(3417354240,'id'),(3417356288,'au'),(3417357312,'nz'),(3417357568,'au'),(3417357824,'pk'),(3417358336,'hk'),(3417374720,'ph'),(3417440256,'jp'),(3417833472,'nz'),(3417849856,'au'),(3417853952,'cn'),(3417858048,'jp'),(3417866240,'hk'),(3417915392,'th'),(3417939968,'pf'),(3417946112,'ap'),(3417947136,'in'),(3417947392,'hk'),(3417947648,'au'),(3417947904,'in'),(3417948160,'au'),(3417964544,'hk'),(3418030080,'tw'),(3418062848,'us'),(3418071040,'cn'),(3418079232,'in'),(3418095616,'th'),(3418112000,'hk'),(3418128384,'au'),(3418136576,'bd'),(3418144768,'tw'),(3418148864,'jp'),(3418150912,'au'),(3418152960,'in'),(3418155008,'my'),(3418157056,'bd'),(3418161664,'au'),(3418162432,'in'),(3418163200,'ph'),(3418165248,'my'),(3418167296,'in'),(3418167552,'au'),(3418167808,'ap'),(3418168320,'vn'),(3418169344,'jp'),(3418177536,'lk'),(3418181632,'au'),(3418183680,'id'),(3418184192,'in'),(3418184960,'au'),(3418189824,'bd'),(3418190848,'th'),(3418191872,'id'),(3418192896,'au'),(3418193920,'kh'),(3418202112,'hk'),(3418206208,'in'),(3418208256,'lk'),(3418218496,'bd'),(3418230784,'tw'),(3418232832,'au'),(3418233344,'kr'),(3418233856,'jp'),(3418234880,'bd'),(3418235904,'id'),(3418236416,'hk'),(3418236928,'id'),(3418241024,'jp'),(3418243072,'ph'),(3418251264,'cn'),(3418255360,'id'),(3418257408,'hk'),(3418259456,'in'),(3418267648,'vn'),(3418271744,'sg'),(3418273792,'id'),(3418275840,'au'),(3418279936,'nz'),(3418281984,'in'),(3418282240,'au'),(3418282496,'ph'),(3418283520,'au'),(3418284032,'sg'),(3418288128,'id'),(3418290176,'in'),(3418290688,'th'),(3418291200,'au'),(3418291712,'bd'),(3418292736,'au'),(3418292992,'hk'),(3418293504,'in'),(3418293760,'au'),(3418294016,'nz'),(3418294272,'vn'),(3418296320,'cn'),(3418300416,'bd'),(3418300928,'in'),(3418301440,'au'),(3418302464,'id'),(3418304512,'vn'),(3418306560,'mn'),(3418308608,'cn'),(3418324992,'bd'),(3418326016,'au'),(3418326528,'ph'),(3418327040,'jp'),(3418329088,'cn'),(3418333184,'au'),(3418345472,'jp'),(3418357760,'cn'),(3418365952,'th'),(3418374144,'au'),(3418382336,'jp'),(3418406912,'in'),(3418423296,'hk'),(3418456064,'in'),(3418472448,'au'),(3418505216,'jp'),(3418513408,'in'),(3418517504,'mn'),(3418521600,'hk'),(3418578944,'th'),(3418586112,'au'),(3418586368,'sg'),(3418586880,'au'),(3418619904,'cn'),(3418624000,'jp'),(3418626048,'ki'),(3418628096,'au'),(3418636288,'jp'),(3418642944,'id'),(3418643200,'jp'),(3418643456,'au'),(3418644480,'jp'),(3418652672,'in'),(3418750976,'hk'),(3418816512,'in'),(3418947584,'au'),(3418955776,'tw'),(3418959872,'bd'),(3418960384,'id'),(3418960896,'sg'),(3418961920,'vn'),(3418962944,'in'),(3418980352,'au'),(3418988544,'id'),(3418992640,'sg'),(3418993920,'mn'),(3418994176,'my'),(3418994432,'au'),(3418994688,'my'),(3418995712,'jp'),(3418996736,'in'),(3419013120,'au'),(3419062272,'jp'),(3419070464,'hk'),(3419072512,'jp'),(3419073024,'sg'),(3419073280,'fj'),(3419074048,'sg'),(3419074560,'bd'),(3419078656,'tw'),(3419238400,'jp'),(3419275264,'au'),(3419340800,'tw'),(3419344896,'kr'),(3419348992,'tw'),(3419353088,'jp'),(3419354112,'id'),(3419356160,'nz'),(3419356672,'in'),(3419357184,'cn'),(3419411456,'hk'),(3419411712,'nz'),(3419412224,'jp'),(3419412480,'ph'),(3419414528,'cn'),(3419422720,'au'),(3419439104,'sg'),(3419471872,'th'),(3419504640,'hk'),(3419508736,'jp'),(3419512832,'au'),(3419516928,'jp'),(3419517952,'vn'),(3419518976,'tw'),(3419520000,'id'),(3419520768,'th'),(3419521024,'au'),(3419529216,'cn'),(3419537408,'hk'),(3419541504,'kr'),(3419553792,'au'),(3419557888,'id'),(3419558400,'au'),(3419558656,'id'),(3419559936,'jp'),(3419560960,'in'),(3419561984,'au'),(3419570176,'vn'),(3419602944,'tw'),(3419611136,'jp'),(3419617280,'au'),(3419618304,'sg'),(3419619328,'nz'),(3419635712,'sg'),(3419643904,'jp'),(3419668480,'cn'),(3419672576,'au'),(3419674624,'in'),(3419675648,'mn'),(3419676672,'jp'),(3419684864,'in'),(3419688960,'cn'),(3419693056,'kr'),(3419701248,'au'),(3419709440,'kr'),(3419717632,'in'),(3419734016,'au'),(3419774976,'jp'),(3419783168,'ph'),(3419791360,'au'),(3419873280,'af'),(3419877376,'id'),(3419877632,'kh'),(3419877888,'id'),(3419878144,'in'),(3419879424,'jp'),(3419880448,'my'),(3419881472,'ph'),(3419897856,'au'),(3419906048,'pk'),(3419914240,'kr'),(3419922432,'jp'),(3419926528,'hk'),(3419930624,'jp'),(3419971584,'kr'),(3419979776,'jp'),(3419996160,'au'),(3420020736,'tw'),(3420028928,'my'),(3420029952,'id'),(3420030976,'in'),(3420032000,'id'),(3420032256,'au'),(3420032512,'nz'),(3420033024,'in'),(3420034048,'au'),(3420036096,'jp'),(3420037120,'au'),(3420039168,'kh'),(3420040192,'id'),(3420040704,'in'),(3420040960,'hk'),(3420041216,'my'),(3420042240,'jp'),(3420043264,'sg'),(3420044288,'id'),(3420045312,'kr'),(3420061696,'hk'),(3420127232,'au'),(3420323840,'tw'),(3420332032,'au'),(3420372992,'cn'),(3420377088,'jp'),(3420389376,'cn'),(3420395520,'jp'),(3420397568,'kh'),(3420401664,'jp'),(3420411904,'th'),(3420412416,'id'),(3420412928,'bd'),(3420413952,'kr'),(3420422144,'my'),(3420430336,'pk'),(3420434432,'in'),(3420434688,'kr'),(3420434944,'hk'),(3420435200,'au'),(3420435456,'jp'),(3420436480,'au'),(3420437504,'in'),(3420438528,'hk'),(3420454912,'kr'),(3523215360,'au'),(3523223552,'kr'),(3523231744,'au'),(3523248128,'hk'),(3523280896,'th'),(3523297280,'ph'),(3523317760,'jp'),(3523330048,'au'),(3523342336,'bd'),(3523346432,'cn'),(3523354624,'kr'),(3523379200,'pk'),(3523395584,'jp'),(3523411968,'hk'),(3523477504,'ph'),(3523493888,'bd'),(3523497984,'au'),(3523500032,'kr'),(3523502080,'ph'),(3523510272,'th'),(3523518464,'jp'),(3523526656,'ap'),(3523530752,'nz'),(3523532800,'kr'),(3523534848,'au'),(3523538944,'jp'),(3523543040,'cn'),(3523551232,'au'),(3523553280,'my'),(3523555328,'nz'),(3523559424,'ph'),(3523579904,'cn'),(3523584000,'hk'),(3523592192,'ap'),(3523608576,'hk'),(3523674112,'fj'),(3523682304,'nz'),(3523686400,'au'),(3523690496,'in'),(3523698688,'ap'),(3523739648,'au'),(3524001792,'cn'),(3524132864,'ph'),(3524145152,'jp'),(3524149248,'cn'),(3524157440,'au'),(3524161536,'cn'),(3524247552,'au'),(3524263936,'ph'),(3524296704,'cn'),(3524313088,'kr'),(3524329472,'tw'),(3524362240,'hk'),(3524395008,'in'),(3524444160,'au'),(3524460544,'my'),(3524526080,'jp'),(3524591616,'cn'),(3524722688,'sg'),(3524730880,'cn'),(3524739072,'id'),(3524743168,'mp'),(3524747264,'ph'),(3524755456,'sg'),(3524763648,'ph'),(3524788224,'sg'),(3524853760,'cn'),(3526361088,'nz'),(3526393856,'jp'),(3526395904,'kh'),(3526397952,'my'),(3526402048,'nz'),(3526410240,'my'),(3526414336,'au'),(3526416384,'my'),(3526418432,'jp'),(3526426624,'au'),(3526557696,'cn'),(3526754304,'nz'),(3526885376,'pk'),(3526893568,'nz'),(3526897664,'hk'),(3526901760,'au'),(3526909952,'in'),(3526918144,'sg'),(3526924288,'au'),(3526926336,'jp'),(3526934528,'cn'),(3526942720,'au'),(3526950912,'hk'),(3527004160,'id'),(3527008256,'kr'),(3527016448,'tw'),(3527933952,'cn'),(3528392704,'jp'),(3528396800,'au'),(3528400896,'jp'),(3528404992,'nz'),(3528409088,'cn'),(3528425472,'jp'),(3528445952,'id'),(3528450048,'cn'),(3528458240,'af'),(3528474624,'tw'),(3528482816,'kr'),(3528491008,'au'),(3528507392,'jp'),(3528589312,'cn'),(3528720384,'au'),(3528785920,'tw'),(3528851456,'nz'),(3528884224,'th'),(3528908800,'vn'),(3528912896,'au'),(3528933376,'jp'),(3528949760,'cn'),(3528966144,'kr'),(3528974336,'jp'),(3528978432,'hk'),(3528982528,'jp'),(3529056256,'in'),(3529064448,'hk'),(3529072640,'jp'),(3529080832,'au'),(3529089024,'kr'),(3529097216,'jp'),(3529113600,'kr'),(3531603968,'jp'),(3534749696,'hk'),(3534880768,'kr'),(3535273984,'hk'),(3535339520,'nz'),(3535355904,'au'),(3535372288,'jp'),(3535380480,'ph'),(3535388672,'cn'),(3535405056,'my'),(3535536128,'jp'),(3535798272,'tw'),(3535814656,'kr'),(3535822848,'cn'),(3535831040,'tw'),(3535863808,'sg'),(3535880192,'jp'),(3535896576,'au'),(3535929344,'jp'),(3535994880,'my'),(3536060416,'jp'),(3536322560,'tw'),(3536551936,'th'),(3536568320,'jp'),(3536584704,'kr'),(3536846848,'tw'),(3536928768,'hk'),(3536945152,'tw'),(3536977920,'in'),(3537010688,'id'),(3537027072,'kr'),(3537047552,'id'),(3537049600,'hk'),(3537051648,'jp'),(3537059840,'kr'),(3537068032,'vn'),(3537076224,'in'),(3537174528,'th'),(3537190912,'ph'),(3537240064,'in'),(3537305600,'au'),(3537371136,'kr'),(3537895424,'jp'),(3538944000,'tw'),(3539271680,'vn'),(3539304448,'hk'),(3539337216,'nz'),(3539353600,'th'),(3539402752,'jp'),(3539435520,'au'),(3539468288,'jp'),(3541303296,'tw'),(3541565440,'my'),(3541696512,'au'),(3542089728,'kr'),(3544186880,'cn'),(3544711168,'tw'),(3545235456,'cn'),(3546808320,'kr'),(3547856896,'jp'),(3548905472,'cn'),(3551002624,'kr'),(3657433088,'cn'),(3659530240,'tw'),(3659595776,'id'),(3659628544,'jp'),(3659661312,'tw'),(3659792384,'kr'),(3660054528,'jp'),(3660578816,'kr'),(3661103104,'cn'),(3663986688,'au'),(3663986944,'ap'),(3663987200,'au'),(3663987712,'id'),(3663987968,'jp'),(3663989248,'vn'),(3663989504,'id'),(3663989760,'au'),(3663990272,'vn'),(3663990528,'jp'),(3663990784,'hk'),(3663991296,'my'),(3663991552,'au'),(3663991808,'jp'),(3663992064,'nz'),(3663992320,'my'),(3663992576,'nz'),(3663993600,'id'),(3663995904,'au'),(3663996416,'th'),(3663996672,'au'),(3663997184,'id'),(3663997440,'jp'),(3663997696,'au'),(3663997952,'my'),(3663998208,'jp'),(3663998464,'th'),(3663998976,'in'),(3663999488,'au'),(3663999744,'kh'),(3664000000,'au'),(3664000768,'id'),(3664001024,'nz'),(3664001280,'lk'),(3664001536,'my'),(3664001792,'au'),(3664002048,'vn'),(3664002304,'lk'),(3664002560,'id'),(3664003328,'nz'),(3664003584,'th'),(3664052224,'nz'),(3664084992,'kr'),(3664117760,'hk'),(3664248832,'cn'),(3664642048,'jp'),(3664707584,'my'),(3664773120,'jp'),(3666870272,'kr'),(3667918848,'tw'),(3668967424,'jp'),(3669491712,'tw'),(3669557248,'au'),(3669590016,'jp'),(3669606400,'cn'),(3669614592,'nz'),(3669616640,'au'),(3669620736,'jp'),(3669622784,'sg'),(3669688320,'tw'),(3669753856,'hk'),(3670016000,'cn'),(3671064576,'my'),(3671130112,'kr'),(3671195648,'tw'),(3671326720,'sg'),(3671392256,'hk'),(3671457792,'au'),(3671588864,'jp'),(3672637440,'kr'),(3673161728,'cn'),(3673686016,'in'),(3673751552,'cn'),(3673817088,'hk'),(3673882624,'jp'),(3673948160,'hk'),(3674210304,'jp'),(3678404608,'in'),(3678535680,'jp'),(3678666752,'tw'),(3678928896,'cn'),(3678994432,'hk'),(3679027200,'jp'),(3679059968,'sg'),(3679158272,'jp'),(3679191040,'hk'),(3679453184,'tw'),(3679584256,'cn'),(3679649792,'id'),(3679682560,'in'),(3679715328,'tw'),(3679977472,'nz'),(3680108544,'tw'),(3680124928,'ph'),(3680133120,'in'),(3680137216,'hk'),(3680141312,'au'),(3680174080,'tw'),(3680206848,'in'),(3680239616,'my'),(3680403456,'jp'),(3680436224,'my'),(3680501760,'jp'),(3682598912,'cn'),(3684696064,'jp'),(3688366080,'cn'),(3689938944,'kr'),(3690070016,'cn'),(3690463232,'kr'),(3690987520,'jp'),(3695181824,'kr'),(3697278976,'jp'),(3697606656,'au'),(3697655808,'cn'),(3697672192,'jp'),(3697737728,'kr'),(3697803264,'jp'),(3698327552,'cn'),(3698589696,'kr'),(3699376128,'tw'),(3700424704,'jp'),(3700752384,'kr'),(3700817920,'jp'),(3700977664,'au'),(3700979712,'jp'),(3700981760,'cn'),(3701014528,'jp'),(3701080064,'cn'),(3701211136,'jp'),(3701256192,'sg'),(3701258240,'in'),(3701260288,'jp'),(3701293056,'au'),(3701301248,'id'),(3701305344,'tw'),(3701309440,'jp'),(3701473280,'cn'),(3704619008,'jp'),(3705667584,'in'),(3705929728,'tw'),(3706060800,'kr'),(3706126336,'cn'),(3706142720,'vn'),(3706159104,'cn'),(3706191872,'sg'),(3706208256,'cn'),(3706224640,'hk'),(3706257408,'au'),(3706322944,'cn'),(3706388480,'au'),(3706781696,'hk'),(3706847232,'cn'),(3706978304,'au'),(3707109376,'hk'),(3707174912,'jp'),(3707207680,'tw'),(3707215872,'bd'),(3707217920,'id'),(3707219968,'au'),(3707222016,'jp'),(3707224064,'lk'),(3707240448,'cn'),(3707568128,'au'),(3707633664,'jp'),(3707699200,'sg'),(3707764736,'cn'),(3708600320,'jp'),(3708616704,'cn'),(3708813312,'jp'),(3715629056,'tw'),(3715653632,'bd'),(3715655680,'in'),(3715657728,'sg'),(3715670016,'au'),(3715674112,'hk'),(3715678208,'pk'),(3715694592,'vn'),(3715710976,'au'),(3715719168,'ph'),(3715727360,'au'),(3715735552,'jp'),(3715741696,'ph'),(3715743744,'jp'),(3715760128,'cn'),(3715891200,'hk'),(3716153344,'sg'),(3716169728,'th'),(3716186112,'in'),(3716218880,'cn'),(3716415488,'vn'),(3716431872,'kr'),(3716440064,'jp'),(3716444160,'pk'),(3716448256,'jp'),(3716464640,'id'),(3716481024,'vn'),(3716489216,'my'),(3716493312,'kr'),(3716497408,'jp'),(3716513792,'kr'),(3716530176,'au'),(3716538368,'cn'),(3716546560,'in'),(3716677632,'cn'),(3716808704,'kr'),(3718840320,'tw'),(3718905856,'jp'),(3719036928,'cn'),(3719823360,'jp'),(3720347648,'cn'),(3720859648,'au'),(3720863744,'cn'),(3723493376,'jp'),(3725590528,'cn'),(3730833408,'kr'),(3732602880,'th'),(3732668416,'id'),(3732733952,'cn'),(3732799488,'ph'),(3732832256,'cn'),(3732865024,'ph'),(3732930560,'cn'),(3733979136,'jp'),(3734503424,'nz'),(3734765568,'tw'),(3734896640,'jp'),(3735027712,'cn'),(3735289856,'sg'),(3735388160,'lk'),(3735404544,'id'),(3735420928,'hk'),(3735552000,'cn'),(3739222016,'jp'),(3739570176,'id'),(3739574272,'jp'),(3739680768,'kr'),(3739697152,'jp'),(3739746304,'kr'),(3740270592,'cn'),(3740925952,'tw'),(3741024256,'kr'),(3741057024,'vn'),(405012480,'ca'),(405143552,'us'),(405180416,'ca'),(405184512,'us'),(405405696,'pr'),(405422080,'us'),(405843968,'ca'),(405872640,'us'),(405921792,'ca'),(405929984,'us'),(406183936,'ca'),(406216704,'us'),(406241280,'pr'),(406323200,'us'),(406388736,'ca'),(406454272,'us'),(406847488,'ca'),(407408640,'us'),(407633920,'ca'),(408420352,'us'),(408502272,'ca'),(408518656,'us'),(408535040,'ca'),(408551424,'us'),(409337856,'ca'),(409370624,'us'),(409731072,'ca'),(409862144,'us'),(410124288,'ca'),(410189824,'us'),(410648576,'ca'),(410714112,'us'),(411164672,'ca'),(411172864,'us'),(411566080,'us'),(411639808,'ca'),(411664384,'us'),(411680768,'ca'),(411746304,'pr'),(411762688,'ca'),(411770880,'us'),(411779072,'pr'),(411828224,'us'),(411893760,'ca'),(411983872,'us'),(412221440,'ca'),(412286976,'us'),(412483584,'ca'),(412549120,'us'),(412680192,'ca'),(412696576,'us'),(412909568,'ca'),(412942336,'us'),(413908992,'pr'),(413925376,'us'),(415760384,'ca'),(416022528,'us'),(416153600,'bs'),(416161792,'us'),(416219136,'ca'),(416251904,'us'),(416546816,'ca'),(416612352,'us'),(416628736,'ca'),(416636928,'us'),(416743424,'ca'),(416776192,'us'),(417202176,'ca'),(417267712,'us'),(417366016,'ca'),(417398784,'us'),(417464320,'ca'),(417529856,'pr'),(417538048,'us'),(417775616,'ca'),(417796096,'us'),(417800192,'bs'),(417808384,'ca'),(417824768,'us'),(417923072,'us'),(418062336,'ca'),(418070528,'us'),(418078720,'ca'),(418119680,'us'),(418316288,'ca'),(418324480,'us'),(418643968,'ca'),(418676736,'bs'),(418693120,'ca'),(418709504,'us'),(418766848,'ca'),(418807808,'us'),(436207616,'us'),(738197504,'us'),(788529152,'ca'),(805306368,'us'),(872415232,'us'),(889192448,'de'),(905969664,'us'),(956301312,'fr'),(1056964608,'us'),(1065611264,'pr'),(1065615360,'us'),(1065811968,'ca'),(1065820160,'us'),(1065873408,'pr'),(1065877504,'us'),(1065906176,'ky'),(1065908224,'us'),(1072922624,'ca'),(1072955392,'us'),(1073373184,'ca'),(1073381376,'us'),(1074020352,'ca'),(1074028544,'us'),(1074118656,'ca'),(1074135040,'us'),(1074184192,'ca'),(1074188288,'us'),(1074229248,'ca'),(1074241536,'us'),(1074733056,'au'),(1074737152,'ca'),(1074745344,'us'),(1074757632,'ca'),(1074765824,'us'),(1074937856,'ca'),(1074946048,'us'),(1074962432,'ca'),(1074970624,'us'),(1075421184,'ca'),(1075429376,'us'),(1075478528,'ca'),(1075494912,'us'),(1075576832,'no'),(1075585024,'us'),(1075613696,'us'),(1075871744,'us'),(1076338688,'ca'),(1076346880,'us'),(1076387840,'ca'),(1076396032,'us'),(1076408320,'ca'),(1076412416,'us'),(1076424704,'ca'),(1076428800,'us'),(1076543488,'ca'),(1076559872,'us'),(1076756480,'ca'),(1076772864,'us'),(1077055488,'ca'),(1077059584,'us'),(1077444608,'ca'),(1077452800,'jp'),(1077460992,'us'),(1077469184,'ca'),(1077477376,'us'),(1077510144,'us'),(1077641216,'ca'),(1077657600,'us'),(1078124544,'ca'),(1078128640,'us'),(1078247424,'ca'),(1078251520,'us'),(1078456320,'ca'),(1078460416,'us'),(1078517760,'ca'),(1078525952,'us'),(1079320576,'ca'),(1079328768,'us'),(1079377920,'ca'),(1079443456,'us'),(1079476224,'ca'),(1079508992,'us'),(1079574528,'pr'),(1079578624,'us'),(1079664640,'ca'),(1079668736,'us'),(1079861248,'ca'),(1079865344,'us'),(1080033280,'ca'),(1080295424,'us'),(1080999936,'ca'),(1081016320,'us'),(1081212928,'ca'),(1081278464,'us'),(1081479168,'ca'),(1081483264,'us'),(1081565184,'ca'),(1081573376,'us'),(1081589760,'bb'),(1081593856,'ca'),(1081597952,'us'),(1082314752,'ca'),(1082318848,'us'),(1082683392,'ca'),(1082687488,'us'),(1082945536,'ca'),(1082949632,'us'),(1082982400,'ca'),(1083015168,'us'),(1083437056,'ca'),(1083441152,'us'),(1083621376,'bs'),(1083637760,'us'),(1083686912,'ca'),(1083703296,'us'),(1085440000,'ca'),(1085448192,'us'),(1085456384,'pr'),(1085464576,'us'),(1085538304,'ca'),(1085603840,'us'),(1085849600,'ca'),(1085857792,'us'),(1085997056,'ca'),(1086013440,'us'),(1086922752,'ca'),(1086930944,'us'),(1086955520,'ca'),(1086971904,'us'),(1087016960,'ca'),(1087021056,'us'),(1088684032,'ca'),(1088946176,'us'),(1089167360,'ca'),(1089171456,'us'),(1089191936,'ca'),(1089200128,'us'),(1089306624,'pr'),(1089339392,'us'),(1089961984,'ca'),(1089970176,'pr'),(1089974272,'us'),(1090207744,'ca'),(1090220032,'us'),(1090355200,'ca'),(1090363392,'us'),(1090387968,'ca'),(1090396160,'us'),(1090424832,'ca'),(1090428928,'us'),(1090445312,'ca'),(1090453504,'us'),(1091960832,'ca'),(1092026368,'us'),(1092075520,'pr'),(1092091904,'us'),(1093017600,'ca'),(1093021696,'us'),(1093025792,'ca'),(1093033984,'us'),(1093058560,'pr'),(1093066752,'us'),(1093074944,'ca'),(1093091328,'us'),(1093697536,'bb'),(1093730304,'us'),(1094565888,'ca'),(1094582272,'us'),(1095450624,'bs'),(1095467008,'us'),(1096278016,'ca'),(1096286208,'us'),(1096548352,'ca'),(1096810496,'us'),(1096884224,'ca'),(1096888320,'us'),(1096925184,'ca'),(1096941568,'us'),(1097728000,'ca'),(1097736192,'us'),(1097768960,'ca'),(1097777152,'us'),(1097830400,'ca'),(1097834496,'us'),(1102389248,'ca'),(1102393344,'us'),(1102512128,'jm'),(1102516224,'us'),(1107243008,'tc'),(1107247104,'us'),(1107275776,'ca'),(1107279872,'us'),(1107288064,'ca'),(1107296256,'us'),(1107701760,'ca'),(1107705856,'us'),(1107853312,'us'),(1108033536,'ca'),(1108041728,'us'),(1108054016,'ca'),(1108066304,'us'),(1108500480,'us'),(1108525056,'ca'),(1108541440,'us'),(1109688320,'ca'),(1109696512,'us'),(1109819392,'ca'),(1109852160,'us'),(1110126592,'ca'),(1110130688,'us'),(1110310912,'ca'),(1110376448,'us'),(1110540288,'ca'),(1110573056,'pr'),(1110638592,'us'),(1110663168,'ca'),(1110675456,'us'),(1110679552,'ca'),(1110683648,'us'),(1110700032,'ca'),(1110704128,'us'),(1110863872,'jm'),(1110867968,'us'),(1110929408,'bm'),(1110933504,'us'),(1111195648,'ca'),(1111212032,'us'),(1111244800,'us'),(1112432640,'ca'),(1112440832,'us'),(1112530944,'ca'),(1112539136,'us'),(1113591808,'ca'),(1113595904,'us'),(1113657344,'ca'),(1113661440,'us'),(1113743360,'us'),(1113997312,'ca'),(1114005504,'us'),(1114054656,'ca'),(1114062848,'us'),(1114095616,'ca'),(1114103808,'us'),(1114505216,'ca'),(1114554368,'us'),(1114681344,'ca'),(1114685440,'us'),(1114730496,'ca'),(1114734592,'us'),(1115136000,'ca'),(1115144192,'us'),(1115705344,'ca'),(1115709440,'us'),(1115783168,'ca'),(1115791360,'pr'),(1115795456,'ca'),(1115799552,'us'),(1115815936,'ca'),(1115947008,'us'),(1116168192,'ca'),(1116176384,'us'),(1116897280,'ca'),(1116905472,'us'),(1117274112,'ca'),(1117282304,'us'),(1117413376,'ca'),(1117421568,'us'),(1117683712,'ca'),(1117691904,'us'),(1117724672,'ca'),(1117728768,'us'),(1117745152,'ca'),(1117749248,'us'),(1117978624,'ca'),(1117986816,'us'),(1117995008,'ca'),(1117999104,'us'),(1118027776,'ca'),(1118031872,'us'),(1118158848,'ca'),(1118167040,'us'),(1118474240,'ca'),(1118478336,'us'),(1119109120,'ca'),(1119113216,'us'),(1119211520,'ca'),(1119215616,'us'),(1119289344,'ca'),(1119354880,'us'),(1119428608,'vi'),(1119432704,'ca'),(1119436800,'us'),(1119440896,'ca'),(1119444992,'us'),(1119469568,'ca'),(1119477760,'us'),(1119502336,'ca'),(1119510528,'us'),(1119567872,'ca'),(1119571968,'us'),(1119580160,'ca'),(1119584256,'us'),(1120149504,'ca'),(1120153600,'us'),(1120272384,'ca'),(1120321536,'us'),(1120518144,'ca'),(1120534528,'us'),(1120641024,'ca'),(1120657408,'us'),(1120854016,'ca'),(1120862208,'us'),(1120886784,'ca'),(1120894976,'us'),(1120911360,'ca'),(1120919552,'us'),(1121005568,'ca'),(1121009664,'us'),(1121038336,'ca'),(1121042432,'us'),(1121230848,'ca'),(1121239040,'us'),(1121247232,'ca'),(1121255424,'us'),(1121878016,'ca'),(1121910784,'us'),(1122074624,'ca'),(1122091008,'us'),(1122140160,'ca'),(1122148352,'us'),(1122455552,'us'),(1122476032,'pr'),(1122480128,'us'),(1122635776,'ca'),(1122639872,'us'),(1123057664,'ca'),(1123074048,'us'),(1123123200,'ca'),(1123127296,'us'),(1123180544,'ca'),(1123184640,'us'),(1123319808,'ca'),(1123323904,'us'),(1123336192,'ca'),(1123352576,'us'),(1123590144,'vi'),(1123598336,'us'),(1123651584,'jm'),(1123655680,'us'),(1123848192,'ca'),(1123852288,'us'),(1123950592,'ca'),(1123958784,'us'),(1125474304,'ca'),(1125478400,'us'),(1125498880,'ca'),(1125515264,'us'),(1125531648,'ca'),(1125543936,'us'),(1125548032,'ca'),(1125556224,'us'),(1125572608,'ca'),(1125576704,'us'),(1125613568,'ca'),(1125617664,'us'),(1126924288,'ca'),(1126928384,'us'),(1126948864,'ca'),(1126952960,'us'),(1127677952,'ca'),(1127694336,'us'),(1127923712,'ca'),(1127931904,'us'),(1128529920,'ca'),(1128792064,'us'),(1134444544,'ca'),(1134448640,'us'),(1134546944,'ca'),(1134551040,'us'),(1136721920,'ca'),(1136787456,'us'),(1137278976,'ca'),(1137295360,'us'),(1137426432,'pr'),(1137442816,'ca'),(1137459200,'us'),(1137491968,'ca'),(1137508352,'us'),(1137524736,'ca'),(1137541120,'us'),(1137623040,'pr'),(1137639424,'us'),(1137704960,'ca'),(1137713152,'us'),(1137868800,'ca'),(1137872896,'us'),(1137876992,'ca'),(1137881088,'us'),(1137889280,'ca'),(1137893376,'us'),(1137917952,'ca'),(1137922048,'us'),(1137926144,'ca'),(1137934336,'us'),(1137950720,'ca'),(1137954816,'us'),(1137963008,'vi'),(1137967104,'ca'),(1137975296,'us'),(1137983488,'ca'),(1137991680,'us'),(1138049024,'ca'),(1138061312,'us'),(1138163712,'ca'),(1138167808,'us'),(1138176000,'ca'),(1138180096,'us'),(1138188288,'pr'),(1138192384,'us'),(1138196480,'ca'),(1138204672,'us'),(1138212864,'ca'),(1138216960,'us'),(1138499584,'ca'),(1138503680,'us'),(1138548736,'ca'),(1138556928,'us'),(1138593792,'ca'),(1138597888,'us'),(1138704384,'ca'),(1138716672,'us'),(1138720768,'ca'),(1138728960,'us'),(1138774016,'ca'),(1138778112,'us'),(1138786304,'pr'),(1138819072,'ca'),(1138851840,'us'),(1138917376,'ca'),(1138950144,'us'),(1139179520,'ca'),(1139195904,'us'),(1139261440,'ca'),(1139269632,'us'),(1145188352,'ca'),(1145192448,'us'),(1145249792,'ca'),(1145257984,'us'),(1145262080,'ca'),(1145266176,'us'),(1145307136,'ca'),(1145315328,'us'),(1145376768,'ca'),(1145380864,'us'),(1145405440,'ca'),(1145413632,'us'),(1145421824,'ca'),(1145438208,'us'),(1145503744,'ca'),(1145520128,'us'),(1145552896,'ca'),(1145556992,'us'),(1150287872,'ca'),(1150812160,'us'),(1151889408,'ca'),(1151897600,'us'),(1152057344,'ca'),(1152061440,'us'),(1152073728,'ca'),(1152077824,'us'),(1152114688,'ca'),(1152122880,'us'),(1152581632,'ca'),(1152614400,'us'),(1152778240,'ca'),(1152843776,'us'),(1156071424,'ca'),(1156079616,'us'),(1157931008,'bs'),(1157935104,'us'),(1157943296,'ca'),(1157947392,'us'),(1158148096,'ca'),(1158152192,'us'),(1158193152,'ca'),(1158197248,'us'),(1158316032,'ca'),(1158324224,'us'),(1158340608,'ca'),(1158344704,'us'),(1158348800,'ca'),(1158381568,'us'),(1158774784,'ca'),(1158791168,'bm'),(1158799360,'ca'),(1158807552,'us'),(1158995968,'ca'),(1159004160,'us'),(1159213056,'ca'),(1159217152,'us'),(1159348224,'ca'),(1159356416,'us'),(1159421952,'ca'),(1159430144,'us'),(1159700480,'ca'),(1159725056,'us'),(1160011776,'ca'),(1160019968,'us'),(1160364032,'ca'),(1160368128,'us'),(1160392704,'ca'),(1160396800,'us'),(1160425472,'ca'),(1160429568,'us'),(1160667136,'ca'),(1160675328,'us'),(1160683520,'ca'),(1160691712,'us'),(1160847360,'ca'),(1160855552,'us'),(1160921088,'ag'),(1160925184,'us'),(1161019392,'ca'),(1161035776,'us'),(1161293824,'ca'),(1161297920,'us'),(1161363456,'ca'),(1161367552,'us'),(1161420800,'ag'),(1161428992,'us'),(1161453568,'ca'),(1161457664,'us'),(1161617408,'ca'),(1161625600,'us'),(1161764864,'ca'),(1161777152,'us'),(1161818112,'ca'),(1161822208,'us'),(1162018816,'ca'),(1162022912,'us'),(1162031104,'us'),(1162059776,'ca'),(1162067968,'us'),(1162215424,'ca'),(1162280960,'us'),(1162297344,'ca'),(1162305536,'us'),(1162461184,'bb'),(1162477568,'us'),(1162715136,'ca'),(1162723328,'us'),(1163407360,'ca'),(1163411456,'us'),(1167851520,'ca'),(1168113664,'us'),(1168211968,'ca'),(1168228352,'us'),(1168474112,'ca'),(1168509440,'us'),(1168670720,'ca'),(1168687104,'us'),(1168859136,'ca'),(1168863232,'us'),(1168867328,'ca'),(1168875520,'us'),(1168916480,'ca'),(1168932864,'us'),(1168973824,'ca'),(1168982016,'us'),(1169203200,'ca'),(1169211392,'us'),(1170472960,'ca'),(1170481152,'us'),(1170489344,'ca'),(1170497536,'us'),(1170505728,'ca'),(1170522112,'us'),(1175977984,'ca'),(1176502272,'us'),(1176662016,'ca'),(1176666112,'us'),(1176702976,'ca'),(1176707072,'us'),(1176731648,'pr'),(1176739840,'ca'),(1176748032,'us'),(1176764416,'pm'),(1176768512,'us'),(1176895488,'ca'),(1176928256,'us'),(1177354240,'pr'),(1177419776,'us'),(1177550848,'ca'),(1178075136,'us'),(1178599424,'ca'),(1179910144,'us'),(1191673856,'ca'),(1191706624,'us'),(1192296448,'ca'),(1192361984,'us'),(1192427520,'ca'),(1192493056,'us'),(1207975936,'ca'),(1207980032,'us'),(1208008704,'ca'),(1208016896,'us'),(1208020992,'ca'),(1208025088,'us'),(1208074240,'ca'),(1208082432,'us'),(1208090624,'ca'),(1208107008,'us'),(1208590336,'ca'),(1208598528,'us'),(1208647680,'ca'),(1208659968,'us'),(1208721408,'ca'),(1208729600,'us'),(1208770560,'ca'),(1208774656,'us'),(1208778752,'ca'),(1208795136,'us'),(1208852480,'ca'),(1208860672,'us'),(1208918016,'ca'),(1208922112,'us'),(1208954880,'ca'),(1208958976,'us'),(1208975360,'ca'),(1208983552,'us'),(1209434112,'bb'),(1209442304,'us'),(1209647104,'ca'),(1209663488,'us'),(1209729024,'jm'),(1209786368,'us'),(1209810944,'ca'),(1209827328,'us'),(1209917440,'ca'),(1209925632,'us'),(1210253312,'ca'),(1210261504,'us'),(1210449920,'ca'),(1210580992,'us'),(1210925056,'ca'),(1210941440,'us'),(1211236352,'pr'),(1211269120,'us'),(1211318272,'bb'),(1211334656,'us'),(1211432960,'ca'),(1211473920,'us'),(1211596800,'ca'),(1211613184,'us'),(1216872448,'ca'),(1217396736,'us'),(1219256320,'ca'),(1219264512,'us'),(1219272704,'ca'),(1219276800,'us'),(1241743360,'ca'),(1241759744,'us'),(1242300416,'ca'),(1242562560,'us'),(1244659712,'ca'),(1244790784,'us'),(1244831744,'ca'),(1244839936,'us'),(1244848128,'ca'),(1244852224,'us'),(1244864512,'ca'),(1244872704,'us'),(1245184000,'ca'),(1245446144,'us'),(1248864256,'ca'),(1248866304,'us'),(1248885760,'ca'),(1248886784,'us'),(1248899072,'ca'),(1248900096,'us'),(1248913408,'mf'),(1248915456,'us'),(1248919552,'ca'),(1248920576,'us'),(1248921600,'ca'),(1248923648,'us'),(1248936960,'ca'),(1248939008,'us'),(1248946176,'vg'),(1248947200,'us'),(1248958464,'ca'),(1248959488,'us'),(1248964608,'ca'),(1248966656,'us'),(1249003520,'ca'),(1249005568,'us'),(1249010688,'ca'),(1249011712,'us'),(1249019904,'ca'),(1249020928,'us'),(1249029120,'ca'),(1249030144,'us'),(1249036288,'tc'),(1249037312,'ca'),(1249040384,'us'),(1249046528,'bm'),(1249047552,'us'),(1249082368,'ca'),(1249083392,'us'),(1249099776,'ca'),(1249101824,'pr'),(1249102848,'ca'),(1249103872,'us'),(1249106944,'ca'),(1249107968,'us'),(1249130496,'jm'),(1249131520,'us'),(1249139712,'mf'),(1249140736,'us'),(1249163264,'ca'),(1249167360,'us'),(1249171456,'ca'),(1249173504,'us'),(1249191936,'ca'),(1249193984,'us'),(1249203200,'gd'),(1249204224,'us'),(1249210368,'ky'),(1249212416,'us'),(1249217536,'ca'),(1249218560,'us'),(1249236992,'ky'),(1249239040,'us'),(1249245184,'ca'),(1249247232,'us'),(1249256448,'ca'),(1249257472,'us'),(1249260544,'ca'),(1249261568,'us'),(1249272832,'ca'),(1249273856,'us'),(1249310720,'ca'),(1249311744,'us'),(1249312768,'ca'),(1249313792,'us'),(1249335296,'ca'),(1249337344,'us'),(1249796096,'ca'),(1249804288,'us'),(1249886208,'ca'),(1249902592,'us'),(1254490112,'ca'),(1254555648,'us'),(1254621184,'ca'),(1254629376,'us'),(1254989824,'ca'),(1254998016,'us'),(1255002112,'ca'),(1255006208,'us'),(1255047168,'ca'),(1255055360,'us'),(1255063552,'pr'),(1255071744,'us'),(1255276544,'ca'),(1255342080,'us'),(1255489536,'pr'),(1255505920,'us'),(1255514112,'ca'),(1255522304,'us'),(1255571456,'ca'),(1255579648,'us'),(1255669760,'ca'),(1255735296,'us'),(1255972864,'ca'),(1255981056,'us'),(1256001536,'ca'),(1256005632,'us'),(1256079360,'ky'),(1256087552,'us'),(1266147328,'ca'),(1266155520,'us'),(1268252672,'ca'),(1268776960,'us'),(1275600896,'bm'),(1275604992,'us'),(1275621376,'ca'),(1275625472,'us'),(1275666432,'ca'),(1275674624,'us'),(1275707392,'ca'),(1275715584,'us'),(1275756544,'ca'),(1275772928,'us'),(1275789312,'ca'),(1275822080,'us'),(1279262720,'ca'),(1279787008,'us'),(1280000000,'ca'),(1280032768,'us'),(1280040960,'ca'),(1280049152,'us'),(1280073728,'ca'),(1280081920,'us'),(1280090112,'ag'),(1280098304,'pr'),(1280102400,'us'),(1280131072,'ca'),(1280139264,'us'),(1610612736,'us'),(1610678272,'ca'),(1610743808,'us'),(1611923456,'ca'),(1612185600,'us'),(1612611584,'ca'),(1612644352,'us'),(1613471744,'jm'),(1613479936,'us'),(1613488128,'ca'),(1613565952,'us'),(1613570048,'ca'),(1613574144,'us'),(1613586432,'ca'),(1613590528,'us'),(1613606912,'ca'),(1613615104,'us'),(1613635584,'ca'),(1613643776,'us'),(1613676544,'ca'),(1613680640,'us'),(1613758464,'ca'),(1614282752,'us'),(1614741504,'ca'),(1614757888,'us'),(1614774272,'ca'),(1614790656,'us'),(1632305152,'ca'),(1632370688,'us'),(1634414592,'ca'),(1634418688,'us'),(1634447360,'ca'),(1634451456,'us'),(1634455552,'ca'),(1634459648,'us'),(1634467840,'ca'),(1634729984,'us'),(1652293632,'ca'),(1652310016,'us'),(1653534720,'ca'),(1653538816,'us'),(1653555200,'ca'),(1653567488,'us'),(1653571584,'ca'),(1653575680,'us'),(1653592064,'ca'),(1653596160,'us'),(1653600256,'ca'),(1653604352,'us'),(1673527296,'ca'),(1673560064,'us'),(1673986048,'ca'),(1674051584,'us'),(1674575872,'ca'),(1811939328,'us'),(2147549184,'us'),(2148007936,'us'),(2148597760,'us'),(2150236160,'us'),(2150301696,'ca'),(2150367232,'us'),(2153250816,'us'),(2153644032,'us'),(2153971712,'us'),(2154037248,'ca'),(2154102784,'us'),(2156134400,'us'),(2156331008,'us'),(2156855296,'us'),(2156920832,'ca'),(2156986368,'us'),(2159083520,'us'),(2159280128,'us'),(2159607808,'us'),(2159869952,'ca'),(2159935488,'us'),(2160590848,'us'),(2160721920,'us'),(2161573888,'us'),(2162753536,'ca'),(2162884608,'us'),(2163277824,'us'),(2163474432,'us'),(2163671040,'us'),(2163933184,'us'),(2165178368,'us'),(2165374976,'us'),(2165637120,'us'),(2166095872,'us'),(2166358016,'us'),(2168258560,'us'),(2168717312,'us'),(2168913920,'us'),(2169110528,'us'),(2169438208,'us'),(2170093568,'us'),(2170224640,'us'),(2170486784,'us'),(2170617856,'ca'),(2170683392,'us'),(2170814464,'ca'),(2170880000,'us'),(2171142144,'us'),(2172518400,'us'),(2172649472,'ca'),(2172780544,'us'),(2172977152,'us'),(2173239296,'us'),(2173698048,'us'),(2175401984,'us'),(2175598592,'ca'),(2175664128,'us'),(2175795200,'us'),(2175991808,'us'),(2176450560,'us'),(2176581632,'us'),(2177105920,'us'),(2177368064,'us'),(2177826816,'us'),(2177957888,'us'),(2178416640,'us'),(2178547712,'us'),(2179661824,'us'),(2180186112,'us'),(2180513792,'us'),(2180644864,'us'),(2180972544,'us'),(2181824512,'ca'),(2181890048,'us'),(2182021120,'ca'),(2182086656,'us'),(2182807552,'us'),(2182938624,'us'),(2183200768,'us'),(2183331840,'us'),(2183528448,'us'),(2184642560,'us'),(2184773632,'us'),(2185035776,'us'),(2185166848,'ca'),(2185232384,'us'),(2185494528,'us'),(2185625600,'us'),(2185887744,'us'),(2186018816,'us'),(2186280960,'us'),(2186608640,'us'),(2186936320,'us'),(2187132928,'us'),(2187329536,'us'),(2187526144,'us'),(2187657216,'us'),(2187788288,'us'),(2187919360,'us'),(2188443648,'ca'),(2188509184,'us'),(2188705792,'us'),(2188967936,'us'),(2189164544,'us'),(2189295616,'us'),(2189623296,'us'),(2189819904,'us'),(2190016512,'us'),(2190868480,'us'),(2191130624,'us'),(2191261696,'us'),(2191523840,'us'),(2191654912,'us'),(2192769024,'ca'),(2192900096,'us'),(2193096704,'us'),(2193293312,'us'),(2193424384,'us'),(2193555456,'us'),(2193883136,'us'),(2194079744,'us'),(2194604032,'us'),(2194800640,'us'),(2195324928,'us'),(2195521536,'us'),(2195718144,'us'),(2197094400,'us'),(2197225472,'us'),(2197422080,'ca'),(2197553152,'us'),(2197946368,'us'),(2204237824,'us'),(2204434432,'us'),(2204565504,'us'),(2204631040,'ca'),(2204696576,'us'),(2205548544,'us'),(2206269440,'ca'),(2206400512,'us'),(2206466048,'ca'),(2207121408,'us'),(2207449088,'ca'),(2207711232,'us'),(2207842304,'us'),(2208038912,'us'),(2208432128,'ca'),(2208759808,'us'),(2209021952,'us'),(2209546240,'us'),(2209742848,'us'),(2210004992,'us'),(2210201600,'us'),(2210594816,'ca'),(2210725888,'us'),(2211053568,'ca'),(2211184640,'us'),(2211446784,'us'),(2211708928,'us'),(2211774464,'ca'),(2211840000,'us'),(2212102144,'us'),(2212364288,'us'),(2212560896,'us'),(2212823040,'us'),(2213019648,'ca'),(2213085184,'us'),(2213216256,'ca'),(2213412864,'us'),(2213740544,'us'),(2214002688,'us'),(2214133760,'us'),(2214330368,'us'),(2214395904,'ca'),(2214592512,'us'),(2219769856,'us'),(2224226304,'us'),(2224488448,'us'),(2224685056,'us'),(2224816128,'ca'),(2224947200,'us'),(2225733632,'us'),(2225864704,'us'),(2226192384,'us'),(2226585600,'us'),(2226913280,'us'),(2227503104,'us'),(2227699712,'us'),(2227830784,'ca'),(2229207040,'us'),(2229338112,'ca'),(2229403648,'us'),(2229534720,'us'),(2229862400,'us'),(2229993472,'us'),(2230648832,'us'),(2230714368,'ca'),(2230910976,'us'),(2231173120,'us'),(2248409088,'us'),(2248671232,'us'),(2249457664,'us'),(2249588736,'ca'),(2249654272,'us'),(2249850880,'us'),(2250047488,'us'),(2250178560,'ca'),(2250244096,'us'),(2250440704,'us'),(2250637312,'us'),(2251292672,'us'),(2251751424,'us'),(2252210176,'us'),(2253193216,'us'),(2253520896,'us'),(2253651968,'us'),(2253848576,'ca'),(2253914112,'us'),(2255421440,'us'),(2255749120,'us'),(2255814656,'ca'),(2255880192,'us'),(2256011264,'us'),(2256732160,'us'),(2257256448,'us'),(2257911808,'us'),(2257977344,'ca'),(2258108416,'us'),(2258173952,'ca'),(2258239488,'us'),(2258370560,'us'),(2258698240,'us'),(2259288064,'us'),(2259419136,'us'),(2259746816,'us'),(2259877888,'us'),(2260008960,'us'),(2260271104,'us'),(2260533248,'us'),(2260598784,'ca'),(2260729856,'us'),(2261057536,'us'),(2261188608,'ca'),(2261254144,'us'),(2261385216,'pr'),(2261516288,'us'),(2261712896,'us'),(2261843968,'us'),(2262237184,'us'),(2262761472,'us'),(2263089152,'us'),(2263744512,'us'),(2263875584,'us'),(2264399872,'us'),(2265710592,'ca'),(2265776128,'us'),(2276786176,'ca'),(2276851712,'us'),(2277834752,'us'),(2291204096,'pr'),(2291269632,'ca'),(2291466240,'us'),(2292121600,'ca'),(2292187136,'us'),(2292514816,'us'),(2292908032,'us'),(2293104640,'us'),(2294022144,'us'),(2294808576,'us'),(2294939648,'us'),(2295267328,'us'),(2296512512,'us'),(2296905728,'us'),(2297692160,'us'),(2299461632,'ca'),(2299527168,'us'),(2299658240,'us'),(2300772352,'us'),(2301427712,'us'),(2301624320,'us'),(2301820928,'us'),(2302214144,'us'),(2302738432,'us'),(2303000576,'us'),(2303328256,'ca'),(2303393792,'us'),(2303524864,'us'),(2303852544,'ca'),(2303918080,'us'),(2304638976,'ca'),(2304704512,'us'),(2304835584,'us'),(2305163264,'us'),(2305425408,'us'),(2305687552,'us'),(2305818624,'us'),(2306146304,'ca'),(2306211840,'us'),(2306473984,'ca'),(2306539520,'us'),(2306998272,'us'),(2307260416,'us'),(2307588096,'us'),(2308177920,'us'),(2308243456,'ca'),(2308308992,'us'),(2308636672,'us'),(2308898816,'us'),(2309226496,'us'),(2309423104,'us'),(2309816320,'us'),(2309947392,'us'),(2310668288,'ca'),(2310733824,'us'),(2310930432,'us'),(2311061504,'us'),(2311389184,'us'),(2311979008,'us'),(2312044544,'ca'),(2312175616,'us'),(2312634368,'us'),(2312896512,'us'),(2313224192,'us'),(2313355264,'us'),(2314797056,'us'),(2314993664,'us'),(2315124736,'us'),(2315583488,'us'),(2315780096,'us'),(2315911168,'ca'),(2316042240,'us'),(2316238848,'us'),(2316566528,'us'),(2316763136,'us'),(2316959744,'us'),(2317287424,'us'),(2317484032,'ca'),(2317549568,'us'),(2317811712,'us'),(2318008320,'us'),(2318204928,'us'),(2318467072,'us'),(2318598144,'ca'),(2318663680,'us'),(2319450112,'us'),(2319646720,'us'),(2319974400,'us'),(2320039936,'ca'),(2320105472,'us'),(2320236544,'us'),(2320367616,'us'),(2320629760,'ca'),(2320695296,'us'),(2321678336,'us'),(2322137088,'us'),(2322333696,'us'),(2323054592,'ca'),(2323316736,'us'),(2323447808,'us'),(2323972096,'us'),(2324103168,'us'),(2327838720,'us'),(2328100864,'us'),(2328494080,'us'),(2328821760,'us'),(2329280512,'ca'),(2329542656,'ca'),(2329673728,'us'),(2330263552,'us'),(2330591232,'us'),(2330722304,'us'),(2331443200,'us'),(2331901952,'us'),(2334064640,'us'),(2334982144,'us'),(2335178752,'ca'),(2335244288,'us'),(2335375360,'us'),(2335637504,'us'),(2335768576,'ca'),(2335965184,'us'),(2336227328,'us'),(2336423936,'us'),(2337013760,'us'),(2337341440,'us'),(2337538048,'us'),(2337734656,'us'),(2338127872,'us'),(2338521088,'us'),(2338717696,'us'),(2338783232,'ca'),(2338848768,'us'),(2339962880,'us'),(2340225024,'us'),(2340618240,'us'),(2340880384,'us'),(2341339136,'ca'),(2341470208,'us'),(2341601280,'us'),(2341928960,'us'),(2342584320,'us'),(2342977536,'us'),(2343108608,'us'),(2343370752,'ca'),(2343632896,'us'),(2343829504,'us'),(2344157184,'us'),(2346778624,'us'),(2347171840,'us'),(2354053120,'ca'),(2354184192,'us'),(2354511872,'ca'),(2354577408,'us'),(2355036160,'us'),(2355232768,'us'),(2355757056,'us'),(2357919744,'us'),(2358771712,'us'),(2359296000,'us'),(2359361536,'ca'),(2359427072,'us'),(2359623680,'us'),(2359754752,'ca'),(2359885824,'us'),(2360737792,'us'),(2360868864,'ca'),(2360934400,'us'),(2361393152,'us'),(2361458688,'ca'),(2361524224,'us'),(2361982976,'us'),(2362179584,'us'),(2363883520,'ca'),(2364014592,'us'),(2365456384,'us'),(2371223552,'us'),(2372272128,'us'),(2372403200,'us'),(2372730880,'ca'),(2372796416,'us'),(2373058560,'us'),(2373189632,'us'),(2373255168,'ca'),(2373517312,'us'),(2374172672,'us'),(2374303744,'us'),(2374696960,'us'),(2375352320,'us'),(2376335360,'us'),(2376925184,'us'),(2377187328,'us'),(2377318400,'us'),(2378235904,'us'),(2378366976,'us'),(2378825728,'us'),(2378956800,'us'),(2379284480,'us'),(2380267520,'us'),(2380660736,'us'),(2380791808,'us'),(2381447168,'us'),(2381709312,'us'),(2382036992,'us'),(2382233600,'us'),(2382430208,'ca'),(2386624512,'us'),(2386690048,'ca'),(2387410944,'us'),(2387476480,'ca'),(2387542016,'us'),(2387607552,'ca'),(2394947584,'us'),(2395013120,'ca'),(2399207424,'us'),(2401894400,'us'),(2402287616,'us'),(2402746368,'us'),(2403467264,'us'),(2405105664,'us'),(2405367808,'us'),(2405564416,'us'),(2405695488,'us'),(2406285312,'us'),(2407006208,'us'),(2407137280,'us'),(2407464960,'us'),(2407727104,'us'),(2408185856,'us'),(2409758720,'us'),(2409955328,'us'),(2410151936,'us'),(2410283008,'us'),(2410414080,'us'),(2410610688,'us'),(2411003904,'us'),(2411593728,'us'),(2412052480,'us'),(2412445696,'us'),(2412642304,'us'),(2412969984,'us'),(2413494272,'us'),(2413690880,'us'),(2413953024,'us'),(2414542848,'us'),(2414870528,'us'),(2415263744,'us'),(2415460352,'us'),(2415788032,'us'),(2416115712,'us'),(2416246784,'us'),(2416443392,'us'),(2417033216,'us'),(2417557504,'us'),(2417754112,'us'),(2418081792,'us'),(2418671616,'us'),(2418868224,'us'),(2419720192,'us'),(2420310016,'us'),(2420965376,'us'),(2421161984,'us'),(2421358592,'us'),(2421555200,'us'),(2421686272,'us'),(2422210560,'us'),(2422407168,'us'),(2423193600,'us'),(2423848960,'us'),(2424111104,'us'),(2424307712,'us'),(2425159680,'us'),(2425487360,'us'),(2426798080,'us'),(2426994688,'us'),(2427322368,'us'),(2427846656,'us'),(2428633088,'ca'),(2428698624,'us'),(2429091840,'us'),(2429485056,'us'),(2429681664,'us'),(2430009344,'us'),(2430271488,'us'),(2432237568,'us'),(2449539072,'us'),(2449801216,'us'),(2450259968,'us'),(2450784256,'us'),(2450915328,'us'),(2452684800,'us'),(2452946944,'us'),(2453209088,'us'),(2453471232,'us'),(2453602304,'us'),(2453733376,'us'),(2453929984,'us'),(2454126592,'us'),(2454257664,'us'),(2454454272,'us'),(2454585344,'us'),(2454847488,'us'),(2454978560,'us'),(2455240704,'us'),(2455896064,'us'),(2456748032,'us'),(2456879104,'us'),(2457403392,'us'),(2457665536,'us'),(2458058752,'ca'),(2458124288,'us'),(2458320896,'us'),(2458451968,'us'),(2458779648,'us'),(2458976256,'us'),(2459697152,'us'),(2459959296,'us'),(2460155904,'us'),(2460286976,'us'),(2460614656,'us'),(2460876800,'us'),(2461270016,'us'),(2461466624,'us'),(2461859840,'us'),(2462384128,'us'),(2463498240,'us'),(2463694848,'us'),(2464022528,'us'),(2464219136,'us'),(2464284672,'vi'),(2464481280,'us'),(2464743424,'us'),(2464874496,'us'),(2465857536,'us'),(2466316288,'us'),(2466840576,'us'),(2466971648,'us'),(2467233792,'us'),(2468282368,'us'),(2468478976,'us'),(2469003264,'us'),(2469396480,'us'),(2469724160,'us'),(2469855232,'us'),(2470248448,'us'),(2470838272,'us'),(2471428096,'us'),(2472148992,'us'),(2472280064,'us'),(2472607744,'us'),(2472869888,'us'),(2473000960,'us'),(2473656320,'us'),(2474115072,'us'),(2474377216,'us'),(2474508288,'us'),(2474639360,'us'),(2474967040,'us'),(2475687936,'us'),(2476277760,'us'),(2476670976,'us'),(2476998656,'us'),(2477260800,'us'),(2477654016,'us'),(2477850624,'us'),(2478178304,'us'),(2478374912,'us'),(2478505984,'us'),(2478702592,'us'),(2479030272,'us'),(2479226880,'us'),(2479489024,'us'),(2479685632,'us'),(2480406528,'us'),(2480734208,'us'),(2481848320,'us'),(2482241536,'us'),(2482831360,'us'),(2483290112,'us'),(2483486720,'us'),(2486632448,'us'),(2486763520,'us'),(2487025664,'us'),(2488270848,'us'),(2488532992,'us'),(2488860672,'us'),(2490302464,'us'),(2490695680,'ca'),(2491154432,'us'),(2492006400,'us'),(2492137472,'us'),(2492268544,'us'),(2492465152,'us'),(2492596224,'us'),(2492792832,'us'),(2492989440,'us'),(2493644800,'us'),(2494169088,'us'),(2494627840,'us'),(2495021056,'us'),(2495217664,'us'),(2495348736,'us'),(2496069632,'us'),(2499674112,'us'),(2503081984,'us'),(2503737344,'us'),(2506293248,'ca'),(2506358784,'us'),(2508718080,'us'),(2509045760,'us'),(2509307904,'us'),(2509570048,'us'),(2510159872,'us'),(2510815232,'us'),(2511142912,'us'),(2512781312,'us'),(2516320256,'us'),(2523267072,'us'),(2523660288,'us'),(2525102080,'us'),(2525298688,'us'),(2525822976,'us'),(2526216192,'us'),(2526543872,'us'),(2527002624,'us'),(2527461376,'us'),(2527985664,'us'),(2528116736,'us'),(2528313344,'us'),(2528641024,'us'),(2529034240,'us'),(2529165312,'us'),(2529558528,'us'),(2530213888,'us'),(2530672640,'us'),(2530869248,'us'),(2531524608,'us'),(2531655680,'us'),(2532179968,'us'),(2532507648,'us'),(2532638720,'us'),(2533097472,'us'),(2539978752,'us'),(2540240896,'fi'),(2540306432,'us'),(2540961792,'us'),(2541289472,'us'),(2541748224,'us'),(2541944832,'us'),(2542141440,'us'),(2542338048,'us'),(2543779840,'us'),(2544566272,'us'),(2544697344,'us'),(2545090560,'us'),(2545221632,'us'),(2545418240,'nl'),(2545483776,'us'),(2545680384,'us'),(2545811456,'us'),(2547318784,'us'),(2554527744,'us'),(2554855424,'us'),(2555052032,'us'),(2555314176,'us'),(2555510784,'us'),(2555707392,'us'),(2556493824,'us'),(2556690432,'us'),(2557542400,'us'),(2557739008,'us'),(2557935616,'us'),(2558984192,'us'),(2559311872,'us'),(2559574016,'us'),(2559836160,'us'),(2560032768,'us'),(2560229376,'us'),(2565013504,'us'),(2567045120,'us'),(2567307264,'us'),(2567962624,'us'),(2568093696,'us'),(2568290304,'us'),(2569797632,'no'),(2569863168,'us'),(2572746752,'us'),(2573598720,'us'),(2574319616,'us'),(2584018944,'ca'),(2584084480,'us'),(2584281088,'us'),(2584412160,'ca'),(2584477696,'us'),(2584805376,'us'),(2585001984,'ca'),(2585067520,'us'),(2585985024,'us'),(2600665088,'ca'),(2600796160,'us'),(2601123840,'ca'),(2601320448,'us'),(2601451520,'ca'),(2601517056,'us'),(2602631168,'us'),(2604204032,'us'),(2604466176,'us'),(2604531712,'ca'),(2604597248,'us'),(2604859392,'us'),(2605056000,'us'),(2605187072,'us'),(2605318144,'us'),(2607415296,'us'),(2609250304,'us'),(2609512448,'us'),(2609709056,'us'),(2610036736,'us'),(2611019776,'us'),(2612658176,'us'),(2612789248,'us'),(2613116928,'us'),(2613182464,'ca'),(2613248000,'us'),(2613510144,'us'),(2613772288,'us'),(2613968896,'us'),(2614099968,'us'),(2614362112,'us'),(2615148544,'us'),(2615476224,'us'),(2616262656,'us'),(2616590336,'us'),(2616983552,'us'),(2617114880,'us'),(2617835520,'us'),(2617966592,'ca'),(2618032128,'us'),(2618228736,'us'),(2618490880,'us'),(2618753024,'us'),(2618949632,'us'),(2619146240,'us'),(2619342848,'us'),(2619473920,'ca'),(2619604992,'us'),(2620129280,'ca'),(2620194816,'us'),(2620719104,'us'),(2620850176,'us'),(2620981248,'ca'),(2621177856,'us'),(2621374464,'us'),(2621702144,'us'),(2621833216,'us'),(2622423040,'ca'),(2622488576,'us'),(2622750720,'us'),(2623668224,'us'),(2624258048,'us'),(2624913408,'us'),(2625044480,'us'),(2626027520,'us'),(2626158592,'us'),(2627141632,'us'),(2635399168,'us'),(2635988992,'us'),(2639724544,'us'),(2639855616,'us'),(2640117760,'us'),(2640248832,'us'),(2640379904,'ca'),(2640445440,'us'),(2641952768,'us'),(2642280448,'us'),(2642542592,'us'),(2643001344,'us'),(2643132416,'us'),(2643263488,'us'),(2643525632,'us'),(2644508672,'us'),(2644836352,'us'),(2645164032,'us'),(2645426176,'us'),(2645688320,'us'),(2645950464,'us'),(2646278144,'us'),(2646540288,'us'),(2646736896,'us'),(2646999040,'us'),(2647195648,'us'),(2647392256,'us'),(2647523328,'us'),(2647916544,'us'),(2649030656,'us'),(2649620480,'us'),(2650013696,'ca'),(2650079232,'us'),(2650275840,'us'),(2650406912,'us'),(2650669056,'us'),(2653945856,'us'),(2654142464,'ca'),(2654208000,'us'),(2654404608,'us'),(2655059968,'us'),(2655256576,'us'),(2655780864,'us'),(2656763904,'us'),(2656894976,'us'),(2657026048,'us'),(2657222656,'us'),(2657353728,'us'),(2657550336,'us'),(2657746944,'us'),(2658074624,'us'),(2658205696,'us'),(2658664448,'us'),(2659188736,'ca'),(2659319808,'us'),(2659581952,'us'),(2660040704,'ca'),(2660106240,'us'),(2660302848,'us'),(2660696064,'us'),(2660827136,'us'),(2661089280,'us'),(2661482496,'ca'),(2661548032,'us'),(2662006784,'us'),(2662793216,'us'),(2665152512,'us'),(2665283584,'us'),(2665480192,'us'),(2665742336,'us'),(2666201088,'us'),(2667315200,'us'),(2667970560,'ca'),(2668167168,'us'),(2668494848,'us'),(2668691456,'us'),(2668756992,'ca'),(2668822528,'us'),(2669150208,'us'),(2669281280,'us'),(2669674496,'ca'),(2669871104,'us'),(2670133248,'us'),(2670657536,'us'),(2671050752,'us'),(2671181824,'ca'),(2671247360,'us'),(2671443968,'us'),(2671575040,'us'),(2672427008,'us'),(2672951296,'us'),(2673147904,'us'),(2673410048,'ca'),(2673541120,'us'),(2673737728,'us'),(2673868800,'us'),(2674262016,'us'),(2674458624,'us'),(2674655232,'us'),(2674786304,'us'),(2674917376,'us'),(2675113984,'us'),(2675310592,'us'),(2675638272,'us'),(2675965952,'ca'),(2676031488,'us'),(2676162560,'us'),(2676424704,'us'),(2677080064,'us'),(2677407744,'us'),(2677604352,'us'),(2677735424,'us'),(2677866496,'us'),(2677997568,'ca'),(2678128640,'us'),(2678259712,'us'),(2678652928,'us'),(2678849536,'us'),(2678980608,'us'),(2679046144,'ca'),(2679111680,'us'),(2679177216,'ca'),(2679242752,'us'),(2679439360,'us'),(2680094720,'us'),(2680553472,'us'),(2680750080,'us'),(2681077760,'ca'),(2681208832,'ca'),(2681274368,'us'),(2681470976,'us'),(2681602048,'us'),(2681864192,'us'),(2681995264,'us'),(2682454016,'us'),(2682585088,'us'),(2682716160,'ca'),(2682847232,'us'),(2683174912,'us'),(2683305984,'us'),(2683437056,'us'),(2683699200,'us'),(2683895808,'us'),(2684420096,'us'),(2684813312,'us'),(2685009920,'us'),(2686386176,'us'),(2686910464,'us'),(2687041536,'us'),(2688614400,'us'),(2688876544,'us'),(2689073152,'ca'),(2689138688,'us'),(2689335296,'us'),(2689531904,'us'),(2689662976,'us'),(2689990656,'us'),(2690449408,'us'),(2690973696,'us'),(2691301376,'ca'),(2691366912,'us'),(2692546560,'us'),(2697789440,'us'),(2697920512,'us'),(2698248192,'us'),(2698969088,'ca'),(2699231232,'us'),(2699362304,'us'),(2700935168,'us'),(2701524992,'us'),(2701852672,'us'),(2701983744,'us'),(2702376960,'ca'),(2702508032,'us'),(2702835712,'us'),(2702966784,'us'),(2703163392,'us'),(2703622144,'us'),(2704015360,'us'),(2704343040,'us'),(2704474112,'us'),(2704736256,'us'),(2705063936,'us'),(2705260544,'us'),(2705588224,'us'),(2706178048,'us'),(2706374656,'us'),(2707488768,'us'),(2708144128,'us'),(2708537344,'us'),(2708930560,'us'),(2709258240,'us'),(2709454848,'us'),(2709848064,'us'),(2709979136,'us'),(2710372352,'ca'),(2710568960,'us'),(2710896640,'us'),(2711158784,'us'),(2711552000,'us'),(2713190400,'ca'),(2713255936,'us'),(2713387008,'ca'),(2713452544,'us'),(2713649152,'us'),(2714042368,'us'),(2714304512,'us'),(2714435584,'us'),(2714763264,'us'),(2715287552,'ca'),(2715353088,'us'),(2715484160,'us'),(2716205056,'us'),(2716794880,'us'),(2717319168,'us'),(2717450240,'us'),(2717712384,'us'),(2718236672,'us'),(2718695424,'us'),(2718826496,'us'),(2719350784,'us'),(2719481856,'us'),(2719678464,'us'),(2720464896,'us'),(2721382400,'ca'),(2721447936,'us'),(2722693120,'ca'),(2722758656,'us'),(2723479552,'ca'),(2723610624,'us'),(2724855808,'ca'),(2724921344,'us'),(2725314560,'us'),(2725969920,'us'),(2727018496,'ca'),(2727084032,'us'),(2734817280,'us'),(2734948352,'us'),(2735079424,'us'),(2735407104,'us'),(2736848896,'us'),(2736979968,'us'),(2742419456,'us'),(2742550528,'us'),(2742747136,'ca'),(2742812672,'us'),(2743140352,'us'),(2744516608,'us'),(2744713216,'us'),(2744844288,'ca'),(2746220544,'us'),(2746548224,'us'),(2747138048,'us'),(2748121088,'us'),(2749628416,'us'),(2750021632,'us'),(2750414848,'us'),(2750611456,'us'),(2750939136,'us'),(2751135744,'us'),(2754215936,'pr'),(2754347008,'us'),(2754543616,'us'),(2754674688,'us'),(2755002368,'us'),(2755526656,'us'),(2756182016,'us'),(2756313088,'us'),(2756444160,'us'),(2756640768,'us'),(2756837376,'us'),(2757099520,'us'),(2757296128,'us'),(2757951488,'us'),(2758082560,'us'),(2758148096,'ca'),(2758213632,'us'),(2758606848,'us'),(2758868992,'us'),(2759065600,'us'),(2760900608,'us'),(2761424896,'us'),(2761687040,'us'),(2762276864,'us'),(2762342400,'ca'),(2762407936,'us'),(2763128832,'ca'),(2763194368,'us'),(2768633856,'us'),(2769092608,'us'),(2769485824,'us'),(2769682432,'us'),(2769747968,'ca'),(2769813504,'us'),(2769944576,'us'),(2770337792,'us'),(2772697088,'us'),(2772828160,'us'),(2773286912,'us'),(2773352448,'ca'),(2773417984,'us'),(2773811200,'us'),(2773942272,'us'),(2774401024,'us'),(2774597632,'us'),(2774990848,'us'),(2775384064,'us'),(2775777280,'ca'),(2775842816,'us'),(2776039424,'us'),(2777022464,'us'),(2778071040,'us'),(2778333184,'ca'),(2778398720,'us'),(2779119616,'us'),(2779906048,'ca'),(2779971584,'us'),(2780102656,'us'),(2780299264,'us'),(2780364800,'ca'),(2780561408,'us'),(2780823552,'us'),(2781020160,'us'),(2781544448,'us'),(2781741056,'us'),(2782134272,'us'),(2782265344,'us'),(2782593024,'us'),(2782724096,'us'),(2782855168,'us'),(2783313920,'us'),(2783444992,'us'),(2783576064,'us'),(2784296960,'us'),(2784428032,'us'),(2786066432,'us'),(2788294656,'us'),(2789343232,'us'),(2789998592,'us'),(2790260736,'us'),(2790391808,'us'),(2790522880,'us'),(2790653952,'us'),(2790850560,'us'),(2791636992,'us'),(2791899136,'us'),(2792030208,'us'),(2792357888,'us'),(2792554496,'us'),(2793013248,'us'),(2793275392,'us'),(2802515968,'ca'),(2802581504,'us'),(2802909184,'ca'),(2802974720,'us'),(2803695616,'us'),(2803826688,'us'),(2803892224,'ca'),(2805989376,'us'),(2806644736,'ca'),(2806710272,'us'),(2807169024,'us'),(2807824384,'ca'),(2807889920,'us'),(2808610816,'us'),(2809135104,'us'),(2809921536,'us'),(2809987072,'ca'),(2810052608,'us'),(2810249216,'ca'),(2810380288,'us'),(2810642432,'us'),(2810970112,'us'),(2811559936,'ch'),(2811625472,'us'),(2812149760,'us'),(2812477440,'us'),(2812936192,'us'),(2813132800,'us'),(2813329408,'us'),(2813591552,'us'),(2814246912,'us'),(2815164416,'us'),(2815295488,'us'),(2816671744,'ca'),(2816737280,'us'),(2818375680,'us'),(2818703360,'us'),(2823225344,'us'),(2823946240,'us'),(2824077312,'us'),(2824536064,'us'),(2824929280,'us'),(2825256960,'us'),(2825584640,'us'),(2826174464,'us'),(2826567680,'us'),(2826895360,'us'),(2827026432,'us'),(2827288576,'us'),(2827419648,'us'),(2827812864,'us'),(2827943936,'us'),(2828009472,'ca'),(2828075008,'us'),(2828795904,'us'),(2829123584,'us'),(2829254656,'ch'),(2829451264,'us'),(2829582336,'us'),(2829910016,'us'),(2830172160,'us'),(2830958592,'us'),(2831613952,'us'),(2832138240,'us'),(2832465920,'us'),(2832859136,'us'),(2832990208,'us'),(2833580032,'us'),(2833842176,'us'),(2833973248,'us'),(2834563072,'us'),(2834956288,'us'),(2835218432,'us'),(2835480576,'us'),(2839543808,'us'),(2843869184,'us'),(2844590080,'us'),(2845835264,'us'),(2848653312,'us'),(2850029568,'us'),(2853371904,'us'),(2853830656,'us'),(2854682624,'us'),(2855534592,'us'),(2856124416,'us'),(2856517632,'us'),(2856779776,'us'),(2858418176,'us'),(2859008000,'jp'),(2859073536,'us'),(2862350336,'us'),(2862481408,'us'),(2863267840,'us'),(2863595520,'ca'),(2863661056,'us'),(2863923200,'us'),(2865577984,'be'),(2865610752,'us'),(2865954816,'us'),(2867855360,'us'),(2873098240,'us'),(2904555520,'ca'),(2904817664,'us'),(2905473024,'ca'),(2905481216,'us'),(2913992704,'ca'),(2914516992,'us'),(2915958784,'ca'),(2916024320,'us'),(2916163584,'ca'),(2916171776,'us'),(2916188160,'ca'),(2916196352,'us'),(2916253696,'ca'),(2916286464,'us'),(2916319232,'pr'),(2916352000,'us'),(2916368384,'ca'),(2916401152,'us'),(2916417536,'ca'),(2916433920,'us'),(2919235584,'ca'),(2919759872,'us'),(2921562112,'ca'),(2921594880,'us'),(2925002752,'ca'),(2925527040,'us'),(2926575616,'ca'),(2927099904,'us'),(2928226304,'ca'),(2928230400,'us'),(2928263168,'ca'),(2928279552,'us'),(2928312320,'ca'),(2928320512,'us'),(2928328704,'ca'),(2928336896,'us'),(2928541696,'ca'),(2928607232,'us'),(3087007744,'us'),(3221233664,'us'),(3221561344,'us'),(3221562624,'us'),(3221566464,'us'),(3221569280,'us'),(3221576448,'us'),(3221577728,'ca'),(3221578240,'us'),(3221589760,'us'),(3221590016,'ca'),(3221590528,'us'),(3221594880,'us'),(3221605376,'ca'),(3221605888,'us'),(3221608704,'us'),(3221615104,'us'),(3221618688,'us'),(3222012672,'us'),(3222024192,'us'),(3222026240,'us'),(3222027776,'ca'),(3222028032,'us'),(3222030848,'us'),(3222031872,'us'),(3222032896,'us'),(3222036736,'us'),(3222036992,'ca'),(3222037504,'us'),(3222044928,'ca'),(3222045184,'us'),(3222056448,'ca'),(3222059008,'us'),(3222061824,'us'),(3222066944,'ca'),(3222067200,'us'),(3222068224,'us'),(3222071552,'us'),(3222072576,'us'),(3222075392,'us'),(3222316800,'us'),(3222320384,'us'),(3222326016,'us'),(3222326528,'ca'),(3222339584,'us'),(3222455296,'us'),(3222941696,'us'),(3222952960,'us'),(3222953728,'us'),(3222954240,'us'),(3222964224,'us'),(3222979072,'us'),(3222983168,'ca'),(3222983936,'us'),(3222989056,'us'),(3222989568,'ca'),(3222990848,'us'),(3223227904,'ca'),(3223229184,'us'),(3223229696,'ca'),(3223240448,'us'),(3223243264,'ca'),(3223244288,'us'),(3223249408,'ca'),(3223254784,'us'),(3223258624,'ca'),(3223258880,'us'),(3223261184,'us'),(3223263232,'us'),(3223264256,'us'),(3223265280,'us'),(3223267584,'us'),(3223273216,'us'),(3223283968,'us'),(3223294208,'us'),(3223301120,'us'),(3223303168,'ca'),(3223303424,'us'),(3223310080,'us'),(3223311360,'us'),(3223314432,'ca'),(3223314688,'us'),(3223316480,'us'),(3223321856,'us'),(3223391232,'us'),(3223393024,'us'),(3223397632,'us'),(3223416832,'us'),(3223417600,'us'),(3223420928,'us'),(3223422464,'us'),(3223423232,'us'),(3223435008,'us'),(3223447552,'us'),(3223447808,'nl'),(3223449600,'us'),(3223460096,'us'),(3223471616,'ca'),(3223471872,'us'),(3223490816,'us'),(3223500032,'ca'),(3223507968,'us'),(3223524352,'us'),(3223534592,'us'),(3223537920,'us'),(3223542528,'us'),(3223543552,'us'),(3223547136,'us'),(3223552512,'nl'),(3223553536,'us'),(3223555328,'us'),(3223556096,'ca'),(3223556352,'us'),(3223556864,'us'),(3223558656,'us'),(3223563520,'us'),(3223568640,'us'),(3223571456,'us'),(3223572480,'us'),(3223578112,'us'),(3223581952,'us'),(3223583488,'us'),(3223781376,'us'),(3223874816,'us'),(3223902464,'ca'),(3223909632,'us'),(3223911936,'ca'),(3223912448,'us'),(3223947520,'us'),(3223950336,'ca'),(3223953664,'us'),(3223956224,'us'),(3223963136,'us'),(3223963904,'ca'),(3223964160,'us'),(3223964672,'us'),(3223965440,'us'),(3223966464,'us'),(3223968000,'us'),(3223968512,'us'),(3223971072,'us'),(3223978752,'us'),(3223979264,'ca'),(3223979776,'us'),(3223990272,'us'),(3223991808,'ca'),(3223992064,'us'),(3223994880,'us'),(3223995392,'ca'),(3223995648,'us'),(3224000512,'us'),(3224001024,'ca'),(3224001280,'us'),(3224003840,'us'),(3224005632,'us'),(3224012032,'us'),(3224014848,'us'),(3224016896,'us'),(3224029696,'ca'),(3224030976,'us'),(3224038912,'us'),(3224043008,'us'),(3224087552,'us'),(3224088320,'us'),(3224091648,'us'),(3224092416,'us'),(3224093952,'us'),(3224094464,'us'),(3224095488,'us'),(3224097536,'us'),(3224098048,'us'),(3224099584,'ca'),(3224099840,'us'),(3224103680,'us'),(3224104960,'us'),(3224132352,'us'),(3224173568,'us'),(3224367616,'us'),(3224369664,'us'),(3224379392,'us'),(3224396544,'us'),(3224398848,'us'),(3224399616,'us'),(3224407296,'ca'),(3224407808,'us'),(3224408576,'us'),(3224428800,'us'),(3224430592,'us'),(3224431104,'ca'),(3224431360,'us'),(3224434944,'us'),(3224436224,'us'),(3224646400,'us'),(3224652800,'us'),(3224660992,'ca'),(3224661504,'us'),(3224672000,'us'),(3224672512,'us'),(3224675072,'us'),(3224678656,'us'),(3224680960,'us'),(3224684032,'us'),(3224690688,'us'),(3224692992,'us'),(3224694528,'ca'),(3224694784,'us'),(3224698880,'us'),(3224725760,'us'),(3224785152,'us'),(3224791808,'us'),(3224793600,'us'),(3224795392,'ca'),(3224796160,'us'),(3224797440,'us'),(3224797952,'us'),(3224798464,'us'),(3224799744,'us'),(3224821248,'us'),(3224822272,'us'),(3224826368,'ca'),(3224826624,'us'),(3224827392,'us'),(3224827904,'us'),(3224829184,'us'),(3224830208,'us'),(3224851968,'us'),(3224852992,'us'),(3224855552,'us'),(3224856064,'us'),(3224857088,'us'),(3224858368,'us'),(3224858880,'us'),(3224859648,'us'),(3224860928,'us'),(3224863488,'us'),(3224864000,'us'),(3224878336,'us'),(3224879616,'ca'),(3224879872,'us'),(3224880896,'us'),(3224882688,'ca'),(3224882944,'us'),(3224883712,'us'),(3224884480,'us'),(3224885248,'ca'),(3224885760,'us'),(3224886528,'us'),(3224887296,'ca'),(3224887808,'us'),(3224889600,'us'),(3224891136,'us'),(3224892160,'ca'),(3224892928,'us'),(3225031424,'us'),(3225035776,'us'),(3225052672,'us'),(3225057536,'ca'),(3225057792,'us'),(3225064704,'us'),(3225076224,'ca'),(3225076480,'us'),(3225077504,'us'),(3225081088,'ca'),(3225081600,'us'),(3225082880,'us'),(3225084416,'nl'),(3225085440,'us'),(3225089280,'ca'),(3225089536,'us'),(3225429504,'ca'),(3225431552,'us'),(3225459968,'us'),(3225460480,'ca'),(3225470464,'us'),(3225471744,'us'),(3225503488,'us'),(3225509632,'us'),(3225510144,'us'),(3225519872,'us'),(3225521152,'us'),(3225522944,'us'),(3225529088,'us'),(3225530368,'pr'),(3225530624,'us'),(3225536000,'us'),(3225541120,'us'),(3225547776,'us'),(3225549056,'us'),(3225549568,'us'),(3225617920,'us'),(3225618688,'ca'),(3225619200,'us'),(3225619712,'us'),(3225626880,'us'),(3225627648,'us'),(3225627904,'ca'),(3225628160,'us'),(3225628672,'us'),(3225629440,'us'),(3225629952,'us'),(3225630720,'us'),(3225631488,'us'),(3225636096,'us'),(3225636864,'us'),(3225638400,'us'),(3225639424,'us'),(3225640704,'us'),(3225643264,'ca'),(3225643776,'us'),(3225651200,'us'),(3225660672,'us'),(3225669888,'us'),(3225672448,'us'),(3225673984,'us'),(3225680640,'us'),(3225687040,'us'),(3225688320,'us'),(3225695232,'us'),(3225695488,'ca'),(3225701120,'us'),(3225709568,'us'),(3225710592,'us'),(3225715456,'ca'),(3225715968,'us'),(3225716992,'ca'),(3225717760,'us'),(3225721344,'us'),(3225726208,'us'),(3225726720,'us'),(3225727232,'us'),(3225728000,'us'),(3225728768,'us'),(3225729024,'ca'),(3225729280,'us'),(3225729792,'us'),(3225735680,'us'),(3225737472,'us'),(3225738752,'us'),(3225739520,'us'),(3225740544,'ca'),(3225741056,'us'),(3225746688,'us'),(3225747456,'us'),(3225763840,'be'),(3225766400,'ca'),(3225767936,'us'),(3225773312,'ca'),(3225776128,'us'),(3225777152,'au'),(3225777408,'us'),(3225785600,'ca'),(3225796096,'us'),(3225807360,'de'),(3225810688,'us'),(3225843712,'us'),(3225848064,'us'),(3225853952,'us'),(3225857024,'ca'),(3225857280,'us'),(3225857792,'us'),(3225858048,'ca'),(3225858560,'us'),(3225860096,'us'),(3225868544,'us'),(3225869568,'us'),(3225870336,'ca'),(3225870592,'us'),(3225873920,'us'),(3225875456,'us'),(3226008832,'us'),(3226010880,'ca'),(3226011136,'us'),(3226012928,'us'),(3226016256,'us'),(3226021120,'us'),(3226026752,'us'),(3226067712,'us'),(3226068480,'us'),(3226128640,'us'),(3226140928,'ca'),(3226157568,'us'),(3226157824,'ca'),(3226191360,'us'),(3226191872,'ca'),(3226201856,'us'),(3226202112,'ca'),(3226205440,'ae'),(3226205696,'ca'),(3226215424,'us'),(3226250496,'us'),(3226251520,'us'),(3226269952,'us'),(3226272000,'us'),(3226274048,'us'),(3226274816,'us'),(3226276352,'us'),(3226283520,'ca'),(3226291200,'us'),(3226301440,'us'),(3226303488,'us'),(3226307328,'us'),(3226308096,'us'),(3226473984,'us'),(3226475264,'us'),(3226479360,'us'),(3226480384,'us'),(3226481664,'us'),(3226522112,'us'),(3226551040,'us'),(3226555648,'ca'),(3226556416,'us'),(3226563072,'us'),(3226569984,'us'),(3226576384,'us'),(3226582528,'us'),(3226598400,'us'),(3226626048,'ca'),(3226626304,'us'),(3226629376,'ca'),(3226629632,'us'),(3226630912,'us'),(3226631424,'us'),(3226632192,'ca'),(3226635008,'us'),(3226635520,'us'),(3226637056,'us'),(3226637824,'ca'),(3226638080,'us'),(3226638848,'us'),(3226640128,'us'),(3226640896,'us'),(3226654464,'us'),(3226656512,'us'),(3226658560,'us'),(3226661888,'us'),(3226690816,'ca'),(3226691840,'us'),(3226695680,'us'),(3226695936,'ca'),(3226705408,'us'),(3226706176,'us'),(3226715392,'us'),(3226715904,'us'),(3226716928,'us'),(3226721280,'us'),(3226722560,'us'),(3226724352,'us'),(3226726144,'us'),(3226728192,'ca'),(3226728448,'us'),(3226732288,'us'),(3226734080,'us'),(3226734592,'us'),(3226737664,'us'),(3226738432,'us'),(3226740736,'us'),(3226746624,'us'),(3226749440,'us'),(3226752256,'us'),(3226753024,'us'),(3226758912,'us'),(3226770688,'us'),(3226773248,'us'),(3226775040,'us'),(3226783744,'us'),(3226785024,'us'),(3226787328,'us'),(3226789632,'us'),(3226791680,'us'),(3226792704,'us'),(3226793984,'us'),(3226795520,'us'),(3226861824,'ca'),(3226862080,'us'),(3226864896,'us'),(3226865408,'us'),(3226866432,'us'),(3226868224,'us'),(3226868736,'us'),(3226884608,'us'),(3226894336,'us'),(3226895104,'us'),(3226896128,'us'),(3226897152,'us'),(3226903552,'us'),(3226904576,'us'),(3226905088,'us'),(3226993152,'us'),(3226993920,'us'),(3226994688,'us'),(3226995456,'us'),(3226998016,'us'),(3226999040,'us'),(3227013376,'us'),(3227014912,'us'),(3227019008,'us'),(3227020800,'us'),(3227023360,'us'),(3227024384,'us'),(3227025664,'us'),(3227026176,'us'),(3227027456,'us'),(3227040768,'us'),(3227041536,'us'),(3227043072,'us'),(3227045120,'us'),(3227054080,'us'),(3227123712,'us'),(3227225600,'us'),(3227234816,'us'),(3227235328,'us'),(3227237120,'us'),(3227237888,'us'),(3227238400,'us'),(3227240960,'us'),(3227243008,'ca'),(3227243520,'us'),(3227249408,'us'),(3227252736,'us'),(3227257088,'us'),(3227258880,'us'),(3227277312,'us'),(3227279104,'us'),(3227282176,'us'),(3227282944,'us'),(3227284992,'us'),(3227295232,'us'),(3227310336,'us'),(3227386112,'us'),(3227392256,'us'),(3227393280,'us'),(3227396608,'us'),(3227400960,'us'),(3227402496,'us'),(3227403520,'us'),(3227405568,'us'),(3227416064,'us'),(3227417344,'us'),(3227418112,'ca'),(3227418368,'us'),(3227427840,'us'),(3227429376,'us'),(3227430144,'us'),(3227437312,'us'),(3227439872,'us'),(3227440384,'us'),(3227442688,'us'),(3227444224,'us'),(3227445760,'us'),(3227446272,'us'),(3227447808,'us'),(3227448576,'us'),(3227449088,'us'),(3227582464,'us'),(3227779840,'us'),(3227783936,'us'),(3227785728,'us'),(3227792896,'us'),(3227794944,'us'),(3227795456,'us'),(3227799296,'us'),(3227799808,'us'),(3227804672,'us'),(3227804928,'ca'),(3227813376,'us'),(3227815168,'us'),(3227816192,'us'),(3227845120,'us'),(3227846144,'us'),(3227847680,'us'),(3227848960,'us'),(3227852032,'us'),(3227853568,'us'),(3227864064,'us'),(3227868160,'us'),(3227873024,'nl'),(3227874048,'us'),(3227875072,'us'),(3227879168,'us'),(3227880192,'us'),(3227881472,'us'),(3227887872,'pr'),(3227888384,'us'),(3227889920,'us'),(3227890944,'us'),(3227891712,'us'),(3227894016,'us'),(3227895808,'us'),(3227909376,'us'),(3227910656,'us'),(3227912704,'us'),(3227912960,'ca'),(3227913216,'us'),(3227931136,'us'),(3227932672,'us'),(3227933184,'us'),(3227933952,'us'),(3227934720,'us'),(3227955712,'us'),(3227965184,'us'),(3227968000,'us'),(3227969024,'us'),(3227971584,'us'),(3227974656,'us'),(3227976448,'us'),(3227977728,'us'),(3227979520,'us'),(3227981056,'us'),(3227981824,'us'),(3227986176,'us'),(3227987712,'us'),(3228005632,'us'),(3228009728,'us'),(3228011520,'us'),(3228013568,'us'),(3228045312,'us'),(3228047360,'us'),(3228048896,'us'),(3228051200,'us'),(3228051968,'us'),(3228052992,'us'),(3228054016,'us'),(3228055040,'us'),(3228056320,'us'),(3228060160,'us'),(3228061184,'us'),(3228061952,'us'),(3228062464,'us'),(3228077312,'us'),(3228077824,'us'),(3228079360,'us'),(3228081152,'us'),(3228084480,'us'),(3228085504,'us'),(3228101120,'us'),(3228102400,'us'),(3228104960,'us'),(3228105984,'us'),(3228109568,'us'),(3228126208,'us'),(3228238592,'us'),(3228239616,'us'),(3228241408,'us'),(3228263936,'us'),(3228264704,'us'),(3228267264,'us'),(3228271104,'us'),(3228271360,'ca'),(3228272128,'us'),(3228281088,'us'),(3228282112,'us'),(3228282624,'us'),(3228283648,'us'),(3228285952,'us'),(3228297728,'us'),(3228298496,'us'),(3228327168,'us'),(3228329472,'us'),(3228331264,'us'),(3228334592,'us'),(3228348160,'us'),(3228358400,'us'),(3228362496,'us'),(3228363520,'us'),(3228364800,'us'),(3228434688,'us'),(3228508672,'us'),(3228510208,'us'),(3228511488,'us'),(3228512512,'us'),(3228522752,'us'),(3228527104,'us'),(3228532224,'us'),(3228540928,'us'),(3228559104,'us'),(3228564736,'us'),(3228573952,'us'),(3228577280,'us'),(3228578304,'us'),(3228581376,'us'),(3228585984,'us'),(3228591360,'us'),(3228617984,'us'),(3228618496,'us'),(3228619008,'us'),(3228620800,'us'),(3228628992,'us'),(3229024512,'us'),(3229258496,'us'),(3229264896,'us'),(3229266176,'us'),(3229267200,'us'),(3229274880,'us'),(3229281024,'us'),(3229283072,'us'),(3229286400,'us'),(3229355776,'us'),(3229359872,'us'),(3229360384,'us'),(3229362176,'us'),(3229363968,'us'),(3229380864,'us'),(3229382144,'us'),(3229391104,'us'),(3229392128,'us'),(3229408256,'us'),(3229414912,'us'),(3229499648,'us'),(3229695488,'us'),(3229700352,'us'),(3229702144,'us'),(3229705216,'us'),(3229810944,'us'),(3229814272,'us'),(3229816320,'us'),(3229818624,'us'),(3229831168,'us'),(3229834496,'us'),(3229834752,'ca'),(3229835008,'us'),(3229835520,'ca'),(3229835776,'us'),(3229838592,'us'),(3229844736,'us'),(3229845760,'ca'),(3229847296,'us'),(3229875456,'us'),(3229879296,'us'),(3229880320,'us'),(3229881088,'ca'),(3229881344,'us'),(3229885440,'us'),(3229886976,'us'),(3229890048,'us'),(3229890560,'us'),(3229891584,'ca'),(3229892608,'us'),(3229900288,'us'),(3229901824,'us'),(3229902592,'us'),(3229937664,'us'),(3229937920,'ca'),(3229938176,'us'),(3229939200,'us'),(3229941248,'us'),(3229944576,'us'),(3229946112,'us'),(3229947392,'us'),(3229949184,'us'),(3229950208,'us'),(3229951232,'us'),(3229952512,'us'),(3229956096,'us'),(3229956864,'us'),(3229958400,'us'),(3229959168,'us'),(3229968384,'us'),(3229971456,'us'),(3229972992,'us'),(3229975552,'us'),(3230004480,'us'),(3230006016,'us'),(3230073088,'us'),(3230082560,'us'),(3230084864,'us'),(3230085120,'ca'),(3230085376,'us'),(3230089216,'us'),(3230089984,'us'),(3230090496,'us'),(3230092544,'ca'),(3230092800,'us'),(3230094080,'ca'),(3230094336,'us'),(3230101504,'us'),(3230106112,'us'),(3230107136,'us'),(3230109696,'us'),(3230116096,'us'),(3230117888,'us'),(3230120448,'us'),(3230121216,'us'),(3230126336,'us'),(3230126848,'us'),(3230129152,'us'),(3230130176,'us'),(3230130688,'us'),(3230132992,'us'),(3230138624,'us'),(3230140416,'us'),(3230140928,'us'),(3230143488,'us'),(3230144512,'us'),(3230145280,'ca'),(3230145536,'us'),(3230146560,'us'),(3230150656,'us'),(3230151168,'us'),(3230152192,'fr'),(3230153216,'fr'),(3230153728,'us'),(3230154240,'us'),(3230165504,'us'),(3230167552,'ca'),(3230168832,'us'),(3230175232,'us'),(3230203904,'us'),(3230275584,'us'),(3230291712,'us'),(3230295296,'us'),(3230301696,'us'),(3230302208,'ca'),(3230302976,'us'),(3230310144,'us'),(3230316544,'us'),(3230316800,'ca'),(3230317312,'us'),(3230317824,'us'),(3230318848,'us'),(3230321920,'us'),(3230329088,'us'),(3230333184,'us'),(3230333952,'us'),(3230335232,'ca'),(3230355200,'ca'),(3230369024,'us'),(3230370304,'ca'),(3230793984,'us'),(3230824448,'us'),(3230826240,'us'),(3230830080,'us'),(3230832384,'us'),(3230832896,'us'),(3230833664,'ca'),(3230834176,'us'),(3230837504,'us'),(3230840576,'us'),(3230841856,'us'),(3230842624,'us'),(3230843392,'us'),(3230845184,'us'),(3230846208,'us'),(3230850048,'us'),(3230853888,'us'),(3230855168,'us'),(3230855936,'us'),(3230858752,'us'),(3230865664,'us'),(3230868224,'us'),(3230868992,'us'),(3230870272,'us'),(3230879744,'us'),(3230888704,'us'),(3230895616,'us'),(3230898688,'us'),(3230899200,'us'),(3230913280,'us'),(3230913792,'ca'),(3230914048,'us'),(3230915584,'us'),(3230917888,'us'),(3230919680,'us'),(3230922752,'us'),(3230923776,'us'),(3230924288,'us'),(3230948608,'us'),(3230951680,'us'),(3230967808,'us'),(3230969856,'us'),(3230972672,'us'),(3230974720,'us'),(3230980352,'ca'),(3230980608,'us'),(3230981632,'us'),(3230983936,'us'),(3230991360,'us'),(3230991872,'us'),(3230994432,'us'),(3230995712,'us'),(3230997504,'us'),(3230999040,'us'),(3230999808,'us'),(3231001088,'us'),(3231003904,'ca'),(3231004416,'us'),(3231005952,'us'),(3231010816,'ca'),(3231011072,'us'),(3231013888,'us'),(3231015424,'ca'),(3231015680,'us'),(3231016192,'us'),(3231016704,'us'),(3231019008,'us'),(3231021568,'us'),(3231021824,'ca'),(3231022080,'us'),(3231022848,'us'),(3231028736,'us'),(3231044352,'us'),(3231048704,'us'),(3231049984,'us'),(3231051776,'us'),(3231078144,'us'),(3231078912,'ca'),(3231079680,'us'),(3231080192,'us'),(3231080704,'us'),(3231082752,'us'),(3231083520,'us'),(3231087872,'us'),(3231088384,'us'),(3231091968,'us'),(3231092992,'us'),(3231093504,'us'),(3231103488,'us'),(3231104768,'us'),(3231106816,'us'),(3231107328,'us'),(3231108608,'us'),(3231109632,'us'),(3231112448,'us'),(3231113216,'us'),(3231117056,'us'),(3231119104,'us'),(3231120640,'us'),(3231121664,'us'),(3231149312,'ca'),(3231149568,'us'),(3231187200,'us'),(3231188736,'us'),(3231190784,'us'),(3231191552,'us'),(3231194368,'us'),(3231197952,'us'),(3231198464,'us'),(3231200256,'us'),(3231201024,'us'),(3231203328,'us'),(3231204864,'us'),(3231208192,'us'),(3231209472,'us'),(3231211776,'ca'),(3231212288,'us'),(3231214336,'ca'),(3231214592,'us'),(3231215872,'us'),(3231217664,'us'),(3231218432,'us'),(3231218944,'us'),(3231223296,'us'),(3231224064,'us'),(3231224576,'us'),(3231226368,'us'),(3231227648,'us'),(3231228928,'pr'),(3231229184,'ca'),(3231229952,'us'),(3231231744,'us'),(3231235072,'us'),(3231236864,'ca'),(3231237120,'us'),(3231237632,'us'),(3231241984,'us'),(3231248896,'us'),(3231249664,'us'),(3231250432,'ca'),(3231250688,'us'),(3231252736,'us'),(3231253504,'us'),(3231255040,'us'),(3231256320,'us'),(3231257600,'us'),(3231275520,'us'),(3231276544,'us'),(3231281920,'us'),(3231282432,'us'),(3231283456,'us'),(3231285248,'us'),(3231291904,'us'),(3231292416,'us'),(3231293184,'us'),(3231295744,'us'),(3231296512,'us'),(3231299328,'us'),(3231301120,'us'),(3231302400,'us'),(3231303168,'us'),(3231307264,'us'),(3231308032,'ca'),(3231308288,'us'),(3231308800,'ca'),(3231311104,'us'),(3231316992,'us'),(3231326208,'us'),(3231385856,'us'),(3231483136,'us'),(3231490048,'us'),(3231490816,'us'),(3231491584,'us'),(3231492096,'us'),(3231500032,'bm'),(3231500288,'us'),(3231502592,'us'),(3231503104,'us'),(3231503872,'us'),(3231505152,'us'),(3231505664,'us'),(3231506944,'us'),(3231507456,'us'),(3231510784,'us'),(3231513088,'us'),(3231515648,'us'),(3231522560,'us'),(3231547904,'us'),(3231556352,'us'),(3231558912,'ca'),(3231559424,'us'),(3231559936,'us'),(3231562240,'us'),(3231562752,'us'),(3231580416,'us'),(3231653888,'us'),(3231663872,'ca'),(3231664128,'us'),(3231664640,'us'),(3231665664,'us'),(3231667712,'us'),(3231669248,'us'),(3231669760,'ca'),(3231670272,'us'),(3231672320,'us'),(3231672832,'us'),(3231673856,'us'),(3231674112,'ca'),(3231674368,'us'),(3231678464,'us'),(3231713024,'ca'),(3231713280,'us'),(3231714048,'us'),(3231715584,'us'),(3231716352,'us'),(3231717632,'us'),(3231718400,'us'),(3231718912,'us'),(3231720192,'us'),(3231720960,'us'),(3231723008,'us'),(3231724288,'us'),(3231728640,'us'),(3231729664,'us'),(3231736064,'us'),(3231738368,'nl'),(3231738624,'us'),(3231739904,'us'),(3231742976,'us'),(3231743744,'us'),(3231744256,'us'),(3231748096,'us'),(3231750400,'us'),(3231751424,'us'),(3231752704,'us'),(3231753984,'ca'),(3231754240,'us'),(3231755520,'us'),(3231755776,'pr'),(3231757312,'us'),(3231759616,'us'),(3231761408,'us'),(3231763968,'us'),(3231769344,'us'),(3231770112,'us'),(3231771136,'us'),(3231776000,'us'),(3231908096,'us'),(3232301056,'us'),(3232317440,'us'),(3232433920,'us'),(3232497664,'us'),(3232560896,'us'),(3232561664,'ca'),(3232561920,'us'),(3232562688,'ca'),(3232565248,'us'),(3232571392,'us'),(3232629248,'us'),(3232694528,'us'),(3232706560,'us'),(3233285120,'us'),(3233488896,'us'),(3233549312,'us'),(3233561856,'us'),(3233563136,'us'),(3233564160,'us'),(3233564672,'us'),(3233570048,'us'),(3233571072,'us'),(3233572352,'us'),(3233573376,'us'),(3233573888,'us'),(3233576448,'us'),(3233577984,'us'),(3233578496,'us'),(3233579520,'us'),(3233580288,'us'),(3233581312,'us'),(3233583616,'us'),(3233585152,'us'),(3233586944,'us'),(3233589248,'ca'),(3233590528,'pr'),(3233591552,'us'),(3233594368,'us'),(3233594880,'us'),(3233596928,'us'),(3233607168,'us'),(3233609984,'us'),(3233612544,'us'),(3233615104,'us'),(3233615616,'us'),(3233617408,'ca'),(3233619456,'us'),(3233620736,'us'),(3233622528,'us'),(3233625344,'us'),(3233626112,'us'),(3233628928,'ca'),(3233629952,'us'),(3233630720,'us'),(3233631488,'us'),(3233636096,'us'),(3233642496,'us'),(3233646848,'us'),(3233647872,'us'),(3233649920,'us'),(3233651456,'us'),(3233652224,'us'),(3233652992,'us'),(3233655552,'us'),(3233664256,'us'),(3233666048,'us'),(3233669120,'us'),(3233671680,'us'),(3233676288,'us'),(3233685760,'us'),(3233688832,'us'),(3233692672,'us'),(3233693184,'us'),(3233693952,'us'),(3233694720,'us'),(3233695232,'us'),(3233696512,'ca'),(3233696768,'us'),(3233701888,'us'),(3233705216,'us'),(3233711360,'us'),(3233722112,'us'),(3233724416,'us'),(3233726976,'us'),(3233729280,'us'),(3233732608,'us'),(3233737984,'us'),(3233739008,'us'),(3233739520,'us'),(3233741312,'us'),(3233873920,'us'),(3234006528,'us'),(3234007296,'us'),(3234007808,'us'),(3234008832,'us'),(3234013952,'us'),(3234015488,'us'),(3234019840,'us'),(3234023680,'us'),(3234030336,'us'),(3234031360,'us'),(3234032384,'us'),(3234033408,'us'),(3234033920,'us'),(3234035456,'us'),(3234043136,'us'),(3234044160,'us'),(3234048768,'us'),(3234052352,'us'),(3234052864,'us'),(3234055168,'us'),(3234055680,'us'),(3234061312,'us'),(3234064896,'us'),(3234065920,'us'),(3234136064,'ca'),(3234172928,'us'),(3234173952,'ca'),(3234176256,'us'),(3234177280,'ca'),(3234187008,'us'),(3234187520,'ca'),(3234192384,'us'),(3234193664,'ca'),(3234202624,'us'),(3234205696,'us'),(3234283520,'us'),(3234365440,'us'),(3234539520,'us'),(3234553856,'us'),(3234555904,'us'),(3234556416,'ca'),(3234557440,'us'),(3234566912,'us'),(3234568960,'us'),(3234569984,'us'),(3234574848,'us'),(3234576896,'us'),(3234578944,'us'),(3234579712,'ca'),(3234579968,'us'),(3234581248,'ca'),(3234581504,'us'),(3234583040,'us'),(3234584064,'us'),(3234584832,'us'),(3234587648,'us'),(3234588928,'us'),(3234589696,'us'),(3234592768,'us'),(3234726144,'ca'),(3234726400,'us'),(3234733056,'ca'),(3234733312,'us'),(3234746880,'us'),(3234748160,'us'),(3234749696,'ca'),(3234750720,'us'),(3234752256,'us'),(3234753792,'us'),(3234756096,'us'),(3234763264,'ca'),(3234766336,'us'),(3234772224,'ca'),(3234772480,'us'),(3234781440,'ca'),(3234781952,'us'),(3234784000,'us'),(3234795264,'us'),(3234799616,'us'),(3234800896,'us'),(3234802432,'us'),(3234803712,'pr'),(3234804224,'us'),(3234809088,'us'),(3234810880,'ca'),(3234811136,'us'),(3234814976,'us'),(3234816768,'us'),(3234820608,'us'),(3234822656,'us'),(3234826752,'ca'),(3234827008,'us'),(3234828288,'us'),(3234829056,'us'),(3234832128,'us'),(3234832896,'us'),(3234833920,'us'),(3234838528,'us'),(3234839552,'us'),(3234842368,'us'),(3234844416,'us'),(3234853632,'us'),(3234854144,'us'),(3234855168,'us'),(3234857216,'ca'),(3234861056,'us'),(3234988288,'ca'),(3234996224,'us'),(3235004416,'ca'),(3235053824,'us'),(3235578112,'ca'),(3235643392,'us'),(3235774720,'ca'),(3235778560,'us'),(3235872768,'us'),(3236044800,'ca'),(3236052992,'us'),(3236106240,'us'),(3236167936,'ca'),(3236175872,'us'),(3236233472,'us'),(3236364544,'us'),(3236368384,'us'),(3236373760,'us'),(3236379648,'us'),(3236381184,'ca'),(3236381696,'us'),(3236384256,'us'),(3236385536,'us'),(3236387072,'ca'),(3236387328,'us'),(3236387840,'pr'),(3236389376,'us'),(3236392704,'us'),(3236395520,'us'),(3236397056,'us'),(3236399616,'us'),(3236400384,'us'),(3236401408,'us'),(3236408064,'us'),(3236408320,'ca'),(3236409600,'us'),(3236411392,'us'),(3236413952,'us'),(3236416512,'us'),(3236418816,'us'),(3236419840,'us'),(3236420352,'us'),(3236427520,'ca'),(3236428800,'us'),(3236430080,'us'),(3236446208,'us'),(3236495360,'us'),(3236566784,'ca'),(3236567040,'us'),(3236576000,'us'),(3236585984,'ca'),(3236586240,'us'),(3236604672,'ca'),(3236604928,'us'),(3236617984,'ca'),(3236619776,'us'),(3236620288,'us'),(3236623872,'us'),(3236625920,'ca'),(3236626432,'us'),(3236757504,'ca'),(3236765696,'us'),(3236827136,'us'),(3236962304,'us'),(3237282560,'us'),(3237284864,'us'),(3237285632,'us'),(3237287936,'ca'),(3237288192,'us'),(3237291264,'us'),(3237294848,'ca'),(3237295104,'us'),(3237297408,'us'),(3237302528,'us'),(3237305088,'ca'),(3237305344,'us'),(3237306112,'us'),(3237310720,'us'),(3237313024,'us'),(3237319936,'us'),(3237320960,'us'),(3237321728,'us'),(3237325312,'us'),(3237325824,'ca'),(3237326080,'us'),(3237328640,'ca'),(3237328896,'us'),(3237329408,'us'),(3237331456,'us'),(3237332224,'us'),(3237335296,'us'),(3237337600,'us'),(3237338368,'us'),(3237339648,'us'),(3237340160,'ca'),(3237340416,'us'),(3237346304,'us'),(3237416960,'us'),(3237511168,'us'),(3237552128,'us'),(3237615616,'ca'),(3237617152,'us'),(3237681664,'ca'),(3237682944,'us'),(3237685248,'us'),(3237688320,'ca'),(3237689344,'us'),(3237691904,'us'),(3237698304,'ca'),(3237698560,'us'),(3237713152,'us'),(3237716992,'ca'),(3237717248,'us'),(3237717504,'ca'),(3237717760,'us'),(3237725184,'ca'),(3237725440,'us'),(3237726976,'us'),(3237728256,'us'),(3237734144,'ca'),(3237734400,'us'),(3288400384,'pr'),(3288418304,'us'),(3288427264,'bm'),(3288434688,'jm'),(3288435200,'jm'),(3288435712,'us'),(3288435968,'pr'),(3288436224,'us'),(3288440832,'bb'),(3288465408,'jm'),(3288530944,'jm'),(3288532992,'pr'),(3288539136,'us'),(3288549632,'gd'),(3288555264,'jm'),(3288557568,'jm'),(3288570112,'jm'),(3288578048,'jm'),(3288580096,'bb'),(3288608256,'us'),(3289120768,'pr'),(3289137152,'bm'),(3289161728,'pr'),(3290103808,'us'),(3290181632,'pr'),(3290431488,'jm'),(3290464256,'pr'),(3291086848,'pr'),(3302490368,'us'),(3321956352,'us'),(3322085376,'us'),(3322610688,'us'),(3322740736,'us'),(3322937344,'us'),(3323003392,'us'),(3323004928,'us'),(3323013888,'ca'),(3323014400,'us'),(3323017728,'ca'),(3323017984,'us'),(3323021056,'us'),(3323022848,'us'),(3323030272,'us'),(3323032576,'us'),(3323034112,'us'),(3323038720,'ca'),(3323038976,'us'),(3323049728,'us'),(3323061504,'us'),(3323062784,'us'),(3323064832,'us'),(3323201536,'ca'),(3323203584,'us'),(3323207680,'ca'),(3323267072,'us'),(3323340288,'us'),(3323343872,'us'),(3323346432,'us'),(3323355904,'us'),(3323356672,'ca'),(3323356928,'us'),(3323378688,'ca'),(3323378944,'us'),(3323391232,'ca'),(3323391488,'us'),(3323395072,'us'),(3323662336,'us'),(3323805696,'ca'),(3323806208,'us'),(3324051456,'ca'),(3324182528,'us'),(3324264448,'us'),(3324379136,'ca'),(3324380160,'us'),(3324592128,'us'),(3325035520,'us'),(3325101312,'us'),(3325110272,'us'),(3325123328,'us'),(3325129216,'us'),(3325132032,'us'),(3325134336,'us'),(3325136128,'ca'),(3325136384,'us'),(3325142272,'us'),(3325144832,'ca'),(3325145088,'us'),(3325173760,'us'),(3325233408,'us'),(3325234432,'us'),(3325249536,'us'),(3325257216,'us'),(3325259776,'ca'),(3325261312,'us'),(3325268736,'us'),(3325269760,'ca'),(3325270272,'us'),(3325271040,'ca'),(3325271296,'us'),(3325278976,'us'),(3325281536,'us'),(3325285632,'us'),(3325304832,'ca'),(3325313024,'us'),(3325362176,'ca'),(3325493248,'us'),(3325497344,'pr'),(3325501440,'us'),(3325566976,'us'),(3325640704,'ca'),(3325689856,'jm'),(3325690368,'us'),(3325693952,'us'),(3325887488,'us'),(3325890560,'us'),(3325956096,'ca'),(3325960192,'us'),(3325976064,'ca'),(3325976320,'us'),(3325980672,'ca'),(3325980928,'us'),(3325992448,'ca'),(3325992960,'us'),(3325996800,'ca'),(3325997056,'us'),(3326680832,'ca'),(3326682624,'us'),(3326682880,'ca'),(3326713344,'us'),(3326714112,'ca'),(3326716928,'us'),(3326717952,'ca'),(3326729472,'ca'),(3326729728,'us'),(3326734336,'ca'),(3326737664,'us'),(3326737920,'ca'),(3326738432,'us'),(3327723520,'ca'),(3327725568,'us'),(3328180480,'ca'),(3328210176,'ae'),(3328210944,'ca'),(3328233984,'ae'),(3328234240,'ca'),(3328241664,'us'),(3328243200,'ca'),(3328245760,'us'),(3328414976,'us'),(3328420352,'ca'),(3328420608,'us'),(3328421376,'us'),(3328432640,'ca'),(3328433920,'us'),(3328475136,'ca'),(3328507904,'us'),(3328617984,'ca'),(3328618240,'us'),(3328630784,'ca'),(3328631808,'us'),(3328638976,'ca'),(3328704512,'us'),(3330621440,'ca'),(3330623744,'us'),(3330627072,'us'),(3330641152,'us'),(3330646528,'ca'),(3330647296,'us'),(3330649600,'ca'),(3330649856,'us'),(3330658048,'us'),(3330663168,'us'),(3330664192,'ca'),(3330664448,'us'),(3330714368,'ca'),(3330714624,'us'),(3330726656,'ca'),(3330726912,'us'),(3330754560,'ca'),(3330754816,'us'),(3330763520,'ca'),(3330763776,'us'),(3330765824,'ca'),(3330766336,'us'),(3330771712,'us'),(3330779136,'us'),(3330791424,'ca'),(3330791680,'us'),(3331102464,'ca'),(3331102720,'us'),(3331260416,'us'),(3331563776,'us'),(3331633920,'us'),(3331647232,'ca'),(3331647488,'us'),(3331649280,'ca'),(3331649536,'us'),(3331818752,'us'),(3332440320,'ca'),(3332460544,'us'),(3332460800,'ca'),(3332562944,'us'),(3332563456,'ca'),(3332590080,'us'),(3332590592,'ca'),(3332618240,'us'),(3332624384,'ca'),(3332899328,'us'),(3332899584,'ca'),(3332899840,'us'),(3332900096,'ca'),(3332947968,'us'),(3332948224,'ca'),(3332966144,'us'),(3332966400,'ca'),(3333012480,'us'),(3333012992,'ca'),(3333029888,'us'),(3333480192,'de'),(3333481472,'us'),(3333724672,'us'),(3333859840,'bm'),(3333860096,'us'),(3333988864,'us'),(3333997824,'ca'),(3333998080,'us'),(3334138624,'bm'),(3334139136,'us'),(3334187776,'bm'),(3334188032,'us'),(3335000064,'us'),(3335252736,'ca'),(3335252992,'us'),(3335276288,'pr'),(3335276800,'us'),(3335439872,'us'),(3335441152,'us'),(3335458816,'bm'),(3335462912,'us'),(3337289984,'ca'),(3337297920,'us'),(3337302016,'ca'),(3337335296,'us'),(3337335808,'ca'),(3337355264,'us'),(3337682944,'us'),(3337980672,'pr'),(3337980928,'us'),(3337986048,'bb'),(3337986304,'us'),(3338069248,'bb'),(3338069760,'us'),(3339142656,'nl'),(3339142912,'us'),(3339145728,'nl'),(3339145984,'us'),(3339147008,'ca'),(3339147776,'ms'),(3339148032,'us'),(3339669504,'ca'),(3339672576,'us'),(3339923456,'ca'),(3339976704,'us'),(3340107776,'ca'),(3340369920,'us'),(3340387328,'ca'),(3340388352,'us'),(3340430080,'us'),(3341484288,'ca'),(3341485056,'us'),(3341511680,'ca'),(3341520896,'us'),(3341521664,'ca'),(3341531392,'us'),(3341534976,'ca'),(3341537280,'us'),(3341546240,'ca'),(3341547520,'ca'),(3341549568,'us'),(3342204928,'us'),(3342598144,'ca'),(3342603264,'us'),(3342604800,'ca'),(3342605312,'us'),(3342605568,'ca'),(3342663680,'us'),(3343319296,'ca'),(3343364096,'us'),(3343365632,'ca'),(3343373312,'us'),(3343380480,'ca'),(3343384576,'us'),(3344171264,'ca'),(3344256000,'us'),(3344261888,'ca'),(3344268544,'us'),(3344269312,'ca'),(3344288768,'pr'),(3344289792,'us'),(3344292864,'ca'),(3344296960,'gd'),(3344297984,'us'),(3344299264,'ca'),(3344299520,'us'),(3344299776,'ca'),(3344300544,'us'),(3344300800,'ca'),(3344302080,'us'),(3344486400,'nl'),(3344488448,'us'),(3344637952,'us'),(3344964608,'ca'),(3344965632,'us'),(3345418240,'nl'),(3345419520,'us'),(3345423360,'tc'),(3345424384,'us'),(3345430528,'ca'),(3345432576,'gb'),(3345433600,'sg'),(3345433856,'us'),(3345434880,'es'),(3345435136,'lu'),(3345435392,'de'),(3345436672,'us'),(3345436928,'es'),(3345437184,'gb'),(3345437696,'nl'),(3345438208,'gb'),(3345438464,'fr'),(3345439232,'us'),(3345439744,'fr'),(3345440000,'de'),(3345440256,'us'),(3345441024,'de'),(3345442560,'jp'),(3345442816,'at'),(3345443328,'ch'),(3345443584,'de'),(3345444096,'us'),(3345444608,'ch'),(3345445120,'us'),(3345445376,'gb'),(3345446656,'it'),(3345446912,'us'),(3345447680,'be'),(3345448960,'us'),(3346282496,'pr'),(3346333696,'us'),(3346923520,'ca'),(3346989056,'us'),(3349446912,'ca'),(3349447168,'us'),(3349545216,'ca'),(3349551104,'us'),(3349553664,'ca'),(3349608448,'us'),(3349609216,'ca'),(3349610496,'us'),(3350135040,'ca'),(3350146048,'us'),(3350151168,'ca'),(3350181888,'us'),(3350183168,'ca'),(3350200320,'us'),(3350469632,'ca'),(3350470656,'us'),(3350475776,'ca'),(3350476800,'us'),(3350790400,'ca'),(3350825728,'gb'),(3350825984,'ca'),(3350855680,'us'),(3351642112,'ca'),(3351698432,'us'),(3351912448,'ca'),(3351927552,'us'),(3351927808,'ca'),(3351969792,'us'),(3352559872,'ca'),(3352615424,'us'),(3352616960,'ca'),(3352887296,'us'),(3353979648,'ca'),(3353979904,'us'),(3353982720,'ca'),(3353983232,'us'),(3354066944,'ca'),(3354132480,'us'),(3354591232,'ca'),(3354656768,'us'),(3354782720,'ca'),(3354782976,'us'),(3354788096,'ca'),(3354807552,'us'),(3354810368,'ca'),(3354918912,'us'),(3354956032,'us'),(3355013120,'ca'),(3355017216,'us'),(3355052032,'ca'),(3355054080,'us'),(3355260928,'ca'),(3355262976,'us'),(3355310592,'ca'),(3355312128,'us'),(3355319296,'ca'),(3355320320,'us'),(3355324416,'ca'),(3355328512,'us'),(3355351040,'ca'),(3355351296,'us'),(3355372288,'ca'),(3355372544,'us'),(3355467264,'us'),(3355478272,'us'),(3355498496,'us'),(3355549696,'bm'),(3355770880,'pr'),(3355773696,'pr'),(3356054016,'us'),(3356137472,'jm'),(3356138240,'us'),(3356139520,'us'),(3356140800,'bm'),(3356272640,'us'),(3356286976,'us'),(3356426240,'us'),(3356514304,'us'),(3357409280,'us'),(3358720000,'pr'),(3358736384,'bb'),(3358752768,'bb'),(3359244288,'us'),(3359506432,'us'),(3422552064,'us'),(3423092736,'vi'),(3423093760,'us'),(3423094784,'ca'),(3423095808,'us'),(3423143936,'ca'),(3423145984,'us'),(3423182848,'ca'),(3423184896,'us'),(3423221760,'ca'),(3423222784,'us'),(3423236096,'jm'),(3423238144,'us'),(3423258624,'ca'),(3423262720,'us'),(3423268864,'ca'),(3423269888,'us'),(3423285248,'ca'),(3423287296,'us'),(3423303680,'ca'),(3423304704,'us'),(3423311872,'vi'),(3423313920,'us'),(3423375360,'ca'),(3423379456,'us'),(3423412224,'ca'),(3423414272,'us'),(3423473664,'ca'),(3423474688,'us'),(3423533056,'ai'),(3423535104,'us'),(3423543296,'ca'),(3423545344,'us'),(3423571968,'pr'),(3423574016,'us'),(3423582208,'ca'),(3423586304,'us'),(3423602688,'kn'),(3423603712,'us'),(3423626240,'ca'),(3423627264,'us'),(3423637504,'ca'),(3423639552,'us'),(3423651840,'ca'),(3423653888,'us'),(3423797504,'ca'),(3423823360,'us'),(3423823872,'ca'),(3423827712,'us'),(3423827968,'ca'),(3423848448,'kn'),(3423849984,'ca'),(3423858176,'us'),(3423858688,'ca'),(3423862784,'us'),(3424334848,'ca'),(3424335872,'us'),(3424378880,'pr'),(3424379136,'us'),(3424493824,'ca'),(3424494080,'us'),(3425173504,'ca'),(3425304576,'us'),(3425697792,'ca'),(3425699840,'us'),(3425828864,'ca'),(3425894400,'us'),(3426013184,'il'),(3426013440,'us'),(3426388992,'us'),(3426744320,'ca'),(3426746368,'us'),(3427127296,'ca'),(3427127552,'us'),(3427762176,'de'),(3427762432,'ca'),(3427762688,'it'),(3427763456,'au'),(3427763712,'gb'),(3427763968,'us'),(3427764224,'fr'),(3427764480,'us'),(3427765504,'gb'),(3427765760,'us'),(3427766272,'gb'),(3427766784,'se'),(3427767040,'de'),(3427767808,'us'),(3427769600,'jp'),(3427770112,'no'),(3427770368,'gb'),(3427770624,'ch'),(3427771392,'us'),(3427771648,'ca'),(3427771904,'ch'),(3427772416,'de'),(3427772672,'hk'),(3427772928,'be'),(3427773184,'de'),(3427773440,'us'),(3427773696,'fr'),(3427773952,'us'),(3427774720,'de'),(3427775232,'us'),(3427776000,'hk'),(3427776512,'cz'),(3427776768,'us'),(3427777024,'nl'),(3427777280,'de'),(3427777536,'us'),(3427777792,'hk'),(3427778048,'us'),(3427778304,'se'),(3427778560,'no'),(3427779072,'gb'),(3427779328,'us'),(3427780096,'gb'),(3427780352,'de'),(3427780608,'us'),(3427781376,'gb'),(3427781632,'be'),(3427781888,'us'),(3427782400,'gb'),(3427782656,'fr'),(3427783424,'gb'),(3427783680,'us'),(3427783936,'fr'),(3427784704,'us'),(3427785216,'jp'),(3427785472,'no'),(3427785728,'us'),(3427786752,'lu'),(3427787264,'us'),(3427787776,'fr'),(3427788032,'ch'),(3427788288,'gb'),(3427788800,'no'),(3427789568,'de'),(3427790080,'us'),(3427790848,'it'),(3427791104,'de'),(3427791616,'gb'),(3427791872,'ca'),(3427792384,'nl'),(3427793920,'us'),(3427794176,'nl'),(3427794944,'ca'),(3427796992,'us'),(3427831808,'us'),(3427860480,'ca'),(3428057088,'us'),(3428286720,'ca'),(3428286976,'us'),(3428297472,'us'),(3428299776,'us'),(3428437760,'us'),(3429171200,'ca'),(3429236736,'us'),(3429500928,'ca'),(3429502976,'us'),(3429775360,'tc'),(3429777408,'us'),(3429892096,'ca'),(3429957632,'us'),(3430701056,'ca'),(3430702080,'us'),(3430706176,'us'),(3430813184,'us'),(3430842880,'us'),(3430845952,'us'),(3431114496,'ca'),(3431114752,'us'),(3431468032,'ca'),(3431469056,'us'),(3431596288,'ca'),(3431613440,'us'),(3431613696,'ca'),(3431657472,'us'),(3431658496,'ca'),(3431661568,'us'),(3432004608,'ca'),(3432005632,'us'),(3432009216,'pr'),(3432009472,'us'),(3432106496,'us'),(3432113408,'ca'),(3432113664,'us'),(3432205312,'ca'),(3432206336,'us'),(3432517632,'us'),(3432586240,'us'),(3432660992,'de'),(3432663040,'us'),(3432807424,'ca'),(3432808448,'us'),(3433955584,'ca'),(3433981952,'us'),(3433984000,'ca'),(3434020864,'us'),(3434807552,'ca'),(3434831360,'us'),(3434831616,'ca'),(3434872832,'us'),(3435069440,'ca'),(3435134976,'us'),(3436249344,'ca'),(3436282368,'us'),(3436282624,'ca'),(3436289792,'us'),(3436290048,'ca'),(3436314624,'us'),(3437297920,'ca'),(3437310976,'us'),(3437311488,'ca'),(3437331712,'us'),(3437331968,'ca'),(3437334016,'us'),(3437334272,'ca'),(3437341696,'us'),(3437341952,'ca'),(3437358848,'us'),(3437359104,'ca'),(3437428736,'us'),(3437748224,'gb'),(3437748480,'nl'),(3437748992,'us'),(3437749248,'de'),(3437749504,'us'),(3437749760,'jp'),(3437750016,'be'),(3437750272,'gb'),(3437750528,'us'),(3437751552,'it'),(3437751808,'gb'),(3437752064,'es'),(3437752320,'ie'),(3437752832,'us'),(3437755136,'jp'),(3437755648,'gb'),(3437755904,'us'),(3437756160,'ie'),(3437756416,'us'),(3437772800,'ca'),(3437789184,'us'),(3437964288,'us'),(3438006272,'ca'),(3438010368,'us'),(3438034944,'bs'),(3438051328,'us'),(3438084096,'ca'),(3438116864,'us'),(3438215424,'ca'),(3438280704,'us'),(3438542848,'ca'),(3438608384,'us'),(3449225472,'ca'),(3449290752,'us'),(3449769984,'us'),(3450217216,'lc'),(3450217472,'us'),(3450272768,'us'),(3450731520,'ca'),(3450732544,'us'),(3450773504,'ca'),(3450777600,'us'),(3451715840,'ca'),(3451737344,'us'),(3451737600,'ca'),(3451744256,'us'),(3451745536,'ca'),(3451781120,'us'),(3451912192,'ca'),(3452174592,'us'),(3452436480,'ca'),(3452502016,'us'),(3452764160,'ca'),(3452914176,'us'),(3452914432,'ca'),(3452920832,'us'),(3452923392,'ca'),(3452934912,'us'),(3452936192,'ca'),(3452960768,'us'),(3453026560,'ca'),(3453029376,'us'),(3453092096,'ca'),(3453101056,'us'),(3453101312,'ca'),(3453139968,'us'),(3453140992,'ca'),(3453149184,'us'),(3453149440,'ca'),(3453159424,'bm'),(3453159936,'ca'),(3453206528,'us'),(3453403136,'bb'),(3453411328,'us'),(3453607936,'ag'),(3453616128,'us'),(3454599424,'ca'),(3454601216,'us'),(3454603264,'ca'),(3454604800,'us'),(3454607360,'ca'),(3454608128,'us'),(3454608384,'ca'),(3454609408,'us'),(3454611456,'ca'),(3454618624,'us'),(3454619648,'ca'),(3454635008,'us'),(3454636032,'ca'),(3454636800,'us'),(3454637056,'ca'),(3454661632,'us'),(3454662656,'ca'),(3454664704,'us'),(3454672896,'ca'),(3454681088,'us'),(3454796032,'ca'),(3454808832,'us'),(3454809088,'ca'),(3454814976,'us'),(3454815232,'ca'),(3454883840,'us'),(3454915072,'ca'),(3454926848,'us'),(3455713280,'ca'),(3455778816,'us'),(3456303104,'jp'),(3456311296,'us'),(3456892928,'ca'),(3456958464,'us'),(3458813952,'ca'),(3458818048,'us'),(3459055616,'ca'),(3459121152,'us'),(3459186688,'ca'),(3459252224,'us'),(3459449088,'ca'),(3459450624,'us'),(3459450880,'ca'),(3459456512,'us'),(3459456768,'ca'),(3459457280,'us'),(3459457536,'ca'),(3459457792,'pr'),(3459458048,'us'),(3459512320,'ca'),(3459513856,'us'),(3459592192,'ca'),(3459596288,'us'),(3459616768,'ca'),(3459620864,'us'),(3459624960,'bm'),(3459629056,'us'),(3459731456,'ca'),(3459735552,'us'),(3461021696,'ca'),(3461087232,'us'),(3461410816,'ca'),(3461414912,'us'),(3461513216,'ca'),(3461517312,'us'),(3461554176,'ca'),(3461558272,'us'),(3461808128,'ca'),(3461873664,'us'),(3463184640,'ca'),(3463194624,'us'),(3463198720,'ca'),(3463213312,'us'),(3463215104,'ca'),(3463243776,'us'),(3463245056,'ca'),(3463249920,'us'),(3463708672,'ca'),(3463774208,'us'),(3464167680,'ca'),(3464171776,'us'),(3464172032,'ca'),(3464180736,'us'),(3464208384,'ca'),(3464216576,'us'),(3464340480,'ca'),(3464341504,'us'),(3464384512,'ca'),(3464388608,'us'),(3464394752,'vc'),(3464396800,'us'),(3464626432,'ca'),(3464630272,'us'),(3464631296,'ca'),(3464650752,'us'),(3464664320,'ca'),(3464691712,'us'),(3464769536,'ca'),(3464773632,'us'),(3464802304,'ca'),(3464806400,'us'),(3465510912,'jp'),(3465543680,'us'),(3466756096,'ca'),(3466772480,'us'),(3466846208,'ca'),(3466854400,'us'),(3467051008,'ca'),(3467116544,'us'),(3467378688,'ca'),(3467444224,'us'),(3467554816,'ca'),(3467567104,'us'),(3467706368,'ca'),(3467902976,'us'),(3468296192,'ca'),(3468361728,'us'),(3468443648,'ca'),(3468460032,'bm'),(3468468224,'us'),(3468623872,'ca'),(3468656640,'us'),(3469055744,'ca'),(3469056000,'us'),(3469893632,'ca'),(3469901824,'us'),(3470131200,'ag'),(3470147584,'us'),(3470458880,'kr'),(3470475264,'us'),(3470558208,'hk'),(3470559232,'us'),(3470573568,'ca'),(3470575616,'us'),(3470614528,'us'),(3470651392,'ca'),(3470655488,'us'),(3470671872,'ca'),(3470680064,'us'),(3470744064,'ca'),(3470744576,'us'),(3470745856,'ca'),(3470746112,'us'),(3470749952,'ca'),(3470750208,'us'),(3470753024,'us'),(3470754560,'us'),(3470756096,'us'),(3470761984,'ca'),(3470770176,'us'),(3470778368,'ca'),(3470786560,'us'),(3470802944,'us'),(3470884864,'hk'),(3470885888,'us'),(3472375808,'pr'),(3472392192,'ca'),(3472408576,'us'),(3473039360,'bm'),(3473041408,'us'),(3473276928,'ca'),(3473342464,'us'),(3474391040,'ca'),(3474456576,'us'),(3475112192,'ca'),(3475113216,'us'),(3475115008,'ca'),(3475120128,'us'),(3475124224,'ca'),(3475243008,'us'),(3475881984,'ca'),(3475890176,'us'),(3475996672,'ca'),(3476029440,'us'),(3476418560,'ca'),(3476422656,'us'),(3476447232,'ca'),(3476455424,'us'),(3476881408,'ca'),(3476946944,'us'),(3478192128,'ca'),(3478257664,'us'),(3479207936,'ca'),(3479240704,'us'),(3479568384,'ca'),(3479633920,'us'),(3479896064,'ca'),(3479961600,'us'),(3480223744,'ca'),(3480256512,'us'),(3480444928,'ca'),(3480449024,'us'),(3481665536,'ca'),(3481731072,'us'),(3481812992,'ca'),(3481829376,'us'),(3481993216,'ca'),(3482058752,'us'),(3482583040,'ca'),(3482632192,'us'),(3482775552,'pr'),(3482779648,'us'),(3482910720,'ca'),(3482927104,'us'),(3483435008,'ca'),(3483533312,'us'),(3483631616,'ca'),(3483697152,'us'),(3483791360,'pr'),(3483795456,'us'),(3483828224,'ca'),(3483836416,'us'),(3483877376,'ca'),(3483893760,'us'),(3484647424,'ca'),(3484663808,'us'),(3484762112,'ca'),(3484778496,'us'),(3484884992,'ca'),(3484893184,'us'),(3485220864,'ca'),(3485229056,'us'),(3485327360,'ca'),(3485335552,'us'),(3485462528,'vc'),(3485466624,'us'),(3485597696,'ca'),(3485704192,'us'),(3486023680,'ca'),(3486031872,'us'),(3486269440,'jm'),(3486285824,'pr'),(3486302208,'ca'),(3486318592,'us'),(3486646272,'ca'),(3486662656,'us'),(3487039488,'ca'),(3487105024,'us'),(3487236096,'ca'),(3487301632,'us'),(3487842304,'ca'),(3487858688,'bm'),(3487875072,'us'),(3487891456,'ca'),(3487907840,'us'),(3488014336,'ca'),(3488022528,'us'),(3488071680,'ca'),(3488072704,'us'),(3488079872,'ca'),(3488083968,'us'),(3488112640,'ca'),(3488120832,'us'),(3488350208,'ca'),(3488415744,'us'),(3488940032,'ca'),(3488956416,'us'),(3488989184,'ca'),(3489005568,'us'),(3489267712,'us'),(3489341440,'ca'),(3489345536,'us'),(3489464320,'ca'),(3489529856,'us'),(3489562624,'jm'),(3489566720,'us'),(3492151296,'ca'),(3492167680,'us'),(3493244928,'pr'),(3493249024,'us'),(3493866496,'vg'),(3493867520,'us'),(3493874688,'bm'),(3493875712,'us'),(3493881856,'ca'),(3493882880,'us'),(3493936128,'ca'),(3493937152,'us'),(3493939200,'ca'),(3493941248,'us'),(3493982208,'ca'),(3493984256,'us'),(3493986304,'ca'),(3493987328,'us'),(3493990400,'ca'),(3493991424,'us'),(3493998592,'ai'),(3494000640,'us'),(3494003712,'ca'),(3494004736,'us'),(3494009856,'ca'),(3494010880,'us'),(3494014976,'ca'),(3494017024,'us'),(3494044672,'ca'),(3494045696,'us'),(3494049792,'ca'),(3494053888,'us'),(3494075392,'ca'),(3494076416,'us'),(3494088704,'ca'),(3494090752,'us'),(3494094848,'ca'),(3494095872,'us'),(3494121472,'ca'),(3494122496,'us'),(3494135808,'ca'),(3494136832,'us'),(3494139904,'ca'),(3494141952,'us'),(3494144000,'ca'),(3494145024,'us'),(3494168576,'ca'),(3494170624,'us'),(3494184960,'ca'),(3494187008,'us'),(3494197248,'ca'),(3494198272,'us'),(3494244352,'ca'),(3494246400,'us'),(3494247424,'ca'),(3494250496,'us'),(3494262784,'ca'),(3494264832,'us'),(3494272000,'kn'),(3494273024,'us'),(3494275072,'ca'),(3494277120,'us'),(3494302720,'ca'),(3494303744,'us'),(3494310912,'ca'),(3494311936,'us'),(3494316032,'ca'),(3494317056,'us'),(3494336512,'ca'),(3494337536,'us'),(3494342656,'ca'),(3494344704,'us'),(3494359040,'ca'),(3494360064,'us'),(3494361088,'ca'),(3494362112,'us'),(3494380544,'ca'),(3494381568,'us'),(3494410240,'ca'),(3494412288,'us'),(3494424576,'ca'),(3494425600,'us'),(3494432768,'ca'),(3494433792,'us'),(3494437888,'gp'),(3494438912,'ca'),(3494439936,'us'),(3494449152,'ca'),(3494451200,'us'),(3494455296,'ca'),(3494456320,'us'),(3494459392,'ca'),(3494460416,'us'),(3494464512,'ca'),(3494465536,'us'),(3494510592,'ca'),(3494512640,'us'),(3494516736,'ca'),(3494517760,'us'),(3494563840,'ca'),(3494565888,'us'),(3494594560,'ca'),(3494595584,'us'),(3494605824,'ca'),(3494606848,'us'),(3494610944,'ca'),(3494611968,'us'),(3494624256,'ca'),(3494625280,'us'),(3494627328,'bm'),(3494628352,'us'),(3494651904,'ca'),(3494652928,'us'),(3494660096,'ca'),(3494661120,'us'),(3494668288,'ca'),(3494670336,'us'),(3494700032,'ca'),(3494701056,'us'),(3494727680,'ca'),(3494729728,'us'),(3494730752,'ca'),(3494731776,'us'),(3494743040,'ca'),(3494744064,'us'),(3494757376,'ca'),(3494758400,'us'),(3494776832,'ca'),(3494777856,'us'),(3494785024,'mf'),(3494787072,'ca'),(3494789120,'us'),(3494852608,'ca'),(3494854656,'us'),(3494862848,'gp'),(3494863872,'us'),(3494866944,'ca'),(3494867968,'us'),(3494893568,'ca'),(3494894592,'us'),(3494917120,'ca'),(3494918144,'us'),(3494928384,'ca'),(3494930432,'us'),(3494938624,'ca'),(3494939648,'us'),(3494964224,'pr'),(3494965248,'us'),(3494968320,'ca'),(3494972416,'us'),(3494979584,'ca'),(3494981632,'us'),(3495000064,'ca'),(3495001088,'us'),(3495006208,'ca'),(3495007232,'us'),(3495010304,'kn'),(3495012352,'pr'),(3495014400,'us'),(3495023616,'ca'),(3495024640,'us'),(3495065600,'ca'),(3495066624,'us'),(3495076864,'bm'),(3495077888,'us'),(3495090176,'ky'),(3495091200,'us'),(3495098368,'ca'),(3495100416,'us'),(3495120896,'ag'),(3495122944,'us'),(3495153664,'ca'),(3495155712,'us'),(3495192576,'ca'),(3495193600,'us'),(3495215104,'vi'),(3495217152,'vc'),(3495219200,'us'),(3495251968,'ca'),(3495254016,'us'),(3495260160,'ca'),(3495261184,'us'),(3495286784,'ca'),(3495288832,'us'),(3495332864,'ca'),(3495333888,'us'),(3495349248,'ca'),(3495350272,'us'),(3495358464,'ca'),(3495359488,'us'),(3495367680,'ca'),(3495368704,'us'),(3495370752,'bs'),(3495372800,'us'),(3495375872,'ca'),(3495376896,'us'),(3495399424,'kn'),(3495400448,'us'),(3495412736,'ca'),(3495413760,'us'),(3495429120,'ca'),(3495430144,'us'),(3495455744,'ca'),(3495456768,'us'),(3495463936,'ca'),(3495464960,'us'),(3495475200,'ca'),(3495477248,'us'),(3495478272,'ca'),(3495479296,'us'),(3495505920,'ca'),(3495507968,'us'),(3495515136,'ca'),(3495516160,'us'),(3495526400,'ca'),(3495527424,'us'),(3495552000,'bm'),(3495553024,'us'),(3495579648,'ca'),(3495581696,'us'),(3495583744,'ca'),(3495585792,'us'),(3495587840,'ms'),(3495588864,'us'),(3495618560,'ca'),(3495619584,'us'),(3495620608,'ca'),(3495622656,'us'),(3495653376,'ca'),(3495655424,'us'),(3495673856,'mf'),(3495674880,'us'),(3495688192,'ca'),(3495689216,'us'),(3495694336,'ca'),(3495698432,'us'),(3495703552,'ca'),(3495704576,'us'),(3495718912,'ca'),(3495720960,'us'),(3495724032,'ca'),(3495727104,'us'),(3495740416,'ca'),(3495741440,'us'),(3495749632,'ca'),(3495750656,'us'),(3495774208,'ca'),(3495776256,'us'),(3495815168,'ca'),(3495817216,'us'),(3495828480,'ca'),(3495829504,'us'),(3495847936,'ca'),(3495849984,'us'),(3495862272,'ca'),(3495864320,'gp'),(3495865344,'ca'),(3495866368,'vc'),(3495868416,'us'),(3495871488,'ca'),(3495872512,'us'),(3495896064,'pr'),(3495897088,'us'),(3495930880,'ca'),(3495931904,'us'),(3495968768,'ca'),(3495985152,'us'),(3496034304,'ca'),(3496050688,'us'),(3496132608,'ca'),(3496148992,'us'),(3496181760,'ca'),(3496189952,'us'),(3496296448,'ca'),(3496312832,'us'),(3496468480,'ca'),(3496476672,'us'),(3496878080,'ca'),(3496882176,'us'),(3496894464,'ca'),(3496902656,'us'),(3496951808,'ca'),(3496960000,'us'),(3497066496,'ca'),(3497082880,'us'),(3497164800,'ca'),(3497181184,'us'),(3497410560,'ca'),(3497431040,'us'),(3497447424,'ca'),(3497451520,'us'),(3497717760,'ca'),(3497721856,'us'),(3497820160,'ca'),(3497852928,'us'),(3498287104,'jm'),(3498295296,'us'),(3498708992,'jm'),(3498717184,'us'),(3499986944,'ky'),(3499988992,'us'),(3500351488,'jm'),(3500359680,'us'),(3500728320,'ky'),(3500736512,'us'),(3501522944,'ca'),(3501588480,'us'),(3506765824,'ca'),(3506831360,'us'),(3507355648,'us'),(3507585024,'ca'),(3507601408,'us'),(3507748864,'ca'),(3507765248,'us'),(3508219904,'ca'),(3508220928,'ky'),(3508221952,'us'),(3508222976,'ky'),(3508224000,'us'),(3508338688,'ca'),(3508404224,'us'),(3508690944,'ca'),(3508695040,'us'),(3509157888,'ca'),(3509166080,'us'),(3509215232,'ca'),(3509223424,'us'),(3509346304,'ca'),(3509354496,'us'),(3509420032,'us'),(3509731328,'ca'),(3509739520,'us'),(3509846016,'ca'),(3510042624,'us'),(3510239232,'ca'),(3510272000,'us'),(3510321152,'ag'),(3510337536,'us'),(3510935552,'ca'),(3510943744,'us'),(3511140352,'ca'),(3511156736,'us'),(3511812096,'ca'),(3511844864,'us'),(3512139776,'ca'),(3512156160,'us'),(3512172544,'ca'),(3512176640,'us'),(3512197120,'ca'),(3512205312,'us'),(3512270848,'ca'),(3512336384,'us'),(3512369152,'ca'),(3512385536,'us'),(3512397824,'ca'),(3512401920,'us'),(3512418304,'ca'),(3512451072,'pr'),(3512467456,'us'),(3512655872,'us'),(3512696832,'se'),(3512705024,'us'),(3512844288,'ca'),(3512852480,'us'),(3512987648,'us'),(3513188352,'ca'),(3513204736,'us'),(3513270272,'ca'),(3513286656,'us'),(3513294848,'ca'),(3513303040,'us'),(3513368576,'ca'),(3513376768,'us'),(3513475072,'ca'),(3513483264,'us'),(3513778176,'ca'),(3513794560,'us'),(3514007552,'ca'),(3514040320,'us'),(3514368000,'ca'),(3514433536,'us'),(3514826752,'ca'),(3514843136,'us'),(3515301888,'ca'),(3515318272,'us'),(3515596800,'ca'),(3515744256,'us'),(3515965440,'ca'),(3515973632,'us'),(3516039168,'ca'),(3516071936,'us'),(3516153856,'ca'),(3516162048,'us'),(3516170240,'ca'),(3516203008,'us'),(3516334080,'ca'),(3516342272,'us'),(3516366848,'ca'),(3516370944,'us'),(3516514304,'ca'),(3516530688,'us'),(3516903424,'ca'),(3516907520,'us'),(3517038592,'ca'),(3517054976,'us'),(3517095936,'ca'),(3517100032,'us'),(3517112320,'ca'),(3517120512,'us'),(3517546496,'ca'),(3517562880,'us'),(3517595648,'se'),(3517612032,'us'),(3517644800,'ca'),(3517710336,'us'),(3517718528,'ca'),(3517726720,'us'),(3518062592,'ca'),(3518066688,'us'),(3518431232,'ca'),(3518439424,'us'),(3518464000,'ca'),(3518472192,'us'),(3519234048,'ca'),(3519250432,'us'),(3519340544,'ca'),(3519344640,'us'),(3519381504,'ca'),(3519397888,'us'),(3519676416,'ca'),(3519709184,'us'),(3519758336,'us'),(3519873024,'ca'),(3519901696,'us'),(3519934464,'ca'),(3519938560,'us'),(3520020480,'ca'),(3520036864,'us'),(3520364544,'us'),(3520454656,'ca'),(3520462848,'us'),(3520626688,'ca'),(3520634880,'us'),(3520675840,'ca'),(3520692224,'us'),(3520937984,'ca'),(3520954368,'us'),(3520999424,'ca'),(3521003520,'us'),(3521028096,'ca'),(3521032192,'us'),(3521044480,'ca'),(3521048576,'us'),(3521249280,'ca'),(3521314816,'us'),(3521904640,'jm'),(3521937408,'us'),(3522101248,'ca'),(3522109440,'us'),(3522174976,'bm'),(3522179072,'us'),(3522195456,'ca'),(3522199552,'us'),(3522854912,'ca'),(3522871296,'us'),(3590324224,'us'),(3624271872,'ca'),(3624304640,'us'),(3624321024,'ca'),(3624325120,'us'),(3624386560,'ca'),(3624394752,'us'),(3624435712,'ca'),(3624452096,'us'),(3624480768,'ca'),(3624484864,'us'),(3624529920,'ca'),(3624534016,'us'),(3624587264,'jm'),(3624591360,'us'),(3624730624,'ca'),(3624796160,'us'),(3624828928,'ca'),(3624833024,'us'),(3624845312,'au'),(3624849408,'us'),(3624984576,'ca'),(3624992768,'us'),(3625058304,'ca'),(3625091072,'us'),(3625140224,'ca'),(3625148416,'us'),(3625168896,'ca'),(3625172992,'us'),(3625287680,'ca'),(3625295872,'us'),(3625418752,'ca'),(3625426944,'us'),(3625508864,'ca'),(3625512960,'pr'),(3625517056,'us'),(3625631744,'ca'),(3625639936,'us'),(3626270720,'ca'),(3626287104,'us'),(3626508288,'ca'),(3626512384,'us'),(3626524672,'ca'),(3626532864,'us'),(3626852352,'ca'),(3626860544,'us'),(3626893312,'ca'),(3626905600,'us'),(3626926080,'ca'),(3626934272,'us'),(3627044864,'ca'),(3627048960,'us'),(3627065344,'ca'),(3627069440,'us'),(3627507712,'ca'),(3627511808,'us'),(3627532288,'ca'),(3627544576,'us'),(3627659264,'ca'),(3627663360,'us'),(3627679744,'ca'),(3627712512,'us'),(3627802624,'ca'),(3627810816,'us'),(3628179456,'ca'),(3628187648,'us'),(3628236800,'ca'),(3628257280,'us'),(3628679168,'ca'),(3628683264,'us'),(3628834816,'ca'),(3628843008,'us'),(3629187072,'ca'),(3629195264,'us'),(3629199360,'ca'),(3629203456,'us'),(3629318144,'ca'),(3629326336,'us'),(3629539328,'ca'),(3629547520,'us'),(3630309376,'ca'),(3630317568,'us'),(3630374912,'ca'),(3630383104,'us'),(3630391296,'ca'),(3630395392,'us'),(3630718976,'ca'),(3630727168,'us'),(3630780416,'ca'),(3630784512,'us'),(3630850048,'ca'),(3630854144,'us'),(3630956544,'ca'),(3631005696,'us'),(3631112192,'bb'),(3631120384,'us'),(3631144960,'ca'),(3631153152,'us'),(3631284224,'ca'),(3631316992,'us'),(3631333376,'ca'),(3631341568,'us'),(3631480832,'ca'),(3631484928,'us'),(3631644672,'ca'),(3631652864,'us'),(3631665152,'ca'),(3631669248,'us'),(3631841280,'ca'),(3631874048,'us'),(3631939584,'ca'),(3632005120,'us'),(3632136192,'ca'),(3632144384,'us'),(3632152576,'ca'),(3632168960,'us'),(3632197632,'ca'),(3632201728,'us'),(3632332800,'ca'),(3632357376,'us'),(3632381952,'ca'),(3632390144,'us'),(3632414720,'ca'),(3632422912,'us'),(3632857088,'bs'),(3632861184,'us'),(3632881664,'ca'),(3632889856,'us'),(3632898048,'ca'),(3632902144,'us'),(3632971776,'ca'),(3632988160,'us'),(3633336320,'ky'),(3633340416,'us'),(3633344512,'ca'),(3633348608,'us'),(3633405952,'ca'),(3633410048,'us'),(3633479680,'ca'),(3633483776,'us'),(3633815552,'ca'),(3633819648,'us'),(3633885184,'us'),(3633889280,'ca'),(3633893376,'us'),(3633971200,'ca'),(3634020352,'us'),(3634061312,'us'),(3634094080,'se'),(3634098176,'us'),(3634511872,'ca'),(3634515968,'us'),(3634552832,'ca'),(3634556928,'us'),(3634880512,'ca'),(3634888704,'us'),(3634913280,'ca'),(3634921472,'us'),(3634925568,'ca'),(3634929664,'us'),(3635109888,'ca'),(3635113984,'us'),(3635142656,'ca'),(3635146752,'us'),(3635314688,'ca'),(3635322880,'us'),(3635425280,'ca'),(3635429376,'us'),(3635466240,'ca'),(3635470336,'us'),(3635871744,'ca'),(3635879936,'us'),(3635892224,'ca'),(3635896320,'us'),(3635904512,'ca'),(3635912704,'us'),(3636019200,'ca'),(3636027392,'us'),(3636064256,'ca'),(3636068352,'us'),(3636396032,'ca'),(3636461568,'us'),(3636609024,'ca'),(3636621312,'us'),(3636822016,'ca'),(3636854784,'us'),(3636887552,'ca'),(3636895744,'us'),(3637075968,'ca'),(3637080064,'us'),(3637510144,'ca'),(3637641216,'us'),(3637665792,'ca'),(3637669888,'us'),(3637706752,'ca'),(3637739520,'us'),(3638165504,'ca'),(3638181888,'us'),(3638304768,'ca'),(3638312960,'us'),(3638370304,'ca'),(3638386688,'us'),(3638509568,'ca'),(3638534144,'us'),(3638697984,'ca'),(3638706176,'us'),(3638874112,'ca'),(3638878208,'us'),(3638992896,'us'),(3639083008,'ca'),(3639148544,'us'),(3639222272,'ca'),(3639230464,'us'),(3639255040,'ca'),(3639263232,'us'),(3639279616,'ca'),(3639283712,'us'),(3639394304,'us'),(3639558144,'ca'),(3639566336,'us'),(3639607296,'ca'),(3639611392,'us'),(3639656448,'ca'),(3639660544,'us'),(3639664640,'ca'),(3639668736,'us'),(3639681024,'us'),(3639730176,'ca'),(3639734272,'us'),(3639934976,'us'),(3640057856,'ca'),(3640066048,'us'),(3640197120,'ca'),(3640201216,'us'),(3640205312,'bm'),(3640209408,'ca'),(3640213504,'us'),(3640287232,'ca'),(3640291328,'us'),(3640360960,'ca'),(3640369152,'us'),(3640410112,'ca'),(3640418304,'us'),(3640557568,'ca'),(3640582144,'us'),(3640647680,'jp'),(3640651776,'us'),(417857536,'ar'),(1075609600,'tt'),(1075855360,'do'),(1111228416,'ar'),(1113718784,'do'),(1122451456,'co'),(2170159104,'ve'),(2209480704,'mx'),(2230779904,'mx'),(2231238656,'mx'),(2337406976,'br'),(2358509568,'mx'),(2361327616,'ar'),(2402680832,'br'),(2406088704,'br'),(2417360896,'mx'),(2417426432,'br'),(2454913024,'cl'),(2458255360,'br'),(2459631616,'cl'),(2460221440,'br'),(2470510592,'br'),(2496200704,'mx'),(2527133696,'br'),(2528706560,'ve'),(2554986496,'cl'),(2555641856,'br'),(2556166144,'br'),(2559246336,'cl'),(2614296576,'br'),(2623602688,'cl'),(2639659008,'br'),(2640052224,'ar'),(2640576512,'ec'),(2650603520,'co'),(2657157120,'mx'),(2661285888,'ve'),(2661941248,'cl'),(2667249664,'cl'),(2668625920,'mx'),(2673475584,'ve'),(2702704640,'br'),(2702770176,'cl'),(2706309120,'br'),(2709716992,'cl'),(2709782528,'pe'),(2710831104,'br'),(2713583616,'ar'),(2713976832,'ve'),(2716729344,'cl'),(2725904384,'ve'),(2735341568,'ar'),(2746351616,'cr'),(2750873600,'cl'),(2751070208,'cl'),(2754150400,'br'),(2756247552,'uy'),(2756509696,'cl'),(2757033984,'br'),(2757754880,'cl'),(2757885952,'cl'),(2774663168,'ni'),(2780168192,'cl'),(2789933056,'cl'),(2792226816,'cl'),(2792488960,'bo'),(2803630080,'cl'),(2810576896,'ve'),(2812084224,'bo'),(2818310144,'ar'),(2823618560,'pa'),(2824011776,'ar'),(2824863744,'ar'),(2825191424,'ar'),(2829385728,'mx'),(2830106624,'co'),(2833383424,'ar'),(2833711104,'cl'),(2833907712,'gt'),(2834497536,'sv'),(2835283968,'mx'),(2845704192,'cu'),(2853306368,'cl'),(2853765120,'mx'),(2855469056,'ar'),(2856452096,'br'),(2856714240,'mx'),(2862284800,'ar'),(2863202304,'mx'),(2865889280,'ar'),(3120562176,'co'),(3120627712,'ni'),(3120693248,'bo'),(3120758784,'ec'),(3121086464,'uy'),(3121152000,'cl'),(3121348608,'ar'),(3121479680,'ve'),(3121545216,'cr'),(3121610752,'py'),(3121741824,'ar'),(3122135040,'ve'),(3122397184,'co'),(3122659328,'gt'),(3122921472,'cl'),(3123314688,'ec'),(3123380224,'co'),(3123445760,'tt'),(3123707904,'uy'),(3124232192,'ar'),(3124887552,'ec'),(3125280768,'pa'),(3125805056,'co'),(3126853632,'ar'),(3126919168,'co'),(3127115776,'ar'),(3127377920,'cl'),(3127640064,'ar'),(3127902208,'co'),(3128426496,'do'),(3128492032,'co'),(3128557568,'ar'),(3131047936,'pe'),(3137339392,'br'),(3145728000,'mx'),(3170893824,'br'),(3179282432,'mx'),(3187671040,'co'),(3187687424,'do'),(3187695616,'ar'),(3187703808,'uy'),(3187712000,'ar'),(3187720192,'gt'),(3187736576,'ar'),(3187752960,'co'),(3187802112,'ar'),(3187818496,'py'),(3187822592,'ar'),(3187824640,'cl'),(3187826688,'ar'),(3187834880,'an'),(3187851264,'py'),(3187859456,'pa'),(3187867648,'ar'),(3187916800,'co'),(3187933184,'gt'),(3187949568,'an'),(3187957760,'cl'),(3187965952,'an'),(3187982336,'cl'),(3187998720,'ar'),(3188015104,'hn'),(3188031488,'sv'),(3188047872,'co'),(3188056064,'pa'),(3188064256,'ve'),(3188080640,'cu'),(3188088832,'ar'),(3188097024,'do'),(3188105216,'co'),(3188113408,'hn'),(3188121600,'tt'),(3188129792,'ar'),(3188146176,'co'),(3188170752,'cr'),(3188187136,'ar'),(3188203520,'do'),(3188211712,'cl'),(3188228096,'pe'),(3188244480,'co'),(3188260864,'ar'),(3188269056,'ve'),(3188273152,'pa'),(3188277248,'co'),(3188293632,'ve'),(3188301824,'ec'),(3188310016,'co'),(3188326400,'cr'),(3188359168,'ec'),(3188400128,'ar'),(3188408320,'bo'),(3188416512,'ar'),(3188449280,'hn'),(3188457472,'ec'),(3188473856,'pe'),(3188482048,'ar'),(3188490240,'co'),(3188506624,'ar'),(3188523008,'co'),(3188539392,'cl'),(3188547584,'co'),(3188555776,'cl'),(3188572160,'co'),(3188580352,'ar'),(3188621312,'gt'),(3188629504,'ar'),(3188637696,'pa'),(3188645888,'co'),(3188670464,'hn'),(3188678656,'ar'),(3188686848,'ec'),(3188695040,'ve'),(3188703232,'ar'),(3188981760,'cl'),(3189243904,'co'),(3189637120,'ar'),(3189768192,'pa'),(3190030336,'ve'),(3190292480,'pe'),(3190554624,'cl'),(3190816768,'ar'),(3191078912,'co'),(3191095296,'ec'),(3191103488,'co'),(3191111680,'py'),(3191128064,'ec'),(3191136256,'do'),(3191144448,'sv'),(3191209984,'cl'),(3191275520,'ar'),(3191341056,'gt'),(3191406592,'sv'),(3191472128,'tt'),(3191603200,'co'),(3191865344,'uy'),(3191930880,'co'),(3192389632,'ve'),(3192913920,'gy'),(3192946688,'do'),(3192979456,'pe'),(3193044992,'cl'),(3193110528,'co'),(3193307136,'sv'),(3193438208,'an'),(3193569280,'co'),(3193700352,'hn'),(3193733120,'ar'),(3193765888,'tt'),(3193798656,'co'),(3193831424,'do'),(3193864192,'ec'),(3193896960,'cl'),(3193929728,'ec'),(3193962496,'cl'),(3193995264,'co'),(3194028032,'ar'),(3194044416,'co'),(3194052608,'tt'),(3194060800,'co'),(3194093568,'sr'),(3194126336,'ar'),(3194159104,'gt'),(3194191872,'co'),(3194224640,'cl'),(3194355712,'an'),(3194363904,'cr'),(3194372096,'ht'),(3194388480,'pe'),(3194404864,'co'),(3194413056,'cl'),(3194421248,'ar'),(3194429440,'ve'),(3194437632,'bo'),(3194445824,'co'),(3194454016,'ar'),(3194486784,'bo'),(3194519552,'py'),(3194552320,'ar'),(3194617856,'ni'),(3194634240,'cr'),(3194642432,'ar'),(3194683392,'cu'),(3194691584,'bo'),(3194699776,'ec'),(3194707968,'ar'),(3194716160,'hn'),(3194724352,'pa'),(3194732544,'ar'),(3194748928,'uy'),(3194781696,'cl'),(3194814464,'ar'),(3194847232,'co'),(3194863616,'hn'),(3194880000,'do'),(3194912768,'cl'),(3194945536,'gt'),(3194978304,'pa'),(3194994688,'ar'),(3195043840,'co'),(3195076608,'cl'),(3195109376,'ar'),(3195142144,'ve'),(3195174912,'ar'),(3195535360,'sv'),(3195543552,'pe'),(3195551744,'ec'),(3195559936,'ar'),(3195568128,'co'),(3195576320,'cl'),(3195584512,'ht'),(3195592704,'pa'),(3195600896,'cl'),(3195633664,'co'),(3195641856,'py'),(3195650048,'gt'),(3195658240,'ve'),(3195666432,'ar'),(3195691008,'do'),(3195699200,'ar'),(3195707392,'pa'),(3195715584,'ar'),(3195731968,'ec'),(3195740160,'pa'),(3195748352,'cl'),(3195756544,'ar'),(3195764736,'cr'),(3195772928,'ve'),(3195781120,'pa'),(3195797504,'ar'),(3196059648,'co'),(3196092416,'py'),(3196125184,'bo'),(3196190720,'hn'),(3196256256,'ec'),(3196321792,'uy'),(3196583936,'ar'),(3196846080,'pa'),(3196977152,'ve'),(3197042688,'co'),(3197370368,'gt'),(3197566976,'cl'),(3197632512,'ec'),(3197698048,'ve'),(3197763584,'ec'),(3197894656,'co'),(3198156800,'cl'),(3198484480,'co'),(3198550016,'do'),(3198681088,'ve'),(3198943232,'ar'),(3199533056,'bo'),(3199598592,'co'),(3199664128,'ar'),(3199729664,'ni'),(3199795200,'an'),(3199860736,'bo'),(3199926272,'pe'),(3199991808,'ar'),(3200516096,'cl'),(3200581632,'bz'),(3200614400,'ar'),(3200647168,'ve'),(3201302528,'cl'),(3201433600,'ar'),(3201564672,'ni'),(3201630208,'tt'),(3201695744,'ec'),(3201826816,'ar'),(3201957888,'pa'),(3202088960,'ar'),(3202220032,'pe'),(3202351104,'ar'),(3202875392,'pe'),(3203399680,'co'),(3203465216,'cr'),(3203530752,'co'),(3203661824,'ar'),(3203923968,'co'),(3225524224,'ve'),(3226474496,'cl'),(3226521856,'br'),(3226733568,'mx'),(3227818752,'mx'),(3227931648,'pe'),(3228264448,'ni'),(3228558592,'br'),(3229885184,'br'),(3230149120,'ni'),(3230833920,'br'),(3230852352,'br'),(3230854400,'uy'),(3230913024,'br'),(3230915072,'br'),(3230969600,'mx'),(3231088128,'gt'),(3231275008,'br'),(3231282944,'cl'),(3231283200,'br'),(3231292160,'br'),(3231295232,'cr'),(3231675392,'br'),(3231722752,'br'),(3231724032,'br'),(3231739648,'br'),(3231744000,'br'),(3231759360,'br'),(3233549056,'br'),(3233557504,'ec'),(3233595904,'ec'),(3233684992,'br'),(3234019328,'mx'),(3234065664,'br'),(3234203648,'br'),(3234569728,'cl'),(3234574592,'mx'),(3234801664,'ec'),(3234808064,'ec'),(3234828800,'cl'),(3234838272,'gt'),(3234841088,'br'),(3234842624,'br'),(3234853888,'ec'),(3235856384,'br'),(3236392448,'cl'),(3236393472,'br'),(3236400128,'cl'),(3236409088,'br'),(3237297152,'cl'),(3237312768,'bo'),(3237684992,'cl'),(3288428544,'cu'),(3288434432,'cu'),(3288535040,'an'),(3288549888,'do'),(3288558080,'do'),(3288564736,'tt'),(3288569856,'cu'),(3290251264,'tt'),(3290439680,'tt'),(3290447872,'ar'),(3290955776,'cr'),(3322023936,'cl'),(3322683392,'br'),(3323033600,'br'),(3323062016,'br'),(3323394560,'cl'),(3324583936,'cl'),(3325132800,'br'),(3325142016,'ar'),(3325169664,'br'),(3325249280,'co'),(3325691904,'br'),(3331818496,'mx'),(3333988608,'br'),(3340429824,'pa'),(3345442304,'cl'),(3354955776,'ar'),(3355443200,'co'),(3355445248,'br'),(3355447296,'cu'),(3355447552,'ar'),(3355447808,'ht'),(3355448320,'an'),(3355449344,'cu'),(3355450368,'ec'),(3355451392,'br'),(3355459328,'ec'),(3355459584,'pa'),(3355459840,'ve'),(3355460096,'cl'),(3355460352,'br'),(3355461888,'ec'),(3355463424,'ar'),(3355463936,'br'),(3355464192,'cl'),(3355464448,'mx'),(3355464960,'br'),(3355465728,'uy'),(3355465984,'br'),(3355467520,'mx'),(3355467776,'ar'),(3355468800,'br'),(3355469568,'mx'),(3355470592,'pe'),(3355470848,'cl'),(3355471104,'mx'),(3355471360,'pe'),(3355471616,'mx'),(3355472384,'br'),(3355472640,'cl'),(3355473408,'pe'),(3355473920,'cl'),(3355475200,'mx'),(3355478016,'pe'),(3355478784,'ve'),(3355479040,'cl'),(3355479552,'pe'),(3355479808,'mx'),(3355480064,'cl'),(3355485184,'pe'),(3355487744,'cl'),(3355488000,'ar'),(3355488256,'gt'),(3355488768,'pa'),(3355489024,'cr'),(3355489280,'sv'),(3355489536,'ar'),(3355491072,'co'),(3355491328,'ar'),(3355494656,'co'),(3355494912,'pa'),(3355495424,'uy'),(3355496448,'ar'),(3355500544,'ar'),(3355508736,'ve'),(3355510272,'ec'),(3355510528,'ar'),(3355510784,'ve'),(3355512832,'cl'),(3355516928,'ar'),(3355525120,'co'),(3355535360,'tt'),(3355537408,'co'),(3355537664,'ar'),(3355537920,'ni'),(3355538176,'cl'),(3355538432,'ar'),(3355539200,'ve'),(3355539456,'cl'),(3355540480,'co'),(3355540736,'bz'),(3355540992,'co'),(3355541504,'cl'),(3355545600,'ve'),(3355547648,'ni'),(3355547904,'gt'),(3355548160,'do'),(3355548672,'sr'),(3355549952,'ec'),(3355550208,'ve'),(3355552768,'ec'),(3355553024,'co'),(3355553280,'cl'),(3355553536,'co'),(3355553792,'pe'),(3355555840,'ve'),(3355557888,'co'),(3355559936,'py'),(3355561984,'sr'),(3355566080,'ar'),(3355574272,'cl'),(3355576320,'ve'),(3355578368,'cl'),(3355582464,'uy'),(3355590656,'co'),(3355592704,'cl'),(3355604992,'ar'),(3355607040,'ht'),(3355615232,'sr'),(3355623424,'cl'),(3355639808,'ve'),(3355642368,'pa'),(3355642880,'uy'),(3355643904,'br'),(3355648000,'ar'),(3355668992,'pe'),(3355669248,'ar'),(3355672576,'co'),(3355677184,'gt'),(3355677440,'co'),(3355682816,'ar'),(3355684864,'tt'),(3355686912,'ar'),(3355688960,'co'),(3355689472,'hn'),(3355689984,'pa'),(3355693056,'cl'),(3355695104,'ar'),(3355697152,'hn'),(3355701504,'pe'),(3355702272,'co'),(3355703296,'py'),(3355705344,'mx'),(3355709440,'co'),(3355713536,'mx'),(3355720448,'ar'),(3355720704,'mx'),(3355746304,'ht'),(3355754496,'pe'),(3355773184,'br'),(3355773952,'cu'),(3355774976,'ve'),(3355783168,'ar'),(3355785216,'co'),(3355787264,'ar'),(3355803648,'ve'),(3355820032,'ar'),(3355836416,'ec'),(3355841024,'cl'),(3355841280,'ec'),(3355843328,'ve'),(3355843584,'ec'),(3355844864,'cl'),(3355845120,'ec'),(3355845376,'br'),(3355848960,'cl'),(3355849728,'pa'),(3355849984,'cl'),(3355850496,'ni'),(3355850752,'an'),(3355852800,'cl'),(3355856640,'pa'),(3355856896,'ec'),(3355858944,'do'),(3355860992,'cl'),(3355869184,'br'),(3355871232,'ar'),(3355873280,'an'),(3355875328,'ve'),(3355877376,'co'),(3355885568,'gt'),(3355901952,'br'),(3355905536,'py'),(3355905792,'ar'),(3355906048,'cl'),(3355910144,'an'),(3355918336,'ec'),(3355923456,'uy'),(3355924480,'tt'),(3355934720,'ar'),(3355942912,'bo'),(3355947008,'ar'),(3355949056,'an'),(3355951104,'ec'),(3355967488,'ve'),(3356033024,'br'),(3356033792,'cl'),(3356034048,'py'),(3356035072,'mx'),(3356037120,'co'),(3356041216,'cr'),(3356049408,'cl'),(3356049664,'br'),(3356051456,'co'),(3356051712,'cl'),(3356051968,'gt'),(3356052224,'ar'),(3356052480,'br'),(3356053248,'cl'),(3356054528,'br'),(3356057600,'ec'),(3356057856,'cl'),(3356059136,'br'),(3356060672,'cl'),(3356061696,'br'),(3356064256,'cl'),(3356064512,'br'),(3356065792,'cl'),(3356066048,'br'),(3356069120,'cl'),(3356069632,'br'),(3356070144,'cl'),(3356070656,'ar'),(3356070912,'br'),(3356071424,'cl'),(3356073472,'br'),(3356075264,'bo'),(3356076288,'br'),(3356078080,'ec'),(3356078336,'cl'),(3356079360,'br'),(3356080896,'ni'),(3356082432,'cl'),(3356082688,'ar'),(3356082944,'cl'),(3356083968,'br'),(3356084480,'cl'),(3356084736,'br'),(3356085248,'cl'),(3356085760,'br'),(3356086272,'ar'),(3356086528,'cr'),(3356086784,'ve'),(3356087040,'co'),(3356087296,'ar'),(3356087808,'br'),(3356088064,'cl'),(3356088320,'tt'),(3356089088,'ar'),(3356089344,'br'),(3356090624,'cl'),(3356090880,'br'),(3356091136,'ar'),(3356091392,'cl'),(3356091648,'br'),(3356091904,'cl'),(3356092928,'br'),(3356093184,'ar'),(3356093952,'cl'),(3356094976,'ar'),(3356096256,'cl'),(3356096512,'ec'),(3356096768,'br'),(3356097792,'ar'),(3356098304,'gt'),(3356098560,'cl'),(3356099584,'br'),(3356100608,'cl'),(3356102400,'pa'),(3356102656,'cl'),(3356105728,'sv'),(3356106752,'br'),(3356114944,'pe'),(3356123136,'ar'),(3356131840,'pe'),(3356132352,'br'),(3356134144,'ar'),(3356134656,'br'),(3356134912,'do'),(3356135168,'mx'),(3356135424,'br'),(3356135680,'cl'),(3356135936,'br'),(3356136192,'ec'),(3356137728,'br'),(3356138496,'br'),(3356139776,'ar'),(3356140032,'do'),(3356140288,'br'),(3356141312,'cl'),(3356142848,'br'),(3356145152,'cl'),(3356145408,'br'),(3356145664,'cl'),(3356145920,'br'),(3356146176,'ar'),(3356146432,'br'),(3356146688,'pe'),(3356146944,'br'),(3356147200,'cl'),(3356147456,'br'),(3356148224,'bz'),(3356148480,'cl'),(3356148736,'ar'),(3356148992,'mx'),(3356149504,'ar'),(3356149760,'mx'),(3356150016,'ar'),(3356150528,'pa'),(3356150784,'ar'),(3356151040,'ni'),(3356151296,'ar'),(3356151808,'cl'),(3356152064,'br'),(3356152576,'cl'),(3356152832,'mx'),(3356154624,'ar'),(3356154880,'cl'),(3356156672,'br'),(3356156928,'py'),(3356157952,'cl'),(3356158208,'mx'),(3356158464,'cl'),(3356158720,'ar'),(3356158976,'cl'),(3356160000,'mx'),(3356160256,'gt'),(3356160512,'cl'),(3356160768,'mx'),(3356161280,'br'),(3356161536,'mx'),(3356162560,'pe'),(3356162816,'cl'),(3356163584,'ve'),(3356163840,'cl'),(3356164096,'br'),(3356171520,'ar'),(3356171776,'ni'),(3356172032,'sv'),(3356172288,'pe'),(3356172544,'ar'),(3356172800,'pe'),(3356174336,'co'),(3356176384,'pe'),(3356180480,'cl'),(3356190720,'do'),(3356192768,'ar'),(3356196864,'ve'),(3356229632,'br'),(3356233728,'cl'),(3356237824,'gt'),(3356246016,'mx'),(3356262656,'cl'),(3356263168,'br'),(3356263424,'cl'),(3356263680,'ar'),(3356265216,'br'),(3356265472,'cl'),(3356269056,'ar'),(3356269312,'uy'),(3356269824,'br'),(3356270080,'mx'),(3356272384,'cr'),(3356272896,'ec'),(3356273152,'co'),(3356273664,'sv'),(3356274432,'co'),(3356279040,'ve'),(3356280832,'ar'),(3356282880,'pa'),(3356284928,'ar'),(3356291072,'tt'),(3356293120,'aw'),(3356295168,'cl'),(3356297216,'br'),(3356299264,'mx'),(3356305664,'ar'),(3356307456,'mx'),(3356329984,'gf'),(3356332032,'cu'),(3356334080,'bo'),(3356336128,'sv'),(3356344320,'co'),(3356360704,'cl'),(3356362752,'ve'),(3356364800,'mx'),(3356368896,'br'),(3356369408,'ec'),(3356369664,'br'),(3356370944,'co'),(3356372992,'cu'),(3356375040,'hn'),(3356377088,'cl'),(3356389376,'co'),(3356389888,'cl'),(3356491776,'pe'),(3356495872,'ar'),(3356499968,'mx'),(3356508160,'ar'),(3356516352,'ar'),(3356557312,'br'),(3356819456,'co'),(3356884992,'cl'),(3356950528,'mx'),(3357016064,'co'),(3357057024,'pe'),(3357065216,'ec'),(3357073408,'cl'),(3357077504,'ar'),(3357081600,'co'),(3357114368,'ec'),(3357138944,'co'),(3357147136,'ar'),(3357179904,'co'),(3357188096,'ve'),(3357190144,'do'),(3357192192,'py'),(3357194240,'ar'),(3357196288,'an'),(3357212672,'cl'),(3357368320,'co'),(3357376512,'cl'),(3357403136,'co'),(3357405184,'ec'),(3357407232,'ar'),(3357425664,'co'),(3357442048,'gt'),(3357458432,'cl'),(3357474816,'ar'),(3357483008,'cl'),(3357491200,'co'),(3357499392,'pe'),(3357507584,'ve'),(3357515776,'sv'),(3357523968,'co'),(3357532160,'ar'),(3357581312,'cl'),(3357589504,'bz'),(3357605888,'mx'),(3357736960,'ve'),(3357745152,'co'),(3357753344,'ve'),(3357773824,'pa'),(3357775872,'uy'),(3357777920,'gt'),(3357786112,'ve'),(3357802496,'mx'),(3357868032,'pe'),(3357933568,'mx'),(3358064640,'uy'),(3358130176,'ar'),(3358236672,'cl'),(3358244864,'do'),(3358261248,'ar'),(3358326784,'ve'),(3358392320,'ar'),(3358457856,'pa'),(3358523392,'ar'),(3358588928,'pe'),(3358654464,'ar'),(3358658560,'cl'),(3358660608,'ar'),(3358695424,'gt'),(3358703616,'ar'),(3358715904,'ec'),(3358717952,'ar'),(3358728192,'cl'),(3358744576,'cl'),(3358756864,'cl'),(3358760960,'ar'),(3358769152,'ht'),(3358777344,'cr'),(3358779392,'ec'),(3358781440,'ar'),(3358851072,'mx'),(3358982144,'cl'),(3359047680,'ar'),(3359080448,'cu'),(3359096832,'cl'),(3359105024,'ec'),(3359109120,'ar'),(3359111168,'ec'),(3359113216,'mx'),(3359260672,'bo'),(3359268864,'ar'),(3359277056,'uy'),(3359285248,'bo'),(3359293440,'co'),(3359305728,'do'),(3359307776,'cl'),(3359309824,'ar'),(3359313920,'cr'),(3359315968,'hn'),(3359318016,'ar'),(3359356928,'ve'),(3359358976,'ar'),(3359375360,'pe'),(3359440896,'ar'),(3359473664,'co'),(3359481856,'ar'),(3359498240,'py'),(3359522816,'ni'),(3359539200,'pe'),(3359571968,'ar'),(3359582208,'pa'),(3359584256,'ar'),(3359586304,'cl'),(3359588352,'ar'),(3359596544,'cl'),(3359598592,'an'),(3359600640,'ar'),(3359621120,'ec'),(3359637504,'mx'),(3359899648,'cl'),(3359916032,'ar'),(3359932416,'co'),(3359948800,'ar'),(3359989760,'co'),(3359997952,'ar'),(3360006144,'ec'),(3360014336,'ar'),(3360096256,'uy'),(3360104448,'co'),(3360116736,'bo'),(3360118784,'ar'),(3360120832,'co'),(3360129024,'ve'),(3360145408,'cl'),(3360153600,'ar'),(3360157696,'ve'),(3360159744,'an'),(3360161792,'cl'),(3360227328,'co'),(3360251904,'bo'),(3360253952,'sv'),(3360256000,'ar'),(3360258048,'cl'),(3360260096,'ar'),(3360276480,'ve'),(3360278528,'ec'),(3360280576,'cl'),(3360282624,'co'),(3360284672,'cl'),(3360325632,'co'),(3360333824,'cl'),(3360342016,'ve'),(3360354304,'pa'),(3360356352,'cr'),(3360358400,'cl'),(3360366592,'co'),(3360382976,'ve'),(3360399360,'bo'),(3360403456,'ar'),(3360405504,'hn'),(3360407552,'pa'),(3360423936,'mx'),(3360686080,'co'),(3360702464,'ar'),(3360710656,'ht'),(3360718848,'ar'),(3360763904,'gt'),(3360765952,'co'),(3360768000,'ar'),(3360788480,'cl'),(3360790528,'ar'),(3360849920,'ve'),(3360882688,'cl'),(3360948224,'ve'),(3361013760,'sv'),(3361021952,'py'),(3361030144,'ve'),(3361034240,'ec'),(3361036288,'ar'),(3361046528,'bo'),(3361052672,'ar'),(3361054720,'ni'),(3361058816,'ar'),(3361062912,'cl'),(3361071104,'co'),(3361079296,'cl'),(3361144832,'bo'),(3361210368,'do'),(3361275904,'pe'),(3361284096,'cl'),(3361296384,'sv'),(3361298432,'do'),(3361300480,'co'),(3361308672,'ar'),(3361325056,'co'),(3361341440,'ve'),(3361374208,'pa'),(3361378304,'bo'),(3361380352,'ec'),(3361382400,'cl'),(3361415168,'ar'),(3361417216,'cl'),(3361419264,'ar'),(3361423360,'cr'),(3361456128,'co'),(3361472512,'mx'),(3361538048,'ve'),(3361570816,'co'),(3361587200,'ec'),(3361599488,'uy'),(3361601536,'ec'),(3361603584,'mx'),(3361734656,'br'),(3362258944,'cl'),(3362324480,'ar'),(3362349056,'cr'),(3362351104,'ar'),(3362353152,'ec'),(3362355200,'ar'),(3362357248,'bo'),(3362381824,'ec'),(3362390016,'pe'),(3362422784,'co'),(3362426880,'pa'),(3362428928,'cl'),(3362430976,'co'),(3362447360,'sv'),(3362455552,'ec'),(3362471936,'cl'),(3362476032,'hn'),(3362476288,'ar'),(3362476544,'cr'),(3362484224,'ar'),(3362486272,'hn'),(3362488320,'pe'),(3362504704,'ve'),(3362506752,'ar'),(3362508800,'hn'),(3362510848,'gt'),(3362512896,'ar'),(3362514944,'hn'),(3362516992,'bo'),(3362519040,'ec'),(3362521088,'tt'),(3362529280,'pa'),(3362537472,'ar'),(3362545664,'pe'),(3362553856,'py'),(3362570240,'uy'),(3362586624,'ve'),(3362652160,'pe'),(3362668544,'ec'),(3362684928,'co'),(3362693120,'ar'),(3362695168,'co'),(3362697216,'ar'),(3362711552,'ec'),(3362713600,'gt'),(3362717696,'cl'),(3362816000,'ar'),(3362832384,'bo'),(3362840576,'cl'),(3362897920,'ht'),(3362914304,'co'),(3362934784,'ar'),(3362936832,'cl'),(3362938880,'ar'),(3362942976,'gt'),(3362947072,'ar'),(3362988032,'ec'),(3362996224,'uy'),(3363004416,'co'),(3363012608,'pa'),(3363028992,'ar'),(3363045376,'co'),(3363110912,'ar'),(3363176448,'co'),(3363274752,'gt'),(3363291136,'bo'),(3363299328,'cl'),(3363373056,'pe'),(3363438592,'ar'),(3363471360,'cr'),(3363487744,'co'),(3363504128,'pe'),(3363520512,'ar'),(3363561472,'co'),(3363569664,'pa'),(3363577856,'cl'),(3363602432,'an'),(3363610624,'co'),(3363618816,'uy'),(3363627008,'ec'),(3363635200,'uy'),(3363651584,'ar'),(3363667968,'ec'),(3363676160,'tt'),(3363678208,'ni'),(3363680256,'gt'),(3363682304,'ve'),(3363684352,'ec'),(3363717120,'cl'),(3363733504,'ar'),(3363831808,'br'),(3378511872,'mx'),(3384737792,'cr'),(3385851904,'ve'),(3386114048,'ar'),(3386245120,'cl'),(3386376192,'co'),(3386392576,'an'),(3386408960,'gt'),(3386425344,'ar'),(3386441728,'py'),(3386458112,'ec'),(3386474496,'uy'),(3386490880,'co'),(3386507264,'ec'),(3386523648,'pa'),(3386540032,'cl'),(3386556416,'pa'),(3386572800,'ec'),(3386589184,'ar'),(3386605568,'cl'),(3386621952,'co'),(3386638336,'an'),(3386646528,'co'),(3386662912,'cl'),(3386671104,'hn'),(3386679296,'ar'),(3386687488,'cu'),(3386695680,'cl'),(3386703872,'uy'),(3386720256,'tt'),(3386728448,'ar'),(3386732544,'cl'),(3386736640,'co'),(3386753024,'cl'),(3386761216,'pa'),(3386769408,'ve'),(3386777600,'an'),(3386785792,'bo'),(3386802176,'cl'),(3386900480,'pa'),(3387162624,'co'),(3387228160,'aw'),(3387260928,'do'),(3387293696,'pe'),(3387359232,'ar'),(3387424768,'co'),(3387555840,'ar'),(3387686912,'cl'),(3387736064,'co'),(3387752448,'cr'),(3387817984,'ve'),(3387834368,'tt'),(3387850752,'ec'),(3387867136,'cl'),(3387949056,'pe'),(3388014592,'cl'),(3388080128,'ve'),(3388211200,'co'),(3388342272,'cl'),(3388407808,'sv'),(3388473344,'ve'),(3388604416,'ar'),(3426387968,'mx'),(3427831552,'mx'),(3428296960,'cl'),(3428437504,'mx'),(3430705152,'mx'),(3430812672,'mx'),(3430842368,'do'),(3430845440,'mx'),(3432106240,'mx'),(3432585216,'mx'),(3450272512,'mx'),(3470610432,'br'),(3470752768,'co'),(3470754304,'pe'),(3470794752,'pa'),(3489136640,'mx'),(3507290112,'ar'),(3509387264,'pe'),(3512647680,'tt'),(3512983552,'ar'),(3633881088,'an'),(3634053120,'cl'),(3638984704,'gt'),(3639672832,'co'),(3639902208,'pe'),(3639918592,'ar'),(411303936,'nl'),(419430400,'gb'),(855638016,'eu'),(1040187392,'il'),(1040252928,'gr'),(1040318464,'ch'),(1040384000,'sa'),(1040400384,'gb'),(1040416768,'se'),(1040424960,'pl'),(1040433152,'gb'),(1040449536,'fr'),(1040457728,'me'),(1040465920,'de'),(1040474112,'cz'),(1040482304,'be'),(1040515072,'se'),(1040547840,'ru'),(1040580608,'gb'),(1040711680,'fr'),(1040719872,'de'),(1040736256,'gb'),(1040744448,'de'),(1040777216,'ie'),(1040842752,'it'),(1040973824,'nl'),(1040982016,'dk'),(1040990208,'cy'),(1041006592,'ch'),(1041039360,'se'),(1041072128,'gb'),(1041080320,'it'),(1041088512,'at'),(1041096704,'es'),(1041235968,'ua'),(1041244160,'ru'),(1041268736,'no'),(1041301504,'ie'),(1041367040,'gb'),(1041498112,'se'),(1041563648,'pl'),(1041596416,'nl'),(1041629184,'es'),(1041694720,'gb'),(1041760256,'de'),(1041776640,'cz'),(1041793024,'gb'),(1041825792,'nl'),(1041842176,'eu'),(1041891328,'de'),(1042022400,'pt'),(1042087936,'tr'),(1042120704,'pl'),(1042153472,'gb'),(1042284544,'ch'),(1042292736,'nl'),(1042300928,'ru'),(1042309120,'gb'),(1042317312,'es'),(1042350080,'ru'),(1042415616,'fr'),(1042546688,'es'),(1042677760,'gr'),(1042743296,'fr'),(1042808832,'de'),(1042817024,'ie'),(1042825216,'cz'),(1042833408,'eu'),(1042841600,'at'),(1042874368,'nl'),(1042939904,'es'),(1043070976,'cz'),(1043079168,'de'),(1043087360,'gb'),(1043095552,'bg'),(1043103744,'dk'),(1043120128,'fi'),(1043136512,'nl'),(1043202048,'at'),(1043333120,'ch'),(1043341312,'it'),(1043349504,'de'),(1043357696,'ch'),(1043365888,'pt'),(1043398656,'gb'),(1043472384,'de'),(1043480576,'gb'),(1043488768,'de'),(1043496960,'fr'),(1043505152,'no'),(1043513344,'de'),(1043529728,'eu'),(1043595264,'de'),(1043857408,'gb'),(1043890176,'il'),(1043922944,'es'),(1043988480,'nl'),(1044119552,'gb'),(1044152320,'ir'),(1044185088,'ru'),(1044193280,'pl'),(1044201472,'fi'),(1044217856,'dk'),(1044226048,'om'),(1044250624,'eu'),(1044283392,'fr'),(1044316160,'no'),(1044332544,'ru'),(1044348928,'lv'),(1044365312,'se'),(1044381696,'ru'),(1044389888,'fr'),(1044398080,'ua'),(1044414464,'gb'),(1044447232,'se'),(1044455424,'ee'),(1044463616,'se'),(1044480000,'ch'),(1044488192,'sk'),(1044496384,'ee'),(1044512768,'dk'),(1044578304,'gb'),(1044643840,'de'),(1044660224,'gr'),(1044668416,'ba'),(1044676608,'ru'),(1044684800,'hu'),(1044692992,'at'),(1044709376,'ru'),(1044717568,'gb'),(1044742144,'kw'),(1044750336,'nl'),(1044758528,'pl'),(1044774912,'no'),(1044840448,'fi'),(1044905984,'de'),(1044930560,'gb'),(1044946944,'ua'),(1044955136,'nl'),(1044963328,'fi'),(1044971520,'fr'),(1044979712,'fi'),(1044987904,'bg'),(1045004288,'gb'),(1045012480,'eu'),(1045020672,'no'),(1045037056,'gr'),(1045135360,'de'),(1045168128,'ru'),(1045233664,'gb'),(1045241856,'it'),(1045250048,'cz'),(1045266432,'hu'),(1045274624,'ie'),(1045282816,'hu'),(1045299200,'eu'),(1045315584,'de'),(1045319680,'ua'),(1045323776,'fi'),(1045364736,'dk'),(1045430272,'de'),(1045446656,'cz'),(1045454848,'de'),(1045463040,'fi'),(1045471232,'ua'),(1045479424,'se'),(1045487616,'lt'),(1045495808,'es'),(1045692416,'lv'),(1045700608,'kz'),(1045708800,'lb'),(1045716992,'ru'),(1045725184,'cz'),(1045733376,'gb'),(1045757952,'lv'),(1045790720,'fr'),(1045798912,'it'),(1045889024,'es'),(1045921792,'pl'),(1045954560,'be'),(1045987328,'se'),(1046020096,'am'),(1046028288,'no'),(1046036480,'pl'),(1046052864,'gb'),(1046061056,'de'),(1046069248,'ru'),(1046085632,'il'),(1046151168,'de'),(1046216704,'no'),(1046290432,'pl'),(1046298624,'at'),(1046315008,'gb'),(1046323200,'es'),(1046331392,'de'),(1046347776,'it'),(1046413312,'se'),(1046446080,'de'),(1046478848,'gb'),(1046544384,'it'),(1046560768,'gb'),(1046577152,'es'),(1046585344,'no'),(1046609920,'it'),(1046675456,'es'),(1046708224,'at'),(1046740992,'nl'),(1046757376,'it'),(1046765568,'es'),(1046773760,'fr'),(1046781952,'gb'),(1046798336,'hu'),(1046806528,'it'),(1046814720,'se'),(1046822912,'it'),(1046847488,'es'),(1046855680,'no'),(1046872064,'eu'),(1046904832,'ru'),(1046937600,'gr'),(1047003136,'de'),(1047068672,'ru'),(1047085056,'gb'),(1047101440,'ru'),(1047109632,'gb'),(1047117824,'nl'),(1047134208,'fi'),(1047150592,'fr'),(1047158784,'ru'),(1047166976,'fr'),(1047199744,'dk'),(1047265280,'nl'),(1047273472,'gb'),(1047281664,'tr'),(1047289856,'rs'),(1047298048,'ch'),(1047306240,'pl'),(1047314432,'se'),(1047322624,'it'),(1047330816,'lu'),(1047339008,'se'),(1047347200,'de'),(1047363584,'cz'),(1047371776,'ru'),(1047379968,'nl'),(1047396352,'it'),(1047461888,'de'),(1047494656,'pl'),(1047527424,'be'),(1047535616,'de'),(1047552000,'ru'),(1047560192,'de'),(1047568384,'nl'),(1047576576,'hu'),(1047584768,'nl'),(1047592960,'ba'),(1047601152,'ru'),(1047625728,'no'),(1047633920,'fi'),(1047642112,'de'),(1047724032,'eu'),(1047789568,'at'),(1047822336,'de'),(1047838720,'dk'),(1047846912,'se'),(1047855104,'de'),(1047871488,'ru'),(1047887872,'es'),(1047920640,'ru'),(1047986176,'se'),(1048051712,'sa'),(1048117248,'gb'),(1048125440,'fi'),(1048133632,'pl'),(1048158208,'dk'),(1048166400,'ch'),(1048182784,'ua'),(1048184832,'lu'),(1048186880,'lv'),(1048188928,'be'),(1048190976,'ua'),(1048193024,'ro'),(1048195072,'ru'),(1048197120,'ua'),(1048203264,'de'),(1048205312,'ru'),(1048211456,'pl'),(1048215552,'ru'),(1048221696,'ua'),(1048223744,'dk'),(1048225792,'cz'),(1048227840,'ru'),(1048229888,'cz'),(1048233984,'ua'),(1048236032,'ru'),(1048238080,'ua'),(1048240128,'il'),(1048242176,'pl'),(1048244224,'cz'),(1048246272,'no'),(1048248320,'it'),(1048313856,'eu'),(1048510464,'se'),(1048576000,'de'),(1048584192,'il'),(1048592384,'it'),(1048600576,'eu'),(1048608768,'gb'),(1048616960,'de'),(1048625152,'gb'),(1048633344,'no'),(1048641536,'fr'),(1048649728,'cz'),(1048657920,'gb'),(1048674304,'nl'),(1048682496,'fr'),(1048690688,'pl'),(1048707072,'gb'),(1048772608,'nl'),(1048903680,'gb'),(1048911872,'it'),(1048920064,'nl'),(1048936448,'pl'),(1048944640,'ru'),(1048952832,'nl'),(1048969216,'eu'),(1049067520,'dk'),(1049100288,'eu'),(1049231360,'de'),(1049362432,'gb'),(1049370624,'at'),(1049395200,'nl'),(1049411584,'gb'),(1049419776,'ru'),(1049427968,'cz'),(1049436160,'de'),(1049444352,'ru'),(1049460736,'no'),(1049468928,'de'),(1049477120,'pl'),(1049493504,'fi'),(1049559040,'de'),(1049698304,'nl'),(1049722880,'is'),(1049731072,'fi'),(1049739264,'nl'),(1049755648,'de'),(1049821184,'fr'),(1049886720,'ru'),(1049894912,'no'),(1049903104,'pl'),(1049911296,'fi'),(1049919488,'ru'),(1049927680,'nl'),(1049935872,'fi'),(1049944064,'ru'),(1049952256,'ua'),(1049960448,'gb'),(1049968640,'sa'),(1049985024,'it'),(1050017792,'kw'),(1050083328,'es'),(1050148864,'cy'),(1050157056,'ru'),(1050173440,'gb'),(1050181632,'pl'),(1050189824,'de'),(1050206208,'sk'),(1050214400,'de'),(1050673152,'fr'),(1050804224,'mk'),(1050869760,'nl'),(1050935296,'es'),(1050968064,'gb'),(1051000832,'ru'),(1051017216,'nl'),(1051033600,'fi'),(1051049984,'hu'),(1051066368,'nl'),(1051131904,'ch'),(1051197440,'cz'),(1051213824,'sk'),(1051230208,'se'),(1051238400,'ge'),(1051246592,'de'),(1051254784,'ru'),(1051262976,'de'),(1051271168,'it'),(1051279360,'pt'),(1051295744,'gb'),(1051303936,'sk'),(1051312128,'gr'),(1051328512,'gb'),(1051525120,'mt'),(1051541504,'gb'),(1051557888,'ru'),(1051566080,'it'),(1051574272,'gb'),(1051590656,'es'),(1051721728,'ru'),(1051729920,'fi'),(1051738112,'bg'),(1051754496,'de'),(1051762688,'sk'),(1051770880,'no'),(1051779072,'de'),(1051787264,'it'),(1051795456,'ru'),(1051803648,'cz'),(1051820032,'nl'),(1051852800,'at'),(1051983872,'eu'),(1052049408,'pl'),(1052057600,'ru'),(1052065792,'se'),(1052082176,'de'),(1052090368,'pl'),(1052098560,'se'),(1052116992,'ru'),(1052119040,'ro'),(1052121088,'ru'),(1052129280,'be'),(1052131328,'ru'),(1052135424,'ua'),(1052137472,'ru'),(1052139520,'de'),(1052141568,'ru'),(1052143616,'bg'),(1052145664,'ua'),(1052149760,'ru'),(1052153856,'ua'),(1052157952,'dk'),(1052160000,'lu'),(1052162048,'ch'),(1052164096,'ru'),(1052170240,'se'),(1052172288,'pl'),(1052174336,'cz'),(1052176384,'de'),(1052178432,'dk'),(1052180480,'ru'),(1052213248,'fi'),(1052246016,'eu'),(1052573696,'gb'),(1052704768,'eu'),(1052770304,'gb'),(1052778496,'ru'),(1052786688,'nl'),(1052803072,'de'),(1052811264,'ru'),(1052819456,'de'),(1052827648,'ru'),(1052835840,'ir'),(1052844032,'fr'),(1052868608,'rs'),(1052884992,'fr'),(1052901376,'nl'),(1053032448,'it'),(1053097984,'de'),(1053106176,'gb'),(1053114368,'be'),(1053130752,'nl'),(1053138944,'fi'),(1053147136,'sk'),(1053163520,'dk'),(1053294592,'eu'),(1053360128,'es'),(1053368320,'se'),(1053376512,'hu'),(1053392896,'fr'),(1053401088,'de'),(1053409280,'iq'),(1053425664,'ch'),(1053556736,'fi'),(1053564928,'gb'),(1053573120,'nl'),(1053581312,'ch'),(1053589504,'bg'),(1053597696,'de'),(1053605888,'es'),(1053614080,'cz'),(1053622272,'it'),(1053630464,'gr'),(1053638656,'be'),(1053655040,'ua'),(1053663232,'ru'),(1053671424,'lv'),(1053687808,'de'),(1053753344,'it'),(1053818880,'eu'),(1053884416,'bh'),(1053892608,'gb'),(1053900800,'no'),(1053917184,'uz'),(1053925376,'se'),(1053933568,'cz'),(1053949952,'fr'),(1054015488,'it'),(1054089216,'ge'),(1054097408,'nl'),(1054105600,'fr'),(1054113792,'nl'),(1054121984,'at'),(1054130176,'lt'),(1054138368,'az'),(1054146560,'ru'),(1054179328,'de'),(1054187520,'bg'),(1054195712,'be'),(1054212096,'de'),(1054277632,'kw'),(1054343168,'nl'),(1054351360,'ua'),(1054359552,'gb'),(1054367744,'fi'),(1054375936,'gb'),(1054384128,'de'),(1054400512,'gb'),(1054408704,'fr'),(1054416896,'de'),(1054425088,'gr'),(1054441472,'az'),(1054449664,'ru'),(1054457856,'ro'),(1054474240,'at'),(1054539776,'il'),(1054605312,'de'),(1054613504,'ru'),(1054621696,'it'),(1054629888,'ir'),(1054638080,'ch'),(1054646272,'se'),(1054654464,'mk'),(1054662656,'fi'),(1054670848,'eu'),(1054679040,'ua'),(1054687232,'md'),(1054703616,'bg'),(1054711808,'it'),(1054720000,'nl'),(1054736384,'eu'),(1054867456,'de'),(1055129600,'cy'),(1055195136,'eu'),(1055326208,'ru'),(1055334400,'ie'),(1055342592,'ro'),(1055358976,'gb'),(1055367168,'ru'),(1055375360,'om'),(1055391744,'gb'),(1055457280,'be'),(1055465472,'fr'),(1055473664,'gb'),(1055490048,'pl'),(1055522816,'nl'),(1055588352,'be'),(1055653888,'fi'),(1055784960,'nl'),(1055850496,'gb'),(1055916032,'cs'),(1055932416,'fi'),(1055948800,'de'),(1055956992,'cz'),(1055965184,'ch'),(1055973376,'fr'),(1055981568,'it'),(1055989760,'de'),(1055997952,'fr'),(1056022528,'gb'),(1056030720,'fi'),(1056047104,'dk'),(1056178176,'ua'),(1056194560,'fr'),(1056210944,'pl'),(1056219136,'gb'),(1056227328,'tr'),(1056243712,'ch'),(1056251904,'ru'),(1056260096,'cz'),(1056276480,'de'),(1056374784,'se'),(1056440320,'tr'),(1056473088,'fi'),(1056505856,'pt'),(1056514048,'it'),(1056522240,'at'),(1056538624,'de'),(1056546816,'no'),(1056555008,'gb'),(1056571392,'nl'),(1056702464,'gb'),(1291845632,'de'),(1292894208,'no'),(1293156352,'de'),(1293549568,'es'),(1293680640,'mk'),(1293811712,'sa'),(1293942784,'pl'),(1294073856,'ru'),(1294204928,'ro'),(1294237696,'ir'),(1294270464,'de'),(1294303232,'ru'),(1294336000,'si'),(1294368768,'lv'),(1294401536,'ru'),(1294434304,'it'),(1294467072,'ru'),(1294499840,'no'),(1294532608,'ru'),(1294598144,'it'),(1294630912,'lb'),(1294663680,'it'),(1294696448,'ru'),(1294729216,'gb'),(1294761984,'sy'),(1294794752,'pl'),(1294827520,'ru'),(1294860288,'pl'),(1294893056,'cs'),(1294925824,'de'),(1294958592,'ua'),(1294991360,'cz'),(1295056896,'gr'),(1295122432,'ru'),(1295253504,'ua'),(1295319040,'se'),(1295384576,'pt'),(1295450112,'pl'),(1295515648,'ch'),(1295777792,'nl'),(1296039936,'sa'),(1296072704,'de'),(1296105472,'pl'),(1296171008,'dk'),(1296203776,'ru'),(1296236544,'eu'),(1296269312,'tr'),(1296302080,'gb'),(1296334848,'dk'),(1296367616,'gr'),(1296400384,'bh'),(1296433152,'bg'),(1296465920,'lt'),(1296498688,'bg'),(1296531456,'mt'),(1296564224,'gb'),(1296566272,'de'),(1296568320,'ru'),(1296570368,'it'),(1296574464,'fr'),(1296576512,'dk'),(1296578560,'fi'),(1296580608,'ch'),(1296582656,'ie'),(1296584704,'ru'),(1296586752,'fr'),(1296588800,'se'),(1296590848,'es'),(1296592896,'nl'),(1296594944,'ru'),(1296596992,'ch'),(1296599040,'ru'),(1296601088,'de'),(1296603136,'nl'),(1296605184,'at'),(1296607232,'nl'),(1296609280,'ch'),(1296611328,'tr'),(1296613376,'it'),(1296615424,'gb'),(1296617472,'es'),(1296619520,'it'),(1296621568,'se'),(1296623616,'be'),(1296625664,'ru'),(1296629760,'no'),(1296631808,'gb'),(1296633856,'nl'),(1296635904,'ru'),(1296637952,'ch'),(1296640000,'es'),(1296642048,'ru'),(1296644096,'it'),(1296646144,'ru'),(1296648192,'gb'),(1296650240,'es'),(1296652288,'ru'),(1296654336,'be'),(1296656384,'ru'),(1296658432,'gb'),(1296664576,'ru'),(1296666624,'gb'),(1296670720,'es'),(1296672768,'it'),(1296674816,'be'),(1296676864,'je'),(1296678912,'sa'),(1296680960,'es'),(1296683008,'ie'),(1296685056,'tr'),(1296687104,'nl'),(1296689152,'ru'),(1296691200,'ch'),(1296693248,'de'),(1296695296,'ch'),(1296697344,'ru'),(1296699392,'it'),(1296701440,'ru'),(1296703488,'by'),(1296705536,'ge'),(1296707584,'nl'),(1296709632,'cy'),(1296711680,'kz'),(1296713728,'ru'),(1296715776,'ch'),(1296717824,'be'),(1296719872,'ch'),(1296721920,'gb'),(1296723968,'at'),(1296726016,'gb'),(1296728064,'se'),(1296730112,'de'),(1296732160,'it'),(1296734208,'fr'),(1296736256,'no'),(1296738304,'ch'),(1296740352,'ru'),(1296744448,'gb'),(1296746496,'si'),(1296748544,'fr'),(1296750592,'no'),(1296752640,'ba'),(1296754688,'de'),(1296756736,'fr'),(1296758784,'rs'),(1296760832,'gb'),(1296762880,'ru'),(1296764928,'at'),(1296769024,'tr'),(1296771072,'lt'),(1296773120,'eu'),(1296775168,'fr'),(1296779264,'cz'),(1296781312,'dk'),(1296783360,'lb'),(1296785408,'ie'),(1296787456,'gb'),(1296789504,'ch'),(1296791552,'nl'),(1296793600,'ru'),(1296795648,'gb'),(1296797696,'ua'),(1296799744,'ru'),(1296801792,'dk'),(1296803840,'ru'),(1296805888,'es'),(1296807936,'gb'),(1296812032,'de'),(1296814080,'no'),(1296816128,'tr'),(1296818176,'es'),(1296820224,'gb'),(1296822272,'ie'),(1296824320,'de'),(1296826368,'bg'),(1296842752,'gb'),(1296859136,'bg'),(1296875520,'de'),(1296891904,'bg'),(1296908288,'ir'),(1296924672,'bg'),(1296941056,'ba'),(1296957440,'bg'),(1296973824,'cz'),(1296990208,'bg'),(1297006592,'ba'),(1297022976,'lt'),(1297039360,'tr'),(1297055744,'ru'),(1297072128,'pl'),(1297088512,'at'),(1297154048,'ro'),(1297219584,'ru'),(1297285120,'gr'),(1297350656,'fr'),(1297416192,'bg'),(1297481728,'gb'),(1297514496,'fi'),(1297547264,'pl'),(1297549312,'lt'),(1297551360,'ua'),(1297553408,'ie'),(1297555456,'ua'),(1297559552,'de'),(1297561600,'nl'),(1297563648,'ua'),(1297565696,'pl'),(1297567744,'ua'),(1297569792,'ro'),(1297571840,'ru'),(1297573888,'gb'),(1297575936,'ru'),(1297577984,'pl'),(1297580032,'de'),(1297582080,'pl'),(1297584128,'ua'),(1297588224,'nl'),(1297590272,'ru'),(1297592320,'gb'),(1297594368,'de'),(1297596416,'ua'),(1297600512,'ru'),(1297602560,'pl'),(1297604608,'de'),(1297606656,'cz'),(1297608704,'at'),(1297610752,'de'),(1297612800,'ru'),(1297629184,'no'),(1297645568,'pl'),(1297661952,'ua'),(1297678336,'it'),(1297694720,'pl'),(1297711104,'gb'),(1297727488,'md'),(1297743872,'de'),(1297760256,'lt'),(1297776640,'de'),(1297793024,'ua'),(1297809408,'pl'),(1297825792,'ru'),(1297842176,'ua'),(1297858560,'ru'),(1297860608,'pt'),(1297862656,'fi'),(1297864704,'se'),(1297866752,'ru'),(1297868800,'de'),(1297870848,'fr'),(1297872896,'gb'),(1297874944,'tr'),(1297891328,'gb'),(1297899520,'tr'),(1297915904,'bh'),(1297924096,'cz'),(1297932288,'ge'),(1297940480,'lv'),(1297948672,'ua'),(1297956864,'nl'),(1297965056,'ru'),(1297973248,'gb'),(1297981440,'ro'),(1297989632,'cz'),(1297997824,'it'),(1298006016,'ru'),(1298022400,'it'),(1298030592,'ru'),(1298038784,'si'),(1298046976,'ru'),(1298063360,'fr'),(1298065408,'no'),(1298067456,'nl'),(1298071552,'tj'),(1298073600,'ru'),(1298075648,'cy'),(1298077696,'de'),(1298079744,'gb'),(1298081792,'cz'),(1298083840,'pl'),(1298085888,'kg'),(1298087936,'fr'),(1298089984,'no'),(1298092032,'gb'),(1298094080,'ru'),(1298096128,'nl'),(1298098176,'se'),(1298100224,'gb'),(1298102272,'ch'),(1298104320,'ru'),(1298106368,'it'),(1298108416,'fi'),(1298110464,'es'),(1298112512,'ie'),(1298114560,'it'),(1298116608,'ru'),(1298118656,'am'),(1298120704,'cz'),(1298122752,'ru'),(1298124800,'it'),(1298126848,'sa'),(1298128896,'fr'),(1298130944,'bg'),(1298132992,'fi'),(1298135040,'nl'),(1298137088,'gb'),(1298661376,'fr'),(1298677760,'ir'),(1298694144,'hr'),(1298710528,'cz'),(1298726912,'rs'),(1298743296,'fi'),(1298759680,'ru'),(1298776064,'se'),(1298792448,'ru'),(1298825216,'no'),(1298841600,'ru'),(1298857984,'se'),(1298874368,'gb'),(1298907136,'ie'),(1298923520,'it'),(1298939904,'ru'),(1298956288,'gb'),(1298972672,'ru'),(1298989056,'ua'),(1299005440,'be'),(1299021824,'ch'),(1299038208,'fi'),(1299054592,'se'),(1299070976,'lb'),(1299087360,'hu'),(1299103744,'no'),(1299120128,'si'),(1299136512,'hu'),(1299169280,'fr'),(1299185664,'pl'),(1299447808,'at'),(1299709952,'ua'),(1299972096,'il'),(1300234240,'de'),(1302331392,'nl'),(1303379968,'de'),(1304428544,'fr'),(1305477120,'es'),(1305739264,'dk'),(1306001408,'se'),(1306263552,'eu'),(1306271744,'ru'),(1306279936,'it'),(1306288128,'at'),(1306296320,'ru'),(1306312704,'uz'),(1306320896,'de'),(1306329088,'ba'),(1306337280,'hu'),(1306345472,'lt'),(1306353664,'sa'),(1306361856,'ru'),(1306370048,'gb'),(1306378240,'ru'),(1306386432,'dk'),(1306394624,'cs'),(1306402816,'ru'),(1306411008,'nl'),(1306419200,'ru'),(1306427392,'ua'),(1306435584,'no'),(1306451968,'pl'),(1306460160,'it'),(1306468352,'fi'),(1306476544,'ru'),(1306492928,'tr'),(1306501120,'no'),(1306509312,'pl'),(1306525696,'es'),(1307049984,'ru'),(1307066368,'de'),(1307074560,'sa'),(1307082752,'ru'),(1307090944,'gb'),(1307099136,'ro'),(1307107328,'de'),(1307115520,'ru'),(1307123712,'nl'),(1307131904,'ee'),(1307140096,'fr'),(1307148288,'gb'),(1307156480,'ru'),(1307172864,'dk'),(1307181056,'ru'),(1307189248,'de'),(1307197440,'hu'),(1307205632,'fi'),(1307213824,'si'),(1307222016,'dk'),(1307230208,'ru'),(1307238400,'sk'),(1307246592,'kg'),(1307254784,'gr'),(1307262976,'at'),(1307271168,'md'),(1307279360,'lb'),(1307287552,'de'),(1307295744,'ru'),(1307303936,'se'),(1307312128,'pl'),(1307320320,'ru'),(1307336704,'de'),(1307344896,'ru'),(1307353088,'bg'),(1307361280,'cz'),(1307369472,'ru'),(1307377664,'pl'),(1307385856,'at'),(1307394048,'ir'),(1307402240,'hr'),(1307410432,'cz'),(1307418624,'ir'),(1307426816,'ch'),(1307435008,'de'),(1307443200,'it'),(1307451392,'se'),(1307459584,'ru'),(1307484160,'gb'),(1307492352,'ba'),(1307500544,'ru'),(1307508736,'ba'),(1307516928,'ch'),(1307525120,'ba'),(1307533312,'gb'),(1307541504,'it'),(1307549696,'ua'),(1307557888,'ru'),(1307574272,'gb'),(1307578368,'fi'),(1307582464,'kz'),(1307586560,'gb'),(1307590656,'se'),(1307594752,'sa'),(1307598848,'cz'),(1307602944,'es'),(1307607040,'sa'),(1307611136,'ru'),(1307619328,'cz'),(1307623424,'fr'),(1307627520,'se'),(1307631616,'it'),(1307635712,'ee'),(1307639808,'it'),(1307643904,'ru'),(1307652096,'es'),(1307656192,'jo'),(1307660288,'be'),(1307664384,'no'),(1307668480,'es'),(1307672576,'se'),(1307676672,'ru'),(1307680768,'lv'),(1307684864,'gb'),(1307688960,'lt'),(1307693056,'it'),(1307697152,'nl'),(1307701248,'ru'),(1307709440,'al'),(1307713536,'it'),(1307717632,'dk'),(1307721728,'at'),(1307725824,'cz'),(1307729920,'ru'),(1307734016,'nl'),(1307738112,'it'),(1307742208,'hu'),(1307746304,'ua'),(1307750400,'it'),(1307754496,'gb'),(1307758592,'sm'),(1307762688,'pl'),(1307766784,'gb'),(1307770880,'ru'),(1307774976,'rs'),(1307779072,'dk'),(1307787264,'mt'),(1307791360,'kz'),(1307795456,'ru'),(1307803648,'dk'),(1307807744,'se'),(1307811840,'nl'),(1307815936,'eu'),(1307820032,'es'),(1307824128,'hu'),(1307828224,'nl'),(1307832320,'ru'),(1307836416,'se'),(1307840512,'ru'),(1307844608,'ua'),(1307848704,'ch'),(1307852800,'ru'),(1307856896,'it'),(1307860992,'de'),(1307865088,'az'),(1307869184,'gb'),(1307873280,'tj'),(1307877376,'ru'),(1307881472,'it'),(1307885568,'dk'),(1307889664,'ru'),(1307893760,'se'),(1307897856,'at'),(1307901952,'jo'),(1307906048,'ch'),(1307910144,'de'),(1307914240,'nl'),(1307918336,'gb'),(1307922432,'nl'),(1307926528,'kz'),(1307930624,'ru'),(1307934720,'fr'),(1307938816,'tr'),(1307942912,'ru'),(1307947008,'ch'),(1307951104,'ru'),(1307959296,'ir'),(1307963392,'pl'),(1307967488,'it'),(1307971584,'gb'),(1307983872,'lb'),(1307987968,'fr'),(1307992064,'ru'),(1307996160,'de'),(1308000256,'ch'),(1308004352,'ru'),(1308008448,'gb'),(1308012544,'es'),(1308016640,'fi'),(1308020736,'bg'),(1308024832,'ru'),(1308033024,'de'),(1308037120,'ua'),(1308041216,'ru'),(1308049408,'dk'),(1308053504,'ru'),(1308057600,'gr'),(1308061696,'ru'),(1308069888,'no'),(1308073984,'ru'),(1308078080,'nl'),(1308080128,'ru'),(1308082176,'gb'),(1308084224,'rs'),(1308086272,'ru'),(1308088320,'ua'),(1308090368,'sk'),(1308092416,'ru'),(1308094464,'kw'),(1308096512,'rs'),(1308098560,'nl'),(1308360704,'pl'),(1308622848,'hr'),(1308884992,'it'),(1309147136,'pl'),(1309409280,'it'),(1309671424,'ie'),(1309933568,'be'),(1310195712,'ru'),(1310197760,'cz'),(1310199808,'ie'),(1310201856,'ru'),(1310203904,'be'),(1310205952,'ru'),(1310208000,'md'),(1310210048,'ru'),(1310212096,'hu'),(1310214144,'ua'),(1310216192,'it'),(1310218240,'no'),(1310220288,'nl'),(1310222336,'rs'),(1310224384,'gb'),(1310226432,'be'),(1310228480,'fr'),(1310230528,'es'),(1310232576,'no'),(1310234624,'ru'),(1310236672,'pl'),(1310238720,'be'),(1310240768,'ru'),(1310242816,'hu'),(1310244864,'ee'),(1310246912,'fr'),(1310248960,'im'),(1310251008,'lu'),(1310253056,'ru'),(1310255104,'cz'),(1310257152,'fr'),(1310259200,'de'),(1310261248,'ua'),(1310277632,'ru'),(1310310400,'gb'),(1310326784,'no'),(1310343168,'it'),(1310359552,'ua'),(1310392320,'nl'),(1310408704,'fi'),(1310441472,'ua'),(1310457856,'pl'),(1310474240,'ee'),(1310490624,'ba'),(1310507008,'lv'),(1310523392,'ru'),(1310556160,'pt'),(1310572544,'be'),(1310588928,'ru'),(1310605312,'pl'),(1310621696,'rs'),(1310638080,'ua'),(1310654464,'ru'),(1310656512,'gb'),(1310658560,'ru'),(1310660608,'cz'),(1310662656,'dk'),(1310664704,'fr'),(1310666752,'nl'),(1310668800,'ro'),(1310670848,'de'),(1310672896,'ua'),(1310674944,'no'),(1310676992,'pl'),(1310679040,'ru'),(1310681088,'gb'),(1310683136,'nl'),(1310685184,'pl'),(1310687232,'ro'),(1310689280,'pl'),(1310695424,'ro'),(1310697472,'de'),(1310699520,'ua'),(1310707712,'ru'),(1310711808,'lt'),(1310713856,'ua'),(1310715904,'ru'),(1310717952,'ua'),(1310720000,'gb'),(1310851072,'de'),(1310982144,'ru'),(1311113216,'ir'),(1311244288,'mk'),(1311246336,'it'),(1311248384,'gb'),(1311250432,'ru'),(1311252480,'gb'),(1311254528,'se'),(1311256576,'fr'),(1311258624,'gb'),(1311262720,'ch'),(1311264768,'ru'),(1311266816,'fr'),(1311268864,'be'),(1311270912,'ru'),(1311272960,'gb'),(1311275008,'fr'),(1311277056,'it'),(1311279104,'bg'),(1311281152,'gb'),(1311285248,'it'),(1311289344,'lb'),(1311291392,'ru'),(1311293440,'nl'),(1311295488,'it'),(1311297536,'at'),(1311299584,'ru'),(1311301632,'tr'),(1311303680,'gb'),(1311307776,'is'),(1311309824,'gg'),(1311311872,'cz'),(1311315968,'pl'),(1311318016,'ru'),(1311320064,'fr'),(1311322112,'it'),(1311324160,'lb'),(1311326208,'be'),(1311328256,'nl'),(1311330304,'de'),(1311332352,'ru'),(1311338496,'at'),(1311340544,'no'),(1311342592,'fr'),(1311344640,'no'),(1311346688,'at'),(1311348736,'im'),(1311350784,'ru'),(1311352832,'sk'),(1311354880,'ru'),(1311356928,'fr'),(1311358976,'ru'),(1311361024,'nl'),(1311363072,'gb'),(1311365120,'de'),(1311369216,'fr'),(1311371264,'se'),(1311373312,'fr'),(1311375360,'de'),(1311506432,'cz'),(1311637504,'de'),(1312292864,'lt'),(1312817152,'se'),(1313865728,'cz'),(1313931264,'ru'),(1313996800,'se'),(1314062336,'bg'),(1314127872,'lv'),(1314193408,'ru'),(1314258944,'gb'),(1314324480,'cy'),(1314390016,'pl'),(1314455552,'kw'),(1314521088,'bg'),(1314586624,'no'),(1314652160,'hu'),(1314717696,'sa'),(1314783232,'de'),(1314848768,'ro'),(1315045376,'sk'),(1315176448,'qa'),(1315307520,'cz'),(1315438592,'at'),(1315504128,'gb'),(1315569664,'ru'),(1315700736,'se'),(1315704832,'hu'),(1315708928,'gr'),(1315713024,'se'),(1315717120,'ru'),(1315725312,'cz'),(1315729408,'eu'),(1315733504,'nl'),(1315737600,'cz'),(1315741696,'lb'),(1315745792,'cz'),(1315749888,'ru'),(1315753984,'kz'),(1315758080,'fr'),(1315762176,'bg'),(1315766272,'nl'),(1315770368,'ua'),(1315774464,'ru'),(1315782656,'am'),(1315786752,'fr'),(1315790848,'rs'),(1315794944,'ru'),(1315803136,'kz'),(1315807232,'gb'),(1315815424,'ir'),(1315819520,'dk'),(1315823616,'iq'),(1315827712,'ru'),(1315831808,'sa'),(1315835904,'mt'),(1315840000,'ee'),(1315844096,'ru'),(1315848192,'bh'),(1315852288,'se'),(1315856384,'sy'),(1315860480,'ir'),(1315864576,'ch'),(1315868672,'ru'),(1315872768,'gb'),(1315876864,'it'),(1315880960,'be'),(1315885056,'cz'),(1315889152,'de'),(1315893248,'ru'),(1315897344,'ir'),(1315901440,'ua'),(1315905536,'si'),(1315909632,'az'),(1315913728,'de'),(1315917824,'ru'),(1315921920,'tr'),(1315926016,'cz'),(1315930112,'de'),(1315934208,'ru'),(1315938304,'dk'),(1315942400,'ua'),(1315946496,'gb'),(1315950592,'ua'),(1315954688,'de'),(1315958784,'ru'),(1315962880,'fr'),(1317011456,'bg'),(1317044224,'cz'),(1317076992,'be'),(1317109760,'gb'),(1317142528,'pt'),(1317175296,'bg'),(1317208064,'hu'),(1317240832,'pl'),(1317273600,'at'),(1317306368,'ru'),(1317339136,'mt'),(1317371904,'pl'),(1317404672,'it'),(1317437440,'hr'),(1317470208,'tr'),(1317502976,'ie'),(1317535744,'gb'),(1317552128,'es'),(1317568512,'cz'),(1317584896,'ru'),(1317601280,'ua'),(1317617664,'ru'),(1317634048,'ie'),(1317650432,'ru'),(1317666816,'gb'),(1317683200,'de'),(1317699584,'ru'),(1317715968,'sa'),(1317732352,'hu'),(1317748736,'ru'),(1317765120,'ge'),(1317781504,'ru'),(1317814272,'de'),(1317830656,'nl'),(1317847040,'ru'),(1317863424,'gb'),(1317879808,'sk'),(1317896192,'lu'),(1317912576,'es'),(1317928960,'bg'),(1317945344,'at'),(1317978112,'ru'),(1317994496,'de'),(1318010880,'dk'),(1318027264,'ie'),(1318043648,'gb'),(1318584320,'pl'),(1318592512,'nl'),(1318600704,'at'),(1318608896,'it'),(1318617088,'fr'),(1318625280,'ua'),(1318633472,'ie'),(1318649856,'ru'),(1318658048,'si'),(1318666240,'de'),(1318674432,'hu'),(1318682624,'ru'),(1318690816,'dk'),(1318699008,'ie'),(1318707200,'fr'),(1318715392,'bg'),(1318723584,'ir'),(1318731776,'pl'),(1318739968,'gb'),(1318748160,'lv'),(1318756352,'ua'),(1318764544,'kw'),(1318780928,'ch'),(1318789120,'cs'),(1318797312,'sy'),(1318805504,'pl'),(1318813696,'fr'),(1318821888,'ru'),(1318838272,'gb'),(1318846464,'no'),(1318854656,'cz'),(1318862848,'gb'),(1318871040,'dk'),(1318879232,'cz'),(1318887424,'pl'),(1318895616,'se'),(1318903808,'ru'),(1318912000,'mk'),(1318920192,'ir'),(1318928384,'lt'),(1318936576,'dk'),(1318944768,'lv'),(1318952960,'cz'),(1318961152,'nl'),(1318969344,'ru'),(1318977536,'lt'),(1318985728,'gb'),(1319002112,'ie'),(1319010304,'cy'),(1319018496,'ir'),(1319026688,'ru'),(1319034880,'no'),(1319043072,'fr'),(1319051264,'ua'),(1319059456,'pl'),(1319067648,'de'),(1319075840,'bg'),(1319084032,'kw'),(1319092224,'it'),(1319100416,'ru'),(1319108608,'tr'),(1321205760,'fr'),(1325400064,'it'),(1329594368,'gb'),(1330642944,'fr'),(1331691520,'pl'),(1331757056,'ie'),(1331822592,'it'),(1331824640,'ru'),(1331826688,'fr'),(1331828736,'lt'),(1331830784,'gb'),(1331832832,'it'),(1331834880,'by'),(1331836928,'fr'),(1331838976,'gr'),(1331841024,'cz'),(1331843072,'gb'),(1331845120,'ru'),(1331847168,'se'),(1331849216,'ru'),(1331851264,'al'),(1331853312,'ae'),(1331855360,'tr'),(1331857408,'ru'),(1331859456,'pl'),(1331861504,'cz'),(1331863552,'gb'),(1331865600,'nl'),(1331869696,'sa'),(1331871744,'dk'),(1331873792,'ru'),(1331879936,'de'),(1331881984,'gb'),(1331886080,'es'),(1331888128,'se'),(1331890176,'it'),(1331892224,'ru'),(1331894272,'nl'),(1331896320,'fr'),(1331898368,'gb'),(1331900416,'ru'),(1331902464,'mk'),(1331904512,'gb'),(1331908608,'de'),(1331910656,'bh'),(1331912704,'de'),(1331914752,'ru'),(1331916800,'it'),(1331918848,'be'),(1331920896,'nl'),(1331922944,'de'),(1331924992,'gb'),(1331927040,'fi'),(1331929088,'fr'),(1331931136,'se'),(1331933184,'tr'),(1331935232,'gb'),(1331939328,'be'),(1331941376,'gr'),(1331943424,'ru'),(1331945472,'se'),(1331947520,'ch'),(1331949568,'ru'),(1331951616,'jo'),(1331953664,'bg'),(1332019200,'cs'),(1332084736,'se'),(1332150272,'gr'),(1332215808,'ru'),(1332346880,'al'),(1332412416,'gr'),(1332477952,'es'),(1332609024,'pl'),(1332613120,'ua'),(1332629504,'de'),(1332633600,'ua'),(1332637696,'bg'),(1332641792,'ua'),(1332658176,'pl'),(1332662272,'ua'),(1332670464,'ru'),(1332740096,'ro'),(1333264384,'ru'),(1333297152,'hu'),(1333362688,'gb'),(1333395456,'hu'),(1333428224,'ru'),(1333460992,'gb'),(1333493760,'tr'),(1333526528,'ro'),(1333559296,'ua'),(1333592064,'ie'),(1333624832,'mk'),(1333657600,'ru'),(1333690368,'mk'),(1333723136,'ir'),(1333755904,'cz'),(1333788672,'gr'),(1334050816,'bg'),(1334059008,'fr'),(1334067200,'lv'),(1334075392,'ru'),(1334083584,'de'),(1334091776,'lt'),(1334099968,'ir'),(1334108160,'be'),(1334116352,'fi'),(1334124544,'de'),(1334132736,'ru'),(1334165504,'pl'),(1334173696,'lt'),(1334181888,'ru'),(1334190080,'ro'),(1334198272,'ru'),(1334206464,'fi'),(1334214656,'jo'),(1334222848,'bg'),(1334231040,'ee'),(1334239232,'is'),(1334247424,'no'),(1334255616,'it'),(1334263808,'ru'),(1334272000,'gb'),(1334280192,'lv'),(1334296576,'ua'),(1334304768,'ru'),(1334312960,'se'),(1334345728,'ru'),(1334378496,'it'),(1334411264,'ru'),(1334444032,'se'),(1334509568,'pl'),(1334542336,'ru'),(1334575104,'ua'),(1334579200,'ru'),(1334583296,'de'),(1334591488,'ru'),(1334595584,'it'),(1334599680,'ru'),(1334603776,'de'),(1334607872,'ie'),(1334611968,'me'),(1334616064,'md'),(1334620160,'de'),(1334624256,'gb'),(1334628352,'ie'),(1334632448,'kz'),(1334636544,'ru'),(1334640640,'fr'),(1334644736,'lu'),(1334648832,'gb'),(1334652928,'ru'),(1334661120,'ch'),(1334665216,'no'),(1334669312,'mk'),(1334673408,'gb'),(1334677504,'fi'),(1334681600,'de'),(1334685696,'it'),(1334689792,'fr'),(1334693888,'ru'),(1334702080,'cz'),(1334706176,'ba'),(1334710272,'ru'),(1334714368,'de'),(1334718464,'kz'),(1334722560,'it'),(1334726656,'ru'),(1334734848,'lt'),(1334738944,'ch'),(1334743040,'ua'),(1334747136,'ru'),(1334751232,'bh'),(1334755328,'ua'),(1334759424,'se'),(1334763520,'dk'),(1334767616,'se'),(1334771712,'ru'),(1334779904,'ua'),(1334784000,'at'),(1334788096,'ru'),(1334796288,'me'),(1334800384,'it'),(1334804480,'fr'),(1334808576,'gb'),(1334812672,'ba'),(1334820864,'ie'),(1334824960,'nl'),(1334829056,'ru'),(1334833152,'fr'),(1334837248,'es'),(1335885824,'no'),(1336016896,'pl'),(1336147968,'ru'),(1336279040,'gr'),(1336410112,'pt'),(1336541184,'sa'),(1336543232,'es'),(1336545280,'se'),(1336547328,'ru'),(1336549376,'im'),(1336551424,'gb'),(1336553472,'sa'),(1336555520,'be'),(1336557568,'es'),(1336559616,'gb'),(1336561664,'no'),(1336563712,'nl'),(1336567808,'by'),(1336569856,'fr'),(1336571904,'pl'),(1336573952,'dk'),(1336576000,'ru'),(1336578048,'ir'),(1336580096,'ru'),(1336584192,'tr'),(1336586240,'gb'),(1336588288,'tj'),(1336590336,'gb'),(1336592384,'am'),(1336594432,'at'),(1336596480,'fr'),(1336598528,'md'),(1336600576,'fr'),(1336602624,'ie'),(1336604672,'cz'),(1336606720,'pl'),(1336608768,'ru'),(1336610816,'tr'),(1336612864,'es'),(1336614912,'gb'),(1336616960,'es'),(1336619008,'al'),(1336621056,'it'),(1336623104,'be'),(1336625152,'ie'),(1336627200,'no'),(1336629248,'de'),(1336631296,'is'),(1336633344,'es'),(1336635392,'ru'),(1336637440,'ua'),(1336639488,'hu'),(1336643584,'dk'),(1336645632,'gb'),(1336647680,'it'),(1336649728,'ru'),(1336651776,'de'),(1336653824,'cz'),(1336655872,'nl'),(1336657920,'de'),(1336659968,'ru'),(1336662016,'es'),(1336664064,'fi'),(1336668160,'bh'),(1336670208,'se'),(1336672256,'ru'),(1336705024,'sa'),(1336721408,'hu'),(1336737792,'pl'),(1336754176,'ru'),(1336770560,'gb'),(1336786944,'jo'),(1336803328,'ua'),(1336811520,'cz'),(1336819712,'ru'),(1336827904,'at'),(1336836096,'ru'),(1336852480,'fr'),(1336868864,'ru'),(1336885248,'rs'),(1336901632,'ir'),(1336918016,'pl'),(1336934400,'il'),(1337458688,'pl'),(1337982976,'de'),(1342177280,'gb'),(1342701568,'fr'),(1343225856,'it'),(1343750144,'es'),(1344798720,'gb'),(1345323008,'pl'),(1345847296,'nl'),(1345978368,'es'),(1346109440,'nl'),(1346240512,'dk'),(1346371584,'fi'),(1346375680,'ru'),(1346379776,'es'),(1346383872,'gb'),(1346387968,'hu'),(1346392064,'ru'),(1346400256,'it'),(1346404352,'at'),(1346408448,'lu'),(1346412544,'ru'),(1346416640,'de'),(1346420736,'no'),(1346424832,'jo'),(1346428928,'fr'),(1346433024,'nl'),(1346437120,'eu'),(1346441216,'ru'),(1346445312,'de'),(1346449408,'no'),(1346453504,'ba'),(1346461696,'nl'),(1346469888,'be'),(1346473984,'it'),(1346478080,'ba'),(1346482176,'cz'),(1346486272,'se'),(1346490368,'gb'),(1346494464,'fr'),(1346498560,'gb'),(1346502656,'de'),(1346510848,'at'),(1346519040,'ru'),(1346527232,'de'),(1346531328,'es'),(1346535424,'be'),(1346539520,'ru'),(1346543616,'fi'),(1346547712,'ir'),(1346551808,'de'),(1346555904,'it'),(1346560000,'li'),(1346564096,'ee'),(1346568192,'se'),(1346572288,'de'),(1346576384,'dk'),(1346580480,'ru'),(1346584576,'eu'),(1346592768,'es'),(1346596864,'it'),(1346605056,'ch'),(1346609152,'fr'),(1346617344,'se'),(1346621440,'ru'),(1346625536,'de'),(1346629632,'ru'),(1346637824,'gb'),(1346650112,'it'),(1346654208,'gb'),(1346658304,'se'),(1346666496,'es'),(1346670592,'it'),(1346674688,'de'),(1346678784,'it'),(1346686976,'gb'),(1346691072,'pl'),(1346695168,'ru'),(1346699264,'gb'),(1346707456,'de'),(1346711552,'az'),(1346715648,'nl'),(1346723840,'de'),(1346732032,'gb'),(1346736128,'ru'),(1346740224,'fi'),(1346744320,'ru'),(1346748416,'de'),(1346752512,'fr'),(1346756608,'se'),(1346760704,'ir'),(1346768896,'lv'),(1346772992,'fr'),(1346777088,'gb'),(1346781184,'ua'),(1346789376,'ru'),(1346793472,'it'),(1346797568,'il'),(1346801664,'se'),(1346805760,'gb'),(1346809856,'de'),(1346818048,'fr'),(1346822144,'ru'),(1346826240,'cs'),(1346830336,'gb'),(1346838528,'ru'),(1346842624,'mt'),(1346846720,'dk'),(1346854912,'mt'),(1346859008,'ir'),(1346863104,'tr'),(1346867200,'ba'),(1346871296,'ru'),(1346879488,'fi'),(1346883584,'ru'),(1346887680,'it'),(1346891776,'ru'),(1346895872,'se'),(1346899968,'ru'),(1346904064,'pl'),(1346908160,'li'),(1346912256,'bg'),(1346920448,'eu'),(1346924544,'ru'),(1346928640,'de'),(1346932736,'dk'),(1346936832,'it'),(1346940928,'de'),(1346945024,'pl'),(1346949120,'ru'),(1346957312,'de'),(1346961408,'ua'),(1346965504,'ru'),(1346969600,'de'),(1346973696,'se'),(1346977792,'ru'),(1346985984,'de'),(1346994176,'nl'),(1346998272,'es'),(1347002368,'ru'),(1347006464,'se'),(1347010560,'ru'),(1347014656,'gb'),(1347018752,'it'),(1347022848,'at'),(1347026944,'gb'),(1347035136,'cz'),(1347039232,'ro'),(1347043328,'fr'),(1347047424,'sa'),(1347051520,'il'),(1347059712,'ch'),(1347067904,'cs'),(1347072000,'it'),(1347076096,'fi'),(1347084288,'gb'),(1347092480,'ir'),(1347096576,'se'),(1347100672,'at'),(1347108864,'gb'),(1347112960,'ru'),(1347117056,'fi'),(1347121152,'ch'),(1347125248,'ru'),(1347129344,'gb'),(1347141632,'ch'),(1347145728,'ie'),(1347149824,'hu'),(1347153920,'at'),(1347158016,'ch'),(1347162112,'it'),(1347166208,'gr'),(1347174400,'it'),(1347186688,'gb'),(1347190784,'ru'),(1347194880,'se'),(1347198976,'qa'),(1347203072,'ru'),(1347207168,'gb'),(1347215360,'ru'),(1347219456,'kw'),(1347223552,'gb'),(1347227648,'de'),(1347231744,'ua'),(1347235840,'ge'),(1347239936,'dk'),(1347244032,'gb'),(1347248128,'se'),(1347252224,'hu'),(1347256320,'fo'),(1347260416,'mk'),(1347264512,'ru'),(1347268608,'iq'),(1347272704,'mt'),(1347276800,'de'),(1347280896,'fr'),(1347284992,'gb'),(1347289088,'fr'),(1347293184,'se'),(1347297280,'ua'),(1347305472,'al'),(1347309568,'de'),(1347313664,'ru'),(1347321856,'kw'),(1347325952,'cz'),(1347330048,'de'),(1347338240,'ru'),(1347342336,'se'),(1347346432,'at'),(1347354624,'pt'),(1347358720,'cz'),(1347362816,'nl'),(1347366912,'it'),(1347371008,'ru'),(1347375104,'gb'),(1347379200,'nl'),(1347383296,'ee'),(1347387392,'gb'),(1347391488,'lb'),(1347395584,'se'),(1347399680,'ru'),(1347403776,'nl'),(1347407872,'gb'),(1347411968,'de'),(1347416064,'ru'),(1347420160,'dk'),(1347428352,'it'),(1347432448,'hr'),(1347436544,'se'),(1347440640,'es'),(1347444736,'ru'),(1347452928,'bg'),(1347461120,'cs'),(1347465216,'gb'),(1347469312,'ru'),(1347473408,'uz'),(1347477504,'ch'),(1347481600,'at'),(1347485696,'de'),(1347493888,'lv'),(1347502080,'gb'),(1347510272,'es'),(1347518464,'at'),(1347522560,'lb'),(1347526656,'fi'),(1347534848,'de'),(1347538944,'ru'),(1347543040,'sk'),(1347547136,'de'),(1347551232,'it'),(1347555328,'pl'),(1347559424,'ru'),(1347567616,'ch'),(1347571712,'ru'),(1347575808,'dk'),(1347579904,'gb'),(1347588096,'cz'),(1347592192,'ru'),(1347600384,'it'),(1347604480,'de'),(1347608576,'fr'),(1347612672,'gb'),(1347616768,'fi'),(1347620864,'lb'),(1347624960,'ch'),(1347633152,'cz'),(1347637248,'se'),(1347641344,'de'),(1347649536,'ge'),(1347653632,'gb'),(1347657728,'it'),(1347661824,'de'),(1347665920,'ru'),(1347670016,'se'),(1347674112,'ru'),(1347682304,'de'),(1347686400,'eu'),(1347690496,'se'),(1347694592,'gb'),(1347706880,'it'),(1347710976,'ru'),(1347715072,'es'),(1347723264,'gb'),(1347727360,'ua'),(1347731456,'de'),(1347739648,'nl'),(1347747840,'de'),(1347751936,'cy'),(1347756032,'nl'),(1347760128,'hu'),(1347764224,'gb'),(1347772416,'mt'),(1347776512,'se'),(1347780608,'nl'),(1347784704,'ru'),(1347788800,'nl'),(1347792896,'ru'),(1347796992,'de'),(1347801088,'gb'),(1347805184,'pl'),(1347809280,'it'),(1347813376,'de'),(1347817472,'it'),(1347821568,'gb'),(1347825664,'it'),(1347829760,'se'),(1347833856,'de'),(1347837952,'ro'),(1347846144,'no'),(1347850240,'it'),(1347854336,'eu'),(1347862528,'ch'),(1347866624,'no'),(1347870720,'am'),(1347874816,'ru'),(1347878912,'gb'),(1347887104,'pl'),(1347891200,'se'),(1347903488,'ru'),(1347907584,'de'),(1347911680,'gb'),(1347915776,'ru'),(1347919872,'de'),(1347923968,'cz'),(1347928064,'ru'),(1347932160,'sk'),(1347936256,'fr'),(1347940352,'ba'),(1347948544,'de'),(1347952640,'be'),(1347956736,'ru'),(1347960832,'de'),(1347964928,'it'),(1347969024,'se'),(1347977216,'dk'),(1347985408,'it'),(1347989504,'fi'),(1347993600,'gb'),(1348001792,'es'),(1348005888,'bh'),(1348009984,'ru'),(1348014080,'dk'),(1348018176,'no'),(1348026368,'de'),(1348030464,'gb'),(1348034560,'at'),(1348038656,'fr'),(1348042752,'ru'),(1348050944,'se'),(1348055040,'lb'),(1348059136,'ru'),(1348063232,'ch'),(1348067328,'nl'),(1348071424,'de'),(1348075520,'lv'),(1348083712,'lu'),(1348091904,'ru'),(1348096000,'al'),(1348100096,'de'),(1348104192,'ru'),(1348108288,'cz'),(1348112384,'de'),(1348116480,'jo'),(1348120576,'ru'),(1348124672,'gb'),(1348128768,'si'),(1348132864,'ua'),(1348136960,'ru'),(1348141056,'dk'),(1348145152,'ru'),(1348149248,'no'),(1348153344,'it'),(1348157440,'eu'),(1348165632,'de'),(1348169728,'al'),(1348173824,'dk'),(1348177920,'be'),(1348182016,'ua'),(1348190208,'ru'),(1348194304,'gr'),(1348198400,'no'),(1348202496,'eu'),(1348206592,'ru'),(1348218880,'de'),(1348222976,'lu'),(1348231168,'ru'),(1348235264,'at'),(1348239360,'se'),(1348243456,'gb'),(1348247552,'ru'),(1348251648,'ge'),(1348255744,'ru'),(1348263936,'ua'),(1348268032,'ru'),(1348272128,'ie'),(1348280320,'at'),(1348284416,'ru'),(1348288512,'it'),(1348292608,'fr'),(1348296704,'ru'),(1348300800,'ua'),(1348304896,'it'),(1348308992,'mt'),(1348313088,'gb'),(1348317184,'ru'),(1348321280,'gb'),(1348325376,'tr'),(1348329472,'cs'),(1348337664,'es'),(1348341760,'pl'),(1348345856,'gb'),(1348349952,'sk'),(1348354048,'nl'),(1348358144,'de'),(1348362240,'mc'),(1348366336,'it'),(1348370432,'de'),(1348374528,'ch'),(1348378624,'by'),(1348382720,'fr'),(1348386816,'gb'),(1348390912,'se'),(1348395008,'by'),(1348399104,'md'),(1348407296,'bg'),(1348411392,'ru'),(1348415488,'gb'),(1348419584,'hu'),(1348427776,'cz'),(1348435968,'fi'),(1348440064,'de'),(1348444160,'nl'),(1348448256,'gb'),(1348456448,'bh'),(1348460544,'si'),(1348464640,'cz'),(1348468736,'ro'),(1348599808,'hu'),(1348730880,'nl'),(1348861952,'es'),(1348993024,'it'),(1349124096,'gr'),(1349255168,'at'),(1349517312,'nl'),(1349763072,'ru'),(1349771264,'nl'),(1349779456,'it'),(1349910528,'fr'),(1350041600,'at'),(1350303744,'fr'),(1350434816,'nl'),(1350565888,'de'),(1352663040,'dk'),(1353187328,'gb'),(1353318400,'se'),(1353383936,'de'),(1353449472,'pt'),(1353515008,'es'),(1353646080,'gb'),(1353842688,'il'),(1353973760,'it'),(1354235904,'kw'),(1354301440,'fr'),(1354366976,'fi'),(1354432512,'de'),(1354498048,'cz'),(1354563584,'gb'),(1354629120,'de'),(1354694656,'ir'),(1354760192,'gb'),(1355022336,'dk'),(1355284480,'be'),(1355415552,'no'),(1355546624,'it'),(1355808768,'dk'),(1356070912,'no'),(1356201984,'fr'),(1356333056,'se'),(1356464128,'ch'),(1356595200,'fi'),(1356857344,'es'),(1356922880,'gb'),(1356988416,'de'),(1357053952,'ae'),(1357119488,'de'),(1357185024,'gb'),(1357250560,'il'),(1357316096,'eu'),(1357381632,'no'),(1357414400,'lv'),(1357512704,'ru'),(1357545472,'gb'),(1357578240,'ee'),(1357611008,'gb'),(1357643776,'fr'),(1357676544,'be'),(1357709312,'ru'),(1357742080,'de'),(1357774848,'gb'),(1357791232,'pl'),(1357807616,'ch'),(1357840384,'no'),(1357873152,'eu'),(1357905920,'lt'),(1357910016,'gr'),(1357914112,'ru'),(1357922304,'sa'),(1357926400,'gb'),(1357930496,'ru'),(1357942784,'cs'),(1357946880,'pl'),(1357959168,'ru'),(1357963264,'at'),(1357967360,'ru'),(1357971456,'kz'),(1357975552,'at'),(1357979648,'kz'),(1357983744,'ru'),(1357987840,'gb'),(1357991936,'no'),(1357996032,'ch'),(1358000128,'li'),(1358004224,'pl'),(1358008320,'bh'),(1358012416,'it'),(1358016512,'ge'),(1358020608,'de'),(1358024704,'ee'),(1358028800,'it'),(1358032896,'ge'),(1358036992,'ir'),(1358041088,'fi'),(1358045184,'sk'),(1358049280,'ru'),(1358061568,'ua'),(1358065664,'ba'),(1358069760,'de'),(1358086144,'ch'),(1358090240,'kz'),(1358094336,'nl'),(1358102528,'ru'),(1358106624,'lt'),(1358110720,'de'),(1358118912,'ru'),(1358123008,'pt'),(1358127104,'cz'),(1358131200,'dk'),(1358135296,'de'),(1358139392,'ua'),(1358143488,'at'),(1358147584,'gb'),(1358151680,'de'),(1358155776,'ch'),(1358159872,'es'),(1358163968,'fr'),(1358168064,'gb'),(1358172160,'gr'),(1358176256,'ru'),(1358180352,'es'),(1358184448,'se'),(1358192640,'hu'),(1358196736,'it'),(1358200832,'pl'),(1358209024,'il'),(1358213120,'gb'),(1358217216,'se'),(1358221312,'de'),(1358225408,'ru'),(1358229504,'de'),(1358233600,'es'),(1358237696,'fr'),(1358241792,'eu'),(1358249984,'de'),(1358254080,'md'),(1358258176,'gb'),(1358262272,'ua'),(1358266368,'de'),(1358274560,'gr'),(1358278656,'pl'),(1358282752,'at'),(1358286848,'mt'),(1358290944,'se'),(1358295040,'ru'),(1358303232,'ru'),(1358307328,'de'),(1358315520,'ru'),(1358323712,'lu'),(1358327808,'de'),(1358331904,'il'),(1358336000,'fi'),(1358344192,'nl'),(1358352384,'ru'),(1358356480,'si'),(1358360576,'ru'),(1358364672,'gb'),(1358372864,'ru'),(1358376960,'gb'),(1358381056,'it'),(1358385152,'gb'),(1358389248,'ru'),(1358397440,'nl'),(1358409728,'ru'),(1358413824,'nl'),(1358422016,'fr'),(1358426112,'fi'),(1358434304,'is'),(1358438400,'nl'),(1358442496,'ru'),(1358450688,'ru'),(1358454784,'fi'),(1358462976,'se'),(1358467072,'ru'),(1358471168,'fi'),(1358475264,'gb'),(1358479360,'li'),(1358483456,'fr'),(1358487552,'se'),(1358491648,'fi'),(1358495744,'pl'),(1358499840,'kz'),(1358503936,'it'),(1358508032,'gb'),(1358516224,'by'),(1358520320,'gb'),(1358524416,'de'),(1358528512,'ru'),(1358536704,'hu'),(1358540800,'ru'),(1358544896,'lv'),(1358548992,'jo'),(1358553088,'ua'),(1358557184,'ie'),(1358561280,'cz'),(1358573568,'lv'),(1358577664,'ru'),(1358585856,'gb'),(1358589952,'ee'),(1358594048,'de'),(1358598144,'il'),(1358602240,'ru'),(1358622720,'sk'),(1358626816,'gb'),(1358635008,'tr'),(1358639104,'ru'),(1358643200,'es'),(1358647296,'de'),(1358651392,'fr'),(1358655488,'ru'),(1358667776,'gb'),(1358675968,'se'),(1358680064,'ru'),(1358688256,'cz'),(1358692352,'pl'),(1358696448,'ru'),(1358700544,'at'),(1358704640,'hu'),(1358708736,'gb'),(1358716928,'de'),(1358721024,'gb'),(1358725120,'ru'),(1358733312,'se'),(1358741504,'it'),(1358745600,'se'),(1358749696,'it'),(1358753792,'ua'),(1358757888,'ru'),(1358766080,'it'),(1358770176,'bg'),(1358774272,'es'),(1358778368,'ch'),(1358782464,'gb'),(1358790656,'ir'),(1358798848,'hr'),(1358802944,'hu'),(1358807040,'ru'),(1358811136,'de'),(1358815232,'ru'),(1358819328,'tr'),(1358823424,'ua'),(1358827520,'ru'),(1358831616,'no'),(1358835712,'ru'),(1358839808,'ch'),(1358843904,'mt'),(1358848000,'ru'),(1358856192,'de'),(1358860288,'gb'),(1358864384,'ch'),(1358872576,'it'),(1358876672,'lv'),(1358880768,'gb'),(1358884864,'se'),(1358888960,'de'),(1358893056,'ru'),(1358897152,'gb'),(1358905344,'ua'),(1358909440,'ru'),(1358913536,'ch'),(1358917632,'es'),(1358921728,'ru'),(1358929920,'lu'),(1358934016,'ru'),(1358938112,'gb'),(1358946304,'lv'),(1358950400,'nl'),(1358954496,'es'),(1358970880,'hu'),(1358987264,'no'),(1359003648,'cz'),(1359020032,'fr'),(1359036416,'gb'),(1359052800,'se'),(1359069184,'ru'),(1359101952,'gb'),(1359118336,'eu'),(1359134720,'cz'),(1359151104,'de'),(1359167488,'gb'),(1359183872,'ru'),(1359200256,'at'),(1359233024,'nl'),(1359249408,'cy'),(1359265792,'ru'),(1359282176,'il'),(1359298560,'ru'),(1359314944,'gb'),(1359331328,'at'),(1359347712,'ch'),(1359364096,'tr'),(1359380480,'pl'),(1359396864,'gb'),(1359413248,'de'),(1359429632,'lt'),(1359446016,'dk'),(1359462400,'de'),(1359470592,'ch'),(1359478784,'tr'),(1359511552,'se'),(1359544320,'ru'),(1359577088,'es'),(1359642624,'at'),(1359675392,'de'),(1359708160,'be'),(1359740928,'ir'),(1359773696,'ro'),(1359806464,'ru'),(1359839232,'ch'),(1359872000,'gb'),(1359904768,'de'),(1359937536,'is'),(1359970304,'pl'),(1360003072,'am'),(1360007168,'gb'),(1360011264,'at'),(1360015360,'de'),(1360019456,'fi'),(1360023552,'ru'),(1360027648,'at'),(1360031744,'ru'),(1360039936,'at'),(1360044032,'se'),(1360048128,'de'),(1360052224,'hu'),(1360056320,'sa'),(1360060416,'lt'),(1360064512,'ge'),(1360068608,'ru'),(1360076800,'nl'),(1360084992,'gb'),(1360089088,'az'),(1360093184,'de'),(1360101376,'ua'),(1360105472,'ru'),(1360109568,'kz'),(1360113664,'hu'),(1360117760,'fi'),(1360121856,'de'),(1360125952,'si'),(1360130048,'ie'),(1360134144,'nl'),(1360138240,'ch'),(1360142336,'ng'),(1360146432,'cs'),(1360150528,'ro'),(1360158720,'de'),(1360162816,'ru'),(1360175104,'nl'),(1360179200,'fr'),(1360183296,'pl'),(1360191488,'fo'),(1360195584,'nl'),(1360199680,'cz'),(1360203776,'fr'),(1360207872,'cz'),(1360211968,'gb'),(1360216064,'ru'),(1360224256,'eu'),(1360228352,'fi'),(1360232448,'ru'),(1360236544,'at'),(1360240640,'es'),(1360244736,'gb'),(1360257024,'dk'),(1360265216,'gb'),(1360269312,'kg'),(1360273408,'gb'),(1360281600,'eu'),(1360285696,'de'),(1360289792,'ru'),(1360293888,'de'),(1360302080,'ee'),(1360306176,'ru'),(1360310272,'gb'),(1360314368,'ru'),(1360318464,'fr'),(1360322560,'fi'),(1360326656,'pt'),(1360330752,'ua'),(1360334848,'at'),(1360338944,'cy'),(1360343040,'sa'),(1360347136,'gb'),(1360351232,'az'),(1360359424,'at'),(1360363520,'it'),(1360367616,'ie'),(1360371712,'tr'),(1360375808,'nl'),(1360379904,'pl'),(1360384000,'se'),(1360388096,'ru'),(1360392192,'ee'),(1360396288,'ru'),(1360400384,'bh'),(1360404480,'gb'),(1360408576,'ru'),(1360420864,'tr'),(1360424960,'ru'),(1360429056,'ua'),(1360433152,'ro'),(1360437248,'fi'),(1360441344,'hu'),(1360445440,'ru'),(1360453632,'de'),(1360457728,'fi'),(1360461824,'lt'),(1360465920,'ua'),(1360470016,'fr'),(1360474112,'gb'),(1360478208,'ch'),(1360482304,'it'),(1360486400,'ru'),(1360515072,'gb'),(1360519168,'nl'),(1360531456,'ro'),(1360535552,'de'),(1360539648,'nl'),(1360543744,'de'),(1360547840,'ru'),(1360551936,'si'),(1360556032,'ru'),(1360564224,'at'),(1360568320,'es'),(1360572416,'gr'),(1360576512,'gb'),(1360580608,'ua'),(1360584704,'it'),(1360588800,'gb'),(1360592896,'ru'),(1360596992,'cz'),(1360601088,'by'),(1360605184,'ru'),(1360613376,'se'),(1360617472,'it'),(1360621568,'es'),(1360625664,'lu'),(1360629760,'se'),(1360633856,'ru'),(1360637952,'fo'),(1360642048,'eu'),(1360646144,'at'),(1360650240,'ua'),(1360654336,'ee'),(1360658432,'pl'),(1360666624,'no'),(1360678912,'ru'),(1360683008,'gb'),(1360691200,'ru'),(1360699392,'de'),(1360703488,'ru'),(1360707584,'it'),(1360711680,'nl'),(1360715776,'se'),(1360728064,'fr'),(1360732160,'no'),(1360736256,'ru'),(1360740352,'gb'),(1360752640,'de'),(1360756736,'it'),(1360760832,'ru'),(1360764928,'de'),(1360769024,'it'),(1360773120,'cz'),(1360777216,'dk'),(1360781312,'de'),(1360785408,'ru'),(1360793600,'cz'),(1360797696,'ir'),(1360805888,'de'),(1360809984,'nl'),(1360814080,'fr'),(1360818176,'jo'),(1360822272,'at'),(1360826368,'gb'),(1360830464,'ru'),(1360838656,'fr'),(1360842752,'ru'),(1360846848,'de'),(1360850944,'it'),(1360855040,'nl'),(1360859136,'lt'),(1360863232,'no'),(1360867328,'gb'),(1360883712,'ru'),(1360887808,'fi'),(1360891904,'ch'),(1360896000,'qa'),(1360900096,'it'),(1360904192,'gb'),(1360912384,'it'),(1360916480,'ir'),(1360920576,'it'),(1360932864,'ru'),(1360936960,'nl'),(1360941056,'by'),(1360945152,'de'),(1360949248,'ru'),(1360957440,'az'),(1360961536,'ua'),(1360965632,'ru'),(1360977920,'cz'),(1360986112,'gb'),(1360994304,'cz'),(1360998400,'fi'),(1361002496,'gb'),(1361006592,'dk'),(1361010688,'gb'),(1361018880,'at'),(1361022976,'it'),(1361027072,'ir'),(1361035264,'nl'),(1361039360,'it'),(1361043456,'no'),(1361051648,'es'),(1362100224,'fr'),(1362755584,'nl'),(1362886656,'es'),(1363017728,'ch'),(1363148800,'fr'),(1363410944,'nl'),(1363673088,'it'),(1363935232,'eu'),(1364197376,'fr'),(1364262912,'it'),(1364328448,'be'),(1364459520,'pt'),(1364525056,'nl'),(1364590592,'gb'),(1364721664,'se'),(1364725760,'de'),(1364733952,'it'),(1364738048,'no'),(1364742144,'ru'),(1364746240,'fr'),(1364750336,'ru'),(1364754432,'sk'),(1364758528,'kz'),(1364762624,'gb'),(1364766720,'ch'),(1364770816,'kg'),(1364774912,'ru'),(1364779008,'it'),(1364787200,'ro'),(1364795392,'es'),(1364799488,'sk'),(1364803584,'ru'),(1364811776,'de'),(1364815872,'ru'),(1364819968,'gb'),(1364824064,'se'),(1364828160,'gb'),(1364832256,'ru'),(1364836352,'de'),(1364840448,'am'),(1364844544,'de'),(1364852736,'ru'),(1364856832,'iq'),(1364860928,'de'),(1364865024,'pt'),(1364869120,'fi'),(1364873216,'gb'),(1364877312,'es'),(1364881408,'ee'),(1364885504,'gb'),(1364889600,'ir'),(1364893696,'cz'),(1364897792,'si'),(1364901888,'de'),(1364905984,'ru'),(1364910080,'ua'),(1364914176,'cz'),(1364918272,'nl'),(1364922368,'tr'),(1364926464,'ru'),(1364934656,'fr'),(1364938752,'cz'),(1364942848,'gb'),(1364946944,'tr'),(1364951040,'ir'),(1364959232,'de'),(1364963328,'ru'),(1364967424,'gb'),(1364971520,'cz'),(1364979712,'gb'),(1364983808,'de'),(1364992000,'it'),(1364996096,'gr'),(1365000192,'se'),(1365004288,'fr'),(1365008384,'ch'),(1365012480,'fr'),(1365016576,'es'),(1365020672,'cz'),(1365024768,'de'),(1365028864,'nl'),(1365032960,'pt'),(1365041152,'lu'),(1365045248,'at'),(1365049344,'fr'),(1365057536,'it'),(1365061632,'nl'),(1365065728,'ba'),(1365073920,'no'),(1365078016,'de'),(1365082112,'se'),(1365090304,'no'),(1365094400,'eu'),(1365098496,'hu'),(1365102592,'eu'),(1365106688,'gb'),(1365110784,'fr'),(1365114880,'ba'),(1365118976,'ru'),(1365127168,'at'),(1365131264,'se'),(1365139456,'ch'),(1365147648,'ru'),(1365155840,'se'),(1365164032,'gb'),(1365172224,'lv'),(1365176320,'hu'),(1365180416,'de'),(1365184512,'ru'),(1365192704,'gb'),(1365196800,'es'),(1365200896,'lu'),(1365204992,'cz'),(1365209088,'be'),(1365213184,'ru'),(1365217280,'gb'),(1365221376,'ge'),(1365225472,'ua'),(1365229568,'pl'),(1365233664,'ru'),(1365237760,'uz'),(1365241856,'dk'),(1365245952,'gb'),(1366294528,'it'),(1367343104,'gb'),(1369440256,'de'),(1369473024,'hu'),(1369505792,'de'),(1369538560,'dk'),(1369554944,'pl'),(1369559040,'ru'),(1369563136,'pl'),(1369567232,'bg'),(1369571328,'se'),(1369702400,'be'),(1369833472,'no'),(1369964544,'gb'),(1369997312,'pl'),(1370030080,'be'),(1370062848,'de'),(1370095616,'gb'),(1370128384,'se'),(1370161152,'nl'),(1370193920,'gb'),(1370226688,'es'),(1370259456,'se'),(1370292224,'nl'),(1370324992,'de'),(1370357760,'it'),(1370390528,'gb'),(1370423296,'no'),(1370439680,'nl'),(1370456064,'fi'),(1370488832,'ru'),(1370619904,'gb'),(1370750976,'ro'),(1370882048,'hu'),(1371013120,'es'),(1371078656,'fr'),(1371144192,'gr'),(1371201536,'pl'),(1371205632,'se'),(1371209728,'gb'),(1371275264,'be'),(1371340800,'at'),(1371406336,'pl'),(1371471872,'no'),(1371602944,'pt'),(1371668480,'fr'),(1371734016,'ru'),(1371799552,'ro'),(1371865088,'fi'),(1371930624,'lv'),(1371996160,'il'),(1372061696,'ru'),(1372069888,'fr'),(1372073984,'cz'),(1372078080,'nl'),(1372082176,'ru'),(1372086272,'de'),(1372090368,'ru'),(1372094464,'it'),(1372098560,'ru'),(1372102656,'se'),(1372106752,'fr'),(1372110848,'de'),(1372114944,'ru'),(1372119040,'it'),(1372123136,'ru'),(1372127232,'it'),(1372131328,'ru'),(1372135424,'de'),(1372139520,'cz'),(1372143616,'ru'),(1372147712,'be'),(1372151808,'gb'),(1372164096,'de'),(1372168192,'gb'),(1372172288,'fr'),(1372176384,'ch'),(1372180480,'se'),(1372184576,'de'),(1372188672,'ru'),(1372192768,'es'),(1372323840,'nl'),(1372585984,'it'),(1372618752,'gb'),(1372651520,'fi'),(1372684288,'eu'),(1372717056,'pl'),(1372749824,'de'),(1372782592,'ru'),(1372815360,'se'),(1372848128,'tr'),(1373110272,'se'),(1373175808,'at'),(1373241344,'il'),(1373306880,'pl'),(1373372416,'fr'),(1373437952,'ch'),(1373503488,'ru'),(1373569024,'at'),(1373634560,'se'),(1374683136,'be'),(1375207424,'fr'),(1375731712,'gb'),(1378877440,'it'),(1379926016,'fr'),(1380188160,'gb'),(1380450304,'nl'),(1380712448,'ro'),(1380974592,'il'),(1381105664,'de'),(1381236736,'it'),(1381367808,'es'),(1381498880,'it'),(1381761024,'nl'),(1382023168,'se'),(1382039552,'de'),(1382055936,'fr'),(1382072320,'ru'),(1382088704,'fr'),(1382105088,'de'),(1382137856,'ru'),(1382154240,'fr'),(1382170624,'de'),(1382187008,'es'),(1382203392,'gb'),(1382205440,'de'),(1382213632,'gb'),(1382219776,'se'),(1382252544,'cz'),(1382268928,'ir'),(1382285312,'cz'),(1382301696,'se'),(1382318080,'ru'),(1382334464,'de'),(1382350848,'fr'),(1382367232,'bg'),(1382400000,'nl'),(1382416384,'pt'),(1382432768,'cy'),(1382449152,'il'),(1382465536,'ps'),(1382481920,'at'),(1382498304,'bg'),(1382514688,'dk'),(1382531072,'fi'),(1382547456,'it'),(1382809600,'gb'),(1383071744,'ru'),(1383079936,'nl'),(1383088128,'is'),(1383096320,'eu'),(1383104512,'je'),(1383112704,'ge'),(1383120896,'gb'),(1383137280,'mc'),(1383145472,'cz'),(1383153664,'gb'),(1383161856,'de'),(1383170048,'gb'),(1383186432,'it'),(1383194624,'gb'),(1383202816,'ru'),(1383211008,'cy'),(1383219200,'cs'),(1383227392,'ru'),(1383243776,'ye'),(1383251968,'cz'),(1383260160,'ru'),(1383268352,'ir'),(1383276544,'kz'),(1383284736,'pl'),(1383292928,'de'),(1383301120,'se'),(1383309312,'it'),(1383317504,'se'),(1383321600,'ru'),(1383325696,'gb'),(1383333888,'ru'),(1383350272,'no'),(1383358464,'de'),(1383366656,'kw'),(1383374848,'es'),(1383383040,'cy'),(1383391232,'fi'),(1383399424,'li'),(1383407616,'no'),(1383415808,'ru'),(1383424000,'se'),(1383432192,'cz'),(1383440384,'ru'),(1383448576,'cs'),(1383456768,'ua'),(1383464960,'lv'),(1383473152,'de'),(1383481344,'gb'),(1383497728,'ru'),(1383505920,'sa'),(1383514112,'fi'),(1383522304,'bg'),(1383530496,'de'),(1383538688,'it'),(1383546880,'bg'),(1383555072,'sk'),(1383563264,'ru'),(1383571456,'de'),(1383579648,'it'),(1383587840,'sk'),(1383596032,'fr'),(1384153088,'fi'),(1384185856,'eu'),(1384251392,'fi'),(1384267776,'ch'),(1384284160,'es'),(1384316928,'ee'),(1384349696,'hu'),(1384382464,'hr'),(1384415232,'gb'),(1384480768,'fi'),(1384513536,'no'),(1384546304,'nl'),(1384579072,'de'),(1384611840,'lt'),(1384644608,'gb'),(1384660992,'ch'),(1384677376,'se'),(1384693760,'nl'),(1384710144,'ro'),(1384726528,'bg'),(1384742912,'ru'),(1384759296,'sy'),(1384775680,'ru'),(1384792064,'eu'),(1384808448,'fi'),(1384824832,'gb'),(1384841216,'pl'),(1384857600,'nl'),(1384873984,'pl'),(1384890368,'de'),(1384923136,'ru'),(1384939520,'lt'),(1384972288,'de'),(1384988672,'fi'),(1385005056,'hu'),(1385021440,'ie'),(1385037824,'fr'),(1385054208,'cz'),(1385070592,'ru'),(1385086976,'gb'),(1385103360,'it'),(1385119744,'be'),(1385136128,'pl'),(1385152512,'dk'),(1385168896,'es'),(1385177088,'de'),(1385185280,'ru'),(1385193472,'es'),(1385201664,'cz'),(1385209856,'hu'),(1385218048,'ua'),(1385226240,'gb'),(1385234432,'de'),(1385242624,'gb'),(1385250816,'pl'),(1385259008,'it'),(1385267200,'se'),(1385275392,'it'),(1385283584,'kw'),(1385291776,'tr'),(1385299968,'bg'),(1385308160,'lu'),(1385316352,'no'),(1385324544,'be'),(1385332736,'gb'),(1385340928,'lb'),(1385349120,'ch'),(1385357312,'pl'),(1385365504,'gb'),(1385373696,'no'),(1385381888,'ru'),(1385398272,'bg'),(1385406464,'ee'),(1385414656,'sa'),(1385422848,'dk'),(1385431040,'ru'),(1385439232,'gb'),(1385447424,'is'),(1385455616,'qa'),(1385463808,'no'),(1385480192,'nl'),(1385488384,'gb'),(1385496576,'si'),(1385504768,'fr'),(1385512960,'de'),(1385521152,'at'),(1385529344,'ru'),(1385537536,'de'),(1385545728,'ru'),(1385553920,'de'),(1385562112,'eu'),(1385570304,'hu'),(1385578496,'dk'),(1385586688,'gb'),(1385594880,'nl'),(1385603072,'cz'),(1385611264,'at'),(1385619456,'de'),(1385627648,'ru'),(1385635840,'nl'),(1385652224,'ru'),(1385660416,'tr'),(1385668608,'nl'),(1385676800,'ru'),(1385684992,'gb'),(1385824256,'pt'),(1385955328,'nl'),(1386086400,'es'),(1386217472,'pl'),(1386283008,'nl'),(1386348544,'ru'),(1386414080,'gb'),(1386479616,'no'),(1386545152,'de'),(1386610688,'il'),(1386676224,'sa'),(1386741760,'nl'),(1387331584,'pl'),(1387397120,'om'),(1387462656,'ru'),(1387528192,'dk'),(1387593728,'fi'),(1387659264,'se'),(1387790336,'it'),(1388314624,'at'),(1388322816,'si'),(1388331008,'nl'),(1388339200,'gb'),(1388347392,'dk'),(1388363776,'de'),(1388371968,'ch'),(1388380160,'it'),(1388396544,'lv'),(1388404736,'ua'),(1388412928,'ru'),(1388421120,'se'),(1388429312,'hr'),(1388437504,'de'),(1388445696,'az'),(1388453888,'bh'),(1388462080,'es'),(1388470272,'de'),(1388478464,'at'),(1388486656,'ru'),(1388494848,'no'),(1388503040,'ru'),(1388519424,'nl'),(1388527616,'de'),(1388535808,'gb'),(1388544000,'ie'),(1388552192,'gb'),(1388560384,'fi'),(1388568576,'ch'),(1388576768,'fr'),(1388584960,'gb'),(1388593152,'ru'),(1388601344,'se'),(1388609536,'ru'),(1388617728,'se'),(1388625920,'no'),(1388634112,'gb'),(1388642304,'fi'),(1388650496,'pl'),(1388658688,'gb'),(1388666880,'gr'),(1388675072,'eu'),(1388683264,'ch'),(1388691456,'nl'),(1388699648,'se'),(1388707840,'ru'),(1388716032,'es'),(1388724224,'de'),(1388732416,'es'),(1388740608,'ie'),(1388748800,'ru'),(1388756992,'de'),(1388765184,'gb'),(1388773376,'no'),(1388781568,'es'),(1388789760,'gb'),(1388797952,'ru'),(1388806144,'nl'),(1388814336,'fi'),(1388822528,'bg'),(1388830720,'fi'),(1388838912,'ru'),(1388871680,'kz'),(1388904448,'nl'),(1388969984,'cz'),(1389002752,'ru'),(1389035520,'gb'),(1389068288,'fi'),(1389101056,'nl'),(1389133824,'ru'),(1389166592,'ps'),(1389199360,'sa'),(1389232128,'de'),(1389264896,'gb'),(1389297664,'ua'),(1389330432,'de'),(1389363200,'cz'),(1389379584,'ru'),(1389395968,'ro'),(1389412352,'cs'),(1389428736,'cz'),(1389445120,'ru'),(1389461504,'se'),(1389477888,'by'),(1389494272,'de'),(1389510656,'nl'),(1389527040,'pl'),(1389543424,'de'),(1389576192,'gb'),(1389592576,'cy'),(1389608960,'dk'),(1389625344,'de'),(1389641728,'jo'),(1389658112,'be'),(1389674496,'de'),(1389690880,'ps'),(1389707264,'it'),(1389723648,'es'),(1389756416,'se'),(1389772800,'si'),(1389789184,'pl'),(1389805568,'de'),(1389821952,'nl'),(1389838336,'uz'),(1389854720,'it'),(1389871104,'fi'),(1389887488,'fr'),(1389953024,'nl'),(1390018560,'at'),(1390084096,'gb'),(1390149632,'ch'),(1390215168,'is'),(1390280704,'tr'),(1390346240,'es'),(1390411776,'fr'),(1392508928,'pl'),(1394606080,'es'),(1396703232,'at'),(1396834304,'tr'),(1396899840,'gb'),(1396965376,'nl'),(1396973568,'ru'),(1396981760,'pl'),(1396989952,'fr'),(1396998144,'at'),(1397006336,'kw'),(1397014528,'ch'),(1397022720,'se'),(1397030912,'ru'),(1397039104,'cz'),(1397047296,'ru'),(1397063680,'uz'),(1397071872,'ru'),(1397096448,'ie'),(1397227520,'dk'),(1397489664,'ch'),(1397751808,'nl'),(1398276096,'dk'),(1398800384,'kw'),(1398833152,'nl'),(1398865920,'de'),(1398867968,'nl'),(1398870016,'pl'),(1398872064,'bg'),(1398874112,'gb'),(1398876160,'de'),(1398880256,'fr'),(1398882304,'bg'),(1398884352,'de'),(1398886400,'ch'),(1398888448,'eu'),(1398890496,'dk'),(1398892544,'ua'),(1398894592,'de'),(1398896640,'gb'),(1398898688,'es'),(1398931456,'gb'),(1398964224,'nl'),(1398996992,'lu'),(1399029760,'lv'),(1399062528,'fi'),(1399095296,'gb'),(1399128064,'be'),(1399160832,'sa'),(1399193600,'fi'),(1399226368,'ru'),(1399259136,'it'),(1399291904,'ro'),(1399324672,'gb'),(1399586816,'no'),(1399717888,'ae'),(1399848960,'fr'),(1400111104,'nl'),(1400373248,'de'),(1400635392,'eu'),(1400897536,'nl'),(1400963072,'de'),(1401028608,'il'),(1401094144,'hr'),(1401159680,'pt'),(1401225216,'eu'),(1401290752,'be'),(1401356288,'de'),(1401421824,'gb'),(1401423872,'ae'),(1401425920,'nl'),(1401427968,'ru'),(1401430016,'at'),(1401432064,'ie'),(1401434112,'ru'),(1401436160,'bh'),(1401438208,'gb'),(1401440256,'de'),(1401444352,'dk'),(1401446400,'de'),(1401448448,'it'),(1401450496,'ru'),(1401452544,'gb'),(1401454592,'de'),(1401456640,'lv'),(1401458688,'it'),(1401460736,'pl'),(1401462784,'fr'),(1401464832,'ie'),(1401466880,'cs'),(1401468928,'es'),(1401470976,'nl'),(1401473024,'cz'),(1401475072,'fr'),(1401477120,'be'),(1401479168,'pl'),(1401481216,'ru'),(1401485312,'it'),(1401487360,'gb'),(1401489408,'se'),(1401491456,'nl'),(1401493504,'ch'),(1401495552,'dk'),(1401497600,'at'),(1401499648,'ru'),(1401501696,'it'),(1401503744,'de'),(1401505792,'ch'),(1401509888,'ua'),(1401511936,'de'),(1401513984,'it'),(1401516032,'at'),(1401518080,'it'),(1401520128,'gb'),(1401522176,'nl'),(1401526272,'de'),(1401528320,'it'),(1401530368,'de'),(1401532416,'gb'),(1401534464,'de'),(1401536512,'nl'),(1401538560,'no'),(1401540608,'gb'),(1401542656,'ru'),(1401544704,'gb'),(1401546752,'it'),(1401548800,'fr'),(1401550848,'gb'),(1401552896,'nl'),(1401554944,'ie'),(1401556992,'gb'),(1401563136,'es'),(1401565184,'ru'),(1401567232,'gb'),(1401569280,'de'),(1401585664,'gb'),(1401602048,'es'),(1401618432,'am'),(1401634816,'hr'),(1401651200,'ru'),(1401667584,'it'),(1401683968,'se'),(1401749504,'de'),(1401765888,'ie'),(1401782272,'fr'),(1401815040,'se'),(1401817088,'ru'),(1401819136,'bg'),(1401821184,'gb'),(1401825280,'pl'),(1401827328,'gb'),(1401829376,'pl'),(1401831424,'gb'),(1401833472,'fi'),(1401835520,'de'),(1401837568,'ch'),(1401839616,'no'),(1401841664,'cz'),(1401843712,'pl'),(1401847808,'gb'),(1401849856,'pl'),(1401851904,'fr'),(1401853952,'pl'),(1401856000,'ru'),(1401858048,'pl'),(1401868288,'ua'),(1401870336,'pl'),(1401872384,'gb'),(1401876480,'eu'),(1401878528,'mt'),(1401880576,'de'),(1401882624,'il'),(1401884672,'gb'),(1401888768,'cz'),(1401890816,'pl'),(1401892864,'ru'),(1401894912,'fi'),(1401896960,'ru'),(1401899008,'pl'),(1401901056,'no'),(1401903104,'fi'),(1401905152,'pl'),(1401907200,'eu'),(1401909248,'no'),(1401911296,'dk'),(1401913344,'pl'),(1401917440,'bg'),(1401919488,'ru'),(1401921536,'pl'),(1401923584,'be'),(1401925632,'bg'),(1401927680,'nl'),(1401929728,'ru'),(1401931776,'ua'),(1401933824,'pl'),(1401935872,'fi'),(1401937920,'gb'),(1401939968,'ua'),(1401942016,'be'),(1401944064,'bg'),(1401946112,'fr'),(1401962496,'pl'),(1401978880,'pt'),(1401995264,'ch'),(1402011648,'se'),(1402028032,'fr'),(1402044416,'pl'),(1402060800,'fi'),(1402077184,'gb'),(1402093568,'ru'),(1402109952,'fi'),(1402142720,'es'),(1402159104,'it'),(1402175488,'ie'),(1402191872,'ir'),(1402208256,'cz'),(1402224640,'bg'),(1402241024,'gb'),(1402257408,'fi'),(1402273792,'ru'),(1402290176,'nl'),(1402306560,'it'),(1402322944,'ru'),(1402339328,'ch'),(1402355712,'fi'),(1402372096,'se'),(1402388480,'es'),(1402404864,'ru'),(1402408960,'de'),(1402413056,'pl'),(1402417152,'de'),(1402421248,'gb'),(1402437632,'dk'),(1402454016,'gb'),(1402470400,'fr'),(1402994688,'nl'),(1403256832,'at'),(1403322368,'es'),(1403387904,'se'),(1403396096,'ee'),(1403404288,'gb'),(1403412480,'ru'),(1403420672,'nl'),(1403428864,'gb'),(1403437056,'ro'),(1403445248,'ru'),(1403461632,'fr'),(1403469824,'ru'),(1403486208,'fr'),(1403494400,'gb'),(1403502592,'nl'),(1403510784,'cz'),(1403518976,'cy'),(1403535360,'pl'),(1403551744,'sk'),(1403568128,'se'),(1403584512,'de'),(1403600896,'fr'),(1403617280,'de'),(1403633664,'ru'),(1403650048,'de'),(1403666432,'gb'),(1403699200,'ua'),(1403715584,'lt'),(1403731968,'ru'),(1403748352,'de'),(1403764736,'gr'),(1403781120,'ru'),(1403797504,'se'),(1403813888,'nl'),(1403830272,'ch'),(1403846656,'is'),(1403863040,'fr'),(1403879424,'es'),(1403895808,'ch'),(1403912192,'pt'),(1403928576,'se'),(1403944960,'gr'),(1403961344,'ru'),(1403977728,'it'),(1403994112,'at'),(1404010496,'pl'),(1404026880,'es'),(1404043264,'se'),(1405091840,'fr'),(1406140416,'cz'),(1406205952,'se'),(1406271488,'ie'),(1406337024,'it'),(1406402560,'gr'),(1406468096,'es'),(1406533632,'fr'),(1406599168,'at'),(1406664704,'fi'),(1406672896,'hu'),(1406681088,'gb'),(1406689280,'se'),(1406697472,'gb'),(1406705664,'it'),(1406713856,'at'),(1406722048,'de'),(1406730240,'ru'),(1406746624,'be'),(1406754816,'gb'),(1406763008,'be'),(1406771200,'gb'),(1406779392,'ru'),(1406787584,'am'),(1406795776,'gb'),(1406803968,'de'),(1406812160,'se'),(1406820352,'eu'),(1406828544,'gb'),(1406836736,'at'),(1406844928,'md'),(1406853120,'ua'),(1406861312,'ru'),(1406869504,'gb'),(1406877696,'nl'),(1406885888,'ch'),(1406894080,'ru'),(1406902272,'at'),(1406910464,'se'),(1406918656,'ru'),(1406926848,'it'),(1406935040,'ru'),(1406951424,'pl'),(1406959616,'de'),(1406967808,'ru'),(1406976000,'ie'),(1406984192,'ru'),(1407000576,'de'),(1407016960,'it'),(1407025152,'dk'),(1407033344,'ru'),(1407049728,'de'),(1407057920,'ru'),(1407066112,'lu'),(1407074304,'ru'),(1407090688,'ch'),(1407098880,'bg'),(1407107072,'ru'),(1407115264,'eu'),(1407123456,'se'),(1407131648,'nl'),(1407139840,'de'),(1407148032,'gb'),(1407156224,'lv'),(1407164416,'pt'),(1407172608,'gb'),(1407180800,'ru'),(1407188992,'it'),(1407320064,'se'),(1407451136,'bg'),(1407483904,'ch'),(1407516672,'gb'),(1407549440,'ru'),(1407582208,'pl'),(1407614976,'es'),(1407680512,'eu'),(1407713280,'nl'),(1407778816,'se'),(1407844352,'ru'),(1407909888,'gr'),(1407975424,'de'),(1408040960,'ru'),(1408106496,'pl'),(1408172032,'ru'),(1408237568,'cz'),(1408270336,'pt'),(1408303104,'lv'),(1408335872,'se'),(1408368640,'no'),(1408376832,'de'),(1408385024,'pl'),(1408393216,'de'),(1408401408,'ru'),(1408434176,'de'),(1408436224,'lu'),(1408438272,'fr'),(1408440320,'se'),(1408442368,'pl'),(1408444416,'eu'),(1408446464,'de'),(1408450560,'ru'),(1408454656,'de'),(1408456704,'lv'),(1408458752,'gb'),(1408460800,'pl'),(1408462848,'de'),(1408464896,'ro'),(1408466944,'no'),(1408499712,'ps'),(1408532480,'gb'),(1408598016,'fi'),(1408630784,'de'),(1408663552,'ru'),(1408696320,'nl'),(1408729088,'es'),(1408761856,'se'),(1409286144,'hu'),(1409548288,'fr'),(1409810432,'gb'),(1409941504,'pl'),(1410007040,'de'),(1410072576,'gb'),(1410269184,'lt'),(1410334720,'es'),(1410342912,'sk'),(1410351104,'ch'),(1410359296,'cz'),(1410367488,'ru'),(1410375680,'dk'),(1410383872,'no'),(1410392064,'de'),(1410400256,'ru'),(1410408448,'it'),(1410416640,'tr'),(1410424832,'de'),(1410433024,'be'),(1410441216,'de'),(1410449408,'se'),(1410457600,'ru'),(1410465792,'es'),(1410473984,'jo'),(1410490368,'ru'),(1410498560,'it'),(1410506752,'ie'),(1410514944,'gb'),(1410523136,'pt'),(1410531328,'de'),(1410539520,'gb'),(1410547712,'cz'),(1410555904,'gb'),(1410564096,'se'),(1410572288,'de'),(1410588672,'gb'),(1410596864,'es'),(1410605056,'ch'),(1410613248,'al'),(1410621440,'no'),(1410629632,'fi'),(1410637824,'at'),(1410646016,'gb'),(1410654208,'si'),(1410662400,'hu'),(1410670592,'de'),(1410678784,'ru'),(1410686976,'cz'),(1410695168,'gb'),(1410703360,'es'),(1410711552,'bg'),(1410719744,'ru'),(1410727936,'bg'),(1410736128,'cs'),(1410744320,'fr'),(1410752512,'nl'),(1410760704,'ru'),(1410768896,'gb'),(1410777088,'ru'),(1410785280,'sa'),(1410793472,'gb'),(1410801664,'ru'),(1410809856,'de'),(1410818048,'sa'),(1410826240,'se'),(1410834432,'pl'),(1410842624,'pt'),(1410850816,'de'),(1410859008,'nl'),(1411383296,'lt'),(1411448832,'it'),(1411514368,'fi'),(1411579904,'nl'),(1411710976,'fr'),(1411776512,'gr'),(1411780608,'pl'),(1411784704,'gb'),(1411788800,'it'),(1411792896,'de'),(1411796992,'pl'),(1411805184,'at'),(1411809280,'lv'),(1411813376,'no'),(1411817472,'pl'),(1411821568,'cz'),(1411825664,'de'),(1411829760,'pl'),(1411833856,'nl'),(1411837952,'bg'),(1411842048,'pt'),(1411907584,'gb'),(1411923968,'bg'),(1411940352,'pl'),(1411973120,'si'),(1412005888,'nl'),(1412038656,'ru'),(1412071424,'cz'),(1412104192,'gb'),(1412136960,'bg'),(1412169728,'tr'),(1412202496,'de'),(1412235264,'gb'),(1412300800,'de'),(1412333568,'lt'),(1412366336,'sk'),(1412399104,'ru'),(1412415488,'ir'),(1412431872,'no'),(1412562944,'ee'),(1412628480,'tr'),(1412644864,'ua'),(1412653056,'ru'),(1412661248,'gb'),(1412677632,'ru'),(1412685824,'ie'),(1412694016,'ee'),(1412710400,'ru'),(1412726784,'si'),(1412743168,'no'),(1412775936,'nl'),(1412792320,'eu'),(1412808704,'ru'),(1412825088,'lb'),(1412841472,'uz'),(1412857856,'bg'),(1412874240,'ru'),(1412890624,'lt'),(1412907008,'se'),(1412923392,'fr'),(1412939776,'ch'),(1412956160,'de'),(1413480448,'eu'),(1414004736,'ch'),(1414266880,'es'),(1414529024,'nl'),(1415053312,'es'),(1415184384,'pt'),(1415315456,'gb'),(1415446528,'il'),(1415577600,'fr'),(1416101888,'nl'),(1416364032,'il'),(1416626176,'at'),(1417150464,'es'),(1417674752,'de'),(1421869056,'be'),(1422393344,'de'),(1422491648,'gb'),(1422508032,'bg'),(1422512128,'pl'),(1422516224,'ru'),(1422524416,'no'),(1422589952,'ie'),(1422655488,'ru'),(1422721024,'pl'),(1422729216,'no'),(1422737408,'eu'),(1422753792,'eu'),(1422761984,'pl'),(1422770176,'gr'),(1422786560,'hu'),(1422852096,'de'),(1422917632,'no'),(1423441920,'se'),(1423704064,'it'),(1423966208,'hu'),(1424097280,'ch'),(1424228352,'il'),(1424359424,'fi'),(1424490496,'es'),(1424523264,'ro'),(1424588800,'gb'),(1424621568,'pl'),(1424625664,'gb'),(1424629760,'pl'),(1424633856,'cz'),(1424637952,'fi'),(1424642048,'dk'),(1424646144,'ro'),(1424650240,'pl'),(1424654336,'no'),(1424687104,'sa'),(1424719872,'de'),(1424752640,'hu'),(1424785408,'es'),(1424818176,'ru'),(1424850944,'lv'),(1424883712,'dk'),(1424916480,'bg'),(1424949248,'gb'),(1424982016,'fi'),(1425014784,'lt'),(1425031168,'fi'),(1425047552,'it'),(1425063936,'kz'),(1425080320,'ir'),(1425096704,'ch'),(1425113088,'nl'),(1425145856,'ru'),(1425162240,'cz'),(1425178624,'bg'),(1425195008,'ru'),(1425211392,'se'),(1425227776,'ro'),(1425244160,'no'),(1425260544,'nl'),(1425276928,'de'),(1425293312,'cz'),(1425309696,'nl'),(1425326080,'se'),(1425342464,'nl'),(1425358848,'sk'),(1425375232,'de'),(1425391616,'lv'),(1425408000,'nl'),(1425424384,'de'),(1425426432,'kw'),(1425428480,'gb'),(1425430528,'se'),(1425432576,'it'),(1425434624,'fr'),(1425436672,'gb'),(1425438720,'de'),(1425440768,'se'),(1425442816,'gb'),(1425444864,'it'),(1425446912,'gb'),(1425448960,'cz'),(1425451008,'gb'),(1425461248,'es'),(1425463296,'fr'),(1425467392,'ch'),(1425469440,'dk'),(1425471488,'de'),(1425473536,'ro'),(1425506304,'no'),(1425522688,'it'),(1425539072,'fi'),(1425801216,'bg'),(1425817600,'de'),(1425833984,'ru'),(1425850368,'gb'),(1425866752,'ch'),(1425883136,'ru'),(1425899520,'it'),(1425915904,'fi'),(1425932288,'gr'),(1425948672,'de'),(1425965056,'it'),(1425981440,'ru'),(1425997824,'mt'),(1426014208,'dk'),(1426030592,'bh'),(1426046976,'si'),(1426063360,'ch'),(1426587648,'se'),(1426604032,'de'),(1426620416,'gb'),(1426653184,'ro'),(1426669568,'ir'),(1426685952,'tj'),(1426702336,'lv'),(1426718720,'si'),(1426731008,'hr'),(1426735104,'be'),(1426751488,'fr'),(1426767872,'de'),(1426784256,'se'),(1426800640,'pl'),(1426817024,'bg'),(1426833408,'se'),(1426849792,'nl'),(1426866176,'gb'),(1426882560,'fr'),(1426898944,'ru'),(1426915328,'at'),(1426931712,'cz'),(1426948096,'de'),(1426964480,'gb'),(1426980864,'bg'),(1426997248,'pl'),(1427013632,'fr'),(1427030016,'de'),(1427046400,'ir'),(1427062784,'ru'),(1427095552,'lv'),(1427111936,'de'),(1427177472,'nl'),(1427243008,'it'),(1427308544,'no'),(1427374080,'it'),(1427439616,'ru'),(1427505152,'de'),(1427570688,'fi'),(1427636224,'dk'),(1427668992,'se'),(1427701760,'de'),(1427767296,'be'),(1427800064,'ru'),(1427832832,'be'),(1427865600,'dk'),(1427898368,'ru'),(1427914752,'be'),(1427931136,'pl'),(1427947520,'ru'),(1427963904,'tr'),(1427980288,'fi'),(1427996672,'kz'),(1428013056,'ee'),(1428029440,'gr'),(1428045824,'mk'),(1428062208,'se'),(1428078592,'ru'),(1428094976,'at'),(1428103168,'gb'),(1428119552,'lv'),(1428121600,'fr'),(1428123648,'ru'),(1428127744,'es'),(1428129792,'gb'),(1428131840,'fr'),(1428133888,'li'),(1428135936,'it'),(1428137984,'gb'),(1428140032,'ru'),(1428142080,'de'),(1428144128,'fr'),(1428152320,'pl'),(1428160512,'it'),(1429209088,'es'),(1430257664,'il'),(1430388736,'hu'),(1430519808,'fr'),(1430650880,'cz'),(1430781952,'gr'),(1431044096,'fi'),(1431306240,'dk'),(1431568384,'es'),(1431830528,'de'),(1431838720,'be'),(1431846912,'no'),(1431855104,'nl'),(1431863296,'gb'),(1431871488,'ru'),(1431879680,'it'),(1431887872,'gb'),(1431896064,'no'),(1431904256,'ee'),(1431912448,'se'),(1431920640,'ru'),(1431928832,'it'),(1431937024,'pl'),(1431945216,'no'),(1431953408,'dk'),(1431961600,'ch'),(1431969792,'gb'),(1431977984,'nl'),(1431986176,'ru'),(1431994368,'at'),(1432002560,'hu'),(1432010752,'ua'),(1432018944,'gb'),(1432027136,'ie'),(1432035328,'gb'),(1432043520,'es'),(1432051712,'ru'),(1432059904,'bg'),(1432068096,'be'),(1432076288,'ru'),(1432084480,'gb'),(1432092672,'ru'),(1432100864,'cz'),(1432109056,'gb'),(1432117248,'cy'),(1432125440,'nl'),(1432133632,'gb'),(1432150016,'ba'),(1432158208,'de'),(1432166400,'ru'),(1432174592,'de'),(1432182784,'cz'),(1432190976,'ru'),(1432199168,'cz'),(1432207360,'lu'),(1432215552,'no'),(1432223744,'ru'),(1432240128,'hr'),(1432248320,'cs'),(1432256512,'ba'),(1432264704,'ad'),(1432272896,'it'),(1432281088,'lu'),(1432289280,'gb'),(1432297472,'no'),(1432305664,'bg'),(1432313856,'gb'),(1432322048,'ru'),(1432338432,'fr'),(1432354816,'tr'),(1433403392,'es'),(1433411584,'ru'),(1433419776,'lb'),(1433427968,'ru'),(1433436160,'no'),(1433444352,'se'),(1433452544,'pl'),(1433460736,'de'),(1433468928,'kg'),(1433477120,'ru'),(1433485312,'gb'),(1433493504,'ps'),(1433501696,'ru'),(1433509888,'no'),(1433518080,'ru'),(1433526272,'nl'),(1433534464,'ru'),(1433542656,'hr'),(1433550848,'ru'),(1433559040,'ps'),(1433567232,'de'),(1433575424,'ru'),(1433583616,'ua'),(1433591808,'ge'),(1433600000,'de'),(1433608192,'gb'),(1433616384,'ae'),(1433624576,'lv'),(1433632768,'gi'),(1433640960,'ru'),(1433649152,'kg'),(1433657344,'ru'),(1433665536,'gb'),(1433673728,'fr'),(1433681920,'is'),(1433690112,'ru'),(1433698304,'it'),(1433706496,'gb'),(1433714688,'de'),(1433722880,'it'),(1433731072,'pl'),(1433739264,'ge'),(1433747456,'ru'),(1433755648,'eu'),(1433763840,'cz'),(1433772032,'se'),(1433788416,'uz'),(1433796608,'gb'),(1433804800,'fr'),(1433812992,'bg'),(1433821184,'ge'),(1433829376,'ru'),(1433833472,'it'),(1433835520,'gb'),(1433837568,'de'),(1433839616,'gb'),(1433841664,'ru'),(1433843712,'nl'),(1433845760,'bg'),(1433847808,'se'),(1433849856,'be'),(1433851904,'ch'),(1433853952,'ru'),(1433856000,'gb'),(1433858048,'es'),(1433860096,'de'),(1433862144,'ch'),(1433864192,'hu'),(1433866240,'nl'),(1433868288,'gb'),(1433870336,'tr'),(1433872384,'it'),(1433874432,'nl'),(1433876480,'gb'),(1433878528,'tr'),(1433880576,'ru'),(1433882624,'fr'),(1433884672,'cz'),(1433886720,'gb'),(1433888768,'sa'),(1433890816,'gb'),(1433892864,'mt'),(1433894912,'se'),(1433896960,'no'),(1433899008,'ru'),(1433901056,'de'),(1433905152,'fr'),(1433907200,'it'),(1433909248,'be'),(1433911296,'es'),(1433913344,'de'),(1433917440,'be'),(1433919488,'gb'),(1433921536,'ch'),(1433923584,'be'),(1433925632,'gb'),(1433927680,'ro'),(1434189824,'at'),(1434451968,'pl'),(1434517504,'dk'),(1434550272,'sa'),(1434583040,'bg'),(1434615808,'il'),(1434648576,'fi'),(1434681344,'de'),(1434714112,'az'),(1434746880,'cz'),(1434779648,'gb'),(1434812416,'ir'),(1434845184,'fi'),(1434877952,'ie'),(1434910720,'cz'),(1434943488,'sk'),(1434976256,'es'),(1435107328,'pt'),(1435238400,'ru'),(1435500544,'nl'),(1436024832,'es'),(1436090368,'tr'),(1436155904,'om'),(1436221440,'es'),(1436286976,'fi'),(1436418048,'de'),(1436420096,'gb'),(1436422144,'fr'),(1436424192,'ch'),(1436426240,'ba'),(1436428288,'gb'),(1436430336,'ru'),(1436432384,'gb'),(1436436480,'lv'),(1436438528,'it'),(1436440576,'ru'),(1436442624,'tr'),(1436444672,'be'),(1436446720,'fr'),(1436450816,'bh'),(1436452864,'gb'),(1436454912,'az'),(1436456960,'gb'),(1436459008,'nl'),(1436461056,'es'),(1436463104,'de'),(1436465152,'ru'),(1436467200,'de'),(1436469248,'nl'),(1436471296,'be'),(1436473344,'ro'),(1436475392,'at'),(1436477440,'ch'),(1436481536,'nl'),(1436483584,'ua'),(1436485632,'de'),(1436487680,'ie'),(1436489728,'kz'),(1436491776,'ru'),(1436495872,'hu'),(1436497920,'gb'),(1436499968,'tr'),(1436504064,'gb'),(1436508160,'nl'),(1436510208,'sk'),(1436512256,'nl'),(1436514304,'gi'),(1436516352,'gb'),(1436520448,'it'),(1436522496,'gb'),(1436524544,'il'),(1436526592,'gb'),(1436528640,'it'),(1436530688,'gb'),(1436532736,'it'),(1436536832,'gb'),(1436538880,'jo'),(1436540928,'ru'),(1436542976,'nl'),(1436545024,'de'),(1436547072,'gb'),(1436549120,'cz'),(1436811264,'no'),(1437073408,'fr'),(1437335552,'ru'),(1437597696,'de'),(1438121984,'nl'),(1438187520,'ir'),(1438253056,'ro'),(1438318592,'bg'),(1438384128,'fi'),(1438400512,'se'),(1438416896,'no'),(1438433280,'gb'),(1438515200,'de'),(1438580736,'nl'),(1438646272,'ru'),(1438662656,'es'),(1438679040,'ru'),(1438695424,'fr'),(1438711808,'cz'),(1438728192,'ru'),(1438744576,'at'),(1438760960,'pl'),(1438777344,'se'),(1438793728,'sa'),(1438810112,'se'),(1438826496,'fi'),(1438842880,'se'),(1438859264,'de'),(1438875648,'ru'),(1438892032,'ch'),(1438908416,'gr'),(1438924800,'no'),(1438941184,'bg'),(1438957568,'ee'),(1438973952,'de'),(1439006720,'se'),(1439023104,'is'),(1439039488,'ir'),(1439055872,'ru'),(1439072256,'ua'),(1439088640,'pl'),(1439105024,'at'),(1439121408,'de'),(1439154176,'gb'),(1439170560,'no'),(1439236096,'be'),(1439301632,'ru'),(1439305728,'dk'),(1439309824,'pl'),(1439318016,'dk'),(1439322112,'ro'),(1439326208,'pl'),(1439330304,'ru'),(1439334400,'cz'),(1439338496,'pl'),(1439342592,'ua'),(1439346688,'ru'),(1439350784,'ua'),(1439354880,'pl'),(1439358976,'ru'),(1439367168,'nl'),(1439432704,'ro'),(1439498240,'de'),(1439563776,'lt'),(1439629312,'cz'),(1439694848,'sa'),(1439825920,'gb'),(1439956992,'de'),(1440251904,'sk'),(1440284672,'fi'),(1440317440,'bg'),(1440350208,'ch'),(1440382976,'dk'),(1440415744,'es'),(1440448512,'pl'),(1440481280,'is'),(1440514048,'de'),(1440546816,'no'),(1440579584,'pl'),(1440645120,'rs'),(1440677888,'nl'),(1440710656,'ua'),(1440743424,'se'),(1441267712,'de'),(1441275904,'gb'),(1441284096,'at'),(1441292288,'ru'),(1441300480,'lt'),(1441308672,'se'),(1441316864,'mt'),(1441325056,'pl'),(1441333248,'de'),(1441349632,'ru'),(1441357824,'at'),(1441366016,'ru'),(1441374208,'gb'),(1441390592,'dk'),(1441398784,'ru'),(1441415168,'gb'),(1441423360,'ru'),(1441431552,'gb'),(1441439744,'lv'),(1441447936,'be'),(1441456128,'nl'),(1441464320,'se'),(1441472512,'ru'),(1441480704,'tr'),(1441488896,'gb'),(1441497088,'it'),(1441505280,'ru'),(1441521664,'dk'),(1441529856,'ru'),(1441538048,'de'),(1441546240,'dk'),(1441554432,'gb'),(1441562624,'ae'),(1441570816,'ru'),(1441579008,'de'),(1441587200,'at'),(1441603584,'ru'),(1441611776,'de'),(1441619968,'fr'),(1441628160,'sa'),(1441636352,'pl'),(1441644544,'gb'),(1441652736,'sk'),(1441660928,'es'),(1441669120,'ge'),(1441677312,'hu'),(1441685504,'ua'),(1441693696,'de'),(1441701888,'at'),(1441710080,'se'),(1441718272,'de'),(1441726464,'kw'),(1441734656,'ru'),(1441742848,'cz'),(1441751040,'de'),(1441759232,'bg'),(1441767424,'it'),(1441775616,'es'),(1441783808,'cz'),(1441792000,'pt'),(1442316288,'sk'),(1442381824,'ru'),(1442447360,'il'),(1442512896,'es'),(1442578432,'no'),(1442643968,'ee'),(1442709504,'lv'),(1442775040,'pl'),(1442779136,'de'),(1442783232,'nl'),(1442787328,'lt'),(1442791424,'lv'),(1442795520,'de'),(1442799616,'lt'),(1442803712,'ua'),(1442807808,'bg'),(1442811904,'at'),(1442816000,'bg'),(1442820096,'pl'),(1442824192,'be'),(1442828288,'nl'),(1442832384,'gb'),(1442836480,'pl'),(1442840576,'gb'),(1444937728,'se'),(1445068800,'ro'),(1445199872,'qa'),(1445330944,'lt'),(1445396480,'be'),(1445462016,'ie'),(1445986304,'dk'),(1446051840,'cz'),(1446117376,'fi'),(1446182912,'sa'),(1446248448,'dk'),(1446313984,'gb'),(1446445056,'ro'),(1446510592,'de'),(1446543360,'at'),(1446608896,'by'),(1446641664,'si'),(1446674432,'dk'),(1446707200,'at'),(1446739968,'ru'),(1446772736,'sa'),(1446805504,'fi'),(1446838272,'si'),(1446871040,'cz'),(1446903808,'ae'),(1446920192,'ru'),(1446936576,'no'),(1446952960,'qa'),(1446969344,'gb'),(1446985728,'pl'),(1447010304,'lv'),(1447018496,'cz'),(1447026688,'fr'),(1448083456,'nl'),(1449132032,'ae'),(1449394176,'lt'),(1449459712,'hu'),(1449525248,'ru'),(1449590784,'de'),(1449656320,'ro'),(1449918464,'jo'),(1449951232,'tr'),(1449984000,'nl'),(1449992192,'ir'),(1450000384,'hu'),(1450008576,'es'),(1450016768,'it'),(1450024960,'es'),(1450033152,'ru'),(1450041344,'de'),(1450049536,'ru'),(1450057728,'ee'),(1450065920,'de'),(1450074112,'ru'),(1450082304,'it'),(1450090496,'ru'),(1450106880,'sk'),(1450115072,'ru'),(1450123264,'at'),(1450131456,'ua'),(1450139648,'pl'),(1450147840,'ru'),(1450156032,'gb'),(1450164224,'sa'),(1450166272,'pl'),(1450168320,'fr'),(1450170368,'gb'),(1450172416,'ua'),(1450174464,'de'),(1450176512,'pl'),(1450178560,'de'),(1450180608,'gb'),(1450311680,'fi'),(1450442752,'ch'),(1450704896,'ro'),(1451229184,'gb'),(1455423488,'fr'),(1459617792,'it'),(1461714944,'ie'),(1462763520,'dk'),(1463812096,'be'),(1464074240,'il'),(1464336384,'dk'),(1464467456,'gb'),(1464664064,'de'),(1464860672,'gb'),(1465384960,'fr'),(1465647104,'fi'),(1465909248,'pl'),(1465942016,'se'),(1465974784,'hu'),(1466007552,'bg'),(1466040320,'eu'),(1466073088,'fr'),(1466105856,'pl'),(1466122240,'lv'),(1466130432,'pl'),(1466138624,'se'),(1466171392,'fr'),(1466204160,'fi'),(1466236928,'nl'),(1466241024,'pl'),(1466249216,'gr'),(1466253312,'pl'),(1466257408,'gr'),(1466261504,'gb'),(1466265600,'hu'),(1466269696,'sa'),(1466302464,'gb'),(1466335232,'ch'),(1466368000,'pt'),(1466400768,'ru'),(1466433536,'dk'),(1466499072,'pl'),(1466564608,'de'),(1466630144,'ir'),(1466695680,'fi'),(1466761216,'sa'),(1466826752,'lv'),(1466892288,'es'),(1466957824,'gb'),(1467219968,'dk'),(1467236352,'bg'),(1467252736,'cs'),(1467269120,'pl'),(1467285504,'ru'),(1467301888,'gb'),(1467318272,'ru'),(1467334656,'gb'),(1467351040,'no'),(1467367424,'de'),(1467383808,'bg'),(1467400192,'ru'),(1467416576,'pl'),(1467432960,'bg'),(1467449344,'si'),(1467457536,'ee'),(1467465728,'de'),(1467473920,'ru'),(1467482112,'bg'),(1467613184,'de'),(1467744256,'gb'),(1467875328,'bg'),(1467940864,'gb'),(1468006400,'de'),(1472200704,'ie'),(1472266240,'de'),(1472331776,'gb'),(1472397312,'nl'),(1472462848,'pt'),(1472528384,'sk'),(1472593920,'ie'),(1472659456,'pl'),(1472724992,'ae'),(1472856064,'gr'),(1472987136,'pl'),(1473249280,'nl'),(1473773568,'es'),(1474297856,'gb'),(1474330624,'ru'),(1474396160,'de'),(1474428928,'lv'),(1474461696,'ru'),(1474494464,'se'),(1474527232,'bg'),(1474560000,'ru'),(1474592768,'cy'),(1474625536,'hu'),(1474658304,'ru'),(1474691072,'de'),(1474723840,'sa'),(1474756608,'fr'),(1474822144,'ie'),(1474887680,'nl'),(1474953216,'de'),(1475018752,'es'),(1475084288,'nl'),(1475086336,'ru'),(1475092480,'cy'),(1475094528,'ru'),(1475096576,'bh'),(1475098624,'gb'),(1475102720,'fr'),(1475104768,'ru'),(1475106816,'gb'),(1475108864,'nl'),(1475110912,'de'),(1475112960,'at'),(1475115008,'kw'),(1475117056,'gb'),(1475119104,'bh'),(1475121152,'gb'),(1475123200,'fi'),(1475129344,'be'),(1475131392,'ru'),(1475133440,'cz'),(1475135488,'ch'),(1475137536,'se'),(1475139584,'be'),(1475141632,'fi'),(1475143680,'jo'),(1475145728,'es'),(1475147776,'gb'),(1475149824,'nl'),(1475151872,'be'),(1475153920,'gb'),(1475155968,'nl'),(1475158016,'is'),(1475160064,'ru'),(1475162112,'gb'),(1475170304,'es'),(1475172352,'de'),(1475174400,'nl'),(1475176448,'ro'),(1475178496,'ru'),(1475180544,'de'),(1475184640,'ru'),(1475186688,'es'),(1475188736,'se'),(1475190784,'gb'),(1475192832,'ch'),(1475194880,'de'),(1475196928,'gb'),(1475198976,'bh'),(1475201024,'cs'),(1475203072,'se'),(1475205120,'de'),(1475207168,'ae'),(1475209216,'uz'),(1475211264,'de'),(1475213312,'fr'),(1475215360,'it'),(1475223552,'no'),(1475233792,'gb'),(1475235840,'ie'),(1475237888,'es'),(1475239936,'ru'),(1475241984,'mc'),(1475244032,'de'),(1475248128,'jo'),(1475250176,'de'),(1475252224,'fr'),(1475254272,'ua'),(1475256320,'be'),(1475258368,'nl'),(1475260416,'fr'),(1475262464,'de'),(1475266560,'gb'),(1475268608,'cs'),(1475270656,'gb'),(1475272704,'be'),(1475274752,'ru'),(1475276800,'es'),(1475278848,'dk'),(1475280896,'pl'),(1475282944,'nl'),(1475284992,'gb'),(1475287040,'ru'),(1475291136,'pl'),(1475293184,'gb'),(1475297280,'dk'),(1475299328,'pl'),(1475301376,'lt'),(1475303424,'pl'),(1475305472,'nl'),(1475307520,'ru'),(1475309568,'lt'),(1475311616,'fi'),(1475313664,'de'),(1475317760,'ru'),(1475319808,'bg'),(1475321856,'ro'),(1475323904,'pl'),(1475328000,'ua'),(1475330048,'pl'),(1475332096,'ch'),(1475336192,'pl'),(1475338240,'ro'),(1475340288,'gr'),(1475342336,'pl'),(1475344384,'ro'),(1475346432,'ru'),(1475362816,'fr'),(1475395584,'lu'),(1475411968,'gb'),(1475428352,'se'),(1475444736,'am'),(1475461120,'ru'),(1475477504,'hu'),(1475493888,'ru'),(1475510272,'gb'),(1475543040,'de'),(1475559424,'gr'),(1475575808,'at'),(1475592192,'gb'),(1475608576,'ru'),(1475624960,'je'),(1475641344,'ua'),(1475657728,'sk'),(1475674112,'de'),(1475690496,'ch'),(1475706880,'ru'),(1475723264,'gb'),(1475739648,'bg'),(1475756032,'gb'),(1475772416,'lv'),(1475788800,'pl'),(1475805184,'kz'),(1475821568,'lt'),(1475837952,'gb'),(1475846144,'ir'),(1475854336,'at'),(1475862528,'it'),(1475866624,'gb'),(1475868672,'bg'),(1475870720,'no'),(1475878912,'it'),(1475887104,'pl'),(1475895296,'gb'),(1475903488,'ir'),(1475911680,'md'),(1475919872,'eu'),(1475928064,'ru'),(1475952640,'gb'),(1475960832,'nl'),(1475969024,'cz'),(1475977216,'se'),(1475985408,'pl'),(1475993600,'ru'),(1476009984,'cs'),(1476018176,'it'),(1476026368,'ba'),(1476034560,'nl'),(1476042752,'pl'),(1476050944,'ru'),(1476067328,'tr'),(1476075520,'nl'),(1476083712,'ru'),(1476116480,'se'),(1476124672,'pl'),(1476132864,'fr'),(1476141056,'gb'),(1476149248,'no'),(1476157440,'bh'),(1476165632,'hr'),(1476173824,'bg'),(1476182016,'ie'),(1476190208,'by'),(1476198400,'ru'),(1476206592,'ge'),(1476214784,'se'),(1476222976,'it'),(1476231168,'nl'),(1476239360,'de'),(1476247552,'ru'),(1476263936,'gb'),(1476272128,'no'),(1476280320,'gb'),(1476288512,'lu'),(1476296704,'ru'),(1476304896,'bg'),(1476313088,'fi'),(1476321280,'mc'),(1476329472,'ru'),(1476337664,'nl'),(1476345856,'md'),(1476354048,'eu'),(1476362240,'fr'),(1476370432,'se'),(1476378624,'kz'),(1476386816,'ru'),(1476395008,'es'),(1478492160,'it'),(1480589312,'de'),(1481637888,'se'),(1481646080,'ru'),(1481654272,'it'),(1481662464,'bg'),(1481678848,'gb'),(1481687040,'de'),(1481695232,'sk'),(1481703424,'sa'),(1481711616,'ru'),(1481719808,'cz'),(1481728000,'ie'),(1481736192,'gb'),(1481744384,'it'),(1481752576,'ru'),(1481760768,'ua'),(1481768960,'gb'),(1481777152,'be'),(1481785344,'ru'),(1481793536,'li'),(1481801728,'gb'),(1481809920,'ru'),(1481818112,'es'),(1481826304,'de'),(1481834496,'gl'),(1481842688,'se'),(1481850880,'dk'),(1481859072,'gb'),(1481867264,'se'),(1481875456,'cz'),(1481883648,'ru'),(1481891840,'cz'),(1481900032,'ch'),(1481908224,'no'),(1481916416,'es'),(1481924608,'sa'),(1481932800,'de'),(1481940992,'no'),(1481949184,'ru'),(1481957376,'se'),(1481965568,'ch'),(1481973760,'fo'),(1481981952,'nl'),(1481990144,'mk'),(1481998336,'fi'),(1482006528,'ru'),(1482022912,'sa'),(1482031104,'sy'),(1482039296,'se'),(1482047488,'ru'),(1482055680,'cz'),(1482063872,'fi'),(1482072064,'it'),(1482080256,'ru'),(1482088448,'fr'),(1482096640,'bg'),(1482104832,'no'),(1482113024,'ru'),(1482121216,'it'),(1482129408,'es'),(1482137600,'ie'),(1482145792,'es'),(1482153984,'hu'),(1482162176,'no'),(1482686464,'gb'),(1482948608,'cz'),(1483210752,'gb'),(1483735040,'fi'),(1483997184,'at'),(1484128256,'lt'),(1484259328,'fr'),(1484783616,'de'),(1484849152,'se'),(1484914688,'de'),(1484980224,'se'),(1485045760,'hu'),(1485111296,'de'),(1485307904,'fr'),(1485832192,'gb'),(1485963264,'cz'),(1486028800,'be'),(1486061568,'ru'),(1486094336,'es'),(1486127104,'fi'),(1486159872,'is'),(1486192640,'it'),(1486225408,'de'),(1486258176,'rs'),(1486290944,'ie'),(1486292992,'ru'),(1486295040,'es'),(1486297088,'ie'),(1486299136,'nl'),(1486301184,'dk'),(1486303232,'is'),(1486305280,'no'),(1486307328,'de'),(1486309376,'at'),(1486311424,'ie'),(1486315520,'hu'),(1486317568,'ru'),(1486321664,'eu'),(1486325760,'sa'),(1486327808,'gb'),(1486329856,'fr'),(1486331904,'no'),(1486333952,'se'),(1486336000,'kz'),(1486338048,'ru'),(1486340096,'az'),(1486342144,'ru'),(1486344192,'no'),(1486346240,'gb'),(1486348288,'eu'),(1486350336,'tr'),(1486352384,'be'),(1486354432,'ru'),(1486356480,'de'),(1486487552,'ua'),(1486618624,'pl'),(1486684160,'pt'),(1486749696,'ro'),(1486815232,'nl'),(1486880768,'fr'),(1488977920,'fi'),(1489240064,'ee'),(1489305600,'gr'),(1489338368,'be'),(1489371136,'de'),(1489436672,'pl'),(1489502208,'si'),(1489534976,'ru'),(1489567744,'bh'),(1489600512,'ru'),(1489633280,'it'),(1489666048,'gb'),(1489698816,'mt'),(1489731584,'bg'),(1489764352,'ru'),(1489797120,'kz'),(1489829888,'de'),(1489862656,'ru'),(1489928192,'se'),(1489960960,'hr'),(1489993728,'lu'),(1490026496,'ua'),(1490042880,'cz'),(1490059264,'de'),(1490075648,'gb'),(1490092032,'de'),(1490108416,'mc'),(1490124800,'hu'),(1490157568,'ru'),(1490173952,'pt'),(1490190336,'gb'),(1490206720,'ge'),(1490223104,'gb'),(1490255872,'nl'),(1490272256,'gb'),(1490288640,'sk'),(1490305024,'dk'),(1490321408,'gb'),(1490337792,'ru'),(1490354176,'sa'),(1490386944,'it'),(1490403328,'bg'),(1490419712,'de'),(1490436096,'ua'),(1490452480,'pt'),(1490468864,'gb'),(1490501632,'de'),(1490518016,'ru'),(1490534400,'de'),(1490550784,'lt'),(1490616320,'de'),(1490681856,'gr'),(1490747392,'fr'),(1490812928,'pl'),(1490878464,'eu'),(1490944000,'lt'),(1491075072,'tr'),(1493172224,'de'),(1493303296,'fr'),(1493434368,'sa'),(1493565440,'es'),(1493696512,'no'),(1493958656,'de'),(1494220800,'fr'),(1494228992,'ru'),(1494237184,'ie'),(1494245376,'ru'),(1494253568,'de'),(1494261760,'gb'),(1494269952,'at'),(1494278144,'gb'),(1494286336,'hr'),(1494294528,'ru'),(1494302720,'fi'),(1494310912,'gb'),(1494319104,'mt'),(1494327296,'it'),(1494335488,'es'),(1494343680,'pl'),(1494351872,'ro'),(1494360064,'hr'),(1494368256,'ie'),(1494376448,'se'),(1494384640,'ru'),(1494392832,'nl'),(1494401024,'lv'),(1494409216,'fi'),(1494417408,'tr'),(1494425600,'ru'),(1494433792,'ie'),(1494441984,'ua'),(1494450176,'dk'),(1494458368,'ru'),(1494474752,'de'),(1494482944,'ru'),(1494499328,'nl'),(1494507520,'ru'),(1494523904,'nl'),(1494532096,'gb'),(1494540288,'no'),(1494548480,'gb'),(1494556672,'de'),(1494564864,'ua'),(1494573056,'ro'),(1494581248,'ru'),(1494589440,'nl'),(1494597632,'ru'),(1494605824,'gb'),(1494745088,'cz'),(1494810624,'bg'),(1494843392,'pl'),(1494876160,'at'),(1494908928,'pt'),(1494941696,'fi'),(1494974464,'de'),(1495007232,'md'),(1495040000,'kz'),(1495042048,'de'),(1495044096,'fr'),(1495046144,'bh'),(1495048192,'ru'),(1495050240,'gb'),(1495052288,'ie'),(1495054336,'gb'),(1495056384,'ru'),(1495058432,'ua'),(1495060480,'gb'),(1495062528,'jo'),(1495066624,'gb'),(1495068672,'de'),(1495070720,'ru'),(1495072768,'cz'),(1495105536,'es'),(1495138304,'fr'),(1495171072,'nl'),(1495203840,'de'),(1495205888,'cz'),(1495207936,'ru'),(1495209984,'kz'),(1495212032,'de'),(1495214080,'cz'),(1495216128,'gb'),(1495218176,'it'),(1495220224,'pl'),(1495222272,'it'),(1495224320,'ru'),(1495228416,'nl'),(1495230464,'ru'),(1495234560,'ch'),(1495236608,'at'),(1495238656,'de'),(1495240704,'fr'),(1495242752,'mk'),(1495244800,'cz'),(1495246848,'ie'),(1495248896,'gr'),(1495250944,'ru'),(1495252992,'bh'),(1495255040,'it'),(1495257088,'gb'),(1495259136,'be'),(1495261184,'pt'),(1495263232,'gb'),(1495265280,'ru'),(1495267328,'se'),(1495269376,'ro'),(1496317952,'de'),(1497366528,'pl'),(1498415104,'fr'),(1499463680,'it'),(1499594752,'nl'),(1499725824,'ie'),(1499856896,'cz'),(1499987968,'at'),(1499996160,'gb'),(1500004352,'ru'),(1500020736,'is'),(1500028928,'nl'),(1500037120,'dk'),(1500045312,'gb'),(1500061696,'no'),(1500069888,'it'),(1500078080,'gb'),(1500086272,'ru'),(1500094464,'at'),(1500102656,'nl'),(1500110848,'ua'),(1500119040,'tr'),(1500127232,'ru'),(1500135424,'de'),(1500143616,'bg'),(1500151808,'gb'),(1500153856,'ie'),(1500155904,'gb'),(1500157952,'de'),(1500160000,'nl'),(1500162048,'ru'),(1500164096,'gb'),(1500166144,'fr'),(1500168192,'ru'),(1500170240,'lu'),(1500172288,'at'),(1500174336,'de'),(1500176384,'gb'),(1500178432,'kz'),(1500180480,'be'),(1500182528,'ru'),(1500184576,'gb'),(1500186624,'kw'),(1500188672,'gb'),(1500190720,'ru'),(1500194816,'gb'),(1500196864,'es'),(1500198912,'gb'),(1500200960,'de'),(1500203008,'gb'),(1500205056,'ru'),(1500207104,'it'),(1500209152,'kz'),(1500211200,'ru'),(1500217344,'cz'),(1500219392,'fr'),(1500221440,'sk'),(1500223488,'pl'),(1500225536,'de'),(1500227584,'fr'),(1500229632,'es'),(1500231680,'de'),(1500233728,'ru'),(1500237824,'se'),(1500241920,'tr'),(1500243968,'gb'),(1500246016,'es'),(1500248064,'hu'),(1500250112,'sa'),(1500266496,'ru'),(1500282880,'lb'),(1500299264,'pl'),(1500315648,'ru'),(1500332032,'pt'),(1500348416,'ru'),(1500397568,'ua'),(1500413952,'de'),(1500430336,'cs'),(1500446720,'lv'),(1500463104,'cz'),(1500479488,'ru'),(1500495872,'ba'),(1500512256,'ru'),(1500643328,'ro'),(1500774400,'lt'),(1500905472,'it'),(1501036544,'ro'),(1501298688,'ie'),(1501560832,'es'),(1501822976,'hu'),(1502085120,'ro'),(1502216192,'il'),(1502347264,'es'),(1502478336,'si'),(1502609408,'de'),(1502625792,'sa'),(1502642176,'ir'),(1502658560,'at'),(1502674944,'de'),(1502691328,'gb'),(1502707712,'ru'),(1502724096,'gb'),(1502740480,'nl'),(1502756864,'uz'),(1502773248,'ba'),(1502789632,'de'),(1502806016,'sa'),(1502822400,'hu'),(1502838784,'se'),(1502855168,'az'),(1502871552,'bh'),(1502887936,'hu'),(1502904320,'it'),(1502920704,'ru'),(1502937088,'ro'),(1502953472,'md'),(1502969856,'eu'),(1502986240,'de'),(1503002624,'ge'),(1503019008,'dk'),(1503051776,'se'),(1503068160,'pl'),(1503084544,'gb'),(1503100928,'ru'),(1503117312,'no'),(1503133696,'pt'),(1503395840,'fr'),(1503657984,'se'),(1503690752,'is'),(1503723520,'pl'),(1503789056,'no'),(1503821824,'ua'),(1503854592,'ru'),(1503887360,'de'),(1503920128,'hr'),(1503985664,'ir'),(1504018432,'ro'),(1504051200,'fi'),(1504083968,'de'),(1504116736,'pl'),(1504149504,'gb'),(1504247808,'ru'),(1504313344,'fr'),(1504378880,'pl'),(1504444416,'hr'),(1504509952,'sk'),(1504575488,'pl'),(1504641024,'ru'),(1504706560,'cz'),(1504837632,'ru'),(1504968704,'pt'),(1505099776,'de'),(1505230848,'ru'),(1505239040,'ie'),(1505247232,'ua'),(1505255424,'it'),(1505263616,'dk'),(1505271808,'nl'),(1505280000,'ru'),(1505296384,'ua'),(1505304576,'fr'),(1505312768,'ru'),(1505320960,'at'),(1505329152,'gb'),(1505337344,'fr'),(1505345536,'mk'),(1505353728,'cz'),(1505361920,'pl'),(1505370112,'sm'),(1505378304,'it'),(1505386496,'hu'),(1505394688,'de'),(1505402880,'dk'),(1505411072,'bg'),(1505419264,'ru'),(1505427456,'ua'),(1505435648,'md'),(1505443840,'gb'),(1505460224,'cz'),(1505476608,'ru'),(1505484800,'pl'),(1505492992,'nl'),(1505501184,'cs'),(1505509376,'sa'),(1505517568,'ru'),(1505525760,'it'),(1505533952,'ru'),(1505542144,'pl'),(1505550336,'ru'),(1505566720,'it'),(1505574912,'ye'),(1505591296,'ru'),(1505607680,'se'),(1505615872,'sa'),(1505624064,'fi'),(1505632256,'cz'),(1505648640,'lt'),(1505656832,'bh'),(1505665024,'it'),(1505673216,'bg'),(1505681408,'ru'),(1505689600,'no'),(1505697792,'ie'),(1505705984,'de'),(1505714176,'lv'),(1505722368,'pl'),(1505738752,'gb'),(1505746944,'ru'),(1505755136,'gb'),(1506017280,'de'),(1506279424,'nl'),(1506312192,'gb'),(1506316288,'pl'),(1506322432,'de'),(1506324480,'ru'),(1506328576,'fi'),(1506330624,'nl'),(1506332672,'pl'),(1506334720,'gb'),(1506336768,'pl'),(1506338816,'ua'),(1506340864,'ro'),(1506342912,'ua'),(1506344960,'lv'),(1506377728,'hr'),(1506410496,'de'),(1506443264,'gb'),(1506476032,'kw'),(1506508800,'cz'),(1506541568,'ru'),(1506574336,'de'),(1506582528,'ie'),(1506607104,'mk'),(1506639872,'nl'),(1506672640,'pl'),(1506689024,'ch'),(1506705408,'gb'),(1506740224,'fi'),(1506742272,'se'),(1506744320,'nl'),(1506746368,'ru'),(1506750464,'gb'),(1506752512,'ie'),(1506754560,'ru'),(1506758656,'it'),(1506760704,'ru'),(1506764800,'it'),(1506766848,'no'),(1506768896,'at'),(1506770944,'nl'),(1506775040,'at'),(1506777088,'gb'),(1506783232,'ru'),(1506785280,'ua'),(1506789376,'de'),(1506791424,'gb'),(1506793472,'ru'),(1506795520,'ie'),(1506797568,'es'),(1506799616,'lv'),(1506801664,'de'),(1506803712,'ru'),(1506869248,'ua'),(1506934784,'gr'),(1507000320,'qa'),(1507065856,'si'),(1507131392,'gb'),(1507196928,'pt'),(1507262464,'bg'),(1507328000,'cs'),(1507393536,'ch'),(1507459072,'kz'),(1507524608,'eu'),(1507590144,'nl'),(1507655680,'de'),(1507659776,'ru'),(1507663872,'it'),(1507667968,'ru'),(1507672064,'ee'),(1507676160,'ir'),(1507680256,'no'),(1507684352,'lv'),(1507688448,'it'),(1507696640,'dk'),(1507700736,'nl'),(1507704832,'ru'),(1507708928,'cz'),(1507713024,'ru'),(1507717120,'se'),(1507721216,'gb'),(1507753984,'ru'),(1507819520,'hu'),(1507852288,'fr'),(1508114432,'pl'),(1508376576,'ge'),(1508392960,'ru'),(1508442112,'dk'),(1508458496,'ru'),(1508474880,'cz'),(1508491264,'se'),(1508507648,'gb'),(1508524032,'ie'),(1508540416,'fr'),(1508556800,'pl'),(1508573184,'cz'),(1508589568,'ir'),(1508605952,'ru'),(1508622336,'ee'),(1508638720,'se'),(1508655104,'fi'),(1508671488,'ch'),(1508687872,'uz'),(1508704256,'ru'),(1508720640,'fr'),(1508737024,'sa'),(1508753408,'kg'),(1508769792,'pl'),(1508786176,'de'),(1508802560,'gb'),(1508818944,'ro'),(1508835328,'cz'),(1508851712,'pl'),(1508868096,'ru'),(1508884480,'dk'),(1508900864,'gb'),(1509163008,'de'),(1509425152,'no'),(1509429248,'gb'),(1509433344,'ch'),(1509437440,'gb'),(1509445632,'lv'),(1509449728,'es'),(1509453824,'ru'),(1509457920,'gb'),(1509462016,'li'),(1509466112,'nl'),(1509470208,'ru'),(1509478400,'fr'),(1509482496,'ru'),(1509486592,'cz'),(1509490688,'dk'),(1509494784,'ru'),(1509498880,'ch'),(1509502976,'ru'),(1509507072,'gb'),(1509511168,'lt'),(1509515264,'hr'),(1509519360,'ru'),(1509531648,'gb'),(1509535744,'ru'),(1509539840,'am'),(1509543936,'lb'),(1509548032,'ru'),(1509564416,'gb'),(1509568512,'fi'),(1509572608,'nl'),(1509576704,'kz'),(1509580800,'cz'),(1509584896,'no'),(1509588992,'de'),(1509593088,'ru'),(1509601280,'nl'),(1509605376,'pl'),(1509609472,'ru'),(1509617664,'cz'),(1509621760,'nl'),(1509625856,'ua'),(1509629952,'hu'),(1509634048,'fr'),(1509638144,'ru'),(1509642240,'kw'),(1509646336,'ru'),(1509650432,'gb'),(1509654528,'de'),(1509658624,'ru'),(1509666816,'it'),(1509670912,'gb'),(1509675008,'no'),(1509679104,'es'),(1509683200,'ch'),(1509687296,'ua'),(1509703680,'ru'),(1509720064,'tr'),(1509736448,'bg'),(1509752832,'ru'),(1509769216,'se'),(1509785600,'bg'),(1509801984,'ru'),(1509818368,'no'),(1509851136,'lv'),(1509867520,'ru'),(1509883904,'nl'),(1509900288,'ru'),(1509916672,'gb'),(1509933056,'ru'),(1509949440,'fr'),(1518338048,'se'),(1519452160,'nl'),(1519517696,'at'),(1519583232,'it'),(1519648768,'sa'),(1519714304,'no'),(1519779840,'ru'),(1519910912,'gb'),(1519943680,'at'),(1519976448,'de'),(1520009216,'sy'),(1520041984,'ru'),(1520074752,'bg'),(1520107520,'gb'),(1520140288,'ru'),(1520173056,'pl'),(1520205824,'ru'),(1520271360,'si'),(1520304128,'tr'),(1520435200,'es'),(1521483776,'cz'),(1522008064,'dk'),(1522139136,'de'),(1522270208,'ru'),(1522401280,'ee'),(1522532352,'gb'),(1524629504,'se'),(1525678080,'eu'),(1526726656,'de'),(1531183104,'fr'),(1531445248,'ae'),(1531707392,'ru'),(1531969536,'it'),(1532100608,'hu'),(1532231680,'gb'),(1532362752,'be'),(1532493824,'fr'),(1532559360,'de'),(1532624896,'eu'),(1532626944,'ua'),(1532631040,'se'),(1532633088,'ua'),(1532635136,'no'),(1532637184,'fi'),(1532639232,'pl'),(1532641280,'nl'),(1532643328,'pl'),(1532645376,'ua'),(1532647424,'pl'),(1532649472,'fr'),(1532651520,'no'),(1532653568,'pl'),(1532655616,'ro'),(1532657664,'il'),(1532661760,'de'),(1532665856,'pl'),(1532674048,'ua'),(1532682240,'lv'),(1532690432,'fr'),(1532755968,'bg'),(1532821504,'tr'),(1532887040,'pl'),(1532952576,'se'),(1533018112,'de'),(1533149184,'ir'),(1533280256,'dk'),(1533411328,'gb'),(1533413376,'no'),(1533415424,'sa'),(1533417472,'no'),(1533419520,'kw'),(1533421568,'nl'),(1533423616,'it'),(1533425664,'gb'),(1533429760,'it'),(1533431808,'ie'),(1533433856,'dk'),(1533435904,'cz'),(1533437952,'ru'),(1533440000,'pl'),(1533442048,'ae'),(1533444096,'it'),(1533446144,'de'),(1533448192,'kw'),(1533450240,'ru'),(1533452288,'tr'),(1533454336,'cs'),(1533456384,'ua'),(1533458432,'gb'),(1533460480,'nl'),(1533462528,'ru'),(1533464576,'nl'),(1533466624,'ru'),(1533468672,'cs'),(1533470720,'kw'),(1533472768,'es'),(1533474816,'fr'),(1533476864,'ie'),(1533478912,'cs'),(1533480960,'nl'),(1533483008,'am'),(1533485056,'gb'),(1533487104,'fr'),(1533491200,'am'),(1533493248,'ru'),(1533499392,'mt'),(1533501440,'lt'),(1533503488,'ru'),(1533505536,'de'),(1533507584,'ua'),(1533509632,'gb'),(1533511680,'fr'),(1533513728,'kw'),(1533515776,'ru'),(1533517824,'cz'),(1533519872,'gb'),(1533526016,'ru'),(1533532160,'gb'),(1533534208,'ru'),(1533536256,'fr'),(1533538304,'de'),(1533540352,'at'),(1533542400,'gb'),(1534066688,'at'),(1534328832,'es'),(1534459904,'at'),(1534590976,'hu'),(1534656512,'fr'),(1534722048,'ru'),(1534787584,'ro'),(1534791680,'ua'),(1534795776,'no'),(1534803968,'lv'),(1534808064,'ru'),(1534812160,'ch'),(1534816256,'fr'),(1534820352,'fi'),(1534824448,'ua'),(1534828544,'pl'),(1534836736,'se'),(1534840832,'pl'),(1534844928,'ie'),(1534849024,'nl'),(1534853120,'ua'),(1534918656,'gb'),(1534984192,'se'),(1535049728,'sk'),(1535115264,'se'),(1535377408,'gr'),(1535442944,'fi'),(1535508480,'bg'),(1535574016,'gb'),(1535578112,'lv'),(1535582208,'no'),(1535590400,'ch'),(1535594496,'lv'),(1535598592,'il'),(1535602688,'hu'),(1535606784,'no'),(1535610880,'ru'),(1535614976,'at'),(1535619072,'fr'),(1535623168,'kz'),(1535627264,'ru'),(1535631360,'gb'),(1535635456,'az'),(1535639552,'gb'),(1535672320,'de'),(1535705088,'ch'),(1535737856,'hu'),(1535770624,'ch'),(1535803392,'gr'),(1535836160,'hu'),(1535868928,'bg'),(1535901696,'gr'),(1535934464,'kw'),(1535967232,'at'),(1536000000,'nl'),(1536032768,'lv'),(1536036864,'at'),(1536040960,'gb'),(1536045056,'lu'),(1536049152,'nl'),(1536053248,'ru'),(1536057344,'ie'),(1536061440,'se'),(1536065536,'eu'),(1536069632,'ru'),(1536073728,'ua'),(1536077824,'se'),(1536081920,'pl'),(1536086016,'es'),(1536090112,'ie'),(1536094208,'nl'),(1536098304,'ru'),(1536114688,'gb'),(1536118784,'de'),(1536122880,'at'),(1536126976,'dk'),(1536131072,'ru'),(1536143360,'gb'),(1536147456,'it'),(1536151552,'cs'),(1536155648,'il'),(1536159744,'de'),(1536163840,'sy'),(1536180224,'hu'),(1536196608,'ru'),(1536212992,'dk'),(1536229376,'se'),(1536245760,'fi'),(1536262144,'pl'),(1536278528,'ua'),(1536294912,'ru'),(1536327680,'hu'),(1536344064,'pl'),(1536360448,'ru'),(1536376832,'kz'),(1536393216,'sa'),(1536409600,'hu'),(1536425984,'sk'),(1536442368,'rs'),(1536458752,'bg'),(1536475136,'nl'),(1536491520,'se'),(1536507904,'ru'),(1536524288,'by'),(1536540672,'pl'),(1536557056,'fi'),(1536573440,'cs'),(1536589824,'pl'),(1536614400,'dk'),(1536622592,'gb'),(1536626688,'it'),(1536630784,'ru'),(1536634880,'fr'),(1536643072,'tr'),(1536647168,'es'),(1536651264,'fr'),(1536655360,'ge'),(1536659456,'de'),(1536663552,'sa'),(1536667648,'ru'),(1536675840,'gb'),(1536679936,'lb'),(1536684032,'ru'),(1536688128,'fi'),(1537212416,'fr'),(1538260992,'be'),(1538785280,'nl'),(1538793472,'de'),(1538801664,'ir'),(1538809856,'ge'),(1538818048,'no'),(1538826240,'de'),(1538834432,'cy'),(1538842624,'ru'),(1538850816,'kz'),(1538859008,'ru'),(1538875392,'cs'),(1538883584,'be'),(1538891776,'de'),(1538899968,'si'),(1538908160,'ru'),(1538916352,'gb'),(1538924544,'de'),(1538932736,'no'),(1538940928,'ru'),(1538949120,'at'),(1538957312,'eu'),(1538965504,'ir'),(1538973696,'jo'),(1538981888,'by'),(1538990080,'cz'),(1538998272,'ad'),(1539006464,'cs'),(1539022848,'lt'),(1539031040,'it'),(1539039232,'pl'),(1539047424,'it'),(1539055616,'lv'),(1539063808,'fr'),(1539072000,'pl'),(1539080192,'uz'),(1539088384,'ru'),(1539096576,'tr'),(1539112960,'pl'),(1539115008,'eu'),(1539117056,'pl'),(1539123200,'se'),(1539125248,'ru'),(1539127296,'pl'),(1539129344,'ie'),(1539131392,'pl'),(1539133440,'ru'),(1539135488,'gb'),(1539137536,'nl'),(1539139584,'eu'),(1539141632,'ua'),(1539143680,'no'),(1539145728,'ua'),(1539147776,'pl'),(1539149824,'eu'),(1539153920,'ru'),(1539155968,'no'),(1539160064,'ru'),(1539162112,'de'),(1539164160,'dk'),(1539166208,'fi'),(1539168256,'pl'),(1539170304,'nl'),(1539172352,'ru'),(1539176448,'pl'),(1539178496,'ch'),(1539186688,'lv'),(1539194880,'ru'),(1539203072,'nl'),(1539207168,'ru'),(1539211264,'cz'),(1539213312,'se'),(1539215360,'de'),(1539219456,'dk'),(1539221504,'fr'),(1539223552,'de'),(1539225600,'hu'),(1539227648,'kw'),(1539229696,'de'),(1539231744,'be'),(1539233792,'gr'),(1539235840,'de'),(1539237888,'ru'),(1539239936,'de'),(1539244032,'ba'),(1539260416,'sk'),(1539276800,'se'),(1539280896,'fr'),(1539284992,'tr'),(1539289088,'ru'),(1539293184,'az'),(1539297280,'bg'),(1539301376,'ru'),(1539309568,'pl'),(1539310592,'ua'),(1539311616,'nl'),(1539312640,'de'),(1539314688,'ua'),(1539316736,'se'),(1539317760,'ru'),(1539318784,'nl'),(1539319808,'de'),(1539320832,'ua'),(1539321856,'gb'),(1539322880,'dk'),(1539323904,'pl'),(1539324928,'ua'),(1539325952,'kg'),(1539326976,'ru'),(1539329024,'pl'),(1539330048,'ru'),(1539331072,'ua'),(1539332096,'pl'),(1539333120,'ru'),(1539334144,'ua'),(1539335168,'ch'),(1539336192,'ua'),(1539336704,'lv'),(1539337216,'es'),(1539338240,'ru'),(1539339264,'gb'),(1539340288,'pl'),(1539341312,'it'),(1539342336,'ua'),(1539345408,'ro'),(1539346432,'pl'),(1539347456,'ru'),(1539348480,'ua'),(1539351552,'pl'),(1539352576,'ru'),(1539354624,'pl'),(1539355648,'ua'),(1539358720,'gb'),(1539359744,'pl'),(1539362816,'gb'),(1539363840,'dk'),(1539364864,'ua'),(1539365888,'no'),(1539366912,'pl'),(1539368960,'gb'),(1539369984,'bg'),(1539371008,'ua'),(1539372032,'ru'),(1539373056,'pl'),(1539374080,'se'),(1539375104,'no'),(1539376128,'il'),(1539377152,'ua'),(1539378176,'pl'),(1539379200,'de'),(1539380224,'ch'),(1539381248,'rs'),(1539382272,'pl'),(1539383296,'ua'),(1539384320,'ru'),(1539385344,'pl'),(1539385856,'be'),(1539386368,'it'),(1539387392,'il'),(1539388416,'pl'),(1539389440,'eu'),(1539389952,'ru'),(1539390464,'ro'),(1539391488,'lv'),(1539392512,'ua'),(1539396608,'pl'),(1539397632,'ru'),(1539398144,'pl'),(1539398656,'eu'),(1539399680,'pl'),(1539401728,'ua'),(1539402752,'gb'),(1539403264,'ru'),(1539403776,'it'),(1539404800,'lv'),(1539405824,'pl'),(1539406848,'ua'),(1539408896,'cz'),(1539409920,'dk'),(1539410944,'ru'),(1539411968,'pl'),(1539412992,'ru'),(1539414016,'ua'),(1539415040,'bg'),(1539416064,'pl'),(1539417088,'ua'),(1539418112,'ru'),(1539419136,'ua'),(1539420160,'ru'),(1539421184,'eu'),(1539422208,'pl'),(1539423232,'ie'),(1539424256,'ua'),(1539425280,'pl'),(1539426304,'bg'),(1539427328,'ua'),(1539428352,'pl'),(1539429376,'ru'),(1539430400,'cz'),(1539430912,'ru'),(1539431424,'ua'),(1539432448,'ru'),(1539434496,'ua'),(1539435520,'ru'),(1539437568,'gb'),(1539439616,'ua'),(1539440640,'ru'),(1539441664,'il'),(1539442176,'nl'),(1539443200,'ru'),(1539443712,'cz'),(1539444224,'fr'),(1539444736,'ru'),(1539445248,'pl'),(1539445760,'fi'),(1539446272,'se'),(1539446784,'ua'),(1539447296,'se'),(1539447808,'ro'),(1539448832,'gb'),(1539449344,'ua'),(1539449856,'dk'),(1539450368,'se'),(1539450880,'cz'),(1539451392,'ro'),(1539452416,'gb'),(1539452928,'ch'),(1539453440,'ua'),(1539453952,'gb'),(1539454464,'ua'),(1539455488,'ru'),(1539456000,'fr'),(1539456512,'eu'),(1539457024,'ru'),(1539457536,'se'),(1539458048,'gb'),(1539459072,'ua'),(1539459584,'gb'),(1539460096,'lv'),(1539460608,'ua'),(1539461632,'rs'),(1539462144,'de'),(1539462656,'gb'),(1539463168,'ua'),(1539463680,'de'),(1539464192,'ro'),(1539464704,'dk'),(1539465216,'fr'),(1539466752,'kw'),(1539467264,'ua'),(1539467776,'pl'),(1539468288,'eu'),(1539468800,'ru'),(1539469824,'il'),(1539470336,'ua'),(1539470848,'se'),(1539471360,'ru'),(1539471872,'pl'),(1539472384,'ua'),(1539472896,'ie'),(1539473408,'gb'),(1539473920,'kw'),(1539474432,'de'),(1539474944,'ua'),(1539475456,'nl'),(1539475968,'pl'),(1539476480,'ro'),(1539476992,'it'),(1539477504,'pl'),(1539478016,'ch'),(1539478528,'ro'),(1539479040,'gb'),(1539480064,'eu'),(1539480576,'pl'),(1539481088,'gb'),(1539481600,'ru'),(1539482112,'ua'),(1539483136,'eu'),(1539483648,'dk'),(1539484160,'gb'),(1539484672,'ru'),(1539485696,'ro'),(1539486208,'fr'),(1539486720,'de'),(1539487232,'ru'),(1539488256,'se'),(1539488768,'pl'),(1539489280,'ru'),(1539490816,'ch'),(1539491328,'pl'),(1539491840,'ru'),(1539492352,'eu'),(1539492864,'nl'),(1539493376,'ru'),(1539493888,'eu'),(1539494400,'pl'),(1539494912,'ru'),(1539495424,'ua'),(1539495936,'cs'),(1539496448,'nl'),(1539496960,'gb'),(1539497472,'de'),(1539497984,'nl'),(1539498496,'ru'),(1539499008,'pl'),(1539499520,'de'),(1539500544,'ro'),(1539501056,'be'),(1539501568,'ua'),(1539502080,'pl'),(1539502592,'hr'),(1539503104,'ru'),(1539504128,'at'),(1539504640,'ua'),(1539505152,'ru'),(1539506176,'de'),(1539506688,'ua'),(1539507200,'ro'),(1539508224,'no'),(1539508736,'ua'),(1539509760,'ro'),(1539510272,'ru'),(1539510784,'de'),(1539511296,'ua'),(1539511808,'ru'),(1539512320,'bg'),(1539512832,'pl'),(1539513344,'ro'),(1539513856,'ua'),(1539514368,'se'),(1539514880,'eu'),(1539515392,'fr'),(1539515904,'cs'),(1539516416,'at'),(1539516928,'pl'),(1539517440,'ro'),(1539517952,'gb'),(1539518464,'de'),(1539518976,'ru'),(1539519488,'ua'),(1539520000,'de'),(1539520512,'pl'),(1539521024,'dk'),(1539521536,'ru'),(1539522048,'ro'),(1539522560,'gb'),(1539523072,'ro'),(1539523584,'ua'),(1539524096,'eu'),(1539524608,'fr'),(1539525120,'ua'),(1539525632,'se'),(1539526144,'de'),(1539526656,'nl'),(1539527168,'gb'),(1539527680,'ro'),(1539528192,'ua'),(1539528704,'sa'),(1539529216,'ua'),(1539529728,'pl'),(1539530240,'at'),(1539530752,'ua'),(1539531264,'ro'),(1539531776,'ru'),(1539532800,'de'),(1539533312,'cz'),(1539533824,'pl'),(1539534336,'ru'),(1539534848,'gb'),(1539535360,'ru'),(1539535872,'at'),(1539536384,'nl'),(1539536896,'ua'),(1539537408,'gb'),(1539537920,'ua'),(1539538432,'ru'),(1539540480,'pl'),(1539540992,'ru'),(1539541504,'tr'),(1539542016,'de'),(1539542528,'ch'),(1539543040,'ro'),(1539543552,'si'),(1539544064,'ru'),(1539544576,'de'),(1539545088,'gr'),(1539545600,'se'),(1539546112,'ua'),(1539546624,'pl'),(1539547136,'nl'),(1539547648,'il'),(1539548160,'fr'),(1539548672,'gb'),(1539549696,'ru'),(1539550208,'ua'),(1539550720,'eu'),(1539551232,'cs'),(1539551744,'ru'),(1539552256,'ro'),(1539552768,'gb'),(1539553280,'ua'),(1539553792,'gb'),(1539554304,'ch'),(1539554816,'pl'),(1539555328,'gb'),(1539555840,'ro'),(1539556864,'at'),(1539557376,'nl'),(1539557888,'cz'),(1539558400,'ru'),(1539558912,'eu'),(1539559424,'ru'),(1539560448,'gb'),(1539560960,'ua'),(1539561472,'ro'),(1539561984,'eu'),(1539562496,'de'),(1539563008,'ru'),(1539563520,'se'),(1539564032,'kz'),(1539564544,'gb'),(1539565056,'ua'),(1539565568,'pl'),(1539566080,'nl'),(1539566592,'gb'),(1539567104,'ch'),(1539567616,'de'),(1539568128,'es'),(1539568640,'ua'),(1539569152,'eu'),(1539569664,'ua'),(1539570176,'pl'),(1539570688,'ru'),(1539571712,'ua'),(1539572736,'ru'),(1539573760,'pl'),(1539575808,'lv'),(1539576832,'gb'),(1539577856,'ru'),(1539578880,'pl'),(1539579904,'ru'),(1539582976,'ro'),(1539584000,'pl'),(1539585024,'ua'),(1539586048,'pl'),(1539587072,'ua'),(1539588096,'bg'),(1539589120,'gb'),(1539590144,'ru'),(1539592192,'ua'),(1539593216,'il'),(1539594240,'ua'),(1539598336,'nl'),(1539599360,'pl'),(1539600384,'hu'),(1539601408,'de'),(1539602432,'ua'),(1539603456,'bg'),(1539604480,'es'),(1539605504,'ua'),(1539607552,'eu'),(1539609600,'ua'),(1539610624,'ru'),(1539611648,'ua'),(1539614720,'nl'),(1539615744,'dk'),(1539616768,'ua'),(1539617792,'fr'),(1539618816,'gb'),(1539619840,'ru'),(1539620864,'ua'),(1539623936,'de'),(1539624960,'ru'),(1539625984,'pl'),(1539627008,'ru'),(1539628032,'ua'),(1539629056,'bg'),(1539630080,'ua'),(1539632128,'ru'),(1539633152,'se'),(1539634176,'ru'),(1539638272,'ua'),(1539639296,'ru'),(1539640320,'pl'),(1539641344,'ua'),(1539642368,'ru'),(1539643392,'ua'),(1539644416,'de'),(1539645440,'gb'),(1539646464,'ie'),(1539647488,'ua'),(1539652608,'il'),(1539653632,'ru'),(1539654656,'ua'),(1539655680,'nl'),(1539656704,'ru'),(1539657728,'ua'),(1539658752,'fi'),(1539659776,'pl'),(1539660800,'gb'),(1539661824,'ru'),(1539662848,'il'),(1539663872,'ua'),(1539664896,'be'),(1539665920,'ru'),(1539666944,'cz'),(1539667968,'ua'),(1539672064,'eu'),(1539673088,'gb'),(1539674112,'ua'),(1539675136,'pl'),(1539677184,'ua'),(1539679232,'gb'),(1539680256,'ua'),(1539681280,'ru'),(1539684352,'ua'),(1539685376,'ru'),(1539688448,'sa'),(1539689472,'ua'),(1539690496,'fi'),(1539691520,'ru'),(1539692544,'ua'),(1539694592,'pl'),(1539695616,'gb'),(1539696640,'ru'),(1539697664,'ua'),(1539699712,'ro'),(1539700736,'dk'),(1539701760,'ua'),(1539702784,'si'),(1539703040,'ua'),(1539703296,'de'),(1539703552,'eu'),(1539703808,'gb'),(1539704064,'il'),(1539704320,'ch'),(1539704576,'hu'),(1539704832,'ch'),(1539705088,'gb'),(1539705344,'ua'),(1539705600,'ch'),(1539706112,'gb'),(1539706368,'ru'),(1539706624,'pl'),(1539707136,'lt'),(1539707392,'gb'),(1539707648,'ro'),(1539707904,'ua'),(1539708160,'de'),(1539708416,'eu'),(1539708672,'ro'),(1539708928,'ie'),(1539709184,'at'),(1539709440,'eu'),(1539709696,'nl'),(1539709952,'ro'),(1539710208,'gb'),(1539710464,'eu'),(1539710720,'ua'),(1539710976,'de'),(1539711232,'ru'),(1539711488,'ua'),(1539711744,'de'),(1539712000,'ua'),(1539712256,'nl'),(1539712512,'ru'),(1539712768,'ro'),(1539713024,'ua'),(1539713280,'eu'),(1539713536,'dk'),(1539713792,'gb'),(1539714048,'eu'),(1539714304,'gb'),(1539714560,'ua'),(1539714816,'pt'),(1539715072,'se'),(1539715328,'tr'),(1539715584,'ua'),(1539715840,'ru'),(1539716096,'si'),(1539716352,'pl'),(1539716608,'ru'),(1539716864,'pl'),(1539717376,'de'),(1539717632,'ch'),(1539717888,'mk'),(1539718144,'de'),(1539718400,'tr'),(1539718656,'sa'),(1539718912,'kz'),(1539719168,'eu'),(1539719424,'pl'),(1539719680,'de'),(1539720192,'ru'),(1539720704,'il'),(1539720960,'ru'),(1539721216,'ch'),(1539721728,'pl'),(1539721984,'ru'),(1539722240,'pl'),(1539722496,'eu'),(1539722752,'de'),(1539723008,'ch'),(1539723264,'pl'),(1539723520,'gb'),(1539723776,'de'),(1539724032,'ua'),(1539724288,'it'),(1539724544,'ru'),(1539724800,'ua'),(1539725056,'nl'),(1539725312,'fr'),(1539725568,'pl'),(1539725824,'pt'),(1539726080,'ru'),(1539726336,'se'),(1539726592,'at'),(1539726848,'pl'),(1539727104,'se'),(1539727360,'si'),(1539727616,'pl'),(1539727872,'ru'),(1539728128,'be'),(1539728384,'pl'),(1539728640,'ua'),(1539728896,'sa'),(1539729152,'gb'),(1539729408,'ru'),(1539729664,'fr'),(1539729920,'nl'),(1539730176,'gb'),(1539730432,'gr'),(1539730688,'ua'),(1539730944,'pl'),(1539731456,'si'),(1539731712,'de'),(1539731968,'eu'),(1539732480,'ua'),(1539732736,'dk'),(1539732992,'pl'),(1539733248,'bg'),(1539733504,'fi'),(1539733760,'pl'),(1539734016,'gb'),(1539734272,'no'),(1539734528,'tr'),(1539734784,'de'),(1539735040,'be'),(1539735552,'at'),(1539735808,'il'),(1539736064,'ru'),(1539736320,'hu'),(1539736576,'bg'),(1539736832,'ua'),(1539737088,'kw'),(1539737344,'ru'),(1539737600,'ro'),(1539737856,'ru'),(1539738112,'dk'),(1539738368,'eu'),(1539738624,'ua'),(1539738880,'nl'),(1539739136,'at'),(1539739392,'ua'),(1539739648,'dk'),(1539739904,'pl'),(1539740416,'ro'),(1539740672,'at'),(1539740928,'ru'),(1539741184,'pl'),(1539741440,'nl'),(1539741696,'de'),(1539741952,'ua'),(1539742208,'ch'),(1539742464,'ru'),(1539742720,'lv'),(1539742976,'gb'),(1539743232,'gr'),(1539743488,'fr'),(1539743744,'ro'),(1539744000,'hr'),(1539744256,'ro'),(1539744512,'gb'),(1539744768,'se'),(1539745024,'gb'),(1539745536,'ch'),(1539745792,'dk'),(1539746304,'ru'),(1539746560,'ua'),(1539746816,'dk'),(1539747072,'ch'),(1539747328,'nl'),(1539747584,'ua'),(1539747840,'no'),(1539748096,'pl'),(1539748352,'nl'),(1539748608,'pl'),(1539748864,'gb'),(1539749120,'bg'),(1539749376,'pt'),(1539749632,'gr'),(1539749888,'ru'),(1539750144,'tr'),(1539750400,'pl'),(1539750656,'de'),(1539750912,'ua'),(1539751168,'tr'),(1539751424,'si'),(1539751680,'fr'),(1539751936,'de'),(1539752192,'se'),(1539752448,'pl'),(1539752704,'at'),(1539752960,'ro'),(1539753216,'de'),(1539753472,'hu'),(1539753728,'eu'),(1539753984,'gb'),(1539754240,'no'),(1539754496,'se'),(1539754752,'be'),(1539755008,'dk'),(1539755264,'il'),(1539755520,'ee'),(1539755776,'no'),(1539756032,'pl'),(1539756544,'gb'),(1539756800,'be'),(1539757056,'ru'),(1539757312,'gb'),(1539757568,'si'),(1539757824,'ua'),(1539758080,'hr'),(1539758336,'de'),(1539758592,'nl'),(1539758848,'si'),(1539759104,'dk'),(1539759360,'ru'),(1539759616,'pl'),(1539759872,'se'),(1539760128,'gb'),(1539760384,'ru'),(1539760640,'pl'),(1539760896,'dk'),(1539761152,'bg'),(1539761408,'ch'),(1539761664,'pl'),(1539761920,'ru'),(1539762176,'pl'),(1539762432,'ua'),(1539762688,'pl'),(1539762944,'ua'),(1539763200,'md'),(1539763456,'dk'),(1539763712,'de'),(1539763968,'gb'),(1539764224,'at'),(1539764480,'gb'),(1539764736,'ro'),(1539764992,'be'),(1539765248,'ie'),(1539765504,'pl'),(1539766016,'am'),(1539766272,'pl'),(1539766528,'ua'),(1539766784,'de'),(1539767040,'sa'),(1539767296,'dk'),(1539767552,'de'),(1539767808,'il'),(1539768064,'gb'),(1539768320,'eu'),(1539768576,'gb'),(1539768832,'it'),(1539769088,'be'),(1539769600,'at'),(1539769856,'fr'),(1539770112,'gr'),(1539770368,'de'),(1539770624,'gb'),(1539770880,'ru'),(1539771136,'fr'),(1539771392,'pl'),(1539771648,'ua'),(1539771904,'ru'),(1539772160,'be'),(1539772416,'ru'),(1539772672,'rs'),(1539772928,'ru'),(1539773184,'gb'),(1539773440,'kz'),(1539773696,'de'),(1539773952,'pl'),(1539774208,'si'),(1539774464,'ru'),(1539774720,'pl'),(1539774976,'ru'),(1539775232,'ch'),(1539775488,'ua'),(1539775744,'il'),(1539776000,'pl'),(1539776256,'sk'),(1539776512,'hu'),(1539776768,'ua'),(1539777536,'bg'),(1539777792,'ua'),(1539778048,'am'),(1539778304,'lb'),(1539778560,'ru'),(1539778816,'ro'),(1539779072,'gb'),(1539779328,'ch'),(1539779584,'pl'),(1539779840,'nl'),(1539780096,'ru'),(1539780352,'at'),(1539780608,'pl'),(1539780864,'ro'),(1539781120,'nl'),(1539781376,'de'),(1539781632,'hu'),(1539781888,'il'),(1539782144,'ua'),(1539782400,'lt'),(1539782656,'eu'),(1539782912,'pl'),(1539783168,'nl'),(1539783680,'de'),(1539783936,'si'),(1539784192,'ru'),(1539784448,'no'),(1539784704,'se'),(1539784960,'de'),(1539785216,'ch'),(1539785472,'ua'),(1539785728,'se'),(1539785984,'il'),(1539786240,'at'),(1539786496,'gb'),(1539786752,'hu'),(1539787008,'tr'),(1539787264,'eu'),(1539787520,'ua'),(1539787776,'gb'),(1539788032,'hr'),(1539788288,'gb'),(1539788544,'hr'),(1539788800,'il'),(1539789056,'ru'),(1539789312,'ua'),(1539789568,'de'),(1539789824,'nl'),(1539790080,'gb'),(1539790336,'lv'),(1539790592,'pl'),(1539790848,'eu'),(1539791104,'pl'),(1539791360,'ru'),(1539791616,'ua'),(1539792384,'il'),(1539792640,'pl'),(1539792896,'gr'),(1539793152,'pl'),(1539793408,'ch'),(1539793664,'il'),(1539794176,'pl'),(1539794432,'fr'),(1539794944,'ro'),(1539795200,'pl'),(1539795456,'ua'),(1539795712,'sa'),(1539795968,'nl'),(1539796224,'mc'),(1539796480,'gb'),(1539796736,'tr'),(1539796992,'ru'),(1539797248,'dk'),(1539797504,'ru'),(1539797760,'ua'),(1539798016,'hu'),(1539798272,'pl'),(1539798528,'gb'),(1539798784,'il'),(1539799040,'gb'),(1539799296,'dk'),(1539799552,'gb'),(1539799808,'ro'),(1539800064,'si'),(1539800320,'gb'),(1539800576,'lv'),(1539800832,'pl'),(1539801088,'bg'),(1539801344,'gb'),(1539801856,'si'),(1539802112,'pl'),(1539802368,'ro'),(1539802624,'is'),(1539802880,'de'),(1539803136,'gb'),(1539803392,'nl'),(1539803648,'ua'),(1539804160,'pl'),(1539804672,'si'),(1539804928,'ua'),(1539805440,'at'),(1539805696,'ch'),(1539805952,'ru'),(1539806208,'fi'),(1539806464,'cz'),(1539806720,'bg'),(1539806976,'gb'),(1539808000,'hu'),(1539808256,'ru'),(1539808512,'ro'),(1539808768,'de'),(1539809024,'gb'),(1539809280,'es'),(1539809536,'si'),(1539809792,'de'),(1539810048,'ua'),(1539810304,'cz'),(1539810560,'de'),(1539810816,'tr'),(1539811072,'nl'),(1539811328,'cz'),(1539811584,'de'),(1539811840,'se'),(1539812096,'ru'),(1539812352,'ch'),(1539812608,'it'),(1539812864,'si'),(1539813120,'at'),(1539813376,'pl'),(1539813632,'nl'),(1539813888,'ru'),(1539814144,'nl'),(1539814400,'gb'),(1539814912,'ua'),(1539815168,'gb'),(1539815424,'ru'),(1539815936,'ch'),(1539816192,'sa'),(1539816448,'ua'),(1539816704,'ru'),(1539816960,'dk'),(1539817216,'tr'),(1539817472,'de'),(1539817728,'pl'),(1539817984,'ua'),(1539818240,'no'),(1539818496,'ru'),(1539819008,'ch'),(1539819264,'ro'),(1539819520,'at'),(1539819776,'si'),(1539820032,'il'),(1539820288,'pl'),(1539820544,'es'),(1539820800,'ru'),(1539821056,'ua'),(1539821312,'cz'),(1539821568,'dk'),(1539821824,'de'),(1539822080,'ro'),(1539822336,'ru'),(1539822592,'gb'),(1539822848,'ie'),(1539823104,'de'),(1539823360,'il'),(1539823616,'ro'),(1539823872,'dk'),(1539824128,'ch'),(1539824384,'nl'),(1539824640,'hu'),(1539824896,'uz'),(1539825152,'ua'),(1539825408,'ru'),(1539825920,'de'),(1539826176,'am'),(1539826432,'be'),(1539826688,'ch'),(1539826944,'de'),(1539827200,'ru'),(1539827456,'mk'),(1539827712,'ru'),(1539827968,'fr'),(1539828480,'si'),(1539828736,'nl'),(1539828992,'bg'),(1539829248,'se'),(1539829504,'gb'),(1539829760,'pl'),(1539830016,'de'),(1539830272,'fr'),(1539830528,'ro'),(1539830784,'ru'),(1539831040,'ua'),(1539831296,'pl'),(1539831552,'bg'),(1539831808,'ru'),(1539832064,'gb'),(1539832320,'pl'),(1539832576,'ru'),(1539832832,'gb'),(1539833088,'ru'),(1539833344,'fr'),(1539833856,'ua'),(1539837952,'nl'),(1539838976,'gr'),(1539840000,'pl'),(1539841024,'ru'),(1539842048,'pl'),(1539844096,'ua'),(1539846144,'nl'),(1539847168,'ua'),(1539850240,'lv'),(1539851264,'pl'),(1539852288,'ua'),(1539853312,'pl'),(1539854336,'ua'),(1539855360,'ru'),(1539856384,'ua'),(1539857408,'pl'),(1539858432,'ro'),(1539859456,'eu'),(1539861504,'de'),(1539862528,'se'),(1539863552,'ro'),(1539865600,'ua'),(1539866624,'it'),(1539867648,'ua'),(1539869696,'es'),(1539870720,'il'),(1539871744,'eu'),(1539872768,'se'),(1539873792,'ua'),(1539876864,'es'),(1539877888,'pl'),(1539878912,'ua'),(1539880960,'pl'),(1539881984,'ua'),(1539884032,'mt'),(1539885056,'ua'),(1539886080,'ch'),(1539887104,'it'),(1539888128,'ua'),(1539889152,'ru'),(1539890176,'ua'),(1539891200,'ru'),(1539893248,'ua'),(1539894272,'pl'),(1539895296,'ua'),(1539899392,'ru'),(1539900416,'ua'),(1539901440,'ru'),(1539902464,'ua'),(1539903488,'pl'),(1539904512,'cz'),(1539905536,'ua'),(1539910656,'pl'),(1539911680,'ru'),(1539913728,'ch'),(1539914752,'se'),(1539915776,'ru'),(1539916800,'ua'),(1539917824,'ru'),(1539918848,'ro'),(1539920896,'ua'),(1539921920,'pl'),(1539922944,'se'),(1539923968,'ua'),(1539924992,'de'),(1539926016,'ua'),(1539929088,'ru'),(1539930112,'pl'),(1539931136,'ua'),(1539932160,'de'),(1539933184,'es'),(1539934208,'cs'),(1539935232,'lv'),(1539936256,'ua'),(1539937280,'ch'),(1539938304,'pl'),(1539939328,'ua'),(1539940352,'gb'),(1539941376,'nl'),(1539942400,'ua'),(1539943424,'bg'),(1539944448,'ua'),(1539946496,'ru'),(1539947520,'ua'),(1539948544,'ro'),(1539949568,'ua'),(1539950592,'kz'),(1539951616,'ru'),(1539953664,'ua'),(1539954688,'ro'),(1539956736,'ua'),(1539957760,'ru'),(1539958784,'ua'),(1539963904,'ru'),(1539964928,'ua'),(1539965952,'ru'),(1539966976,'ua'),(1539968000,'ru'),(1539972096,'gb'),(1539973120,'ru'),(1539975168,'de'),(1539976192,'ru'),(1539977216,'de'),(1539978240,'ua'),(1539980288,'ru'),(1539981312,'si'),(1539982336,'ru'),(1539983360,'ua'),(1539985408,'se'),(1539986432,'ru'),(1539987456,'ro'),(1539988480,'ru'),(1539990528,'pl'),(1539991552,'ua'),(1539993600,'fi'),(1539994624,'at'),(1539995648,'ch'),(1539996672,'pl'),(1539997696,'ua'),(1539999744,'gb'),(1540000768,'ru'),(1540001792,'ua'),(1540002816,'ru'),(1540003840,'pl'),(1540004864,'ie'),(1540005888,'ua'),(1540006912,'ru'),(1540007936,'il'),(1540008960,'pl'),(1540011008,'ru'),(1540014080,'pl'),(1540015104,'cz'),(1540016128,'nl'),(1540017152,'ru'),(1540018176,'ua'),(1540020224,'ru'),(1540022272,'gb'),(1540023296,'pl'),(1540024320,'ru'),(1540025344,'gb'),(1540026368,'ua'),(1540028416,'es'),(1540029440,'ru'),(1540030464,'de'),(1540031488,'ua'),(1540032512,'ru'),(1540033536,'ua'),(1540034560,'pl'),(1540035584,'kz'),(1540036608,'ua'),(1540037632,'ee'),(1540038656,'eu'),(1540039680,'ru'),(1540040704,'se'),(1540041728,'ua'),(1540043776,'pl'),(1540044800,'gb'),(1540045824,'ua'),(1540046848,'ru'),(1540047872,'lv'),(1540048896,'gb'),(1540049920,'ua'),(1540050944,'ru'),(1540052992,'ua'),(1540055040,'no'),(1540056064,'nl'),(1540057088,'gb'),(1540058112,'de'),(1540059136,'ua'),(1540060160,'no'),(1540061184,'il'),(1540062208,'ru'),(1540063232,'de'),(1540064256,'pl'),(1540065280,'ua'),(1540068352,'fr'),(1540069376,'ru'),(1540071424,'se'),(1540072448,'ua'),(1540073472,'ru'),(1540076544,'ua'),(1540077568,'fr'),(1540078592,'ru'),(1540081664,'gb'),(1540082688,'no'),(1540083712,'ru'),(1540084736,'de'),(1540085760,'pl'),(1540087808,'ru'),(1540092928,'pl'),(1540094976,'eu'),(1540096000,'gb'),(1540097024,'de'),(1540099072,'ua'),(1540100096,'ru'),(1540103168,'de'),(1540105216,'ua'),(1540110336,'ru'),(1540111360,'ua'),(1540112384,'lv'),(1540113408,'ru'),(1540114432,'de'),(1540115456,'ua'),(1540116480,'ch'),(1540117504,'ua'),(1540118528,'pl'),(1540119552,'ua'),(1540120576,'ru'),(1540123648,'ua'),(1540124672,'no'),(1540125696,'eu'),(1540126720,'ua'),(1540127744,'gb'),(1540128768,'ru'),(1540129792,'ua'),(1540130816,'ru'),(1540131840,'pl'),(1540132864,'ru'),(1540134912,'pl'),(1540135936,'bg'),(1540136960,'pl'),(1540137984,'ru'),(1540139008,'de'),(1540140032,'gb'),(1540141056,'ru'),(1540142080,'ua'),(1540143104,'ru'),(1540145152,'at'),(1540146176,'ua'),(1540147200,'ru'),(1540148224,'pl'),(1540149248,'gb'),(1540150272,'ua'),(1540151296,'at'),(1540152320,'se'),(1540153344,'ua'),(1540155392,'ru'),(1540156416,'ua'),(1540157440,'ru'),(1540158464,'gb'),(1540159488,'ua'),(1540160512,'ru'),(1540162560,'ua'),(1540163584,'ru'),(1540164608,'de'),(1540165632,'ua'),(1540166656,'pl'),(1540167680,'ru'),(1540168704,'de'),(1540169728,'nl'),(1540170752,'de'),(1540171776,'ru'),(1540175872,'de'),(1540176896,'se'),(1540177920,'ua'),(1540178944,'ru'),(1540179968,'pl'),(1540180992,'de'),(1540182016,'ua'),(1540183040,'ru'),(1540184064,'pl'),(1540185088,'ru'),(1540186112,'lv'),(1540187136,'gb'),(1540188160,'ua'),(1540190208,'gb'),(1540191232,'fr'),(1540192256,'ru'),(1540195328,'am'),(1540198400,'ru'),(1540199424,'ch'),(1540200448,'il'),(1540201472,'ua'),(1540202496,'cz'),(1540203520,'ua'),(1540204544,'cz'),(1540205568,'de'),(1540206592,'ru'),(1540208640,'no'),(1540209664,'ru'),(1540211712,'de'),(1540212736,'gb'),(1540213760,'ua'),(1540214784,'ru'),(1540215808,'nl'),(1540216832,'cz'),(1540217856,'gb'),(1540218880,'ru'),(1540219904,'pl'),(1540220928,'nl'),(1540221952,'ru'),(1540224000,'pl'),(1540225024,'gb'),(1540226048,'ru'),(1540227072,'gb'),(1540227584,'ru'),(1540228096,'ua'),(1540228608,'pl'),(1540229120,'at'),(1540229632,'lv'),(1540230144,'ru'),(1540232192,'bg'),(1540232704,'ru'),(1540233216,'ch'),(1540233728,'pl'),(1540234240,'de'),(1540234752,'ua'),(1540235776,'no'),(1540236288,'ro'),(1540236800,'pl'),(1540237312,'ro'),(1540238848,'de'),(1540239360,'ua'),(1540239872,'nl'),(1540240384,'ch'),(1540240896,'ru'),(1540242432,'de'),(1540242944,'ru'),(1540243456,'pl'),(1540243968,'ru'),(1540244480,'ch'),(1540244992,'de'),(1540245504,'ru'),(1540246016,'it'),(1540246528,'ro'),(1540247552,'nl'),(1540248064,'ro'),(1540248576,'at'),(1540249088,'pl'),(1540249600,'kz'),(1540250112,'dk'),(1540250624,'de'),(1540251136,'gb'),(1540251648,'pl'),(1540252160,'eu'),(1540252672,'ru'),(1540253184,'at'),(1540253696,'ch'),(1540254208,'ru'),(1540254720,'pl'),(1540255232,'ua'),(1540255744,'at'),(1540256256,'pl'),(1540256768,'ru'),(1540257280,'gb'),(1540257792,'ru'),(1540258304,'ir'),(1540258816,'ua'),(1540259328,'ru'),(1540259840,'it'),(1540260352,'ru'),(1540260864,'lt'),(1540261376,'sa'),(1540261888,'nl'),(1540262400,'bg'),(1540262912,'ro'),(1540263424,'de'),(1540263936,'gb'),(1540264448,'ru'),(1540265984,'de'),(1540266496,'pl'),(1540267008,'fr'),(1540267520,'ro'),(1540268544,'ru'),(1540269056,'dk'),(1540269568,'ru'),(1540270080,'gb'),(1540270592,'il'),(1540271104,'pl'),(1540271616,'se'),(1540272128,'gb'),(1540272640,'pl'),(1540273664,'gb'),(1540274688,'ua'),(1540275200,'de'),(1540275712,'ua'),(1540276224,'at'),(1540276736,'ro'),(1540277248,'ru'),(1540277760,'eu'),(1540278272,'ua'),(1540278784,'ru'),(1540279808,'ro'),(1540280832,'pl'),(1540281344,'ua'),(1540281856,'de'),(1540282368,'ru'),(1540282880,'ua'),(1540283392,'cz'),(1540283904,'ru'),(1540284416,'at'),(1540284928,'eu'),(1540285440,'de'),(1540285952,'ru'),(1540286464,'gb'),(1540287488,'at'),(1540288512,'ru'),(1540289536,'pl'),(1540290048,'nl'),(1540290560,'ru'),(1540291072,'be'),(1540291584,'ua'),(1540292096,'ru'),(1540292608,'eu'),(1540293120,'dk'),(1540293632,'cz'),(1540295168,'pl'),(1540295680,'sa'),(1540296192,'pl'),(1540296704,'de'),(1540297216,'fr'),(1540297728,'eu'),(1540298240,'hr'),(1540298752,'ru'),(1540299264,'ua'),(1540299776,'cz'),(1540300800,'dk'),(1540301312,'il'),(1540301824,'gb'),(1540302848,'ru'),(1540303872,'ua'),(1540304896,'pl'),(1540305408,'gb'),(1540305920,'ru'),(1540306432,'ua'),(1540306944,'gb'),(1540307456,'ru'),(1540308480,'rs'),(1540308992,'pl'),(1540309504,'cz'),(1540310016,'pl'),(1540310528,'ru'),(1540313088,'se'),(1540313600,'ru'),(1540315136,'ua'),(1540315648,'il'),(1540316160,'de'),(1540317184,'cz'),(1540317696,'ua'),(1540318208,'cz'),(1540318720,'ro'),(1540319232,'ua'),(1540319744,'cz'),(1540320768,'de'),(1540321280,'se'),(1540321792,'cz'),(1540322816,'de'),(1540323328,'ro'),(1540323840,'ua'),(1540324352,'ro'),(1540324864,'pl'),(1540325376,'de'),(1540325888,'li'),(1540326400,'ua'),(1540326912,'at'),(1540327424,'ru'),(1540329984,'cz'),(1540330496,'pl'),(1540331008,'it'),(1540331520,'gb'),(1540332032,'ru'),(1540332544,'pl'),(1540333056,'no'),(1540333568,'ro'),(1540334080,'de'),(1540334592,'ru'),(1540335104,'pl'),(1540336128,'ru'),(1540336640,'mc'),(1540337664,'fr'),(1540338176,'ru'),(1540339200,'ua'),(1540339712,'pl'),(1540340736,'cz'),(1540341248,'bg'),(1540341760,'gb'),(1540342272,'ua'),(1540342784,'es'),(1540343296,'gb'),(1540343808,'pl'),(1540344832,'ua'),(1540345344,'il'),(1540345856,'fr'),(1540346368,'ua'),(1540346880,'gb'),(1540347392,'dk'),(1540347904,'ro'),(1540348416,'ua'),(1540348928,'gb'),(1540349440,'at'),(1540349952,'ua'),(1540350464,'no'),(1540350976,'dk'),(1540351488,'ro'),(1540352000,'nl'),(1540352512,'cz'),(1540353024,'gr'),(1540353536,'ru'),(1540354048,'il'),(1540354560,'pl'),(1540355072,'ua'),(1540355584,'ru'),(1540356608,'de'),(1540357120,'ru'),(1540357632,'fr'),(1540358144,'ru'),(1540358400,'gb'),(1540358656,'se'),(1540358912,'gb'),(1540359168,'sa'),(1540359424,'de'),(1540359680,'gb'),(1540359936,'at'),(1540360192,'no'),(1540360448,'gb'),(1540360704,'pl'),(1540360960,'gb'),(1540361216,'be'),(1540361472,'de'),(1540361728,'it'),(1540361984,'ee'),(1540362240,'dk'),(1540362496,'de'),(1540363008,'fr'),(1540363264,'ru'),(1540363520,'de'),(1540363776,'is'),(1540364032,'ru'),(1540364288,'no'),(1540364544,'ua'),(1540364800,'ee'),(1540365056,'si'),(1540365312,'de'),(1540365568,'ru'),(1540365824,'ch'),(1540366080,'ie'),(1540366336,'pl'),(1540366592,'ru'),(1540366848,'nl'),(1540367104,'ua'),(1540367360,'hu'),(1540367616,'be'),(1540367872,'de'),(1540368128,'ru'),(1540368384,'fr'),(1540368640,'sk'),(1540368896,'ru'),(1540369664,'de'),(1540369920,'ua'),(1540370176,'de'),(1540370432,'lb'),(1540370688,'de'),(1540370944,'pl'),(1540371200,'be'),(1540371456,'ua'),(1540371712,'gb'),(1540371968,'no'),(1540372224,'pl'),(1540372480,'at'),(1540372736,'gr'),(1540372992,'de'),(1540373248,'ua'),(1540373504,'nl'),(1540373760,'tr'),(1540374016,'nl'),(1540374272,'hu'),(1540374528,'cz'),(1540374784,'ua'),(1540375040,'de'),(1540375296,'gb'),(1540375552,'de'),(1540375808,'nl'),(1540376064,'tr'),(1540376320,'dk'),(1540376576,'pl'),(1540376832,'ru'),(1540377088,'de'),(1540377344,'ro'),(1540377600,'am'),(1540377856,'es'),(1540378112,'ru'),(1540378368,'ch'),(1540378624,'at'),(1540378880,'se'),(1540379136,'ch'),(1540379392,'de'),(1540379648,'ru'),(1540379904,'gb'),(1540380160,'il'),(1540380416,'nl'),(1540380672,'si'),(1540380928,'rs'),(1540381184,'ro'),(1540381440,'at'),(1540381696,'ro'),(1540381952,'pl'),(1540382208,'ua'),(1540382464,'gb'),(1540382720,'cy'),(1540382976,'ua'),(1540383232,'at'),(1540383488,'gb'),(1540383744,'ro'),(1540384000,'si'),(1540384256,'fr'),(1540384512,'se'),(1540384768,'hr'),(1540385024,'gb'),(1540385280,'pl'),(1540385536,'de'),(1540385792,'fr'),(1540386048,'eu'),(1540386304,'nl'),(1540386560,'eu'),(1540386816,'it'),(1540387072,'ru'),(1540387328,'gb'),(1540387584,'ua'),(1540388096,'gb'),(1540388352,'il'),(1540388608,'ru'),(1540388864,'ro'),(1540389120,'ru'),(1540389376,'gb'),(1540389632,'ro'),(1540389888,'gb'),(1540390144,'si'),(1540390400,'ru'),(1540390656,'ua'),(1540390912,'sa'),(1540391168,'il'),(1540391424,'ch'),(1540391680,'nl'),(1540391936,'ru'),(1540392192,'pl'),(1540392448,'ru'),(1540392704,'pl'),(1540392960,'gb'),(1540393472,'ua'),(1540393728,'il'),(1540394240,'gb'),(1540394496,'ro'),(1540394752,'dk'),(1540395008,'ge'),(1540395264,'ua'),(1540395520,'gb'),(1540395776,'il'),(1540396032,'no'),(1540396288,'am'),(1540396544,'pl'),(1540396800,'ru'),(1540397056,'it'),(1540397312,'ua'),(1540397824,'eu'),(1540398080,'sa'),(1540398336,'dk'),(1540398592,'it'),(1540398848,'de'),(1540399616,'cz'),(1540399872,'gb'),(1540400128,'nl'),(1540400384,'ir'),(1540400640,'ru'),(1540400896,'nl'),(1540401152,'si'),(1540401408,'at'),(1540401664,'gb'),(1540401920,'ru'),(1540402176,'gb'),(1540402432,'ch'),(1540402688,'se'),(1540402944,'eu'),(1540403200,'at'),(1540403456,'gb'),(1540403712,'ro'),(1540404224,'ch'),(1540404480,'fr'),(1540404736,'pl'),(1540404992,'ru'),(1540405504,'ua'),(1540405760,'pl'),(1540406016,'ru'),(1540406272,'se'),(1540406528,'pl'),(1540407040,'de'),(1540407808,'ua'),(1540408064,'it'),(1540408320,'nl'),(1540408576,'hr'),(1540408832,'ua'),(1540409088,'tr'),(1540409344,'si'),(1540409600,'at'),(1540409856,'de'),(1540410112,'kw'),(1540410368,'ch'),(1540410624,'ru'),(1540410880,'tr'),(1540411136,'nl'),(1540411392,'cz'),(1540411648,'fr'),(1540411904,'ru'),(1540412160,'be'),(1540412416,'de'),(1540412672,'ro'),(1540412928,'fr'),(1540413184,'ro'),(1540413440,'ru'),(1540413696,'at'),(1540413952,'il'),(1540414208,'gb'),(1540414464,'be'),(1540414720,'se'),(1540414976,'fr'),(1540415232,'ro'),(1540415488,'fr'),(1540415744,'si'),(1540416000,'fr'),(1540416256,'ch'),(1540416512,'cz'),(1540416768,'nl'),(1540417024,'ru'),(1540417280,'fr'),(1540417536,'ru'),(1540417792,'hr'),(1540418048,'ro'),(1540418560,'gb'),(1540418816,'eu'),(1540419072,'ru'),(1540419328,'eu'),(1540419584,'gb'),(1540419840,'nl'),(1540420096,'gb'),(1540420608,'de'),(1540420864,'gb'),(1540421120,'ua'),(1540421376,'pl'),(1540421632,'ru'),(1540422144,'pl'),(1540422400,'ua'),(1540422656,'gb'),(1540422912,'ru'),(1540423424,'si'),(1540423680,'se'),(1540423936,'nl'),(1540424192,'it'),(1540424448,'ch'),(1540424704,'pl'),(1540424960,'ro'),(1540425216,'gb'),(1540425472,'nl'),(1540425728,'bg'),(1540425984,'de'),(1540426240,'gb'),(1540426496,'ua'),(1540426752,'nl'),(1540427264,'cz'),(1540427520,'fr'),(1540427776,'ru'),(1540428288,'ro'),(1540428544,'gb'),(1540428800,'pl'),(1540429056,'bg'),(1540429312,'ro'),(1540429824,'ua'),(1540430080,'fr'),(1540430336,'de'),(1540430592,'pl'),(1540430848,'gb'),(1540431104,'fi'),(1540431360,'no'),(1540431616,'gb'),(1540431872,'hr'),(1540432128,'at'),(1540432384,'gb'),(1540432640,'eu'),(1540432896,'ua'),(1540433152,'gb'),(1540433408,'am'),(1540433664,'dk'),(1540433920,'gb'),(1540434176,'ch'),(1540434432,'de'),(1540434688,'gb'),(1540434944,'fr'),(1540435200,'ro'),(1540435456,'gr'),(1540435968,'cz'),(1540436224,'si'),(1540436480,'gb'),(1540436736,'ua'),(1540436992,'de'),(1540437248,'ch'),(1540437504,'cz'),(1540437760,'ua'),(1540438016,'pl'),(1540438272,'lb'),(1540438528,'cz'),(1540438784,'ru'),(1540439040,'no'),(1540439296,'ro'),(1540439552,'pl'),(1540440064,'ua'),(1540440320,'ru'),(1540440576,'cz'),(1540440832,'gb'),(1540441088,'pl'),(1540441344,'cz'),(1540441600,'ua'),(1540441856,'gb'),(1540442112,'ru'),(1540442368,'gb'),(1540442624,'ie'),(1540442880,'at'),(1540443136,'ru'),(1540443648,'nl'),(1540443904,'gb'),(1540444160,'ru'),(1540444416,'de'),(1540444672,'gb'),(1540445184,'ch'),(1540445440,'ru'),(1540445696,'gb'),(1540445952,'de'),(1540446208,'no'),(1540446464,'at'),(1540446720,'ua'),(1540446976,'ru'),(1540447232,'de'),(1540447488,'pl'),(1540447744,'ru'),(1540448000,'pl'),(1540448256,'ua'),(1540448512,'it'),(1540448768,'ch'),(1540449024,'gb'),(1540449280,'ua'),(1540449536,'cz'),(1540449792,'ro'),(1540450048,'de'),(1540450304,'gb'),(1540450560,'am'),(1540450816,'gb'),(1540451072,'fr'),(1540451328,'eu'),(1540451584,'ro'),(1540451840,'gb'),(1540452352,'at'),(1540452608,'il'),(1540452864,'hu'),(1540453120,'ru'),(1540453376,'pl'),(1540453632,'eu'),(1540453888,'ua'),(1540454144,'ru'),(1540454400,'de'),(1540454912,'ru'),(1540455168,'ro'),(1540455424,'ru'),(1540455680,'gb'),(1540455936,'ua'),(1540456192,'ru'),(1540457216,'ge'),(1540457472,'si'),(1540457728,'be'),(1540457984,'ch'),(1540458240,'es'),(1540458496,'hr'),(1540458752,'nl'),(1540459008,'ua'),(1540459520,'gb'),(1540459776,'pl'),(1540460032,'gb'),(1540460800,'si'),(1540461056,'bg'),(1540461312,'ru'),(1540461824,'ro'),(1540462080,'si'),(1540462336,'ua'),(1540462592,'pl'),(1540463104,'eu'),(1540463360,'pl'),(1540463616,'dk'),(1540463872,'ua'),(1540464128,'ch'),(1540464384,'de'),(1540464896,'gb'),(1540465408,'eu'),(1540465664,'ie'),(1540465920,'eu'),(1540466176,'dk'),(1540466432,'ru'),(1540466688,'nl'),(1540466944,'ch'),(1540467456,'ro'),(1540467712,'kw'),(1540467968,'gr'),(1540468224,'eu'),(1540468480,'fr'),(1540468736,'ua'),(1540468992,'pl'),(1540469248,'gb'),(1540469504,'ro'),(1540469760,'pl'),(1540470016,'si'),(1540470272,'il'),(1540470528,'cz'),(1540471040,'de'),(1540471296,'cz'),(1540471552,'gb'),(1540471808,'si'),(1540472064,'ro'),(1540472320,'dk'),(1540472576,'fr'),(1540472832,'nl'),(1540473088,'ua'),(1540473344,'it'),(1540473600,'ro'),(1540473856,'gb'),(1540474368,'ro'),(1540474624,'pl'),(1540474880,'gb'),(1540475136,'ua'),(1540475904,'ch'),(1540476160,'ua'),(1540476672,'si'),(1540476928,'nl'),(1540477184,'ro'),(1540477440,'ua'),(1540477696,'de'),(1540477952,'no'),(1540478208,'nl'),(1540478464,'ua'),(1540478720,'sa'),(1540478976,'hr'),(1540479232,'gb'),(1540479488,'ru'),(1540479744,'at'),(1540480000,'gb'),(1540480256,'pl'),(1540481024,'lt'),(1540481280,'gb'),(1540481536,'ua'),(1540481792,'ru'),(1540482048,'dk'),(1540482304,'fr'),(1540482560,'eu'),(1540482816,'de'),(1540483072,'se'),(1540483328,'cz'),(1540483584,'ru'),(1540483840,'ua'),(1540484096,'dk'),(1540484352,'si'),(1540484608,'ua'),(1540485120,'it'),(1540485376,'ro'),(1540485632,'ir'),(1540485888,'gb'),(1540486144,'eu'),(1540486400,'fr'),(1540486656,'gb'),(1540486912,'sk'),(1540487168,'ps'),(1540487424,'ua'),(1540487680,'de'),(1540487936,'gb'),(1540488448,'sa'),(1540488704,'gb'),(1540488960,'ro'),(1540489216,'ru'),(1540491264,'ua'),(1540493312,'cz'),(1540494336,'ua'),(1540495360,'cz'),(1540496384,'ua'),(1540498432,'cz'),(1540499456,'am'),(1540500480,'ru'),(1540501504,'pl'),(1540502528,'ru'),(1540504576,'se'),(1540505600,'ru'),(1540506624,'gb'),(1540507648,'ru'),(1540508672,'ua'),(1540509696,'ro'),(1540510720,'ru'),(1540511744,'bg'),(1540512768,'ua'),(1540514816,'gb'),(1540515840,'cz'),(1540516864,'ua'),(1540517888,'ru'),(1540518912,'ua'),(1540520960,'cz'),(1540521984,'pl'),(1540523008,'cz'),(1540524032,'al'),(1540525056,'at'),(1540526080,'ua'),(1540528128,'cz'),(1540529152,'ua'),(1540530176,'cz'),(1540531200,'ua'),(1540532224,'cz'),(1540534272,'ua'),(1540535296,'sk'),(1540536320,'ru'),(1540537344,'ua'),(1540538368,'ru'),(1540541440,'ua'),(1540542464,'pl'),(1540543488,'de'),(1540544512,'ru'),(1540545536,'at'),(1540546560,'ru'),(1540547584,'ua'),(1540548608,'ie'),(1540549632,'pl'),(1540552704,'ua'),(1540553728,'ru'),(1540555776,'uz'),(1540556800,'de'),(1540557824,'ua'),(1540559872,'ru'),(1540562944,'at'),(1540563968,'ru'),(1540564992,'de'),(1540566016,'ru'),(1540567040,'md'),(1540568064,'cz'),(1540569088,'ru'),(1540571136,'ua'),(1540573184,'nl'),(1540574208,'ru'),(1540576256,'pl'),(1540577280,'ru'),(1540578304,'ua'),(1540579328,'ie'),(1540580352,'pl'),(1540581376,'ru'),(1540582400,'bg'),(1540583424,'de'),(1540584448,'ua'),(1540586496,'ru'),(1540587520,'ua'),(1540589568,'ru'),(1540593664,'gb'),(1540594688,'it'),(1540595712,'uz'),(1540596736,'fr'),(1540597760,'se'),(1540598784,'cz'),(1540599808,'ua'),(1540600832,'ru'),(1540602880,'bg'),(1540603904,'ru'),(1540605952,'md'),(1540606976,'ua'),(1540608000,'ru'),(1540609024,'ua'),(1540610048,'ru'),(1540611072,'pl'),(1540612096,'de'),(1540613120,'cz'),(1540614144,'bg'),(1540615168,'ru'),(1540616192,'at'),(1540617216,'lt'),(1540618240,'ua'),(1540619264,'pl'),(1540620288,'nl'),(1540620544,'lb'),(1540620800,'pl'),(1540621056,'eu'),(1540621312,'ba'),(1540621568,'pl'),(1540621824,'ru'),(1540622336,'kw'),(1540622592,'pl'),(1540622848,'cz'),(1540623104,'se'),(1540623360,'gb'),(1540623616,'bg'),(1540623872,'ro'),(1540624128,'rs'),(1540624384,'ir'),(1540624640,'bg'),(1540624896,'gb'),(1540625152,'ir'),(1540625408,'cz'),(1540625664,'fr'),(1540625920,'ua'),(1540626176,'ro'),(1540626432,'si'),(1540626688,'pl'),(1540626944,'fr'),(1540627200,'pl'),(1540627456,'dk'),(1540627712,'ch'),(1540627968,'pl'),(1540628224,'hr'),(1540628480,'kw'),(1540628736,'pl'),(1540628992,'ua'),(1540629248,'ro'),(1540629504,'dk'),(1540629760,'bg'),(1540630016,'ua'),(1540630272,'ro'),(1540630528,'ch'),(1540630784,'cz'),(1540631040,'gb'),(1540631552,'hr'),(1540631808,'ua'),(1540632064,'gb'),(1540632320,'cz'),(1540632576,'dk'),(1540632832,'gb'),(1540633088,'ru'),(1540633344,'gb'),(1540633600,'ro'),(1540633856,'de'),(1540634112,'fr'),(1540634624,'ua'),(1540634880,'ru'),(1540635136,'fr'),(1540635392,'ro'),(1540635648,'ru'),(1540636160,'ro'),(1540636416,'lv'),(1540636672,'cz'),(1540636928,'ua'),(1540637184,'ro'),(1540637440,'sa'),(1540637696,'ru'),(1540637952,'si'),(1540638208,'ro'),(1540638464,'am'),(1540638720,'ua'),(1540638976,'ro'),(1540639488,'ch'),(1540639744,'il'),(1540640000,'gb'),(1540640256,'fr'),(1540640512,'es'),(1540640768,'ua'),(1540641024,'ru'),(1540641280,'cz'),(1540641536,'de'),(1540641792,'pl'),(1540642048,'de'),(1540642304,'pl'),(1540642560,'de'),(1540642816,'ie'),(1540643072,'uz'),(1540643328,'gb'),(1540643584,'ch'),(1540643840,'no'),(1540644096,'gb'),(1540644608,'de'),(1540644864,'nl'),(1540645120,'ua'),(1540645376,'fr'),(1540645632,'nl'),(1540645888,'pl'),(1540646144,'ro'),(1540646400,'ps'),(1540646656,'se'),(1540646912,'ua'),(1540647168,'gb'),(1540647424,'ua'),(1540647680,'gb'),(1540648192,'ch'),(1540648448,'ro'),(1540648960,'eu'),(1540649216,'de'),(1540649472,'il'),(1540649728,'gb'),(1540649984,'eu'),(1540650240,'ch'),(1540650496,'ru'),(1540650752,'eu'),(1540651008,'ro'),(1540651264,'ch'),(1540651520,'mk'),(1540651776,'cz'),(1540652288,'ua'),(1540652544,'de'),(1540652800,'gb'),(1540653056,'fr'),(1540653312,'dk'),(1540653568,'de'),(1540653824,'gb'),(1540654336,'ru'),(1540654592,'si'),(1540654848,'cz'),(1540655104,'at'),(1540655360,'ru'),(1540655616,'gb'),(1540655872,'nl'),(1540656384,'ua'),(1540656640,'cz'),(1540656896,'ro'),(1540657152,'de'),(1540657408,'ua'),(1540657664,'ru'),(1540657920,'fr'),(1540658176,'ro'),(1540658432,'cz'),(1540658688,'ua'),(1540658944,'ru'),(1540659200,'fr'),(1540659456,'ua'),(1540659968,'pl'),(1540660224,'gb'),(1540660480,'eu'),(1540660736,'gb'),(1540660992,'ro'),(1540661248,'gb'),(1540661504,'ro'),(1540662528,'pl'),(1540662784,'gb'),(1540663040,'it'),(1540663296,'ru'),(1540663552,'pl'),(1540664064,'ru'),(1540664320,'pl'),(1540664576,'ua'),(1540665088,'gb'),(1540665344,'nl'),(1540665600,'ua'),(1540665856,'tr'),(1540666112,'ru'),(1540666368,'uz'),(1540666624,'de'),(1540666880,'gb'),(1540667136,'nl'),(1540667648,'be'),(1540668160,'at'),(1540668416,'se'),(1540668672,'il'),(1540668928,'ro'),(1540669696,'kz'),(1540669952,'ua'),(1540670208,'ru'),(1540670464,'ch'),(1540670720,'ru'),(1540671232,'si'),(1540671488,'ch'),(1540671744,'bg'),(1540672000,'gb'),(1540672256,'ua'),(1540672512,'eu'),(1540672768,'fr'),(1540673024,'de'),(1540673280,'gb'),(1540673536,'si'),(1540673792,'se'),(1540674048,'cz'),(1540674304,'eu'),(1540674560,'gb'),(1540674816,'ge'),(1540675072,'cz'),(1540675328,'nl'),(1540675584,'gb'),(1540675840,'ru'),(1540676352,'it'),(1540676608,'ru'),(1540676864,'cz'),(1540677120,'gb'),(1540677376,'pl'),(1540677632,'dk'),(1540677888,'de'),(1540678144,'ru'),(1540678400,'ro'),(1540678656,'se'),(1540678912,'ro'),(1540679168,'ru'),(1540679424,'pl'),(1540679680,'lv'),(1540679936,'bg'),(1540680192,'gb'),(1540680448,'bg'),(1540680704,'eu'),(1540680960,'nl'),(1540681216,'fr'),(1540681472,'cz'),(1540681728,'de'),(1540681984,'it'),(1540682240,'pl'),(1540682496,'de'),(1540682752,'eu'),(1540683264,'hr'),(1540683776,'ua'),(1540684032,'cz'),(1540684288,'hu'),(1540684544,'si'),(1540684800,'ir'),(1540685056,'cz'),(1540685312,'ro'),(1540685568,'fr'),(1540685824,'eu'),(1540686080,'tr'),(1540686336,'ch'),(1540686592,'gb'),(1540686848,'ch'),(1540687104,'ru'),(1540687360,'de'),(1540687616,'it'),(1540687872,'ru'),(1540688128,'hu'),(1540688384,'cz'),(1540688640,'ro'),(1540688896,'si'),(1540689152,'nl'),(1540689408,'ru'),(1540689664,'fr'),(1540689920,'ro'),(1540690176,'nl'),(1540690432,'sa'),(1540690688,'ro'),(1540690944,'de'),(1540691456,'gb'),(1540691712,'cz'),(1540691968,'ch'),(1540692224,'eu'),(1540692480,'fr'),(1540692736,'de'),(1540692992,'gb'),(1540693248,'cz'),(1540693504,'es'),(1540693760,'uz'),(1540694016,'ch'),(1540694272,'cz'),(1540694528,'ro'),(1540695040,'de'),(1540695296,'nl'),(1540695552,'pl'),(1540695808,'cz'),(1540696064,'hu'),(1540696320,'fr'),(1540696576,'gb'),(1540696832,'ee'),(1540697088,'cz'),(1540697344,'gb'),(1540697856,'no'),(1540698112,'de'),(1540698368,'ie'),(1540698624,'gb'),(1540698880,'ru'),(1540699136,'it'),(1540699392,'nl'),(1540699648,'at'),(1540699904,'ro'),(1540700160,'de'),(1540700416,'ro'),(1540700672,'pl'),(1540700928,'ru'),(1540701184,'de'),(1540701696,'ua'),(1540701952,'gb'),(1540702208,'pl'),(1540702464,'gb'),(1540702720,'at'),(1540702976,'cz'),(1540703232,'de'),(1540703488,'nl'),(1540703744,'dk'),(1540704000,'pl'),(1540704256,'ua'),(1540704512,'ie'),(1540704768,'ua'),(1540705024,'ro'),(1540705536,'at'),(1540705792,'nl'),(1540706048,'fr'),(1540706304,'si'),(1540706560,'gb'),(1540706816,'fr'),(1540707072,'de'),(1540707328,'gb'),(1540707584,'nl'),(1540707840,'ro'),(1540708096,'ru'),(1540708352,'pl'),(1540708608,'si'),(1540708864,'fr'),(1540709120,'gb'),(1540709376,'ua'),(1540710144,'nl'),(1540710400,'pl'),(1540710656,'fi'),(1540710912,'de'),(1540711168,'gb'),(1540711424,'ch'),(1540711680,'ro'),(1540711936,'eu'),(1540712192,'gb'),(1540712448,'ru'),(1540712704,'lv'),(1540713216,'pl'),(1540713728,'ru'),(1540713984,'gb'),(1540714240,'ro'),(1540714496,'nl'),(1540714752,'ru'),(1540715264,'ro'),(1540715520,'de'),(1540715776,'ua'),(1540716032,'pl'),(1540716288,'ua'),(1540716544,'cz'),(1540717312,'pl'),(1540717824,'ua'),(1540718336,'de'),(1540718592,'ch'),(1540718848,'it'),(1540719104,'ru'),(1540719360,'si'),(1540719616,'at'),(1540719872,'ch'),(1540720128,'nl'),(1540720384,'ro'),(1540720640,'ua'),(1540720896,'pl'),(1540721152,'cz'),(1540721664,'gb'),(1540721920,'ru'),(1540722432,'cz'),(1540722688,'ru'),(1540722944,'eu'),(1540723200,'fr'),(1540723456,'si'),(1540723712,'ru'),(1540723968,'ua'),(1540724224,'hu'),(1540724480,'de'),(1540724736,'il'),(1540724992,'it'),(1540725248,'ua'),(1540725504,'gb'),(1540725760,'pl'),(1540726016,'cz'),(1540726272,'ru'),(1540726528,'ch'),(1540726784,'cz'),(1540727040,'fi'),(1540727296,'pl'),(1540727552,'ru'),(1540727808,'gb'),(1540728064,'nl'),(1540728320,'ru'),(1540728576,'cz'),(1540728832,'ru'),(1540729344,'pl'),(1540729600,'ch'),(1540729856,'ru'),(1540730112,'gb'),(1540730368,'ua'),(1540730880,'il'),(1540731136,'de'),(1540731392,'nl'),(1540731648,'ie'),(1540731904,'fr'),(1540732160,'ro'),(1540732416,'ua'),(1540732672,'gb'),(1540732928,'ru'),(1540733184,'ua'),(1540733440,'ru'),(1540733696,'ua'),(1540733952,'gb'),(1540734208,'ru'),(1540734464,'nl'),(1540734720,'gb'),(1540734976,'ua'),(1540735232,'pl'),(1540735488,'ch'),(1540735744,'nl'),(1540736000,'ru'),(1540736256,'it'),(1540736512,'de'),(1540736768,'gb'),(1540737792,'no'),(1540738048,'at'),(1540738304,'sa'),(1540738560,'pl'),(1540738816,'de'),(1540739072,'se'),(1540739328,'de'),(1540739584,'it'),(1540739840,'cz'),(1540740096,'gb'),(1540740352,'sa'),(1540740608,'nl'),(1540740864,'ro'),(1540741120,'gb'),(1540741376,'ua'),(1540741632,'nl'),(1540741888,'gb'),(1540742144,'cz'),(1540742400,'de'),(1540742656,'at'),(1540742912,'cz'),(1540743168,'no'),(1540743424,'ru'),(1540743680,'md'),(1540743936,'ch'),(1540744192,'gr'),(1540744448,'ua'),(1540744704,'gb'),(1540744960,'ua'),(1540745216,'de'),(1540745472,'cz'),(1540745728,'at'),(1540746240,'fr'),(1540746496,'pl'),(1540747264,'ru'),(1540747520,'si'),(1540747776,'fr'),(1540748032,'ru'),(1540748288,'cz'),(1540748544,'tr'),(1540748800,'se'),(1540749056,'cz'),(1540749312,'uz'),(1540749568,'cz'),(1540749824,'se'),(1540750080,'be'),(1540750336,'de'),(1540750592,'tr'),(1540751104,'pl'),(1540752384,'gb'),(1540753408,'de'),(1540754432,'ro'),(1540755456,'ua'),(1540756480,'dk'),(1540757504,'pl'),(1540758528,'ua'),(1540760576,'pl'),(1540761600,'ru'),(1540762624,'lu'),(1540763648,'ua'),(1540764672,'pl'),(1540765696,'ru'),(1540766720,'it'),(1540767744,'ua'),(1540768768,'cz'),(1540769792,'it'),(1540770816,'ru'),(1540771840,'ua'),(1540772864,'cz'),(1540773888,'ie'),(1540774912,'ru'),(1540776960,'il'),(1540777984,'hr'),(1540779008,'ru'),(1540780032,'ua'),(1540781056,'ru'),(1540782080,'cz'),(1540784128,'ua'),(1540786176,'cz'),(1540790272,'kw'),(1540791296,'cz'),(1540792320,'ua'),(1540793344,'fi'),(1540794368,'ch'),(1540795392,'ru'),(1540797440,'ua'),(1540798464,'ru'),(1540799488,'ro'),(1540800512,'cz'),(1540801536,'ru'),(1540804608,'ua'),(1540805632,'cz'),(1540809728,'gb'),(1540810752,'ua'),(1540811776,'pl'),(1540812800,'ru'),(1540813824,'ua'),(1540814848,'cz'),(1540815872,'de'),(1540816896,'pl'),(1540817920,'nl'),(1540818944,'ua'),(1540819968,'cz'),(1540820992,'ru'),(1540822016,'fr'),(1540823040,'ua'),(1540824064,'ru'),(1540825088,'pl'),(1540826112,'ru'),(1540827136,'ua'),(1540828160,'pl'),(1540829184,'ru'),(1540830208,'ua'),(1540833280,'es'),(1540834304,'ua'),(1540835328,'de'),(1540836352,'ru'),(1540837376,'pl'),(1540838400,'ua'),(1540839424,'cz'),(1540840448,'se'),(1540841472,'ro'),(1540842496,'nl'),(1540843520,'pl'),(1540844544,'cz'),(1540845568,'ru'),(1540846592,'de'),(1540847616,'cz'),(1540850688,'fi'),(1540851712,'ua'),(1540852736,'ru'),(1540853760,'cz'),(1540854784,'nl'),(1540855808,'cz'),(1540856832,'nl'),(1540857856,'dk'),(1540858880,'gb'),(1540859904,'ru'),(1540860928,'cz'),(1540862976,'gb'),(1540865024,'ru'),(1540872192,'bg'),(1540873216,'ru'),(1540875264,'pl'),(1540876288,'ru'),(1540877312,'ua'),(1540878336,'at'),(1540879360,'ru'),(1540880384,'ua'),(1540881408,'ru'),(1543503872,'gb'),(1545601024,'se'),(1545863168,'ru'),(1545895936,'ba'),(1545928704,'si'),(1545961472,'ru'),(1545994240,'cz'),(1546027008,'ru'),(1546059776,'se'),(1546063872,'de'),(1546067968,'se'),(1546072064,'md'),(1546076160,'ru'),(1546080256,'az'),(1546084352,'ru'),(1546088448,'de'),(1546092544,'ru'),(1546096640,'it'),(1546100736,'ru'),(1546104832,'ie'),(1546108928,'gb'),(1546113024,'ru'),(1546125312,'gb'),(1546256384,'ru'),(1546264576,'tr'),(1546266624,'ru'),(1546268672,'ir'),(1546270720,'gb'),(1546272768,'no'),(1546274816,'se'),(1546276864,'gb'),(1546278912,'ru'),(1546280960,'it'),(1546283008,'ch'),(1546285056,'pl'),(1546287104,'gb'),(1546289152,'ru'),(1546291200,'at'),(1546293248,'gb'),(1546295296,'se'),(1546297344,'ru'),(1546299392,'gb'),(1546301440,'lu'),(1546303488,'ch'),(1546305536,'de'),(1546307584,'ru'),(1546311680,'fr'),(1546313728,'de'),(1546315776,'nl'),(1546317824,'ch'),(1546319872,'cs'),(1546321920,'ru'),(1546323968,'no'),(1546326016,'es'),(1546328064,'cz'),(1546330112,'se'),(1546332160,'gb'),(1546334208,'de'),(1546336256,'cz'),(1546338304,'gb'),(1546340352,'dk'),(1546342400,'tr'),(1546344448,'dk'),(1546346496,'at'),(1546348544,'de'),(1546350592,'pl'),(1546352640,'dk'),(1546354688,'fr'),(1546356736,'am'),(1546358784,'pl'),(1546360832,'ru'),(1546364928,'sa'),(1546366976,'dk'),(1546369024,'ru'),(1546371072,'is'),(1546373120,'hu'),(1546375168,'gb'),(1546377216,'ch'),(1546379264,'es'),(1546381312,'dk'),(1546383360,'it'),(1546385408,'fr'),(1546387456,'tr'),(1546518528,'kz'),(1546649600,'sa'),(1546665984,'gb'),(1546682368,'be'),(1546698752,'nl'),(1546715136,'lv'),(1546731520,'fr'),(1546747904,'ru'),(1546764288,'ua'),(1546780672,'ir'),(1546797056,'de'),(1546813440,'ru'),(1546862592,'ge'),(1546878976,'de'),(1546895360,'ie'),(1546911744,'sk'),(1546928128,'gb'),(1546944512,'ua'),(1546960896,'hu'),(1546977280,'mk'),(1546993664,'ru'),(1547010048,'si'),(1547026432,'nl'),(1547042816,'es'),(1547059200,'ru'),(1547075584,'gb'),(1547091968,'ge'),(1547108352,'ru'),(1547124736,'mk'),(1547141120,'ro'),(1547157504,'pl'),(1547173888,'es'),(1547436032,'at'),(1547440128,'al'),(1547444224,'it'),(1547448320,'sk'),(1547452416,'it'),(1547456512,'ru'),(1547460608,'gb'),(1547468800,'pl'),(1547472896,'dk'),(1547476992,'es'),(1547481088,'ua'),(1547485184,'ie'),(1547489280,'de'),(1547493376,'rs'),(1547497472,'gb'),(1547501568,'tr'),(1547505664,'ru'),(1547509760,'lt'),(1547513856,'at'),(1547517952,'ru'),(1547522048,'cz'),(1547526144,'hu'),(1547534336,'fr'),(1547538432,'de'),(1547542528,'fr'),(1547546624,'ir'),(1547550720,'ie'),(1547554816,'at'),(1547558912,'il'),(1547563008,'nl'),(1547567104,'gb'),(1547571200,'at'),(1547575296,'no'),(1547579392,'ru'),(1547583488,'kg'),(1547587584,'it'),(1547591680,'ee'),(1547595776,'jo'),(1547599872,'lt'),(1547603968,'ru'),(1547608064,'lb'),(1547612160,'ir'),(1547616256,'dk'),(1547620352,'je'),(1547624448,'cz'),(1547628544,'bg'),(1547632640,'tr'),(1547636736,'si'),(1547640832,'pl'),(1547644928,'cz'),(1547649024,'ru'),(1547653120,'lv'),(1547657216,'lu'),(1547661312,'lv'),(1547665408,'gb'),(1547669504,'at'),(1547673600,'ru'),(1547685888,'at'),(1547689984,'it'),(1547694080,'hu'),(1547698176,'nl'),(1548222464,'de'),(1548746752,'ro'),(1549271040,'fr'),(1549795328,'ae'),(1550057472,'ru'),(1550188544,'fr'),(1550319616,'ch'),(1550581760,'nl'),(1550843904,'ua'),(1550974976,'ro'),(1551106048,'de'),(1551237120,'gr'),(1551368192,'nl'),(1551499264,'eu'),(1551630336,'ru'),(1551892480,'fr'),(1556086784,'de'),(1558708224,'gb'),(1559232512,'il'),(1559240704,'ba'),(1559248896,'lv'),(1559257088,'ua'),(1559265280,'ru'),(1559273472,'cz'),(1559281664,'ru'),(1559289856,'sk'),(1559298048,'ru'),(1559306240,'jo'),(1559314432,'ge'),(1559322624,'ru'),(1559330816,'ba'),(1559339008,'ru'),(1559347200,'se'),(1559355392,'ru'),(1559388160,'ua'),(1559396352,'gb'),(1559404544,'fi'),(1559412736,'ir'),(1559420928,'hr'),(1559429120,'fr'),(1559437312,'at'),(1559445504,'ru'),(1559461888,'it'),(1559470080,'ru'),(1559478272,'cz'),(1559486464,'dk'),(1559494656,'se'),(1559502848,'pl'),(1559511040,'si'),(1559519232,'ua'),(1559527424,'cs'),(1559535616,'gb'),(1559543808,'se'),(1559552000,'ru'),(1559560192,'sk'),(1559568384,'ru'),(1559576576,'hu'),(1559584768,'kg'),(1559592960,'fr'),(1559601152,'it'),(1559609344,'sk'),(1559617536,'gb'),(1559625728,'dk'),(1559633920,'it'),(1559642112,'ru'),(1559650304,'it'),(1559658496,'ru'),(1559683072,'ch'),(1559691264,'bg'),(1559756800,'at'),(1559789568,'ru'),(1559822336,'ua'),(1559855104,'hu'),(1559887872,'pt'),(1559920640,'lu'),(1559953408,'mt'),(1559986176,'ie'),(1560018944,'de'),(1560051712,'ru'),(1560084480,'jo'),(1560117248,'cz'),(1560150016,'nl'),(1560182784,'se'),(1560215552,'ru'),(1560281088,'fr'),(1562378240,'it'),(1564999680,'ua'),(1565523968,'ru'),(1565655040,'at'),(1565786112,'by'),(1565917184,'cs'),(1566048256,'ru'),(1566056448,'it'),(1566060544,'ua'),(1566064640,'ru'),(1566068736,'az'),(1566072832,'it'),(1566081024,'ru'),(1566085120,'nl'),(1566089216,'ru'),(1566097408,'gb'),(1566101504,'ru'),(1566105600,'de'),(1566109696,'ch'),(1566113792,'de'),(1566117888,'tr'),(1566121984,'no'),(1566126080,'it'),(1566130176,'tr'),(1566134272,'gb'),(1566138368,'cz'),(1566142464,'no'),(1566146560,'gb'),(1566150656,'cz'),(1566154752,'hu'),(1566158848,'ru'),(1566162944,'pl'),(1566167040,'ua'),(1566171136,'hu'),(1566175232,'ie'),(1566179328,'dk'),(1566183424,'es'),(1566187520,'ru'),(1566191616,'fi'),(1566195712,'al'),(1566199808,'ru'),(1566208000,'dk'),(1566212096,'de'),(1566216192,'se'),(1566220288,'cz'),(1566224384,'de'),(1566228480,'gb'),(1566232576,'ru'),(1566248960,'gb'),(1566257152,'cz'),(1566261248,'tr'),(1566265344,'de'),(1566269440,'no'),(1566273536,'ru'),(1566277632,'it'),(1566281728,'cz'),(1566285824,'ru'),(1566289920,'fi'),(1566294016,'iq'),(1566298112,'pl'),(1566302208,'ru'),(1566306304,'cz'),(1566310400,'se'),(1566312448,'ie'),(1566314496,'be'),(1566316544,'no'),(1566318592,'ru'),(1566320640,'gb'),(1566322688,'cz'),(1566324736,'hu'),(1566326784,'ru'),(1566328832,'it'),(1566330880,'ru'),(1566334976,'nl'),(1566337024,'fr'),(1566339072,'ru'),(1566341120,'gb'),(1566343168,'de'),(1566345216,'ru'),(1566347264,'de'),(1566349312,'it'),(1566351360,'at'),(1566353408,'es'),(1566355456,'ru'),(1566357504,'it'),(1566359552,'ru'),(1566363648,'gb'),(1566365696,'ru'),(1566367744,'es'),(1566371840,'ru'),(1566373888,'rs'),(1566375936,'de'),(1566377984,'bg'),(1566380032,'it'),(1566382080,'tr'),(1566384128,'ru'),(1566386176,'fr'),(1566388224,'hu'),(1566390272,'lt'),(1566392320,'es'),(1566394368,'no'),(1566396416,'gb'),(1566398464,'ru'),(1566400512,'no'),(1566402560,'it'),(1566404608,'es'),(1566406656,'nl'),(1566408704,'gb'),(1566410752,'ru'),(1566414848,'fr'),(1566416896,'it'),(1566418944,'ru'),(1566420992,'es'),(1566423040,'fr'),(1566425088,'rs'),(1566427136,'it'),(1566429184,'gb'),(1566437376,'lu'),(1566439424,'de'),(1566443520,'no'),(1566445568,'cy'),(1566447616,'it'),(1566451712,'de'),(1566453760,'iq'),(1566455808,'pt'),(1566457856,'ch'),(1566459904,'gb'),(1566461952,'de'),(1566464000,'it'),(1566466048,'es'),(1566468096,'be'),(1566470144,'ie'),(1566472192,'gb'),(1566474240,'de'),(1566476288,'bg'),(1566478336,'ru'),(1566482432,'fr'),(1566484480,'se'),(1566486528,'ru'),(1566488576,'pl'),(1566490624,'tr'),(1566492672,'nl'),(1566494720,'se'),(1566496768,'am'),(1566498816,'nl'),(1566500864,'ru'),(1566502912,'ch'),(1566504960,'tr'),(1566507008,'nl'),(1566509056,'gb'),(1566511104,'be'),(1566513152,'bh'),(1566515200,'cz'),(1566517248,'ru'),(1566519296,'be'),(1566521344,'fr'),(1566523392,'mk'),(1566525440,'is'),(1566527488,'ie'),(1566529536,'pl'),(1566531584,'ru'),(1566533632,'gb'),(1566535680,'nl'),(1566537728,'gb'),(1566539776,'de'),(1566541824,'ru'),(1566543872,'nl'),(1566545920,'ru'),(1566552064,'tr'),(1566554112,'ua'),(1566556160,'ru'),(1566558208,'jo'),(1566560256,'sm'),(1566562304,'it'),(1566564352,'is'),(1566566400,'fr'),(1566568448,'kz'),(1566570496,'nl'),(1566572544,'gb'),(1566703616,'sa'),(1566769152,'cz'),(1566834688,'ru'),(1566900224,'it'),(1566965760,'pt'),(1567031296,'si'),(1567096832,'de'),(1567162368,'pl'),(1567227904,'fi'),(1567293440,'ie'),(1567358976,'pt'),(1567424512,'cy'),(1567490048,'ir'),(1567555584,'at'),(1567621120,'ro'),(1568178176,'ru'),(1568243712,'fr'),(1568276480,'de'),(1568309248,'ro'),(1568342016,'bg'),(1568374784,'ru'),(1568440320,'no'),(1568473088,'by'),(1568505856,'nl'),(1568538624,'gb'),(1568555008,'ua'),(1568571392,'ro'),(1568604160,'ua'),(1568636928,'de'),(1569193984,'hr'),(1569718272,'it'),(1570242560,'gb'),(1570275328,'bg'),(1570308096,'cz'),(1570340864,'ru'),(1570439168,'tr'),(1570471936,'bg'),(1570504704,'es'),(1570570240,'nl'),(1570572288,'ua'),(1570574336,'ru'),(1570576384,'ua'),(1570578432,'ch'),(1570580480,'ru'),(1570582528,'de'),(1570584576,'ua'),(1570586624,'pl'),(1570590720,'il'),(1570592768,'pl'),(1570596864,'ua'),(1570598912,'pl'),(1570600960,'ru'),(1570605056,'nl'),(1570607104,'ru'),(1570609152,'pl'),(1570611200,'ru'),(1570625536,'gb'),(1570627584,'ru'),(1570633728,'cz'),(1570635776,'fr'),(1570652160,'se'),(1570668544,'ru'),(1570701312,'pl'),(1570717696,'hr'),(1570725888,'de'),(1570734080,'pl'),(1570750464,'no'),(1570752512,'gb'),(1570754560,'es'),(1570756608,'ru'),(1570764800,'de'),(1570766848,'dk'),(1571291136,'ro'),(1571422208,'cz'),(1571553280,'il'),(1571684352,'es'),(1571686400,'gb'),(1571688448,'ch'),(1571690496,'ge'),(1571692544,'fr'),(1571694592,'lu'),(1571696640,'ru'),(1571700736,'it'),(1571702784,'ru'),(1571704832,'gb'),(1571706880,'nl'),(1571708928,'gb'),(1571710976,'nl'),(1571713024,'ru'),(1571715072,'gr'),(1571717120,'ru'),(1571719168,'gb'),(1571721216,'fr'),(1571723264,'gb'),(1571725312,'ro'),(1571727360,'ie'),(1571729408,'sk'),(1571731456,'ch'),(1571733504,'fi'),(1571735552,'nl'),(1571737600,'gb'),(1571741696,'ru'),(1571743744,'gb'),(1571745792,'ru'),(1571747840,'gb'),(1571749888,'ru'),(1571758080,'il'),(1571766272,'pl'),(1571786752,'eu'),(1571790848,'pl'),(1571794944,'nl'),(1571799040,'cz'),(1571803136,'ua'),(1571815424,'fr'),(1571831808,'dk'),(1571848192,'ru'),(1571864576,'pl'),(1571880960,'ru'),(1571897344,'no'),(1571913728,'ge'),(1571930112,'lv'),(1571946496,'sa'),(1571962880,'ru'),(1571979264,'dk'),(1571995648,'ua'),(1572012032,'se'),(1572028416,'ru'),(1572044800,'it'),(1572061184,'pl'),(1572077568,'ru'),(1572093952,'bg'),(1572110336,'ru'),(1572126720,'ua'),(1572143104,'de'),(1572159488,'cz'),(1572175872,'pl'),(1572192256,'ru'),(1572225024,'tr'),(1572241408,'se'),(1572257792,'fr'),(1572274176,'fi'),(1572290560,'ru'),(1572306944,'bg'),(1572323328,'ua'),(1572339712,'ps'),(1572343808,'ch'),(1572347904,'fr'),(1572352000,'de'),(1572356096,'sk'),(1572360192,'rs'),(1572364288,'nl'),(1572368384,'no'),(1572372480,'de'),(1572376576,'tr'),(1572380672,'ru'),(1572384768,'de'),(1572388864,'dk'),(1572392960,'eu'),(1572397056,'az'),(1572401152,'gb'),(1572405248,'cz'),(1572409344,'ru'),(1572413440,'am'),(1572417536,'cz'),(1572421632,'kz'),(1572425728,'lb'),(1572429824,'cz'),(1572433920,'it'),(1572438016,'at'),(1572442112,'ru'),(1572446208,'no'),(1572450304,'ru'),(1572458496,'ua'),(1572462592,'lb'),(1572466688,'ee'),(1572470784,'de'),(1572474880,'gb'),(1572483072,'ru'),(1572487168,'rs'),(1572491264,'it'),(1572495360,'ru'),(1572499456,'tr'),(1572503552,'it'),(1572507648,'gb'),(1572511744,'de'),(1572515840,'nl'),(1572519936,'de'),(1572524032,'ge'),(1572528128,'ru'),(1572532224,'it'),(1572536320,'gb'),(1572538368,'nl'),(1572540416,'gb'),(1572542464,'it'),(1572544512,'hr'),(1572546560,'fr'),(1572548608,'gb'),(1572550656,'de'),(1572552704,'tr'),(1572554752,'ch'),(1572556800,'no'),(1572558848,'it'),(1572560896,'ru'),(1572562944,'cz'),(1572564992,'de'),(1572567040,'ru'),(1572569088,'nl'),(1572571136,'ro'),(1572573184,'gb'),(1572575232,'ru'),(1572577280,'am'),(1572579328,'gb'),(1572581376,'ru'),(1572585472,'ch'),(1572587520,'tr'),(1572589568,'ch'),(1572591616,'nl'),(1572593664,'gb'),(1572595712,'de'),(1572597760,'rs'),(1572599808,'de'),(1572601856,'se'),(1572603904,'ge'),(1572605952,'ru'),(1572608000,'de'),(1572610048,'ua'),(1572612096,'ru'),(1572614144,'es'),(1572616192,'ch'),(1572618240,'rs'),(1572620288,'ch'),(1572622336,'ru'),(1572624384,'no'),(1572626432,'ru'),(1572628480,'de'),(1572630528,'it'),(1572632576,'ru'),(1572634624,'eu'),(1572636672,'es'),(1572638720,'fr'),(1572640768,'ru'),(1572642816,'ua'),(1572644864,'fr'),(1572646912,'gb'),(1572648960,'ru'),(1572651008,'bh'),(1572653056,'ru'),(1572657152,'de'),(1572659200,'it'),(1572661248,'no'),(1572663296,'de'),(1572665344,'nl'),(1572667392,'gb'),(1572669440,'ru'),(1572673536,'at'),(1572675584,'es'),(1572677632,'ru'),(1572683776,'ch'),(1572685824,'ru'),(1572689920,'es'),(1572691968,'sa'),(1572694016,'gb'),(1572696064,'hu'),(1572698112,'ru'),(1572700160,'nl'),(1572702208,'it'),(1572704256,'ru'),(1572706304,'de'),(1572708352,'gg'),(1572710400,'de'),(1572712448,'es'),(1572714496,'it'),(1572716544,'sa'),(1572718592,'ru'),(1572720640,'it'),(1572722688,'ru'),(1572726784,'ch'),(1572728832,'se'),(1572730880,'ru'),(1572732928,'hu'),(1572734976,'kz'),(1572737024,'ru'),(1572739072,'ir'),(1572741120,'fi'),(1572743168,'ua'),(1572745216,'cz'),(1572749312,'de'),(1572751360,'ch'),(1572753408,'no'),(1572755456,'de'),(1572757504,'fi'),(1572759552,'ru'),(1572761600,'gb'),(1572763648,'tr'),(1572765696,'cz'),(1572767744,'nl'),(1572769792,'ro'),(1572771840,'es'),(1572773888,'rs'),(1572775936,'gb'),(1572777984,'ua'),(1572780032,'nl'),(1572782080,'se'),(1572784128,'ru'),(1572786176,'fr'),(1572788224,'tr'),(1572790272,'ru'),(1572792320,'de'),(1572794368,'ru'),(1572796416,'de'),(1572798464,'nl'),(1572800512,'ru'),(1572804608,'gb'),(1572808704,'fr'),(1572810752,'de'),(1572812800,'ru'),(1572814848,'kw'),(1572816896,'ru'),(1572818944,'fr'),(1572820992,'gb'),(1572823040,'by'),(1572825088,'ru'),(1572827136,'no'),(1572829184,'fi'),(1572831232,'bh'),(1572833280,'es'),(1572835328,'ie'),(1572837376,'am'),(1572839424,'de'),(1572841472,'eu'),(1572843520,'jo'),(1572845568,'fr'),(1572847616,'gi'),(1572849664,'gb'),(1572851712,'de'),(1572853760,'be'),(1572855808,'kz'),(1572857856,'se'),(1572859904,'it'),(1572861952,'ch'),(1572864000,'de'),(1577058304,'gb'),(1578106880,'de'),(1578172416,'mt'),(1578237952,'dk'),(1578303488,'ru'),(1578369024,'az'),(1578434560,'hu'),(1578500096,'fi'),(1578565632,'fr'),(1578631168,'ro'),(1578663936,'ru'),(1578762240,'bg'),(1578795008,'ru'),(1578827776,'ua'),(1578860544,'hu'),(1578893312,'ru'),(1578991616,'kw'),(1579024384,'gb'),(1579057152,'lv'),(1579089920,'gb'),(1579122688,'ru'),(1579155456,'it'),(1579679744,'pl'),(1579745280,'ru'),(1579810816,'pl'),(1579876352,'ge'),(1579941888,'hu'),(1580007424,'cz'),(1580015616,'ua'),(1580048384,'ru'),(1580056576,'ua'),(1580064768,'de'),(1580072960,'pt'),(1580138496,'it'),(1580204032,'ro'),(1580335104,'ru'),(1580466176,'ro'),(1580597248,'tr'),(1580728320,'ae'),(1580990464,'ro'),(1581252608,'gr'),(1581776896,'ru'),(1581793280,'pl'),(1581809664,'bg'),(1581826048,'gb'),(1581842432,'bg'),(1581858816,'it'),(1581875200,'tr'),(1581891584,'ru'),(1581907968,'it'),(1581924352,'ua'),(1581940736,'ir'),(1581957120,'cz'),(1581973504,'ru'),(1581989888,'pl'),(1582006272,'ru'),(1582022656,'nl'),(1582039040,'ru'),(1582055424,'ua'),(1582071808,'es'),(1582088192,'gb'),(1582104576,'ru'),(1582153728,'sa'),(1582170112,'ch'),(1582186496,'tr'),(1582202880,'pl'),(1582219264,'ru'),(1582252032,'tr'),(1582268416,'de'),(1582284800,'bh'),(1582301184,'it'),(1583349760,'sa'),(1583611904,'lv'),(1583616000,'pl'),(1583620096,'it'),(1583624192,'rs'),(1583628288,'de'),(1583632384,'ru'),(1583636480,'mk'),(1583640576,'nl'),(1583644672,'de'),(1583648768,'ch'),(1583652864,'fr'),(1583656960,'ru'),(1583665152,'ua'),(1583669248,'ge'),(1583673344,'de'),(1583677440,'fi'),(1583681536,'pl'),(1583685632,'de'),(1583689728,'it'),(1583693824,'ru'),(1583697920,'tr'),(1583702016,'ru'),(1583706112,'gi'),(1583710208,'ir'),(1583714304,'gb'),(1583722496,'ir'),(1583726592,'bg'),(1583730688,'dk'),(1583734784,'lv'),(1583738880,'ir'),(1583742976,'tr'),(1583747072,'ru'),(1583751168,'no'),(1583755264,'nl'),(1583759360,'tr'),(1583763456,'ru'),(1583767552,'at'),(1583771648,'ru'),(1583775744,'it'),(1583779840,'gb'),(1583783936,'eu'),(1583788032,'tm'),(1583792128,'ie'),(1583796224,'de'),(1583800320,'me'),(1583804416,'gb'),(1583808512,'md'),(1583812608,'nl'),(1583816704,'tr'),(1583820800,'lv'),(1583824896,'si'),(1583828992,'ru'),(1583833088,'ch'),(1583837184,'gb'),(1583841280,'fr'),(1583845376,'nl'),(1583849472,'de'),(1583853568,'ru'),(1583857664,'se'),(1583861760,'lu'),(1583865856,'ru'),(1583869952,'kz'),(1583874048,'be'),(1584398336,'cz'),(1584660480,'gb'),(1584922624,'tr'),(1585184768,'pl'),(1585190912,'es'),(1585192960,'it'),(1585195008,'cz'),(1585197056,'it'),(1585199104,'nl'),(1585201152,'it'),(1585205248,'fr'),(1585207296,'nl'),(1585211392,'cz'),(1585213440,'nl'),(1585217536,'fr'),(1585219584,'nl'),(1585221632,'sk'),(1585223680,'fr'),(1585225728,'ua'),(1585227776,'ru'),(1585231872,'cz'),(1585233920,'lb'),(1585235968,'ru'),(1585238016,'de'),(1585240064,'fr'),(1585242112,'ru'),(1585244160,'fr'),(1585246208,'ru'),(1585248256,'cz'),(1585250304,'ru'),(1585254400,'gb'),(1585256448,'de'),(1585258496,'gb'),(1585262592,'ru'),(1585264640,'im'),(1585266688,'de'),(1585270784,'it'),(1585272832,'ru'),(1585274880,'es'),(1585276928,'fr'),(1585278976,'al'),(1585281024,'ua'),(1585283072,'gb'),(1585285120,'es'),(1585287168,'cy'),(1585289216,'de'),(1585291264,'fr'),(1585295360,'hu'),(1585297408,'ru'),(1585299456,'gb'),(1585301504,'lu'),(1585303552,'de'),(1585305600,'cz'),(1585307648,'qa'),(1585309696,'it'),(1585311744,'ru'),(1585313792,'hu'),(1585315840,'dk'),(1585317888,'it'),(1585319936,'ch'),(1585321984,'ru'),(1585324032,'nl'),(1585326080,'gb'),(1585328128,'be'),(1585330176,'it'),(1585332224,'nl'),(1585334272,'de'),(1585336320,'se'),(1585338368,'ru'),(1585340416,'at'),(1585342464,'gb'),(1585344512,'fr'),(1585346560,'gb'),(1585348608,'ch'),(1585350656,'it'),(1585352704,'pt'),(1585354752,'ru'),(1585356800,'fi'),(1585358848,'pt'),(1585360896,'gb'),(1585362944,'it'),(1585364992,'gb'),(1585367040,'ru'),(1585369088,'gb'),(1585371136,'se'),(1585375232,'gb'),(1585377280,'es'),(1585379328,'ch'),(1585381376,'gb'),(1585383424,'fr'),(1585385472,'de'),(1585387520,'si'),(1585389568,'se'),(1585391616,'it'),(1585393664,'dk'),(1585395712,'no'),(1585397760,'ru'),(1585399808,'il'),(1585401856,'it'),(1585403904,'ru'),(1585405952,'gb'),(1585408000,'pl'),(1585410048,'gb'),(1585412096,'no'),(1585414144,'cz'),(1585416192,'ru'),(1585422336,'es'),(1585424384,'ru'),(1585428480,'es'),(1585432576,'ru'),(1585434624,'jo'),(1585436672,'ru'),(1585438720,'de'),(1585440768,'it'),(1585442816,'ru'),(1585446912,'kw'),(1585577984,'ua'),(1585709056,'pt'),(1585840128,'de'),(1585971200,'at'),(1585979392,'gb'),(1585987584,'se'),(1585995776,'at'),(1586003968,'sk'),(1586012160,'de'),(1586020352,'ru'),(1586028544,'gb'),(1586036736,'ru'),(1586061312,'hr'),(1586069504,'de'),(1586077696,'ge'),(1586085888,'ru'),(1586110464,'it'),(1586118656,'dk'),(1586126848,'cz'),(1586135040,'ru'),(1586143232,'it'),(1586151424,'tr'),(1586159616,'mt'),(1586167808,'de'),(1586176000,'be'),(1586184192,'no'),(1586192384,'ru'),(1586200576,'md'),(1586208768,'ir'),(1586216960,'bg'),(1586225152,'ru'),(1586233344,'fr'),(1586241536,'se'),(1586249728,'si'),(1586257920,'lv'),(1586266112,'ru'),(1586274304,'be'),(1586282496,'ru'),(1586298880,'it'),(1586307072,'ru'),(1586315264,'uz'),(1586323456,'ru'),(1586331648,'pl'),(1586339840,'ru'),(1586348032,'sy'),(1586356224,'ru'),(1586372608,'jo'),(1586380800,'gb'),(1586388992,'es'),(1586397184,'lv'),(1586399232,'ru'),(1586401280,'it'),(1586403328,'is'),(1586405376,'at'),(1586407424,'gb'),(1586409472,'it'),(1586411520,'gb'),(1586413568,'it'),(1586415616,'es'),(1586417664,'nl'),(1586419712,'de'),(1586421760,'se'),(1586423808,'cz'),(1586425856,'nl'),(1586427904,'fr'),(1586429952,'ch'),(1586432000,'dk'),(1586434048,'be'),(1586436096,'es'),(1586438144,'ru'),(1586446336,'no'),(1586448384,'ch'),(1586450432,'ru'),(1586452480,'ch'),(1586454528,'it'),(1586456576,'gb'),(1586458624,'fr'),(1586460672,'gb'),(1586462720,'ru'),(1586464768,'es'),(1586466816,'ru'),(1586468864,'it'),(1586470912,'gb'),(1586472960,'cz'),(1586475008,'gr'),(1586477056,'be'),(1586479104,'kg'),(1586481152,'es'),(1586483200,'nl'),(1586485248,'fr'),(1586487296,'sa'),(1586489344,'cz'),(1586491392,'ru'),(1586493440,'gb'),(1586495488,'dk'),(1587019776,'pl'),(1587085312,'ua'),(1587216384,'bg'),(1587347456,'nl'),(1587412992,'ru'),(1587417088,'ua'),(1587421184,'cz'),(1587425280,'ru'),(1587429376,'ua'),(1587437568,'ru'),(1587445760,'pl'),(1587449856,'ua'),(1587453952,'ru'),(1587466240,'cz'),(1587470336,'pl'),(1587474432,'ua'),(1587478528,'ru'),(1587511296,'il'),(1587544064,'it'),(1588068352,'gb'),(1588592640,'ro'),(1588723712,'ua'),(1588854784,'ru'),(1588985856,'ir'),(1589182464,'ru'),(1589215232,'gb'),(1589248000,'no'),(1589280768,'de'),(1589313536,'lb'),(1589346304,'kw'),(1589379072,'ru'),(1589411840,'il'),(1589444608,'dk'),(1589477376,'cs'),(1589510144,'ru'),(1589542912,'bg'),(1589575680,'ru'),(1589608448,'se'),(1589641216,'gb'),(1590034432,'ru'),(1590036480,'gb'),(1590038528,'ru'),(1590048768,'de'),(1590050816,'se'),(1590052864,'it'),(1590054912,'gb'),(1590056960,'es'),(1590059008,'it'),(1590061056,'ru'),(1590063104,'cz'),(1590065152,'ie'),(1590067200,'ru'),(1590069248,'at'),(1590071296,'mt'),(1590073344,'nl'),(1590075392,'be'),(1590077440,'gb'),(1590079488,'fr'),(1590081536,'gb'),(1590083584,'ru'),(1590085632,'fr'),(1590087680,'it'),(1590089728,'ru'),(1590091776,'cz'),(1590093824,'ru'),(1590095872,'cz'),(1590097920,'ch'),(1590099968,'ru'),(1590102016,'it'),(1590104064,'tj'),(1590106112,'fi'),(1590108160,'tr'),(1590110208,'cz'),(1590112256,'hu'),(1590114304,'fi'),(1590116352,'ru'),(1590120448,'it'),(1590122496,'de'),(1590124544,'ch'),(1590126592,'ru'),(1590128640,'fi'),(1590130688,'fr'),(1590132736,'no'),(1590134784,'es'),(1590136832,'gb'),(1590138880,'cz'),(1590140928,'ua'),(1590142976,'at'),(1590145024,'hu'),(1590147072,'gb'),(1590149120,'cz'),(1590151168,'tr'),(1590153216,'ru'),(1590157312,'ie'),(1590159360,'gb'),(1590161408,'de'),(1590163456,'eu'),(1590165504,'ae'),(1590689792,'nl'),(1591214080,'de'),(1591738368,'be'),(1592000512,'es'),(1592004608,'az'),(1592008704,'gb'),(1592012800,'ch'),(1592016896,'gb'),(1592020992,'sk'),(1592025088,'de'),(1592029184,'ru'),(1592033280,'nl'),(1592037376,'ch'),(1592041472,'ru'),(1592045568,'fr'),(1592049664,'ru'),(1592053760,'nl'),(1592057856,'rs'),(1592061952,'ru'),(1592066048,'cy'),(1592070144,'ru'),(1592074240,'sk'),(1592078336,'nl'),(1592082432,'gb'),(1592086528,'cz'),(1592090624,'ru'),(1592094720,'rs'),(1592098816,'gb'),(1592102912,'pt'),(1592107008,'gb'),(1592111104,'de'),(1592115200,'es'),(1592119296,'pl'),(1592123392,'ru'),(1592135680,'pl'),(1592139776,'ru'),(1592143872,'de'),(1592147968,'it'),(1592152064,'il'),(1592156160,'ie'),(1592160256,'ru'),(1592168448,'cz'),(1592172544,'ru'),(1592176640,'cs'),(1592180736,'ua'),(1592184832,'ch'),(1592188928,'uz'),(1592193024,'ru'),(1592197120,'pl'),(1592201216,'ru'),(1592205312,'ua'),(1592209408,'pl'),(1592213504,'ua'),(1592217600,'eu'),(1592221696,'dk'),(1592225792,'ua'),(1592229888,'ru'),(1592242176,'cz'),(1592254464,'pl'),(1592258560,'nl'),(1592262656,'ru'),(1592270848,'pl'),(1592272896,'ua'),(1592274944,'ru'),(1592276992,'cz'),(1592279040,'ru'),(1592281088,'ua'),(1592283136,'gr'),(1592285184,'ru'),(1592287232,'ro'),(1592289280,'ru'),(1592291328,'nl'),(1592293376,'ru'),(1592299520,'pl'),(1592303616,'nl'),(1592305664,'ir'),(1592307712,'ua'),(1592309760,'ru'),(1592311808,'de'),(1592313856,'cz'),(1592315904,'ua'),(1592317952,'pl'),(1592320000,'lt'),(1592322048,'ru'),(1592324096,'ua'),(1592328192,'ru'),(1592393728,'se'),(1592459264,'ge'),(1592524800,'gb'),(1592557568,'bg'),(1592590336,'fi'),(1592623104,'ru'),(1592655872,'fr'),(1592786944,'pl'),(1592803328,'ru'),(1592819712,'ua'),(1592836096,'ge'),(1592852480,'ru'),(1592868864,'cz'),(1592885248,'ir'),(1592901632,'ru'),(1592934400,'cz'),(1592950784,'ru'),(1592967168,'lu'),(1592983552,'ru'),(1592999936,'md'),(1593016320,'ru'),(1593049088,'ua'),(1593065472,'lt'),(1593081856,'ua'),(1593098240,'ch'),(1593114624,'se'),(1593131008,'gb'),(1593147392,'ru'),(1593163776,'at'),(1593180160,'no'),(1593196544,'se'),(1593212928,'pl'),(1593229312,'ee'),(1593247744,'it'),(1593249792,'ru'),(1593251840,'fr'),(1593253888,'cz'),(1593255936,'de'),(1593257984,'ie'),(1593260032,'ru'),(1593262080,'kz'),(1593264128,'nl'),(1593266176,'gb'),(1593268224,'hu'),(1593270272,'gb'),(1593272320,'ru'),(1593274368,'de'),(1593276416,'ru'),(1593278464,'kz'),(1593280512,'ee'),(1593282560,'at'),(1593284608,'gb'),(1593286656,'fr'),(1593288704,'se'),(1593290752,'fr'),(1593292800,'it'),(1593294848,'nl'),(1593296896,'rs'),(1593298944,'ru'),(1593300992,'ch'),(1593303040,'ua'),(1593305088,'fr'),(1593307136,'ru'),(1593311232,'ua'),(1593344000,'hu'),(1593376768,'jo'),(1593409536,'de'),(1593442304,'ba'),(1593475072,'ru'),(1593540608,'pl'),(1593573376,'lu'),(1593606144,'sy'),(1593638912,'ru'),(1593671680,'hr'),(1593704448,'se'),(1593737216,'pl'),(1593769984,'ru'),(1593802752,'se'),(1593835520,'tr'),(1594884096,'es'),(1595408384,'ru'),(1595998208,'de'),(1596063744,'no'),(1596129280,'il'),(1596194816,'nl'),(1596260352,'ru'),(1596325888,'ir'),(1596391424,'es'),(1596456960,'pl'),(1596588032,'bg'),(1596719104,'ie'),(1596850176,'cz'),(1596981248,'pl'),(1597243392,'ru'),(1597505536,'kz'),(1597767680,'es'),(1598029824,'ro'),(1598062592,'ru'),(1598095360,'md'),(1598128128,'tr'),(1598160896,'kw'),(1598193664,'ru'),(1598291968,'lv'),(1598324736,'ru'),(1598357504,'pt'),(1598390272,'ua'),(1598423040,'ru'),(1598455808,'tr'),(1598488576,'ru'),(1598685184,'it'),(1598816256,'ro'),(1598947328,'ru'),(1599078400,'se'),(1599094784,'ru'),(1599111168,'ir'),(1599127552,'cz'),(1599143936,'ua'),(1599160320,'ir'),(1599176704,'fr'),(1599193088,'ru'),(1599209472,'ir'),(1599242240,'cz'),(1599258624,'ru'),(1599324160,'ie'),(1599340544,'ru'),(1599356928,'bh'),(1599373312,'ru'),(1599438848,'cs'),(1599455232,'cz'),(1599471616,'mk'),(1599488000,'il'),(1599504384,'az'),(1599520768,'ru'),(1599537152,'bg'),(1599553536,'ru'),(1599569920,'si'),(1599586304,'bg'),(1599602688,'de'),(1599864832,'pt'),(1600126976,'nl'),(1600389120,'eu'),(1600520192,'sk'),(1600651264,'ge'),(1600684032,'ru'),(1600749568,'sk'),(1600782336,'ru'),(1600880640,'al'),(1600913408,'pl'),(1600946176,'ru'),(1600978944,'se'),(1601011712,'ua'),(1601044480,'ru'),(1601077248,'it'),(1601110016,'bg'),(1601142784,'ua'),(1601175552,'de'),(1602224128,'nl'),(1602226176,'gb'),(1602228224,'de'),(1602230272,'dk'),(1602232320,'ch'),(1602234368,'fr'),(1602236416,'gb'),(1602238464,'tr'),(1602240512,'by'),(1602242560,'fr'),(1602244608,'ch'),(1602246656,'nl'),(1602248704,'be'),(1602250752,'no'),(1602252800,'se'),(1602254848,'hu'),(1602256896,'gb'),(1602258944,'ru'),(1602260992,'fr'),(1602263040,'es'),(1602265088,'ru'),(1602267136,'ro'),(1602269184,'ru'),(1602271232,'mk'),(1602273280,'ie'),(1602275328,'de'),(1602279424,'gb'),(1602281472,'ru'),(1602283520,'hr'),(1602285568,'ru'),(1602287616,'de'),(1602289664,'lb'),(1602291712,'sa'),(1602293760,'ru'),(1602295808,'nl'),(1602297856,'il'),(1602299904,'dk'),(1602301952,'de'),(1602304000,'ru'),(1602306048,'gb'),(1602308096,'ru'),(1602310144,'nl'),(1602312192,'ru'),(1602314240,'cz'),(1602316288,'gb'),(1602318336,'es'),(1602320384,'nl'),(1602324480,'ru'),(1602326528,'gb'),(1602328576,'es'),(1602330624,'ru'),(1602336768,'gb'),(1602338816,'ee'),(1602340864,'at'),(1602342912,'de'),(1602344960,'es'),(1602347008,'pl'),(1602349056,'ru'),(1602351104,'cz'),(1602353152,'ru'),(1602355200,'gb'),(1602357248,'fr'),(1602359296,'de'),(1602361344,'fi'),(1602363392,'lv'),(1602365440,'be'),(1602367488,'es'),(1602369536,'ir'),(1602371584,'se'),(1602373632,'gb'),(1602375680,'by'),(1602377728,'ps'),(1602379776,'gb'),(1602383872,'de'),(1602385920,'at'),(1602387968,'ru'),(1602390016,'it'),(1602394112,'fr'),(1602396160,'de'),(1602398208,'tr'),(1602400256,'ru'),(1602402304,'lu'),(1602404352,'gb'),(1602406400,'de'),(1602408448,'dk'),(1602410496,'no'),(1602412544,'gb'),(1602414592,'nl'),(1602416640,'ir'),(1602418688,'de'),(1602420736,'ru'),(1602428928,'pl'),(1602430976,'it'),(1602433024,'hu'),(1602435072,'lu'),(1602437120,'gb'),(1602439168,'ru'),(1602441216,'gb'),(1602443264,'ru'),(1602445312,'de'),(1602447360,'gb'),(1602449408,'lv'),(1602451456,'de'),(1602453504,'sk'),(1602455552,'fr'),(1602457600,'ru'),(1602459648,'gb'),(1602461696,'es'),(1602465792,'ru'),(1602467840,'gi'),(1602469888,'at'),(1602471936,'se'),(1602473984,'ru'),(1602476032,'gb'),(1602478080,'ru'),(1602482176,'fr'),(1602484224,'gb'),(1602486272,'ua'),(1602748416,'pt'),(1602781184,'fr'),(1602813952,'ru'),(1602846720,'ge'),(1602879488,'fr'),(1602912256,'ru'),(1603010560,'fr'),(1603014656,'ru'),(1603018752,'hu'),(1603022848,'gb'),(1603026944,'se'),(1603031040,'ru'),(1603035136,'sy'),(1603039232,'cs'),(1603043328,'it'),(1603047424,'ru'),(1603051520,'jo'),(1603055616,'se'),(1603059712,'am'),(1603063808,'bg'),(1603067904,'eu'),(1603072000,'cz'),(1603076096,'ru'),(1603080192,'de'),(1603084288,'it'),(1603088384,'lb'),(1603092480,'no'),(1603100672,'fr'),(1603108864,'kz'),(1603112960,'gb'),(1603121152,'ru'),(1603129344,'jo'),(1603133440,'ru'),(1603137536,'kw'),(1603141632,'es'),(1603145728,'il'),(1603149824,'ru'),(1603153920,'nl'),(1603158016,'de'),(1603162112,'tj'),(1603166208,'nl'),(1603170304,'ie'),(1603174400,'tr'),(1603178496,'dk'),(1603182592,'fr'),(1603186688,'it'),(1603190784,'ru'),(1603194880,'it'),(1603198976,'ir'),(1603203072,'pl'),(1603207168,'ru'),(1603215360,'de'),(1603219456,'ch'),(1603223552,'fr'),(1603227648,'at'),(1603231744,'it'),(1603235840,'ru'),(1603239936,'cz'),(1603244032,'si'),(1603248128,'de'),(1603252224,'ru'),(1603256320,'se'),(1603260416,'ru'),(1603264512,'at'),(1603268608,'pl'),(1603272704,'gb'),(1603796992,'ru'),(1603813376,'ch'),(1603829760,'nl'),(1603846144,'gb'),(1603862528,'ee'),(1603878912,'md'),(1603895296,'ru'),(1603928064,'dk'),(1603944448,'ru'),(1603977216,'gb'),(1603993600,'cs'),(1604009984,'pl'),(1604026368,'nl'),(1604042752,'se'),(1604059136,'mk'),(1604075520,'ru'),(1604091904,'ba'),(1604108288,'de'),(1604141056,'ro'),(1604157440,'fr'),(1604190208,'ua'),(1604206592,'pl'),(1604222976,'bg'),(1604239360,'ru'),(1604255744,'sy'),(1604272128,'iq'),(1604288512,'ru'),(1604304896,'si'),(1604321280,'pl'),(1604386816,'ru'),(1604452352,'ro'),(1604517888,'ru'),(1604583424,'ua'),(1604648960,'ru'),(1604714496,'dk'),(1604780032,'ru'),(1604845568,'fr'),(1604853760,'hu'),(1604861952,'rs'),(1604870144,'hr'),(1604878336,'de'),(1604894720,'cz'),(1604902912,'bg'),(1604911104,'ua'),(1604919296,'no'),(1604927488,'it'),(1604935680,'ru'),(1604952064,'de'),(1604960256,'bg'),(1604968448,'es'),(1604976640,'fr'),(1604993024,'nl'),(1605001216,'ru'),(1605025792,'iq'),(1605033984,'sk'),(1605042176,'ru'),(1605050368,'it'),(1605058560,'hu'),(1605066752,'pl'),(1605074944,'fr'),(1605083136,'be'),(1605091328,'pl'),(1605099520,'ru'),(1605107712,'gb'),(1605115904,'ru'),(1605124096,'gb'),(1605132288,'ru'),(1605148672,'pt'),(1605156864,'jo'),(1605165056,'gb'),(1605173248,'tr'),(1605181440,'lt'),(1605189632,'cz'),(1605197824,'de'),(1605206016,'ru'),(1605214208,'tr'),(1605222400,'cz'),(1605230592,'de'),(1605238784,'it'),(1605246976,'pl'),(1605255168,'hu'),(1605263360,'ru'),(1605271552,'de'),(1605279744,'fr'),(1605287936,'ru'),(1605296128,'ch'),(1605304320,'pl'),(1605312512,'il'),(1605320704,'kw'),(1605328896,'fi'),(1605337088,'gb'),(1605345280,'fr'),(1605353472,'gb'),(1605361664,'ru'),(1605369856,'fr'),(1605402624,'si'),(1605435392,'gb'),(1605468160,'ro'),(1605500928,'pl'),(1605533696,'hr'),(1605566464,'ru'),(1605599232,'gr'),(1605632000,'rs'),(1605664768,'mk'),(1605697536,'ru'),(1605763072,'cz'),(1605795840,'be'),(1605828608,'ru'),(1605861376,'tr'),(1605894144,'ro'),(1606156288,'ru'),(1606418432,'se'),(1607467008,'de'),(1607532544,'se'),(1607598080,'it'),(1607663616,'nl'),(1607729152,'sy'),(1607794688,'ru'),(1607860224,'es'),(1607925760,'ru'),(1607926784,'eu'),(1607927808,'cz'),(1607928832,'ru'),(1607929856,'se'),(1607930880,'pl'),(1607933952,'de'),(1607934976,'ua'),(1607937024,'lv'),(1607938048,'ua'),(1607939072,'pl'),(1607940096,'ua'),(1607941120,'pl'),(1607942144,'ru'),(1607944192,'nl'),(1607945216,'ua'),(1607948288,'gb'),(1607949312,'cz'),(1607950336,'ru'),(1607952384,'ua'),(1607956480,'es'),(1607957504,'ua'),(1607958528,'il'),(1607959552,'eu'),(1607960576,'ru'),(1607961600,'cz'),(1607962624,'ua'),(1607963648,'ru'),(1607965696,'cz'),(1607966720,'ru'),(1607967744,'gb'),(1607968768,'se'),(1607969792,'ru'),(1607974912,'cz'),(1607976960,'ua'),(1607977984,'nl'),(1607979008,'cz'),(1607980032,'de'),(1607981056,'ua'),(1607982080,'ru'),(1607983104,'gb'),(1607984128,'cz'),(1607985152,'ch'),(1607986176,'ua'),(1607987200,'eu'),(1607988224,'cz'),(1607989248,'de'),(1607990272,'cz'),(1607991296,'ua'),(1608122368,'ro'),(1608253440,'ru'),(1608384512,'de'),(1608515584,'it'),(1828716544,'fr'),(1830813696,'nl'),(1831862272,'pt'),(1832124416,'it'),(1832910848,'il'),(1833172992,'gb'),(1833177088,'ru'),(1833179136,'it'),(1833181184,'gb'),(1833183232,'ua'),(1833185280,'de'),(1833187328,'eu'),(1833189376,'gb'),(1833191424,'ru'),(1833193472,'es'),(1833195520,'no'),(1833197568,'de'),(1833199616,'at'),(1833201664,'ru'),(1833203712,'am'),(1833205760,'fi'),(1833207808,'ru'),(1833209856,'gr'),(1833211904,'it'),(1833213952,'be'),(1833216000,'ru'),(1833218048,'no'),(1833220096,'ru'),(1833222144,'gb'),(1833224192,'ru'),(1833228288,'de'),(1833232384,'tj'),(1833234432,'gb'),(1833236480,'fi'),(1833238528,'al'),(1833240576,'es'),(1833242624,'ru'),(1833246720,'fi'),(1833248768,'mk'),(1833250816,'gb'),(1833252864,'eu'),(1833254912,'de'),(1833256960,'gb'),(1833263104,'de'),(1833265152,'gb'),(1833267200,'hu'),(1833269248,'fi'),(1833271296,'it'),(1833273344,'eu'),(1833275392,'gb'),(1833277440,'ch'),(1833279488,'al'),(1833281536,'at'),(1833283584,'ru'),(1833285632,'fr'),(1833289728,'it'),(1833291776,'cz'),(1833293824,'be'),(1833295872,'nl'),(1833297920,'gb'),(1833299968,'lu'),(1833302016,'at'),(1833304064,'nl'),(1833308160,'fr'),(1833310208,'ru'),(1833312256,'es'),(1833314304,'gb'),(1833316352,'dk'),(1833318400,'gb'),(1833320448,'ae'),(1833322496,'it'),(1833324544,'no'),(1833326592,'eu'),(1833328640,'at'),(1833330688,'ua'),(1833332736,'ch'),(1833435136,'cz'),(1833439232,'gb'),(1833443328,'nl'),(1833447424,'cs'),(1833451520,'ru'),(1833455616,'nl'),(1833459712,'me'),(1833463808,'ua'),(1833467904,'ch'),(1833472000,'eu'),(1833480192,'nl'),(1833484288,'ir'),(1833488384,'gb'),(1833492480,'ru'),(1833504768,'de'),(1833508864,'ru'),(1833512960,'de'),(1833517056,'es'),(1833521152,'it'),(1833525248,'lv'),(1833529344,'gb'),(1833533440,'ru'),(1833537536,'at'),(1833541632,'gb'),(1833545728,'it'),(1833549824,'ru'),(1833553920,'cz'),(1833558016,'ro'),(1833562112,'ps'),(1833566208,'se'),(1833570304,'nl'),(1833574400,'ye'),(1833578496,'hu'),(1833582592,'tj'),(1833586688,'fr'),(1833590784,'pl'),(1833594880,'ru'),(1833603072,'sk'),(1833607168,'ru'),(1833611264,'no'),(1833697280,'ie'),(1833959424,'cz'),(1834090496,'sa'),(1834221568,'de'),(1834352640,'ua'),(1834483712,'be'),(1834614784,'de'),(1834745856,'cs'),(1834876928,'ru'),(1834885120,'fr'),(1834893312,'cz'),(1834909696,'gb'),(1834913792,'ro'),(1834917888,'ua'),(1834921984,'ru'),(1834930176,'ua'),(1835008000,'ro'),(1835532288,'se'),(1835540480,'de'),(1835548672,'gb'),(1835565056,'al'),(1835573248,'ua'),(1835581440,'bg'),(1835589632,'it'),(1835597824,'hu'),(1835606016,'cz'),(1835614208,'ru'),(1835622400,'se'),(1835630592,'ru'),(1835646976,'ba'),(1835655168,'cy'),(1835663360,'ua'),(1835671552,'lv'),(1835679744,'fr'),(1835687936,'ie'),(1835696128,'ru'),(1835704320,'nl'),(1835712512,'ru'),(1835720704,'rs'),(1835728896,'pl'),(1835745280,'bg'),(1835753472,'es'),(1835761664,'jo'),(1835769856,'ru'),(1835778048,'cz'),(1835786240,'jo'),(1835794432,'fi'),(1835802624,'ru'),(1835810816,'ua'),(1835819008,'cz'),(1835827200,'gb'),(1835835392,'es'),(1835843584,'no'),(1835851776,'ua'),(1835859968,'de'),(1835868160,'ir'),(1836056576,'it'),(1836580864,'ru'),(1836597248,'lu'),(1836613632,'ru'),(1836630016,'bg'),(1836646400,'rs'),(1836679168,'bg'),(1836711936,'ua'),(1836728320,'cs'),(1836744704,'fr'),(1836761088,'ir'),(1836777472,'si'),(1836793856,'gb'),(1836810240,'ru'),(1836826624,'cz'),(1836843008,'ru'),(1836875776,'se'),(1837105152,'be'),(1838153728,'gb'),(1839202304,'bg'),(1839235072,'il'),(1839267840,'ru'),(1839300608,'bh'),(1839333376,'ua'),(1839398912,'no'),(1839431680,'ru'),(1839464448,'cz'),(1839497216,'ch'),(1839529984,'ru'),(1839562752,'ba'),(1839595520,'ro'),(1839661056,'ua'),(1839693824,'ru'),(1839726592,'it'),(1839759360,'ru'),(1839792128,'gb'),(1840316416,'ru'),(1840381952,'gr'),(1840447488,'no'),(1840513024,'gb'),(1840644096,'si'),(1840709632,'cz'),(1840775168,'ru'),(1840840704,'md'),(1840906240,'il'),(1840971776,'ru'),(1841102848,'no'),(1841168384,'ru'),(1841299456,'de'),(1841430528,'ru'),(1842348032,'fr'),(1844445184,'fi'),(1844510720,'ru'),(1844576256,'gr'),(2147942400,'eu'),(2148532224,'eu'),(2150039552,'eu'),(2153119744,'eu'),(2153578496,'eu'),(2153906176,'eu'),(2156003328,'eu'),(2156593152,'eu'),(2159017984,'eu'),(2159149056,'eu'),(2160525312,'eu'),(2160656384,'eu'),(2161508352,'eu'),(2162688000,'eu'),(2163212288,'eu'),(2163408896,'eu'),(2163605504,'eu'),(2164981760,'eu'),(2165309440,'eu'),(2165571584,'eu'),(2165964800,'eu'),(2166292480,'eu'),(2168651776,'eu'),(2168782848,'eu'),(2169044992,'eu'),(2170028032,'eu'),(2170945536,'eu'),(2172452864,'eu'),(2172715008,'eu'),(2172911616,'eu'),(2173566976,'dk'),(2173632512,'eu'),(2175336448,'eu'),(2175729664,'eu'),(2175860736,'eu'),(2176122880,'eu'),(2176516096,'eu'),(2176974848,'eu'),(2177302528,'eu'),(2177761280,'eu'),(2177892352,'eu'),(2178285568,'eu'),(2178482176,'eu'),(2179530752,'eu'),(2179989504,'eu'),(2180448256,'eu'),(2182610944,'eu'),(2182873088,'eu'),(2183135232,'eu'),(2183462912,'eu'),(2184904704,'ch'),(2184970240,'eu'),(2185363456,'eu'),(2185822208,'eu'),(2185953280,'eu'),(2186149888,'eu'),(2186412032,'eu'),(2186805248,'eu'),(2187067392,'eu'),(2187460608,'fr'),(2187591680,'eu'),(2187853824,'eu'),(2188378112,'eu'),(2188574720,'eu'),(2188902400,'eu'),(2189230080,'eu'),(2189754368,'eu'),(2189950976,'eu'),(2190082048,'eu'),(2191458304,'eu'),(2191589376,'eu'),(2193031168,'eu'),(2193227776,'eu'),(2193358848,'eu'),(2193489920,'eu'),(2193620992,'eu'),(2194014208,'eu'),(2194538496,'eu'),(2194669568,'eu'),(2195652608,'eu'),(2195783680,'eu'),(2195914752,'dk'),(2196045824,'eu'),(2196570112,'se'),(2196635648,'eu'),(2196897792,'se'),(2197159936,'eu'),(2197487616,'eu'),(2197880832,'eu'),(2204172288,'eu'),(2204303360,'eu'),(2204499968,'eu'),(2205089792,'eu'),(2205286400,'eu'),(2205483008,'ch'),(2206334976,'eu'),(2207776768,'eu'),(2207907840,'eu'),(2208235520,'eu'),(2208563200,'eu'),(2208890880,'eu'),(2209153024,'eu'),(2209611776,'eu'),(2210136064,'eu'),(2210660352,'eu'),(2211250176,'eu'),(2211381248,'eu'),(2211643392,'eu'),(2212233216,'eu'),(2212495360,'eu'),(2212691968,'eu'),(2212954112,'eu'),(2213150720,'eu'),(2213347328,'nl'),(2213937152,'eu'),(2214264832,'eu'),(2214461440,'eu'),(2218786816,'eu'),(2224160768,'eu'),(2224357376,'eu'),(2224619520,'eu'),(2224750592,'eu'),(2225405952,'eu'),(2225799168,'eu'),(2226126848,'eu'),(2226388992,'eu'),(2226716672,'eu'),(2227372032,'eu'),(2227634176,'eu'),(2229469184,'eu'),(2229600256,'eu'),(2230583296,'eu'),(2231107584,'eu'),(2248212480,'eu'),(2249523200,'eu'),(2249785344,'eu'),(2249916416,'nl'),(2249981952,'eu'),(2250113024,'eu'),(2250375168,'eu'),(2250506240,'eu'),(2251227136,'eu'),(2251685888,'eu'),(2251948032,'eu'),(2253127680,'eu'),(2253455360,'de'),(2253586432,'eu'),(2254110720,'eu'),(2254569472,'nl'),(2254635008,'eu'),(2255945728,'eu'),(2256666624,'eu'),(2257190912,'eu'),(2257453056,'eu'),(2257649664,'eu'),(2258042880,'eu'),(2258305024,'eu'),(2258436096,'eu'),(2259222528,'eu'),(2259353600,'eu'),(2259681280,'eu'),(2260140032,'eu'),(2260467712,'eu'),(2260664320,'eu'),(2261450752,'eu'),(2261647360,'eu'),(2262040576,'eu'),(2262499328,'eu'),(2262892544,'eu'),(2263810048,'eu'),(2264203264,'eu'),(2277769216,'gb'),(2291400704,'eu'),(2291859456,'eu'),(2292383744,'eu'),(2292842496,'gb'),(2292973568,'eu'),(2294743040,'eu'),(2294874112,'eu'),(2295201792,'eu'),(2296446976,'eu'),(2296774656,'eu'),(2297626624,'eu'),(2299592704,'eu'),(2300641280,'eu'),(2301296640,'eu'),(2301558784,'no'),(2301755392,'eu'),(2302083072,'eu'),(2302279680,'eu'),(2303262720,'eu'),(2304573440,'eu'),(2304770048,'eu'),(2305097728,'gb'),(2305359872,'eu'),(2305556480,'eu'),(2306342912,'eu'),(2306932736,'eu'),(2307194880,'eu'),(2307522560,'eu'),(2308702208,'eu'),(2309160960,'eu'),(2309881856,'eu'),(2310995968,'eu'),(2311053312,'ie'),(2311127040,'eu'),(2311847936,'eu'),(2312110080,'eu'),(2312437760,'eu'),(2312699904,'eu'),(2312962048,'eu'),(2313289728,'eu'),(2314731520,'eu'),(2314862592,'eu'),(2315059200,'eu'),(2315452416,'eu'),(2315649024,'eu'),(2316173312,'se'),(2316632064,'eu'),(2317680640,'eu'),(2317877248,'eu'),(2318401536,'eu'),(2319319040,'eu'),(2319581184,'eu'),(2319843328,'eu'),(2320564224,'eu'),(2321547264,'eu'),(2321809408,'eu'),(2321940480,'eu'),(2322202624,'eu'),(2323382272,'eu'),(2323841024,'eu'),(2324037632,'eu'),(2327511040,'eu'),(2328035328,'eu'),(2328231936,'gb'),(2328297472,'eu'),(2328559616,'eu'),(2329346048,'eu'),(2329739264,'eu'),(2330394624,'eu'),(2331246592,'eu'),(2331508736,'eu'),(2331836416,'eu'),(2332098560,'eu'),(2333343744,'de'),(2333409280,'eu'),(2335309824,'eu'),(2335571968,'eu'),(2335834112,'eu'),(2336161792,'eu'),(2336358400,'eu'),(2336882688,'eu'),(2337210368,'eu'),(2337472512,'eu'),(2337865728,'eu'),(2338324480,'eu'),(2338586624,'eu'),(2338914304,'eu'),(2340028416,'eu'),(2340421632,'eu'),(2340749312,'eu'),(2341273600,'eu'),(2341404672,'eu'),(2341535744,'no'),(2341797888,'eu'),(2342060032,'eu'),(2342256640,'eu'),(2342649856,'eu'),(2342780928,'eu'),(2343436288,'eu'),(2343698432,'eu'),(2344091648,'eu'),(2344550400,'eu'),(2353856512,'eu'),(2354315264,'eu'),(2354905088,'eu'),(2355167232,'eu'),(2355691520,'eu'),(2358640640,'eu'),(2359558144,'eu'),(2359689216,'eu'),(2360672256,'eu'),(2362114048,'eu'),(2363949056,'eu'),(2365652992,'eu'),(2366308352,'fr'),(2366373888,'eu'),(2367160320,'de'),(2367225856,'eu'),(2368077824,'de'),(2368208896,'eu'),(2368339968,'de'),(2368405504,'eu'),(2368798720,'de'),(2368864256,'eu'),(2369060864,'de'),(2369126400,'eu'),(2369519616,'de'),(2369585152,'eu'),(2369978368,'de'),(2370043904,'eu'),(2370437120,'de'),(2370502656,'eu'),(2370699264,'de'),(2370764800,'eu'),(2370830336,'de'),(2370895872,'eu'),(2371289088,'eu'),(2371944448,'gb'),(2372009984,'ch'),(2372075520,'eu'),(2372665344,'eu'),(2372993024,'eu'),(2373124096,'eu'),(2374107136,'eu'),(2374565888,'eu'),(2374959104,'eu'),(2376269824,'eu'),(2376663040,'eu'),(2377056256,'eu'),(2378170368,'eu'),(2378301440,'eu'),(2378694656,'eu'),(2378891264,'eu'),(2379218944,'eu'),(2380398592,'eu'),(2380726272,'eu'),(2381381632,'eu'),(2381578240,'eu'),(2381905920,'eu'),(2382102528,'eu'),(2401828864,'eu'),(2402222080,'eu'),(2402418688,'eu'),(2403401728,'eu'),(2405236736,'eu'),(2405498880,'no'),(2405629952,'eu'),(2406809600,'eu'),(2407071744,'eu'),(2407399424,'eu'),(2407596032,'eu'),(2409693184,'at'),(2409824256,'eu'),(2410086400,'eu'),(2410217472,'eu'),(2410676224,'eu'),(2411986944,'eu'),(2412576768,'eu'),(2412904448,'eu'),(2413363200,'eu'),(2413821952,'eu'),(2414411776,'eu'),(2414673920,'eu'),(2414804992,'eu'),(2415198208,'eu'),(2415656960,'eu'),(2416050176,'eu'),(2416181248,'eu'),(2417229824,'eu'),(2417491968,'eu'),(2417688576,'eu'),(2418016256,'eu'),(2418606080,'eu'),(2418737152,'eu'),(2419458048,'eu'),(2419589120,'eu'),(2420047872,'eu'),(2420113408,'pt'),(2420178944,'eu'),(2420899840,'eu'),(2421293056,'eu'),(2421424128,'no'),(2421489664,'ch'),(2421620736,'eu'),(2422145024,'eu'),(2422341632,'eu'),(2423717888,'eu'),(2423914496,'eu'),(2424242176,'eu'),(2425421824,'eu'),(2426667008,'eu'),(2426732544,'fr'),(2426929152,'eu'),(2427256832,'eu'),(2427453440,'eu'),(2428567552,'eu'),(2429026304,'eu'),(2429288448,'eu'),(2429419520,'eu'),(2429616128,'eu'),(2432172032,'eu'),(2432696320,'eu'),(2447114240,'nl'),(2447179776,'eu'),(2447245312,'nl'),(2447310848,'eu'),(2447638528,'de'),(2447704064,'gb'),(2447769600,'de'),(2447835136,'eu'),(2447900672,'ch'),(2447966208,'gb'),(2448031744,'ch'),(2448097280,'se'),(2448162816,'eu'),(2448228352,'pl'),(2448293888,'eu'),(2448359424,'gb'),(2448424960,'eu'),(2448490496,'at'),(2448556032,'eu'),(2448752640,'ch'),(2448818176,'eu'),(2448883712,'fi'),(2448949248,'eu'),(2449080320,'ch'),(2449145856,'se'),(2449211392,'eu'),(2449604608,'eu'),(2450718720,'eu'),(2450849792,'eu'),(2452619264,'it'),(2452750336,'eu'),(2453340160,'eu'),(2453864448,'eu'),(2454061056,'eu'),(2454192128,'eu'),(2454388736,'eu'),(2454519808,'eu'),(2454716416,'eu'),(2455175168,'eu'),(2455830528,'eu'),(2456027136,'eu'),(2456551424,'at'),(2456616960,'eu'),(2456813568,'eu'),(2457272320,'eu'),(2457600000,'eu'),(2458189824,'eu'),(2458386432,'eu'),(2458648576,'eu'),(2459893760,'eu'),(2460024832,'eu'),(2460549120,'eu'),(2460745728,'no'),(2460811264,'eu'),(2460942336,'eu'),(2461204480,'eu'),(2461794304,'eu'),(2461990912,'eu'),(2463236096,'eu'),(2463629312,'eu'),(2463825920,'eu'),(2464153600,'eu'),(2464350208,'eu'),(2464808960,'eu'),(2465726464,'eu'),(2466054144,'eu'),(2466709504,'eu'),(2467037184,'eu'),(2468020224,'eu'),(2468151296,'dk'),(2468216832,'eu'),(2468347904,'eu'),(2469134336,'eu'),(2469658624,'eu'),(2469789696,'eu'),(2470182912,'eu'),(2470641664,'eu'),(2471165952,'eu'),(2471297024,'eu'),(2471690240,'eu'),(2472214528,'eu'),(2472345600,'eu'),(2472673280,'eu'),(2472935424,'eu'),(2473525248,'eu'),(2474049536,'eu'),(2474246144,'eu'),(2474442752,'eu'),(2474573824,'eu'),(2475556864,'eu'),(2475884544,'eu'),(2476474368,'eu'),(2476802048,'eu'),(2477195264,'ch'),(2477457408,'eu'),(2477719552,'eu'),(2478047232,'eu'),(2478309376,'eu'),(2478440448,'eu'),(2478571520,'eu'),(2478899200,'eu'),(2479095808,'eu'),(2479423488,'eu'),(2479620096,'eu'),(2480013312,'eu'),(2480209920,'eu'),(2480668672,'eu'),(2481192960,'eu'),(2482176000,'eu'),(2482634752,'eu'),(2483159040,'eu'),(2483421184,'eu'),(2486566912,'eu'),(2486697984,'eu'),(2486960128,'eu'),(2488205312,'eu'),(2488336384,'pl'),(2488401920,'eu'),(2488795136,'eu'),(2490236928,'eu'),(2490761216,'eu'),(2491023360,'no'),(2491088896,'eu'),(2491875328,'eu'),(2492071936,'eu'),(2492203008,'eu'),(2492399616,'fr'),(2492727296,'eu'),(2492923904,'eu'),(2493513728,'eu'),(2494103552,'eu'),(2494562304,'eu'),(2494889984,'eu'),(2495152128,'eu'),(2495283200,'eu'),(2495873024,'eu'),(2496135168,'eu'),(2499477504,'eu'),(2503016448,'eu'),(2503671808,'eu'),(2508455936,'eu'),(2508521472,'ch'),(2508587008,'eu'),(2508914688,'eu'),(2509373440,'eu'),(2509832192,'eu'),(2510946304,'eu'),(2511405056,'eu'),(2512977920,'eu'),(2513436672,'de'),(2513502208,'eu'),(2515468288,'de'),(2515533824,'eu'),(2515795968,'de'),(2515861504,'eu'),(2516189184,'de'),(2516254720,'fr'),(2516451328,'gb'),(2523529216,'eu'),(2524971008,'eu'),(2525233152,'eu'),(2525757440,'eu'),(2526085120,'eu'),(2526937088,'eu'),(2528051200,'eu'),(2528247808,'eu'),(2529951744,'eu'),(2530541568,'eu'),(2530803712,'eu'),(2531459072,'eu'),(2532048896,'eu'),(2532376576,'eu'),(2532573184,'eu'),(2533031936,'eu'),(2533228544,'pl'),(2533425152,'eu'),(2534080512,'it'),(2534211584,'eu'),(2535915520,'it'),(2535981056,'eu'),(2539847680,'it'),(2539913216,'eu'),(2540896256,'eu'),(2541223936,'eu'),(2541682688,'eu'),(2541813760,'eu'),(2542075904,'eu'),(2542272512,'eu'),(2543583232,'eu'),(2544500736,'eu'),(2544828416,'eu'),(2545156096,'eu'),(2545287168,'eu'),(2545614848,'eu'),(2545745920,'eu'),(2547187712,'eu'),(2554462208,'eu'),(2554789888,'eu'),(2554920960,'eu'),(2555183104,'eu'),(2555445248,'eu'),(2555904000,'eu'),(2556231680,'eu'),(2557018112,'eu'),(2557607936,'eu'),(2558918656,'eu'),(2559508480,'eu'),(2559967232,'eu'),(2560098304,'eu'),(2566979584,'eu'),(2567241728,'eu'),(2567897088,'eu'),(2568028160,'eu'),(2568159232,'eu'),(2572681216,'eu'),(2572943360,'eu'),(2573139968,'nl'),(2573205504,'eu'),(2573991936,'eu'),(2574254080,'eu'),(2584215552,'eu'),(2584608768,'eu'),(2585788416,'eu'),(2600730624,'eu'),(2604007424,'eu'),(2604793856,'eu'),(2605252608,'eu'),(2607349760,'eu'),(2609053696,'eu'),(2609381376,'eu'),(2609643520,'eu'),(2609971200,'eu'),(2610823168,'eu'),(2612592640,'eu'),(2613051392,'eu'),(2613444608,'eu'),(2613706752,'eu'),(2613837824,'eu'),(2614034432,'eu'),(2614165504,'eu'),(2615083008,'eu'),(2615345152,'eu'),(2615607296,'eu'),(2616524800,'eu'),(2616786944,'eu'),(2617049088,'eu'),(2617901056,'eu'),(2618163200,'eu'),(2618359808,'eu'),(2618884096,'eu'),(2619080704,'eu'),(2619539456,'eu'),(2620063744,'eu'),(2620391424,'eu'),(2620588032,'eu'),(2620784640,'eu'),(2621046784,'eu'),(2621243392,'eu'),(2621636608,'eu'),(2622685184,'eu'),(2624192512,'eu'),(2624716800,'eu'),(2624978944,'eu'),(2625961984,'eu'),(2626093056,'eu'),(2626945024,'eu'),(2627076096,'eu'),(2635530240,'eu'),(2639462400,'eu'),(2639790080,'eu'),(2640183296,'eu'),(2640314368,'eu'),(2640510976,'eu'),(2642149376,'eu'),(2642214912,'se'),(2642477056,'eu'),(2642935808,'eu'),(2643066880,'eu'),(2643197952,'eu'),(2643460096,'eu'),(2644312064,'eu'),(2644574208,'eu'),(2644967424,'eu'),(2645229568,'eu'),(2645622784,'eu'),(2645819392,'eu'),(2646212608,'eu'),(2646474752,'eu'),(2646671360,'eu'),(2647130112,'eu'),(2647326720,'eu'),(2648965120,'eu'),(2649489408,'eu'),(2649948160,'eu'),(2650210304,'eu'),(2650341376,'eu'),(2653159424,'eu'),(2653487104,'eu'),(2653618176,'gb'),(2653880320,'eu'),(2654011392,'eu'),(2654994432,'eu'),(2655125504,'eu'),(2655715328,'eu'),(2656698368,'eu'),(2656829440,'eu'),(2656960512,'eu'),(2657288192,'eu'),(2657484800,'eu'),(2657681408,'eu'),(2657943552,'eu'),(2658140160,'no'),(2658598912,'eu'),(2658926592,'eu'),(2659254272,'eu'),(2659385344,'eu'),(2659516416,'eu'),(2660171776,'eu'),(2660564992,'eu'),(2660761600,'gb'),(2661023744,'eu'),(2661416960,'eu'),(2661679104,'eu'),(2662072320,'eu'),(2663251968,'eu'),(2665086976,'eu'),(2665218048,'eu'),(2665414656,'eu'),(2665545728,'eu'),(2665873408,'eu'),(2665938944,'fr'),(2666004480,'ch'),(2666070016,'eu'),(2667053056,'eu'),(2668036096,'eu'),(2668363776,'eu'),(2668560384,'eu'),(2669019136,'eu'),(2669215744,'eu'),(2669477888,'eu'),(2669805568,'eu'),(2670067712,'eu'),(2670592000,'eu'),(2670854144,'eu'),(2671378432,'eu'),(2671509504,'eu'),(2672295936,'eu'),(2672885760,'eu'),(2673082368,'eu'),(2673606656,'eu'),(2673803264,'eu'),(2674130944,'eu'),(2674327552,'ch'),(2674393088,'eu'),(2674589696,'eu'),(2674720768,'eu'),(2675048448,'eu'),(2675572736,'eu'),(2676097024,'eu'),(2676359168,'eu'),(2677014528,'ch'),(2677211136,'eu'),(2677473280,'eu'),(2677669888,'eu'),(2677800960,'eu'),(2678194176,'eu'),(2678521856,'eu'),(2678718464,'eu'),(2678915072,'eu'),(2679308288,'eu'),(2680029184,'eu'),(2680225792,'eu'),(2680487936,'eu'),(2680684544,'eu'),(2681339904,'eu'),(2681536512,'eu'),(2681733120,'eu'),(2681929728,'eu'),(2682781696,'eu'),(2683043840,'eu'),(2683240448,'eu'),(2683371520,'eu'),(2683568128,'eu'),(2684223488,'eu'),(2684682240,'eu'),(2684878848,'eu'),(2686844928,'eu'),(2686976000,'eu'),(2687238144,'de'),(2687303680,'eu'),(2687893504,'de'),(2688221184,'eu'),(2688352256,'ch'),(2688483328,'eu'),(2688679936,'eu'),(2688942080,'eu'),(2689269760,'eu'),(2689466368,'eu'),(2689597440,'eu'),(2689925120,'eu'),(2690383872,'eu'),(2690711552,'eu'),(2691104768,'eu'),(2691825664,'eu'),(2696151040,'eu'),(2698117120,'eu'),(2698313728,'eu'),(2698510336,'eu'),(2699296768,'eu'),(2701262848,'eu'),(2701656064,'eu'),(2701918208,'eu'),(2702245888,'eu'),(2702442496,'eu'),(2702639104,'eu'),(2702901248,'eu'),(2703097856,'eu'),(2703556608,'eu'),(2703818752,'eu'),(2704277504,'eu'),(2704539648,'eu'),(2704605184,'hr'),(2704670720,'eu'),(2704998400,'eu'),(2705195008,'eu'),(2705522688,'eu'),(2705784832,'eu'),(2706112512,'eu'),(2706243584,'eu'),(2706571264,'eu'),(2707947520,'eu'),(2708340736,'eu'),(2708733952,'eu'),(2709192704,'eu'),(2709913600,'eu'),(2710765568,'eu'),(2711486464,'eu'),(2714370048,'eu'),(2715418624,'eu'),(2717646848,'eu'),(2718629888,'eu'),(2718760960,'eu'),(2719285248,'eu'),(2719416320,'eu'),(2719547392,'eu'),(2720399360,'eu'),(2723545088,'ch'),(2734751744,'eu'),(2734882816,'eu'),(2735013888,'eu'),(2735276032,'eu'),(2736914432,'eu'),(2738749440,'fr'),(2742353920,'eu'),(2742484992,'eu'),(2744909824,'eu'),(2744975360,'se'),(2745040896,'eu'),(2745548800,'nl'),(2745565184,'eu'),(2750545920,'eu'),(2751528960,'eu'),(2752053248,'se'),(2752184320,'eu'),(2752512000,'de'),(2753757184,'eu'),(2753822720,'gb'),(2753888256,'eu'),(2754609152,'eu'),(2755330048,'eu'),(2756771840,'eu'),(2759852032,'ch'),(2759917568,'gb'),(2760048640,'eu'),(2760507392,'fr'),(2760572928,'de'),(2760638464,'eu'),(2760835072,'gb'),(2775711744,'nl'),(2782527488,'eu'),(2782789632,'eu'),(2785542144,'eu'),(2788261888,'eu'),(2790719488,'eu'),(2807103488,'eu'),(2809069568,'eu'),(2812805120,'eu'),(2813067264,'eu'),(2815098880,'eu'),(2818637824,'eu'),(2827681792,'eu'),(2830827520,'eu'),(2837446656,'eu'),(2856058880,'ch'),(2867593216,'ch'),(2868838400,'eu'),(2870018048,'de'),(2870083584,'eu'),(2870214656,'dk'),(2870280192,'eu'),(2870583296,'se'),(2870607872,'eu'),(2870738944,'gb'),(2870935552,'eu'),(3154116608,'eu'),(3154182144,'de'),(3154247680,'cs'),(3154313216,'tr'),(3154378752,'gr'),(3154444288,'be'),(3154509824,'ru'),(3154575360,'fr'),(3154640896,'it'),(3155165184,'ru'),(3155427328,'at'),(3155689472,'ro'),(3155951616,'gb'),(3156213760,'ru'),(3156279296,'pl'),(3156344832,'ir'),(3156410368,'ru'),(3156475904,'hu'),(3156606976,'tr'),(3156672512,'gb'),(3156738048,'de'),(3156803584,'tr'),(3156869120,'lu'),(3156934656,'ru'),(3157065728,'at'),(3157131264,'de'),(3157196800,'pl'),(3157262336,'sa'),(3157786624,'tr'),(3158048768,'ch'),(3158310912,'fi'),(3158312960,'nl'),(3158315008,'de'),(3158317056,'si'),(3158319104,'gb'),(3158321152,'de'),(3158323200,'be'),(3158325248,'de'),(3158327296,'nl'),(3158329344,'be'),(3158331392,'gb'),(3158333440,'it'),(3158335488,'il'),(3158337536,'si'),(3158339584,'ru'),(3158341632,'it'),(3158343680,'ru'),(3158345728,'cy'),(3158347776,'ru'),(3158349824,'dk'),(3158351872,'ru'),(3158355968,'lv'),(3158358016,'gb'),(3158360064,'de'),(3158362112,'il'),(3158364160,'tr'),(3158366208,'ru'),(3158368256,'fr'),(3158370304,'be'),(3158372352,'fr'),(3158374400,'de'),(3158376448,'it'),(3158378496,'ru'),(3158382592,'om'),(3158384640,'gb'),(3158386688,'pl'),(3158388736,'ru'),(3158390784,'gb'),(3158392832,'ru'),(3158394880,'at'),(3158396928,'it'),(3158398976,'es'),(3158401024,'gb'),(3158403072,'ru'),(3158405120,'gb'),(3158407168,'fr'),(3158409216,'ru'),(3158411264,'fi'),(3158413312,'de'),(3158415360,'se'),(3158417408,'nl'),(3158419456,'fr'),(3158421504,'gb'),(3158423552,'mt'),(3158425600,'nl'),(3158427648,'de'),(3158429696,'ru'),(3158431744,'be'),(3158433792,'nl'),(3158435840,'ru'),(3158439936,'gb'),(3158441984,'ee'),(3158444032,'be'),(3158446080,'nl'),(3158448128,'ru'),(3158452224,'de'),(3158573056,'ru'),(3158638592,'lt'),(3158835200,'iq'),(3158851584,'ru'),(3158867968,'az'),(3158884352,'de'),(3158900736,'fr'),(3158917120,'de'),(3158933504,'ru'),(3158949888,'gr'),(3158982656,'gb'),(3158999040,'ro'),(3159031808,'ru'),(3159048192,'ir'),(3159064576,'cz'),(3159080960,'ru'),(3159359488,'pt'),(3159621632,'es'),(3159883776,'nl'),(3160145920,'ru'),(3160147968,'cz'),(3160150016,'lv'),(3160152064,'it'),(3160154112,'de'),(3160156160,'am'),(3160158208,'by'),(3160160256,'nl'),(3160162304,'fr'),(3160164352,'lv'),(3160166400,'no'),(3160168448,'gb'),(3160170496,'it'),(3160172544,'ru'),(3160174592,'de'),(3160176640,'it'),(3160178688,'de'),(3160180736,'gb'),(3160182784,'ch'),(3160184832,'nl'),(3160186880,'ee'),(3160188928,'se'),(3160190976,'ru'),(3160193024,'it'),(3160195072,'ru'),(3160197120,'de'),(3160199168,'ge'),(3160201216,'ru'),(3160203264,'ch'),(3160205312,'gb'),(3160207360,'ru'),(3160209408,'se'),(3160211456,'ie'),(3160213504,'de'),(3160215552,'ru'),(3160219648,'es'),(3160221696,'fr'),(3160223744,'ru'),(3160227840,'ir'),(3160229888,'es'),(3160231936,'be'),(3160233984,'ge'),(3160236032,'be'),(3160238080,'ru'),(3160240128,'be'),(3160242176,'rs'),(3160244224,'ru'),(3160246272,'it'),(3160248320,'nl'),(3160250368,'be'),(3160252416,'pl'),(3160254464,'lu'),(3160256512,'gb'),(3160258560,'no'),(3160260608,'pt'),(3160262656,'hu'),(3160264704,'ru'),(3160266752,'de'),(3160268800,'pt'),(3160272896,'ru'),(3160274944,'at'),(3160276992,'ru'),(3160279040,'es'),(3160281088,'gb'),(3160283136,'de'),(3160285184,'ru'),(3160287232,'gb'),(3160289280,'ru'),(3160291328,'es'),(3160293376,'fi'),(3160295424,'gb'),(3160297472,'md'),(3160299520,'ru'),(3160301568,'de'),(3160303616,'gb'),(3160305664,'de'),(3160307712,'it'),(3160309760,'gb'),(3160311808,'hu'),(3160313856,'it'),(3160315904,'kz'),(3160317952,'ru'),(3160322048,'ch'),(3160324096,'it'),(3160328192,'fr'),(3160330240,'ru'),(3160332288,'no'),(3160334336,'ru'),(3160336384,'cz'),(3160338432,'gb'),(3160340480,'de'),(3160346624,'it'),(3160348672,'pl'),(3160350720,'se'),(3160352768,'gb'),(3160354816,'nl'),(3160356864,'cz'),(3160358912,'jo'),(3160360960,'it'),(3160363008,'gb'),(3160365056,'nl'),(3160367104,'gb'),(3160369152,'ru'),(3160371200,'es'),(3160373248,'cz'),(3160375296,'gb'),(3160377344,'nl'),(3160379392,'tr'),(3160381440,'ua'),(3160383488,'eu'),(3160385536,'nl'),(3160387584,'rs'),(3160389632,'ru'),(3160391680,'gb'),(3160395776,'ee'),(3160397824,'es'),(3160399872,'se'),(3160403968,'no'),(3160408064,'de'),(3161456640,'pl'),(3161473024,'sk'),(3161489408,'lv'),(3161505792,'ru'),(3161538560,'no'),(3161554944,'ru'),(3161571328,'uz'),(3161587712,'ru'),(3161620480,'dk'),(3161636864,'ru'),(3161653248,'lu'),(3161669632,'fr'),(3161686016,'ua'),(3161702400,'am'),(3161718784,'pl'),(3161735168,'cz'),(3161751552,'ru'),(3161767936,'bh'),(3161784320,'fi'),(3161800704,'sa'),(3161817088,'pl'),(3161833472,'at'),(3161849856,'be'),(3161866240,'ir'),(3161882624,'de'),(3161899008,'at'),(3161931776,'sa'),(3161948160,'ro'),(3161964544,'es'),(3161980928,'sk'),(3161989120,'ru'),(3161997312,'dk'),(3162005504,'rs'),(3162013696,'il'),(3162021888,'se'),(3162030080,'cz'),(3162038272,'lu'),(3162046464,'pl'),(3162054656,'nl'),(3162062848,'se'),(3162071040,'ir'),(3162087424,'sk'),(3162095616,'ge'),(3162103808,'fr'),(3162112000,'pl'),(3162120192,'gb'),(3162128384,'nl'),(3162144768,'se'),(3162152960,'ru'),(3162161152,'cz'),(3162169344,'ru'),(3162177536,'fi'),(3162185728,'ru'),(3162193920,'fr'),(3162202112,'sk'),(3162210304,'jo'),(3162226688,'pl'),(3162234880,'ru'),(3162243072,'tr'),(3162251264,'ru'),(3162259456,'cz'),(3162267648,'ru'),(3162275840,'no'),(3162284032,'pl'),(3162292224,'ba'),(3162300416,'ru'),(3162308608,'hr'),(3162316800,'pl'),(3162324992,'gb'),(3162333184,'it'),(3162341376,'pl'),(3162349568,'tr'),(3162357760,'pt'),(3162365952,'pl'),(3162374144,'bg'),(3162382336,'ru'),(3162390528,'se'),(3162398720,'be'),(3162406912,'ir'),(3162415104,'de'),(3162423296,'no'),(3162431488,'se'),(3162439680,'pl'),(3162447872,'ru'),(3162456064,'bg'),(3162464256,'ba'),(3162472448,'hu'),(3162480640,'es'),(3162488832,'fi'),(3162497024,'ru'),(3162537984,'pl'),(3162570752,'hr'),(3162603520,'ge'),(3162636288,'fr'),(3162669056,'cz'),(3162701824,'md'),(3162734592,'ru'),(3162767360,'sa'),(3162800128,'tr'),(3162832896,'gr'),(3162865664,'ru'),(3162931200,'cz'),(3162963968,'om'),(3162996736,'it'),(3163029504,'de'),(3163062272,'ir'),(3163095040,'pl'),(3163160576,'de'),(3163226112,'sa'),(3163258880,'sy'),(3163291648,'pt'),(3163324416,'om'),(3163357184,'ie'),(3163389952,'fr'),(3163422720,'nl'),(3163455488,'hu'),(3163488256,'ua'),(3163521024,'ru'),(3163553792,'de'),(3163684864,'pl'),(3163815936,'no'),(3164078080,'it'),(3164209152,'ch'),(3164340224,'hu'),(3164471296,'ir'),(3164602368,'sy'),(3164667904,'ps'),(3164733440,'ru'),(3164798976,'ua'),(3164864512,'ru'),(3164930048,'fr'),(3164995584,'ru'),(3165061120,'sk'),(3165126656,'ru'),(3165192192,'ge'),(3165257728,'ro'),(3165323264,'es'),(3165388800,'ro'),(3165519872,'de'),(3165585408,'cz'),(3165650944,'dk'),(3166175232,'ch'),(3166306304,'ru'),(3166437376,'be'),(3166699520,'de'),(3167223808,'nl'),(3167748096,'ro'),(3168272384,'it'),(3168534528,'gb'),(3168796672,'fr'),(3168829440,'ro'),(3168862208,'ru'),(3168894976,'ps'),(3168927744,'ru'),(3169058816,'dk'),(3169091584,'it'),(3169124352,'ro'),(3169189888,'ua'),(3169222656,'si'),(3169255424,'kw'),(3169288192,'ua'),(3169845248,'ro'),(3169976320,'ru'),(3170111488,'md'),(3170115584,'ru'),(3170119680,'cz'),(3170123776,'dk'),(3170127872,'es'),(3170131968,'jo'),(3170238464,'de'),(3170246656,'rs'),(3170254848,'ba'),(3170263040,'cz'),(3170271232,'pl'),(3170279424,'ru'),(3170304000,'sy'),(3170312192,'ru'),(3170320384,'jo'),(3170369536,'sa'),(3221560320,'eu'),(3221562368,'eu'),(3221565952,'eu'),(3221568256,'eu'),(3221577984,'eu'),(3221589504,'eu'),(3221590272,'eu'),(3221594624,'eu'),(3221614336,'eu'),(3221618176,'eu'),(3222012160,'eu'),(3222023936,'eu'),(3222025728,'eu'),(3222030336,'eu'),(3222031616,'eu'),(3222032640,'eu'),(3222036480,'eu'),(3222037248,'eu'),(3222061056,'it'),(3222061568,'eu'),(3222067456,'eu'),(3222071040,'eu'),(3222072064,'eu'),(3222075136,'eu'),(3222305536,'eu'),(3222320896,'eu'),(3222455040,'eu'),(3222936576,'eu'),(3222956288,'eu'),(3222968832,'eu'),(3222988544,'eu'),(3222989312,'eu'),(3222989824,'eu'),(3223260672,'eu'),(3223262976,'eu'),(3223263744,'eu'),(3223265024,'eu'),(3223267328,'eu'),(3223272960,'eu'),(3223283200,'eu'),(3223299584,'eu'),(3223311104,'eu'),(3223316224,'eu'),(3223321600,'eu'),(3223392000,'eu'),(3223397376,'eu'),(3223410432,'eu'),(3223417088,'eu'),(3223418368,'eu'),(3223421440,'eu'),(3223424768,'eu'),(3223437312,'eu'),(3223453184,'de'),(3223458560,'eu'),(3223466496,'eu'),(3223481088,'eu'),(3223499520,'eu'),(3223519232,'eu'),(3223535360,'eu'),(3223542272,'eu'),(3223543296,'eu'),(3223546880,'eu'),(3223554560,'eu'),(3223556608,'eu'),(3223557376,'eu'),(3223563264,'eu'),(3223566080,'eu'),(3223569664,'eu'),(3223571712,'eu'),(3223577856,'eu'),(3223580672,'eu'),(3223582208,'eu'),(3223584768,'se'),(3223650304,'ch'),(3223715840,'eu'),(3223748608,'dk'),(3223864576,'eu'),(3223905280,'eu'),(3223938816,'eu'),(3223948288,'eu'),(3223950080,'eu'),(3223950592,'eu'),(3223966208,'eu'),(3223967744,'eu'),(3223968256,'eu'),(3223970560,'eu'),(3223978240,'eu'),(3223988736,'eu'),(3223991552,'eu'),(3223994112,'eu'),(3224000256,'eu'),(3224003584,'eu'),(3224004096,'eu'),(3224006912,'eu'),(3224014592,'eu'),(3224024064,'eu'),(3224042752,'eu'),(3224084992,'eu'),(3224092672,'eu'),(3224097280,'eu'),(3224097792,'eu'),(3224103424,'eu'),(3224109056,'eu'),(3224170496,'eu'),(3224368128,'eu'),(3224379136,'eu'),(3224396288,'eu'),(3224398592,'eu'),(3224408320,'eu'),(3224428544,'eu'),(3224430336,'eu'),(3224436736,'eu'),(3224567808,'eu'),(3224633344,'eu'),(3224672256,'eu'),(3224674048,'eu'),(3224689920,'eu'),(3224698112,'eu'),(3224725248,'eu'),(3224772352,'eu'),(3224791040,'eu'),(3224793344,'eu'),(3224793856,'eu'),(3224795648,'eu'),(3224796416,'eu'),(3224798208,'eu'),(3224800000,'eu'),(3224813568,'fr'),(3224814592,'eu'),(3224822016,'eu'),(3224826880,'eu'),(3224829440,'eu'),(3224851456,'eu'),(3224852736,'eu'),(3224855808,'eu'),(3224856832,'eu'),(3224857856,'eu'),(3224859392,'eu'),(3224862976,'eu'),(3224863744,'eu'),(3224878080,'eu'),(3224879360,'eu'),(3224880384,'eu'),(3224884224,'eu'),(3224892416,'eu'),(3225033728,'eu'),(3225037056,'eu'),(3225076992,'eu'),(3225082368,'eu'),(3225426944,'eu'),(3225431040,'eu'),(3225445376,'eu'),(3225471488,'eu'),(3225498368,'eu'),(3225508864,'eu'),(3225509888,'eu'),(3225518848,'eu'),(3225520896,'eu'),(3225522176,'eu'),(3225524480,'eu'),(3225532160,'eu'),(3225541376,'eu'),(3225550848,'eu'),(3225617152,'eu'),(3225626368,'eu'),(3225627392,'eu'),(3225628416,'eu'),(3225629184,'eu'),(3225629696,'eu'),(3225630464,'eu'),(3225631232,'eu'),(3225635840,'eu'),(3225636608,'eu'),(3225638656,'eu'),(3225640448,'eu'),(3225641984,'eu'),(3225650944,'eu'),(3225659136,'eu'),(3225659904,'eu'),(3225664768,'eu'),(3225672192,'eu'),(3225672704,'eu'),(3225680128,'eu'),(3225681920,'eu'),(3225687808,'eu'),(3225689856,'eu'),(3225701376,'eu'),(3225720576,'eu'),(3225724160,'eu'),(3225726464,'eu'),(3225726976,'eu'),(3225728512,'eu'),(3225729536,'eu'),(3225735424,'eu'),(3225735936,'eu'),(3225738496,'eu'),(3225739264,'eu'),(3225740800,'eu'),(3225745920,'eu'),(3225746944,'eu'),(3225812992,'eu'),(3225836544,'fr'),(3225837824,'eu'),(3225847040,'eu'),(3225847808,'eu'),(3225848832,'eu'),(3225874944,'eu'),(3225878528,'se'),(3226014464,'eu'),(3226018304,'eu'),(3226067456,'eu'),(3226068224,'eu'),(3226207744,'eu'),(3226237696,'eu'),(3226251264,'eu'),(3226267904,'eu'),(3226274560,'eu'),(3226300928,'eu'),(3226302464,'eu'),(3226305536,'eu'),(3226307584,'eu'),(3226473472,'eu'),(3226476288,'eu'),(3226480128,'eu'),(3226481408,'eu'),(3226548992,'eu'),(3226561792,'eu'),(3226564864,'eu'),(3226574848,'eu'),(3226580480,'eu'),(3226583552,'eu'),(3226630400,'eu'),(3226631168,'eu'),(3226631936,'eu'),(3226638592,'eu'),(3226639616,'eu'),(3226654208,'eu'),(3226655744,'eu'),(3226661120,'eu'),(3226664960,'eu'),(3226691072,'eu'),(3226705920,'eu'),(3226707200,'eu'),(3226716160,'eu'),(3226717952,'eu'),(3226722048,'eu'),(3226723584,'eu'),(3226731776,'eu'),(3226733824,'eu'),(3226734336,'eu'),(3226737408,'eu'),(3226738176,'eu'),(3226738688,'eu'),(3226746368,'eu'),(3226749696,'eu'),(3226752768,'eu'),(3226753536,'eu'),(3226763008,'eu'),(3226772992,'eu'),(3226774784,'eu'),(3226775552,'eu'),(3226784768,'eu'),(3226786816,'eu'),(3226788352,'eu'),(3226793216,'eu'),(3226864384,'eu'),(3226865152,'eu'),(3226866176,'eu'),(3226867968,'eu'),(3226868480,'eu'),(3226884352,'eu'),(3226893568,'eu'),(3226895872,'eu'),(3226896640,'eu'),(3226903296,'eu'),(3226904064,'eu'),(3226904832,'eu'),(3226926592,'eu'),(3226993664,'eu'),(3226994944,'eu'),(3226996992,'eu'),(3226998528,'eu'),(3227013888,'eu'),(3227014656,'eu'),(3227017472,'eu'),(3227020288,'eu'),(3227022848,'eu'),(3227024128,'eu'),(3227025408,'eu'),(3227025920,'eu'),(3227026688,'eu'),(3227042816,'eu'),(3227044864,'eu'),(3227053568,'eu'),(3227056640,'eu'),(3227058176,'fi'),(3227225088,'eu'),(3227234560,'eu'),(3227236864,'eu'),(3227237632,'eu'),(3227238144,'eu'),(3227240192,'eu'),(3227243264,'eu'),(3227244032,'eu'),(3227249664,'eu'),(3227276800,'eu'),(3227278848,'eu'),(3227281408,'eu'),(3227282432,'eu'),(3227284480,'eu'),(3227286784,'eu'),(3227310080,'eu'),(3227320320,'eu'),(3227347200,'fr'),(3227348480,'eu'),(3227392000,'eu'),(3227393024,'eu'),(3227400448,'eu'),(3227403008,'eu'),(3227405312,'eu'),(3227414272,'eu'),(3227425792,'eu'),(3227429888,'eu'),(3227430656,'eu'),(3227440128,'eu'),(3227442432,'eu'),(3227443712,'eu'),(3227445504,'eu'),(3227446016,'eu'),(3227447040,'eu'),(3227648000,'eu'),(3227783680,'eu'),(3227784960,'eu'),(3227792384,'eu'),(3227794688,'eu'),(3227795200,'eu'),(3227799040,'eu'),(3227803648,'eu'),(3227805184,'eu'),(3227813632,'eu'),(3227815936,'eu'),(3227818496,'eu'),(3227844864,'eu'),(3227845632,'eu'),(3227846656,'eu'),(3227851776,'eu'),(3227853312,'eu'),(3227863808,'eu'),(3227865344,'eu'),(3227874816,'eu'),(3227879680,'eu'),(3227885824,'eu'),(3227888128,'eu'),(3227889664,'eu'),(3227890432,'eu'),(3227893760,'eu'),(3227895040,'eu'),(3227909120,'eu'),(3227910400,'eu'),(3227911680,'eu'),(3227914496,'eu'),(3227932928,'eu'),(3227934464,'eu'),(3227947520,'eu'),(3227964928,'eu'),(3227967488,'eu'),(3227968256,'eu'),(3227976192,'eu'),(3227977472,'eu'),(3227979264,'eu'),(3227980800,'eu'),(3227981568,'eu'),(3227982592,'eu'),(3227997440,'eu'),(3228010752,'eu'),(3228013312,'eu'),(3228047104,'eu'),(3228048384,'eu'),(3228050176,'eu'),(3228051712,'eu'),(3228053504,'eu'),(3228054784,'eu'),(3228055296,'eu'),(3228059648,'eu'),(3228060928,'eu'),(3228062208,'eu'),(3228077056,'eu'),(3228077568,'eu'),(3228078848,'eu'),(3228080640,'eu'),(3228083968,'eu'),(3228102144,'eu'),(3228103936,'eu'),(3228104704,'eu'),(3228105472,'eu'),(3228125952,'eu'),(3228172288,'it'),(3228238080,'eu'),(3228238848,'eu'),(3228240640,'eu'),(3228250880,'eu'),(3228265984,'eu'),(3228267008,'eu'),(3228269056,'eu'),(3228269312,'de'),(3228269568,'eu'),(3228271616,'eu'),(3228280832,'eu'),(3228282368,'eu'),(3228283136,'eu'),(3228285696,'eu'),(3228289024,'eu'),(3228297984,'de'),(3228309248,'eu'),(3228328960,'eu'),(3228330752,'eu'),(3228332544,'eu'),(3228335360,'eu'),(3228353280,'eu'),(3228363264,'eu'),(3228364288,'eu'),(3228368896,'eu'),(3228508416,'eu'),(3228509952,'eu'),(3228511232,'eu'),(3228512000,'eu'),(3228522496,'eu'),(3228525824,'eu'),(3228526336,'eu'),(3228531712,'eu'),(3228532480,'eu'),(3228564480,'eu'),(3228573184,'eu'),(3228577024,'eu'),(3228578048,'eu'),(3228581120,'eu'),(3228583424,'eu'),(3228590592,'eu'),(3228617728,'eu'),(3228618240,'eu'),(3228618752,'eu'),(3228620032,'eu'),(3228628736,'eu'),(3228630528,'ch'),(3228631040,'eu'),(3228718080,'il'),(3228719104,'eu'),(3229155328,'se'),(3229221120,'eu'),(3229256960,'eu'),(3229259520,'eu'),(3229275648,'eu'),(3229281792,'eu'),(3229285888,'eu'),(3229358336,'eu'),(3229360128,'eu'),(3229361920,'eu'),(3229363712,'eu'),(3229380608,'eu'),(3229381376,'eu'),(3229391616,'eu'),(3229395456,'eu'),(3229412096,'eu'),(3229415168,'eu'),(3229679872,'eu'),(3229687808,'nl'),(3229700096,'eu'),(3229701888,'eu'),(3229704704,'eu'),(3229745152,'fi'),(3229815808,'eu'),(3229817088,'eu'),(3229830912,'eu'),(3229833472,'eu'),(3229835264,'eu'),(3229838336,'eu'),(3229844480,'eu'),(3229878528,'eu'),(3229884928,'eu'),(3229889792,'eu'),(3229890304,'eu'),(3229901568,'eu'),(3229937408,'eu'),(3229938688,'eu'),(3229940736,'eu'),(3229945600,'eu'),(3229948928,'eu'),(3229949952,'eu'),(3229950976,'eu'),(3229955328,'eu'),(3229956608,'eu'),(3229958144,'eu'),(3229968128,'eu'),(3229969408,'eu'),(3229972736,'eu'),(3229975296,'eu'),(3230004224,'eu'),(3230007296,'eu'),(3230074624,'eu'),(3230084608,'eu'),(3230085888,'eu'),(3230089728,'eu'),(3230090240,'eu'),(3230093824,'eu'),(3230105856,'eu'),(3230106880,'eu'),(3230109440,'eu'),(3230109952,'eu'),(3230117632,'eu'),(3230120192,'eu'),(3230120704,'eu'),(3230128896,'eu'),(3230130432,'eu'),(3230131968,'eu'),(3230137600,'eu'),(3230140160,'eu'),(3230140672,'eu'),(3230142976,'eu'),(3230144256,'eu'),(3230145792,'eu'),(3230148608,'eu'),(3230150912,'eu'),(3230151424,'eu'),(3230153984,'eu'),(3230156544,'eu'),(3230177792,'eu'),(3230269696,'eu'),(3230291456,'eu'),(3230296320,'eu'),(3230309120,'eu'),(3230316288,'eu'),(3230318592,'eu'),(3230321664,'eu'),(3230327808,'eu'),(3230332928,'eu'),(3230354944,'eu'),(3230400768,'eu'),(3230823680,'eu'),(3230825216,'eu'),(3230827520,'eu'),(3230828032,'eu'),(3230832640,'eu'),(3230835456,'eu'),(3230837760,'eu'),(3230841088,'eu'),(3230843136,'eu'),(3230845952,'eu'),(3230851840,'eu'),(3230853376,'eu'),(3230854656,'eu'),(3230855680,'eu'),(3230865152,'eu'),(3230867968,'eu'),(3230868480,'eu'),(3230870016,'eu'),(3230878720,'eu'),(3230895360,'eu'),(3230897664,'eu'),(3230898944,'eu'),(3230913536,'eu'),(3230914304,'eu'),(3230915328,'eu'),(3230917632,'eu'),(3230922496,'eu'),(3230923520,'eu'),(3230933248,'eu'),(3230951168,'eu'),(3230967296,'eu'),(3230970112,'eu'),(3230973952,'eu'),(3230975488,'eu'),(3230981120,'eu'),(3230991104,'eu'),(3230991616,'eu'),(3230994176,'eu'),(3230995200,'eu'),(3230997248,'eu'),(3230997760,'eu'),(3230999296,'eu'),(3231000832,'eu'),(3231004928,'eu'),(3231010048,'eu'),(3231013376,'eu'),(3231015936,'eu'),(3231016448,'eu'),(3231018496,'eu'),(3231020288,'eu'),(3231022592,'eu'),(3231048448,'eu'),(3231049728,'eu'),(3231051264,'eu'),(3231070720,'eu'),(3231078656,'eu'),(3231079424,'eu'),(3231079936,'eu'),(3231082496,'eu'),(3231083008,'eu'),(3231087616,'eu'),(3231091712,'eu'),(3231093248,'eu'),(3231101184,'eu'),(3231104000,'eu'),(3231105024,'eu'),(3231107840,'eu'),(3231109120,'eu'),(3231112960,'eu'),(3231113984,'eu'),(3231116800,'eu'),(3231119360,'eu'),(3231120384,'eu'),(3231120896,'eu'),(3231188480,'eu'),(3231190528,'eu'),(3231191296,'eu'),(3231193600,'eu'),(3231197696,'eu'),(3231198208,'eu'),(3231198976,'eu'),(3231200768,'eu'),(3231202560,'eu'),(3231204352,'eu'),(3231207936,'eu'),(3231212032,'eu'),(3231215360,'eu'),(3231218176,'eu'),(3231218688,'eu'),(3231223040,'eu'),(3231225600,'eu'),(3231226880,'eu'),(3231229440,'eu'),(3231231488,'eu'),(3231234048,'eu'),(3231248640,'eu'),(3231249408,'eu'),(3231251712,'eu'),(3231252992,'eu'),(3231255552,'eu'),(3231257088,'eu'),(3231275264,'eu'),(3231282176,'eu'),(3231284992,'eu'),(3231291648,'eu'),(3231294976,'eu'),(3231295488,'eu'),(3231296256,'eu'),(3231296768,'eu'),(3231300608,'eu'),(3231302144,'eu'),(3231307008,'eu'),(3231383808,'eu'),(3231482880,'eu'),(3231490560,'eu'),(3231491840,'eu'),(3231502848,'eu'),(3231503616,'eu'),(3231504640,'eu'),(3231507200,'eu'),(3231510272,'eu'),(3231512576,'eu'),(3231514880,'eu'),(3231516672,'eu'),(3231547648,'eu'),(3231556864,'eu'),(3231559168,'eu'),(3231559680,'eu'),(3231561984,'eu'),(3231562496,'eu'),(3231563008,'eu'),(3231663616,'eu'),(3231664384,'eu'),(3231665408,'eu'),(3231667200,'eu'),(3231668736,'eu'),(3231670016,'eu'),(3231671040,'eu'),(3231672576,'eu'),(3231673344,'eu'),(3231675904,'eu'),(3231713792,'eu'),(3231715072,'eu'),(3231716608,'eu'),(3231718144,'eu'),(3231719680,'eu'),(3231720704,'eu'),(3231727872,'eu'),(3231735552,'eu'),(3231739136,'eu'),(3231742720,'eu'),(3231743488,'eu'),(3231747584,'eu'),(3231750144,'eu'),(3231751168,'eu'),(3231752192,'eu'),(3231755264,'eu'),(3231756544,'eu'),(3231760896,'eu'),(3231768576,'eu'),(3231770368,'eu'),(3231773952,'eu'),(3231793152,'eu'),(3231842304,'eu'),(3231916032,'eu'),(3231973376,'at'),(3232038912,'se'),(3232104448,'de'),(3232118784,'eu'),(3232120832,'de'),(3232137216,'eu'),(3232141824,'de'),(3232169984,'it'),(3232432384,'eu'),(3232464896,'eu'),(3232562432,'eu'),(3232563456,'eu'),(3232595968,'eu'),(3232645120,'eu'),(3232702464,'eu'),(3232759808,'se'),(3233484800,'eu'),(3233548800,'eu'),(3233562368,'eu'),(3233563904,'eu'),(3233570816,'eu'),(3233573120,'eu'),(3233575936,'eu'),(3233577216,'eu'),(3233578240,'eu'),(3233578752,'eu'),(3233579264,'eu'),(3233580032,'eu'),(3233581056,'eu'),(3233583360,'eu'),(3233586432,'eu'),(3233594112,'eu'),(3233594624,'eu'),(3233605888,'eu'),(3233608192,'eu'),(3233612032,'eu'),(3233613824,'eu'),(3233615360,'eu'),(3233617664,'eu'),(3233622272,'eu'),(3233624832,'eu'),(3233625856,'eu'),(3233628672,'eu'),(3233629440,'eu'),(3233630464,'eu'),(3233631232,'eu'),(3233642240,'eu'),(3233650432,'eu'),(3233651968,'eu'),(3233652736,'eu'),(3233654272,'eu'),(3233663488,'eu'),(3233676032,'eu'),(3233688576,'eu'),(3233692160,'eu'),(3233693696,'eu'),(3233694464,'eu'),(3233694976,'eu'),(3233701632,'eu'),(3233710336,'eu'),(3233721600,'eu'),(3233723904,'eu'),(3233725952,'eu'),(3233728768,'eu'),(3233736960,'eu'),(3233738752,'eu'),(3233739264,'eu'),(3233740544,'eu'),(3233939456,'fi'),(3234005248,'eu'),(3234007040,'eu'),(3234015744,'eu'),(3234023424,'eu'),(3234030080,'eu'),(3234031872,'eu'),(3234033152,'eu'),(3234034688,'eu'),(3234039296,'eu'),(3234051840,'eu'),(3234054912,'eu'),(3234065408,'eu'),(3234070784,'fr'),(3234271232,'eu'),(3234549760,'eu'),(3234556928,'eu'),(3234587392,'eu'),(3234745600,'eu'),(3234747904,'eu'),(3234782720,'eu'),(3234795008,'eu'),(3234799360,'eu'),(3234827520,'eu'),(3234841600,'eu'),(3236381440,'eu'),(3236385280,'eu'),(3236823296,'eu'),(3237320704,'eu'),(3237325056,'eu'),(3237339392,'eu'),(3237413120,'eu'),(3237690624,'eu'),(3237732864,'eu'),(3238002688,'eu'),(3238010880,'ch'),(3238017024,'dk'),(3238018304,'tr'),(3238018560,'fr'),(3238018816,'de'),(3238019072,'pl'),(3238035456,'fr'),(3238060032,'ch'),(3238060288,'ro'),(3238060544,'hu'),(3238060800,'ua'),(3238061312,'gb'),(3238061568,'at'),(3238061824,'cz'),(3238062080,'de'),(3238062592,'gb'),(3238062848,'se'),(3238063104,'pl'),(3238063360,'ch'),(3238063616,'de'),(3238063872,'gb'),(3238064128,'ua'),(3238064384,'es'),(3238064640,'pl'),(3238064896,'dk'),(3238065152,'si'),(3238065408,'fr'),(3238065664,'de'),(3238065920,'ua'),(3238066176,'de'),(3238066432,'gb'),(3238066688,'de'),(3238066944,'lt'),(3238067200,'se'),(3238067712,'at'),(3238067968,'gb'),(3238068224,'ie'),(3238133760,'si'),(3238199296,'dk'),(3238264832,'is'),(3238330368,'ch'),(3238395904,'hu'),(3238461440,'de'),(3238502400,'ru'),(3238504448,'de'),(3238526976,'ch'),(3238592512,'gb'),(3238592768,'eu'),(3238596608,'bg'),(3238596864,'ru'),(3238597120,'de'),(3238597376,'si'),(3238597632,'gb'),(3238597888,'si'),(3238598144,'cz'),(3238598400,'nl'),(3238598656,'ch'),(3238598912,'pl'),(3238599168,'hu'),(3238599680,'ua'),(3238599936,'hu'),(3238600704,'eu'),(3238622976,'gb'),(3238623232,'lv'),(3238623488,'pl'),(3238623744,'ch'),(3238624000,'pl'),(3238624256,'eu'),(3238632960,'ua'),(3238633216,'dk'),(3238633472,'eu'),(3238658048,'se'),(3239051264,'ch'),(3239051520,'de'),(3239062272,'gb'),(3239062528,'ch'),(3239062784,'ua'),(3239063040,'gb'),(3239063296,'ua'),(3239063552,'de'),(3239075840,'be'),(3239076096,'se'),(3239076352,'de'),(3239076608,'pl'),(3239076864,'gb'),(3239077120,'ua'),(3239077376,'bg'),(3239077632,'gb'),(3239077888,'cz'),(3239078144,'ua'),(3239078400,'ru'),(3239078656,'pl'),(3239078912,'gb'),(3239079168,'si'),(3239079424,'eu'),(3239079680,'md'),(3239079936,'de'),(3239088128,'gb'),(3239088640,'dk'),(3239088896,'il'),(3239089152,'ro'),(3239089408,'gb'),(3239090176,'si'),(3239090432,'gb'),(3239090688,'nl'),(3239090944,'gb'),(3239091200,'fr'),(3239091456,'bg'),(3239091712,'de'),(3239091968,'fr'),(3239092224,'de'),(3239104512,'ru'),(3239105280,'ch'),(3239105536,'de'),(3239105792,'ro'),(3239106048,'de'),(3239106560,'gb'),(3239106816,'ch'),(3239107072,'ro'),(3239107328,'gr'),(3239107584,'ch'),(3239107840,'ro'),(3239108096,'de'),(3239109888,'pl'),(3239110144,'de'),(3239110912,'ua'),(3239111168,'nl'),(3239111424,'de'),(3239111680,'eu'),(3239111936,'at'),(3239112192,'ua'),(3239112448,'pl'),(3239112960,'ch'),(3239113216,'at'),(3239113472,'gb'),(3239113728,'at'),(3239113984,'de'),(3239114240,'bg'),(3239114496,'ua'),(3239114752,'de'),(3239116544,'pl'),(3239116800,'gb'),(3239117056,'de'),(3239119872,'gb'),(3239120128,'cz'),(3239120384,'pl'),(3239120640,'de'),(3239121664,'fr'),(3239121920,'de'),(3239127040,'pt'),(3239127296,'pl'),(3239127552,'il'),(3239127808,'ru'),(3239128064,'at'),(3239128320,'it'),(3239128576,'ua'),(3239128832,'cz'),(3239129088,'de'),(3239130112,'ru'),(3239130368,'jo'),(3239130624,'pl'),(3239131136,'de'),(3239133184,'ch'),(3239133440,'gb'),(3239133696,'eu'),(3239133952,'se'),(3239134208,'il'),(3239134464,'ua'),(3239134720,'ro'),(3239134976,'pl'),(3239135232,'se'),(3239135488,'gb'),(3239135744,'il'),(3239136000,'de'),(3239136256,'ch'),(3239136512,'de'),(3239136768,'md'),(3239137024,'li'),(3239137280,'de'),(3239138304,'pl'),(3239138560,'ch'),(3239138816,'de'),(3239160320,'ru'),(3239160576,'de'),(3239160832,'pl'),(3239161088,'by'),(3239161344,'ua'),(3239161600,'hu'),(3239161856,'de'),(3239162624,'eu'),(3239162880,'de'),(3239164160,'nl'),(3239164672,'gb'),(3239164928,'dk'),(3239165184,'eu'),(3239165440,'de'),(3239165952,'fr'),(3239166208,'de'),(3239166464,'ch'),(3239166720,'ro'),(3239166976,'fr'),(3239167232,'eu'),(3239167488,'fr'),(3239167744,'ch'),(3239168256,'gb'),(3239168512,'se'),(3239168768,'pl'),(3239169024,'eu'),(3239169280,'de'),(3239169536,'dk'),(3239169792,'se'),(3239170048,'ua'),(3239170304,'fr'),(3239170560,'gb'),(3239170816,'eu'),(3239171072,'pl'),(3239171328,'ua'),(3239171584,'pl'),(3239172096,'ua'),(3239172608,'se'),(3239172864,'de'),(3239173120,'ro'),(3239173376,'eu'),(3239173632,'at'),(3239173888,'pl'),(3239174144,'de'),(3239174400,'eu'),(3239174656,'gb'),(3239174912,'si'),(3239175168,'ua'),(3239175424,'bg'),(3239175680,'eu'),(3239175936,'fi'),(3239176192,'de'),(3239181312,'at'),(3239181568,'ua'),(3239181824,'de'),(3239264256,'no'),(3239264768,'ru'),(3239266304,'pl'),(3239266816,'ua'),(3239267328,'fr'),(3239267840,'de'),(3239268352,'se'),(3239268864,'ru'),(3239269376,'ua'),(3239270400,'gb'),(3239270912,'sa'),(3239271424,'at'),(3239271936,'se'),(3239272448,'ua'),(3239272960,'gb'),(3239273472,'ua'),(3239273984,'ru'),(3239274496,'pl'),(3239275008,'ro'),(3239275520,'ua'),(3239276544,'lu'),(3239277056,'gb'),(3239277568,'ru'),(3239278080,'gb'),(3239278592,'ru'),(3239279104,'pl'),(3239280128,'ru'),(3239280640,'cy'),(3239281664,'ua'),(3239282688,'fi'),(3239283712,'pl'),(3239284736,'ua'),(3239285760,'cy'),(3239286784,'ua'),(3239287808,'gb'),(3239288832,'de'),(3239289856,'pl'),(3239290880,'gb'),(3239291904,'bg'),(3239292928,'cz'),(3239293952,'de'),(3239294976,'ua'),(3239296000,'cy'),(3239297024,'ro'),(3239298048,'gb'),(3239299072,'ua'),(3239301120,'fr'),(3239302144,'pl'),(3239303168,'eu'),(3239304192,'si'),(3239305216,'gb'),(3239306240,'ua'),(3239308288,'de'),(3239309312,'ua'),(3239311360,'de'),(3239312384,'ua'),(3239313408,'de'),(3239445760,'pl'),(3239446016,'ua'),(3239446272,'gb'),(3239446528,'de'),(3239451648,'no'),(3239451904,'de'),(3239452160,'cy'),(3239452416,'si'),(3239452672,'de'),(3239464960,'il'),(3239465216,'si'),(3239465472,'gb'),(3239465728,'pl'),(3239465984,'ua'),(3239466240,'gb'),(3239466496,'fi'),(3239466752,'gb'),(3239467008,'ru'),(3239467264,'gb'),(3239467520,'it'),(3239467776,'pl'),(3239468032,'fr'),(3239468288,'ro'),(3239468544,'no'),(3239468800,'ro'),(3239469056,'de'),(3239470592,'eu'),(3239470848,'bg'),(3239471104,'de'),(3239471872,'fr'),(3239472128,'de'),(3239474944,'es'),(3239475200,'de'),(3239479808,'ua'),(3239480064,'de'),(3239480320,'ua'),(3239480576,'ro'),(3239480832,'ch'),(3239481088,'gb'),(3239481344,'de'),(3239486464,'eu'),(3239486976,'de'),(3239487488,'gb'),(3239487744,'pl'),(3239488000,'at'),(3239488256,'gb'),(3239488512,'kw'),(3239488768,'ro'),(3239489024,'ru'),(3239489280,'pl'),(3239489536,'de'),(3239506432,'ru'),(3239506688,'gb'),(3239507456,'de'),(3239507968,'bg'),(3239508224,'sa'),(3239508480,'no'),(3239508736,'gb'),(3239508992,'pl'),(3239509248,'eu'),(3239509504,'de'),(3239510016,'ua'),(3239510272,'de'),(3239522304,'pl'),(3239522560,'si'),(3239522816,'lt'),(3239523072,'pl'),(3239523328,'bg'),(3239523584,'ua'),(3239523840,'pl'),(3239524096,'de'),(3239524608,'se'),(3239524864,'cy'),(3239525120,'lt'),(3239525376,'ua'),(3239525632,'pl'),(3239525888,'si'),(3239526144,'pl'),(3239526400,'de'),(3239538944,'nl'),(3239539200,'it'),(3239539456,'gb'),(3239539712,'de'),(3239539968,'se'),(3239540224,'gr'),(3239540480,'de'),(3239540736,'gb'),(3239540992,'eu'),(3239541248,'ua'),(3239541504,'eu'),(3239541760,'gb'),(3239542016,'pl'),(3239542272,'gb'),(3239542528,'fr'),(3239542784,'de'),(3239544832,'eu'),(3239545088,'si'),(3239545344,'hu'),(3239545856,'ua'),(3239546112,'gb'),(3239546368,'cz'),(3239546624,'nl'),(3239546880,'de'),(3239549952,'tr'),(3239550208,'ua'),(3239550464,'eu'),(3239550720,'no'),(3239550976,'de'),(3239554048,'se'),(3239554304,'dk'),(3239554560,'pl'),(3239554816,'gb'),(3239555072,'de'),(3239556096,'sa'),(3239556352,'ua'),(3239556608,'hr'),(3239556864,'ua'),(3239557120,'de'),(3239567360,'gb'),(3239567616,'ua'),(3239567872,'de'),(3239568128,'fr'),(3239568384,'se'),(3239568640,'no'),(3239568896,'de'),(3239575296,'dk'),(3239575552,'ro'),(3239575808,'de'),(3239579136,'pl'),(3239579392,'eu'),(3239579648,'de'),(3239581696,'pl'),(3239581952,'ua'),(3239582208,'gb'),(3239582464,'de'),(3239582720,'gb'),(3239582976,'it'),(3239583232,'ua'),(3239583488,'ro'),(3239583744,'de'),(3239624704,'ch'),(3239626752,'pl'),(3239628800,'eu'),(3239630848,'de'),(3239633920,'eu'),(3239634944,'ua'),(3239635968,'eu'),(3239636992,'bg'),(3239638016,'pl'),(3239639040,'si'),(3239640064,'de'),(3239641088,'pl'),(3239643136,'ru'),(3239645184,'de'),(3239665664,'nl'),(3239666176,'at'),(3239666688,'se'),(3239667200,'ch'),(3239667712,'ro'),(3239668224,'ua'),(3239669248,'ro'),(3239670272,'de'),(3239670784,'gb'),(3239671296,'de'),(3239671808,'gb'),(3239672320,'de'),(3239672832,'tr'),(3239673344,'se'),(3239673856,'de'),(3239682048,'pl'),(3239682560,'bg'),(3239683072,'pt'),(3239683584,'pl'),(3239684608,'gb'),(3239685120,'eu'),(3239685632,'gb'),(3239686144,'ua'),(3239686656,'it'),(3239687168,'ua'),(3239687680,'eu'),(3239688192,'pl'),(3239688704,'gb'),(3239689216,'eu'),(3239689728,'ru'),(3239690240,'gb'),(3239690496,'pl'),(3239690752,'gb'),(3239691008,'eu'),(3239691264,'it'),(3239691520,'gb'),(3239692032,'at'),(3239692288,'de'),(3239697408,'nl'),(3239697664,'ru'),(3239697920,'pl'),(3239698432,'de'),(3239706368,'ua'),(3239706624,'ru'),(3239706880,'eu'),(3239707136,'ru'),(3239707392,'ua'),(3239707648,'se'),(3239707904,'eu'),(3239708160,'se'),(3239708416,'ro'),(3239708672,'at'),(3239708928,'gb'),(3239709184,'ro'),(3239709440,'gb'),(3239709696,'de'),(3239709952,'ua'),(3239710208,'bg'),(3239710464,'de'),(3239710720,'cz'),(3239710976,'se'),(3239711232,'ru'),(3239711488,'eu'),(3239711744,'ua'),(3239712000,'pl'),(3239712256,'de'),(3239712512,'gb'),(3239712768,'de'),(3239713024,'pl'),(3239713280,'si'),(3239713536,'ua'),(3239713792,'de'),(3239714048,'gb'),(3239714304,'se'),(3239714560,'hu'),(3239714816,'de'),(3239739392,'it'),(3239739648,'ro'),(3239739904,'ch'),(3239740160,'pl'),(3239740416,'dk'),(3239740672,'eu'),(3239740928,'ua'),(3239741184,'ru'),(3239741440,'de'),(3239759872,'ru'),(3239760128,'ua'),(3239760384,'pl'),(3239760896,'ru'),(3239761152,'gb'),(3239761408,'ru'),(3239761664,'pl'),(3239761920,'bg'),(3239762176,'gb'),(3239762432,'dk'),(3239762688,'ro'),(3239762944,'pl'),(3239763200,'se'),(3239763456,'gb'),(3239763968,'de'),(3239772160,'ua'),(3239772416,'gb'),(3239772672,'dk'),(3239773184,'fr'),(3239773440,'pl'),(3239773952,'sa'),(3239774208,'pl'),(3239774464,'es'),(3239774720,'eu'),(3239774976,'pt'),(3239775232,'de'),(3239782400,'at'),(3239782656,'ru'),(3239782912,'gb'),(3239783168,'ch'),(3239783424,'dk'),(3239783680,'de'),(3239783936,'eu'),(3239784192,'ua'),(3239784448,'de'),(3239788544,'be'),(3239789056,'ru'),(3239790080,'ro'),(3239791104,'eu'),(3239792640,'ua'),(3239793152,'pl'),(3239793664,'ro'),(3239794176,'nl'),(3239794688,'gb'),(3239795200,'pl'),(3239795712,'il'),(3239796224,'no'),(3239796736,'de'),(3239821312,'se'),(3239821824,'de'),(3239822336,'ru'),(3239822848,'pl'),(3239823360,'se'),(3239823872,'it'),(3239824384,'pl'),(3239824896,'ru'),(3239825408,'ua'),(3239825920,'pl'),(3239826432,'gb'),(3239826944,'ru'),(3239827456,'dk'),(3239827968,'ch'),(3239828480,'de'),(3239828992,'ru'),(3239830016,'eu'),(3239830528,'se'),(3239831040,'ru'),(3239832064,'ua'),(3239832576,'ru'),(3239834112,'ua'),(3239834624,'at'),(3239835136,'ru'),(3239836160,'dk'),(3239836672,'de'),(3239837184,'se'),(3239837696,'pl'),(3239837952,'de'),(3239839232,'ee'),(3239839488,'de'),(3239839744,'sk'),(3239840000,'sa'),(3239840512,'de'),(3239840768,'at'),(3239841024,'nl'),(3239841280,'de'),(3239848448,'eu'),(3239848704,'se'),(3239848960,'ru'),(3239849216,'gb'),(3239849472,'ru'),(3239849728,'nl'),(3239849984,'de'),(3239859200,'pl'),(3239859456,'ua'),(3239859712,'hu'),(3239859968,'ua'),(3239860224,'de'),(3239860480,'eu'),(3239860736,'de'),(3239861248,'ua'),(3239861504,'pl'),(3239861760,'sa'),(3239862016,'it'),(3239862272,'de'),(3239875072,'si'),(3239875328,'dk'),(3239875584,'pl'),(3239875840,'dk'),(3239876096,'de'),(3239876352,'ro'),(3239876608,'nl'),(3239876864,'de'),(3239877120,'gb'),(3239877376,'il'),(3239877632,'ru'),(3239877888,'it'),(3239878144,'pl'),(3239878400,'de'),(3239882752,'gb'),(3239883008,'ua'),(3239883264,'gb'),(3239883776,'de'),(3239884032,'ch'),(3239884288,'nl'),(3239884544,'eu'),(3239884800,'ru'),(3239885056,'ch'),(3239885312,'ua'),(3239885568,'pl'),(3239885824,'ch'),(3239886080,'pl'),(3239886336,'ru'),(3239886592,'eu'),(3239886848,'de'),(3239888896,'ua'),(3239889152,'gb'),(3239889408,'cz'),(3239889664,'fi'),(3239889920,'at'),(3239890176,'fr'),(3239890432,'gb'),(3239890688,'de'),(3239895040,'dk'),(3239895296,'tr'),(3239895552,'pl'),(3239895808,'dk'),(3239896064,'eu'),(3239896320,'de'),(3239896576,'pl'),(3239896832,'hu'),(3239897088,'gb'),(3239897344,'eu'),(3239897600,'ru'),(3239897856,'fr'),(3239898112,'no'),(3239898368,'de'),(3239901696,'bg'),(3239901952,'de'),(3239902208,'pl'),(3239902464,'ru'),(3239902720,'ee'),(3239902976,'gb'),(3239903232,'de'),(3239913216,'lt'),(3239913472,'de'),(3239915520,'pl'),(3239915776,'hu'),(3239916032,'sa'),(3239916288,'pl'),(3239916544,'ie'),(3239916800,'kz'),(3239917056,'de'),(3239917312,'bg'),(3239917568,'de'),(3239936000,'ua'),(3239936256,'de'),(3239938816,'nl'),(3239939072,'de'),(3239951104,'at'),(3239951360,'de'),(3239954432,'hu'),(3239954688,'dk'),(3239954944,'gb'),(3239955200,'ua'),(3239955712,'pl'),(3239955968,'cz'),(3239956224,'pl'),(3239956480,'de'),(3239959552,'ua'),(3239959808,'gb'),(3239960064,'fr'),(3239960320,'gb'),(3239960576,'de'),(3239968512,'pl'),(3239968768,'no'),(3239969024,'de'),(3239978752,'ru'),(3239979264,'gb'),(3239979520,'de'),(3239979776,'si'),(3239980032,'de'),(3239996416,'gb'),(3239996672,'pl'),(3239996928,'be'),(3239997184,'gb'),(3239997440,'de'),(3240004608,'gb'),(3240004864,'fr'),(3240005120,'se'),(3240005376,'nl'),(3240005632,'de'),(3240009728,'pl'),(3240009984,'il'),(3240010240,'gb'),(3240010496,'at'),(3240010752,'hu'),(3240011008,'de'),(3240011264,'eu'),(3240011520,'ch'),(3240011776,'de'),(3240026112,'fr'),(3240027136,'bg'),(3240028160,'gb'),(3240029184,'ru'),(3240030208,'cy'),(3240031232,'ua'),(3240032256,'ru'),(3240033280,'de'),(3240034304,'ru'),(3240034560,'de'),(3240037888,'at'),(3240038144,'dk'),(3240038400,'de'),(3240099840,'gb'),(3240104704,'nl'),(3240104960,'ru'),(3240105216,'ua'),(3240105472,'gb'),(3240105984,'eu'),(3240107008,'gb'),(3240109056,'pl'),(3240109568,'gb'),(3240125440,'ro'),(3240125696,'ie'),(3240125952,'gb'),(3240166400,'pl'),(3240166912,'ro'),(3240167936,'ua'),(3240168448,'fr'),(3240168960,'cz'),(3240169472,'il'),(3240169984,'it'),(3240170496,'de'),(3240171008,'cz'),(3240171520,'ro'),(3240172032,'ua'),(3240173056,'ch'),(3240173568,'ro'),(3240174080,'pl'),(3240174592,'fr'),(3240175104,'ua'),(3240175616,'ru'),(3240176128,'pl'),(3240176640,'ua'),(3240177152,'eu'),(3240177664,'ua'),(3240178176,'nl'),(3240178688,'be'),(3240179200,'ua'),(3240179712,'ro'),(3240180224,'pl'),(3240180736,'nl'),(3240181248,'ua'),(3240182272,'ro'),(3240182784,'ua'),(3240183808,'gb'),(3240184320,'de'),(3240184832,'gb'),(3240185344,'fr'),(3240185856,'ua'),(3240187904,'ru'),(3240188416,'ro'),(3240189952,'de'),(3240190464,'it'),(3240190976,'ru'),(3240191488,'se'),(3240192000,'ua'),(3240192512,'ro'),(3240193024,'gb'),(3240193536,'pl'),(3240194048,'gb'),(3240194560,'at'),(3240195072,'gb'),(3240195584,'ro'),(3240196096,'ru'),(3240197120,'pl'),(3240197632,'cz'),(3240198144,'ch'),(3240198656,'ro'),(3240199168,'hu'),(3240199680,'nl'),(3240200192,'ro'),(3240200704,'gb'),(3240201216,'ro'),(3240201728,'ch'),(3240202240,'ru'),(3240203776,'at'),(3240204800,'ro'),(3240205312,'eu'),(3240205824,'de'),(3240206336,'ru'),(3240206848,'ro'),(3240207872,'ru'),(3240208384,'gb'),(3240208896,'ru'),(3240209408,'ua'),(3240209920,'pl'),(3240210944,'gb'),(3240211456,'nl'),(3240211968,'eu'),(3240212480,'ru'),(3240212992,'gb'),(3240213504,'se'),(3240214016,'dk'),(3240214528,'ru'),(3240215552,'ua'),(3240216064,'mt'),(3240216576,'ro'),(3240217088,'ua'),(3240218624,'nl'),(3240219136,'at'),(3240219648,'ua'),(3240220160,'nl'),(3240220672,'at'),(3240221184,'sa'),(3240221696,'nl'),(3240222208,'fr'),(3240222720,'kw'),(3240223232,'ru'),(3240223744,'im'),(3240224256,'ru'),(3240225280,'il'),(3240225792,'ua'),(3240226304,'ch'),(3240226816,'ru'),(3240227840,'gb'),(3240228352,'se'),(3240228864,'gb'),(3240229376,'ro'),(3240230400,'gb'),(3240230912,'pl'),(3240231936,'nl'),(3240232960,'ua'),(3240235008,'fr'),(3240236032,'ua'),(3240237056,'de'),(3240238080,'gb'),(3240239104,'eu'),(3240240128,'de'),(3240241152,'fi'),(3240242176,'pl'),(3240243200,'de'),(3240244224,'pl'),(3240245248,'il'),(3240246272,'ua'),(3240247296,'hu'),(3240248320,'de'),(3240249344,'ua'),(3240251392,'ie'),(3240252416,'lt'),(3240253440,'be'),(3240254464,'ua'),(3240256512,'gb'),(3240257536,'fo'),(3240258560,'ro'),(3240259584,'pl'),(3240260608,'de'),(3240262656,'ru'),(3240263680,'ua'),(3240264192,'eu'),(3240264704,'tr'),(3240265216,'ru'),(3240265728,'ch'),(3240266240,'pl'),(3240266752,'ua'),(3240267264,'cs'),(3240267776,'de'),(3240268288,'gb'),(3240269312,'nl'),(3240269824,'se'),(3240270336,'ua'),(3240270848,'ro'),(3240271360,'pl'),(3240271872,'ua'),(3240272384,'pl'),(3240272896,'ru'),(3240273408,'nl'),(3240273920,'ua'),(3240274432,'gb'),(3240274944,'ua'),(3240275456,'ro'),(3240275968,'gr'),(3240276480,'pl'),(3240276992,'ro'),(3240278016,'ua'),(3240278528,'gb'),(3240279040,'ch'),(3240279552,'ro'),(3240280064,'gb'),(3240280192,'pl'),(3240280448,'ua'),(3240280576,'gb'),(3240280704,'ru'),(3240280832,'gb'),(3240280960,'pl'),(3240281216,'fr'),(3240281344,'pl'),(3240281472,'gb'),(3240281728,'pl'),(3240281856,'de'),(3240288256,'gb'),(3240296448,'ro'),(3240296704,'gb'),(3240302848,'ua'),(3240303104,'gb'),(3240361984,'tr'),(3240362240,'gb'),(3240370176,'ch'),(3240370432,'de'),(3240370688,'gb'),(3240370944,'ru'),(3240371200,'ch'),(3240371456,'ro'),(3240371712,'ru'),(3240371968,'tr'),(3240372224,'si'),(3240372480,'ru'),(3240372992,'gb'),(3240373248,'ro'),(3240373504,'fr'),(3240373760,'de'),(3240374016,'ie'),(3240374272,'gb'),(3240407040,'il'),(3240407296,'nl'),(3240407552,'no'),(3240407808,'de'),(3240408064,'gb'),(3240408320,'ch'),(3240408576,'fr'),(3240408832,'pl'),(3240409088,'tr'),(3240409344,'gb'),(3240409600,'nl'),(3240409856,'ua'),(3240410112,'ch'),(3240410368,'at'),(3240410624,'pt'),(3240410880,'no'),(3240411136,'gb'),(3240419840,'at'),(3240420096,'de'),(3240420352,'ro'),(3240420608,'gb'),(3240436736,'ie'),(3240437760,'gb'),(3240460288,'il'),(3240461056,'de'),(3240461568,'ua'),(3240461824,'ru'),(3240462080,'tr'),(3240462336,'ro'),(3240462592,'ru'),(3240462848,'ro'),(3240463104,'pl'),(3240463616,'ua'),(3240463872,'gb'),(3240464128,'sa'),(3240464384,'at'),(3240464640,'fr'),(3240464896,'gb'),(3240465152,'ch'),(3240465408,'de'),(3240465920,'eu'),(3240466432,'de'),(3240466688,'pt'),(3240466944,'tr'),(3240467200,'nl'),(3240467456,'ua'),(3240467712,'ru'),(3240467968,'gb'),(3240468224,'ch'),(3240468480,'gb'),(3240487936,'de'),(3240488192,'gb'),(3240488448,'bg'),(3240488704,'nl'),(3240488960,'gb'),(3240575488,'ro'),(3240575744,'eu'),(3240576000,'de'),(3240576256,'ua'),(3240576512,'gb'),(3240576768,'pl'),(3240577024,'ua'),(3240577280,'ro'),(3240577536,'de'),(3240577792,'ua'),(3240578560,'ch'),(3240578816,'il'),(3240579072,'gb'),(3240587264,'nl'),(3240587520,'ru'),(3240587776,'ua'),(3240588032,'de'),(3240588288,'ru'),(3240588544,'ro'),(3240588800,'ua'),(3240589056,'ro'),(3240589312,'gb'),(3240594176,'dk'),(3240594432,'gb'),(3240621824,'eu'),(3240622080,'ru'),(3240622592,'gb'),(3240624128,'ee'),(3240689664,'eu'),(3240690176,'tr'),(3240690688,'ua'),(3240691200,'it'),(3240691712,'de'),(3240692736,'dk'),(3240693248,'se'),(3240693760,'eu'),(3240695808,'se'),(3240698112,'lv'),(3240698368,'eu'),(3240698624,'si'),(3240699136,'de'),(3240699392,'ua'),(3240699648,'se'),(3240699904,'lt'),(3240700160,'at'),(3240700416,'be'),(3240700672,'gb'),(3240701184,'lv'),(3240701440,'se'),(3240701696,'gb'),(3240701952,'ua'),(3240702976,'de'),(3240704000,'gr'),(3240705024,'ua'),(3240706048,'bg'),(3240707072,'eu'),(3240707840,'gb'),(3240708096,'fr'),(3240709120,'it'),(3240710144,'ua'),(3240710400,'lt'),(3240710656,'de'),(3240710912,'gb'),(3240711168,'it'),(3240711680,'ru'),(3240711936,'de'),(3240712192,'ua'),(3240712448,'si'),(3240712704,'ch'),(3240712960,'it'),(3240713216,'gb'),(3240713472,'de'),(3240713728,'at'),(3240713984,'fr'),(3240714240,'gb'),(3240716288,'eu'),(3240718336,'pl'),(3240718848,'pt'),(3240719360,'eu'),(3240719872,'se'),(3240720384,'gb'),(3240720896,'ro'),(3240721408,'de'),(3240721920,'ro'),(3240722432,'ua'),(3240723456,'gb'),(3240724480,'ch'),(3240725504,'ru'),(3240726528,'de'),(3240727552,'ch'),(3240728064,'gr'),(3240728576,'gb'),(3240729600,'dk'),(3240730112,'be'),(3240731648,'eu'),(3240732672,'se'),(3240733696,'ua'),(3240734720,'it'),(3240735744,'fr'),(3240736256,'bg'),(3240736768,'ua'),(3240737792,'bg'),(3240738816,'ua'),(3240739072,'eu'),(3240739328,'fr'),(3240739584,'lv'),(3240739840,'de'),(3240740096,'lt'),(3240740352,'eu'),(3240740608,'de'),(3240740864,'gb'),(3240741120,'at'),(3240741376,'il'),(3240741632,'sk'),(3240741888,'lv'),(3240742144,'it'),(3240742400,'bg'),(3240742656,'at'),(3240742912,'il'),(3240743424,'dk'),(3240743936,'de'),(3240744448,'se'),(3240744960,'ro'),(3240745472,'ua'),(3240745984,'gb'),(3240746496,'fr'),(3240747008,'se'),(3240747520,'ru'),(3240747776,'gb'),(3240748032,'at'),(3240748288,'gr'),(3240748544,'pl'),(3240749056,'at'),(3240749312,'be'),(3240749568,'es'),(3240749824,'it'),(3240750336,'de'),(3240750592,'gb'),(3240750848,'ua'),(3240751104,'es'),(3240752128,'ro'),(3240754176,'de'),(3240755200,'eu'),(3240755456,'it'),(3240791552,'ru'),(3240791808,'fr'),(3240792064,'gb'),(3240792320,'ro'),(3240792576,'ch'),(3240792832,'pl'),(3240793088,'ua'),(3240793344,'ru'),(3240793600,'fr'),(3240793856,'eu'),(3240794112,'gb'),(3240794368,'pl'),(3240794880,'de'),(3240795136,'bg'),(3240795392,'ua'),(3240795648,'ch'),(3240795904,'se'),(3240796160,'it'),(3240808960,'eu'),(3240809216,'pl'),(3240809472,'nl'),(3240809728,'gb'),(3240809984,'gr'),(3240810240,'sa'),(3240810496,'tr'),(3240810752,'gb'),(3240811008,'pl'),(3240811264,'eu'),(3240811520,'sa'),(3240811776,'de'),(3240812032,'hu'),(3240812288,'kw'),(3240812544,'it'),(3240813568,'pl'),(3240814592,'it'),(3240818688,'eu'),(3240820800,'ru'),(3240820832,'it'),(3240827136,'eu'),(3240827392,'bg'),(3240827648,'ch'),(3240827904,'it'),(3240828160,'de'),(3240828416,'it'),(3240837120,'gb'),(3240837376,'it'),(3240840448,'pl'),(3240840704,'ro'),(3240840960,'eu'),(3240841216,'it'),(3240843264,'be'),(3240843520,'gb'),(3240843776,'pl'),(3240844032,'nl'),(3240844544,'gb'),(3240845056,'ua'),(3240845312,'it'),(3240852736,'gb'),(3240852992,'it'),(3240853248,'ru'),(3240853504,'it'),(3240857600,'pl'),(3240857856,'it'),(3240858624,'ua'),(3240858880,'it'),(3240859136,'nl'),(3240859392,'se'),(3240859648,'it'),(3240861184,'at'),(3240861696,'it'),(3240866816,'gb'),(3240867072,'pl'),(3240867328,'ru'),(3240867584,'ch'),(3240867840,'it'),(3240873984,'ru'),(3240874496,'eu'),(3240875008,'at'),(3240875520,'fr'),(3240876032,'dk'),(3240876544,'gr'),(3240877056,'de'),(3240877568,'ua'),(3240878080,'ru'),(3240879104,'pl'),(3240880128,'ru'),(3240881152,'eu'),(3240882176,'pl'),(3240883200,'il'),(3240884224,'ua'),(3240885248,'cy'),(3240886272,'se'),(3241017344,'at'),(3241017856,'eu'),(3241018112,'at'),(3241029120,'ua'),(3241029376,'pl'),(3241029632,'at'),(3241032704,'ru'),(3241032960,'gb'),(3241033216,'de'),(3241033472,'nl'),(3241033728,'il'),(3241033984,'ru'),(3241034240,'ua'),(3241034496,'eu'),(3241034752,'pl'),(3241035008,'dk'),(3241035264,'ro'),(3241035520,'si'),(3241035776,'gb'),(3241036032,'ch'),(3241036288,'ru'),(3241036544,'si'),(3241036800,'gb'),(3241037056,'ru'),(3241037312,'nl'),(3241037568,'dk'),(3241037824,'ro'),(3241038080,'ua'),(3241038336,'de'),(3241038592,'lt'),(3241039104,'fr'),(3241039360,'ua'),(3241039616,'gb'),(3241039872,'ch'),(3241040128,'ua'),(3241040384,'gb'),(3241040640,'ro'),(3241040896,'at'),(3241063424,'it'),(3241063680,'pl'),(3241063936,'de'),(3241064448,'gb'),(3241064704,'pl'),(3241065472,'at'),(3241068544,'gb'),(3241068800,'ua'),(3241069056,'eu'),(3241069312,'fr'),(3241069568,'gb'),(3241070080,'fr'),(3241070336,'ru'),(3241070848,'at'),(3241071104,'ua'),(3241071360,'ru'),(3241071616,'md'),(3241071872,'ru'),(3241072128,'be'),(3241072384,'de'),(3241072640,'at'),(3241073920,'gb'),(3241074176,'at'),(3241076736,'gb'),(3241076992,'at'),(3241077760,'lv'),(3241078016,'pl'),(3241078272,'gb'),(3241078528,'eu'),(3241078784,'at'),(3241082880,'fr'),(3241083136,'ch'),(3241100800,'ua'),(3241101056,'dk'),(3241101312,'ro'),(3241101568,'de'),(3241101824,'bg'),(3241102080,'ro'),(3241102336,'eu'),(3241102592,'de'),(3241102848,'nl'),(3241103104,'gb'),(3241103360,'de'),(3241103616,'dk'),(3241103872,'de'),(3241104128,'gb'),(3241104384,'eu'),(3241104640,'ua'),(3241104896,'es'),(3241105152,'ru'),(3241105408,'ch'),(3241108224,'de'),(3241108736,'ro'),(3241108992,'sa'),(3241109248,'ch'),(3241117696,'si'),(3241117952,'ua'),(3241118208,'gb'),(3241118976,'de'),(3241119232,'gb'),(3241119744,'ro'),(3241120000,'ua'),(3241120256,'cz'),(3241120512,'gb'),(3241120768,'ru'),(3241121024,'ch'),(3241121280,'gb'),(3241121536,'pl'),(3241121792,'de'),(3241122048,'ch'),(3241122304,'ru'),(3241122560,'at'),(3241123328,'pl'),(3241124096,'de'),(3241124352,'ro'),(3241124608,'pl'),(3241124864,'gb'),(3241125120,'il'),(3241125376,'ua'),(3241125632,'se'),(3241125888,'ch'),(3241129984,'fr'),(3241130240,'gb'),(3241130496,'dk'),(3241130752,'de'),(3241131008,'nl'),(3241131264,'fr'),(3241131520,'ch'),(3241131776,'dk'),(3241132032,'ch'),(3241145856,'hr'),(3241146112,'pl'),(3241146368,'il'),(3241146624,'ro'),(3241146880,'ch'),(3241148416,'fr'),(3241476096,'ch'),(3241476352,'be'),(3241481728,'pt'),(3241481984,'nl'),(3241482240,'be'),(3241496576,'at'),(3241496832,'be'),(3241497344,'ua'),(3241497600,'se'),(3241497856,'dk'),(3241498112,'be'),(3241498368,'ro'),(3241498624,'no'),(3241498880,'cz'),(3241499136,'be'),(3241499904,'de'),(3241500160,'be'),(3241502976,'gr'),(3241503232,'fr'),(3241503488,'be'),(3241508096,'nl'),(3241508352,'be'),(3241541376,'pl'),(3241541632,'fr'),(3241803776,'gb'),(3241803816,'ru'),(3241803824,'nl'),(3241803832,'gb'),(3241803840,'pt'),(3241803904,'ua'),(3241804032,'be'),(3241820160,'eu'),(3241821696,'gr'),(3241822208,'cz'),(3241824256,'be'),(3241848064,'eu'),(3241851392,'gr'),(3241851904,'gb'),(3241852928,'sk'),(3241854464,'gb'),(3241854976,'eu'),(3241856000,'nl'),(3241857280,'ch'),(3241857536,'at'),(3241859072,'ch'),(3241861120,'eu'),(3241863168,'pl'),(3241863424,'fr'),(3241863680,'gr'),(3241863936,'de'),(3241864192,'tr'),(3241864448,'ru'),(3241864704,'se'),(3241864960,'it'),(3241865216,'de'),(3241865472,'no'),(3241865728,'ch'),(3241865984,'ro'),(3241866240,'de'),(3241866752,'gb'),(3241867008,'fr'),(3241867264,'ua'),(3241867520,'pl'),(3241867776,'ch'),(3241868032,'ua'),(3241868288,'hr'),(3241868544,'de'),(3241868800,'ua'),(3241869312,'pl'),(3241934848,'gb'),(3242196992,'fi'),(3242393600,'nl'),(3242459136,'bg'),(3242467328,'hu'),(3242475520,'lv'),(3242483712,'bg'),(3242524672,'no'),(3242590208,'it'),(3242655744,'no'),(3242721280,'ch'),(3242852352,'be'),(3242917888,'no'),(3242950656,'be'),(3242983424,'it'),(3243048960,'si'),(3243114496,'nl'),(3243245568,'at'),(3243376640,'gb'),(3243442176,'at'),(3243507712,'gb'),(3243507968,'cz'),(3243509760,'ru'),(3243510016,'nl'),(3243510272,'cz'),(3243511808,'gb'),(3243512064,'ru'),(3243512320,'fr'),(3243512576,'ua'),(3243512832,'de'),(3243513088,'gr'),(3243513344,'ru'),(3243513856,'be'),(3243514112,'gb'),(3243514368,'ie'),(3243514624,'dk'),(3243514880,'at'),(3243515136,'pl'),(3243515392,'de'),(3243515648,'ru'),(3243515904,'cz'),(3243520512,'ua'),(3243520768,'gb'),(3243521024,'at'),(3243521280,'cz'),(3243521536,'de'),(3243521792,'cz'),(3243524096,'ro'),(3243524352,'at'),(3243524608,'gb'),(3243524864,'nl'),(3243525120,'cz'),(3243525376,'ro'),(3243525632,'cz'),(3243525888,'pl'),(3243526144,'ua'),(3243526400,'eu'),(3243526656,'pl'),(3243526912,'se'),(3243527168,'ru'),(3243527424,'ua'),(3243527680,'gb'),(3243527936,'pl'),(3243528192,'cz'),(3243529216,'gb'),(3243529728,'bg'),(3243529984,'gb'),(3243530240,'ru'),(3243530496,'fr'),(3243530752,'ua'),(3243531008,'de'),(3243531264,'cz'),(3243531776,'at'),(3243532032,'de'),(3243532288,'cz'),(3243536384,'at'),(3243536640,'ch'),(3243536896,'cz'),(3243537152,'ro'),(3243537408,'cz'),(3243544064,'gb'),(3243544320,'ch'),(3243544576,'cz'),(3243552768,'nl'),(3243553024,'gb'),(3243553280,'de'),(3243553536,'pl'),(3243553792,'gb'),(3243554048,'de'),(3243554304,'pl'),(3243554560,'md'),(3243554816,'lv'),(3243555072,'ro'),(3243555328,'cz'),(3243555584,'fr'),(3243555840,'cz'),(3243565056,'eu'),(3243569152,'cz'),(3243570688,'pl'),(3243570944,'cz'),(3243571712,'fr'),(3243571968,'gr'),(3243572224,'cz'),(3243572992,'ru'),(3243573248,'cz'),(3243704320,'sk'),(3243769856,'dk'),(3243900928,'no'),(3243966464,'pl'),(3243974656,'lu'),(3243978752,'nl'),(3243982848,'hu'),(3243991040,'be'),(3243999232,'no'),(3244032000,'gr'),(3244097536,'de'),(3244098560,'gb'),(3244100608,'ua'),(3244102656,'ch'),(3244103680,'bg'),(3244104704,'de'),(3244105728,'gb'),(3244107776,'ro'),(3244108800,'gb'),(3244109824,'ua'),(3244111872,'kz'),(3244112896,'ru'),(3244113920,'ch'),(3244114944,'pl'),(3244115968,'sk'),(3244116992,'ua'),(3244118016,'gb'),(3244120064,'pl'),(3244122112,'il'),(3244123136,'ua'),(3244124160,'pl'),(3244125184,'ua'),(3244126208,'fr'),(3244127232,'ua'),(3244128256,'cz'),(3244129280,'fr'),(3244130304,'nl'),(3244131328,'fi'),(3244133376,'ro'),(3244134400,'pl'),(3244135424,'gb'),(3244137472,'pl'),(3244138496,'ua'),(3244139520,'gr'),(3244141568,'de'),(3244143616,'fr'),(3244144640,'ua'),(3244147712,'gb'),(3244149760,'pl'),(3244150784,'ch'),(3244151808,'ua'),(3244152832,'cz'),(3244153856,'no'),(3244154880,'gb'),(3244155904,'ua'),(3244156928,'ru'),(3244157952,'cz'),(3244158976,'de'),(3244160000,'ua'),(3244161024,'no'),(3244163072,'fi'),(3244261376,'ie'),(3244277760,'si'),(3244294144,'de'),(3244818432,'gb'),(3244818688,'at'),(3244818944,'pl'),(3244819200,'de'),(3244819456,'gb'),(3244819712,'ro'),(3244819968,'nl'),(3244820224,'ua'),(3244820480,'be'),(3244820736,'de'),(3244820992,'si'),(3244821248,'ru'),(3244821504,'ua'),(3244821760,'tr'),(3244822016,'ru'),(3244822272,'gb'),(3244822528,'ua'),(3244822784,'cz'),(3244823040,'de'),(3244823296,'fr'),(3244823552,'ge'),(3244823808,'ro'),(3244824064,'ua'),(3244824320,'si'),(3244824576,'ru'),(3244824832,'gb'),(3244825088,'de'),(3244825344,'ua'),(3244825600,'ru'),(3244826112,'ro'),(3244826368,'eu'),(3244826624,'gb'),(3244826880,'mk'),(3244827136,'cz'),(3244827392,'gb'),(3244827648,'fr'),(3244827904,'be'),(3244828160,'fi'),(3244828416,'fr'),(3244828672,'lb'),(3244828928,'ua'),(3244829184,'ch'),(3244829440,'dk'),(3244829696,'il'),(3244829952,'pl'),(3244830464,'ch'),(3244830720,'fr'),(3244830976,'de'),(3244831232,'pl'),(3244831488,'es'),(3244831744,'pt'),(3244832000,'hu'),(3244832256,'fr'),(3244832512,'at'),(3244832768,'fr'),(3244833024,'ru'),(3244833280,'ua'),(3244833536,'ru'),(3244833792,'fr'),(3244834048,'gb'),(3244834304,'il'),(3244834560,'gb'),(3244834816,'cz'),(3244835072,'at'),(3244835328,'de'),(3244835584,'ua'),(3244835840,'de'),(3244836096,'ru'),(3244836608,'pl'),(3244836864,'fr'),(3244837120,'ro'),(3244837376,'gb'),(3244837632,'cz'),(3244837888,'ru'),(3244838144,'il'),(3244838400,'eu'),(3244838656,'bg'),(3244838912,'de'),(3244839168,'gb'),(3244839424,'at'),(3244839680,'dk'),(3244839936,'de'),(3244840192,'cz'),(3244840448,'it'),(3244840704,'ru'),(3244840960,'pl'),(3244841216,'gb'),(3244841472,'de'),(3244841728,'gb'),(3244842496,'ru'),(3244842752,'de'),(3244843008,'ua'),(3244843264,'cz'),(3244843520,'de'),(3244843776,'pl'),(3244844032,'se'),(3244844288,'gb'),(3244844544,'ru'),(3244844800,'gb'),(3244845056,'nl'),(3244845312,'no'),(3244875776,'fr'),(3244877056,'jo'),(3244907008,'fr'),(3245080576,'se'),(3245082624,'de'),(3245084672,'eu'),(3245084928,'be'),(3245085184,'eu'),(3245085696,'gb'),(3245086208,'at'),(3245086720,'bg'),(3245086976,'it'),(3245087232,'ch'),(3245087488,'nl'),(3245088000,'lv'),(3245088256,'kw'),(3245088512,'fr'),(3245088768,'bg'),(3245089280,'pl'),(3245089792,'gb'),(3245090304,'ua'),(3245090816,'at'),(3245091328,'se'),(3245091840,'ua'),(3245093888,'gb'),(3245094912,'ua'),(3245095936,'it'),(3245096960,'eu'),(3245099008,'gb'),(3245103104,'eu'),(3245105152,'gb'),(3245105664,'nl'),(3245106176,'at'),(3245106688,'ua'),(3245107712,'cz'),(3245108736,'gb'),(3245109248,'ua'),(3245113856,'cz'),(3245114368,'sk'),(3245114880,'jo'),(3245115392,'eu'),(3245115904,'at'),(3245116416,'fr'),(3245117440,'lv'),(3245118464,'gb'),(3245119488,'eu'),(3245121536,'gr'),(3245122048,'ua'),(3245122560,'eu'),(3245123072,'fr'),(3245123584,'gb'),(3245124096,'ua'),(3245124608,'eu'),(3245125120,'gb'),(3245125632,'eu'),(3245125888,'pl'),(3245126144,'fr'),(3245126400,'eu'),(3245126656,'fr'),(3245126912,'de'),(3245127168,'ru'),(3245127424,'at'),(3245127680,'gb'),(3245127936,'lv'),(3245128192,'it'),(3245128448,'ch'),(3245128704,'gb'),(3245129728,'eu'),(3245129984,'de'),(3245130240,'pl'),(3245130496,'il'),(3245130752,'se'),(3245131008,'gb'),(3245131264,'fr'),(3245131520,'se'),(3245131776,'gb'),(3245132032,'be'),(3245132288,'pl'),(3245132544,'fr'),(3245132800,'it'),(3245133312,'pl'),(3245133568,'ru'),(3245133824,'no'),(3245134080,'ua'),(3245134336,'nl'),(3245134592,'il'),(3245134848,'at'),(3245135104,'tr'),(3245135616,'gb'),(3245135872,'fr'),(3245136128,'gb'),(3245136640,'eu'),(3245136896,'pl'),(3245137152,'it'),(3245137408,'de'),(3245137664,'se'),(3245137920,'dk'),(3245138432,'ua'),(3245138944,'pl'),(3245139456,'ru'),(3245139968,'ch'),(3245140480,'ro'),(3245140992,'ua'),(3245141504,'it'),(3245142016,'ua'),(3245143040,'gb'),(3245144064,'ua'),(3245146112,'fr'),(3245147136,'de'),(3245148160,'ua'),(3245149184,'ru'),(3245150208,'is'),(3245154304,'it'),(3245158400,'gb'),(3245159424,'ch'),(3245159936,'bg'),(3245160448,'dk'),(3245160960,'eu'),(3245161472,'se'),(3245161984,'gb'),(3245162496,'de'),(3245163520,'cz'),(3245164032,'ru'),(3245164544,'be'),(3245165056,'at'),(3245165568,'ru'),(3245166080,'il'),(3245166592,'ua'),(3245166848,'gb'),(3245167104,'il'),(3245167360,'gb'),(3245167616,'ua'),(3245167872,'lv'),(3245168128,'se'),(3245168384,'gb'),(3245168640,'at'),(3245168896,'ru'),(3245169152,'it'),(3245169408,'pl'),(3245169920,'ua'),(3245170176,'gb'),(3245170688,'de'),(3245171712,'ua'),(3245172736,'it'),(3245173760,'ua'),(3245174784,'it'),(3245175040,'eu'),(3245175296,'ru'),(3245175552,'pl'),(3245175808,'gb'),(3245176064,'it'),(3245176320,'ua'),(3245176576,'gb'),(3245176832,'eu'),(3245177088,'es'),(3245177344,'nl'),(3245177600,'pl'),(3245177856,'si'),(3245178112,'nl'),(3245178368,'be'),(3245178624,'pl'),(3245178880,'ua'),(3245179392,'eu'),(3245180416,'tr'),(3245180928,'nl'),(3245181440,'de'),(3245181952,'eu'),(3245182464,'de'),(3245182976,'ua'),(3245184000,'eu'),(3245187072,'ua'),(3245190144,'es'),(3245191168,'cz'),(3245193216,'be'),(3245195264,'gb'),(3245197312,'it'),(3245199360,'be'),(3245199616,'se'),(3245199872,'no'),(3245200128,'lv'),(3245200384,'pl'),(3245200640,'gr'),(3245200896,'de'),(3245201152,'gb'),(3245201664,'no'),(3245201920,'sa'),(3245202176,'gb'),(3245202432,'dk'),(3245202688,'de'),(3245203456,'fr'),(3245203712,'pl'),(3245204224,'si'),(3245204480,'be'),(3245204736,'eu'),(3245204992,'gb'),(3245205504,'at'),(3245205760,'it'),(3245206016,'nl'),(3245206272,'lt'),(3245206528,'eu'),(3245206784,'de'),(3245207040,'gb'),(3245207296,'de'),(3245207552,'ua'),(3245208064,'eu'),(3245208576,'pl'),(3245209088,'ru'),(3245209600,'ua'),(3245210112,'fr'),(3245210624,'hu'),(3245211136,'gb'),(3245211648,'ru'),(3245212160,'il'),(3245212672,'ru'),(3245213184,'de'),(3245213696,'lv'),(3245214208,'at'),(3245214720,'se'),(3245215232,'si'),(3245215744,'ua'),(3245217792,'eu'),(3245218816,'de'),(3245219840,'eu'),(3245223936,'nl'),(3245225984,'hu'),(3245228032,'eu'),(3245229056,'de'),(3245231104,'ua'),(3245232128,'pl'),(3245232384,'gb'),(3245232640,'bg'),(3245232896,'it'),(3245233152,'dk'),(3245233408,'eu'),(3245233664,'gr'),(3245233920,'dk'),(3245234176,'gb'),(3245234432,'ua'),(3245234688,'eu'),(3245234944,'gb'),(3245235200,'nl'),(3245235456,'gb'),(3245235712,'at'),(3245235968,'ch'),(3245236224,'pl'),(3245237248,'ua'),(3245237760,'gb'),(3245238784,'ua'),(3245239296,'eu'),(3245240320,'gb'),(3245242368,'pl'),(3245243392,'ua'),(3245244416,'gb'),(3245244672,'at'),(3245244928,'be'),(3245245184,'eu'),(3245245440,'bg'),(3245245696,'de'),(3245245952,'ua'),(3245246208,'gb'),(3245246464,'at'),(3245246720,'pl'),(3245246976,'gb'),(3245247232,'de'),(3245247488,'gb'),(3245247744,'eu'),(3245248000,'pl'),(3245248256,'gb'),(3245248512,'ua'),(3245248768,'si'),(3245249024,'gb'),(3245249280,'eu'),(3245249536,'fr'),(3245249792,'gb'),(3245250048,'de'),(3245250304,'it'),(3245250560,'fr'),(3245250816,'eu'),(3245251072,'gb'),(3245251328,'mt'),(3245251584,'ua'),(3245251840,'gb'),(3245252096,'be'),(3245252352,'bg'),(3245252608,'ua'),(3245253632,'lv'),(3245254144,'dk'),(3245254656,'ua'),(3245255168,'tr'),(3245255680,'ua'),(3245257216,'de'),(3245257728,'gb'),(3245258240,'at'),(3245258752,'ua'),(3245259264,'sk'),(3245259776,'ua'),(3245260288,'gb'),(3245260800,'de'),(3245261824,'dk'),(3245262848,'it'),(3245263872,'de'),(3245264896,'tr'),(3245266944,'bg'),(3245268992,'fi'),(3245270016,'pl'),(3245271040,'nl'),(3245272064,'ru'),(3245273088,'gb'),(3245277184,'ua'),(3245278208,'eu'),(3245278720,'ua'),(3245279744,'ru'),(3245280256,'eu'),(3245280768,'fr'),(3245281280,'ro'),(3245281792,'es'),(3245282304,'it'),(3245282816,'pl'),(3245283328,'gb'),(3245283840,'pl'),(3245284352,'gb'),(3245284864,'pl'),(3245285376,'nl'),(3245285632,'gb'),(3245285888,'de'),(3245286144,'eu'),(3245286400,'pl'),(3245287424,'gb'),(3245287680,'pl'),(3245287936,'pt'),(3245288192,'de'),(3245288448,'gb'),(3245288704,'fi'),(3245288960,'it'),(3245289216,'at'),(3245289472,'ua'),(3245290496,'lu'),(3245291520,'gb'),(3245292544,'ua'),(3245293568,'eu'),(3245294080,'gb'),(3245294592,'ro'),(3245295104,'it'),(3245296128,'gb'),(3245296640,'ru'),(3245297152,'it'),(3245297664,'fr'),(3245297920,'eu'),(3245298176,'ie'),(3245298432,'ua'),(3245298688,'gb'),(3245298944,'ua'),(3245299200,'gb'),(3245299712,'de'),(3245299968,'bg'),(3245300224,'fr'),(3245300480,'ru'),(3245300992,'fi'),(3245301248,'eu'),(3245301504,'be'),(3245301760,'sk'),(3245302784,'de'),(3245303808,'se'),(3245304832,'de'),(3245306368,'ua'),(3245306880,'ru'),(3245307392,'fi'),(3245307904,'ro'),(3245308416,'gb'),(3245308928,'eu'),(3245309440,'ua'),(3245309952,'cz'),(3245312000,'eu'),(3245314048,'pl'),(3245315072,'it'),(3245316096,'eu'),(3245317120,'ru'),(3245318144,'it'),(3245318400,'ro'),(3245318656,'se'),(3245318912,'de'),(3245319168,'hr'),(3245319424,'se'),(3245319680,'pl'),(3245319936,'de'),(3245320192,'gb'),(3245320704,'eu'),(3245321216,'nl'),(3245321472,'ua'),(3245321728,'pl'),(3245321984,'de'),(3245322240,'ru'),(3245323264,'gb'),(3245325312,'ua'),(3245326336,'si'),(3245326848,'bg'),(3245327360,'eu'),(3245327872,'de'),(3245328384,'gb'),(3245328896,'ch'),(3245329408,'ua'),(3245329920,'de'),(3245333504,'si'),(3245334528,'hu'),(3245334784,'be'),(3245335040,'gb'),(3245335808,'ro'),(3245336064,'gb'),(3245336576,'ro'),(3245336832,'eu'),(3245337344,'gb'),(3245337600,'pl'),(3245337856,'at'),(3245338112,'de'),(3245338368,'ua'),(3245339648,'lv'),(3245340672,'ua'),(3245341696,'ru'),(3245342720,'gb'),(3245867008,'ie'),(3245932544,'be'),(3245998080,'gb'),(3246129152,'ru'),(3246260224,'pt'),(3246325760,'es'),(3246391296,'gb'),(3246784512,'ch'),(3246915584,'pt'),(3247046656,'at'),(3247046912,'eu'),(3247048192,'si'),(3247048704,'ee'),(3247048960,'si'),(3247049216,'eu'),(3247053824,'de'),(3247054080,'ch'),(3247054336,'lt'),(3247054592,'de'),(3247054848,'si'),(3247063040,'gb'),(3247063296,'gr'),(3247063552,'gb'),(3247063808,'bg'),(3247064064,'de'),(3247064320,'gb'),(3247064576,'ru'),(3247064832,'se'),(3247065088,'eu'),(3247065344,'ch'),(3247065600,'se'),(3247065856,'gb'),(3247066112,'dk'),(3247066368,'ua'),(3247066624,'cz'),(3247066880,'ru'),(3247067136,'de'),(3247067648,'ru'),(3247067904,'ch'),(3247068160,'ua'),(3247068416,'ro'),(3247068672,'gb'),(3247068928,'ua'),(3247069184,'de'),(3247069440,'ru'),(3247069696,'gb'),(3247069952,'de'),(3247070208,'il'),(3247070464,'ua'),(3247070720,'gb'),(3247071488,'ro'),(3247072256,'eu'),(3247072512,'gb'),(3247072768,'se'),(3247073024,'ro'),(3247073280,'gb'),(3247073536,'at'),(3247073792,'cz'),(3247074048,'eu'),(3247074304,'de'),(3247074560,'se'),(3247074816,'pl'),(3247075072,'ie'),(3247075328,'eu'),(3247075584,'de'),(3247075840,'ua'),(3247076096,'dk'),(3247076352,'ru'),(3247076608,'de'),(3247076864,'pl'),(3247077120,'de'),(3247077376,'gb'),(3247077632,'nl'),(3247077888,'ua'),(3247078144,'at'),(3247078400,'dk'),(3247078656,'hu'),(3247078912,'fi'),(3247079168,'hu'),(3247079424,'ru'),(3247080448,'ua'),(3247081472,'pl'),(3247083520,'ua'),(3247084544,'ru'),(3247086592,'nl'),(3247087616,'it'),(3247088640,'de'),(3247089664,'ro'),(3247090688,'lv'),(3247091712,'ru'),(3247092736,'de'),(3247093760,'ua'),(3247094784,'lv'),(3247095808,'ro'),(3247097856,'fi'),(3247098880,'nl'),(3247099904,'pl'),(3247100928,'ch'),(3247101952,'se'),(3247102976,'nl'),(3247106048,'ua'),(3247108096,'pl'),(3247109120,'ua'),(3247110144,'nl'),(3247111168,'de'),(3247112192,'fr'),(3247177728,'tr'),(3247243264,'nl'),(3247308800,'bg'),(3247309056,'fi'),(3247316480,'no'),(3247316736,'fi'),(3247322368,'gb'),(3247322624,'fi'),(3247323136,'ru'),(3247323648,'fi'),(3247324416,'gb'),(3247324672,'ch'),(3247324928,'fi'),(3247333632,'de'),(3247333888,'fi'),(3247334400,'no'),(3247334656,'fi'),(3247335168,'dk'),(3247335424,'fi'),(3247336448,'no'),(3247337216,'ch'),(3247337472,'pl'),(3247337984,'fi'),(3247338240,'pl'),(3247338496,'si'),(3247338752,'gb'),(3247339520,'fi'),(3247340544,'ua'),(3247340800,'ie'),(3247341056,'fi'),(3247341312,'eu'),(3247341568,'fi'),(3247345920,'hu'),(3247346176,'fi'),(3247346944,'si'),(3247347200,'fi'),(3247347456,'il'),(3247347712,'fi'),(3247347968,'hu'),(3247348224,'fi'),(3247348992,'de'),(3247349248,'fi'),(3247362048,'ro'),(3247362304,'hu'),(3247362560,'pl'),(3247362816,'dk'),(3247363072,'gb'),(3247363328,'ua'),(3247363584,'hu'),(3247363840,'nl'),(3247364096,'gb'),(3247364352,'es'),(3247364608,'ua'),(3247365120,'gb'),(3247365376,'ua'),(3247365632,'sa'),(3247365888,'gb'),(3247366144,'fi'),(3247371008,'pl'),(3247371264,'se'),(3247371520,'gb'),(3247371776,'fi'),(3247374336,'ru'),(3247374592,'fi'),(3247394048,'pl'),(3247394304,'fi'),(3247399424,'ru'),(3247399680,'fi'),(3247404800,'ru'),(3247405056,'ro'),(3247405312,'pl'),(3247405568,'gb'),(3247405824,'fi'),(3247432192,'tr'),(3247432448,'fi'),(3247438080,'it'),(3247438336,'fi'),(3247439872,'es'),(3247702016,'ro'),(3247702272,'es'),(3247704832,'eu'),(3247705088,'es'),(3247705856,'ru'),(3247706112,'es'),(3247711744,'it'),(3247712256,'es'),(3247713280,'ru'),(3247713536,'be'),(3247713792,'sk'),(3247714048,'ru'),(3247714304,'ch'),(3247716352,'es'),(3247717888,'eu'),(3247718400,'es'),(3247769600,'de'),(3247771648,'es'),(3247775744,'de'),(3247783936,'gb'),(3247792128,'fr'),(3247800320,'dk'),(3247816704,'eu'),(3247833088,'ru'),(3247865856,'gb'),(3247872000,'nl'),(3247875328,'tr'),(3247875584,'de'),(3247876096,'pl'),(3247876352,'gb'),(3247876864,'de'),(3247877120,'gr'),(3247877632,'eu'),(3247879168,'gb'),(3247882240,'se'),(3247898624,'ru'),(3247899648,'eu'),(3247900672,'pl'),(3247901696,'ua'),(3247902720,'gb'),(3247903744,'bg'),(3247904768,'gb'),(3247905792,'ro'),(3247906816,'de'),(3247907840,'pl'),(3247908864,'gb'),(3247909888,'de'),(3247911936,'pl'),(3247912960,'ua'),(3247913984,'de'),(3247915008,'pl'),(3247917056,'gb'),(3247918080,'pl'),(3247919104,'bg'),(3247920128,'fr'),(3247921152,'ru'),(3247922176,'se'),(3247923200,'pl'),(3247925248,'ua'),(3247926272,'ru'),(3247927296,'pl'),(3247928320,'hu'),(3247929344,'gb'),(3247931392,'fr'),(3247960064,'ua'),(3247961088,'ru'),(3247962112,'de'),(3247963136,'ru'),(3247964160,'es'),(3248095232,'at'),(3248160768,'de'),(3248226304,'no'),(3248357376,'de'),(3248488448,'no'),(3248619520,'dk'),(3248750592,'pt'),(3248750848,'pl'),(3248752384,'de'),(3248752896,'tr'),(3248753152,'gb'),(3248753664,'eu'),(3248753920,'gb'),(3248754176,'eu'),(3248754432,'at'),(3248754688,'pl'),(3248758784,'se'),(3248774144,'ua'),(3248775168,'gb'),(3248783616,'pl'),(3248783872,'ua'),(3248784128,'de'),(3248785408,'ro'),(3248785664,'si'),(3248786944,'pl'),(3248787200,'gb'),(3248787456,'nl'),(3248787712,'gb'),(3248787968,'ru'),(3248788224,'gb'),(3248788480,'fr'),(3248788736,'ua'),(3248788992,'gb'),(3248789248,'fr'),(3248789504,'ro'),(3248789760,'fr'),(3248790016,'de'),(3248790272,'dk'),(3248790528,'se'),(3248790784,'pl'),(3248791040,'be'),(3248791296,'de'),(3248791552,'eu'),(3248799744,'nl'),(3248800256,'ru'),(3248800768,'fr'),(3248801280,'ro'),(3248801792,'ru'),(3248802304,'fr'),(3248802816,'ru'),(3248803328,'gb'),(3248804352,'lv'),(3248804864,'de'),(3248805376,'ru'),(3248805888,'nl'),(3248806400,'cz'),(3248806912,'fr'),(3248807424,'bg'),(3248807936,'at'),(3248808448,'gr'),(3248808960,'fr'),(3248810080,'ua'),(3248810112,'ru'),(3248810144,'hr'),(3248810176,'fr'),(3248810208,'gb'),(3248810240,'eu'),(3248813568,'de'),(3248814080,'dk'),(3248815104,'gb'),(3248815616,'pl'),(3248816128,'cz'),(3248881664,'fi'),(3249012736,'de'),(3249012992,'eu'),(3249025536,'fr'),(3249025792,'eu'),(3249026304,'lu'),(3249026560,'eu'),(3249026816,'lu'),(3249045504,'eu'),(3249078272,'ru'),(3249078784,'ch'),(3249079296,'ru'),(3249079808,'ro'),(3249080832,'de'),(3249081344,'ua'),(3249081856,'gb'),(3249082368,'hu'),(3249082880,'pl'),(3249083392,'ro'),(3249083904,'ru'),(3249085440,'cz'),(3249085952,'gi'),(3249086464,'ru'),(3249087488,'cz'),(3249088000,'ru'),(3249089024,'no'),(3249089536,'ru'),(3249090048,'fr'),(3249090560,'si'),(3249091072,'ro'),(3249091584,'ru'),(3249092096,'de'),(3249092608,'it'),(3249093120,'gb'),(3249093632,'cz'),(3249094656,'fr'),(3249095168,'eu'),(3249095680,'nl'),(3249096192,'il'),(3249096704,'de'),(3249097216,'dk'),(3249097728,'de'),(3249098240,'pl'),(3249098752,'ua'),(3249099264,'eu'),(3249099776,'fi'),(3249100288,'ru'),(3249100800,'il'),(3249101312,'gb'),(3249101824,'ru'),(3249102336,'de'),(3249102848,'cz'),(3249103360,'de'),(3249103872,'fi'),(3249104384,'ru'),(3249104896,'il'),(3249105408,'ru'),(3249105920,'nl'),(3249106432,'cz'),(3249106944,'pl'),(3249108480,'ru'),(3249108992,'gb'),(3249109504,'ru'),(3249110528,'ua'),(3249111040,'ru'),(3249111552,'kw'),(3249112064,'ua'),(3249113088,'ro'),(3249113600,'nl'),(3249114112,'gb'),(3249114624,'ro'),(3249115648,'ua'),(3249116160,'pl'),(3249116672,'it'),(3249117184,'ch'),(3249117696,'dk'),(3249118208,'ro'),(3249118720,'lu'),(3249119232,'ru'),(3249119744,'it'),(3249120256,'se'),(3249120768,'ua'),(3249121280,'at'),(3249121792,'ro'),(3249122304,'ru'),(3249124352,'de'),(3249124864,'cz'),(3249125376,'de'),(3249125888,'ch'),(3249126400,'ua'),(3249126912,'sa'),(3249127424,'gb'),(3249127936,'cz'),(3249128448,'de'),(3249128960,'bg'),(3249129472,'ru'),(3249130496,'de'),(3249131008,'gb'),(3249131520,'dk'),(3249132032,'ru'),(3249132544,'de'),(3249133056,'ua'),(3249134592,'ru'),(3249135104,'cz'),(3249135616,'gb'),(3249136128,'ru'),(3249137152,'fr'),(3249137664,'pl'),(3249138176,'ua'),(3249138688,'ru'),(3249139712,'md'),(3249140224,'it'),(3249140736,'ua'),(3249141248,'il'),(3249141760,'ru'),(3249142784,'ua'),(3249143296,'gb'),(3249143808,'at'),(3249274880,'nl'),(3249405952,'de'),(3249537024,'pt'),(3249537280,'nl'),(3249574144,'ru'),(3249574400,'se'),(3249574656,'ua'),(3249574912,'nl'),(3249668096,'ie'),(3249676800,'ua'),(3249677056,'se'),(3249677312,'ie'),(3249679104,'ch'),(3249679360,'ie'),(3249683456,'se'),(3249684480,'ie'),(3249698048,'pl'),(3249698304,'cz'),(3249698560,'hu'),(3249698816,'gb'),(3249699840,'ua'),(3249700864,'se'),(3249701632,'gr'),(3249701888,'pl'),(3249702144,'fi'),(3249702400,'gb'),(3249702656,'ru'),(3249702912,'gb'),(3249703680,'eu'),(3249703936,'gb'),(3249704192,'ro'),(3249704448,'gb'),(3249704704,'pl'),(3249704960,'ua'),(3249705984,'at'),(3249706496,'lv'),(3249707008,'bg'),(3249707520,'fr'),(3249708032,'gb'),(3249708544,'ru'),(3249709056,'at'),(3249709312,'pl'),(3249709568,'ru'),(3249709824,'de'),(3249710080,'pl'),(3249710336,'ro'),(3249710592,'bg'),(3249710848,'pl'),(3249711104,'hu'),(3249711360,'de'),(3249711872,'gb'),(3249712128,'ua'),(3249712384,'gb'),(3249712640,'be'),(3249712896,'se'),(3249713152,'lv'),(3249715200,'gb'),(3249715456,'de'),(3249715712,'fr'),(3249715968,'ua'),(3249716224,'si'),(3249716480,'nl'),(3249716736,'ua'),(3249717248,'lv'),(3249718272,'de'),(3249719296,'gb'),(3249720320,'it'),(3249721344,'at'),(3249721600,'gb'),(3249722624,'pl'),(3249723136,'gb'),(3249723392,'it'),(3249723648,'eu'),(3249723904,'il'),(3249724160,'gb'),(3249724416,'il'),(3249724672,'se'),(3249724928,'bg'),(3249725184,'gb'),(3249725440,'ro'),(3249725952,'de'),(3249726464,'ua'),(3249726976,'it'),(3249727488,'lv'),(3249728000,'it'),(3249728512,'ua'),(3249729024,'gb'),(3249729536,'pl'),(3249730560,'it'),(3249731584,'ua'),(3249732608,'it'),(3249733632,'cz'),(3249799168,'se'),(3250061312,'fi'),(3250192384,'at'),(3250192640,'ru'),(3250192896,'il'),(3250193152,'eu'),(3250193408,'ie'),(3250193664,'at'),(3250194176,'de'),(3250194432,'gb'),(3250194688,'ua'),(3250194944,'ro'),(3250195456,'eu'),(3250195712,'gb'),(3250196224,'ua'),(3250196480,'at'),(3250200576,'hu'),(3250200832,'ro'),(3250201088,'ru'),(3250201344,'dk'),(3250201600,'at'),(3250233856,'de'),(3250234112,'il'),(3250234368,'at'),(3250245632,'tr'),(3250245888,'at'),(3250257664,'pl'),(3250257920,'de'),(3250258176,'at'),(3250323200,'ru'),(3250323456,'pl'),(3250323712,'eu'),(3250325504,'eu'),(3250339840,'jo'),(3250348032,'bh'),(3250356224,'eu'),(3250357248,'gb'),(3250357824,'fr'),(3250357856,'ee'),(3250357872,'ch'),(3250357880,'se'),(3250357920,'pl'),(3250357928,'cy'),(3250357960,'gb'),(3250358016,'eu'),(3250358528,'hu'),(3250358784,'eu'),(3250359296,'hu'),(3250359808,'eu'),(3250362880,'de'),(3250363392,'eu'),(3250372608,'hu'),(3250373376,'gb'),(3250373632,'de'),(3250374144,'tr'),(3250374656,'eu'),(3250374912,'se'),(3250375680,'gb'),(3250376704,'ch'),(3250386944,'se'),(3250387200,'de'),(3250387712,'fr'),(3250387968,'jo'),(3250388224,'pl'),(3250388480,'ru'),(3250388736,'fr'),(3250388992,'eu'),(3250405888,'ie'),(3250406400,'ru'),(3250406912,'ro'),(3250407424,'pl'),(3250407936,'gb'),(3250408448,'pl'),(3250408960,'de'),(3250409472,'gb'),(3250409984,'de'),(3250410496,'at'),(3250411008,'lt'),(3250411520,'ua'),(3250412032,'fr'),(3250412544,'dk'),(3250413056,'de'),(3250413568,'ua'),(3250414080,'ro'),(3250414592,'de'),(3250415104,'nl'),(3250415616,'gb'),(3250416128,'de'),(3250416640,'gb'),(3250417152,'de'),(3250417664,'it'),(3250418176,'de'),(3250418688,'pl'),(3250419200,'no'),(3250419712,'ru'),(3250420224,'ir'),(3250420736,'fr'),(3250421248,'ua'),(3250422016,'gb'),(3250423296,'nl'),(3250423552,'be'),(3250423808,'at'),(3250424064,'eu'),(3250424320,'nl'),(3250424832,'gb'),(3250425088,'nl'),(3250425344,'tr'),(3250425600,'fr'),(3250425856,'lt'),(3250426112,'no'),(3250426368,'at'),(3250426624,'fr'),(3250426880,'jo'),(3250427136,'nl'),(3250427392,'eu'),(3250429952,'si'),(3250438144,'gb'),(3250446336,'de'),(3250454528,'be'),(3250585600,'nl'),(3250585856,'eu'),(3250588800,'at'),(3250588928,'gb'),(3250589184,'de'),(3250589440,'eu'),(3250589472,'nl'),(3250589504,'hr'),(3250589568,'ua'),(3250589632,'no'),(3250589696,'ch'),(3250593792,'gb'),(3250594816,'ua'),(3250595328,'gr'),(3250595840,'de'),(3250596352,'ro'),(3250597888,'bg'),(3250598400,'gb'),(3250598912,'ro'),(3250599424,'se'),(3250599936,'bg'),(3250600448,'de'),(3250601472,'pl'),(3250601984,'gb'),(3250610176,'tr'),(3250618368,'ru'),(3250626560,'pl'),(3250634752,'gb'),(3250642944,'ch'),(3250651136,'it'),(3250659328,'eu'),(3250667520,'pl'),(3250675712,'gb'),(3250683904,'ch'),(3250692096,'no'),(3250692352,'nl'),(3250692608,'bg'),(3250693376,'ie'),(3250694400,'gb'),(3250694656,'sk'),(3250694912,'nl'),(3250695168,'it'),(3250695680,'de'),(3250697472,'pl'),(3250697728,'bg'),(3250697984,'it'),(3250698240,'gr'),(3250698752,'gb'),(3250699776,'eu'),(3250700288,'ua'),(3250708480,'kz'),(3250716672,'ro'),(3250718208,'de'),(3250720768,'it'),(3250722048,'ro'),(3250722304,'eu'),(3250741248,'eu'),(3250749696,'eu'),(3250749952,'ro'),(3250750464,'fr'),(3250751488,'de'),(3250752000,'eu'),(3250752512,'bg'),(3250753024,'de'),(3250754048,'at'),(3250754304,'gb'),(3250754560,'de'),(3250755072,'gb'),(3250755584,'fr'),(3250755840,'ru'),(3250756352,'pt'),(3250756608,'bg'),(3250756864,'gb'),(3250757120,'eu'),(3250757376,'hu'),(3250765824,'se'),(3250782208,'gb'),(3250847744,'de'),(3250978816,'hr'),(3251044352,'fi'),(3251109888,'si'),(3251110144,'bg'),(3251110656,'it'),(3251110912,'fr'),(3251111168,'ch'),(3251111424,'at'),(3251111680,'gb'),(3251111936,'bg'),(3251112192,'sk'),(3251112448,'ru'),(3251112704,'se'),(3251112960,'bg'),(3251113216,'ch'),(3251113472,'bg'),(3251114496,'ru'),(3251114752,'ro'),(3251115008,'pl'),(3251115264,'ru'),(3251115520,'ua'),(3251115776,'gb'),(3251116032,'bg'),(3251116288,'gb'),(3251116544,'dk'),(3251116800,'gb'),(3251117056,'bg'),(3251117312,'fr'),(3251117568,'il'),(3251117824,'se'),(3251118080,'ua'),(3251118592,'ru'),(3251119104,'ua'),(3251120128,'kw'),(3251120640,'fr'),(3251121152,'dk'),(3251121664,'pl'),(3251122176,'ch'),(3251122688,'pl'),(3251123200,'eu'),(3251123712,'ro'),(3251124224,'nl'),(3251124736,'eu'),(3251125248,'be'),(3251125760,'ua'),(3251126784,'pl'),(3251127296,'ua'),(3251127808,'nl'),(3251128320,'de'),(3251128832,'se'),(3251129344,'ua'),(3251129856,'ch'),(3251130368,'gb'),(3251130880,'pl'),(3251131392,'ua'),(3251131904,'se'),(3251132416,'ua'),(3251132928,'dk'),(3251133440,'no'),(3251133952,'ru'),(3251134464,'de'),(3251134976,'gb'),(3251136000,'ro'),(3251136512,'dk'),(3251137024,'de'),(3251137536,'pl'),(3251138048,'eu'),(3251138560,'at'),(3251139072,'gb'),(3251139584,'fr'),(3251140096,'pl'),(3251141632,'lt'),(3251142144,'ro'),(3251142656,'de'),(3251142912,'ru'),(3251143168,'am'),(3251143424,'lv'),(3251143680,'nl'),(3251143936,'pl'),(3251144192,'tr'),(3251144448,'be'),(3251144704,'hu'),(3251144960,'de'),(3251145472,'gb'),(3251145728,'nl'),(3251145984,'ro'),(3251146240,'at'),(3251146496,'sk'),(3251146752,'ch'),(3251147008,'gb'),(3251147264,'pl'),(3251147520,'nl'),(3251147776,'se'),(3251148032,'ru'),(3251148288,'de'),(3251148544,'ua'),(3251148800,'hu'),(3251149056,'nl'),(3251149312,'il'),(3251149568,'ie'),(3251149824,'de'),(3251150080,'ch'),(3251150336,'gb'),(3251150592,'ch'),(3251151104,'ua'),(3251151360,'gb'),(3251151616,'pl'),(3251151872,'nl'),(3251152128,'ro'),(3251152640,'ua'),(3251152896,'ru'),(3251153152,'ua'),(3251153408,'tr'),(3251153664,'fr'),(3251153920,'de'),(3251154176,'ua'),(3251154432,'nl'),(3251154688,'ua'),(3251154944,'gb'),(3251155456,'nl'),(3251155712,'ua'),(3251155968,'tr'),(3251156224,'fr'),(3251156480,'eu'),(3251156736,'ua'),(3251156992,'fr'),(3251157248,'be'),(3251157504,'pl'),(3251158016,'tr'),(3251158272,'ru'),(3251158528,'ua'),(3251158784,'gb'),(3251159296,'de'),(3251159552,'es'),(3251159808,'gb'),(3251160064,'jo'),(3251160320,'pl'),(3251160576,'nl'),(3251160832,'ua'),(3251161088,'ro'),(3251161344,'lv'),(3251161600,'se'),(3251161856,'hr'),(3251162112,'dk'),(3251162368,'ua'),(3251162624,'de'),(3251162880,'si'),(3251163136,'se'),(3251163392,'ua'),(3251163648,'de'),(3251163904,'ru'),(3251164160,'ua'),(3251164416,'it'),(3251164672,'nl'),(3251164928,'pl'),(3251165440,'ch'),(3251165696,'gb'),(3251165952,'ua'),(3251166208,'ch'),(3251166464,'ru'),(3251166720,'ie'),(3251166976,'ch'),(3251167232,'lv'),(3251167488,'dk'),(3251168000,'pl'),(3251168256,'at'),(3251168512,'ua'),(3251168768,'de'),(3251169024,'eu'),(3251169280,'pl'),(3251170048,'no'),(3251170304,'ch'),(3251170560,'de'),(3251170816,'ru'),(3251171072,'ua'),(3251171328,'de'),(3251171840,'ro'),(3251172096,'gb'),(3251172352,'ro'),(3251172608,'gb'),(3251172864,'ua'),(3251173120,'sa'),(3251173376,'ua'),(3251173632,'de'),(3251173888,'dk'),(3251174144,'ua'),(3251174400,'ro'),(3251174656,'de'),(3251174912,'gb'),(3251175168,'ua'),(3251175424,'fr'),(3251177472,'de'),(3251179520,'se'),(3251180032,'pl'),(3251180544,'ro'),(3251181056,'gr'),(3251181568,'de'),(3251182080,'fr'),(3251182592,'it'),(3251183104,'ru'),(3251183616,'no'),(3251183872,'ch'),(3251184128,'pl'),(3251184384,'dk'),(3251184640,'pl'),(3251184896,'de'),(3251185152,'gb'),(3251185408,'dk'),(3251185664,'it'),(3251185920,'gb'),(3251186432,'se'),(3251186688,'ro'),(3251186944,'si'),(3251187200,'gr'),(3251187456,'gb'),(3251187712,'de'),(3251189760,'it'),(3251190784,'ua'),(3251191808,'gb'),(3251192320,'lv'),(3251192832,'be'),(3251193344,'gb'),(3251193856,'eu'),(3251194368,'no'),(3251194880,'fr'),(3251195392,'cz'),(3251195904,'ua'),(3251196928,'ch'),(3251197952,'ru'),(3251198976,'gb'),(3251200000,'se'),(3251200512,'ua'),(3251201280,'si'),(3251201536,'eu'),(3251201792,'fr'),(3251202048,'nl'),(3251202304,'pl'),(3251202560,'at'),(3251202816,'gb'),(3251203328,'si'),(3251203584,'cz'),(3251203840,'se'),(3251204096,'de'),(3251204608,'bg'),(3251205120,'ua'),(3251205632,'ru'),(3251206144,'gb'),(3251206656,'ch'),(3251207168,'gb'),(3251207680,'ru'),(3251208192,'tr'),(3251209216,'gb'),(3251210240,'pl'),(3251211264,'ua'),(3251212288,'de'),(3251212416,'fi'),(3251212672,'se'),(3251212800,'de'),(3251212928,'lt'),(3251213056,'se'),(3251213120,'nl'),(3251213184,'ua'),(3251213216,'eu'),(3251213248,'gb'),(3251213312,'de'),(3251213440,'gb'),(3251213504,'ch'),(3251213568,'fr'),(3251213696,'lv'),(3251213760,'tr'),(3251213824,'gb'),(3251213888,'fi'),(3251214016,'ua'),(3251214080,'fr'),(3251214144,'mc'),(3251214208,'ru'),(3251214272,'de'),(3251214336,'ru'),(3251214464,'ua'),(3251214592,'gb'),(3251214976,'ro'),(3251215104,'si'),(3251215232,'il'),(3251215360,'ua'),(3251215488,'se'),(3251215616,'tr'),(3251215744,'gb'),(3251215872,'ch'),(3251216128,'fi'),(3251216256,'ru'),(3251216384,'gb'),(3251216640,'ro'),(3251216896,'be'),(3251217152,'gb'),(3251217408,'pl'),(3251217664,'si'),(3251217920,'gr'),(3251218176,'pl'),(3251218432,'eu'),(3251218688,'de'),(3251219200,'it'),(3251219456,'bg'),(3251219712,'gb'),(3251220224,'ua'),(3251220480,'de'),(3251222528,'gb'),(3251224576,'ua'),(3251225088,'fr'),(3251225600,'gb'),(3251226112,'ua'),(3251226624,'fr'),(3251227136,'de'),(3251227648,'gb'),(3251228160,'ua'),(3251229696,'si'),(3251230720,'ua'),(3251231744,'no'),(3251232768,'ua'),(3251233792,'ru'),(3251234816,'ro'),(3251235840,'de'),(3251236864,'bg'),(3251237888,'dk'),(3251238912,'fr'),(3251239936,'de'),(3251241216,'eu'),(3251245056,'de'),(3251245312,'be'),(3251245568,'tr'),(3251245824,'ua'),(3251246080,'de'),(3251246336,'ua'),(3251246592,'ro'),(3251246848,'gb'),(3251247104,'eu'),(3251267840,'gb'),(3251268352,'nl'),(3251268608,'de'),(3251268864,'nl'),(3251269376,'gb'),(3251269632,'de'),(3251269888,'gb'),(3251270144,'pl'),(3251270400,'no'),(3251270656,'de'),(3251270912,'pl'),(3251271168,'gb'),(3251271424,'de'),(3251271680,'tr'),(3251271936,'gb'),(3251272192,'nl'),(3251272448,'at'),(3251272704,'de'),(3251272960,'gb'),(3251273472,'de'),(3251273728,'eu'),(3251306496,'at'),(3251306752,'eu'),(3251307776,'gb'),(3251308032,'eu'),(3251314176,'ch'),(3251314688,'fr'),(3251315712,'ua'),(3251317760,'pl'),(3251318784,'ua'),(3251319808,'hu'),(3251321856,'ru'),(3251322880,'gb'),(3251331072,'fr'),(3251331584,'pl'),(3251332096,'ru'),(3251333120,'eu'),(3251333632,'pt'),(3251334144,'fr'),(3251334656,'ua'),(3251335168,'ru'),(3251335680,'ro'),(3251336192,'gb'),(3251336704,'es'),(3251337216,'ch'),(3251337728,'de'),(3251338240,'ru'),(3251338752,'cz'),(3251339264,'ie'),(3251347456,'de'),(3251355648,'gb'),(3251356160,'at'),(3251356672,'ee'),(3251357184,'il'),(3251357696,'es'),(3251358208,'ru'),(3251358720,'ro'),(3251359232,'pl'),(3251360256,'gb'),(3251360768,'fr'),(3251361280,'ro'),(3251361792,'at'),(3251362304,'ua'),(3251362816,'nl'),(3251363328,'pl'),(3251363840,'eu'),(3251364096,'nl'),(3251364608,'ro'),(3251364864,'it'),(3251366912,'ua'),(3251367424,'de'),(3251367936,'gb'),(3251372032,'it'),(3251634176,'fi'),(3251896320,'no'),(3252289536,'gr'),(3252291328,'sk'),(3252291584,'fr'),(3252293632,'de'),(3252297984,'gr'),(3252313600,'si'),(3252313856,'de'),(3252314112,'gr'),(3252314624,'hu'),(3252314880,'gb'),(3252315136,'ch'),(3252316416,'fr'),(3252316672,'gr'),(3252318464,'tr'),(3252318720,'fr'),(3252318976,'pl'),(3252319232,'at'),(3252319744,'gr'),(3252321792,'de'),(3252322304,'no'),(3252323328,'pl'),(3252324352,'ua'),(3252325376,'ru'),(3252326400,'ua'),(3252327424,'pl'),(3252329472,'ua'),(3252330496,'gb'),(3252338688,'be'),(3252340736,'tr'),(3252340992,'gr'),(3252342016,'ch'),(3252342080,'gb'),(3252342144,'lu'),(3252342208,'gb'),(3252342240,'ch'),(3252342528,'no'),(3252342784,'de'),(3252346368,'eu'),(3252346624,'gr'),(3252355072,'gb'),(3252355328,'eu'),(3252358912,'gb'),(3252358928,'de'),(3252359168,'dk'),(3252362240,'pl'),(3252362496,'it'),(3252362752,'dk'),(3252363008,'se'),(3252363264,'lt'),(3252379648,'eu'),(3252379904,'gb'),(3252380160,'eu'),(3252380416,'ua'),(3252380672,'si'),(3252380928,'ru'),(3252381184,'it'),(3252381440,'es'),(3252381696,'ru'),(3252381952,'de'),(3252382208,'si'),(3252382464,'pl'),(3252382720,'gb'),(3252382976,'it'),(3252383232,'gb'),(3252383744,'se'),(3252384000,'pl'),(3252384512,'gb'),(3252384768,'nl'),(3252385024,'ro'),(3252385280,'gb'),(3252385536,'ro'),(3252385792,'gb'),(3252386048,'si'),(3252386304,'gb'),(3252386560,'be'),(3252386816,'ua'),(3252387072,'ru'),(3252387328,'pl'),(3252387584,'ru'),(3252387840,'lt'),(3252486144,'eu'),(3252514816,'si'),(3252515072,'gb'),(3252515328,'de'),(3252515584,'si'),(3252515840,'ch'),(3252516096,'fr'),(3252516352,'gb'),(3252516608,'se'),(3252516864,'fr'),(3252517120,'de'),(3252517376,'pl'),(3252517632,'be'),(3252517888,'dk'),(3252518144,'nl'),(3252518400,'pl'),(3252518656,'de'),(3252518912,'eu'),(3252542208,'eu'),(3252551680,'ch'),(3252567296,'gb'),(3252567808,'ro'),(3252568064,'ch'),(3252579328,'fr'),(3252579584,'ru'),(3252579840,'se'),(3252580096,'ua'),(3252580352,'ch'),(3252584448,'fr'),(3252584704,'il'),(3252584960,'cz'),(3252585216,'pl'),(3252585472,'nl'),(3252585728,'fi'),(3252585984,'eu'),(3252586240,'de'),(3252586496,'it'),(3252586752,'nl'),(3252587008,'ch'),(3252587264,'at'),(3252587520,'ru'),(3252587776,'se'),(3252588032,'ch'),(3252589312,'fr'),(3252589568,'ch'),(3252600320,'ru'),(3252600832,'ch'),(3252616704,'gb'),(3252616960,'ch'),(3252617216,'pl'),(3252617472,'ch'),(3252636672,'tr'),(3252636928,'de'),(3252637184,'gb'),(3252637696,'ch'),(3252642304,'ua'),(3252642560,'dk'),(3252642816,'nl'),(3252643072,'ro'),(3252643328,'ch'),(3252643584,'at'),(3252643840,'ch'),(3252682752,'hu'),(3252813824,'ro'),(3252862976,'hu'),(3252895744,'it'),(3252903936,'ua'),(3252904704,'de'),(3252904960,'pl'),(3252905216,'ch'),(3252905472,'lt'),(3252905728,'be'),(3252905984,'it'),(3252906240,'pl'),(3252906496,'gb'),(3252906752,'fr'),(3252907008,'at'),(3252907264,'ro'),(3252907776,'gb'),(3252908032,'pl'),(3252908288,'at'),(3252908544,'be'),(3252908800,'ua'),(3252909056,'pl'),(3252909312,'de'),(3252909568,'gb'),(3252909824,'ua'),(3252910336,'nl'),(3252910592,'ch'),(3252910848,'pl'),(3252911104,'de'),(3252911360,'cz'),(3252911616,'se'),(3252911872,'sa'),(3252912384,'hu'),(3252912640,'fr'),(3252912896,'pl'),(3252913152,'es'),(3252913408,'fr'),(3252913664,'de'),(3252913920,'no'),(3252914176,'eu'),(3252920320,'lb'),(3252928512,'de'),(3252929536,'hu'),(3252930560,'gb'),(3252931072,'de'),(3252931584,'no'),(3252932096,'ua'),(3252933632,'it'),(3252934656,'pl'),(3252936704,'ch'),(3252937216,'ro'),(3252937728,'fr'),(3252938240,'ua'),(3252938752,'ru'),(3252939264,'de'),(3252939776,'ro'),(3252940288,'pt'),(3252940800,'ru'),(3252941312,'ro'),(3252941824,'gb'),(3252942848,'fr'),(3252943360,'ua'),(3252943872,'ru'),(3252944384,'de'),(3252944896,'at'),(3252945152,'gb'),(3252945408,'ua'),(3252945664,'at'),(3252980736,'pl'),(3252980992,'gb'),(3252981248,'ru'),(3252981504,'se'),(3252981760,'de'),(3252982016,'ro'),(3252982272,'de'),(3252982528,'fr'),(3252982784,'ua'),(3252983040,'de'),(3252983552,'si'),(3252983808,'bg'),(3252984064,'ro'),(3252984320,'gb'),(3252984832,'fr'),(3252985088,'se'),(3252985344,'gb'),(3252985600,'ru'),(3252985856,'at'),(3252989440,'pl'),(3252989696,'at'),(3253004800,'cz'),(3253005056,'at'),(3253010432,'fi'),(3253075968,'ro'),(3253207040,'ru'),(3253338112,'se'),(3253469184,'pt'),(3253534720,'gb'),(3253600256,'ro'),(3253601280,'fi'),(3253602304,'de'),(3253603328,'pl'),(3253605376,'ua'),(3253606400,'nl'),(3253607424,'il'),(3253608448,'ua'),(3253610496,'pl'),(3253611520,'ua'),(3253613568,'es'),(3253614592,'ro'),(3253615616,'de'),(3253616640,'pl'),(3253617664,'gb'),(3253618688,'ua'),(3253619712,'it'),(3253620736,'gb'),(3253622784,'de'),(3253623808,'pl'),(3253624832,'ua'),(3253625856,'it'),(3253626880,'de'),(3253627904,'ua'),(3253628928,'gr'),(3253629952,'ua'),(3253630976,'ru'),(3253632000,'de'),(3253633024,'ru'),(3253634048,'cz'),(3253635072,'it'),(3253636096,'ch'),(3253637120,'es'),(3253638144,'fr'),(3253639168,'ua'),(3253640192,'at'),(3253641216,'de'),(3253642240,'gb'),(3253643264,'pl'),(3253645312,'ru'),(3253646336,'pl'),(3253647360,'dk'),(3253648384,'il'),(3253649408,'ua'),(3253650432,'de'),(3253651456,'pl'),(3253652480,'de'),(3253653504,'il'),(3253654528,'lv'),(3253657600,'gb'),(3253660672,'no'),(3253661696,'de'),(3253662720,'ro'),(3253663744,'nl'),(3253664768,'de'),(3253665792,'cz'),(3253666816,'de'),(3253667840,'gb'),(3253668864,'es'),(3253669888,'de'),(3253670912,'ch'),(3253671936,'ua'),(3253672960,'de'),(3253673984,'gb'),(3253675008,'pl'),(3253676032,'at'),(3253677056,'pl'),(3253678080,'dk'),(3253679104,'it'),(3253680128,'pl'),(3253682176,'ro'),(3253683200,'ua'),(3253685248,'fr'),(3253686272,'pl'),(3253687296,'ua'),(3253688320,'nl'),(3253690368,'dk'),(3253691392,'pl'),(3253692416,'de'),(3253693440,'il'),(3253694464,'gb'),(3253695488,'nl'),(3253696512,'fr'),(3253697536,'pl'),(3253698560,'ua'),(3253699072,'ro'),(3253699584,'ua'),(3253700096,'ro'),(3253700608,'pl'),(3253701120,'ro'),(3253702144,'ua'),(3253702656,'ro'),(3253703680,'hu'),(3253704192,'ru'),(3253704704,'ua'),(3253705216,'no'),(3253705728,'de'),(3253706240,'ro'),(3253706752,'gb'),(3253707264,'eu'),(3253707776,'de'),(3253708288,'ro'),(3253708800,'dk'),(3253709312,'ua'),(3253709824,'ro'),(3253710336,'gb'),(3253710848,'dk'),(3253711360,'ua'),(3253712384,'md'),(3253712896,'gr'),(3253713408,'nl'),(3253713920,'at'),(3253714432,'ro'),(3253714944,'fr'),(3253715456,'ro'),(3253715968,'eu'),(3253716480,'fr'),(3253716992,'ch'),(3253717504,'nl'),(3253718016,'pl'),(3253719552,'be'),(3253720064,'ro'),(3253720576,'gr'),(3253721088,'ua'),(3253721600,'ro'),(3253722112,'gb'),(3253722624,'nl'),(3253723136,'pl'),(3253723648,'at'),(3253724160,'ua'),(3253724672,'ro'),(3253725696,'ua'),(3253726208,'ro'),(3253726720,'ua'),(3253727232,'fr'),(3253727744,'ru'),(3253728256,'pl'),(3253728768,'ro'),(3253729280,'at'),(3253729792,'ua'),(3253730304,'ro'),(3253730816,'ua'),(3253731328,'gb'),(3253796864,'se'),(3253862400,'gb'),(3253862656,'eu'),(3253887232,'nl'),(3253887488,'es'),(3253887744,'gb'),(3253888000,'pl'),(3253888256,'be'),(3253888512,'gb'),(3253888768,'se'),(3253889024,'pl'),(3253889280,'ch'),(3253889536,'de'),(3253889792,'dk'),(3253890048,'nl'),(3253890304,'se'),(3253890560,'gb'),(3253890816,'ie'),(3253891072,'de'),(3253891328,'gb'),(3253892352,'nl'),(3253892608,'at'),(3253892864,'nl'),(3253893120,'ro'),(3253893376,'de'),(3253893632,'se'),(3253893888,'ru'),(3253894144,'gb'),(3253894400,'nl'),(3253894656,'fi'),(3253894912,'ru'),(3253895168,'eu'),(3253923840,'gr'),(3253927936,'eu'),(3253960704,'gb'),(3253961728,'md'),(3253962240,'se'),(3253962752,'be'),(3253963264,'ru'),(3253963776,'si'),(3253964288,'pl'),(3253964800,'se'),(3253965312,'pl'),(3253966336,'eu'),(3253966848,'cy'),(3253967360,'gr'),(3253967872,'ua'),(3253968896,'de'),(3253969408,'at'),(3253969920,'nl'),(3253970432,'de'),(3253970944,'dk'),(3253972992,'de'),(3253974528,'gb'),(3253974784,'no'),(3253974848,'se'),(3253974912,'il'),(3253974976,'se'),(3253975040,'de'),(3253977088,'tr'),(3253985280,'gb'),(3253993472,'be'),(3254124544,'ch'),(3254255616,'fr'),(3254648832,'dk'),(3254648896,'gb'),(3254649088,'at'),(3254649344,'eu'),(3254649856,'se'),(3254650880,'eu'),(3254653440,'nl'),(3254653696,'de'),(3254654848,'dk'),(3254654976,'it'),(3254655744,'gb'),(3254656256,'bg'),(3254656512,'de'),(3254656768,'gb'),(3254657024,'ro'),(3254665216,'de'),(3254697984,'se'),(3254698496,'gb'),(3254699008,'ua'),(3254699520,'gb'),(3254700032,'gr'),(3254700544,'de'),(3254701056,'ru'),(3254701568,'il'),(3254702080,'ru'),(3254702592,'gb'),(3254703104,'de'),(3254703616,'nl'),(3254704128,'ua'),(3254705664,'gr'),(3254706688,'ua'),(3254707200,'tr'),(3254707712,'ro'),(3254708224,'ua'),(3254709248,'de'),(3254710272,'it'),(3254710784,'ro'),(3254711296,'gb'),(3254712320,'ru'),(3254712832,'de'),(3254713344,'tr'),(3254713856,'nl'),(3254714368,'tr'),(3254779904,'de'),(3254780160,'gb'),(3254780672,'lt'),(3254780928,'gr'),(3254781184,'nl'),(3254781440,'be'),(3254781952,'lv'),(3254782208,'fr'),(3254782464,'at'),(3254782720,'de'),(3254782976,'cz'),(3254796288,'se'),(3254797312,'ru'),(3254798336,'at'),(3254799360,'ie'),(3254800384,'fi'),(3254801408,'hr'),(3254802432,'ua'),(3254803456,'de'),(3254804480,'pl'),(3254806528,'ua'),(3254808576,'pl'),(3254809600,'ua'),(3254810624,'ru'),(3254811648,'ro'),(3254812672,'pl'),(3254812928,'ro'),(3254813184,'tr'),(3254813440,'ua'),(3254813696,'dk'),(3254813952,'it'),(3254814208,'se'),(3254814464,'de'),(3254814720,'ru'),(3254814976,'ch'),(3254815232,'ua'),(3254815488,'gb'),(3254815744,'it'),(3254816000,'ru'),(3254816256,'tr'),(3254816512,'de'),(3254816768,'ru'),(3254817280,'cy'),(3254817536,'gb'),(3254817792,'ua'),(3254818048,'gb'),(3254818304,'ua'),(3254818560,'de'),(3254818816,'eu'),(3254819328,'pl'),(3254819584,'dk'),(3254819840,'gb'),(3254820864,'lt'),(3254821120,'dk'),(3254821376,'ua'),(3254821632,'de'),(3254821888,'hu'),(3254822144,'de'),(3254822400,'fr'),(3254822656,'pl'),(3254822912,'ch'),(3254823168,'no'),(3254823424,'nl'),(3254823680,'pl'),(3254823936,'ch'),(3254824192,'be'),(3254824960,'fr'),(3254825216,'ro'),(3254825472,'tr'),(3254825728,'fr'),(3254825984,'de'),(3254826240,'pl'),(3254826496,'de'),(3254827264,'gr'),(3254827520,'pl'),(3254827776,'ua'),(3254828032,'de'),(3254828288,'ro'),(3254828800,'gb'),(3254829056,'no'),(3254829312,'gb'),(3254829568,'nl'),(3254829824,'eu'),(3254830080,'ie'),(3254830336,'nl'),(3254830592,'gb'),(3254830848,'pl'),(3254831104,'ua'),(3254831360,'de'),(3254831616,'tr'),(3254831872,'lt'),(3254832128,'ro'),(3254832384,'be'),(3254832640,'ua'),(3254832896,'lv'),(3254833152,'de'),(3254833408,'ru'),(3254833664,'gb'),(3254833920,'pl'),(3254834176,'ch'),(3254834432,'fr'),(3254834688,'gb'),(3254834944,'no'),(3254835200,'de'),(3254835456,'se'),(3254835712,'ua'),(3254835968,'gb'),(3254836224,'pl'),(3254836736,'at'),(3254836992,'gb'),(3254837248,'hr'),(3254837504,'ru'),(3254837760,'ie'),(3254838016,'ru'),(3254838272,'de'),(3254838784,'gb'),(3254839040,'ru'),(3254839296,'de'),(3254839552,'pl'),(3254839808,'be'),(3254840064,'bg'),(3254840320,'dk'),(3254840576,'ua'),(3254840832,'gb'),(3254841344,'it'),(3254841600,'eu'),(3254841856,'lv'),(3254842112,'gb'),(3254842368,'pl'),(3254842624,'ru'),(3254842880,'se'),(3254843136,'de'),(3254843648,'be'),(3254843904,'nl'),(3254844160,'pl'),(3254844416,'gb'),(3254844672,'ro'),(3254844928,'de'),(3254845184,'eu'),(3254878208,'sk'),(3254882304,'pl'),(3254882560,'il'),(3254882816,'pl'),(3254883072,'gb'),(3254883584,'al'),(3254883840,'gb'),(3254884352,'ua'),(3254884608,'pl'),(3254884864,'se'),(3254885120,'de'),(3254885376,'sk'),(3254886400,'gb'),(3254886656,'ru'),(3254886912,'ch'),(3254887424,'gb'),(3254888192,'ro'),(3254888448,'sk'),(3254890496,'de'),(3254890752,'ua'),(3254891008,'ro'),(3254891520,'gb'),(3254891776,'de'),(3254892032,'gb'),(3254892288,'be'),(3254892544,'sk'),(3254894592,'dk'),(3254894848,'ua'),(3254895104,'gb'),(3254895360,'ua'),(3254895872,'se'),(3254896128,'ru'),(3254896384,'pl'),(3254896640,'dk'),(3254896896,'pl'),(3254897152,'de'),(3254897408,'fr'),(3254897664,'nl'),(3254897920,'be'),(3254898176,'at'),(3254898432,'de'),(3254898688,'it'),(3254898944,'ee'),(3254899200,'gb'),(3254899456,'se'),(3254899968,'sk'),(3254910976,'fr'),(3255173120,'eu'),(3255197696,'gb'),(3255205888,'fr'),(3255214080,'ch'),(3255222272,'de'),(3255223296,'ua'),(3255224320,'ro'),(3255225344,'pl'),(3255226368,'de'),(3255227392,'ro'),(3255228416,'ru'),(3255230720,'ps'),(3255230976,'de'),(3255231232,'gb'),(3255231488,'de'),(3255231744,'gb'),(3255232000,'ro'),(3255232256,'ua'),(3255233024,'eu'),(3255233280,'gb'),(3255233536,'se'),(3255233792,'si'),(3255234048,'no'),(3255234304,'de'),(3255234560,'gb'),(3255234816,'pl'),(3255235072,'si'),(3255235328,'se'),(3255235584,'gb'),(3255235840,'pl'),(3255236352,'it'),(3255236608,'gb'),(3255236864,'de'),(3255237120,'at'),(3255237376,'se'),(3255237888,'es'),(3255238144,'gb'),(3255238400,'nl'),(3255238656,'be'),(3255304192,'de'),(3255304448,'eu'),(3255307776,'pl'),(3255308032,'ch'),(3255308288,'eu'),(3255311360,'nl'),(3255311616,'se'),(3255311872,'pt'),(3255312128,'se'),(3255312384,'eu'),(3255315712,'pl'),(3255316224,'ru'),(3255316480,'gb'),(3255316992,'de'),(3255317248,'ua'),(3255317504,'be'),(3255317760,'bg'),(3255318016,'gb'),(3255318272,'ru'),(3255318528,'ua'),(3255318784,'de'),(3255319296,'ua'),(3255319552,'bg'),(3255319808,'at'),(3255320064,'be'),(3255320320,'gb'),(3255320576,'ua'),(3255321088,'pl'),(3255322112,'ru'),(3255323648,'il'),(3255324160,'ch'),(3255324672,'ro'),(3255325696,'ru'),(3255326208,'de'),(3255326720,'il'),(3255327232,'gb'),(3255328256,'si'),(3255328768,'de'),(3255336960,'ru'),(3255340032,'cz'),(3255341056,'ua'),(3255343104,'ru'),(3255344128,'ua'),(3255345152,'ru'),(3255353344,'de'),(3255369728,'ua'),(3255370752,'gb'),(3255371264,'bg'),(3255371776,'se'),(3255372288,'de'),(3255372800,'mc'),(3255373312,'ua'),(3255373824,'pl'),(3255374336,'ru'),(3255374848,'cy'),(3255375360,'ro'),(3255375872,'pl'),(3255376384,'gb'),(3255377408,'kz'),(3255377920,'eu'),(3255378432,'ch'),(3255378944,'ua'),(3255379456,'ru'),(3255379968,'gb'),(3255380480,'de'),(3255380992,'ch'),(3255381504,'pl'),(3255382016,'nl'),(3255382528,'ua'),(3255383040,'pl'),(3255383552,'ch'),(3255384064,'ro'),(3255384576,'at'),(3255385088,'ro'),(3255385600,'fr'),(3255386624,'pl'),(3255387136,'ua'),(3255388160,'de'),(3255388672,'se'),(3255389184,'gb'),(3255389696,'pl'),(3255390208,'gb'),(3255391232,'nl'),(3255391744,'at'),(3255392256,'de'),(3255392768,'ro'),(3255393792,'se'),(3255399680,'de'),(3255400448,'ch'),(3255401472,'de'),(3255402240,'nl'),(3255402496,'eu'),(3255412480,'ro'),(3255412736,'de'),(3255413248,'lv'),(3255413760,'gb'),(3255414272,'tr'),(3255414528,'lv'),(3255414784,'eu'),(3255415808,'at'),(3255416320,'de'),(3255416832,'gb'),(3255418880,'eu'),(3255422976,'gb'),(3255426048,'it'),(3255426560,'gb'),(3255426816,'pl'),(3255427072,'ru'),(3255431168,'fi'),(3255435264,'eu'),(3255500800,'ch'),(3255504896,'ru'),(3255505152,'gb'),(3255505664,'il'),(3255505920,'ru'),(3255506432,'pl'),(3255506688,'pt'),(3255506944,'pl'),(3255507200,'pt'),(3255507456,'fr'),(3255507712,'at'),(3255507968,'ua'),(3255508224,'ru'),(3255508480,'ch'),(3255544320,'de'),(3255544576,'at'),(3255544832,'ch'),(3255564032,'ru'),(3255564288,'ch'),(3255566336,'se'),(3255599104,'eu'),(3255615488,'de'),(3255623680,'bg'),(3255631872,'nl'),(3255660288,'gr'),(3255660544,'nl'),(3255666432,'de'),(3255666688,'nl'),(3255697408,'se'),(3255762944,'de'),(3255799040,'se'),(3255799296,'de'),(3255800576,'ru'),(3255800832,'de'),(3255817216,'se'),(3255817472,'es'),(3255817728,'de'),(3255828480,'se'),(3256025088,'no'),(3256057856,'dk'),(3256082432,'lv'),(3256090624,'it'),(3256221696,'se'),(3256352768,'eu'),(3256393728,'de'),(3256394240,'ua'),(3256394752,'pl'),(3256395264,'gb'),(3256395776,'tr'),(3256396288,'gr'),(3256396800,'de'),(3256397312,'pl'),(3256397824,'ro'),(3256398848,'pl'),(3256399360,'ua'),(3256400896,'gb'),(3256401408,'ua'),(3256401920,'de'),(3256410112,'tr'),(3256410624,'gr'),(3256411136,'eu'),(3256411648,'de'),(3256412160,'gb'),(3256412672,'ro'),(3256413184,'ua'),(3256413696,'pl'),(3256414208,'ru'),(3256414720,'de'),(3256415232,'pl'),(3256415744,'ua'),(3256416256,'de'),(3256416768,'gb'),(3256417280,'no'),(3256417792,'gb'),(3256418304,'de'),(3256483840,'nl'),(3256489472,'gr'),(3256489984,'be'),(3256490240,'de'),(3256490496,'nl'),(3256513024,'gb'),(3256513280,'nl'),(3256513792,'gb'),(3256514048,'nl'),(3256524288,'eu'),(3256524800,'nl'),(3256549376,'tr'),(3256680448,'ch'),(3256688640,'il'),(3256692736,'gr'),(3256693760,'it'),(3256694784,'gb'),(3256695808,'ua'),(3256696832,'eu'),(3256713216,'pl'),(3256727552,'ua'),(3256728576,'de'),(3256729600,'fi'),(3256731648,'no'),(3256732672,'it'),(3256732928,'ua'),(3256733184,'fr'),(3256733440,'dk'),(3256733696,'tr'),(3256735744,'gb'),(3256737792,'de'),(3256745984,'es'),(3256778752,'cy'),(3256786944,'de'),(3256787200,'ro'),(3256787456,'de'),(3256787712,'gb'),(3256787968,'pl'),(3256788224,'ru'),(3256788480,'gb'),(3256788736,'de'),(3256788992,'ua'),(3256789248,'se'),(3256789504,'ua'),(3256789760,'gb'),(3256790016,'ua'),(3256790272,'de'),(3256790528,'gb'),(3256790784,'nl'),(3256791040,'de'),(3256791296,'ro'),(3256791552,'de'),(3256791808,'pl'),(3256792064,'de'),(3256792320,'ch'),(3256792576,'nl'),(3256792832,'de'),(3256793088,'gb'),(3256794112,'nl'),(3256794368,'dk'),(3256794624,'ru'),(3256794880,'at'),(3256795136,'gr'),(3256811520,'de'),(3256877056,'gb'),(3256915456,'se'),(3256915968,'gb'),(3256945664,'ua'),(3256945920,'gb'),(3256946176,'ro'),(3256946432,'ua'),(3256946688,'gb'),(3256946944,'de'),(3256947712,'gb'),(3256988672,'ua'),(3256989184,'fr'),(3256989440,'gb'),(3256989696,'hu'),(3256989952,'pl'),(3256990208,'ch'),(3256990464,'pl'),(3256990720,'ua'),(3256991232,'se'),(3256991488,'ru'),(3256991744,'gb'),(3257011200,'bg'),(3257011456,'gb'),(3257058816,'pl'),(3257059072,'gb'),(3257139200,'nl'),(3257139456,'gb'),(3257144832,'eu'),(3257145088,'gb'),(3257180160,'tr'),(3257180416,'ru'),(3257180672,'ee'),(3257180928,'gb'),(3257181184,'sa'),(3257181440,'pl'),(3257181696,'eu'),(3257181952,'bg'),(3257182208,'pl'),(3257182464,'gb'),(3257204736,'at'),(3257268224,'ua'),(3257268480,'se'),(3257268736,'at'),(3257269248,'it'),(3257269504,'at'),(3257270016,'gb'),(3257270272,'eu'),(3257286656,'ch'),(3257294848,'hu'),(3257303040,'pt'),(3257311232,'ch'),(3257335808,'de'),(3257357312,'pt'),(3257357568,'si'),(3257357824,'de'),(3257371648,'gb'),(3257372672,'de'),(3257401344,'ch'),(3257466880,'de'),(3257467136,'gb'),(3257467392,'nl'),(3257467904,'eu'),(3257532416,'cy'),(3257542656,'pl'),(3257542912,'it'),(3257543424,'pt'),(3257543680,'ro'),(3257544192,'de'),(3257544448,'dk'),(3257544576,'gb'),(3257544704,'ch'),(3257544960,'eu'),(3257545216,'gr'),(3257546496,'gb'),(3257546528,'ch'),(3257546624,'es'),(3257546656,'se'),(3257546688,'de'),(3257546720,'dk'),(3257546752,'fi'),(3257548800,'de'),(3257556992,'gb'),(3257557504,'lu'),(3257558016,'ro'),(3257559552,'ua'),(3257560064,'de'),(3257560576,'pl'),(3257561088,'ru'),(3257561600,'de'),(3257562112,'pl'),(3257563648,'de'),(3257564160,'gb'),(3257564672,'ro'),(3257565184,'cy'),(3257573376,'eu'),(3257581568,'ua'),(3257585664,'nl'),(3257589760,'gb'),(3257663488,'ua'),(3257729024,'nl'),(3257794560,'gb'),(3257860096,'se'),(3257925632,'at'),(3257925888,'se'),(3257926144,'at'),(3257970432,'ua'),(3257970688,'at'),(3257977856,'gb'),(3257978112,'se'),(3257978368,'bg'),(3257978624,'es'),(3257978880,'fr'),(3257979136,'gb'),(3257979904,'ua'),(3257980160,'se'),(3257980416,'nl'),(3257980672,'gb'),(3257980928,'pl'),(3257981184,'gb'),(3257981440,'ru'),(3257981696,'pl'),(3257981952,'at'),(3257987328,'cz'),(3257987584,'at'),(3257991168,'de'),(3258003968,'ru'),(3258004224,'cz'),(3258004480,'de'),(3258056704,'ua'),(3258056960,'cz'),(3258058240,'ru'),(3258058496,'ro'),(3258059008,'gb'),(3258059264,'ru'),(3258059520,'ro'),(3258059776,'cz'),(3258063872,'gb'),(3258064128,'fr'),(3258064384,'gb'),(3258065408,'ch'),(3258065664,'sa'),(3258065920,'de'),(3258066176,'pl'),(3258066432,'fr'),(3258066944,'dk'),(3258067200,'gb'),(3258067456,'it'),(3258067712,'gr'),(3258067968,'ro'),(3258068224,'ch'),(3258068480,'gb'),(3258068736,'de'),(3258068992,'nl'),(3258069248,'pl'),(3258069504,'ro'),(3258069760,'ua'),(3258070016,'gb'),(3258070272,'pl'),(3258070528,'gb'),(3258071296,'dk'),(3258071552,'de'),(3258071808,'gb'),(3258072064,'fr'),(3258072320,'pl'),(3258072576,'gb'),(3258072832,'ro'),(3258073088,'cz'),(3258074112,'gb'),(3258074880,'il'),(3258075136,'ro'),(3258075392,'bg'),(3258075648,'fr'),(3258075904,'pl'),(3258076160,'bg'),(3258076416,'fr'),(3258076928,'ua'),(3258077184,'gb'),(3258077440,'ua'),(3258077696,'nl'),(3258077952,'pl'),(3258078208,'tr'),(3258078464,'ua'),(3258078720,'gb'),(3258078976,'ru'),(3258079232,'gb'),(3258079488,'pl'),(3258079744,'gb'),(3258080000,'nl'),(3258080256,'fr'),(3258080512,'gb'),(3258081024,'fr'),(3258081280,'nl'),(3258081536,'be'),(3258081792,'ua'),(3258082048,'nl'),(3258082304,'cz'),(3258082560,'hu'),(3258082816,'gb'),(3258083072,'ru'),(3258083584,'lv'),(3258083840,'se'),(3258084352,'gb'),(3258084608,'at'),(3258084864,'pl'),(3258085120,'lt'),(3258085376,'nl'),(3258085632,'de'),(3258085888,'ua'),(3258086144,'at'),(3258086400,'ua'),(3258086656,'gb'),(3258087168,'ua'),(3258087424,'ru'),(3258087680,'gb'),(3258087936,'bg'),(3258088192,'pl'),(3258088448,'be'),(3258088704,'ua'),(3258088960,'ro'),(3258089216,'eu'),(3258089472,'cz'),(3258097664,'de'),(3258097920,'ua'),(3258098176,'gb'),(3258098432,'nl'),(3258098688,'de'),(3258098944,'gb'),(3258099200,'si'),(3258099456,'ua'),(3258099712,'fi'),(3258099968,'ua'),(3258100224,'ro'),(3258100480,'dk'),(3258100736,'eu'),(3258100992,'at'),(3258101248,'ro'),(3258101504,'il'),(3258101760,'ch'),(3258102016,'be'),(3258102272,'ch'),(3258102528,'tr'),(3258102784,'pl'),(3258103040,'gb'),(3258103296,'de'),(3258103552,'gb'),(3258103808,'se'),(3258104064,'eu'),(3258104320,'pl'),(3258104576,'de'),(3258104832,'cz'),(3258105600,'de'),(3258105856,'cz'),(3258109952,'dk'),(3258110208,'cz'),(3258111488,'pl'),(3258111744,'cz'),(3258121216,'pl'),(3258121472,'at'),(3258121728,'ua'),(3258121984,'ru'),(3258122240,'fr'),(3258187776,'eu'),(3258253312,'nl'),(3258272768,'fr'),(3258273792,'nl'),(3258297344,'be'),(3258297600,'nl'),(3258298112,'gb'),(3258298368,'nl'),(3258318848,'de'),(3258320896,'gb'),(3258321920,'ru'),(3258322944,'pl'),(3258326016,'se'),(3258327040,'tr'),(3258335232,'ru'),(3258336256,'no'),(3258337280,'de'),(3258338304,'ua'),(3258340352,'pl'),(3258341376,'ua'),(3258342400,'de'),(3258343424,'no'),(3258351616,'ro'),(3258352640,'ru'),(3258353664,'no'),(3258354688,'bg'),(3258355712,'nl'),(3258356736,'ru'),(3258357760,'ua'),(3258360832,'se'),(3258361856,'il'),(3258362880,'gb'),(3258363904,'ru'),(3258364928,'cs'),(3258365952,'ua'),(3258366976,'pl'),(3258368000,'kw'),(3258384384,'de'),(3258427648,'ro'),(3258427904,'de'),(3258449920,'ch'),(3258503936,'pl'),(3258504192,'ch'),(3258504704,'eu'),(3258504960,'il'),(3258505216,'ch'),(3258515456,'fr'),(3258580992,'ru'),(3258646528,'de'),(3258691584,'ru'),(3258691840,'at'),(3258692352,'eu'),(3258692608,'fr'),(3258692864,'de'),(3258693120,'si'),(3258693376,'gb'),(3258693632,'ru'),(3258693888,'si'),(3258694144,'ru'),(3258694400,'eu'),(3258694656,'gb'),(3258694912,'eu'),(3258695680,'de'),(3258703616,'gb'),(3258703872,'de'),(3258712064,'gb'),(3258728448,'fr'),(3258729472,'de'),(3258729728,'ua'),(3258729984,'ch'),(3258730240,'nl'),(3258730496,'ro'),(3258730752,'tr'),(3258731008,'si'),(3258731264,'no'),(3258731520,'es'),(3258731776,'ua'),(3258732032,'eu'),(3258732288,'pl'),(3258732544,'se'),(3258732800,'ch'),(3258733056,'ro'),(3258733312,'gb'),(3258764288,'eu'),(3258764544,'gb'),(3258764800,'be'),(3258765056,'nl'),(3258765312,'gb'),(3258767616,'ch'),(3258767872,'gb'),(3258818048,'se'),(3258818304,'gb'),(3258843136,'ru'),(3258843392,'gb'),(3258848768,'ro'),(3258849024,'de'),(3258849280,'gb'),(3258902784,'ru'),(3258903040,'fr'),(3258903296,'gb'),(3258903552,'de'),(3258903808,'ru'),(3258904064,'gb'),(3258908672,'eu'),(3258941440,'pl'),(3258943488,'bg'),(3258945536,'ru'),(3258946560,'gb'),(3258947584,'ro'),(3258948608,'ru'),(3258949632,'gr'),(3258972160,'eu'),(3258974208,'de'),(3259039744,'pt'),(3259105280,'gb'),(3259170816,'ru'),(3259236352,'se'),(3259301888,'de'),(3259302144,'eu'),(3259302400,'ch'),(3259303424,'se'),(3259305984,'nl'),(3259310080,'eu'),(3259318272,'gb'),(3259334656,'eu'),(3259351040,'it'),(3259351552,'fr'),(3259352064,'ch'),(3259352576,'gb'),(3259353088,'no'),(3259353856,'gb'),(3259354112,'nl'),(3259354368,'de'),(3259354624,'tr'),(3259354880,'pl'),(3259355136,'nl'),(3259359232,'es'),(3259367424,'gb'),(3259432960,'se'),(3259498496,'gb'),(3259760640,'de'),(3259891712,'be'),(3259957248,'de'),(3259958272,'ru'),(3259959296,'ua'),(3259960320,'bg'),(3259961344,'fi'),(3259962368,'ua'),(3259963392,'pl'),(3259964416,'gb'),(3259965440,'ru'),(3259967488,'rs'),(3259968512,'ru'),(3259969536,'fr'),(3259970560,'cz'),(3259971584,'it'),(3259972608,'ua'),(3259973632,'pt'),(3259990016,'fr'),(3260006400,'it'),(3260014592,'nl'),(3260018688,'gb'),(3260019712,'eu'),(3260021248,'cz'),(3260021760,'gr'),(3260022272,'nl'),(3260022784,'gb'),(3260284928,'ru'),(3260416000,'fi'),(3260481536,'ru'),(3260547072,'gb'),(3260547328,'ua'),(3260547584,'nl'),(3260547840,'pl'),(3260548096,'ie'),(3260548352,'dk'),(3260548608,'ro'),(3260548864,'ch'),(3260549120,'at'),(3260549376,'gb'),(3260549632,'de'),(3260549888,'ua'),(3260550144,'pl'),(3260550400,'de'),(3260550656,'ru'),(3260550912,'gb'),(3260551168,'eu'),(3260553984,'gb'),(3260554240,'eu'),(3260555264,'hu'),(3260563456,'gb'),(3260571648,'be'),(3260579840,'pl'),(3260580352,'hu'),(3260580864,'gb'),(3260581376,'ro'),(3260581888,'il'),(3260582400,'ru'),(3260583424,'pt'),(3260583936,'no'),(3260584448,'ro'),(3260585472,'ua'),(3260586496,'pl'),(3260587008,'fr'),(3260587520,'pl'),(3260588032,'de'),(3260596224,'gb'),(3260596736,'ro'),(3260597248,'ch'),(3260597760,'de'),(3260598272,'ru'),(3260598784,'ro'),(3260599296,'ru'),(3260601344,'ch'),(3260601856,'pl'),(3260602368,'at'),(3260602880,'ua'),(3260603904,'eu'),(3260604416,'pl'),(3260604928,'ro'),(3260605440,'bg'),(3260605952,'es'),(3260606464,'se'),(3260607488,'nl'),(3260608000,'ro'),(3260608512,'ie'),(3260609024,'gb'),(3260609536,'pl'),(3260610048,'fr'),(3260610560,'ro'),(3260611072,'bg'),(3260611584,'ru'),(3260612096,'se'),(3260612608,'fi'),(3260678144,'il'),(3260743680,'it'),(3260809216,'pl'),(3260874752,'eu'),(3260906368,'si'),(3260906496,'fr'),(3260907520,'gb'),(3260915712,'ua'),(3260923904,'eu'),(3260940288,'de'),(3261071360,'at'),(3261136896,'de'),(3261202432,'fr'),(3261267968,'de'),(3261297664,'cz'),(3261297920,'pl'),(3261298176,'de'),(3261333504,'fi'),(3261399040,'gb'),(3261472768,'ro'),(3261530112,'se'),(3261595648,'nl'),(3261661184,'ro'),(3261669376,'mt'),(3261673472,'it'),(3261675520,'lv'),(3261675776,'it'),(3261676032,'gb'),(3261676288,'it'),(3261676544,'dk'),(3261676800,'it'),(3261677056,'eu'),(3261677568,'gb'),(3261685760,'de'),(3261687808,'ro'),(3261689856,'gb'),(3261691904,'nl'),(3261694464,'ru'),(3261694976,'pl'),(3261695488,'gb'),(3261696000,'ua'),(3261696512,'nl'),(3261697024,'ro'),(3261698048,'ua'),(3261698560,'eu'),(3261699072,'nl'),(3261699584,'gb'),(3261700096,'fr'),(3261700608,'gb'),(3261701120,'ru'),(3261701632,'ch'),(3261702144,'gb'),(3261710336,'ru'),(3261718528,'is'),(3261726720,'es'),(3261734912,'gb'),(3261743104,'mt'),(3261751296,'ee'),(3261759488,'ie'),(3261767680,'rs'),(3261775872,'pl'),(3261776384,'ru'),(3261777408,'kz'),(3261777920,'pl'),(3261778432,'ru'),(3261778944,'ro'),(3261779456,'de'),(3261779968,'ua'),(3261780480,'pl'),(3261780992,'ro'),(3261781504,'pl'),(3261782016,'ua'),(3261783040,'gb'),(3261784064,'at'),(3261796352,'gb'),(3261796608,'ru'),(3261796864,'pl'),(3261797120,'nl'),(3261797376,'at'),(3261797632,'ru'),(3261797888,'tr'),(3261798144,'ru'),(3261798400,'at'),(3261812736,'ru'),(3261812992,'at'),(3261820928,'ro'),(3261821184,'at'),(3261821440,'nl'),(3261821696,'si'),(3261821952,'ru'),(3261822208,'ua'),(3261822464,'gb'),(3261822720,'se'),(3261822976,'pl'),(3261823232,'nl'),(3261823488,'eu'),(3261823744,'nl'),(3261824000,'pl'),(3261824256,'ua'),(3261824512,'eu'),(3261824768,'pt'),(3261825024,'at'),(3261857792,'cz'),(3261923328,'nl'),(3261988864,'se'),(3261989120,'fi'),(3261993472,'ru'),(3261993728,'fi'),(3261995264,'de'),(3261995520,'pl'),(3261995776,'fi'),(3261996032,'nl'),(3261996288,'fi'),(3262005760,'ru'),(3262006016,'nl'),(3262006272,'ro'),(3262006528,'fr'),(3262006784,'se'),(3262007040,'at'),(3262007296,'sa'),(3262007552,'gr'),(3262007808,'ro'),(3262008064,'gb'),(3262008320,'pt'),(3262008576,'pl'),(3262008832,'at'),(3262009088,'ua'),(3262009344,'fi'),(3262018560,'pl'),(3262018816,'fi'),(3262021120,'ua'),(3262021376,'pl'),(3262021632,'ch'),(3262021888,'ua'),(3262022144,'fi'),(3262022912,'de'),(3262023168,'fi'),(3262023680,'dk'),(3262023936,'fi'),(3262027264,'tr'),(3262027520,'be'),(3262027776,'fi'),(3262029824,'ua'),(3262030848,'gb'),(3262031872,'fi'),(3262038016,'eu'),(3262038272,'ru'),(3262038528,'ie'),(3262038784,'no'),(3262039040,'de'),(3262039296,'gb'),(3262039552,'gr'),(3262039808,'si'),(3262040064,'pl'),(3262040320,'gb'),(3262040576,'ru'),(3262040832,'gb'),(3262041088,'hu'),(3262041344,'bg'),(3262041600,'dk'),(3262041856,'fr'),(3262042112,'eu'),(3262042368,'gb'),(3262042624,'ua'),(3262042880,'nl'),(3262043136,'ro'),(3262043392,'tr'),(3262043648,'nl'),(3262043904,'gb'),(3262044160,'rs'),(3262044416,'de'),(3262044672,'gr'),(3262044928,'ua'),(3262045184,'lt'),(3262045440,'nl'),(3262045696,'si'),(3262045952,'ru'),(3262046208,'fi'),(3262049280,'jo'),(3262049536,'gb'),(3262049792,'pl'),(3262050560,'gb'),(3262051584,'eu'),(3262051840,'gb'),(3262052096,'de'),(3262052352,'ua'),(3262052608,'il'),(3262052864,'gb'),(3262053120,'ru'),(3262053632,'ua'),(3262054144,'ru'),(3262054400,'fi'),(3262124032,'de'),(3262128128,'gb'),(3262136320,'eu'),(3262152704,'at'),(3262185472,'de'),(3262224896,'at'),(3262225152,'de'),(3262227712,'ro'),(3262227968,'de'),(3262251008,'eu'),(3262283776,'ua'),(3262286848,'se'),(3262287872,'pl'),(3262289920,'eu'),(3262316544,'de'),(3262382080,'it'),(3262414848,'gb'),(3262415360,'pl'),(3262416896,'ro'),(3262417408,'pl'),(3262417920,'ru'),(3262418432,'fr'),(3262419456,'nl'),(3262419968,'de'),(3262420480,'gb'),(3262420992,'es'),(3262421504,'de'),(3262422016,'se'),(3262422528,'at'),(3262423040,'gb'),(3262423552,'ua'),(3262424064,'it'),(3262424576,'fr'),(3262425088,'ro'),(3262425600,'ua'),(3262426112,'de'),(3262426624,'gb'),(3262427136,'fr'),(3262427648,'dk'),(3262428160,'ch'),(3262428672,'pl'),(3262429184,'es'),(3262429696,'de'),(3262430208,'ee'),(3262430720,'ro'),(3262431232,'pl'),(3262431744,'ua'),(3262432256,'ch'),(3262432768,'gb'),(3262433280,'ro'),(3262433792,'fr'),(3262434304,'si'),(3262434816,'de'),(3262435840,'ch'),(3262436352,'se'),(3262436864,'gb'),(3262437376,'ro'),(3262437888,'fr'),(3262438400,'gb'),(3262438912,'dk'),(3262439424,'at'),(3262439936,'il'),(3262440448,'ua'),(3262440960,'il'),(3262441472,'ua'),(3262441984,'de'),(3262442496,'ro'),(3262443008,'gb'),(3262444032,'at'),(3262444544,'ua'),(3262445056,'ro'),(3262445568,'pl'),(3262446080,'ru'),(3262446592,'pl'),(3262447104,'gb'),(3262447616,'pt'),(3262460416,'ua'),(3262460544,'ru'),(3262460672,'dk'),(3262460800,'gb'),(3262460928,'hu'),(3262461184,'eu'),(3262461312,'no'),(3262461440,'de'),(3262461568,'gb'),(3262461696,'ua'),(3262461824,'ro'),(3262461952,'iq'),(3262464000,'ru'),(3262472192,'de'),(3262480384,'gb'),(3262488576,'se'),(3262496768,'fr'),(3262504960,'de'),(3262505472,'gb'),(3262505984,'pl'),(3262506496,'ro'),(3262507008,'dk'),(3262507520,'ro'),(3262509056,'pl'),(3262509568,'ro'),(3262510080,'fr'),(3262511104,'gb'),(3262511616,'de'),(3262512128,'gb'),(3262512640,'de'),(3262513152,'at'),(3262578688,'fr'),(3262611456,'gb'),(3262627840,'it'),(3262636032,'be'),(3262644224,'nl'),(3262906368,'ch'),(3262964992,'de'),(3262965248,'ch'),(3262971904,'ie'),(3263030272,'gb'),(3263031296,'tr'),(3263032320,'ru'),(3263033344,'lv'),(3263033856,'it'),(3263034368,'ua'),(3263034880,'gb'),(3263035392,'ua'),(3263035904,'ch'),(3263036416,'gr'),(3263036928,'ru'),(3263037440,'lb'),(3263045632,'kw'),(3263053824,'gb'),(3263062016,'ee'),(3263070208,'fr'),(3263070720,'nl'),(3263070976,'de'),(3263071488,'nl'),(3263072256,'lb'),(3263074304,'ch'),(3263074816,'ro'),(3263075328,'gb'),(3263075840,'se'),(3263076352,'ro'),(3263076864,'it'),(3263077376,'fr'),(3263077888,'de'),(3263078400,'ro'),(3263079424,'pl'),(3263080448,'ru'),(3263081472,'gb'),(3263082496,'ro'),(3263083520,'ua'),(3263084544,'ro'),(3263085568,'ch'),(3263086592,'dk'),(3263086848,'nl'),(3263087104,'de'),(3263087872,'si'),(3263088128,'de'),(3263088384,'gb'),(3263088640,'ch'),(3263089152,'ro'),(3263089408,'ru'),(3263089664,'ua'),(3263089920,'ro'),(3263090176,'de'),(3263090432,'pl'),(3263090688,'de'),(3263090944,'eu'),(3263091200,'pl'),(3263091456,'no'),(3263091712,'fi'),(3263091968,'hr'),(3263092480,'eu'),(3263092736,'pl'),(3263092992,'fr'),(3263093248,'ch'),(3263093504,'ru'),(3263093760,'ro'),(3263094016,'pl'),(3263094528,'dk'),(3263094784,'ru'),(3263095040,'gb'),(3263095296,'fr'),(3263095552,'ro'),(3263095808,'de'),(3263096064,'pl'),(3263096320,'tr'),(3263096576,'sa'),(3263096832,'nl'),(3263097088,'fr'),(3263097344,'dk'),(3263097600,'nl'),(3263097856,'fr'),(3263098112,'de'),(3263098368,'pl'),(3263098624,'de'),(3263098880,'gb'),(3263099136,'nl'),(3263099392,'de'),(3263099904,'ro'),(3263100160,'fr'),(3263100416,'de'),(3263100672,'gb'),(3263100928,'at'),(3263101184,'se'),(3263101440,'dk'),(3263101952,'lt'),(3263102208,'ro'),(3263102464,'pl'),(3263102720,'gr'),(3263102976,'de'),(3263137792,'pl'),(3263138304,'gb'),(3263138816,'de'),(3263168512,'gb'),(3263430656,'se'),(3263496192,'eu'),(3263561728,'nl'),(3263627264,'ru'),(3263692800,'fi'),(3263823872,'de'),(3263954944,'es'),(3263979520,'de'),(3263987712,'es'),(3264004096,'hu'),(3264012288,'at'),(3264012544,'gb'),(3264013056,'tr'),(3264013312,'ua'),(3264013824,'gb'),(3264014080,'de'),(3264014336,'gb'),(3264014592,'pl'),(3264014848,'ie'),(3264015104,'ro'),(3264015360,'dk'),(3264015616,'ua'),(3264015872,'gb'),(3264016128,'de'),(3264016384,'se'),(3264016640,'pl'),(3264016896,'gb'),(3264017152,'se'),(3264017664,'ro'),(3264017920,'nl'),(3264018176,'gb'),(3264018432,'hu'),(3264018688,'gb'),(3264018944,'pl'),(3264019200,'gb'),(3264019968,'at'),(3264020224,'pl'),(3264020480,'bg'),(3264086016,'fi'),(3264151552,'no'),(3264184320,'gb'),(3264184832,'nl'),(3264185344,'eu'),(3264186368,'ua'),(3264186880,'ru'),(3264187392,'eu'),(3264187904,'it'),(3264188416,'ru'),(3264189440,'cz'),(3264189952,'ua'),(3264190464,'lv'),(3264190976,'gb'),(3264191488,'de'),(3264192000,'gb'),(3264200704,'es'),(3264208896,'hu'),(3264217088,'is'),(3264282624,'gb'),(3264290816,'fi'),(3264296192,'fr'),(3264297728,'pt'),(3264298752,'bg'),(3264299008,'de'),(3264307200,'pl'),(3264311296,'gb'),(3264311552,'it'),(3264311808,'eu'),(3264312320,'pl'),(3264312576,'ua'),(3264312832,'de'),(3264313344,'ro'),(3264313600,'pt'),(3264313856,'de'),(3264314624,'eu'),(3264314880,'gb'),(3264315136,'gr'),(3264315392,'ie'),(3264317440,'sk'),(3264318464,'eu'),(3264318976,'de'),(3264319488,'fr'),(3264319744,'se'),(3264320000,'de'),(3264320256,'gb'),(3264321024,'de'),(3264321536,'gb'),(3264321792,'cs'),(3264322048,'fr'),(3264322304,'ro'),(3264322560,'hu'),(3264322816,'ch'),(3264323072,'ru'),(3264323328,'ro'),(3264323584,'bg'),(3264324608,'se'),(3264325632,'ru'),(3264326656,'se'),(3264327680,'at'),(3264328704,'cz'),(3264329728,'pl'),(3264330752,'gb'),(3264331776,'de'),(3264332288,'nl'),(3264332800,'gb'),(3264333312,'ua'),(3264333824,'gb'),(3264334336,'ro'),(3264334848,'pl'),(3264335360,'sk'),(3264335872,'gb'),(3264336896,'ru'),(3264337408,'gb'),(3264337920,'ua'),(3264338432,'de'),(3264338944,'gb'),(3264339968,'de'),(3264340224,'pl'),(3264340480,'eu'),(3264340736,'ua'),(3264340992,'pl'),(3264341504,'de'),(3264341760,'it'),(3264342016,'de'),(3264342784,'ie'),(3264343040,'de'),(3264343296,'gb'),(3264343552,'ro'),(3264343808,'de'),(3264344064,'gb'),(3264346112,'se'),(3264347136,'nl'),(3264348160,'fr'),(3264375040,'se'),(3264376064,'si'),(3264376320,'ua'),(3264376576,'fr'),(3264376832,'ua'),(3264377088,'ru'),(3264377344,'it'),(3264377600,'ru'),(3264377856,'ua'),(3264378112,'se'),(3264378368,'de'),(3264378624,'ru'),(3264378880,'pl'),(3264379136,'be'),(3264379392,'ru'),(3264379648,'de'),(3264380160,'ro'),(3264380416,'ch'),(3264380672,'nl'),(3264380928,'pl'),(3264381952,'ua'),(3264385024,'gb'),(3264386048,'cy'),(3264388096,'ua'),(3264389120,'de'),(3264390144,'cy'),(3264391168,'se'),(3264392192,'de'),(3264394240,'ua'),(3264395264,'ch'),(3264397312,'gb'),(3264398336,'cy'),(3264399360,'ru'),(3264400384,'ua'),(3264401408,'gb'),(3264402432,'ch'),(3264403456,'pl'),(3264404480,'ua'),(3264405504,'fr'),(3264406528,'ua'),(3264407552,'bg'),(3264408576,'cy'),(3264409600,'ru'),(3264410624,'no'),(3264411648,'pl'),(3264413696,'ch'),(3264544768,'hu'),(3264561152,'ru'),(3264563200,'eu'),(3264564224,'ie'),(3264565248,'eu'),(3264567296,'pl'),(3264567552,'gb'),(3264567808,'ru'),(3264568320,'de'),(3264568576,'ru'),(3264568832,'de'),(3264569088,'ru'),(3264569344,'cz'),(3264577536,'mk'),(3264585728,'fr'),(3264593920,'es'),(3264602112,'ru'),(3264603136,'pl'),(3264604160,'it'),(3264604672,'ru'),(3264605184,'gr'),(3264605696,'dk'),(3264606208,'pl'),(3264606464,'de'),(3264606720,'gb'),(3264607232,'it'),(3264607488,'nl'),(3264607744,'de'),(3264610304,'fr'),(3264626688,'ee'),(3264627712,'gr'),(3264628736,'ru'),(3264629760,'ua'),(3264630784,'de'),(3264631808,'ro'),(3264632832,'ru'),(3264634880,'pl'),(3264637952,'dk'),(3264640000,'bg'),(3264641024,'gb'),(3264642048,'ru'),(3264651264,'ch'),(3264651776,'it'),(3264652288,'ru'),(3264652800,'pl'),(3264653312,'de'),(3264653824,'ro'),(3264654336,'de'),(3264654848,'ua'),(3264655360,'gb'),(3264655872,'ru'),(3264656384,'bg'),(3264656896,'gb'),(3264657408,'pl'),(3264657920,'ro'),(3264658432,'gb'),(3264658944,'de'),(3264659456,'ua'),(3264659968,'gb'),(3264660480,'pl'),(3264660992,'ch'),(3264661504,'gb'),(3264662016,'ru'),(3264662528,'se'),(3264663040,'pl'),(3264663552,'nl'),(3264664064,'de'),(3264664576,'no'),(3264665088,'se'),(3264665600,'ro'),(3264666112,'il'),(3264666624,'ua'),(3264667136,'se'),(3264667648,'be'),(3264668160,'de'),(3264669184,'pl'),(3264669696,'ua'),(3264670208,'ru'),(3264670720,'eu'),(3264671232,'pl'),(3264671744,'de'),(3264672256,'ro'),(3264672768,'ch'),(3264673280,'pl'),(3264673792,'ch'),(3264674304,'pl'),(3264674816,'eu'),(3264675328,'ru'),(3264675840,'nl'),(3264741376,'si'),(3264749568,'lv'),(3264750080,'ru'),(3264750592,'kg'),(3264751104,'dk'),(3264751616,'gb'),(3264752128,'ro'),(3264752640,'nl'),(3264753152,'pl'),(3264753664,'it'),(3264754176,'pl'),(3264754688,'ru'),(3264755200,'de'),(3264755712,'pl'),(3264756224,'fi'),(3264756736,'pl'),(3264757248,'ua'),(3264757760,'eu'),(3264765952,'at'),(3264774144,'hu'),(3264782336,'at'),(3264790528,'hr'),(3264806912,'gb'),(3264815104,'se'),(3264825344,'no'),(3264825600,'it'),(3264825856,'eu'),(3264826112,'gb'),(3264826880,'nl'),(3264827136,'lv'),(3264827392,'gb'),(3264827648,'gr'),(3264828416,'se'),(3264828672,'mt'),(3264828928,'de'),(3264829440,'gb'),(3264830208,'se'),(3264830464,'gb'),(3264830720,'at'),(3264830976,'ch'),(3264831232,'pl'),(3264831488,'ch'),(3264831744,'gb'),(3264832000,'at'),(3264832256,'it'),(3264832512,'de'),(3264832768,'il'),(3264833024,'it'),(3264833536,'de'),(3264834048,'gb'),(3264835328,'at'),(3264835584,'ru'),(3264835840,'de'),(3264836096,'eu'),(3264836352,'pl'),(3264836608,'de'),(3264836864,'nl'),(3264837120,'bg'),(3264837376,'pl'),(3264837632,'at'),(3264839680,'ua'),(3264840192,'nl'),(3264840448,'it'),(3264840704,'pt'),(3264840960,'pl'),(3264841472,'lv'),(3264841728,'gb'),(3264844032,'bg'),(3264844288,'de'),(3264844800,'ua'),(3264845312,'de'),(3264845952,'gb'),(3264846208,'pl'),(3264846464,'se'),(3264846592,'de'),(3264846720,'ru'),(3264846848,'dk'),(3264846912,'ru'),(3264846976,'de'),(3264847040,'gb'),(3264847104,'eu'),(3264847136,'gb'),(3264847200,'no'),(3264847264,'li'),(3264847328,'eu'),(3264847488,'ru'),(3264847616,'pl'),(3264847680,'ru'),(3264847744,'eu'),(3264847808,'se'),(3264847872,'de'),(3264849920,'gb'),(3264850432,'pl'),(3264850688,'lv'),(3264850944,'it'),(3264851968,'ch'),(3264854016,'de'),(3264854784,'it'),(3264855040,'eu'),(3264855552,'de'),(3264856064,'it'),(3264861696,'gb'),(3264862208,'pl'),(3264862464,'at'),(3264862720,'gb'),(3264862976,'eu'),(3264863232,'at'),(3264864256,'ro'),(3264872448,'gb'),(3264888832,'ru'),(3264897024,'gb'),(3264905216,'cy'),(3264913408,'gb'),(3264921600,'lu'),(3264929792,'sk'),(3264937984,'gb'),(3265003520,'de'),(3265055232,'fr'),(3265055744,'de'),(3265069056,'fi'),(3265134592,'gb'),(3265142784,'mt'),(3265150976,'ad'),(3265159168,'fr'),(3265167360,'at'),(3265175552,'nl'),(3265183744,'by'),(3265191936,'ch'),(3265200128,'gb'),(3265265664,'sk'),(3265331200,'eu'),(3265396736,'de'),(3265527808,'gb'),(3265593344,'ru'),(3265594368,'ua'),(3265595392,'pl'),(3265595904,'ru'),(3265596416,'gb'),(3265597440,'ru'),(3265597952,'ua'),(3265598464,'ru'),(3265600000,'hu'),(3265600512,'gb'),(3265601024,'ru'),(3265601536,'se'),(3265601792,'ch'),(3265602048,'nl'),(3265602304,'de'),(3265602560,'it'),(3265602816,'ie'),(3265603072,'dk'),(3265603328,'ru'),(3265603584,'de'),(3265603840,'pl'),(3265604096,'nl'),(3265604352,'fr'),(3265604608,'ch'),(3265604864,'fr'),(3265605120,'ru'),(3265605376,'cz'),(3265605632,'pl'),(3265605888,'gb'),(3265606144,'ru'),(3265606400,'de'),(3265606656,'at'),(3265606912,'fr'),(3265607168,'pl'),(3265607424,'gb'),(3265607680,'dk'),(3265607936,'cz'),(3265608192,'ru'),(3265608448,'se'),(3265608704,'gb'),(3265608960,'ru'),(3265609728,'nl'),(3265617920,'si'),(3265626112,'jo'),(3265634304,'ie'),(3265642496,'gb'),(3265650688,'se'),(3265658880,'at'),(3265724416,'fr'),(3265789952,'gb'),(3265887488,'pt'),(3265887744,'pl'),(3265888256,'gb'),(3265904384,'ro'),(3265904640,'de'),(3265904896,'ua'),(3265905152,'gb'),(3265905664,'ie'),(3265905920,'gb'),(3265906176,'de'),(3265906432,'ch'),(3265906688,'at'),(3265906944,'gb'),(3265907200,'de'),(3265907456,'fr'),(3265907712,'de'),(3265907968,'ua'),(3265908736,'nl'),(3265908992,'ro'),(3265909248,'ua'),(3265909504,'de'),(3265909760,'ro'),(3265910016,'pl'),(3265910272,'eu'),(3265911040,'gb'),(3265911552,'ch'),(3265911808,'pl'),(3265912064,'gb'),(3265912320,'de'),(3265912576,'ro'),(3265912832,'cz'),(3265913088,'se'),(3265913344,'pl'),(3265914368,'ru'),(3265914624,'bg'),(3265914880,'gr'),(3265915136,'ro'),(3265915392,'gb'),(3265915648,'ro'),(3265915904,'pl'),(3265916416,'ua'),(3265916672,'de'),(3265916928,'fr'),(3265917184,'pl'),(3265917440,'ru'),(3265917696,'se'),(3265917952,'gb'),(3265918208,'ch'),(3265918464,'at'),(3265918720,'ru'),(3265918976,'nl'),(3265919232,'gb'),(3265919488,'ru'),(3265919744,'dk'),(3265920000,'cz'),(3265920256,'tr'),(3265920512,'gb'),(3265921024,'ae'),(3265986560,'nl'),(3266052096,'de'),(3266322432,'lt'),(3266330624,'gb'),(3266338816,'se'),(3266339072,'ua'),(3266339328,'dk'),(3266339584,'gb'),(3266339840,'ru'),(3266340096,'pl'),(3266340608,'fi'),(3266340864,'ch'),(3266341120,'gb'),(3266341376,'de'),(3266341632,'gb'),(3266341888,'kw'),(3266342144,'ch'),(3266342400,'be'),(3266342656,'kg'),(3266342912,'si'),(3266343168,'gr'),(3266343424,'ua'),(3266343680,'ro'),(3266343936,'ch'),(3266344192,'ua'),(3266344704,'es'),(3266345216,'de'),(3266345728,'dk'),(3266345984,'gb'),(3266346496,'it'),(3266346752,'fr'),(3266347008,'eu'),(3266355200,'ro'),(3266363392,'gb'),(3266371584,'hu'),(3266379776,'ua'),(3266380800,'pl'),(3266381824,'fr'),(3266382848,'ru'),(3266383872,'il'),(3266384896,'cz'),(3266385920,'ua'),(3266386944,'pl'),(3266387968,'lu'),(3266396160,'it'),(3266412544,'at'),(3266420736,'eu'),(3266428928,'gr'),(3266437120,'gl'),(3266445312,'nl'),(3266510848,'es'),(3266543616,'it'),(3266576384,'de'),(3266634392,'ee'),(3266634400,'de'),(3266641920,'pl'),(3266707456,'dk'),(3266772992,'it'),(3266781184,'pl'),(3266789376,'sm'),(3266797568,'gb'),(3266805760,'at'),(3266813952,'ua'),(3266822144,'fr'),(3266830336,'be'),(3266838528,'it'),(3266969600,'ru'),(3267035136,'no'),(3267039232,'de'),(3267040256,'ro'),(3267041280,'ua'),(3267043328,'gb'),(3267044352,'ru'),(3267045376,'pl'),(3267046400,'nl'),(3267047424,'ua'),(3267048448,'pl'),(3267049472,'ua'),(3267050496,'se'),(3267051520,'de'),(3267052544,'lv'),(3267053568,'pl'),(3267054592,'gb'),(3267055616,'ps'),(3267056640,'il'),(3267057664,'ch'),(3267058688,'at'),(3267059712,'ua'),(3267060736,'lv'),(3267061760,'ua'),(3267063808,'eu'),(3267064832,'pl'),(3267065856,'ro'),(3267066880,'it'),(3267067904,'ua'),(3267068928,'bg'),(3267069952,'ro'),(3267070976,'de'),(3267072000,'pl'),(3267073024,'ua'),(3267075072,'ch'),(3267076096,'eu'),(3267078144,'pl'),(3267079168,'it'),(3267080192,'at'),(3267081216,'pl'),(3267082240,'de'),(3267083264,'ro'),(3267084288,'fr'),(3267085312,'ru'),(3267086336,'pl'),(3267087360,'ru'),(3267088384,'ua'),(3267089408,'fi'),(3267090432,'ua'),(3267091456,'de'),(3267092480,'fr'),(3267093504,'ua'),(3267094528,'eu'),(3267095552,'pl'),(3267096576,'de'),(3267097600,'kz'),(3267098624,'gb'),(3267099648,'it'),(3267100672,'fi'),(3267166208,'gb'),(3267231744,'ru'),(3267297280,'ch'),(3267362816,'dk'),(3267428352,'gb'),(3267493888,'eu'),(3267559424,'de'),(3267624960,'eu'),(3267690496,'fi'),(3267756032,'eu'),(3267821568,'fr'),(3267887104,'gb'),(3268149248,'ee'),(3268165632,'ch'),(3268173824,'mt'),(3268182016,'pl'),(3268214784,'eu'),(3268280320,'fr'),(3268345856,'gb'),(3268411392,'at'),(3268476928,'ch'),(3268542464,'pt'),(3268608000,'fi'),(3268673536,'cz'),(3268739072,'de'),(3268739328,'pl'),(3268739584,'de'),(3268739840,'si'),(3268740096,'il'),(3268740352,'de'),(3268740608,'ua'),(3268740864,'ch'),(3268741120,'fr'),(3268741376,'lv'),(3268741888,'at'),(3268742144,'ru'),(3268742400,'cz'),(3268742656,'gb'),(3268742912,'nl'),(3268743168,'ro'),(3268743424,'pl'),(3268743680,'gr'),(3268743936,'gb'),(3268744192,'de'),(3268744448,'ru'),(3268744704,'pl'),(3268744960,'ua'),(3268745216,'ru'),(3268745728,'si'),(3268745984,'de'),(3268746240,'gb'),(3268746752,'fr'),(3268747008,'de'),(3268747264,'cz'),(3268755456,'se'),(3268763648,'it'),(3268771840,'no'),(3268788224,'cz'),(3268804608,'fr'),(3268870144,'fi'),(3268935680,'gb'),(3269066752,'se'),(3269132288,'gr'),(3269197824,'ru'),(3269263360,'eu'),(3269328896,'gb'),(3269459968,'es'),(3269525504,'ir'),(3269591040,'ru'),(3269656576,'gb'),(3269722112,'cz'),(3269787648,'nl'),(3269853184,'ch'),(3269918720,'de'),(3269984256,'at'),(3270049792,'de'),(3270115328,'eu'),(3270246400,'se'),(3270377472,'gb'),(3270443008,'dk'),(3270508544,'fi'),(3270639616,'pl'),(3270640128,'ru'),(3270642176,'no'),(3270642688,'ua'),(3270643200,'ru'),(3270643712,'at'),(3270644224,'nl'),(3270644736,'de'),(3270645248,'pl'),(3270645760,'il'),(3270646272,'ru'),(3270646784,'cz'),(3270647808,'tr'),(3270648064,'ru'),(3270648320,'ch'),(3270648576,'at'),(3270648832,'si'),(3270649088,'at'),(3270649344,'dk'),(3270649600,'pl'),(3270649856,'dk'),(3270650112,'at'),(3270650368,'dk'),(3270650624,'gb'),(3270651136,'fr'),(3270651392,'de'),(3270651648,'fr'),(3270651904,'it'),(3270652416,'dk'),(3270652672,'eu'),(3270652928,'pl'),(3270653184,'ua'),(3270653440,'nl'),(3270653696,'gb'),(3270654208,'eu'),(3270654464,'nl'),(3270654720,'ua'),(3270655232,'it'),(3270655488,'pl'),(3270655744,'ch'),(3270656000,'eu'),(3270664192,'ua'),(3270666240,'pl'),(3270667264,'se'),(3270668288,'fr'),(3270669312,'ua'),(3270670336,'ru'),(3270672384,'gb'),(3270680576,'fr'),(3270688768,'it'),(3270836224,'de'),(3270911936,'pl'),(3270911968,'nl'),(3270912000,'de'),(3270926592,'ch'),(3270926848,'pl'),(3270927104,'ua'),(3270927360,'ch'),(3270927616,'gb'),(3270927872,'hu'),(3270928128,'ro'),(3270928384,'ua'),(3270928896,'pl'),(3270929408,'gb'),(3270929920,'bg'),(3270930432,'ru'),(3270931456,'ua'),(3270931968,'ch'),(3270932480,'ua'),(3270932992,'de'),(3270933504,'pl'),(3270934016,'it'),(3270934528,'de'),(3270975488,'gb'),(3270991872,'nl'),(3271000064,'ru'),(3271016448,'rs'),(3271024640,'gb'),(3271032832,'no'),(3271098368,'si'),(3271163904,'fr'),(3271229440,'fi'),(3271360512,'eu'),(3271426048,'fr'),(3271491584,'dk'),(3271557120,'be'),(3271589888,'no'),(3271688192,'eu'),(3271704576,'ru'),(3271712768,'lv'),(3271720960,'gb'),(3271729152,'de'),(3271737344,'ru'),(3271738368,'ro'),(3271738880,'ru'),(3271739392,'at'),(3271739904,'ie'),(3271740416,'ua'),(3271740928,'ru'),(3271741440,'pl'),(3271741952,'cz'),(3271742976,'ru'),(3271744000,'ro'),(3271744512,'at'),(3271745024,'pl'),(3271745536,'gb'),(3271746048,'ie'),(3271746560,'ch'),(3271747072,'kz'),(3271747584,'ru'),(3271748096,'gr'),(3271748608,'ua'),(3271749120,'ru'),(3271750144,'ua'),(3271750656,'gb'),(3271751168,'ro'),(3271751680,'nl'),(3271752192,'il'),(3271752704,'ru'),(3271753216,'pl'),(3271753728,'fr'),(3271770112,'at'),(3271786496,'ua'),(3271788544,'gb'),(3271789568,'ru'),(3271790592,'lv'),(3271791616,'ua'),(3271792640,'pl'),(3271793664,'ua'),(3271794688,'it'),(3271795712,'cy'),(3271796736,'sk'),(3271797760,'gb'),(3271798784,'nl'),(3271799808,'ua'),(3271800832,'gb'),(3271801856,'ps'),(3271802880,'de'),(3271803904,'ua'),(3271804928,'pl'),(3271805952,'ua'),(3271806976,'gb'),(3271808000,'de'),(3271810048,'pl'),(3271811072,'ua'),(3271812096,'eu'),(3271813120,'pl'),(3271814144,'ua'),(3271815168,'ru'),(3271816192,'ua'),(3271817216,'de'),(3271818240,'ua'),(3271819264,'de'),(3271884800,'ua'),(3271901184,'es'),(3271909376,'ro'),(3271909888,'de'),(3271910400,'dk'),(3271910912,'lv'),(3271911424,'de'),(3271911936,'ua'),(3271912960,'fr'),(3271913472,'no'),(3271913984,'ro'),(3271915008,'se'),(3271915520,'de'),(3271916032,'gb'),(3271916544,'ua'),(3271917056,'ro'),(3271917568,'ru'),(3271925760,'de'),(3271926016,'md'),(3271926272,'ru'),(3271926528,'nl'),(3271926784,'si'),(3271927296,'no'),(3271927552,'gb'),(3271927808,'de'),(3271928064,'gb'),(3271928320,'ru'),(3271928576,'ch'),(3271928832,'ie'),(3271929088,'lb'),(3271929344,'no'),(3271929600,'gb'),(3271929856,'pl'),(3271930112,'hu'),(3271930368,'ru'),(3271930624,'de'),(3271930880,'ch'),(3271931136,'pl'),(3271931648,'no'),(3271931904,'ua'),(3271932160,'se'),(3271932416,'cz'),(3271932672,'de'),(3271932928,'pl'),(3271933184,'gb'),(3271933440,'se'),(3271933696,'de'),(3271933952,'fr'),(3272015872,'ro'),(3272019968,'it'),(3272020992,'dk'),(3272024064,'ie'),(3272032256,'gb'),(3272040448,'fr'),(3272048640,'nl'),(3272056832,'ru'),(3272065024,'gb'),(3272081408,'pt'),(3272089600,'no'),(3272090112,'ru'),(3272091648,'ua'),(3272092672,'ru'),(3272093184,'ro'),(3272094208,'am'),(3272094720,'pl'),(3272095232,'fi'),(3272095744,'cz'),(3272096256,'pt'),(3272096768,'fi'),(3272097280,'ru'),(3272097792,'gb'),(3272106240,'pl'),(3272106496,'se'),(3272106752,'pl'),(3272107008,'gb'),(3272107264,'pl'),(3272107520,'ru'),(3272107776,'gb'),(3272108032,'de'),(3272108288,'ro'),(3272108544,'pl'),(3272109056,'ch'),(3272109312,'tr'),(3272109568,'gb'),(3272109824,'fr'),(3272110080,'se'),(3272110336,'ch'),(3272110592,'at'),(3272110848,'lv'),(3272111104,'gb'),(3272111872,'ro'),(3272112384,'de'),(3272113152,'fr'),(3272113408,'pl'),(3272113664,'gb'),(3272113920,'at'),(3272114176,'pl'),(3272122368,'gb'),(3272131072,'ro'),(3272131584,'gb'),(3272132096,'ch'),(3272132608,'ua'),(3272133120,'gb'),(3272133632,'eu'),(3272134144,'ro'),(3272134656,'nl'),(3272135168,'ch'),(3272135680,'at'),(3272136192,'fr'),(3272136704,'pl'),(3272137216,'lt'),(3272137728,'pl'),(3272138240,'bg'),(3272138752,'de'),(3272146944,'ru'),(3272212480,'eu'),(3272228864,'lu'),(3272237056,'gb'),(3272245248,'fi'),(3272261632,'gb'),(3272261888,'bg'),(3272262144,'il'),(3272262400,'de'),(3272262656,'no'),(3272262912,'sa'),(3272263168,'ru'),(3272263424,'gb'),(3272263936,'es'),(3272264192,'nl'),(3272264448,'de'),(3272264704,'lv'),(3272264960,'ru'),(3272265216,'at'),(3272265472,'dk'),(3272265728,'de'),(3272265984,'gb'),(3272266240,'ua'),(3272266496,'se'),(3272266752,'ru'),(3272267008,'gb'),(3272267264,'se'),(3272267520,'gb'),(3272267776,'lv'),(3272268032,'ch'),(3272268288,'ua'),(3272268544,'ro'),(3272268800,'il'),(3272269056,'gb'),(3272269312,'il'),(3272269568,'gb'),(3272351744,'pl'),(3272352768,'ua'),(3272353792,'ch'),(3272355840,'gb'),(3272356864,'ro'),(3272358912,'nl'),(3272359936,'ru'),(3272368128,'kz'),(3272376320,'sk'),(3272384512,'lt'),(3272392704,'at'),(3272400896,'eu'),(3272409088,'be'),(3272417280,'gb'),(3272418048,'fr'),(3272418688,'pl'),(3272419328,'de'),(3272420352,'gb'),(3272420608,'de'),(3272420864,'pl'),(3272420992,'dk'),(3272421120,'ua'),(3272421376,'ro'),(3272421888,'gb'),(3272422400,'ch'),(3272422912,'se'),(3272423424,'be'),(3272423936,'fr'),(3272424448,'eu'),(3272425472,'gb'),(3272441856,'lv'),(3272474624,'fr'),(3272474880,'nl'),(3272475136,'ru'),(3272475392,'pl'),(3272475904,'fr'),(3272476160,'ro'),(3272476672,'de'),(3272476928,'gr'),(3272477184,'gb'),(3272477440,'pl'),(3272477696,'ru'),(3272477952,'ro'),(3272478208,'dk'),(3272478464,'fi'),(3272478720,'eu'),(3272478976,'ua'),(3272479232,'gb'),(3272479488,'sa'),(3272479744,'se'),(3272480000,'ru'),(3272480256,'fr'),(3272480512,'ch'),(3272480768,'eu'),(3272481024,'se'),(3272481280,'ch'),(3272481536,'fr'),(3272481792,'it'),(3272482048,'nl'),(3272482304,'fr'),(3272482560,'be'),(3272482816,'ru'),(3272491008,'gb'),(3272499200,'it'),(3272507392,'cy'),(3272515584,'lt'),(3272523776,'de'),(3272540160,'ch'),(3272605696,'be'),(3272613888,'ru'),(3272622080,'ro'),(3272623104,'de'),(3272624128,'ru'),(3272625152,'ua'),(3272626176,'de'),(3272627200,'nl'),(3272629248,'ua'),(3272630272,'ru'),(3272638464,'es'),(3272646656,'gb'),(3272654848,'fi'),(3272663040,'at'),(3272671232,'eu'),(3272736768,'it'),(3272744960,'ru'),(3272753152,'nl'),(3272769536,'no'),(3272802304,'ru'),(3272867840,'pl'),(3272868864,'ua'),(3272869888,'gb'),(3272871936,'fi'),(3272872960,'bg'),(3272875008,'ua'),(3272876032,'nl'),(3272884224,'de'),(3272892416,'ua'),(3272892928,'eu'),(3272893440,'se'),(3272893952,'ua'),(3272894464,'eu'),(3272894976,'ro'),(3272895488,'gb'),(3272896000,'pl'),(3272896512,'gb'),(3272897024,'eu'),(3272897536,'fi'),(3272898048,'ua'),(3272898560,'eu'),(3272899072,'gb'),(3272899584,'ua'),(3272900096,'lv'),(3272900608,'ua'),(3272908800,'sk'),(3272916992,'mc'),(3272917504,'ru'),(3272918528,'fr'),(3272919040,'gb'),(3272919552,'ro'),(3272920064,'nl'),(3272920576,'se'),(3272921088,'ch'),(3272921600,'nl'),(3272922112,'pl'),(3272922624,'ro'),(3272923136,'de'),(3272923648,'pl'),(3272924160,'eu'),(3272924672,'gb'),(3272925184,'de'),(3272998912,'pt'),(3273007104,'cz'),(3273015296,'se'),(3273023488,'pl'),(3273024512,'nl'),(3273025536,'ua'),(3273026560,'ru'),(3273027584,'ua'),(3273028608,'pl'),(3273029632,'dk'),(3273030656,'pl'),(3273031680,'gb'),(3273032192,'ua'),(3273033216,'gb'),(3273033728,'de'),(3273034240,'be'),(3273034752,'ua'),(3273035264,'eu'),(3273035776,'gb'),(3273036288,'bg'),(3273036800,'il'),(3273037312,'gb'),(3273037824,'ua'),(3273038336,'gr'),(3273038848,'gb'),(3273039872,'lt'),(3273048064,'it'),(3273056256,'md'),(3273064448,'pt'),(3273129984,'dk'),(3273138176,'bg'),(3273146368,'ua'),(3273148416,'lu'),(3273152512,'bg'),(3273154560,'de'),(3273162752,'ua'),(3273170944,'se'),(3273187328,'se'),(3273187840,'dk'),(3273188352,'ru'),(3273188864,'gb'),(3273189888,'ua'),(3273190400,'ro'),(3273191936,'ua'),(3273192448,'dk'),(3273192960,'fr'),(3273193472,'pl'),(3273193984,'gb'),(3273194496,'ua'),(3273195008,'ru'),(3273195520,'fr'),(3273261056,'no'),(3273261568,'be'),(3273262080,'lu'),(3273262592,'ru'),(3273263104,'fr'),(3273263616,'se'),(3273264128,'pl'),(3273264640,'eu'),(3273265152,'ua'),(3273266176,'lv'),(3273266688,'pl'),(3273267712,'gb'),(3273268224,'se'),(3273268736,'ru'),(3273269248,'gb'),(3273277440,'ua'),(3273279488,'pl'),(3273281536,'ua'),(3273283584,'gb'),(3273284608,'ua'),(3273285632,'gb'),(3273293824,'mk'),(3273302016,'ru'),(3273310208,'at'),(3273318400,'gb'),(3273326592,'eu'),(3273392128,'ua'),(3273392640,'ro'),(3273393664,'bg'),(3273394176,'ro'),(3273394688,'ru'),(3273395200,'de'),(3273395712,'ru'),(3273396224,'pl'),(3273396736,'ro'),(3273397248,'ru'),(3273397760,'nl'),(3273398272,'ro'),(3273398784,'lv'),(3273399296,'se'),(3273399808,'ua'),(3273400320,'ru'),(3273408512,'sk'),(3273433088,'lu'),(3273433600,'ro'),(3273434112,'be'),(3273434624,'il'),(3273435136,'gb'),(3273435648,'pl'),(3273436160,'no'),(3273436672,'de'),(3273437184,'ro'),(3273437696,'pl'),(3273438208,'il'),(3273438720,'pl'),(3273439232,'ro'),(3273439744,'ua'),(3273440256,'ro'),(3273440768,'at'),(3273441280,'fr'),(3273449472,'ch'),(3273457664,'hr'),(3273523200,'de'),(3273588736,'it'),(3273687040,'de'),(3273719808,'eu'),(3273768960,'tr'),(3273785344,'ru'),(3273801728,'de'),(3273802240,'ro'),(3273802752,'sa'),(3273803264,'gb'),(3273803776,'ch'),(3273804288,'ua'),(3273804800,'ro'),(3273805312,'gb'),(3273805824,'pl'),(3273806336,'de'),(3273806848,'se'),(3273807360,'lu'),(3273807872,'ch'),(3273808384,'ua'),(3273808896,'gb'),(3273809408,'ua'),(3273809920,'bg'),(3273818112,'at'),(3273826304,'de'),(3273834496,'ru'),(3273835520,'ua'),(3273838592,'pl'),(3273839616,'lt'),(3273840640,'pl'),(3273841664,'at'),(3273842688,'ru'),(3273850880,'de'),(3273867264,'gb'),(3273867520,'ua'),(3273867776,'pt'),(3273868032,'de'),(3273868288,'ru'),(3273869312,'de'),(3273871360,'pl'),(3273871616,'de'),(3273871872,'se'),(3273872384,'bg'),(3273872640,'il'),(3273872896,'se'),(3273873152,'de'),(3273873920,'gb'),(3273874432,'gr'),(3273875456,'eu'),(3273875712,'se'),(3273875968,'de'),(3273876224,'it'),(3273876480,'se'),(3273876992,'gb'),(3273877248,'de'),(3273877504,'gb'),(3273877536,'at'),(3273877568,'it'),(3273877760,'gr'),(3273878016,'gb'),(3273878272,'lv'),(3273878528,'de'),(3273879040,'eu'),(3273879552,'gb'),(3273880064,'lv'),(3273880576,'ru'),(3273881088,'ro'),(3273881344,'ch'),(3273881600,'gb'),(3273881856,'ch'),(3273882112,'si'),(3273882368,'gb'),(3273883136,'gr'),(3273883392,'nl'),(3273916416,'it'),(3273932800,'de'),(3273949184,'fr'),(3273981952,'de'),(3274047488,'eu'),(3274049536,'de'),(3274050560,'pl'),(3274051584,'ua'),(3274052352,'gb'),(3274053120,'kz'),(3274053376,'ru'),(3274053632,'gb'),(3274054656,'eu'),(3274055168,'mt'),(3274055424,'pl'),(3274055680,'ru'),(3274063872,'gb'),(3274072064,'hu'),(3274080256,'de'),(3274088448,'kg'),(3274096640,'nl'),(3274113024,'cz'),(3274145792,'kw'),(3274162176,'gb'),(3274162688,'eu'),(3274163200,'ua'),(3274163712,'bg'),(3274164224,'at'),(3274164736,'gb'),(3274165760,'ru'),(3274166272,'pl'),(3274166784,'ua'),(3274167296,'bg'),(3274167808,'ua'),(3274168320,'pl'),(3274169344,'de'),(3274169856,'nl'),(3274170368,'tr'),(3274170880,'gb'),(3274171392,'ru'),(3274171904,'de'),(3274172416,'ua'),(3274172928,'eu'),(3274173440,'gr'),(3274173952,'de'),(3274174464,'ua'),(3274175488,'gb'),(3274176000,'de'),(3274176512,'ua'),(3274177024,'eu'),(3274177536,'ua'),(3274178048,'nl'),(3274178560,'gb'),(3274244096,'dk'),(3274309632,'eu'),(3274326016,'ru'),(3274334720,'pl'),(3274335232,'de'),(3274335744,'ua'),(3274336256,'se'),(3274336768,'at'),(3274337280,'de'),(3274337792,'se'),(3274338304,'pl'),(3274338816,'de'),(3274339328,'ro'),(3274339840,'ru'),(3274340352,'de'),(3274340864,'ru'),(3274341376,'fr'),(3274341888,'ua'),(3274342400,'ro'),(3274342912,'ua'),(3274343424,'eu'),(3274343936,'nl'),(3274344448,'ua'),(3274344960,'ro'),(3274345472,'pl'),(3274345984,'bg'),(3274346496,'fr'),(3274347008,'ru'),(3274347520,'il'),(3274348032,'dk'),(3274348544,'pl'),(3274349056,'ru'),(3274358784,'se'),(3274366976,'nl'),(3274368512,'at'),(3274368768,'gb'),(3274369024,'de'),(3274370048,'gb'),(3274371072,'nl'),(3274373376,'pl'),(3274373632,'gb'),(3274373888,'fr'),(3274374144,'de'),(3274375168,'eg'),(3274383360,'ru'),(3274384384,'se'),(3274385408,'ua'),(3274386432,'gb'),(3274389504,'ch'),(3274390528,'no'),(3274399744,'lu'),(3274407936,'gb'),(3274408192,'it'),(3274408448,'gb'),(3274408704,'si'),(3274408960,'gr'),(3274409216,'si'),(3274409472,'gb'),(3274409728,'ru'),(3274409984,'lt'),(3274410240,'sa'),(3274410496,'nl'),(3274410752,'at'),(3274411008,'ch'),(3274411264,'de'),(3274411520,'pl'),(3274412032,'ru'),(3274412288,'no'),(3274412544,'ua'),(3274412800,'ru'),(3274413056,'ua'),(3274413312,'at'),(3274413568,'fr'),(3274413824,'se'),(3274414080,'at'),(3274414336,'ch'),(3274414592,'gb'),(3274414848,'ie'),(3274415104,'gr'),(3274415360,'gb'),(3274415616,'de'),(3274415872,'si'),(3274416128,'it'),(3274424320,'se'),(3274440704,'eu'),(3274506240,'it'),(3274571776,'gr'),(3274579968,'ru'),(3274580992,'nl'),(3274582016,'pl'),(3274583040,'de'),(3274584064,'gb'),(3274585088,'cs'),(3274586112,'cy'),(3274587136,'gb'),(3274588160,'sk'),(3274596352,'ru'),(3274604544,'tr'),(3274612736,'ru'),(3274620928,'fr'),(3274629120,'lu'),(3274637312,'cz'),(3274670080,'dk'),(3274686464,'ru'),(3274686720,'bg'),(3274686976,'ro'),(3274687232,'de'),(3274687488,'ru'),(3274687744,'si'),(3274688000,'gb'),(3274688256,'it'),(3274688512,'gb'),(3274688768,'pl'),(3274689024,'ua'),(3274689280,'pl'),(3274689792,'se'),(3274690048,'gb'),(3274690304,'eu'),(3274690560,'gr'),(3274690816,'gb'),(3274691072,'dk'),(3274691328,'si'),(3274691584,'ua'),(3274691840,'si'),(3274692096,'ro'),(3274692352,'gb'),(3274692608,'dk'),(3274692864,'gb'),(3274693120,'lt'),(3274693376,'ua'),(3274693632,'nl'),(3274693888,'it'),(3274694144,'dk'),(3274694400,'gb'),(3274694656,'si'),(3274694912,'gb'),(3274695168,'si'),(3274695424,'pl'),(3274695680,'si'),(3274695936,'de'),(3274696192,'dk'),(3274696448,'ch'),(3274696704,'it'),(3274696960,'gr'),(3274697216,'sa'),(3274697472,'cz'),(3274697728,'gb'),(3274698240,'se'),(3274698496,'pl'),(3274698752,'gb'),(3274699008,'fr'),(3274699264,'ro'),(3274699520,'gb'),(3274700032,'ch'),(3274700288,'pl'),(3274700544,'dk'),(3274700800,'ua'),(3274701056,'gb'),(3274701312,'de'),(3274701568,'it'),(3274702080,'ua'),(3274702336,'se'),(3274702592,'kz'),(3274702848,'ch'),(3274801152,'ua'),(3274802176,'fr'),(3274803200,'de'),(3274804224,'fr'),(3274805248,'gb'),(3274806272,'ua'),(3274807296,'de'),(3274809344,'se'),(3274810368,'ua'),(3274811392,'ru'),(3274812416,'se'),(3274813440,'es'),(3274814464,'gb'),(3274815488,'ru'),(3274816512,'sk'),(3274817536,'ru'),(3274819584,'ua'),(3274821632,'kz'),(3274823680,'tr'),(3274825728,'de'),(3274827776,'ru'),(3274829824,'se'),(3274831872,'ro'),(3274833920,'by'),(3274842112,'dk'),(3274850304,'gb'),(3274866688,'de'),(3274883072,'ee'),(3274891264,'ch'),(3274899456,'eu'),(3274964992,'de'),(3275030528,'es'),(3275096064,'ru'),(3275104256,'it'),(3275112448,'dk'),(3275120640,'se'),(3275145216,'ru'),(3275153408,'gb'),(3275161600,'es'),(3275227136,'hu'),(3275292672,'es'),(3275358208,'ru'),(3275374592,'gb'),(3275382784,'se'),(3275390976,'gb'),(3275399168,'at'),(3275407360,'gb'),(3275415552,'ua'),(3275423744,'eu'),(3275489280,'gb'),(3275497472,'de'),(3275505664,'pl'),(3275506176,'ua'),(3275506688,'se'),(3275507200,'ua'),(3275507712,'ro'),(3275509760,'it'),(3275509856,'pl'),(3275509888,'am'),(3275509920,'pl'),(3275509952,'ch'),(3275509984,'pt'),(3275510016,'se'),(3275510080,'es'),(3275510144,'ru'),(3275510208,'ch'),(3275510272,'lv'),(3275510336,'ie'),(3275510528,'pl'),(3275510560,'de'),(3275510592,'pl'),(3275510784,'ru'),(3275510912,'gb'),(3275511168,'lv'),(3275511296,'gb'),(3275511552,'nl'),(3275511680,'gb'),(3275511808,'ch'),(3275511936,'it'),(3275512064,'cz'),(3275512192,'it'),(3275512320,'fi'),(3275512448,'dk'),(3275512576,'be'),(3275512704,'pl'),(3275512832,'se'),(3275512896,'at'),(3275512960,'pl'),(3275513024,'ua'),(3275513152,'es'),(3275513216,'ch'),(3275513280,'dk'),(3275513344,'pl'),(3275513472,'fr'),(3275513600,'pl'),(3275513728,'gb'),(3275513856,'de'),(3275522048,'it'),(3275530240,'dk'),(3275530752,'at'),(3275531264,'gb'),(3275531776,'ie'),(3275532288,'ch'),(3275532800,'eu'),(3275533312,'gb'),(3275533824,'ua'),(3275534336,'il'),(3275534848,'ro'),(3275535360,'de'),(3275535872,'se'),(3275536384,'ua'),(3275536896,'de'),(3275537408,'fr'),(3275537920,'it'),(3275538432,'gb'),(3275540480,'ua'),(3275542528,'de'),(3275543552,'nl'),(3275544576,'pl'),(3275545600,'eu'),(3275546624,'ua'),(3275547648,'ru'),(3275548672,'il'),(3275549696,'sy'),(3275550720,'pl'),(3275551744,'ru'),(3275552768,'lv'),(3275553792,'fi'),(3275554816,'eu'),(3275620352,'ru'),(3275622400,'gb'),(3275623424,'pl'),(3275623936,'ua'),(3275624448,'sk'),(3275624960,'il'),(3275625472,'de'),(3275625984,'bg'),(3275626496,'ua'),(3275627008,'at'),(3275627520,'gb'),(3275628032,'il'),(3275628544,'ru'),(3275629568,'ua'),(3275630080,'nl'),(3275630592,'pl'),(3275631104,'fr'),(3275631616,'de'),(3275632128,'ru'),(3275632640,'ua'),(3275633152,'fr'),(3275633664,'ua'),(3275634176,'ru'),(3275634688,'ro'),(3275635200,'ru'),(3275636736,'pl'),(3275637248,'gb'),(3275637760,'be'),(3275638272,'ru'),(3275638784,'fr'),(3275639296,'eu'),(3275639808,'se'),(3275640320,'ru'),(3275640832,'de'),(3275641344,'nl'),(3275641856,'at'),(3275642368,'ru'),(3275642880,'ro'),(3275643392,'be'),(3275643904,'ua'),(3275644416,'ro'),(3275644928,'de'),(3275653120,'lv'),(3275661312,'it'),(3275669504,'gb'),(3275677696,'it'),(3275685888,'de'),(3275751424,'at'),(3275759616,'nl'),(3275776000,'de'),(3275784192,'ro'),(3275784704,'pl'),(3275785216,'ro'),(3275785728,'ch'),(3275786240,'ua'),(3275786752,'ch'),(3275787264,'ua'),(3275788288,'se'),(3275788800,'at'),(3275789312,'ua'),(3275789824,'pl'),(3275790336,'ro'),(3275790848,'dk'),(3275791360,'ru'),(3275791872,'pl'),(3275792384,'bg'),(3275792896,'ua'),(3275793408,'fr'),(3275793920,'ua'),(3275794432,'it'),(3275794944,'cs'),(3275795456,'gr'),(3275795968,'pl'),(3275796480,'de'),(3275796992,'ro'),(3275797504,'de'),(3275798016,'ro'),(3275798528,'ua'),(3275799040,'gb'),(3275799552,'it'),(3275800064,'ua'),(3275800576,'ru'),(3275808768,'ua'),(3275816960,'ch'),(3275882496,'de'),(3275884544,'it'),(3275886592,'pl'),(3275888640,'gb'),(3275890688,'se'),(3275898880,'lv'),(3275899136,'ua'),(3275899648,'pl'),(3275900160,'si'),(3275900416,'gb'),(3275900672,'ru'),(3275901184,'pl'),(3275901440,'de'),(3275901696,'se'),(3275901952,'de'),(3275902208,'ru'),(3275902720,'ua'),(3275902976,'fr'),(3275903232,'gb'),(3275903488,'de'),(3275904000,'ru'),(3275904256,'ch'),(3275904512,'pl'),(3275904768,'ru'),(3275905024,'pl'),(3275905280,'ru'),(3275905536,'de'),(3275905792,'at'),(3275906304,'ua'),(3275906560,'se'),(3275907072,'ru'),(3275907328,'gb'),(3275907584,'pl'),(3275907840,'de'),(3275908096,'sa'),(3275908352,'se'),(3275908608,'de'),(3275908864,'pl'),(3275909120,'ru'),(3275909376,'ua'),(3275909632,'eu'),(3275909888,'si'),(3275910144,'ru'),(3275910400,'dk'),(3275910656,'ch'),(3275910912,'de'),(3275911168,'fr'),(3275911424,'ro'),(3275911680,'ua'),(3275911936,'nl'),(3275912192,'pl'),(3275912448,'ua'),(3275912704,'il'),(3275912960,'fr'),(3275913216,'ua'),(3275913472,'de'),(3275913984,'ch'),(3275914240,'ro'),(3275914496,'bg'),(3275914752,'ru'),(3275915008,'pt'),(3275915264,'fr'),(3275915776,'se'),(3275916288,'nl'),(3275917312,'ua'),(3275918848,'ro'),(3275919360,'pl'),(3275919872,'ro'),(3275920384,'gb'),(3275920896,'es'),(3275921408,'ua'),(3275921920,'de'),(3275922432,'ru'),(3275922944,'gr'),(3275923456,'cs'),(3275931648,'ua'),(3275939840,'gb'),(3275948032,'se'),(3276013568,'gb'),(3276046336,'ru'),(3276062720,'pl'),(3276063232,'fr'),(3276063744,'ru'),(3276064256,'de'),(3276064768,'bg'),(3276065280,'ua'),(3276065792,'de'),(3276066304,'gb'),(3276066816,'ps'),(3276067328,'ru'),(3276067840,'at'),(3276068352,'bg'),(3276068864,'ua'),(3276069888,'gb'),(3276070400,'ua'),(3276070912,'gb'),(3276071424,'pl'),(3276071936,'gb'),(3276072448,'sk'),(3276072960,'pl'),(3276073472,'sk'),(3276073984,'eu'),(3276074496,'gb'),(3276075008,'ru'),(3276075520,'de'),(3276076032,'gb'),(3276076544,'de'),(3276077056,'ua'),(3276077568,'fr'),(3276078080,'ru'),(3276078592,'gb'),(3276079104,'no'),(3276095488,'ua'),(3276096512,'it'),(3276097536,'nl'),(3276098560,'ua'),(3276099584,'pl'),(3276100608,'ru'),(3276101632,'lv'),(3276102656,'gb'),(3276103680,'si'),(3276104704,'ua'),(3276105728,'at'),(3276106752,'bg'),(3276107776,'de'),(3276108800,'se'),(3276109824,'bg'),(3276110848,'pl'),(3276111872,'dk'),(3276112896,'cy'),(3276113920,'ua'),(3276114944,'cy'),(3276115968,'nl'),(3276116992,'ru'),(3276118016,'gb'),(3276119040,'ru'),(3276120064,'cy'),(3276121088,'bg'),(3276122112,'ru'),(3276123136,'at'),(3276124160,'ua'),(3276125184,'at'),(3276126208,'cy'),(3276127232,'ua'),(3276128256,'at'),(3276129280,'ua'),(3276131328,'dk'),(3276132352,'cy'),(3276133376,'gb'),(3276134400,'ru'),(3276135424,'cy'),(3276136448,'pl'),(3276137472,'ua'),(3276138496,'nl'),(3276139520,'il'),(3276140544,'gb'),(3276141568,'cy'),(3276144640,'ch'),(3276152832,'hu'),(3276161024,'gb'),(3276169216,'at'),(3276177408,'cz'),(3276185600,'no'),(3276193792,'ru'),(3276201984,'at'),(3276210176,'de'),(3276275712,'sk'),(3276283904,'gb'),(3276300288,'de'),(3276304384,'bg'),(3276304640,'gb'),(3276305408,'il'),(3276308480,'gb'),(3276309504,'at'),(3276310528,'pt'),(3276311552,'ru'),(3276313600,'pl'),(3276314624,'fr'),(3276315648,'ua'),(3276316672,'gb'),(3276324864,'it'),(3276333056,'ru'),(3276341248,'nl'),(3276406784,'fi'),(3276414976,'dk'),(3276416000,'se'),(3276417024,'eu'),(3276418048,'de'),(3276419072,'pl'),(3276420096,'gb'),(3276421120,'pl'),(3276422144,'gb'),(3276422656,'ru'),(3276423168,'pl'),(3276423424,'nl'),(3276423680,'se'),(3276423936,'ua'),(3276424192,'gb'),(3276424448,'pl'),(3276424704,'de'),(3276424960,'ro'),(3276425216,'ua'),(3276425472,'de'),(3276425728,'ru'),(3276425984,'it'),(3276426240,'dk'),(3276426752,'ro'),(3276427008,'pl'),(3276427264,'eu'),(3276427520,'it'),(3276427776,'ru'),(3276428032,'eu'),(3276428288,'ru'),(3276428544,'bg'),(3276428800,'de'),(3276429056,'nl'),(3276429312,'ru'),(3276430080,'pl'),(3276430592,'gb'),(3276430848,'de'),(3276431104,'ru'),(3276431360,'gb'),(3276447744,'de'),(3276455936,'be'),(3276464128,'gr'),(3276472320,'eu'),(3276537856,'es'),(3276668928,'mc'),(3276677120,'hr'),(3276678144,'se'),(3276678656,'ua'),(3276679168,'de'),(3276679680,'ro'),(3276680192,'sk'),(3276680704,'at'),(3276681216,'pl'),(3276681728,'gb'),(3276682240,'at'),(3276682752,'gb'),(3276683264,'ua'),(3276684800,'de'),(3276685312,'ro'),(3276685824,'pl'),(3276686336,'ua'),(3276686848,'fi'),(3276687360,'ua'),(3276687872,'kw'),(3276688384,'de'),(3276688896,'eu'),(3276689408,'gb'),(3276690432,'nl'),(3276690944,'gr'),(3276691456,'ro'),(3276691968,'ru'),(3276692480,'ua'),(3276692992,'gb'),(3276693504,'ua'),(3276694016,'at'),(3276694528,'ua'),(3276695040,'ru'),(3276695552,'cz'),(3276696064,'ro'),(3276696576,'cz'),(3276697088,'gb'),(3276697600,'ua'),(3276698112,'cz'),(3276698624,'ru'),(3276699648,'de'),(3276700160,'ua'),(3276700672,'ro'),(3276701184,'ru'),(3276701696,'se'),(3276709888,'de'),(3276718080,'it'),(3276726272,'de'),(3276727296,'es'),(3276728320,'ua'),(3276729344,'pl'),(3276730368,'ch'),(3276731392,'ua'),(3276732416,'de'),(3276733440,'ua'),(3276734464,'eu'),(3276800000,'gb'),(3276816384,'eu'),(3276824576,'ee'),(3276832768,'fr'),(3276840960,'sk'),(3276849152,'de'),(3276857344,'ru'),(3276857600,'si'),(3276857856,'nl'),(3276858112,'kw'),(3276858368,'ru'),(3276858624,'pl'),(3276858880,'de'),(3276859136,'ua'),(3276859648,'ch'),(3276859904,'at'),(3276860160,'eu'),(3276860416,'pl'),(3276860928,'gb'),(3276861184,'de'),(3276861440,'dk'),(3276865536,'gb'),(3276931072,'kz'),(3276939264,'de'),(3276955648,'gb'),(3276963840,'il'),(3276964352,'ro'),(3276965376,'ru'),(3276965888,'ua'),(3276966400,'bh'),(3276966912,'cz'),(3276967424,'ru'),(3276968960,'ro'),(3276969472,'ua'),(3276969984,'de'),(3276970496,'ru'),(3276971520,'de'),(3276972032,'pl'),(3276980224,'dk'),(3276988416,'at'),(3276996608,'fr'),(3277062144,'se'),(3277127680,'dk'),(3277160448,'nl'),(3277176832,'si'),(3277177088,'gb'),(3277177344,'ro'),(3277177600,'pl'),(3277178112,'ua'),(3277178624,'pl'),(3277178880,'es'),(3277179136,'ro'),(3277179392,'de'),(3277179648,'be'),(3277180160,'eu'),(3277180416,'gb'),(3277180672,'de'),(3277180928,'gb'),(3277181184,'pl'),(3277181440,'de'),(3277181696,'ro'),(3277181952,'it'),(3277182208,'ru'),(3277182464,'ua'),(3277182720,'bg'),(3277182976,'ua'),(3277183232,'de'),(3277183488,'dk'),(3277183744,'cy'),(3277184000,'de'),(3277184256,'pt'),(3277184512,'de'),(3277184768,'ua'),(3277185024,'sa'),(3277185280,'ru'),(3277185536,'de'),(3277185792,'pl'),(3277186048,'it'),(3277186304,'eu'),(3277186560,'pl'),(3277186816,'ru'),(3277187072,'gb'),(3277187328,'ua'),(3277187584,'ru'),(3277188352,'gb'),(3277188608,'ru'),(3277188864,'ro'),(3277189120,'de'),(3277189376,'pl'),(3277189632,'tr'),(3277189888,'pl'),(3277190144,'se'),(3277190400,'gb'),(3277190656,'nl'),(3277190912,'gb'),(3277191168,'dk'),(3277191424,'pl'),(3277191680,'ua'),(3277191936,'dk'),(3277192192,'pl'),(3277192448,'dk'),(3277192704,'de'),(3277192960,'tr'),(3277193216,'nl'),(3277258752,'tr'),(3277324288,'ru'),(3277325312,'cz'),(3277325824,'it'),(3277326336,'gb'),(3277326848,'at'),(3277327360,'rs'),(3277327872,'ua'),(3277328384,'ru'),(3277328896,'nl'),(3277329408,'gb'),(3277329920,'cz'),(3277330432,'ro'),(3277330944,'ua'),(3277331456,'pl'),(3277332480,'lv'),(3277332992,'at'),(3277333504,'ee'),(3277334016,'ro'),(3277334528,'ru'),(3277335040,'ua'),(3277335552,'de'),(3277336064,'hr'),(3277336576,'at'),(3277337088,'pl'),(3277337600,'ua'),(3277338112,'no'),(3277338624,'ru'),(3277339648,'ro'),(3277340160,'ru'),(3277340672,'ro'),(3277341184,'am'),(3277341696,'ru'),(3277342208,'gb'),(3277342720,'ua'),(3277343232,'bg'),(3277343744,'ua'),(3277344256,'cz'),(3277344768,'lv'),(3277345280,'si'),(3277345792,'fr'),(3277346304,'gb'),(3277346816,'de'),(3277347328,'pl'),(3277347840,'ru'),(3277348352,'fr'),(3277348864,'ro'),(3277349888,'gb'),(3277350400,'ru'),(3277351424,'no'),(3277351936,'de'),(3277352448,'se'),(3277352960,'ua'),(3277353472,'pl'),(3277353984,'de'),(3277354496,'gb'),(3277355008,'ru'),(3277355520,'mk'),(3277356032,'ua'),(3277356544,'ru'),(3277357056,'pl'),(3277357568,'se'),(3277358080,'ru'),(3277359104,'nl'),(3277359616,'cz'),(3277360128,'bg'),(3277360640,'cz'),(3277361152,'gb'),(3277361664,'ru'),(3277362176,'cz'),(3277362688,'gb'),(3277363200,'es'),(3277363712,'ru'),(3277364224,'gb'),(3277364736,'ua'),(3277365248,'nl'),(3277365760,'gr'),(3277366272,'cz'),(3277366784,'at'),(3277367296,'pl'),(3277367808,'ru'),(3277368320,'ro'),(3277369344,'cy'),(3277369856,'ru'),(3277370368,'gb'),(3277370880,'ro'),(3277371392,'ru'),(3277371904,'pl'),(3277372416,'ru'),(3277373952,'eu'),(3277374464,'ru'),(3277376000,'nl'),(3277376512,'ro'),(3277377024,'ru'),(3277378560,'hr'),(3277379072,'cz'),(3277379584,'cs'),(3277380096,'ro'),(3277380608,'ru'),(3277381120,'kw'),(3277381632,'ru'),(3277382144,'ua'),(3277382656,'gb'),(3277383168,'ua'),(3277383680,'pl'),(3277384192,'il'),(3277384704,'gb'),(3277385216,'at'),(3277385728,'ru'),(3277386240,'ua'),(3277386752,'sa'),(3277387264,'ru'),(3277388288,'gb'),(3277388800,'cz'),(3277389312,'am'),(3277389824,'eu'),(3277455360,'de'),(3277463552,'eu'),(3277479936,'gb'),(3277480960,'dk'),(3277481472,'pl'),(3277481984,'se'),(3277482496,'pl'),(3277483008,'it'),(3277483520,'ro'),(3277484032,'ch'),(3277484544,'ro'),(3277485056,'ch'),(3277485568,'gb'),(3277486592,'ua'),(3277487104,'ro'),(3277487616,'pl'),(3277488128,'ru'),(3277504512,'de'),(3277520896,'sk'),(3277553664,'ru'),(3277586432,'eu'),(3277684736,'ua'),(3277685248,'de'),(3277685760,'ie'),(3277686272,'pl'),(3277686784,'ro'),(3277687296,'ua'),(3277687808,'ro'),(3277688320,'pl'),(3277688832,'ru'),(3277689344,'at'),(3277689856,'ru'),(3277691392,'ua'),(3277691904,'gb'),(3277692416,'de'),(3277692928,'ua'),(3277693440,'pl'),(3277693952,'ru'),(3277694464,'de'),(3277694976,'it'),(3277695488,'es'),(3277696000,'ua'),(3277696512,'at'),(3277697024,'ro'),(3277697536,'pl'),(3277698048,'ru'),(3277698560,'de'),(3277699072,'ua'),(3277699584,'ru'),(3277700096,'ua'),(3277701120,'dk'),(3277701632,'at'),(3277702144,'gb'),(3277702656,'ro'),(3277703168,'de'),(3277703680,'pl'),(3277704192,'ua'),(3277704704,'ru'),(3277705216,'ua'),(3277705728,'es'),(3277706240,'ua'),(3277707264,'cz'),(3277707776,'md'),(3277708288,'at'),(3277708800,'pl'),(3277709312,'nl'),(3277709824,'gb'),(3277710336,'ru'),(3277710848,'pl'),(3277711360,'no'),(3277711872,'il'),(3277712384,'de'),(3277712896,'nl'),(3277713408,'ru'),(3277713920,'de'),(3277714944,'ru'),(3277715968,'pl'),(3277716480,'se'),(3277716992,'it'),(3277717504,'ye'),(3277725696,'gb'),(3277733888,'de'),(3277742080,'fi'),(3277750272,'it'),(3277766656,'pl'),(3277774848,'ru'),(3277783040,'be'),(3277815808,'ro'),(3277816064,'pl'),(3277816320,'gb'),(3277816832,'ch'),(3277817088,'gb'),(3277817344,'fr'),(3277817856,'be'),(3277818112,'de'),(3277818368,'cy'),(3277818624,'ua'),(3277818880,'se'),(3277819136,'ch'),(3277819392,'it'),(3277819648,'se'),(3277819904,'pl'),(3277820160,'ro'),(3277820416,'de'),(3277820672,'ua'),(3277820928,'ch'),(3277821184,'tr'),(3277821440,'nl'),(3277821696,'ua'),(3277821952,'ro'),(3277822208,'es'),(3277822464,'pl'),(3277822720,'cz'),(3277822976,'fr'),(3277823232,'ua'),(3277823488,'si'),(3277823744,'ua'),(3277824000,'tr'),(3277824256,'si'),(3277824512,'ua'),(3277824768,'at'),(3277825024,'pl'),(3277825280,'ua'),(3277825536,'ro'),(3277826048,'fr'),(3277826304,'pl'),(3277826816,'ua'),(3277827072,'dk'),(3277827328,'si'),(3277827584,'nl'),(3277828096,'gb'),(3277828352,'nl'),(3277828608,'ro'),(3277828864,'tr'),(3277829120,'ro'),(3277829376,'dk'),(3277829632,'pl'),(3277829888,'il'),(3277830144,'se'),(3277830400,'ua'),(3277830656,'pl'),(3277830912,'gb'),(3277831168,'pl'),(3277831424,'ua'),(3277831680,'ie'),(3277832192,'eu'),(3277833216,'be'),(3277833728,'nl'),(3277834240,'ru'),(3277835264,'sk'),(3277835776,'ua'),(3277836288,'fi'),(3277836800,'ua'),(3277837312,'ru'),(3277838848,'by'),(3277839360,'de'),(3277839872,'ua'),(3277840384,'gb'),(3277840896,'gr'),(3277841408,'ro'),(3277841920,'il'),(3277842432,'ua'),(3277842944,'pl'),(3277843456,'pt'),(3277843968,'dk'),(3277845504,'nl'),(3277847040,'dk'),(3277847552,'ru'),(3277848064,'ro'),(3277848576,'at'),(3277856768,'de'),(3277864960,'ru'),(3277873152,'nl'),(3277881344,'it'),(3277889536,'ru'),(3277897728,'it'),(3277905920,'bg'),(3277914112,'gr'),(3277946880,'dk'),(3277963264,'gb'),(3277979648,'sk'),(3277987840,'ru'),(3278004224,'fr'),(3278012416,'sk'),(3278020608,'ru'),(3278028800,'de'),(3278036992,'fr'),(3278045184,'gb'),(3278110720,'se'),(3278176256,'fr'),(3278241792,'gb'),(3278307328,'it'),(3278372864,'gb'),(3278635008,'nl'),(3278766080,'ro'),(3278766592,'ru'),(3278767104,'ro'),(3278767616,'ua'),(3278768128,'gb'),(3278769152,'fr'),(3278769664,'de'),(3278770176,'dk'),(3278770688,'de'),(3278771200,'gb'),(3278771712,'nl'),(3278772224,'bg'),(3278772736,'de'),(3278773248,'no'),(3278773760,'fr'),(3278774272,'ru'),(3278774784,'ua'),(3278775296,'gb'),(3278775808,'ir'),(3278776320,'il'),(3278776832,'de'),(3278777344,'se'),(3278777856,'ru'),(3278778368,'pl'),(3278779392,'ru'),(3278779904,'be'),(3278780416,'ua'),(3278780928,'lt'),(3278781440,'de'),(3278781952,'ru'),(3278782464,'gb'),(3278790656,'it'),(3278807040,'gb'),(3278815232,'at'),(3278823424,'fr'),(3278831616,'hu'),(3278897152,'gb'),(3278913536,'ch'),(3278921728,'ru'),(3278929920,'tr'),(3278938112,'de'),(3278946304,'lb'),(3278954496,'ru'),(3278962688,'cz'),(3279028224,'pl'),(3279028736,'ru'),(3279029248,'pl'),(3279029760,'ua'),(3279030272,'ru'),(3279030784,'de'),(3279031296,'nl'),(3279031808,'ro'),(3279032320,'hu'),(3279032832,'fr'),(3279033344,'ru'),(3279033856,'de'),(3279034368,'gb'),(3279034880,'fr'),(3279035392,'ps'),(3279035904,'ua'),(3279036416,'lv'),(3279044608,'fr'),(3279052800,'ua'),(3279053312,'de'),(3279053824,'nl'),(3279054336,'gb'),(3279054848,'pl'),(3279055360,'sa'),(3279055872,'tr'),(3279056384,'gb'),(3279056896,'bg'),(3279057408,'se'),(3279057920,'ro'),(3279058432,'ru'),(3279058944,'ua'),(3279059456,'ru'),(3279060480,'pl'),(3279060992,'ua'),(3279069184,'pl'),(3279077376,'es'),(3279085568,'nl'),(3279093760,'fr'),(3279159296,'pl'),(3279290368,'eu'),(3279421440,'it'),(3279486976,'nl'),(3279552512,'lv'),(3279560704,'gb'),(3279568896,'it'),(3279577088,'be'),(3279585280,'gb'),(3279601664,'cz'),(3279609856,'ru'),(3279618048,'ua'),(3279683584,'de'),(3279946752,'se'),(3279947776,'de'),(3279948800,'gb'),(3279949824,'ua'),(3279950848,'de'),(3279951872,'cy'),(3279952896,'pl'),(3279953920,'tr'),(3279955968,'de'),(3279958016,'ru'),(3279972352,'at'),(3279974400,'pl'),(3279976448,'ru'),(3279986688,'de'),(3279987200,'ru'),(3279987712,'ro'),(3279988224,'ru'),(3279988736,'ro'),(3279989248,'at'),(3279989760,'pl'),(3279990272,'dk'),(3279990784,'il'),(3279991296,'ua'),(3279991808,'pl'),(3279992320,'md'),(3279992832,'be'),(3279993344,'nl'),(3279993856,'ro'),(3279994368,'gb'),(3279994880,'cz'),(3280003072,'bg'),(3280003584,'ua'),(3280004096,'pl'),(3280004608,'ua'),(3280005120,'hu'),(3280005632,'it'),(3280006144,'eu'),(3280006656,'gb'),(3280007168,'se'),(3280007680,'pl'),(3280008192,'ru'),(3280009216,'ua'),(3280009728,'gb'),(3280010240,'ua'),(3280010752,'tr'),(3280011264,'eu'),(3280076800,'gb'),(3280084992,'ba'),(3280093184,'gr'),(3280109568,'be'),(3280117760,'ch'),(3280125952,'de'),(3280126208,'is'),(3280126464,'si'),(3280126720,'it'),(3280126976,'ch'),(3280127232,'pl'),(3280127488,'at'),(3280127744,'nl'),(3280128000,'se'),(3280128256,'gb'),(3280128512,'hu'),(3280129024,'ua'),(3280129280,'lv'),(3280129536,'sa'),(3280129792,'fr'),(3280130048,'ua'),(3280130304,'ru'),(3280130560,'gb'),(3280130816,'is'),(3280131072,'pl'),(3280131328,'it'),(3280131584,'ru'),(3280131840,'de'),(3280132096,'ru'),(3280132352,'gb'),(3280132608,'ch'),(3280132864,'ua'),(3280133120,'it'),(3280133376,'de'),(3280133632,'fr'),(3280133888,'nl'),(3280134144,'it'),(3280142336,'ru'),(3280207872,'fr'),(3280273408,'ru'),(3280338944,'gb'),(3280347136,'no'),(3280355328,'gr'),(3280371712,'ch'),(3280379904,'fr'),(3280396288,'fi'),(3280404480,'it'),(3280437248,'de'),(3280453632,'ro'),(3280454656,'ua'),(3280455680,'it'),(3280456704,'ru'),(3280457728,'gb'),(3280458752,'nl'),(3280459776,'dk'),(3280460800,'de'),(3280462848,'dk'),(3280463872,'ru'),(3280466944,'ua'),(3280467968,'gb'),(3280468992,'cy'),(3280470016,'pl'),(3280535552,'gb'),(3280568320,'it'),(3280576512,'ru'),(3280576768,'pl'),(3280577280,'de'),(3280577536,'il'),(3280577792,'nl'),(3280578048,'ro'),(3280578304,'ua'),(3280578560,'pl'),(3280578816,'nl'),(3280579072,'de'),(3280579328,'ru'),(3280579584,'ch'),(3280579840,'hr'),(3280580096,'kw'),(3280580352,'ch'),(3280580608,'gb'),(3280580864,'de'),(3280581120,'dk'),(3280581376,'eu'),(3280581632,'by'),(3280581888,'eu'),(3280582144,'cz'),(3280582400,'dk'),(3280582656,'fr'),(3280582912,'ua'),(3280583168,'ro'),(3280583424,'ru'),(3280583680,'ps'),(3280583936,'pl'),(3280584192,'ro'),(3280584448,'de'),(3280584704,'ua'),(3280585216,'dk'),(3280585728,'ua'),(3280586240,'eu'),(3280586752,'ru'),(3280587264,'ua'),(3280587776,'ro'),(3280588288,'ua'),(3280588800,'pl'),(3280589312,'de'),(3280590336,'nl'),(3280590848,'de'),(3280591360,'gb'),(3280592384,'tr'),(3280592896,'de'),(3280593408,'ua'),(3280593920,'lu'),(3280594432,'nl'),(3280594944,'ua'),(3280595456,'de'),(3280595968,'dk'),(3280596480,'at'),(3280596992,'ua'),(3280597504,'fr'),(3280598016,'ua'),(3280598528,'pl'),(3280599040,'eu'),(3280599552,'ua'),(3280600064,'bg'),(3280600576,'gb'),(3280601088,'pt'),(3280609280,'de'),(3280617472,'ua'),(3280625664,'md'),(3280633856,'bg'),(3280642048,'ua'),(3280650240,'ro'),(3280650496,'ua'),(3280650752,'gb'),(3280651264,'si'),(3280651520,'fr'),(3280651776,'ua'),(3280652032,'no'),(3280652288,'pl'),(3280652544,'si'),(3280652800,'eu'),(3280653056,'ch'),(3280653312,'gb'),(3280653824,'ru'),(3280654080,'ch'),(3280654336,'pl'),(3280654592,'es'),(3280654848,'ru'),(3280655104,'pl'),(3280655360,'gb'),(3280655616,'fi'),(3280655872,'ro'),(3280656128,'ch'),(3280656640,'ua'),(3280657408,'ru'),(3280657664,'se'),(3280657920,'tr'),(3280658176,'de'),(3280658432,'gb'),(3280666624,'no'),(3280732160,'de'),(3280764928,'ru'),(3280765952,'dk'),(3280766976,'at'),(3280768000,'gb'),(3280771072,'pl'),(3280772096,'eu'),(3280773120,'cy'),(3280774144,'cs'),(3280775168,'ua'),(3280776192,'se'),(3280777216,'cy'),(3280778240,'ru'),(3280779264,'de'),(3280780288,'pl'),(3280781312,'fi'),(3280782336,'tr'),(3280783360,'se'),(3280784384,'ru'),(3280785408,'de'),(3280786432,'at'),(3280787456,'gb'),(3280788480,'pl'),(3280789504,'ua'),(3280790528,'nl'),(3280791552,'de'),(3280792576,'pl'),(3280793600,'nl'),(3280794624,'ua'),(3280795648,'gb'),(3280796672,'cz'),(3280797696,'ch'),(3280863232,'tr'),(3280928768,'de'),(3280994304,'gb'),(3280994560,'ru'),(3280994816,'nl'),(3280995072,'de'),(3280995328,'se'),(3280995584,'gb'),(3280995840,'ru'),(3280996096,'ch'),(3280996352,'gb'),(3280996608,'pl'),(3280996864,'nl'),(3280997120,'fr'),(3280997376,'be'),(3280997632,'se'),(3280997888,'ua'),(3280998144,'de'),(3280998400,'gr'),(3280998656,'gb'),(3280999424,'hu'),(3280999680,'ua'),(3280999936,'gb'),(3281000448,'fr'),(3281000704,'ua'),(3281000960,'si'),(3281001216,'ro'),(3281001472,'ua'),(3281001728,'ru'),(3281001984,'ch'),(3281002240,'de'),(3281002496,'ch'),(3281010688,'be'),(3281018880,'cz'),(3281027072,'eu'),(3281035264,'ch'),(3281043456,'ru'),(3281059840,'de'),(3281125376,'sk'),(3281133568,'ir'),(3281141760,'ru'),(3281149952,'cz'),(3281158144,'sk'),(3281166336,'gb'),(3281174528,'fr'),(3281190912,'gb'),(3281256448,'fi'),(3281321984,'gb'),(3281338368,'pl'),(3281338624,'sa'),(3281338880,'eu'),(3281339136,'ro'),(3281339392,'pl'),(3281339648,'gb'),(3281339904,'ua'),(3281340160,'sa'),(3281340416,'ro'),(3281340928,'de'),(3281341184,'at'),(3281341440,'de'),(3281341696,'pl'),(3281341952,'dk'),(3281342208,'gb'),(3281342464,'de'),(3281343232,'fi'),(3281343488,'gb'),(3281343744,'tr'),(3281344000,'pl'),(3281344256,'ru'),(3281344512,'ua'),(3281344768,'ru'),(3281345024,'ua'),(3281345280,'sa'),(3281345536,'ch'),(3281345792,'ru'),(3281346048,'si'),(3281346304,'pl'),(3281346560,'ru'),(3281346816,'de'),(3281347072,'pl'),(3281347328,'de'),(3281347584,'pl'),(3281347840,'se'),(3281348096,'de'),(3281348352,'gb'),(3281348608,'ru'),(3281349120,'gb'),(3281349376,'nl'),(3281349632,'ua'),(3281349888,'ru'),(3281350656,'ua'),(3281350912,'gb'),(3281351168,'ua'),(3281351424,'at'),(3281351680,'tr'),(3281351936,'de'),(3281352192,'pl'),(3281352448,'ro'),(3281352704,'de'),(3281352960,'gb'),(3281353216,'de'),(3281353472,'se'),(3281353728,'pl'),(3281353984,'ua'),(3281354240,'gb'),(3281373184,'ru'),(3281375232,'es'),(3281377280,'at'),(3281379328,'pl'),(3281383424,'de'),(3281385472,'bg'),(3281387520,'pl'),(3281453056,'ru'),(3281518592,'gb'),(3281649664,'fr'),(3281715200,'tr'),(3281780736,'fi'),(3281846272,'gb'),(3281911808,'uz'),(3281920000,'de'),(3281928192,'mt'),(3281944576,'de'),(3281960960,'jo'),(3281969152,'ua'),(3281969664,'pl'),(3281970176,'ru'),(3281970688,'ch'),(3281971200,'ru'),(3281971712,'ro'),(3281972224,'de'),(3281972736,'ru'),(3281973248,'fr'),(3281973760,'dk'),(3281974272,'ru'),(3281974784,'pl'),(3281975296,'ru'),(3281976320,'de'),(3281976832,'ru'),(3281977344,'no'),(3282042880,'ch'),(3282083840,'de'),(3282084352,'ro'),(3282084864,'ru'),(3282085376,'be'),(3282085888,'de'),(3282086400,'lv'),(3282086912,'de'),(3282087424,'pl'),(3282087936,'se'),(3282088448,'pl'),(3282089472,'sk'),(3282089984,'pl'),(3282090496,'gb'),(3282091008,'fr'),(3282091520,'ch'),(3282092032,'ua'),(3282093056,'eu'),(3282094080,'gb'),(3282095104,'ua'),(3282096128,'se'),(3282097152,'gb'),(3282098176,'de'),(3282099200,'ua'),(3282100224,'eu'),(3282101248,'de'),(3282102272,'ua'),(3282103296,'gb'),(3282104320,'il'),(3282105344,'ua'),(3282106368,'de'),(3282107392,'eu'),(3282108416,'ru'),(3282173952,'ua'),(3282174464,'gb'),(3282174976,'ru'),(3282175488,'cz'),(3282176000,'ru'),(3282177024,'gb'),(3282177536,'ru'),(3282178048,'pl'),(3282178560,'es'),(3282179072,'gb'),(3282179584,'ru'),(3282180096,'pl'),(3282180608,'kz'),(3282181120,'gb'),(3282181632,'de'),(3282182144,'ru'),(3282190336,'se'),(3282198528,'gb'),(3282206720,'ch'),(3282223104,'be'),(3282231296,'de'),(3282239488,'se'),(3282305024,'pl'),(3282370560,'fi'),(3282436096,'gb'),(3282477056,'ru'),(3282485248,'gi'),(3282501632,'gr'),(3282534400,'gb'),(3282550784,'fr'),(3282554880,'de'),(3282558976,'fr'),(3282563072,'gb'),(3282567168,'sk'),(3282632704,'nl'),(3282698240,'gr'),(3282706432,'ru'),(3282714624,'at'),(3282722816,'de'),(3282731008,'fi'),(3282739200,'ch'),(3282739456,'ro'),(3282739712,'fr'),(3282739968,'ir'),(3282740224,'gb'),(3282740480,'at'),(3282740736,'bg'),(3282740992,'de'),(3282741248,'pt'),(3282741504,'gb'),(3282741760,'hu'),(3282742016,'ro'),(3282742528,'gb'),(3282742784,'cz'),(3282743040,'ch'),(3282743296,'cy'),(3282743552,'si'),(3282743808,'ua'),(3282744320,'sa'),(3282744832,'pl'),(3282745088,'hu'),(3282745600,'de'),(3282746112,'se'),(3282746368,'pl'),(3282746624,'se'),(3282746880,'ro'),(3282747136,'pl'),(3282747392,'ru'),(3282763776,'gb'),(3282960384,'tr'),(3283091456,'ch'),(3283156992,'de'),(3283173376,'pl'),(3283174400,'ua'),(3283176448,'eu'),(3283177472,'gb'),(3283178496,'pl'),(3283179520,'lu'),(3283180544,'ua'),(3283181568,'no'),(3283182592,'pl'),(3283183616,'ru'),(3283184640,'il'),(3283185664,'ua'),(3283187712,'ru'),(3283188736,'ua'),(3283189760,'de'),(3283206144,'gb'),(3283206656,'sa'),(3283207168,'pl'),(3283207680,'at'),(3283208192,'de'),(3283208704,'no'),(3283209216,'ru'),(3283209728,'tr'),(3283210240,'ua'),(3283210752,'pl'),(3283211264,'gb'),(3283211776,'nl'),(3283212288,'ru'),(3283212800,'bg'),(3283213312,'es'),(3283213824,'ua'),(3283214336,'ro'),(3283214848,'ru'),(3283215360,'gb'),(3283215872,'tr'),(3283216384,'eu'),(3283216896,'ch'),(3283217408,'ua'),(3283218944,'nl'),(3283219456,'gb'),(3283219968,'be'),(3283220480,'bg'),(3283220992,'at'),(3283221504,'gb'),(3283222016,'de'),(3283223040,'ru'),(3283223552,'cz'),(3283224064,'eu'),(3283224576,'bg'),(3283225088,'ua'),(3283225600,'ru'),(3283226112,'dk'),(3283226624,'cz'),(3283227136,'ua'),(3283227648,'ru'),(3283228160,'ro'),(3283228672,'ru'),(3283229696,'it'),(3283230208,'ua'),(3283230720,'cs'),(3283238912,'cz'),(3283247104,'lv'),(3283247616,'bg'),(3283248128,'de'),(3283248640,'ro'),(3283249152,'ua'),(3283249664,'gb'),(3283250176,'ru'),(3283250688,'ro'),(3283251200,'de'),(3283251712,'pl'),(3283252224,'bg'),(3283252736,'si'),(3283253248,'ro'),(3283253760,'pl'),(3283254272,'ro'),(3283255296,'ua'),(3283263488,'se'),(3283271680,'ru'),(3283279872,'se'),(3283288064,'de'),(3283419136,'dk'),(3283484672,'ua'),(3283484928,'nl'),(3283485184,'de'),(3283485440,'ru'),(3283485696,'gb'),(3283485952,'se'),(3283486208,'at'),(3283486464,'ru'),(3283486720,'ua'),(3283486976,'pl'),(3283487232,'fr'),(3283487488,'de'),(3283487744,'ch'),(3283488000,'gb'),(3283488256,'pl'),(3283488512,'ru'),(3283488768,'fr'),(3283489280,'de'),(3283489536,'pl'),(3283490048,'ua'),(3283490560,'pl'),(3283490816,'de'),(3283491072,'tr'),(3283491328,'at'),(3283491584,'ro'),(3283491840,'ru'),(3283492096,'at'),(3283492352,'gb'),(3283492608,'sa'),(3283492864,'dk'),(3283493120,'il'),(3283493376,'pl'),(3283493888,'dk'),(3283494144,'gb'),(3283494400,'pl'),(3283494656,'dk'),(3283494912,'pl'),(3283495168,'bg'),(3283495424,'tr'),(3283495680,'nl'),(3283495936,'bg'),(3283496192,'de'),(3283496448,'fr'),(3283496704,'lv'),(3283496960,'de'),(3283497216,'gb'),(3283497472,'de'),(3283497728,'pl'),(3283498240,'ch'),(3283498496,'pl'),(3283498752,'at'),(3283499008,'de'),(3283499264,'nl'),(3283499520,'de'),(3283499776,'gb'),(3283500032,'de'),(3283500288,'si'),(3283500544,'gb'),(3283500800,'ua'),(3283501056,'lt'),(3283509248,'eu'),(3283517440,'ru'),(3283525632,'gb'),(3283533824,'ua'),(3283534848,'de'),(3283535360,'ro'),(3283535872,'cy'),(3283536384,'ua'),(3283536896,'dk'),(3283537408,'pl'),(3283537920,'ro'),(3283538432,'it'),(3283538944,'ro'),(3283539456,'rs'),(3283539968,'dk'),(3283540480,'pl'),(3283540992,'ro'),(3283541504,'ch'),(3283542016,'it'),(3283550208,'eu'),(3283615744,'hu'),(3283623936,'dk'),(3283632128,'nl'),(3283632640,'ch'),(3283633152,'se'),(3283633664,'ua'),(3283634176,'ru'),(3283635200,'gb'),(3283635712,'ru'),(3283636224,'ua'),(3283636736,'pl'),(3283637248,'de'),(3283637760,'ua'),(3283638272,'pl'),(3283638784,'ru'),(3283639296,'de'),(3283640320,'dk'),(3283648512,'eu'),(3283656704,'hu'),(3283664896,'ua'),(3283673088,'gb'),(3283681280,'de'),(3283746816,'ch'),(3283812352,'pl'),(3283877888,'gb'),(3283943424,'cz'),(3283944448,'at'),(3283945472,'ua'),(3283946496,'gb'),(3283947520,'ua'),(3283948544,'nl'),(3283949568,'se'),(3283950592,'kz'),(3283951616,'pl'),(3283952640,'ua'),(3283953664,'pl'),(3283954688,'ua'),(3283956736,'pl'),(3283957760,'eu'),(3283958784,'ua'),(3283959808,'fr'),(3283960832,'ua'),(3283962880,'pl'),(3283963904,'ru'),(3283964928,'fr'),(3283966976,'de'),(3283968000,'ua'),(3283969024,'ru'),(3283970048,'ua'),(3283972096,'se'),(3283973120,'nl'),(3283974144,'ua'),(3283975168,'nl'),(3283976192,'ie'),(3283976704,'dk'),(3283977216,'ua'),(3283978240,'ru'),(3283978752,'ro'),(3283979264,'il'),(3283979776,'no'),(3283980288,'ro'),(3283980800,'ch'),(3283981824,'ro'),(3283983360,'ru'),(3283983872,'gb'),(3283984384,'se'),(3283984896,'eu'),(3283985408,'ro'),(3283986432,'ru'),(3283986944,'gb'),(3283987968,'ro'),(3283988992,'fr'),(3283989504,'ru'),(3283990016,'se'),(3283990528,'ro'),(3283991552,'se'),(3283992064,'ro'),(3283992576,'il'),(3283993088,'ro'),(3283993600,'ua'),(3283994112,'at'),(3283994624,'ua'),(3283995136,'be'),(3283995648,'ch'),(3283996160,'mk'),(3283996672,'ro'),(3283997184,'ps'),(3283997696,'sa'),(3283998208,'ua'),(3283998720,'de'),(3283999232,'ru'),(3283999744,'gb'),(3284000256,'ru'),(3284000768,'bg'),(3284001280,'ua'),(3284002304,'pl'),(3284002816,'dk'),(3284003328,'ua'),(3284003840,'de'),(3284004352,'ru'),(3284004864,'ua'),(3284005888,'gb'),(3284006400,'ua'),(3284007424,'ro'),(3284007936,'ch'),(3284008448,'no'),(3284008960,'nl'),(3284009216,'pl'),(3284009472,'de'),(3284009728,'fr'),(3284009984,'ch'),(3284010240,'fr'),(3284010752,'de'),(3284011008,'gb'),(3284011264,'de'),(3284011520,'si'),(3284011776,'de'),(3284012032,'ru'),(3284012288,'cz'),(3284012544,'ru'),(3284012800,'gb'),(3284013056,'at'),(3284013312,'pl'),(3284013568,'dk'),(3284013824,'il'),(3284014080,'tr'),(3284014336,'it'),(3284014592,'gb'),(3284014848,'il'),(3284015104,'pl'),(3284015360,'dk'),(3284015616,'at'),(3284015872,'eu'),(3284016128,'nl'),(3284016384,'ch'),(3284016640,'dk'),(3284017152,'gr'),(3284025344,'de'),(3284033536,'ru'),(3284041728,'dk'),(3284041984,'si'),(3284042240,'gb'),(3284042496,'at'),(3284042752,'gb'),(3284043008,'de'),(3284043264,'ee'),(3284043520,'gb'),(3284043776,'si'),(3284044032,'fr'),(3284044288,'de'),(3284044544,'eu'),(3284044800,'ch'),(3284045056,'lt'),(3284045312,'de'),(3284045568,'at'),(3284045824,'ua'),(3284046080,'de'),(3284046336,'nl'),(3284046592,'se'),(3284046848,'de'),(3284047104,'dk'),(3284047360,'de'),(3284047616,'nl'),(3284047872,'hu'),(3284048128,'dk'),(3284048384,'gb'),(3284048640,'fr'),(3284049152,'ua'),(3284049408,'si'),(3284049664,'ro'),(3284049920,'ch'),(3284058112,'se'),(3284066304,'nl'),(3284140032,'dk'),(3284205568,'nl'),(3284271104,'gb'),(3284402176,'se'),(3284467712,'fi'),(3284533248,'se'),(3284598784,'hu'),(3284664320,'gb'),(3284672512,'de'),(3284680704,'ua'),(3284681216,'ro'),(3284681728,'fi'),(3284682240,'eu'),(3284682752,'se'),(3284683264,'kz'),(3284683776,'gb'),(3284684288,'eu'),(3284684800,'de'),(3284685312,'nl'),(3284686336,'ro'),(3284686848,'pl'),(3284687360,'ua'),(3284687872,'il'),(3284688384,'ru'),(3284688896,'fr'),(3284697088,'gb'),(3284705280,'fr'),(3284713472,'de'),(3284713728,'gr'),(3284713984,'de'),(3284714240,'eu'),(3284714496,'ua'),(3284714752,'at'),(3284715008,'gb'),(3284715264,'pl'),(3284715520,'ro'),(3284715776,'be'),(3284716032,'gb'),(3284716288,'ru'),(3284716544,'hu'),(3284716800,'il'),(3284717056,'pl'),(3284717312,'de'),(3284717568,'gb'),(3284717824,'ru'),(3284718080,'gb'),(3284718592,'pl'),(3284718848,'ru'),(3284719104,'pl'),(3284719360,'de'),(3284719616,'ru'),(3284719872,'eu'),(3284720128,'ch'),(3284720384,'se'),(3284720896,'ua'),(3284721152,'tr'),(3284721408,'nl'),(3284729856,'ru'),(3284795392,'fr'),(3284803584,'de'),(3284819968,'de'),(3284828160,'at'),(3284844544,'ch'),(3284860928,'de'),(3284926464,'no'),(3284992000,'pl'),(3285057536,'it'),(3285065728,'ru'),(3285073920,'eu'),(3285082112,'de'),(3285084160,'lu'),(3285085184,'gb'),(3285086208,'pl'),(3285088256,'cz'),(3285089280,'pl'),(3285090304,'de'),(3285098496,'gb'),(3285123072,'be'),(3285188608,'ru'),(3285328384,'pl'),(3285328896,'se'),(3285329408,'gb'),(3285329920,'ro'),(3285330432,'eu'),(3285330944,'ro'),(3285331456,'ru'),(3285331968,'eu'),(3285332480,'at'),(3285332992,'se'),(3285333504,'gb'),(3285334016,'nl'),(3285334528,'de'),(3285335552,'se'),(3285336064,'it'),(3285352448,'ru'),(3285368832,'si'),(3285385216,'pl'),(3285386240,'ru'),(3285387264,'pl'),(3285388288,'eu'),(3285389312,'fi'),(3285390336,'ru'),(3285391360,'am'),(3285392384,'ru'),(3285393408,'ch'),(3285394432,'ru'),(3285395456,'ua'),(3285396480,'ir'),(3285397504,'gb'),(3285399552,'nl'),(3285400576,'cz'),(3285402624,'il'),(3285403648,'nl'),(3285404672,'ru'),(3285406720,'cz'),(3285408768,'gb'),(3285409792,'ua'),(3285410816,'ru'),(3285411840,'cz'),(3285412864,'eu'),(3285413888,'ru'),(3285414912,'cz'),(3285415936,'ru'),(3285417984,'cz'),(3285419008,'se'),(3285420032,'ua'),(3285424128,'ro'),(3285425152,'ua'),(3285426176,'cz'),(3285427200,'gb'),(3285428224,'cz'),(3285429248,'ua'),(3285430272,'dk'),(3285431296,'cz'),(3285432320,'ua'),(3285434368,'cz'),(3285450752,'eu'),(3285581824,'de'),(3285614592,'tr'),(3285630976,'ua'),(3285633024,'no'),(3285635072,'ua'),(3285637120,'gb'),(3285638144,'ua'),(3285639168,'fr'),(3285641216,'ru'),(3285642240,'ua'),(3285643264,'de'),(3285645312,'bg'),(3285647360,'dk'),(3285712896,'gb'),(3285721088,'se'),(3285729280,'ch'),(3285737472,'pl'),(3285745664,'it'),(3285753856,'lv'),(3285762048,'eu'),(3285762560,'ru'),(3285763072,'gb'),(3285763584,'de'),(3285764096,'ro'),(3285764608,'ru'),(3285765120,'ua'),(3285766144,'de'),(3285766656,'ua'),(3285767680,'fr'),(3285768192,'ru'),(3285768704,'ch'),(3285769216,'de'),(3285769728,'ro'),(3285770240,'nl'),(3285770496,'es'),(3285770752,'ua'),(3285771008,'ch'),(3285771264,'bg'),(3285771520,'at'),(3285771776,'ro'),(3285772032,'se'),(3285772288,'tr'),(3285772544,'lt'),(3285772800,'be'),(3285773056,'de'),(3285773312,'lv'),(3285773568,'kg'),(3285773824,'ru'),(3285774080,'ro'),(3285774336,'cz'),(3285774592,'ru'),(3285774848,'fr'),(3285775104,'ru'),(3285775616,'je'),(3285775872,'nl'),(3285776128,'ro'),(3285776384,'ua'),(3285776640,'fr'),(3285776896,'pl'),(3285777152,'hu'),(3285777408,'il'),(3285777664,'dk'),(3285777920,'pl'),(3285778176,'gb'),(3285843968,'lu'),(3285852160,'gb'),(3285860352,'fi'),(3285868544,'eu'),(3285876736,'ru'),(3285909504,'eu'),(3285975040,'fr'),(3286106112,'eu'),(3286114304,'ba'),(3286122496,'by'),(3286130688,'cs'),(3286131712,'pl'),(3286132736,'ro'),(3286133760,'ie'),(3286134784,'pl'),(3286135808,'nl'),(3286136832,'at'),(3286137856,'cz'),(3286138880,'ru'),(3286155264,'de'),(3286171648,'it'),(3286237184,'gb'),(3286302720,'no'),(3286310912,'ch'),(3286311424,'gb'),(3286311936,'pl'),(3286312448,'ru'),(3286312960,'ro'),(3286313984,'ch'),(3286314496,'il'),(3286315008,'pl'),(3286315520,'de'),(3286316032,'ua'),(3286316544,'ru'),(3286318080,'ch'),(3286318592,'il'),(3286319104,'ro'),(3286320128,'pl'),(3286321152,'cz'),(3286322176,'pl'),(3286323200,'gb'),(3286324224,'ro'),(3286325248,'dk'),(3286326272,'pl'),(3286328320,'nl'),(3286329344,'de'),(3286330368,'ro'),(3286331392,'ua'),(3286332416,'ch'),(3286333440,'pl'),(3286334464,'bg'),(3286335488,'ua'),(3286336512,'eu'),(3286337536,'sa'),(3286338560,'ro'),(3286339584,'ua'),(3286340608,'de'),(3286342656,'ua'),(3286343680,'ru'),(3286344704,'be'),(3286345728,'it'),(3286346752,'ua'),(3286348800,'pl'),(3286349824,'se'),(3286350848,'gb'),(3286351872,'eu'),(3286352896,'de'),(3286353920,'li'),(3286354944,'eu'),(3286355968,'de'),(3286356992,'pl'),(3286358016,'gb'),(3286359040,'pt'),(3286360064,'it'),(3286361088,'ua'),(3286362112,'ru'),(3286363136,'at'),(3286364160,'de'),(3286365184,'pl'),(3286367232,'bg'),(3286368256,'ch'),(3286376448,'gb'),(3286384640,'de'),(3286401024,'gb'),(3286409216,'de'),(3286417408,'it'),(3286425600,'kw'),(3286433792,'de'),(3286499328,'hu'),(3286564864,'ae'),(3286630400,'bg'),(3286638592,'at'),(3286646784,'ru'),(3286654976,'ua'),(3286655232,'kz'),(3286655488,'lt'),(3286655744,'ua'),(3286656000,'ch'),(3286656256,'ru'),(3286656512,'gr'),(3286656768,'ua'),(3286657024,'be'),(3286657280,'es'),(3286657536,'hu'),(3286657792,'ru'),(3286658048,'de'),(3286658304,'ru'),(3286658560,'nl'),(3286658816,'ru'),(3286659072,'ua'),(3286659328,'pl'),(3286659584,'de'),(3286659840,'ua'),(3286660096,'de'),(3286660352,'ch'),(3286660608,'gb'),(3286660864,'ua'),(3286661120,'pl'),(3286661376,'si'),(3286661632,'gb'),(3286661888,'ru'),(3286662144,'de'),(3286662400,'ua'),(3286662656,'gb'),(3286662912,'ua'),(3286671360,'at'),(3286679552,'it'),(3286695936,'dk'),(3286761472,'eu'),(3286794240,'de'),(3286892544,'li'),(3286893056,'cz'),(3286893568,'ua'),(3286894592,'eu'),(3286895104,'gb'),(3286896128,'se'),(3286896640,'pl'),(3286897152,'at'),(3286897664,'pl'),(3286898176,'hr'),(3286900736,'be'),(3286900992,'de'),(3286901504,'fr'),(3286902016,'ch'),(3286902528,'se'),(3286902784,'pl'),(3286903296,'fr'),(3286903552,'ch'),(3286903808,'at'),(3286904064,'de'),(3286904320,'fr'),(3286904576,'pt'),(3286904832,'gb'),(3286905088,'gr'),(3286905344,'de'),(3286905600,'mt'),(3286905856,'tr'),(3286906112,'cz'),(3286906368,'ro'),(3286906880,'ru'),(3286907136,'se'),(3286907392,'at'),(3286907648,'es'),(3286907904,'ch'),(3286908160,'ua'),(3286908416,'fr'),(3286908672,'pl'),(3286908928,'ch'),(3286909952,'ru'),(3286910976,'ua'),(3286913024,'de'),(3286914048,'bg'),(3286915072,'fr'),(3286916096,'de'),(3286917120,'ru'),(3286917632,'lv'),(3286918144,'at'),(3286919168,'eu'),(3286920192,'ru'),(3286921216,'ua'),(3286922240,'gb'),(3286924288,'ua'),(3286925312,'de'),(3286925568,'gb'),(3286925824,'ro'),(3286926080,'lv'),(3286926336,'ua'),(3286926592,'de'),(3286926848,'pt'),(3286927104,'fi'),(3286927360,'de'),(3286927616,'si'),(3286927872,'gb'),(3286928128,'de'),(3286928384,'eu'),(3286928640,'pl'),(3286928896,'fi'),(3286929152,'de'),(3286929408,'lv'),(3286929664,'be'),(3286929920,'se'),(3286930176,'ru'),(3286930432,'ua'),(3286930688,'de'),(3286930944,'se'),(3286931200,'at'),(3286931456,'nl'),(3286931712,'gb'),(3286931968,'fr'),(3286932224,'dk'),(3286932480,'gb'),(3286932736,'de'),(3286932992,'gb'),(3286933504,'dk'),(3286933760,'ro'),(3286934016,'be'),(3286934272,'ch'),(3286934528,'pl'),(3286934784,'tr'),(3286935040,'es'),(3286935296,'gb'),(3286935808,'ro'),(3286936064,'ru'),(3286936320,'it'),(3286936576,'ro'),(3286936832,'nl'),(3286937088,'gb'),(3286937600,'ch'),(3286937856,'ro'),(3286938112,'eu'),(3286938624,'gb'),(3286938880,'ro'),(3286939392,'de'),(3286939648,'be'),(3286940160,'be'),(3286940416,'ch'),(3286940672,'ro'),(3286940928,'pl'),(3286941184,'ru'),(3286941440,'ro'),(3286941696,'gb'),(3286942720,'fi'),(3286943744,'ua'),(3286944768,'cz'),(3286945792,'ru'),(3286946816,'ua'),(3286947840,'eu'),(3286948864,'ua'),(3286949888,'ch'),(3286950912,'gb'),(3286951936,'it'),(3286952960,'bg'),(3286953984,'gb'),(3286956032,'fr'),(3286958080,'es'),(3287023616,'fi'),(3287154688,'be'),(3287162880,'de'),(3287171072,'lt'),(3287171584,'pl'),(3287172096,'de'),(3287172608,'pl'),(3287173120,'ru'),(3287173632,'nl'),(3287174144,'se'),(3287175168,'ro'),(3287176192,'bg'),(3287176704,'nl'),(3287177216,'ro'),(3287178240,'ua'),(3287178752,'ro'),(3287179264,'fr'),(3287180288,'ru'),(3287181312,'uz'),(3287182336,'ua'),(3287185408,'se'),(3287186432,'fi'),(3287187456,'de'),(3287196672,'pl'),(3287198720,'gb'),(3287199744,'ua'),(3287201792,'pl'),(3287202816,'ua'),(3287203840,'fi'),(3287212032,'de'),(3287212288,'eu'),(3287212544,'fr'),(3287212800,'pl'),(3287213312,'fr'),(3287213568,'ru'),(3287214080,'gb'),(3287214336,'de'),(3287214848,'it'),(3287215104,'pl'),(3287215360,'gb'),(3287215616,'de'),(3287215872,'ru'),(3287216128,'gb'),(3287217152,'nl'),(3287217408,'pl'),(3287217664,'ru'),(3287217920,'pl'),(3287218176,'gb'),(3287218688,'ru'),(3287218944,'at'),(3287219200,'gb'),(3287219456,'eu'),(3287219712,'se'),(3287220224,'ru'),(3287285760,'nl'),(3287416832,'ru'),(3287425024,'se'),(3287433216,'nl'),(3287433728,'de'),(3287434240,'pl'),(3287434752,'gb'),(3287435264,'nl'),(3287435776,'gb'),(3287436288,'ro'),(3287437312,'gb'),(3287437824,'ru'),(3287438336,'ch'),(3287438848,'gb'),(3287439360,'ro'),(3287439872,'pl'),(3287440896,'ua'),(3287441408,'gb'),(3287441920,'nl'),(3287442432,'pl'),(3287442944,'de'),(3287443968,'bg'),(3287444480,'pl'),(3287444992,'de'),(3287445504,'ua'),(3287446528,'pl'),(3287447040,'il'),(3287447552,'dk'),(3287448064,'gb'),(3287448576,'pl'),(3287449088,'bg'),(3287449600,'de'),(3287450112,'dk'),(3287450624,'se'),(3287451136,'pl'),(3287451648,'gb'),(3287452160,'fr'),(3287452672,'ch'),(3287453184,'ru'),(3287454208,'se'),(3287454720,'ua'),(3287455744,'nl'),(3287456256,'gb'),(3287457280,'ro'),(3287457792,'gb'),(3287458048,'ua'),(3287458304,'de'),(3287458560,'ch'),(3287459328,'at'),(3287459584,'eu'),(3287459840,'at'),(3287460096,'cs'),(3287460352,'cy'),(3287460608,'nl'),(3287460864,'be'),(3287461120,'de'),(3287461376,'il'),(3287461632,'at'),(3287461888,'pl'),(3287462144,'sa'),(3287462400,'be'),(3287462656,'ua'),(3287462912,'fr'),(3287463168,'it'),(3287463424,'ro'),(3287463680,'pl'),(3287463936,'at'),(3287464192,'sk'),(3287464448,'pl'),(3287464704,'nl'),(3287464960,'sa'),(3287465216,'se'),(3287465472,'de'),(3287465728,'fr'),(3287465984,'dk'),(3287467008,'sa'),(3287468032,'ua'),(3287469056,'de'),(3287471104,'gb'),(3287472128,'fi'),(3287473152,'gb'),(3287474176,'de'),(3287476224,'pl'),(3287477248,'gb'),(3287478272,'bg'),(3287479296,'ro'),(3287480320,'at'),(3287481344,'pl'),(3287482368,'de'),(3287548928,'ua'),(3287549440,'se'),(3287549952,'ua'),(3287550464,'de'),(3287550976,'lt'),(3287551488,'ro'),(3287552000,'gb'),(3287552512,'ro'),(3287553024,'fr'),(3287553536,'il'),(3287554048,'ru'),(3287554560,'pl'),(3287555072,'gb'),(3287555584,'fr'),(3287556096,'tr'),(3287564288,'fi'),(3287572480,'de'),(3287580672,'lv'),(3287588864,'be'),(3287597056,'gi'),(3287605248,'de'),(3287630848,'pl'),(3287631872,'ru'),(3287632384,'se'),(3287632896,'ru'),(3287633408,'sk'),(3287633920,'ua'),(3287634432,'ro'),(3287634944,'pl'),(3287635456,'de'),(3287635968,'ro'),(3287636480,'eu'),(3287636992,'at'),(3287637504,'pl'),(3287638528,'de'),(3287639040,'gb'),(3287639552,'ru'),(3287640064,'de'),(3287640576,'si'),(3287641088,'il'),(3287641600,'fi'),(3287642112,'ua'),(3287642624,'nl'),(3287643136,'it'),(3287643648,'ua'),(3287644672,'de'),(3287645184,'eu'),(3287646208,'pt'),(3287662592,'de'),(3287662848,'dk'),(3287663104,'lv'),(3287663360,'gb'),(3287663616,'eu'),(3287663872,'pt'),(3287664128,'pl'),(3287664384,'nl'),(3287664640,'ua'),(3287664896,'gb'),(3287665152,'no'),(3287665408,'pl'),(3287665920,'de'),(3287666176,'ru'),(3287666432,'dk'),(3287666688,'si'),(3287666944,'cz'),(3287667200,'dk'),(3287667456,'ua'),(3287667712,'es'),(3287667968,'pl'),(3287668224,'ro'),(3287668480,'ua'),(3287668736,'si'),(3287668992,'pl'),(3287669248,'li'),(3287669504,'eu'),(3287669760,'ro'),(3287670016,'ua'),(3287670272,'pl'),(3287670528,'gb'),(3287670784,'pl'),(3287671040,'gb'),(3287671296,'pl'),(3287671552,'tr'),(3287671808,'ch'),(3287672064,'lt'),(3287672320,'gb'),(3287672832,'ru'),(3287673088,'sk'),(3287673344,'pt'),(3287673600,'gb'),(3287674112,'ch'),(3287674368,'de'),(3287674624,'ro'),(3287674880,'se'),(3287675136,'gb'),(3287675392,'se'),(3287675648,'de'),(3287675904,'be'),(3287676160,'de'),(3287676416,'ru'),(3287676672,'gb'),(3287677184,'ru'),(3287677440,'si'),(3287677696,'ro'),(3287677952,'gb'),(3287678208,'ua'),(3287678464,'eu'),(3287678720,'hr'),(3287678976,'si'),(3287695360,'ch'),(3287703552,'cz'),(3287704064,'eu'),(3287704576,'be'),(3287705088,'ru'),(3287705600,'ua'),(3287706112,'ru'),(3287706624,'gb'),(3287707136,'lu'),(3287707648,'gb'),(3287708160,'nl'),(3287708672,'eu'),(3287709184,'ru'),(3287709696,'se'),(3287710208,'ru'),(3287710720,'cz'),(3287711232,'pl'),(3287711744,'fr'),(3287719936,'de'),(3287728128,'it'),(3287729408,'se'),(3287729664,'dk'),(3287729920,'hu'),(3287730176,'pl'),(3287730432,'gb'),(3287730688,'de'),(3287732224,'it'),(3287734272,'pl'),(3287734528,'ua'),(3287734784,'ru'),(3287735040,'se'),(3287735296,'it'),(3287736320,'pl'),(3287736832,'lv'),(3287737344,'gb'),(3287737856,'eu'),(3287738368,'fr'),(3287738880,'de'),(3287739392,'nl'),(3287739904,'pt'),(3287740416,'bg'),(3287740928,'ro'),(3287741440,'ch'),(3287741952,'ro'),(3287742464,'ru'),(3287742976,'ro'),(3287743488,'lv'),(3287744000,'fr'),(3287744512,'de'),(3287810048,'fr'),(3287818240,'at'),(3287826432,'lv'),(3287826688,'ro'),(3287826944,'cz'),(3287827200,'de'),(3287827456,'si'),(3287827712,'ru'),(3287827968,'gb'),(3287828224,'de'),(3287828480,'pl'),(3287828736,'at'),(3287828992,'de'),(3287829248,'gb'),(3287829504,'ro'),(3287829760,'nl'),(3287830016,'no'),(3287830272,'ro'),(3287830528,'eu'),(3287830784,'gb'),(3287831040,'ru'),(3287831296,'ch'),(3287831552,'ro'),(3287831808,'at'),(3287832064,'fi'),(3287832320,'de'),(3287832576,'pl'),(3287832832,'de'),(3287833088,'gb'),(3287833344,'ch'),(3287833856,'ua'),(3287834112,'ru'),(3287834368,'hu'),(3287834624,'gb'),(3287842816,'de'),(3287851008,'ua'),(3287859200,'eu'),(3287867392,'ua'),(3287867904,'pl'),(3287868416,'ro'),(3287868928,'es'),(3287869440,'ru'),(3287869952,'ua'),(3287870464,'ru'),(3287870976,'nl'),(3287871488,'pl'),(3287872000,'ru'),(3287872512,'gb'),(3287873024,'pl'),(3287873536,'ru'),(3287874048,'eu'),(3287874560,'de'),(3287875072,'pl'),(3287875584,'dk'),(3287941120,'it'),(3287949312,'at'),(3287949568,'il'),(3287949824,'it'),(3287950080,'de'),(3287950336,'ua'),(3287950592,'pl'),(3287950848,'de'),(3287951104,'hu'),(3287951360,'fr'),(3287951616,'ch'),(3287951872,'ru'),(3287952128,'ua'),(3287952384,'ch'),(3287953152,'il'),(3287953408,'de'),(3287953664,'se'),(3287953920,'de'),(3287954176,'ru'),(3287954432,'ch'),(3287954688,'ro'),(3287954944,'pl'),(3287955200,'ru'),(3287955712,'de'),(3287955968,'si'),(3287956224,'ro'),(3287956480,'fr'),(3287956736,'se'),(3287956992,'ua'),(3287957248,'gb'),(3287957504,'am'),(3287965696,'cs'),(3287973888,'cz'),(3287982080,'ee'),(3287990272,'si'),(3287998464,'it'),(3288006656,'gr'),(3288072192,'se'),(3288088576,'rs'),(3288104960,'de'),(3288236032,'li'),(3288236544,'gb'),(3288237056,'ro'),(3288238592,'pl'),(3288239104,'ro'),(3288239616,'ua'),(3288240128,'ch'),(3288240640,'de'),(3288241152,'es'),(3288241664,'ua'),(3288242176,'ro'),(3288242688,'fr'),(3288243200,'pl'),(3288243712,'fr'),(3288252416,'no'),(3288260608,'it'),(3288268800,'fi'),(3288400640,'eu'),(3288401152,'eu'),(3288416256,'eu'),(3288417536,'eu'),(3288466432,'eu'),(3288547840,'eu'),(3288554240,'eu'),(3289325568,'eu'),(3301539840,'eu'),(3322609664,'eu'),(3323022592,'eu'),(3323032832,'eu'),(3323048960,'eu'),(3323343616,'eu'),(3323354368,'eu'),(3324256256,'eu'),(3325234176,'eu'),(3325267712,'eu'),(3328414720,'eu'),(3328433664,'eu'),(3330625536,'eu'),(3330640896,'eu'),(3330662912,'eu'),(3330771200,'eu'),(3330778880,'eu'),(3331563520,'eu'),(3331633408,'eu'),(3335439616,'eu'),(3335440384,'eu'),(3337650176,'eu'),(3341547008,'eu'),(3342139392,'eu'),(3344633856,'eu'),(3556769792,'de'),(3556786176,'ru'),(3556794368,'gb'),(3556810752,'pt'),(3556818944,'md'),(3556827136,'nl'),(3556843520,'de'),(3556851712,'ua'),(3556868096,'gb'),(3556876288,'nl'),(3556884480,'ru'),(3556900864,'gb'),(3556909056,'de'),(3556925440,'pl'),(3556933632,'ua'),(3556941824,'ie'),(3556950016,'tr'),(3556958208,'kg'),(3556966400,'se'),(3556974592,'es'),(3556982784,'de'),(3556990976,'ua'),(3556999168,'ru'),(3557007360,'gb'),(3557015552,'de'),(3557023744,'gb'),(3557031936,'it'),(3557040128,'no'),(3557048320,'ch'),(3557056512,'es'),(3557064704,'cz'),(3557072896,'de'),(3557081088,'eu'),(3557089280,'de'),(3557105664,'bg'),(3557113856,'ru'),(3557130240,'bg'),(3557138432,'ru'),(3557146624,'sk'),(3557154816,'ru'),(3557171200,'it'),(3557179392,'de'),(3557228544,'ee'),(3557236736,'es'),(3557244928,'it'),(3557253120,'ru'),(3557261312,'de'),(3557277696,'bg'),(3557285888,'ru'),(3557294080,'de'),(3557302272,'ua'),(3557310464,'es'),(3557326848,'de'),(3557335040,'eu'),(3557343232,'de'),(3557351424,'ru'),(3557359616,'je'),(3557367808,'de'),(3557376000,'es'),(3557384192,'gb'),(3557392384,'at'),(3557400576,'de'),(3557408768,'gb'),(3557416960,'ua'),(3557425152,'dk'),(3557490688,'fr'),(3557507072,'gb'),(3557515264,'cz'),(3557523456,'ru'),(3557531648,'sa'),(3557539840,'sy'),(3557548032,'de'),(3557556224,'ru'),(3557564416,'de'),(3557572608,'ru'),(3557580800,'de'),(3557588992,'tr'),(3557597184,'sa'),(3557605376,'lt'),(3557621760,'ru'),(3557629952,'pt'),(3557638144,'mk'),(3557646336,'ru'),(3557654528,'kz'),(3557670912,'gb'),(3557679104,'si'),(3557687296,'pl'),(3557703680,'de'),(3557711872,'es'),(3557720064,'it'),(3557728256,'ru'),(3557744640,'ps'),(3557752832,'tr'),(3557761024,'ru'),(3557769216,'gb'),(3557777408,'ru'),(3557785600,'ua'),(3557793792,'hr'),(3557801984,'de'),(3557810176,'es'),(3557818368,'ru'),(3557826560,'at'),(3557834752,'ir'),(3557842944,'fi'),(3557851136,'hu'),(3557859328,'se'),(3557867520,'ru'),(3557875712,'de'),(3557883904,'ru'),(3557892096,'ie'),(3557900288,'at'),(3557916672,'no'),(3557924864,'fi'),(3557933056,'it'),(3557941248,'de'),(3557957632,'si'),(3557965824,'de'),(3557974016,'ch'),(3557982208,'no'),(3557990400,'pt'),(3557998592,'de'),(3558006784,'gb'),(3558014976,'ru'),(3558023168,'de'),(3558031360,'gb'),(3558039552,'it'),(3558047744,'kz'),(3558055936,'fr'),(3558064128,'nl'),(3558080512,'ru'),(3558096896,'cz'),(3558113280,'eu'),(3558121472,'de'),(3558129664,'no'),(3558137856,'gb'),(3558146048,'ru'),(3558154240,'de'),(3558170624,'gb'),(3558178816,'bg'),(3558187008,'de'),(3558195200,'es'),(3558211584,'gb'),(3558219776,'es'),(3558227968,'ru'),(3558236160,'gb'),(3558244352,'it'),(3558260736,'ua'),(3558268928,'gi'),(3558277120,'gb'),(3558293504,'ru'),(3558301696,'de'),(3558318080,'fr'),(3558334464,'gb'),(3558342656,'it'),(3558350848,'ru'),(3558359040,'gb'),(3558367232,'at'),(3558375424,'cz'),(3558383616,'hu'),(3558391808,'lu'),(3558400000,'sa'),(3558408192,'ch'),(3558416384,'bg'),(3558424576,'il'),(3558440960,'es'),(3558449152,'it'),(3558457344,'eu'),(3558465536,'gb'),(3558473728,'sa'),(3558506496,'ua'),(3558514688,'sk'),(3558522880,'nl'),(3558531072,'ru'),(3558539264,'se'),(3558547456,'fr'),(3558555648,'at'),(3558572032,'de'),(3558580224,'gb'),(3558588416,'cz'),(3558596608,'eu'),(3558604800,'gb'),(3558612992,'de'),(3558637568,'ch'),(3558645760,'it'),(3558653952,'se'),(3558662144,'lb'),(3558670336,'de'),(3558686720,'tr'),(3558703104,'it'),(3558711296,'nl'),(3558719488,'il'),(3558735872,'gb'),(3558744064,'lb'),(3558752256,'si'),(3558760448,'fr'),(3558768640,'ru'),(3558785024,'is'),(3558801408,'tr'),(3558809600,'es'),(3558817792,'at'),(3558825984,'cy'),(3558834176,'fr'),(3558842368,'se'),(3558850560,'es'),(3558858752,'gb'),(3558899712,'se'),(3558916096,'ru'),(3558924288,'nl'),(3558932480,'ru'),(3558940672,'at'),(3558948864,'pl'),(3558957056,'ps'),(3558965248,'no'),(3558973440,'sa'),(3558981632,'ir'),(3558989824,'ru'),(3558998016,'jo'),(3559006208,'ru'),(3559014400,'de'),(3559022592,'ru'),(3559030784,'es'),(3559038976,'de'),(3559047168,'it'),(3559055360,'am'),(3559063552,'ch'),(3559079936,'jo'),(3559088128,'gb'),(3559096320,'ro'),(3559104512,'ua'),(3559112704,'it'),(3559120896,'gb'),(3559129088,'bg'),(3559137280,'gb'),(3559145472,'es'),(3559153664,'gb'),(3559178240,'lb'),(3559186432,'ru'),(3559194624,'se'),(3559202816,'de'),(3559211008,'gr'),(3559219200,'se'),(3559227392,'dk'),(3559235584,'de'),(3559243776,'fr'),(3559251968,'no'),(3559260160,'de'),(3559268352,'it'),(3559276544,'gb'),(3559284736,'ru'),(3559292928,'jo'),(3559301120,'gb'),(3559309312,'pl'),(3559317504,'fi'),(3559325696,'it'),(3559333888,'se'),(3559342080,'bg'),(3559350272,'ba'),(3559358464,'fr'),(3559366656,'gb'),(3559374848,'at'),(3559383040,'gb'),(3559391232,'ch'),(3559399424,'ua'),(3559407616,'hu'),(3559424000,'lb'),(3559432192,'de'),(3559440384,'ru'),(3559448576,'es'),(3559456768,'ru'),(3559473152,'ch'),(3559489536,'es'),(3559497728,'gb'),(3559505920,'ch'),(3559514112,'at'),(3559522304,'gb'),(3559530496,'ru'),(3559538688,'ua'),(3559546880,'kg'),(3559555072,'ch'),(3559563264,'gb'),(3559571456,'am'),(3559579648,'de'),(3559587840,'kw'),(3559596032,'bg'),(3559604224,'de'),(3559612416,'it'),(3559620608,'ch'),(3559628800,'gb'),(3559636992,'fr'),(3559653376,'gb'),(3559669760,'ru'),(3559677952,'si'),(3559686144,'ru'),(3559694336,'de'),(3559710720,'fr'),(3559718912,'ru'),(3559727104,'nl'),(3559735296,'bg'),(3559743488,'it'),(3559759872,'no'),(3559768064,'ch'),(3559776256,'ru'),(3559792640,'sa'),(3559800832,'it'),(3559809024,'de'),(3559817216,'gb'),(3559825408,'it'),(3559833600,'ru'),(3559849984,'cz'),(3559858176,'it'),(3559866368,'gb'),(3559874560,'lt'),(3559882752,'az'),(3559890944,'ch'),(3559899136,'eu'),(3559907328,'fr'),(3559915520,'it'),(3559923712,'ru'),(3559931904,'il'),(3559940096,'de'),(3559948288,'ru'),(3559956480,'it'),(3559964672,'ru'),(3559972864,'tr'),(3559981056,'eu'),(3559989248,'pl'),(3560005632,'ru'),(3560013824,'es'),(3560030208,'gb'),(3560046592,'bg'),(3560054784,'tr'),(3560062976,'bg'),(3560071168,'cy'),(3560079360,'fi'),(3560087552,'gb'),(3560095744,'fi'),(3560103936,'ir'),(3560112128,'de'),(3560120320,'es'),(3560128512,'hu'),(3560144896,'ch'),(3560153088,'fr'),(3560161280,'pl'),(3560169472,'at'),(3560177664,'nl'),(3560185856,'lt'),(3560194048,'it'),(3560218624,'hu'),(3560226816,'at'),(3560235008,'de'),(3560243200,'be'),(3560247296,'nl'),(3560251392,'ru'),(3560259584,'gb'),(3560267776,'se'),(3560275968,'de'),(3560308736,'fi'),(3560316928,'nl'),(3560325120,'dk'),(3560333312,'ro'),(3560341504,'pt'),(3560349696,'gb'),(3560357888,'gr'),(3560366080,'ch'),(3560374272,'es'),(3560382464,'fo'),(3560390656,'ru'),(3560407040,'pt'),(3560423424,'ch'),(3560431616,'sk'),(3560439808,'bg'),(3560448000,'gb'),(3560472576,'mt'),(3560480768,'it'),(3560488960,'md'),(3560497152,'lu'),(3560505344,'tr'),(3560513536,'gb'),(3560521728,'pt'),(3560529920,'ru'),(3560562688,'gb'),(3560570880,'tr'),(3560579072,'gb'),(3560587264,'de'),(3560595456,'ge'),(3560603648,'gb'),(3560611840,'ua'),(3560620032,'ru'),(3560628224,'gb'),(3560636416,'lt'),(3560644608,'de'),(3560652800,'gb'),(3560660992,'ru'),(3560669184,'ch'),(3560685568,'es'),(3560693760,'pl'),(3560701952,'de'),(3560710144,'ch'),(3560726528,'dk'),(3560734720,'de'),(3560742912,'at'),(3560751104,'de'),(3560767488,'nl'),(3560833024,'eu'),(3560841216,'cs'),(3560849408,'de'),(3560857600,'sa'),(3560865792,'fr'),(3560882176,'de'),(3560890368,'no'),(3560898560,'fi'),(3560906752,'de'),(3560923136,'es'),(3560931328,'de'),(3560947712,'se'),(3560955904,'be'),(3560964096,'nl'),(3560996864,'sa'),(3561005056,'es'),(3561013248,'tr'),(3561021440,'de'),(3561037824,'be'),(3561046016,'ru'),(3561054208,'mt'),(3561062400,'tr'),(3561070592,'ch'),(3561078784,'cz'),(3561095168,'de'),(3561103360,'ua'),(3561111552,'lu'),(3561119744,'it'),(3561127936,'de'),(3561136128,'es'),(3561144320,'fi'),(3561152512,'it'),(3561160704,'ru'),(3561168896,'fr'),(3561177088,'cz'),(3561185280,'gb'),(3561193472,'pl'),(3561201664,'nl'),(3561209856,'gb'),(3561218048,'at'),(3561226240,'fi'),(3561234432,'tr'),(3561242624,'de'),(3561259008,'il'),(3561267200,'ua'),(3561275392,'be'),(3561291776,'cs'),(3561299968,'gb'),(3561308160,'pl'),(3561316352,'ru'),(3561324544,'it'),(3561332736,'de'),(3561340928,'gb'),(3561357312,'dk'),(3561365504,'sa'),(3561373696,'gb'),(3561381888,'at'),(3561390080,'bg'),(3561398272,'lv'),(3561406464,'gr'),(3561414656,'it'),(3561422848,'be'),(3561431040,'sa'),(3561439232,'no'),(3561447424,'ch'),(3561455616,'cz'),(3561472000,'de'),(3561480192,'gb'),(3561488384,'om'),(3561496576,'gb'),(3561504768,'de'),(3561512960,'si'),(3561521152,'ge'),(3561529344,'de'),(3561537536,'bg'),(3561545728,'nl'),(3561553920,'se'),(3561562112,'es'),(3561570304,'am'),(3561578496,'ru'),(3561586688,'bg'),(3561594880,'se'),(3561603072,'gb'),(3561652224,'ch'),(3561668608,'ru'),(3561684992,'bg'),(3561693184,'de'),(3561701376,'se'),(3561709568,'pl'),(3561717760,'ru'),(3561725952,'es'),(3561734144,'ru'),(3561742336,'ae'),(3561750528,'kz'),(3561758720,'pl'),(3561766912,'sa'),(3561775104,'il'),(3561791488,'ru'),(3561799680,'de'),(3561807872,'be'),(3561816064,'va'),(3561824256,'li'),(3561832448,'it'),(3561840640,'pl'),(3561848832,'ru'),(3561857024,'de'),(3561865216,'qa'),(3561873408,'de'),(3561881600,'it'),(3561889792,'fr'),(3561897984,'gb'),(3561906176,'de'),(3561914368,'es'),(3561922560,'gb'),(3561930752,'de'),(3561938944,'ie'),(3561947136,'de'),(3561963520,'be'),(3561971712,'tr'),(3561979904,'es'),(3561988096,'de'),(3562004480,'nl'),(3562012672,'ir'),(3562020864,'ua'),(3562029056,'cz'),(3562037248,'ch'),(3562045440,'es'),(3562061824,'it'),(3562070016,'de'),(3562078208,'sk'),(3562086400,'se'),(3562094592,'fr'),(3562110976,'es'),(3562143744,'gb'),(3562151936,'de'),(3562160128,'gb'),(3562176512,'eu'),(3562184704,'de'),(3562192896,'ua'),(3562201088,'de'),(3562209280,'ru'),(3562217472,'de'),(3562225664,'nl'),(3562233856,'fi'),(3562242048,'fr'),(3562258432,'nl'),(3562283008,'it'),(3562291200,'gb'),(3562307584,'nl'),(3562315776,'gb'),(3562323968,'de'),(3562340352,'gb'),(3562348544,'es'),(3562356736,'se'),(3562364928,'pl'),(3562373120,'fr'),(3562381312,'it'),(3562397696,'gb'),(3562405888,'fi'),(3562414080,'de'),(3562422272,'gb'),(3562430464,'ua'),(3562438656,'de'),(3562463232,'ua'),(3562471424,'pl'),(3562479616,'de'),(3562487808,'gb'),(3562496000,'be'),(3562504192,'de'),(3562512384,'ua'),(3562520576,'es'),(3562528768,'pl'),(3562536960,'at'),(3562545152,'gb'),(3562553344,'dk'),(3562569728,'de'),(3562577920,'at'),(3562586112,'de'),(3562594304,'be'),(3562602496,'es'),(3562610688,'no'),(3562618880,'gb'),(3562627072,'de'),(3562643456,'at'),(3562651648,'de'),(3562659840,'sk'),(3562668032,'it'),(3562676224,'gb'),(3562684416,'fi'),(3562692608,'ua'),(3562700800,'de'),(3562708992,'ua'),(3562717184,'ch'),(3562725376,'cz'),(3562733568,'pl'),(3562741760,'it'),(3562758144,'hr'),(3562766336,'se'),(3562774528,'bg'),(3562782720,'ru'),(3562790912,'de'),(3562799104,'hu'),(3562807296,'es'),(3562815488,'nl'),(3562823680,'ru'),(3562848256,'hr'),(3562856448,'ua'),(3562864640,'de'),(3562872832,'dk'),(3562881024,'gb'),(3562889216,'lv'),(3562897408,'ro'),(3562905600,'sa'),(3562921984,'si'),(3562930176,'ru'),(3562938368,'ch'),(3562946560,'fi'),(3562954752,'ru'),(3562962944,'it'),(3562971136,'fr'),(3562987520,'de'),(3562995712,'at'),(3563003904,'de'),(3563012096,'fr'),(3563020288,'de'),(3563028480,'ir'),(3563036672,'bg'),(3563044864,'es'),(3563053056,'gb'),(3563069440,'hu'),(3563077632,'se'),(3563085824,'ru'),(3563094016,'de'),(3563102208,'cz'),(3563110400,'ru'),(3563118592,'de'),(3563126784,'kg'),(3563134976,'it'),(3563143168,'gb'),(3563151360,'de'),(3563159552,'dk'),(3563167744,'es'),(3563175936,'dk'),(3563192320,'tr'),(3563200512,'ch'),(3563208704,'dk'),(3563225088,'lb'),(3563233280,'by'),(3563241472,'tr'),(3563257856,'fr'),(3563290624,'de'),(3563315200,'dk'),(3563323392,'eu'),(3563331584,'de'),(3563347968,'gb'),(3563356160,'ru'),(3563364352,'be'),(3563372544,'sa'),(3563380736,'gb'),(3563388928,'ch'),(3563397120,'de'),(3563405312,'es'),(3563413504,'tr'),(3563421696,'si'),(3563438080,'de'),(3563446272,'lb'),(3563454464,'sa'),(3563462656,'it'),(3563479040,'gb'),(3563487232,'cs'),(3563495424,'de'),(3563503616,'gb'),(3563511808,'de'),(3563520000,'fr'),(3563528192,'de'),(3563536384,'ch'),(3563544576,'ru'),(3563552768,'si'),(3563569152,'it'),(3563577344,'gb'),(3563585536,'it'),(3563601920,'gr'),(3563610112,'bg'),(3563618304,'gb'),(3563626496,'es'),(3563634688,'nl'),(3563651072,'se'),(3563683840,'be'),(3563692032,'gb'),(3563700224,'de'),(3563708416,'hu'),(3563716608,'pl'),(3563724800,'ru'),(3563732992,'ps'),(3563741184,'gb'),(3563749376,'pl'),(3563765760,'es'),(3563782144,'gr'),(3563790336,'se'),(3563798528,'fr'),(3563806720,'sa'),(3563814912,'se'),(3563823104,'de'),(3563831296,'ru'),(3563847680,'es'),(3563855872,'at'),(3563864064,'gb'),(3563872256,'ru'),(3563880448,'tr'),(3563888640,'de'),(3563896832,'hu'),(3563913216,'se'),(3563921408,'ua'),(3563929600,'ch'),(3563937792,'tr'),(3563945984,'pl'),(3563954176,'it'),(3563962368,'ru'),(3563970560,'tr'),(3563978752,'it'),(3563995136,'mk'),(3564003328,'de'),(3564011520,'ua'),(3564019712,'gb'),(3564027904,'de'),(3564044288,'cz'),(3564052480,'gb'),(3564060672,'ru'),(3564068864,'es'),(3564077056,'gb'),(3564093440,'ua'),(3564101632,'de'),(3564109824,'se'),(3564126208,'it'),(3564134400,'kg'),(3564142592,'dk'),(3564150784,'se'),(3564158976,'de'),(3564175360,'gb'),(3564183552,'ua'),(3564191744,'be'),(3564199936,'ru'),(3564208128,'gb'),(3564216320,'pt'),(3564224512,'gb'),(3564232704,'ru'),(3564249088,'de'),(3564265472,'gr'),(3564273664,'de'),(3564306432,'tr'),(3564314624,'gb'),(3564322816,'it'),(3564331008,'es'),(3564339200,'gb'),(3564355584,'nl'),(3564363776,'ua'),(3564371968,'de'),(3564380160,'fi'),(3564388352,'se'),(3564396544,'ru'),(3564404736,'bg'),(3564412928,'il'),(3564421120,'sa'),(3564429312,'kz'),(3564437504,'lt'),(3564445696,'bg'),(3564453888,'de'),(3564462080,'ch'),(3564470272,'il'),(3564478464,'lu'),(3564486656,'ch'),(3564494848,'eu'),(3564503040,'jo'),(3564511232,'ru'),(3564519424,'si'),(3564527616,'sa'),(3564544000,'de'),(3564560384,'gb'),(3564568576,'eu'),(3564576768,'ru'),(3564584960,'sa'),(3564593152,'ru'),(3564601344,'se'),(3564609536,'ru'),(3564634112,'mk'),(3564642304,'ch'),(3564650496,'nl'),(3564666880,'ie'),(3564675072,'ru'),(3564683264,'ir'),(3564691456,'gi'),(3564699648,'gb'),(3564716032,'it'),(3564724224,'nl'),(3564732416,'gb'),(3564740608,'fr'),(3564748800,'gb'),(3564756992,'es'),(3564765184,'ru'),(3564773376,'de'),(3564781568,'lt'),(3564789760,'es'),(3564797952,'de'),(3564806144,'bg'),(3564814336,'pl'),(3564830720,'be'),(3564838912,'de'),(3564847104,'it'),(3564855296,'de'),(3564863488,'nl'),(3564879872,'gb'),(3564896256,'ru'),(3564904448,'de'),(3564912640,'bg'),(3564920832,'ru'),(3564929024,'at'),(3564937216,'rs'),(3564945408,'gb'),(3564961792,'tr'),(3564969984,'de'),(3564978176,'gb'),(3564986368,'de'),(3564994560,'nl'),(3565002752,'no'),(3565027328,'pl'),(3565035520,'ie'),(3565043712,'at'),(3565051904,'gb'),(3565068288,'ch'),(3565076480,'de'),(3565084672,'is'),(3565092864,'gb'),(3565101056,'de'),(3565109248,'pl'),(3565117440,'tr'),(3565125632,'nl'),(3565158400,'es'),(3565223936,'fr'),(3565240320,'ie'),(3565248512,'ru'),(3565256704,'nl'),(3565289472,'dk'),(3565355008,'it'),(3565420544,'gb'),(3565518848,'tr'),(3565551616,'gb'),(3565682688,'nl'),(3565748224,'eu'),(3565813760,'sa'),(3565879296,'gb'),(3566010368,'it'),(3566075904,'nl'),(3566092288,'lv'),(3566108672,'es'),(3566141440,'il'),(3566206976,'de'),(3566272512,'es'),(3566338048,'fi'),(3566354432,'ro'),(3566370816,'tr'),(3566403584,'ch'),(3566436352,'ie'),(3566469120,'gb'),(3566534656,'de'),(3566551040,'fi'),(3566600192,'il'),(3566665728,'se'),(3566739456,'ru'),(3566747648,'gr'),(3566764032,'at'),(3566796800,'nl'),(3566862336,'tr'),(3566895104,'kz'),(3566927872,'fr'),(3566993408,'tr'),(3567058944,'fr'),(3567124480,'eu'),(3567157248,'cz'),(3567165440,'ru'),(3567169536,'mk'),(3567173632,'gb'),(3567239168,'eu'),(3567255552,'pl'),(3567321088,'gb'),(3567353856,'ch'),(3567386624,'gb'),(3567403008,'it'),(3567419392,'sa'),(3567427584,'se'),(3567435776,'gb'),(3567452160,'es'),(3567517696,'ru'),(3567583232,'eu'),(3567591424,'it'),(3567599616,'nl'),(3567648768,'be'),(3567665152,'es'),(3567673344,'at'),(3567681536,'es'),(3567714304,'eu'),(3567779840,'de'),(3567845376,'gb'),(3567861760,'no'),(3567878144,'es'),(3567976448,'it'),(3568041984,'de'),(3568107520,'gb'),(3568173056,'tr'),(3568304128,'ru'),(3568369664,'it'),(3568435200,'ua'),(3568443392,'nl'),(3568476160,'dk'),(3568484352,'nl'),(3568492544,'rs'),(3568500736,'il'),(3568566272,'fr'),(3568599040,'pl'),(3568631808,'se'),(3568697344,'pl'),(3568730112,'nl'),(3568746496,'fi'),(3568762880,'at'),(3568795648,'gb'),(3568803840,'it'),(3568812032,'es'),(3568828416,'de'),(3568959488,'at'),(3569025024,'nl'),(3569057792,'gb'),(3569090560,'ru'),(3569123328,'gb'),(3569156096,'nl'),(3569188864,'it'),(3569221632,'be'),(3569287168,'pl'),(3569352704,'ru'),(3569483776,'fr'),(3569614848,'gb'),(3569680384,'sk'),(3569713152,'at'),(3569729536,'fr'),(3569811456,'il'),(3569876992,'cs'),(3569942528,'de'),(3570073600,'nl'),(3570081792,'ch'),(3570089984,'gb'),(3570106368,'pl'),(3570139136,'de'),(3570171904,'nl'),(3570204672,'gr'),(3570270208,'nl'),(3570335744,'gb'),(3570401280,'fr'),(3570466816,'se'),(3570532352,'it'),(3570597888,'eu'),(3570630656,'de'),(3570663424,'gb'),(3570728960,'fi'),(3570794496,'se'),(3570860032,'ch'),(3570892800,'sa'),(3570925568,'it'),(3571023872,'se'),(3571056640,'de'),(3571122176,'gb'),(3571187712,'ru'),(3571253248,'gb'),(3571286016,'de'),(3571482624,'be'),(3571515392,'gb'),(3571548160,'es'),(3571580928,'fi'),(3571646464,'de'),(3571712000,'gb'),(3571843072,'es'),(3571974144,'sk'),(3572006912,'ch'),(3572039680,'be'),(3572056064,'ru'),(3572072448,'bg'),(3572105216,'fr'),(3572170752,'il'),(3572203520,'si'),(3572236288,'at'),(3572301824,'dk'),(3572367360,'nl'),(3572432896,'it'),(3572465664,'be'),(3572498432,'gb'),(3572563968,'kg'),(3572572160,'nl'),(3572580352,'at'),(3572596736,'gb'),(3572629504,'dk'),(3572695040,'ch'),(3572760576,'pl'),(3572826112,'it'),(3572891648,'fi'),(3572957184,'se'),(3573022720,'ru'),(3573055488,'gb'),(3573088256,'ch'),(3573153792,'gb'),(3573219328,'gr'),(3573252096,'no'),(3573284864,'tr'),(3573415936,'ch'),(3573481472,'de'),(3573547008,'es'),(3573612544,'gb'),(3573743616,'ch'),(3573809152,'es'),(3573874688,'pl'),(3573878784,'ru'),(3573882880,'dk'),(3573884928,'pl'),(3573886976,'ru'),(3573889024,'hr'),(3573891072,'nl'),(3573893120,'ru'),(3573897216,'gb'),(3573899264,'ru'),(3573901312,'cz'),(3573903360,'si'),(3573905408,'cz'),(3573907456,'ru'),(3573909504,'pl'),(3573940224,'ps'),(3574005760,'cy'),(3574071296,'il'),(3574136832,'de'),(3574169600,'es'),(3574202368,'nl'),(3574267904,'fr'),(3574333440,'eu'),(3574398976,'pt'),(3574464512,'tr'),(3574530048,'se'),(3574595584,'fr'),(3574603776,'bg'),(3574611968,'hu'),(3574628352,'gr'),(3574661120,'nl'),(3574693888,'pl'),(3574726656,'gb'),(3574792192,'cz'),(3574824960,'gb'),(3574857728,'de'),(3574923264,'ru'),(3574939648,'se'),(3574956032,'it'),(3574972416,'lv'),(3574988800,'pt'),(3575054336,'de'),(3575119872,'ru'),(3575185408,'pl'),(3575250944,'it'),(3575316480,'ru'),(3575349248,'gb'),(3575382016,'fi'),(3575447552,'cz'),(3575513088,'pt'),(3575545856,'fr'),(3575562240,'de'),(3575578624,'eu'),(3575644160,'dk'),(3575709696,'at'),(3575742464,'ru'),(3575775232,'nl'),(3575824384,'kw'),(3575832576,'nl'),(3575840768,'gb'),(3575873536,'ee'),(3575906304,'fr'),(3575971840,'es'),(3576037376,'eu'),(3576102912,'fr'),(3576119296,'gb'),(3576127488,'fr'),(3576131584,'gb'),(3576135680,'de'),(3576168448,'gb'),(3576266752,'fr'),(3576299520,'ae'),(3576365056,'tr'),(3576430592,'fr'),(3576496128,'it'),(3576561664,'nl'),(3576627200,'at'),(3576692736,'gb'),(3576758272,'be'),(3576823808,'se'),(3576889344,'nl'),(3576954880,'no'),(3576987648,'gb'),(3577020416,'nl'),(3577085952,'de'),(3577151488,'gb'),(3577184256,'ch'),(3577217024,'fr'),(3577282560,'il'),(3577348096,'pt'),(3577413632,'ru'),(3577479168,'es'),(3577544704,'gb'),(3577610240,'eu'),(3577675776,'pt'),(3577741312,'se'),(3578003456,'de'),(3578265600,'gb'),(3578331136,'pl'),(3578339328,'es'),(3578347520,'de'),(3578363904,'nl'),(3578396672,'tr'),(3578462208,'nl'),(3578527744,'pl'),(3578658816,'gb'),(3578724352,'ru'),(3578732544,'ie'),(3578740736,'ru'),(3578757120,'se'),(3578822656,'ru'),(3578855424,'gb'),(3578888192,'sk'),(3578920960,'it'),(3578986496,'de'),(3579002880,'gb'),(3579019264,'dk'),(3579052032,'nl'),(3579117568,'ru'),(3579183104,'gb'),(3579248640,'ru'),(3579314176,'it'),(3579346944,'se'),(3579445248,'at'),(3579478016,'fr'),(3579527168,'ba'),(3579543552,'bg'),(3579576320,'it'),(3579609088,'pl'),(3579641856,'nl'),(3579707392,'es'),(3579723776,'at'),(3579740160,'ie'),(3579772928,'de'),(3579838464,'es'),(3580100608,'se'),(3580362752,'gb'),(3580624896,'ru'),(3580626944,'pl'),(3580628992,'ru'),(3580631040,'nl'),(3580633088,'ru'),(3580635136,'ua'),(3580637184,'ru'),(3580641280,'fr'),(3580643328,'ua'),(3580645376,'pl'),(3580647424,'at'),(3580649472,'se'),(3580651520,'nl'),(3580653568,'pl'),(3580655616,'sk'),(3580657664,'ru'),(3580663808,'pl'),(3580665856,'cz'),(3580667904,'ru'),(3580669952,'ua'),(3580672000,'ru'),(3580682240,'pl'),(3580684288,'eu'),(3580686336,'bg'),(3580688384,'ru'),(3580698624,'pl'),(3580702720,'ru'),(3580710912,'ua'),(3580715008,'ru'),(3580719104,'nl'),(3580723200,'ua'),(3580727296,'cz'),(3580731392,'ro'),(3580739584,'cz'),(3580743680,'ua'),(3580747776,'cz'),(3580751872,'gb'),(3580755968,'ru'),(3580772352,'lv'),(3580780544,'ua'),(3580805120,'ru'),(3580813312,'cz'),(3580821504,'fr'),(3580887040,'se'),(3581149184,'eu'),(3581280256,'be'),(3581411328,'gb'),(3581673472,'nl'),(3581935616,'ru'),(3581943808,'fr'),(3581952000,'tr'),(3581960192,'de'),(3581976576,'no'),(3581984768,'ru'),(3581992960,'gb'),(3582001152,'dk'),(3582009344,'ru'),(3582017536,'gb'),(3582025728,'ru'),(3582033920,'cz'),(3582042112,'es'),(3582050304,'nl'),(3582058496,'at'),(3582066688,'ua'),(3582074880,'eu'),(3582083072,'bg'),(3582091264,'qa'),(3582099456,'gb'),(3582107648,'nl'),(3582115840,'se'),(3582124032,'fi'),(3582132224,'ru'),(3582140416,'ge'),(3582156800,'gb'),(3582164992,'se'),(3582173184,'gb'),(3582181376,'de'),(3582197760,'dk'),(3582205952,'ae'),(3582214144,'ru'),(3582222336,'se'),(3582230528,'be'),(3582238720,'nl'),(3582255104,'kw'),(3582263296,'me'),(3582271488,'nl'),(3582279680,'gb'),(3582287872,'de'),(3582296064,'im'),(3582304256,'ua'),(3582312448,'gb'),(3582320640,'ch'),(3582328832,'hu'),(3582337024,'es'),(3582345216,'it'),(3582353408,'se'),(3582361600,'pl'),(3582377984,'ru'),(3582386176,'nl'),(3582394368,'de'),(3582402560,'pl'),(3582410752,'ru'),(3582435328,'mk'),(3582443520,'de'),(3582451712,'lu'),(3582459904,'nl'),(3582468096,'se'),(3582476288,'de'),(3582492672,'it'),(3582509056,'sa'),(3582517248,'pl'),(3582525440,'gb'),(3582533632,'bg'),(3582541824,'il'),(3582550016,'cs'),(3582558208,'mc'),(3582566400,'eu'),(3582574592,'de'),(3582582784,'ru'),(3582590976,'fr'),(3582599168,'de'),(3582607360,'ru'),(3582615552,'cy'),(3582623744,'fi'),(3582631936,'no'),(3582640128,'ru'),(3582648320,'pt'),(3582656512,'es'),(3582664704,'jo'),(3582672896,'de'),(3582681088,'fr'),(3582689280,'de'),(3582697472,'fi'),(3582705664,'tr'),(3582722048,'it'),(3582730240,'es'),(3582738432,'dk'),(3582746624,'ru'),(3582754816,'gr'),(3582763008,'fi'),(3582771200,'it'),(3582779392,'ru'),(3582787584,'pt'),(3582795776,'es'),(3582803968,'se'),(3582812160,'fi'),(3582820352,'ru'),(3582828544,'kz'),(3582836736,'ru'),(3582853120,'se'),(3582861312,'ru'),(3582869504,'no'),(3582877696,'at'),(3582885888,'tr'),(3582894080,'ch'),(3582902272,'ru'),(3582910464,'si'),(3582918656,'gb'),(3582926848,'es'),(3582935040,'si'),(3582943232,'at'),(3582951424,'gb'),(3582959616,'fi'),(3582967808,'de'),(3582976000,'tr'),(3582984192,'de'),(3582992384,'es'),(3583000576,'it'),(3583008768,'tr'),(3583016960,'ch'),(3583025152,'it'),(3583033344,'fr'),(3583041536,'nl'),(3583049728,'it'),(3583057920,'ru'),(3583066112,'de'),(3583074304,'bg'),(3583082496,'kg'),(3583090688,'no'),(3583098880,'fi'),(3583107072,'at'),(3583115264,'ch'),(3583123456,'pl'),(3583131648,'se'),(3583139840,'de'),(3583148032,'gb'),(3583156224,'eu'),(3583164416,'pt'),(3583172608,'de'),(3583188992,'ru'),(3583205376,'hr'),(3583213568,'ru'),(3583221760,'at'),(3583229952,'ru'),(3583238144,'gb'),(3583246336,'ru'),(3583254528,'gb'),(3583262720,'tr'),(3583270912,'nl'),(3583279104,'de'),(3583287296,'ru'),(3583295488,'es'),(3583303680,'nl'),(3583311872,'ru'),(3583320064,'hr'),(3583328256,'de'),(3583336448,'cs'),(3583344640,'bg'),(3583352832,'cy'),(3583361024,'it'),(3583369216,'es'),(3583377408,'at'),(3583385600,'dk'),(3583393792,'ru'),(3583410176,'se'),(3583434752,'at'),(3583442944,'ua'),(3583451136,'il'),(3583459328,'cz'),(3583467520,'es'),(3583475712,'no'),(3583483904,'fr'),(3583492096,'sk'),(3583508480,'fr'),(3583516672,'gb'),(3583533056,'de'),(3583541248,'ru'),(3583549440,'it'),(3583565824,'gb'),(3583574016,'no'),(3583582208,'at'),(3583590400,'de'),(3583598592,'se'),(3583606784,'tr'),(3583664128,'ro'),(3583680512,'ru'),(3583688704,'ua'),(3583696896,'nl'),(3583705088,'ua'),(3583713280,'cz'),(3583721472,'de'),(3583729664,'tr'),(3583737856,'eu'),(3583746048,'pl'),(3583754240,'it'),(3583762432,'cz'),(3583770624,'nl'),(3583778816,'it'),(3583787008,'ua'),(3583795200,'pl'),(3583803392,'ru'),(3583811584,'de'),(3583819776,'ru'),(3583827968,'ch'),(3583836160,'de'),(3583844352,'kz'),(3583852544,'fi'),(3583860736,'hu'),(3583868928,'at'),(3583877120,'ro'),(3583885312,'ge'),(3583893504,'si'),(3583901696,'ru'),(3583909888,'se'),(3583918080,'it'),(3583926272,'de'),(3583934464,'ch'),(3583950848,'pl'),(3583959040,'no'),(3583967232,'nl'),(3583975424,'lt'),(3583983616,'ru'),(3584000000,'ie'),(3584008192,'se'),(3584016384,'ru'),(3584024576,'ua'),(3584032768,'de'),(3584040960,'ch'),(3584049152,'de'),(3584057344,'gb'),(3584065536,'ua'),(3584073728,'sk'),(3584081920,'nl'),(3584098304,'si'),(3584106496,'fi'),(3584114688,'gb'),(3584122880,'pl'),(3584131072,'tr'),(3584139264,'no'),(3584147456,'fr'),(3584155648,'no'),(3584163840,'ch'),(3584172032,'fr'),(3584180224,'at'),(3584188416,'gb'),(3584196608,'de'),(3584204800,'nl'),(3584212992,'es'),(3584221184,'no'),(3584229376,'hu'),(3584245760,'nl'),(3584253952,'cs'),(3584262144,'se'),(3584270336,'fr'),(3584278528,'gb'),(3584286720,'at'),(3584294912,'gb'),(3584303104,'es'),(3584311296,'de'),(3584319488,'lt'),(3584327680,'de'),(3584335872,'es'),(3584344064,'se'),(3584352256,'ro'),(3584360448,'gb'),(3584368640,'lb'),(3584376832,'de'),(3584393216,'gb'),(3584401408,'mt'),(3584409600,'ru'),(3584417792,'gb'),(3584434176,'lu'),(3584442368,'gb'),(3584450560,'eu'),(3584458752,'sa'),(3584466944,'no'),(3584475136,'fr'),(3584483328,'de'),(3584491520,'bg'),(3584499712,'ru'),(3584507904,'gb'),(3584516096,'no'),(3584524288,'is'),(3584532480,'de'),(3584540672,'ru'),(3584548864,'es'),(3584557056,'ee'),(3584565248,'ru'),(3584573440,'de'),(3584589824,'ru'),(3584598016,'cz'),(3584606208,'de'),(3584614400,'gb'),(3584622592,'fi'),(3584630784,'bg'),(3584638976,'ua'),(3584647168,'lu'),(3584655360,'cy'),(3584663552,'fr'),(3584671744,'nl'),(3584688128,'gb'),(3584696320,'es'),(3584704512,'ru'),(3584720896,'gb'),(3584729088,'de'),(3584737280,'gr'),(3584745472,'dk'),(3584753664,'ru'),(3584770048,'nl'),(3584778240,'it'),(3584786432,'nl'),(3584794624,'it'),(3584802816,'gb'),(3584811008,'es'),(3584819200,'ru'),(3584827392,'es'),(3584835584,'az'),(3584843776,'de'),(3584860160,'pl'),(3584868352,'no'),(3584876544,'si'),(3584884736,'de'),(3584892928,'il'),(3584901120,'at'),(3584909312,'it'),(3584917504,'fi'),(3584925696,'gb'),(3584933888,'se'),(3584942080,'dk'),(3584950272,'bg'),(3584958464,'de'),(3584966656,'dk'),(3584974848,'fr'),(3584983040,'ua'),(3584991232,'it'),(3584999424,'gb'),(3585007616,'at'),(3585015808,'it'),(3585024000,'cz'),(3585032192,'lv'),(3585048576,'gb'),(3585056768,'lb'),(3585064960,'gb'),(3585081344,'ir'),(3585114112,'is'),(3585122304,'es'),(3585130496,'fr'),(3585138688,'ru'),(3585146880,'ro'),(3585155072,'gb'),(3585163264,'be'),(3585171456,'ru'),(3585179648,'be'),(3585196032,'es'),(3585204224,'gb'),(3585212416,'de'),(3585220608,'ru'),(3585228800,'de'),(3585236992,'hu'),(3585245184,'gb'),(3585253376,'de'),(3585261568,'it'),(3585269760,'sy'),(3585277952,'se'),(3585286144,'no'),(3585294336,'de'),(3585302528,'es'),(3585310720,'de'),(3585327104,'de'),(3585335296,'ua'),(3585343488,'ee'),(3585351680,'cz'),(3585359872,'se'),(3585368064,'lv'),(3585376256,'pl'),(3585384448,'ch'),(3585392640,'ru'),(3585400832,'fr'),(3585409024,'ru'),(3585417216,'be'),(3585433600,'is'),(3585441792,'sk'),(3585449984,'sa'),(3585458176,'hu'),(3585474560,'de'),(3585482752,'fr'),(3585490944,'it'),(3585499136,'de'),(3585515520,'ru'),(3585523712,'lv'),(3585531904,'at'),(3585540096,'de'),(3585548288,'ru'),(3585556480,'de'),(3585564672,'ru'),(3585572864,'it'),(3585581056,'de'),(3585597440,'ru'),(3585605632,'pl'),(3585613824,'ee'),(3585622016,'ru'),(3585630208,'rs'),(3585638400,'ru'),(3585646592,'sa'),(3585654784,'no'),(3585662976,'by'),(3585671168,'se'),(3585679360,'fi'),(3585687552,'de'),(3585695744,'gb'),(3585703936,'de'),(3585712128,'gb'),(3585720320,'eu'),(3585728512,'se'),(3585736704,'gb'),(3585744896,'fr'),(3585753088,'pl'),(3585761280,'ua'),(3585769472,'tr'),(3585777664,'jo'),(3585785856,'ua'),(3585794048,'fi'),(3585810432,'gb'),(3585818624,'de'),(3585826816,'ru'),(3585835008,'nl'),(3585843200,'no'),(3585851392,'se'),(3585859584,'de'),(3585867776,'no'),(3585875968,'ch'),(3585884160,'jo'),(3585892352,'de'),(3585900544,'no'),(3585908736,'fr'),(3585916928,'it'),(3585925120,'ch'),(3585933312,'nl'),(3585949696,'kw'),(3585957888,'se'),(3585966080,'ch'),(3585974272,'be'),(3585982464,'ru'),(3585998848,'es'),(3586007040,'lt'),(3586015232,'fr'),(3586023424,'is'),(3586031616,'ie'),(3586039808,'gb'),(3586048000,'pt'),(3586056192,'ru'),(3586072576,'de'),(3586088960,'cz'),(3586097152,'hr'),(3586105344,'eu'),(3586113536,'bg'),(3586121728,'ie'),(3586129920,'cz'),(3586146304,'pl'),(3586162688,'fi'),(3586179072,'es'),(3586195456,'de'),(3586211840,'ch'),(3586228224,'be'),(3586244608,'nl'),(3586260992,'es'),(3586277376,'tr'),(3586293760,'es'),(3586310144,'cz'),(3586326528,'ir'),(3586342912,'es'),(3586359296,'pl'),(3586375680,'cz'),(3586392064,'nl'),(3586408448,'ba'),(3586424832,'ch'),(3586441216,'de'),(3586457600,'nl'),(3586473984,'hu'),(3586490368,'lt'),(3586506752,'nl'),(3586523136,'eu'),(3586555904,'it'),(3586572288,'rs'),(3586588672,'it'),(3586596864,'gb'),(3586605056,'se'),(3586621440,'gb'),(3586637824,'pl'),(3586654208,'ge'),(3586662400,'ua'),(3586670592,'eu'),(3586686976,'se'),(3586703360,'ch'),(3586719744,'es'),(3586752512,'nl'),(3586785280,'ru'),(3586793472,'ch'),(3586801664,'hr'),(3586818048,'ie'),(3586834432,'de'),(3586850816,'no'),(3586867200,'fr'),(3586883584,'it'),(3586899968,'de'),(3586916352,'it'),(3586924544,'fi'),(3586932736,'lb'),(3586949120,'se'),(3586965504,'nl'),(3586981888,'it'),(3586998272,'pt'),(3587006464,'fr'),(3587014656,'gb'),(3587055616,'uz'),(3587063808,'nl'),(3587080192,'gb'),(3587088384,'de'),(3587096576,'nl'),(3587121152,'al'),(3587129344,'nl'),(3587145728,'cy'),(3587162112,'ir'),(3587178496,'at'),(3587186688,'de'),(3587194880,'gb'),(3587211264,'at'),(3587219456,'ru'),(3587227648,'gb'),(3587244032,'it'),(3587260416,'de'),(3587284992,'it'),(3587309568,'gb'),(3587325952,'ru'),(3587342336,'cz'),(3587358720,'sa'),(3587375104,'tr'),(3587383296,'cz'),(3587391488,'kz'),(3587407872,'nl'),(3587424256,'de'),(3587440640,'se'),(3587457024,'gb'),(3587473408,'it'),(3587506176,'it'),(3587538944,'is'),(3587547136,'ch'),(3587555328,'be'),(3587571712,'de'),(3587579904,'be'),(3587588096,'bg'),(3587596288,'nl'),(3587604480,'fi'),(3587620864,'se'),(3587637248,'fr'),(3587653632,'sk'),(3587670016,'gb'),(3587702784,'de'),(3587710976,'cz'),(3587719168,'pl'),(3587735552,'eu'),(3587751936,'fi'),(3587768320,'de'),(3587776512,'ir'),(3587784704,'de'),(3587801088,'it'),(3587817472,'mt'),(3587833856,'de'),(3587842048,'it'),(3587850240,'pl'),(3587866624,'fr'),(3587874816,'de'),(3587883008,'gb'),(3587915776,'ee'),(3587932160,'be'),(3587948544,'ru'),(3587964928,'es'),(3587981312,'is'),(3587997696,'de'),(3588014080,'cz'),(3588030464,'ru'),(3588046848,'de'),(3588063232,'ch'),(3588071424,'gb'),(3588079616,'ch'),(3588096000,'nl'),(3588104192,'bg'),(3588112384,'fr'),(3588128768,'hu'),(3588145152,'pl'),(3588161536,'fr'),(3588227072,'be'),(3588292608,'at'),(3588308992,'no'),(3588325376,'gb'),(3588333568,'fr'),(3588341760,'it'),(3588358144,'bg'),(3588374528,'se'),(3588390912,'lt'),(3588407296,'cz'),(3588423680,'es'),(3588440064,'pl'),(3588456448,'nl'),(3588464640,'at'),(3588472832,'ua'),(3588489216,'fr'),(3588505600,'ru'),(3588521984,'pt'),(3588538368,'gb'),(3588554752,'at'),(3588571136,'gb'),(3588603904,'si'),(3588620288,'sa'),(3588628480,'ch'),(3588636672,'uz'),(3588653056,'it'),(3588661248,'no'),(3588669440,'gb'),(3588685824,'ua'),(3588702208,'es'),(3588718592,'bg'),(3588734976,'pl'),(3588751360,'tr'),(3588767744,'gb'),(3588784128,'ch'),(3588800512,'ru'),(3588816896,'it'),(3588833280,'ro'),(3588849664,'ie'),(3588857856,'ir'),(3588866048,'nl'),(3588882432,'ru'),(3588890624,'gb'),(3588898816,'no'),(3588915200,'it'),(3588931584,'ru'),(3588947968,'gb'),(3588964352,'cz'),(3588997120,'at'),(3589013504,'es'),(3589021696,'sa'),(3589029888,'es'),(3589046272,'no'),(3589079040,'dk'),(3589128192,'gb'),(3589144576,'ua'),(3589152768,'de'),(3589160960,'pl'),(3589177344,'tr'),(3589193728,'se'),(3589210112,'eu'),(3589226496,'no'),(3589242880,'nl'),(3589259264,'de'),(3589275648,'rs'),(3589292032,'at'),(3589308416,'de'),(3589324800,'bg'),(3589341184,'pl'),(3589373952,'de'),(3589390336,'ru'),(3589423104,'gb'),(3589439488,'se'),(3589455872,'ru'),(3589472256,'tr'),(3589488640,'ru'),(3589505024,'fi'),(3589521408,'it'),(3589537792,'fr'),(3589545984,'de'),(3589554176,'ps'),(3589570560,'gb'),(3589586944,'rs'),(3589603328,'fr'),(3589668864,'ru'),(3589677056,'fr'),(3589685248,'gb'),(3589742592,'nl'),(3589767168,'ru'),(3589816320,'eu'),(3589832704,'tr'),(3589849088,'gb'),(3589865472,'gr'),(3589881856,'nl'),(3589890048,'gb'),(3589931008,'si'),(3589947392,'fi'),(3589963776,'es'),(3589980160,'cz'),(3589996544,'gb'),(3590012928,'be'),(3590029312,'fr'),(3590045696,'ru'),(3590062080,'de'),(3590078464,'ru'),(3590094848,'de'),(3590111232,'lt'),(3590127616,'gb'),(3590144000,'si'),(3590160384,'gb'),(3590176768,'hu'),(3590193152,'it'),(3590201344,'de'),(3590209536,'es'),(3590225920,'tr'),(3590234112,'gb'),(3590242304,'eu'),(3590258688,'it'),(3590299648,'fi'),(3590307840,'gb'),(3640655872,'de'),(3641180160,'gb'),(3641188352,'tj'),(3641192448,'de'),(3641196544,'sa'),(3641200640,'ru'),(3641204736,'nl'),(3641208832,'jo'),(3641212928,'no'),(3641221120,'pl'),(3641229312,'ch'),(3641237504,'ru'),(3641241600,'gb'),(3641245696,'ua'),(3641249792,'de'),(3641262080,'it'),(3641266176,'ru'),(3641270272,'de'),(3641278464,'is'),(3641282560,'ru'),(3641286656,'pl'),(3641294848,'gb'),(3641298944,'se'),(3641303040,'bg'),(3641307136,'lt'),(3641311232,'de'),(3641315328,'dk'),(3641319424,'ru'),(3641323520,'de'),(3641331712,'es'),(3641335808,'se'),(3641344000,'gb'),(3641360384,'ro'),(3641368576,'gb'),(3641372672,'bg'),(3641376768,'it'),(3641380864,'ir'),(3641384960,'ch'),(3641389056,'de'),(3641393152,'kz'),(3641397248,'it'),(3641401344,'es'),(3641409536,'pl'),(3641417728,'ge'),(3641421824,'tj'),(3641425920,'de'),(3641430016,'ch'),(3641434112,'cz'),(3641442304,'gb'),(3641446400,'es'),(3641450496,'ru'),(3641454592,'sk'),(3641458688,'ru'),(3641462784,'uz'),(3641466880,'ru'),(3641470976,'md'),(3641475072,'it'),(3641479168,'gb'),(3641483264,'it'),(3641491456,'ua'),(3641499648,'sa'),(3641503744,'ru'),(3641507840,'no'),(3641516032,'hu'),(3641520128,'fr'),(3641524224,'de'),(3641528320,'es'),(3641532416,'ro'),(3641536512,'es'),(3641540608,'gb'),(3641548800,'de'),(3641552896,'at'),(3641556992,'de'),(3641561088,'ru'),(3641565184,'se'),(3641573376,'no'),(3641577472,'ru'),(3641581568,'es'),(3641585664,'ru'),(3641589760,'ch'),(3641597952,'az'),(3641602048,'de'),(3641606144,'gb'),(3641610240,'de'),(3641618432,'gb'),(3641622528,'ru'),(3641626624,'hr'),(3641630720,'at'),(3641634816,'ru'),(3641638912,'at'),(3641643008,'ru'),(3641647104,'es'),(3641651200,'ru'),(3641655296,'gb'),(3641659392,'fr'),(3641663488,'mt'),(3641667584,'gb'),(3641671680,'ru'),(3641679872,'gb'),(3641683968,'kz'),(3641688064,'ru'),(3641692160,'it'),(3641696256,'de'),(3641700352,'se'),(3641704448,'fr'),(3641708544,'ru'),(3641712640,'nl'),(3641716736,'gb'),(3641720832,'mk'),(3641729024,'dk'),(3641733120,'at'),(3641737216,'rs'),(3641741312,'es'),(3641745408,'de'),(3641753600,'se'),(3641757696,'gb'),(3641761792,'cy'),(3641765888,'es'),(3641769984,'no'),(3641774080,'de'),(3641778176,'pl'),(3641782272,'gb'),(3641786368,'se'),(3641790464,'lt'),(3641794560,'cs'),(3641798656,'ru'),(3641802752,'nl'),(3641806848,'tr'),(3641810944,'ru'),(3641819136,'de'),(3641823232,'no'),(3641827328,'bh'),(3641835520,'it'),(3641839616,'gb'),(3641843712,'es'),(3641847808,'it'),(3641851904,'nl'),(3641856000,'gb'),(3641860096,'it'),(3641868288,'ru'),(3641876480,'es'),(3641880576,'de'),(3641884672,'no'),(3641888768,'it'),(3641892864,'es'),(3641896960,'bg'),(3641901056,'ro'),(3641905152,'nl'),(3641909248,'at'),(3641913344,'fr'),(3641917440,'gr'),(3641925632,'ru'),(3641933824,'gb'),(3641937920,'it'),(3641942016,'de'),(3641950208,'fr'),(3641954304,'md'),(3641958400,'be'),(3641962496,'gb'),(3641966592,'it'),(3641970688,'gb'),(3641978880,'dk'),(3641982976,'ru'),(3641991168,'se'),(3641995264,'de'),(3641999360,'hu'),(3642003456,'de'),(3642007552,'ua'),(3642015744,'ch'),(3642019840,'ru'),(3642028032,'gb'),(3642032128,'ps'),(3642036224,'ru'),(3642040320,'by'),(3642048512,'il'),(3642056704,'ru'),(3642064896,'se'),(3642068992,'nl'),(3642073088,'lv'),(3642077184,'be'),(3642081280,'nl'),(3642085376,'ru'),(3642089472,'se'),(3642093568,'nl'),(3642097664,'gb'),(3642101760,'no'),(3642109952,'be'),(3642114048,'nl'),(3642118144,'gb'),(3642122240,'es'),(3642126336,'il'),(3642130432,'de'),(3642134528,'gb'),(3642138624,'ru'),(3642142720,'mt'),(3642146816,'de'),(3642150912,'it'),(3642163200,'nl'),(3642167296,'ru'),(3642171392,'jo'),(3642175488,'de'),(3642179584,'ru'),(3642187776,'dk'),(3642191872,'by'),(3642195968,'ru'),(3642204160,'gb'),(3642208256,'ru'),(3642212352,'ba'),(3642216448,'hu'),(3642220544,'gb'),(3642224640,'sk'),(3642228736,'de'),(3642232832,'cs'),(3642236928,'ch'),(3642241024,'de'),(3642245120,'lv'),(3642249216,'fr'),(3642253312,'fi'),(3642257408,'ru'),(3642261504,'gb'),(3642265600,'ir'),(3642269696,'ua'),(3642273792,'ru'),(3642277888,'de'),(3642290176,'al'),(3642294272,'gb'),(3642298368,'az'),(3642302464,'se'),(3642306560,'ir'),(3642310656,'de'),(3642314752,'ru'),(3642318848,'fi'),(3642322944,'at'),(3642327040,'de'),(3642331136,'ru'),(3642335232,'de'),(3642339328,'fr'),(3642343424,'ua'),(3642347520,'ru'),(3642355712,'se'),(3642359808,'ru'),(3642368000,'ch'),(3642376192,'rs'),(3642380288,'it'),(3642384384,'no'),(3642388480,'nl'),(3642392576,'am'),(3642396672,'md'),(3642404864,'ru'),(3642408960,'fr'),(3642413056,'gb'),(3642417152,'it'),(3642421248,'de'),(3642429440,'gb'),(3642433536,'cy'),(3642441728,'it'),(3642449920,'ch'),(3642454016,'it'),(3642458112,'ru'),(3642462208,'ua'),(3642466304,'se'),(3642474496,'de'),(3642478592,'hu'),(3642482688,'nl'),(3642486784,'gb'),(3642499072,'se'),(3642503168,'lv'),(3642507264,'fr'),(3642511360,'ru'),(3642515456,'de'),(3642519552,'it'),(3642523648,'gb'),(3642527744,'pl'),(3642531840,'dk'),(3642535936,'is'),(3642540032,'se'),(3642544128,'ru'),(3642552320,'eu'),(3642556416,'cz'),(3642560512,'kg'),(3642564608,'de'),(3642568704,'ru'),(3642572800,'it'),(3642576896,'ru'),(3642580992,'es'),(3642585088,'ru'),(3642593280,'at'),(3642597376,'it'),(3642601472,'ru'),(3642605568,'gb'),(3642613760,'ax'),(3642617856,'jo'),(3642621952,'it'),(3642626048,'be'),(3642630144,'dk'),(3642634240,'de'),(3642638336,'cz'),(3642642432,'dk'),(3642646528,'mt'),(3642650624,'gb'),(3642654720,'pl'),(3642667008,'fi'),(3642671104,'ua'),(3642675200,'bg'),(3642679296,'de'),(3642683392,'ru'),(3642687488,'gb'),(3642691584,'de'),(3642695680,'sk'),(3642699776,'cz'),(3642703872,'lu'),(3642707968,'de'),(3642712064,'no'),(3642716160,'it'),(3642720256,'gb'),(3642728448,'se'),(3642736640,'cz'),(3642740736,'de'),(3642744832,'tr'),(3642753024,'gb'),(3643801600,'de'),(3644325888,'it'),(3644588032,'dk'),(3644719104,'nl'),(3644809216,'am'),(3644817408,'nl'),(3644850176,'cz'),(3644854272,'az'),(3644858368,'gb'),(3644862464,'fr'),(3644866560,'de'),(3644878848,'gb'),(3644882944,'ru'),(3644887040,'ir'),(3644891136,'de'),(3644895232,'fi'),(3644899328,'it'),(3644903424,'tr'),(3644907520,'gb'),(3644911616,'be'),(3644915712,'ru'),(3644919808,'de'),(3644923904,'il'),(3644928000,'gi'),(3644932096,'it'),(3644936192,'ru'),(3644940288,'hu'),(3644948480,'de'),(3644952576,'gb'),(3644960768,'de'),(3644964864,'cs'),(3644968960,'ru'),(3644973056,'no'),(3644977152,'ua'),(3644981248,'be'),(3644985344,'ru'),(3644989440,'de'),(3644997632,'ru'),(3645005824,'ua'),(3645009920,'fr'),(3645014016,'de'),(3645018112,'ru'),(3645022208,'cz'),(3645030400,'ir'),(3645038592,'ps'),(3645046784,'ru'),(3645050880,'sk'),(3645054976,'de'),(3645059072,'gb'),(3645063168,'ua'),(3645067264,'se'),(3645071360,'de'),(3645075456,'ru'),(3645079552,'ie'),(3645083648,'fr'),(3645087744,'es'),(3645091840,'ru'),(3645095936,'pl'),(3645104128,'nl'),(3645112320,'de'),(3645116416,'gb'),(3645120512,'se'),(3645124608,'nl'),(3645128704,'gb'),(3645132800,'hr'),(3645136896,'no'),(3645145088,'gb'),(3645149184,'de'),(3645165568,'tr'),(3645169664,'ch'),(3645173760,'gb'),(3645177856,'gr'),(3645181952,'fr'),(3645186048,'gb'),(3645190144,'fi'),(3645194240,'de'),(3645202432,'cz'),(3645206528,'lv'),(3645210624,'ru'),(3645214720,'nl'),(3645218816,'de'),(3645222912,'kw'),(3645227008,'ru'),(3645235200,'de'),(3645243392,'es'),(3645247488,'ru'),(3645251584,'se'),(3645255680,'pl'),(3645259776,'pt'),(3645263872,'fr'),(3645267968,'ru'),(3645276160,'de'),(3645280256,'it'),(3645284352,'de'),(3645288448,'fr'),(3645292544,'de'),(3645296640,'nl'),(3645300736,'be'),(3645304832,'es'),(3645308928,'dk'),(3645313024,'es'),(3645317120,'ee'),(3645321216,'ba'),(3645325312,'it'),(3645329408,'ch'),(3645333504,'eu'),(3645341696,'ru'),(3645345792,'fi'),(3645349888,'ru'),(3645353984,'mt'),(3645358080,'es'),(3645362176,'fr'),(3645366272,'ru'),(3645370368,'ch'),(3645374464,'ru'),(3645378560,'se'),(3645382656,'it'),(3645386752,'se'),(3645390848,'si'),(3645399040,'it'),(3645403136,'gb'),(3645407232,'de'),(3645411328,'ru'),(3645415424,'gb'),(3645423616,'de'),(3645431808,'be'),(3645435904,'gb'),(3645440000,'se'),(3645444096,'sk'),(3645448192,'de'),(3645456384,'gb'),(3645460480,'ua'),(3645464576,'se'),(3645468672,'ru'),(3645472768,'ua'),(3645476864,'de'),(3645480960,'ro'),(3645485056,'mt'),(3645489152,'ru'),(3645493248,'it'),(3645501440,'pl'),(3645505536,'de'),(3645509632,'gb'),(3645513728,'ru'),(3645517824,'ie'),(3645521920,'pl'),(3645526016,'se'),(3645530112,'fr'),(3645534208,'ru'),(3645550592,'de'),(3645558784,'dk'),(3645562880,'gb'),(3645566976,'ru'),(3645571072,'ie'),(3645575168,'ch'),(3645579264,'nl'),(3645583360,'pl'),(3645587456,'sk'),(3645595648,'se'),(3645603840,'bg'),(3645612032,'gb'),(3645616128,'at'),(3645620224,'ba'),(3645624320,'cz'),(3645628416,'es'),(3645636608,'am'),(3645640704,'nl'),(3645644800,'ru'),(3645648896,'se'),(3645652992,'kz'),(3645657088,'se'),(3645661184,'de'),(3645665280,'pl'),(3645669376,'es'),(3645677568,'at'),(3645681664,'ru'),(3645685760,'ua'),(3645689856,'it'),(3645693952,'be'),(3645698048,'es'),(3645702144,'gb'),(3645706240,'lt'),(3645710336,'no'),(3645714432,'ru'),(3645722624,'it'),(3645726720,'ru'),(3645734912,'nl'),(3645743104,'cz'),(3645747200,'gb'),(3645751296,'fi'),(3645755392,'ua'),(3645759488,'fr'),(3645763584,'de'),(3645767680,'ie'),(3645771776,'se'),(3645779968,'ps'),(3645788160,'gb'),(3645792256,'no'),(3645796352,'ch'),(3645800448,'de'),(3645804544,'gb'),(3645808640,'de'),(3645812736,'ru'),(3645816832,'fi'),(3645825024,'gr'),(3645829120,'nl'),(3645833216,'ru'),(3645841408,'bg'),(3645845504,'ru'),(3645849600,'bg'),(3645857792,'gb'),(3645865984,'hu'),(3645870080,'pl'),(3645874176,'gb'),(3645878272,'de'),(3645882368,'ch'),(3645886464,'de'),(3645890560,'ru'),(3645894656,'pl'),(3645898752,'de'),(3646947328,'pl'),(3647209472,'nl'),(3647602688,'ru'),(3647733760,'fr'),(3647864832,'gb'),(3647995904,'ru'),(3648004096,'gb'),(3648008192,'fr'),(3648016384,'gb'),(3648020480,'it'),(3648024576,'nl'),(3648028672,'hu'),(3648032768,'de'),(3648036864,'cz'),(3648040960,'be'),(3648045056,'fi'),(3648049152,'ua'),(3648053248,'fr'),(3648057344,'fi'),(3648061440,'am'),(3648069632,'de'),(3648073728,'hu'),(3648077824,'be'),(3648086016,'at'),(3648090112,'ru'),(3648094208,'pl'),(3648102400,'gb'),(3648106496,'de'),(3648110592,'fr'),(3648114688,'it'),(3648118784,'pl'),(3648122880,'es'),(3648126976,'ru'),(3648139264,'gb'),(3648143360,'de'),(3648147456,'se'),(3648151552,'nl'),(3648155648,'ch'),(3648159744,'es'),(3648163840,'ru'),(3648167936,'ie'),(3648172032,'ru'),(3648176128,'fr'),(3648180224,'de'),(3648184320,'ru'),(3648192512,'de'),(3648196608,'it'),(3648200704,'se'),(3648208896,'de'),(3648212992,'ru'),(3648217088,'gb'),(3648221184,'ie'),(3648225280,'de'),(3648233472,'fr'),(3648237568,'ru'),(3648241664,'nl'),(3648245760,'ro'),(3648249856,'nl'),(3648253952,'cz'),(3648258048,'es'),(3648266240,'hu'),(3648270336,'ru'),(3648274432,'at'),(3648278528,'no'),(3648282624,'pl'),(3648286720,'de'),(3648290816,'ru'),(3648299008,'fi'),(3648303104,'at'),(3648307200,'tr'),(3648311296,'dk'),(3648327680,'lt'),(3648331776,'be'),(3648339968,'ua'),(3648344064,'ru'),(3648348160,'de'),(3648352256,'ru'),(3648356352,'pl'),(3648360448,'gb'),(3648364544,'ch'),(3648368640,'ru'),(3648372736,'lu'),(3648376832,'cz'),(3648380928,'nl'),(3648385024,'ru'),(3648389120,'it'),(3648393216,'de'),(3648397312,'no'),(3648405504,'ru'),(3648413696,'sk'),(3648417792,'gb'),(3648425984,'it'),(3648430080,'nl'),(3648434176,'ru'),(3648438272,'ch'),(3648442368,'se'),(3648446464,'fr'),(3648450560,'it'),(3648454656,'nl'),(3648458752,'ru'),(3648462848,'fi'),(3648466944,'de'),(3648471040,'pl'),(3648475136,'ru'),(3648479232,'ch'),(3648483328,'sk'),(3648487424,'fr'),(3648491520,'ch'),(3648495616,'se'),(3648499712,'fr'),(3648503808,'de'),(3648512000,'nl'),(3648516096,'cs'),(3648520192,'nl'),(3648782336,'es'),(3649044480,'fr'),(3649110016,'pt'),(3649175552,'es'),(3649241088,'tr'),(3649306624,'il'),(3649372160,'it'),(3649437696,'eu'),(3649568768,'be'),(3649634304,'gb'),(3649699840,'mt'),(3649830912,'nl'),(3649835008,'es'),(3649839104,'gb'),(3649847296,'de'),(3649855488,'gb'),(3649859584,'se'),(3649863680,'fi'),(3649896448,'it'),(3649961984,'se'),(3650093056,'jo'),(3650097152,'sk'),(3650101248,'de'),(3650105344,'ch'),(3650109440,'ua'),(3650113536,'gb'),(3650117632,'ru'),(3650121728,'fr'),(3650125824,'de'),(3650129920,'gb'),(3650134016,'ru'),(3650142208,'pl'),(3650150400,'no'),(3650158592,'mt'),(3650162688,'ru'),(3650166784,'be'),(3650170880,'dk'),(3650174976,'gb'),(3650179072,'bg'),(3650183168,'de'),(3650187264,'gb'),(3650195456,'ru'),(3650199552,'bg'),(3650203648,'es'),(3650207744,'sk'),(3650211840,'lv'),(3650215936,'gb'),(3650220032,'sa'),(3650224128,'eu'),(3650232320,'ru'),(3650236416,'gb'),(3650240512,'ee'),(3650244608,'gb'),(3650256896,'de'),(3650265088,'ch'),(3650269184,'gb'),(3650273280,'it'),(3650277376,'ir'),(3650281472,'fr'),(3650285568,'ua'),(3650289664,'ru'),(3650297856,'lt'),(3650301952,'de'),(3650310144,'gb'),(3650314240,'de'),(3650318336,'gi'),(3650322432,'it'),(3650330624,'ua'),(3650334720,'gb'),(3650338816,'fr'),(3650342912,'ch'),(3650347008,'ge'),(3650351104,'gb'),(3650355200,'ch'),(3650359296,'nl'),(3650363392,'gb'),(3650367488,'ru'),(3650371584,'es'),(3650375680,'nl'),(3650379776,'it'),(3650387968,'de'),(3650392064,'no'),(3650396160,'nl'),(3650404352,'ru'),(3650412544,'de'),(3650416640,'be'),(3650420736,'es'),(3650424832,'ru'),(3650428928,'nl'),(3650433024,'fi'),(3650437120,'nl'),(3650441216,'it'),(3650445312,'gb'),(3650449408,'no'),(3650453504,'nl'),(3650457600,'es'),(3650461696,'at'),(3650465792,'ru'),(3650469888,'nl'),(3650478080,'at'),(3650482176,'pl'),(3650486272,'ru'),(3650502656,'se'),(3650510848,'gb'),(3650519040,'hu'),(3650523136,'de'),(3650527232,'se'),(3650535424,'ru'),(3650539520,'es'),(3650543616,'ch'),(3650551808,'fr'),(3650555904,'ru'),(3650560000,'gb'),(3650564096,'se'),(3650568192,'ru'),(3650572288,'de'),(3650576384,'gb'),(3650580480,'ch'),(3650584576,'ru'),(3650588672,'de'),(3650592768,'is'),(3650600960,'se'),(3650605056,'de'),(3650617344,'fi'),(3650682880,'pl'),(3650748416,'gb'),(3650879488,'ro'),(3650912256,'gb'),(3650945024,'dk'),(3651010560,'gb'),(3651076096,'de'),(3651108864,'ee'),(3651141632,'de'),(3651207168,'eu'),(3651272704,'ch'),(3651338240,'gb'),(3651403776,'ae'),(3651534848,'nl'),(3651600384,'fr'),(3651665920,'es'),(3651670016,'gb'),(3651674112,'ch'),(3651682304,'ru'),(3651686400,'no'),(3651690496,'fr'),(3651694592,'pt'),(3651698688,'pl'),(3651702784,'gb'),(3651706880,'mt'),(3651710976,'az'),(3651715072,'pl'),(3651719168,'cz'),(3651723264,'it'),(3651727360,'ru'),(3651731456,'gb'),(3651747840,'fi'),(3651751936,'ru'),(3651756032,'it'),(3651764224,'ch'),(3651772416,'gb'),(3651776512,'cz'),(3651780608,'tr'),(3651784704,'cs'),(3651788800,'nl'),(3651792896,'fr'),(3651796992,'nl'),(3651813376,'ru'),(3651821568,'cz'),(3651825664,'ru'),(3651829760,'no'),(3651837952,'pl'),(3651842048,'de'),(3651846144,'no'),(3651850240,'ru'),(3651854336,'it'),(3651858432,'cs'),(3651862528,'ru'),(3651866624,'fr'),(3651870720,'it'),(3651874816,'pl'),(3651878912,'ru'),(3651883008,'be'),(3651887104,'gb'),(3651891200,'de'),(3651895296,'gb'),(3651899392,'ru'),(3651903488,'it'),(3651907584,'de'),(3651911680,'no'),(3651915776,'is'),(3651919872,'ru'),(3651928064,'it'),(3651932160,'ru'),(3651936256,'de'),(3651944448,'es'),(3651948544,'fo'),(3651952640,'ir'),(3651960832,'gb'),(3651964928,'sk'),(3651969024,'de'),(3651977216,'it'),(3651985408,'pl'),(3651993600,'ru'),(3652001792,'hu'),(3652005888,'gb'),(3652009984,'ru'),(3652014080,'sa'),(3652018176,'gb'),(3652022272,'es'),(3652026368,'de'),(3652034560,'pl'),(3652046848,'ie'),(3652050944,'li'),(3652055040,'no'),(3652059136,'ru'),(3652063232,'ir'),(3652067328,'tr'),(3652071424,'bg'),(3652075520,'se'),(3652083712,'ru'),(3652087808,'it'),(3652096000,'bg'),(3652100096,'ru'),(3652108288,'fr'),(3652116480,'tm'),(3652120576,'gb'),(3652124672,'ua'),(3652128768,'ru'),(3652136960,'it'),(3652141056,'gb'),(3652145152,'ua'),(3652149248,'de'),(3652153344,'se'),(3652157440,'ru'),(3652165632,'fr'),(3652173824,'at'),(3652177920,'cy'),(3652182016,'de'),(3652190208,'gb'),(3652714496,'de'),(3653238784,'ch'),(3653369856,'it'),(3653373952,'nl'),(3653378048,'de'),(3653382144,'ch'),(3653386240,'de'),(3653390336,'fr'),(3653394432,'nl'),(3653402624,'gb'),(3653410816,'cz'),(3653414912,'it'),(3653419008,'il'),(3653423104,'gb'),(3653427200,'de'),(3653431296,'ru'),(3653435392,'de'),(3653439488,'fr'),(3653443584,'de'),(3653447680,'lv'),(3653451776,'ru'),(3653464064,'nl'),(3653468160,'gr'),(3653472256,'nl'),(3653476352,'cz'),(3653480448,'dk'),(3653484544,'tr'),(3653488640,'ru'),(3653492736,'nl'),(3653500928,'gb'),(3653505024,'kz'),(3653509120,'nl'),(3653513216,'no'),(3653517312,'at'),(3653525504,'ru'),(3653533696,'hu'),(3653537792,'at'),(3653541888,'ua'),(3653545984,'ch'),(3653550080,'gb'),(3653554176,'cz'),(3653558272,'gb'),(3653566464,'ru'),(3653570560,'no'),(3653574656,'cz'),(3653578752,'se'),(3653582848,'pl'),(3653586944,'de'),(3653591040,'lu'),(3653595136,'ru'),(3653599232,'bg'),(3653603328,'cz'),(3653607424,'pl'),(3653611520,'hu'),(3653615616,'gb'),(3653619712,'ch'),(3653623808,'ru'),(3653636096,'nl'),(3653640192,'gb'),(3653648384,'se'),(3653652480,'ru'),(3653660672,'cz'),(3653664768,'ua'),(3653668864,'se'),(3653672960,'ru'),(3653681152,'nl'),(3653685248,'dk'),(3653689344,'lv'),(3653693440,'de'),(3653697536,'it'),(3653705728,'no'),(3653713920,'de'),(3653718016,'at'),(3653722112,'lv'),(3653730304,'ba'),(3653738496,'gb'),(3653746688,'de'),(3653750784,'ru'),(3653754880,'ua'),(3653758976,'ru'),(3653763072,'it'),(3654025216,'gb'),(3654287360,'se'),(3654811648,'es'),(3654942720,'ir'),(3655073792,'it'),(3655335936,'de'),(3232235520,'01'),(3232301055,'it'),(2886729728,'01'),(2887778303,'us'),(167772160,'01'),(184549375,'us'),(3332724736,'pm'),(3332726783,'ca'),(1314324480,'gr'),(1314357247,'gb');
/*!40000 ALTER TABLE `ip2nation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip2nationCountries`
--

DROP TABLE IF EXISTS `ip2nationCountries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ip2nationCountries` (
  `code` varchar(4) NOT NULL default '',
  `iso_code_2` varchar(2) NOT NULL default '',
  `iso_code_3` varchar(3) default '',
  `iso_country` varchar(255) NOT NULL default '',
  `country` varchar(255) NOT NULL default '',
  `lat` float NOT NULL default '0',
  `lon` float NOT NULL default '0',
  PRIMARY KEY  (`code`),
  KEY `code` (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ip2nationCountries`
--

LOCK TABLES `ip2nationCountries` WRITE;
/*!40000 ALTER TABLE `ip2nationCountries` DISABLE KEYS */;
INSERT INTO `ip2nationCountries` VALUES ('ad','AN','AND','Andorra','Andorra',42.3,1.3),('ae','AR','ARE','United Arab Emirates','United Arab Emirates',24,54),('af','AF','AFG','Afghanistan','Afghanistan',33,65),('ag','AT','ATG','Antigua and Barbuda','Antigua and Barbuda',17.03,-61.48),('ai','AI','AIA','Anguilla','Anguilla',18.15,-63.1),('al','AL','ALB','Albania','Albania',41,20),('am','AR','ARM','Armenia','Armenia',40,45),('an','AN','ANT','Netherlands Antilles','Netherlands Antilles',12.15,-68.45),('ao','AG','AGO','Angola','Angola',-12.3,18.3),('aq','AT','ATA','Antarctica','Antarctica',-90,0),('ar','AR','ARG','Argentina','Argentina',-34,-64),('as','AS','ASM','American Samoa','American Samoa',-14.2,-170),('at','AU','AUT','Austria','Austria',47.2,13.2),('au','AU','AUS','Australia','Australia',-27,133),('aw','AB','ABW','Aruba','Aruba',12.3,-69.58),('az','AZ','AZE','Azerbaijan','Azerbaijan',40.3,47.3),('ba','BI','BIH','Bosnia and Herzegovina','Bosnia and Herzegovina',44,18),('bb','BR','BRB','Barbados','Barbados',13.1,-59.32),('bd','BG','BGD','Bangladesh','Bangladesh',24,90),('be','BE','BEL','Belgium','Belgium',50.5,4),('bf','BF','BFA','Burkina Faso','Burkina Faso',13,-2),('bg','BG','BGR','Bulgaria','Bulgaria',43,25),('bh','BH','BHR','Bahrain','Bahrain',26,50.33),('bi','BD','BDI','Burundi','Burundi',-3.3,30),('bj','BE','BEN','Benin','Benin',9.3,2.15),('bm','BM','BMU','Bermuda','Bermuda',32.2,-64.45),('bn','BR','BRN','Brunei Darussalam','Brunei Darussalam',4.3,114.4),('bo','BO','BOL','Bolivia','Bolivia',-17,-65),('br','BR','BRA','Brazil','Brazil',-10,-55),('bs','BH','BHS','Bahamas','Bahamas',24.15,-76),('bt','BT','BTN','Bhutan','Bhutan',27.3,90.3),('bv','BV','BVT','Bouvet Island','Bouvet Island',-54.26,3.24),('bw','BW','BWA','Botswana','Botswana',-22,24),('by','BL','BLR','Belarus','Belarus',53,28),('bz','BL','BLZ','Belize','Belize',17.15,-88.45),('ca','CA','CAN','Canada','Canada',60,-95),('cc','CC','CCK','Cocos (Keeling) Islands','Cocos (Keeling) Islands',-12.3,96.5),('cf','CA','CAF','Central African Republic','Central African Republic',7,21),('cg','CO','COG','Congo','Congo',0,25),('ch','CH','CHE','Switzerland','Switzerland',47,8),('ck','CO','COK','Cook Islands','Cook Islands',-21.14,-159.46),('cl','CH','CHL','Chile','Chile',-30,-71),('cm','CM','CMR','Cameroon','Cameroon',6,12),('cn','CH','CHN','China','China',35,105),('co','CO','COL','Colombia','Colombia',4,-72),('cr','CR','CRI','Costa Rica','Costa Rica',10,-84),('cs','SC','SCG','Serbia and Montenegro','Serbia and Montenegro',43.57,21.41),('cu','CU','CUB','Cuba','Cuba',21.3,-80),('cv','CP','CPV','Cape Verde','Cape Verde',16,-24),('cx','CX','CXR','Christmas Island','Christmas Island',-10.3,105.4),('cy','CY','CYP','Cyprus','Cyprus',35,33),('cz','CZ','CZE','Czech Republic','Czech Republic',49.45,15.3),('de','DE','DEU','Germany','Germany',51,9),('dj','DJ','DJI','Djibouti','Djibouti',11.3,43),('dk','DN','DNK','Denmark','Denmark',56,10),('dm','DM','DMA','Dominica','Dominica',15.25,-61.2),('do','DO','DOM','Dominican Republic','Dominican Republic',19,-70.4),('dz','DZ','DZA','Algeria','Algeria',28,3),('ec','EC','ECU','Ecuador','Ecuador',-2,-77.3),('ee','ES','EST','Estonia','Estonia',59,26),('eg','EG','EGY','Egypt','Egypt',27,30),('eh','ES','ESH','Western Sahara','Western Sahara',24.3,-13),('er','ER','ERI','Eritrea','Eritrea',15,39),('es','ES','ESP','Spain','Spain',40,-4),('et','ET','ETH','Ethiopia','Ethiopia',8,38),('fi','FI','FIN','Finland','Finland',64,26),('fj','FJ','FJI','Fiji','Fiji',-18,175),('fk','FL','FLK','Falkland Islands (Malvinas)','Falkland Islands (Malvinas)',-51.45,-59),('fm','FS','FSM','Micronesia','Micronesia',6.55,158.15),('fo','FR','FRO','Faroe Islands','Faroe Islands',62,-7),('fr','FR','FRA','France','France',46,2),('ci','CI','CIV','Cote Dâ€™ivoire','Ivory Coast',7.64,-4.93),('ga','GA','GAB','Gabon','Gabon',-1,11.45),('gb','GB','GBR','United Kingdom','Great Britain (UK)',54,-2),('gd','GR','GRD','Grenada','Grenada',12.07,-61.4),('ge','GE','GEO','Georgia','Georgia',42,43.3),('gf','GU','GUF','French Guiana','French Guiana',4,-53),('gh','GH','GHA','Ghana','Ghana',8,-2),('gi','GI','GIB','Gibraltar','Gibraltar',36.8,-5.21),('gl','GR','GRL','Greenland','Greenland',72,-40),('gm','GM','GMB','Gambia','Gambia',13.28,-16.34),('gn','GI','GIN','Guinea','Guinea',11,-10),('gp','GL','GLP','Guadeloupe','Guadeloupe',16.15,-61.35),('gq','GN','GNQ','Equatorial Guinea','Equatorial Guinea',2,10),('gr','GR','GRC','Greece','Greece',39,22),('gs','SG','SGS','South Georgia and the South Sandwich Islands','S. Georgia and S. Sandwich Isls.',-54.3,-37),('gt','GT','GTM','Guatemala','Guatemala',15.3,-90.15),('gu','GU','GUM','Guam','Guam',13.28,144.47),('gw','GN','GNB','Guinea-Bissau','Guinea-Bissau',12,-15),('gy','GU','GUY','Guyana','Guyana',5,-59),('hk','HK','HKG','Hong Kong','Hong Kong',22.15,114.1),('hm','HM','HMD','Heard Island and Mcdonald Islands','Heard and McDonald Islands',-53.06,72.31),('hn','HN','HND','Honduras','Honduras',15,-86.3),('hr','HR','HRV','Croatia (Hrvatska)','Croatia (Hrvatska)',45.1,15.3),('ht','HT','HTI','Haiti','Haiti',19,-72.25),('hu','HU','HUN','Hungary','Hungary',47,20),('id','ID','IDN','Indonesia','Indonesia',-5,120),('ie','IR','IRL','Ireland','Ireland',53,-8),('il','IS','ISR','Israel','Israel',31.3,34.45),('in','IN','IND','India','India',20,77),('io','IO','IOT','British Indian Ocean Territory','British Indian Ocean Territory',-6,71.3),('iq','IR','IRQ','Iraq','Iraq',33,44),('ir','IR','IRN','Iran, Islamic Republic of','Iran',32,53),('is','IS','ISL','Iceland','Iceland',65,-18),('it','IT','ITA','Italy','Italy',42.5,12.5),('jm','JA','JAM','Jamaica','Jamaica',18.15,-77.3),('jo','JO','JOR','Jordan','Jordan',31,36),('jp','JP','JPN','Japan','Japan',36,138),('ke','KE','KEN','Kenya','Kenya',1,38),('kg','KG','KGZ','Kyrgyzstan','Kyrgyzstan',41,75),('kh','KH','KHM','Cambodia','Cambodia',13,105),('ki','KI','KIR','Kiribati','Kiribati',1.25,173),('km','CO','COM','Comoros','Comoros',-12.1,44.15),('kn','KN','KNA','Saint Kitts and Nevis','Saint Kitts and Nevis',17.2,-62.45),('kp','PR','PRK','Korea, Democratic Peopleâ€™s Republic of (North)','Korea (North)',40,127),('kr','KO','KOR','Korea, Republic of (South)','Korea (South)',37,127.3),('kw','KW','KWT','Kuwait','Kuwait',29.3,45.45),('ky','CY','CYM','Cayman Islands','Cayman Islands',19.3,-80.3),('kz','KA','KAZ','Kazakhstan','Kazakhstan',48,68),('la','LA','LAO','Lao Peopleâ€™s Democratic Republic','Laos',18,105),('lb','LB','LBN','Lebanon','Lebanon',33.5,35.5),('lc','LC','LCA','Saint Lucia','Saint Lucia',13.53,-60.68),('li','LI','LIE','Liechtenstein','Liechtenstein',47.16,9.32),('lk','LK','LKA','Sri Lanka','Sri Lanka',7,81),('lr','LB','LBR','Liberia','Liberia',6.3,-9.3),('ls','LS','LSO','Lesotho','Lesotho',-29.3,28.3),('lt','LT','LTU','Lithuania','Lithuania',56,24),('lu','LU','LUX','Luxembourg','Luxembourg',49.45,6.1),('lv','LV','LVA','Latvia','Latvia',57,25),('ly','LB','LBY','Libyan Arab Jamahiriya','Libya',25,17),('ma','MA','MAR','Morocco','Morocco',32,-5),('mc','MC','MCO','Monaco','Monaco',43.44,7.24),('md','MD','MDA','Moldova','Moldova',47,29),('mg','MD','MDG','Madagascar','Madagascar',-20,47),('mh','MH','MHL','Marshall Islands','Marshall Islands',9,168),('mk','MK','MKD','Macedonia, the Former Yugoslav Republic of','Macedonia',41.5,22),('ml','ML','MLI','Mali','Mali',17,-4),('mm','MM','MMR','Myanmar','Burma (Myanmar)',22,98),('mn','MN','MNG','Mongolia','Mongolia',46,105),('mo','MO','MOZ','Mozambique','Macau',22.1,113.33),('mp','MN','MNP','Northern Mariana Islands','Northern Mariana Islands',15.12,145.45),('mq','MT','MTQ','Martinique','Martinique',14.4,-61),('mr','MR','MRT','Mauritania','Mauritania',20,-12),('ms','MS','MSR','Montserrat','Montserrat',16.45,-62.12),('mt','ML','MLT','Malta','Malta',35.5,14.35),('mu','MU','MUS','Mauritius','Mauritius',-20.17,57.33),('mv','MD','MDV','Maldives','Maldives',3.15,73),('mw','MW','MWI','Malawi','Malawi',-13.3,34),('mx','ME','MEX','Mexico','Mexico',23,-102),('my','MY','MYS','Malaysia','Malaysia',2.3,112.3),('mz','MO','MOZ','Mozambique','Mozambique',-18.15,35),('na','NA','NAM','Namibia','Namibia',-22,17),('nc','NC','NCL','New Caledonia','New Caledonia',-21.3,165.3),('ne','NE','NER','Niger','Niger',16,8),('nf','NF','NFK','Norfolk Island','Norfolk Island',-29.02,167.57),('ng','NG','NGA','Nigeria','Nigeria',10,8),('ni','NI','NIC','Nicaragua','Nicaragua',13,-85),('nl','NL','NLD','Netherlands','Netherlands',52.3,5.45),('no','NO','NOR','Norway','Norway',62,10),('np','NP','NPL','Nepal','Nepal',28,84),('nr','NR','NRU','Nauru','Nauru',-0.32,166.55),('nt','NT','NTZ','Neutral Zone','Neutral Zone',0,0),('nu','NI','NIU','Niue','Niue',-19.02,-169.52),('nz','NZ','NZL','New Zealand','New Zealand (Aotearoa)',-41,174),('om','OM','OMN','Oman','Oman',21,57),('pa','PA','PAN','Panama','Panama',9,-80),('pe','PE','PER','Peru','Peru',-10,-76),('pf','PY','PYF','French Polynesia','French Polynesia',-15,-140),('pg','PN','PNG','Papua New Guinea','Papua New Guinea',-6,147),('ph','PH','PHL','Philippines','Philippines',13,122),('pk','PA','PAK','Pakistan','Pakistan',30,70),('pl','PO','POL','Poland','Poland',52,20),('pm','SP','SPM','Saint Pierre and Miquelon','St. Pierre and Miquelon',46.5,-56.2),('pn','PC','PCN','Pitcairn','Pitcairn',-25.04,-130.06),('pr','PR','PRI','Puerto Rico','Puerto Rico',18.15,-66.3),('pt','PR','PRT','Portugal','Portugal',39.3,-8),('pw','PL','PLW','Palau','Palau',7.3,134.3),('py','PR','PRY','Paraguay','Paraguay',-23,-58),('qa','QA','QAT','Qatar','Qatar',25.3,51.15),('re','RE','REU','Reunion','Reunion',-21.06,55.36),('ro','RO','ROU','Romania','Romania',46,25),('ru','RU','RUS','Russian Federation','Russia',60,100),('rw','RW','RWA','Rwanda','Rwanda',-2,30),('sa','SA','SAU','Saudi Arabia','Saudi Arabia',25,45),('sb','SL','SLB','Solomon Islands','Solomon Islands',-8,159),('sc','SY','SYC','Seychelles','Seychelles',-4.35,55.4),('sd','SD','SDN','Sudan','Sudan',15,30),('se','SW','SWE','Sweden','Sweden',62,15),('sg','SG','SGP','Singapore','Singapore',1.22,103.48),('sh','SH','SHN','Saint Helena','St. Helena',-15.56,-5.42),('si','SV','SVN','Slovenia','Slovenia',46.07,14.49),('sj','SJ','SJM','Svalbard and Jan Mayen Islands','Svalbard and Jan Mayen Islands',78,20),('sk','SV','SVK','Slovakia','Slovak Republic',48.4,19.3),('sl','SL','SLE','Sierra Leone','Sierra Leone',8.3,-11.3),('sm','SM','SMR','San Marino','San Marino',43.46,12.25),('sn','SE','SEN','Senegal','Senegal',14,-14),('so','SO','SOM','Somalia','Somalia',10,49),('sr','SU','SUR','Suriname','Suriname',4,-56),('st','ST','STP','Sao Tome and Principe','Sao Tome and Principe',1,7),('sv','SL','SLV','El Salvador','El Salvador',13.5,-88.55),('sy','SY','SYC','Seychelles','Syria',35,38),('sz','SW','SWZ','Swaziland','Swaziland',-26.3,31.3),('tc','TC','TCA','Turks and Caicos Islands','Turks and Caicos Islands',21.45,-71.35),('td','TC','TCD','Chad','Chad',15,19),('tf','AT','ATF','French Southern Territories','French Southern Territories',-43,67),('tg','TG','TGO','Togo','Togo',8,1.1),('th','TH','THA','Thailand','Thailand',15,100),('tj','TJ','TJK','Tajikistan','Tajikistan',39,71),('tk','TK','TKL','Tokelau','Tokelau',-9,-172),('tm','TK','TKM','Turkmenistan','Turkmenistan',40,60),('tn','TU','TUN','Tunisia','Tunisia',34,9),('to','TO','TON','Tonga','Tonga',-20,-175),('tl','TL','TLS','Timor-Leste','East Timor',-8.5,125.55),('tr','TU','TUR','Turkey','Turkey',39,35),('tt','TT','TTO','Trinidad and Tobago','Trinidad and Tobago',11,-61),('tv','TU','TUV','Tuvalu','Tuvalu',-8,178),('tw','TW','TWN','Taiwan','Taiwan',23.3,121),('tz','TZ','TZA','Tanzania, United Republic of','Tanzania',-6,35),('ua','UK','UKR','Ukraine','Ukraine',49,32),('ug','UG','UGA','Uganda','Uganda',1,32),('uk','GB','GBR','United Kingdom','United Kingdom',54,-2),('us','US','USA','United States','United States',38,-97),('uy','UR','URY','Uruguay','Uruguay',-33,-56),('uz','UZ','UZB','Uzbekistan','Uzbekistan',41,64),('va','VA','VAT','Vatican City State','Vatican City State (Holy See)',41.54,12.27),('vc','VC','VCT','Saint Vincent and the Grenadines','Saint Vincent and the Grenadines',13.15,-61.12),('ve','VE','VEN','Venezuela','Venezuela',8,-66),('vg','VG','VGB','Virgin Islands, British','Virgin Islands (British)',18.2,-64.5),('vi','VI','VIR','Virgin Islands, U.S.','Virgin Islands (U.S.)',18.2,-64.5),('vn','VN','VNM','Viet Nam','Viet Nam',16,106),('vu','VU','VUT','Vanuatu','Vanuatu',-16,167),('wf','WL','WLF','Wallis and Futuna Islands','Wallis and Futuna Islands',-13.18,-176.12),('ws','WS','WSM','Samoa','Samoa',-13.35,-172.2),('ye','YE','YEM','Yemen','Yemen',15,48),('yt','MY','MYT','Mayotte','Mayotte',-12.5,45.1),('yu','YU','YUG','Yugoslavia','Yugoslavia',44,21),('za','ZA','ZAF','South Africa','South Africa',-29,24),('zm','ZM','ZMB','Zambia','Zambia',-15,30),('cd','CD','COD','Congo, Democratic Republic of the','Democratic Republic of Congo',-4.04,30.75),('zw','ZW','ZWE','Zimbabwe','Zimbabwe',-20,30),('ap','','','','Asia-Pacific',-2.81,128.5),('rs','SR','SRB','Serbia','Republic of Serbia',44.02,21.01),('ax','AX','ALA','Aland Islands','Aland Islands',60.21,20.16),('eu','','','','Europe',0,0),('01','','','','Private',0,0),('ps','PS','PSE','Palestinian Territory, Occupied','Palestinian Territory, Occupied',31.89,34.9),('me','ME','MNE','Montenegro','Montenegro',42.74,19.31);
/*!40000 ALTER TABLE `ip2nationCountries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu`
--

DROP TABLE IF EXISTS `menu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `menu` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `parent_id` int(10) unsigned NOT NULL,
  `order` tinyint(3) unsigned NOT NULL,
  `text` varchar(100) NOT NULL,
  `link` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `menu`
--

LOCK TABLES `menu` WRITE;
/*!40000 ALTER TABLE `menu` DISABLE KEYS */;
INSERT INTO `menu` VALUES (1,0,1,'Monitor website',''),(29,4,1,'CMS menu','/admin'),(4,0,5,'Administration',''),(17,0,2,'Webservers',''),(28,17,2,'Host statistics','/host_statistics'),(27,0,3,'Requests',''),(19,0,4,'Clients',''),(24,1,1,'Homepage','/homepage'),(22,19,1,'Web browsers','/web_browser'),(23,19,2,'Operating Systems','/operating_system'),(38,4,2,'Profile','/profile'),(26,1,3,'Logout','/logout'),(30,27,1,'Referers','/referers'),(31,19,3,'Browsers with OSes','/browser_with_os'),(34,27,2,'Origins','/origins'),(35,17,3,'Actions','/actions'),(36,17,1,'Server statistics','/server_statistics'),(37,1,2,'About','/about');
/*!40000 ALTER TABLE `menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `page_access`
--

DROP TABLE IF EXISTS `page_access`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `page_access` (
  `page_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  `level` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`page_id`,`role_id`),
  KEY `role_id` (`role_id`),
  CONSTRAINT `page_access_ibfk_1` FOREIGN KEY (`page_id`) REFERENCES `pages` (`id`),
  CONSTRAINT `page_access_ibfk_2` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `page_access`
--

LOCK TABLES `page_access` WRITE;
/*!40000 ALTER TABLE `page_access` DISABLE KEYS */;
INSERT INTO `page_access` VALUES (9,2,1),(10,2,1);
/*!40000 ALTER TABLE `page_access` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `pages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `url` varchar(100) NOT NULL,
  `language` varchar(2) NOT NULL,
  `private` tinyint(1) NOT NULL,
  `style` text NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(200) NOT NULL,
  `keywords` varchar(100) NOT NULL,
  `content` mediumtext NOT NULL,
  `visible` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `url` (`url`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (9,'/homepage','en',1,'','Homepage','','','ToDo',1),(10,'/about','en',1,'','About','','','<p>The Hiawatha Monitor is a tool to visualize the log information of the Hiawatha webserver.</p>\r\n<p>More information about the Hiawatha webserver and the Hiawatha Monitor can be found at the <a href=\"http://www.hiawatha-webserver.org\" target=\"_blank\">Hiawatha website</a>.</p>',1);
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `referers`
--

DROP TABLE IF EXISTS `referers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `referers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `referer` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `request_uris`
--

DROP TABLE IF EXISTS `request_uris`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `request_uris` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `request_uri` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `requests`
--

DROP TABLE IF EXISTS `requests`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `requests` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `timestamp` datetime NOT NULL,
  `webserver_id` int(10) unsigned NOT NULL,
  `hostname_id` int(10) unsigned NOT NULL,
  `ip_address` varchar(40) NOT NULL,
  `country_id` varchar(2) default NULL,
  `return_code` int(11) NOT NULL,
  `request_uri_id` int(10) unsigned NOT NULL,
  `user_agent_id` int(10) unsigned default NULL,
  `referer_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `webserver_id` (`webserver_id`),
  KEY `hostname_id` (`hostname_id`),
  KEY `user_agent_id` (`user_agent_id`),
  KEY `referer_id` (`referer_id`),
  KEY `request_uri_id` (`request_uri_id`),
  CONSTRAINT `requests_ibfk_1` FOREIGN KEY (`webserver_id`) REFERENCES `webservers` (`id`),
  CONSTRAINT `requests_ibfk_2` FOREIGN KEY (`hostname_id`) REFERENCES `hostnames` (`id`),
  CONSTRAINT `requests_ibfk_4` FOREIGN KEY (`referer_id`) REFERENCES `referers` (`id`),
  CONSTRAINT `requests_ibfk_5` FOREIGN KEY (`user_agent_id`) REFERENCES `user_agents` (`id`),
  CONSTRAINT `requests_ibfk_6` FOREIGN KEY (`request_uri_id`) REFERENCES `request_uris` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `roles` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(25) NOT NULL,
  `profile` tinyint(4) default '0',
  `admin` tinyint(4) default '0',
  `admin/file` tinyint(4) default '0',
  `admin/menu` tinyint(4) default '0',
  `admin/page` tinyint(4) default '0',
  `admin/role` tinyint(4) default '0',
  `admin/switch` tinyint(4) default '0',
  `admin/user` tinyint(4) default '0',
  `admin/access` tinyint(4) default '0',
  `admin/action` tinyint(4) default '0',
  `referers` tinyint(4) default '0',
  `admin/webserver` tinyint(4) default '0',
  `browser_with_os` tinyint(4) default '0',
  `alerts` tinyint(4) default '0',
  `actions` tinyint(4) default '0',
  `origins` tinyint(4) default '0',
  `web_browser` tinyint(4) default '0',
  `operating_system` tinyint(4) default '0',
  `host_statistics` tinyint(4) default '0',
  `server_statistics` tinyint(4) default '0',
  `homepage` tinyint(4) default '0',
  `admin/hostname` tinyint(4) default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Administrator',1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1),(2,'Webmasters',1,0,0,0,0,0,0,0,0,0,1,0,1,1,1,1,1,1,1,1,1,0);
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `server_statistics`
--

DROP TABLE IF EXISTS `server_statistics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `server_statistics` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `timestamp_begin` datetime NOT NULL,
  `timestamp_end` datetime NOT NULL,
  `webserver_id` int(10) unsigned NOT NULL,
  `simult_conns` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `webserver_id` (`webserver_id`),
  CONSTRAINT `server_statistics_ibfk_1` FOREIGN KEY (`webserver_id`) REFERENCES `webservers` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `settings` (
  `id` varchar(16) NOT NULL,
  `value` varchar(256) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES ('version','d:0.1;');
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_agent_browser`
--

DROP TABLE IF EXISTS `user_agent_browser`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `user_agent_browser` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `browser` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user_agent_os`
--

DROP TABLE IF EXISTS `user_agent_os`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `user_agent_os` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `os` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user_agents`
--

DROP TABLE IF EXISTS `user_agents`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `user_agents` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `browser_id` int(10) unsigned NOT NULL,
  `os_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `browser_id` (`browser_id`),
  KEY `os_id` (`os_id`),
  CONSTRAINT `user_agents_ibfk_1` FOREIGN KEY (`browser_id`) REFERENCES `user_agent_browser` (`id`),
  CONSTRAINT `user_agents_ibfk_2` FOREIGN KEY (`os_id`) REFERENCES `user_agent_os` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user_role`
--

DROP TABLE IF EXISTS `user_role`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `user_role` (
  `user_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`user_id`,`role_id`),
  KEY `role_id` (`role_id`),
  CONSTRAINT `user_role_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`),
  CONSTRAINT `user_role_ibfk_2` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `user_role`
--

LOCK TABLES `user_role` WRITE;
/*!40000 ALTER TABLE `user_role` DISABLE KEYS */;
INSERT INTO `user_role` VALUES (1,1);
/*!40000 ALTER TABLE `user_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `users` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `username` varchar(15) character set latin1 collate latin1_general_cs NOT NULL,
  `password` varchar(35) NOT NULL default '',
  `one_time_key` varchar(50) default NULL,
  `status` tinyint(4) unsigned NOT NULL default '0',
  `fullname` varchar(50) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'admin','08b5411f848a2581a41672a759c87380',NULL,2,'Administrator','root@localhost');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `webservers`
--

DROP TABLE IF EXISTS `webservers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `webservers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `ip_address` varchar(40) NOT NULL,
  `port` smallint(5) unsigned NOT NULL,
  `ssl` tinyint(1) NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-02-12  7:58:58
